#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 3125
#define LARGE_STATE_COUNT 1174
#define SYMBOL_COUNT 650
#define ALIAS_COUNT 0
#define TOKEN_COUNT 318
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 1
#define MAX_ALIAS_SEQUENCE_LENGTH 6
#define PRODUCTION_ID_COUNT 2

enum ts_symbol_identifiers {
  sym_bookcode = 1,
  aux_sym_text_token1 = 2,
  sym__spaceOrLine = 3,
  anon_sym_BSLASHid = 4,
  sym_numberedLevelMax3 = 5,
  sym_numberedLevelMax4 = 6,
  sym_numberedLevelMax5 = 7,
  sym_versionNumber = 8,
  anon_sym_BSLASHusfm = 9,
  anon_sym_BSLASHide = 10,
  anon_sym_BSLASHref = 11,
  anon_sym_BSLASHref_STAR = 12,
  anon_sym_BSLASHh = 13,
  anon_sym_SPACE = 14,
  anon_sym_BSLASHtoc = 15,
  anon_sym_BSLASHtoca = 16,
  anon_sym_BSLASHsts = 17,
  anon_sym_BSLASHrem = 18,
  anon_sym_BSLASHrestore = 19,
  anon_sym_BSLASHlit = 20,
  anon_sym_BSLASHiqt = 21,
  anon_sym_BSLASHiqt_STAR = 22,
  anon_sym_BSLASHimt = 23,
  anon_sym_BSLASHimte = 24,
  aux_sym_imteTag_token1 = 25,
  anon_sym_BSLASHis = 26,
  anon_sym_BSLASHio = 27,
  anon_sym_BSLASHior = 28,
  anon_sym_BSLASHior_STAR = 29,
  anon_sym_BSLASHiot = 30,
  anon_sym_BSLASHip = 31,
  anon_sym_BSLASHim = 32,
  anon_sym_BSLASHipi = 33,
  anon_sym_BSLASHimi = 34,
  anon_sym_BSLASHili = 35,
  anon_sym_BSLASHipq = 36,
  anon_sym_BSLASHimq = 37,
  anon_sym_BSLASHipr = 38,
  anon_sym_BSLASHib = 39,
  anon_sym_BSLASHiq = 40,
  anon_sym_BSLASHie = 41,
  anon_sym_BSLASHiex = 42,
  anon_sym_BSLASHv = 43,
  sym_verseNumber = 44,
  anon_sym_BSLASHva = 45,
  anon_sym_BSLASHva_STAR = 46,
  anon_sym_BSLASHvp = 47,
  anon_sym_BSLASHvp_STAR = 48,
  anon_sym_BSLASHc = 49,
  sym_chapterNumber = 50,
  anon_sym_BSLASHcl = 51,
  anon_sym_BSLASHca = 52,
  anon_sym_BSLASHca_STAR = 53,
  anon_sym_BSLASHcp = 54,
  anon_sym_BSLASHcd = 55,
  anon_sym_BSLASHmt = 56,
  anon_sym_BSLASHmte = 57,
  anon_sym_BSLASHms = 58,
  anon_sym_BSLASHmr = 59,
  anon_sym_BSLASHs = 60,
  anon_sym_BSLASHsr = 61,
  anon_sym_BSLASHr = 62,
  anon_sym_BSLASHsp = 63,
  anon_sym_BSLASHd = 64,
  anon_sym_BSLASHsd = 65,
  anon_sym_BSLASHp = 66,
  anon_sym_BSLASHm = 67,
  anon_sym_BSLASHpo = 68,
  anon_sym_BSLASHpr = 69,
  anon_sym_BSLASHcls = 70,
  anon_sym_BSLASHpmo = 71,
  anon_sym_BSLASHpm = 72,
  anon_sym_BSLASHpmc = 73,
  anon_sym_BSLASHpmr = 74,
  anon_sym_BSLASHpi = 75,
  anon_sym_BSLASHmi = 76,
  anon_sym_BSLASHnb = 77,
  anon_sym_BSLASHpc = 78,
  anon_sym_BSLASHph = 79,
  anon_sym_BSLASHphi = 80,
  anon_sym_BSLASHb = 81,
  anon_sym_BSLASHq = 82,
  anon_sym_BSLASHqr = 83,
  anon_sym_BSLASHqc = 84,
  anon_sym_BSLASHqs = 85,
  anon_sym_BSLASHqs_STAR = 86,
  anon_sym_BSLASHqa = 87,
  anon_sym_BSLASHqac = 88,
  anon_sym_BSLASHqac_STAR = 89,
  anon_sym_BSLASHqm = 90,
  anon_sym_BSLASHqd = 91,
  anon_sym_BSLASHlh = 92,
  anon_sym_BSLASHlf = 93,
  anon_sym_BSLASHli = 94,
  anon_sym_BSLASHlim = 95,
  anon_sym_STAR = 96,
  anon_sym_BSLASHliv = 97,
  anon_sym_BSLASHlik = 98,
  anon_sym_BSLASHlik_STAR = 99,
  anon_sym_BSLASHlitl = 100,
  anon_sym_BSLASHlitl_STAR = 101,
  anon_sym_BSLASHtr = 102,
  sym_thTag = 103,
  sym_thrTag = 104,
  sym_tcTag = 105,
  sym_tcrTag = 106,
  sym_caller = 107,
  anon_sym_BSLASHf = 108,
  anon_sym_BSLASHf_STAR = 109,
  anon_sym_BSLASHfe = 110,
  anon_sym_BSLASHfe_STAR = 111,
  anon_sym_BSLASHef = 112,
  anon_sym_BSLASHef_STAR = 113,
  anon_sym_BSLASHfr = 114,
  anon_sym_BSLASHfr_STAR = 115,
  anon_sym_BSLASHfq = 116,
  anon_sym_BSLASHfq_STAR = 117,
  anon_sym_BSLASHfqa = 118,
  anon_sym_BSLASHfqa_STAR = 119,
  anon_sym_BSLASHfk = 120,
  anon_sym_BSLASHfk_STAR = 121,
  anon_sym_BSLASHfl = 122,
  anon_sym_BSLASHfl_STAR = 123,
  anon_sym_BSLASHfw = 124,
  anon_sym_BSLASHfw_STAR = 125,
  anon_sym_BSLASHfp = 126,
  anon_sym_BSLASHfp_STAR = 127,
  anon_sym_BSLASHft = 128,
  anon_sym_BSLASHft_STAR = 129,
  anon_sym_BSLASHfdc = 130,
  anon_sym_BSLASHfdc_STAR = 131,
  anon_sym_BSLASHfv = 132,
  anon_sym_BSLASHfv_STAR = 133,
  anon_sym_BSLASHfm = 134,
  anon_sym_BSLASHfm_STAR = 135,
  anon_sym_BSLASHx = 136,
  anon_sym_BSLASHx_STAR = 137,
  anon_sym_BSLASHxo = 138,
  anon_sym_BSLASHxo_STAR = 139,
  anon_sym_BSLASHxk = 140,
  anon_sym_BSLASHxk_STAR = 141,
  anon_sym_BSLASHxq = 142,
  anon_sym_BSLASHxq_STAR = 143,
  anon_sym_BSLASHxt = 144,
  anon_sym_BSLASHxt_STAR = 145,
  anon_sym_BSLASH_PLUSxt = 146,
  anon_sym_BSLASH_PLUSxt_STAR = 147,
  anon_sym_BSLASHxta = 148,
  anon_sym_BSLASHxta_STAR = 149,
  anon_sym_BSLASHxop = 150,
  anon_sym_BSLASHxop_STAR = 151,
  anon_sym_BSLASHxot = 152,
  anon_sym_BSLASHxot_STAR = 153,
  anon_sym_BSLASHxnt = 154,
  anon_sym_BSLASHxnt_STAR = 155,
  anon_sym_BSLASHxdc = 156,
  anon_sym_BSLASHxdc_STAR = 157,
  anon_sym_BSLASHrq = 158,
  anon_sym_BSLASHrq_STAR = 159,
  anon_sym_BSLASHadd = 160,
  anon_sym_BSLASHadd_STAR = 161,
  anon_sym_BSLASHbk = 162,
  anon_sym_BSLASHbk_STAR = 163,
  anon_sym_BSLASHdc = 164,
  anon_sym_BSLASHdc_STAR = 165,
  anon_sym_BSLASHk = 166,
  anon_sym_BSLASHk_STAR = 167,
  anon_sym_BSLASHnd = 168,
  anon_sym_BSLASHnd_STAR = 169,
  anon_sym_BSLASHord = 170,
  anon_sym_BSLASHord_STAR = 171,
  anon_sym_BSLASHpn = 172,
  anon_sym_BSLASHpn_STAR = 173,
  anon_sym_BSLASHpng = 174,
  anon_sym_BSLASHpng_STAR = 175,
  anon_sym_BSLASHaddpn = 176,
  anon_sym_BSLASHaddpn_STAR = 177,
  anon_sym_BSLASHqt = 178,
  anon_sym_BSLASHqt_STAR = 179,
  anon_sym_BSLASHsig = 180,
  anon_sym_BSLASHsig_STAR = 181,
  anon_sym_BSLASHsls = 182,
  anon_sym_BSLASHsls_STAR = 183,
  anon_sym_BSLASHtl = 184,
  anon_sym_BSLASHtl_STAR = 185,
  anon_sym_BSLASHwj = 186,
  anon_sym_BSLASHwj_STAR = 187,
  anon_sym_BSLASHem = 188,
  anon_sym_BSLASHem_STAR = 189,
  anon_sym_BSLASHbd = 190,
  anon_sym_BSLASHbd_STAR = 191,
  anon_sym_BSLASHit = 192,
  anon_sym_BSLASHit_STAR = 193,
  anon_sym_BSLASHbdit = 194,
  anon_sym_BSLASHbdit_STAR = 195,
  anon_sym_BSLASHno = 196,
  anon_sym_BSLASHno_STAR = 197,
  anon_sym_BSLASHsc = 198,
  anon_sym_BSLASHsc_STAR = 199,
  anon_sym_BSLASHsup = 200,
  anon_sym_BSLASHsup_STAR = 201,
  anon_sym_BSLASHndx = 202,
  anon_sym_BSLASHndx_STAR = 203,
  anon_sym_BSLASHpro = 204,
  anon_sym_BSLASHpro_STAR = 205,
  anon_sym_BSLASHrb = 206,
  anon_sym_BSLASHrb_STAR = 207,
  anon_sym_BSLASHw = 208,
  anon_sym_BSLASHw_STAR = 209,
  anon_sym_BSLASHwg = 210,
  anon_sym_BSLASHwg_STAR = 211,
  anon_sym_BSLASHwh = 212,
  anon_sym_BSLASHwh_STAR = 213,
  anon_sym_BSLASHwa = 214,
  anon_sym_BSLASHwa_STAR = 215,
  anon_sym_BSLASH_PLUSadd = 216,
  anon_sym_BSLASH_PLUSadd_STAR = 217,
  anon_sym_BSLASH_PLUSbk = 218,
  anon_sym_BSLASH_PLUSbk_STAR = 219,
  anon_sym_BSLASH_PLUSdc = 220,
  anon_sym_BSLASH_PLUSdc_STAR = 221,
  anon_sym_BSLASH_PLUSk = 222,
  anon_sym_BSLASH_PLUSk_STAR = 223,
  anon_sym_BSLASH_PLUSnd = 224,
  anon_sym_BSLASH_PLUSnd_STAR = 225,
  anon_sym_BSLASH_PLUSord = 226,
  anon_sym_BSLASH_PLUSord_STAR = 227,
  anon_sym_BSLASH_PLUSpn = 228,
  anon_sym_BSLASH_PLUSpn_STAR = 229,
  anon_sym_BSLASH_PLUSpng = 230,
  anon_sym_BSLASH_PLUSpng_STAR = 231,
  anon_sym_BSLASH_PLUSaddpn = 232,
  anon_sym_BSLASH_PLUSaddpn_STAR = 233,
  anon_sym_BSLASH_PLUSqt = 234,
  anon_sym_BSLASH_PLUSqt_STAR = 235,
  anon_sym_BSLASH_PLUSsig = 236,
  anon_sym_BSLASH_PLUSsig_STAR = 237,
  anon_sym_BSLASH_PLUSsls = 238,
  anon_sym_BSLASH_PLUSsls_STAR = 239,
  anon_sym_BSLASH_PLUStl = 240,
  anon_sym_BSLASH_PLUStl_STAR = 241,
  anon_sym_BSLASH_PLUSwj = 242,
  anon_sym_BSLASH_PLUSwj_STAR = 243,
  anon_sym_BSLASH_PLUSem = 244,
  anon_sym_BSLASH_PLUSem_STAR = 245,
  anon_sym_BSLASH_PLUSbd = 246,
  anon_sym_BSLASH_PLUSbd_STAR = 247,
  anon_sym_BSLASH_PLUSit = 248,
  anon_sym_BSLASH_PLUSit_STAR = 249,
  anon_sym_BSLASH_PLUSbdit = 250,
  anon_sym_BSLASH_PLUSbdit_STAR = 251,
  anon_sym_BSLASH_PLUSno = 252,
  anon_sym_BSLASH_PLUSno_STAR = 253,
  anon_sym_BSLASH_PLUSsc = 254,
  anon_sym_BSLASH_PLUSsc_STAR = 255,
  anon_sym_BSLASH_PLUSsup = 256,
  anon_sym_BSLASH_PLUSsup_STAR = 257,
  anon_sym_BSLASH_PLUSndx = 258,
  anon_sym_BSLASH_PLUSndx_STAR = 259,
  anon_sym_BSLASH_PLUSpro = 260,
  anon_sym_BSLASH_PLUSpro_STAR = 261,
  anon_sym_BSLASH_PLUSrb = 262,
  anon_sym_BSLASH_PLUSrb_STAR = 263,
  anon_sym_BSLASH_PLUSw = 264,
  anon_sym_BSLASH_PLUSw_STAR = 265,
  anon_sym_BSLASH_PLUSwg = 266,
  anon_sym_BSLASH_PLUSwg_STAR = 267,
  anon_sym_BSLASH_PLUSwh = 268,
  anon_sym_BSLASH_PLUSwh_STAR = 269,
  anon_sym_BSLASH_PLUSwa = 270,
  anon_sym_BSLASH_PLUSwa_STAR = 271,
  anon_sym_BSLASHfig = 272,
  anon_sym_BSLASHfig_STAR = 273,
  anon_sym_BSLASHjmp = 274,
  anon_sym_BSLASHjmp_STAR = 275,
  anon_sym_BSLASH_PLUSjmp = 276,
  anon_sym_BSLASH_PLUSjmp_STAR = 277,
  anon_sym_BSLASHpb = 278,
  anon_sym_BSLASH = 279,
  aux_sym_milestoneTag_token1 = 280,
  anon_sym_BSLASH_STAR = 281,
  sym_milestoneStartTag = 282,
  sym_milestoneEndTag = 283,
  sym_zSpaceTag = 284,
  sym__zSpaceClose = 285,
  anon_sym_BSLASHesb = 286,
  anon_sym_BSLASHesbe = 287,
  sym_category = 288,
  anon_sym_BSLASHcat = 289,
  anon_sym_BSLASHcat_STAR = 290,
  anon_sym_EQ = 291,
  anon_sym_DQUOTE = 292,
  sym_customAttributeName = 293,
  sym_attributeValue = 294,
  anon_sym_PIPE = 295,
  anon_sym_key = 296,
  anon_sym_lemma = 297,
  anon_sym_strong = 298,
  anon_sym_srcloc = 299,
  anon_sym_gloss = 300,
  anon_sym_link_DASHhref = 301,
  anon_sym_link_DASHtitle = 302,
  anon_sym_link_DASHid = 303,
  anon_sym_href = 304,
  anon_sym_title = 305,
  anon_sym_id = 306,
  anon_sym_x_DASH = 307,
  aux_sym__linkAttributeUserDefinedName_token1 = 308,
  anon_sym_alt = 309,
  anon_sym_src = 310,
  anon_sym_size = 311,
  anon_sym_loc = 312,
  anon_sym_copy = 313,
  anon_sym_ref = 314,
  anon_sym_sid = 315,
  anon_sym_eid = 316,
  anon_sym_who = 317,
  sym_File = 318,
  sym__mandatoryHead = 319,
  sym_text = 320,
  sym__text = 321,
  sym_book = 322,
  sym_description = 323,
  sym_id = 324,
  sym__bookHeader = 325,
  sym_usfm = 326,
  sym_ide = 327,
  sym_hBlock = 328,
  sym_tocBlock = 329,
  sym_tocaBlock = 330,
  sym_ref = 331,
  sym_h = 332,
  sym_hTag = 333,
  sym_toc = 334,
  sym_tocTag = 335,
  sym_toca = 336,
  sym_tocaTag = 337,
  sym__comments = 338,
  sym_sts = 339,
  sym_rem = 340,
  sym_restore = 341,
  sym_lit = 342,
  aux_sym__introText = 343,
  sym_iqt = 344,
  sym_imtBlock = 345,
  sym_imt = 346,
  sym_imtTag = 347,
  sym_imteBlock = 348,
  sym_imte = 349,
  sym_imteTag = 350,
  sym__midIntroMarker = 351,
  sym_isBlock = 352,
  sym_is = 353,
  sym_isTag = 354,
  sym_io = 355,
  sym_ioTag = 356,
  sym_ior = 357,
  sym_iot = 358,
  sym_ip = 359,
  sym_im = 360,
  sym_ipi = 361,
  sym_imi = 362,
  sym_iliBlock = 363,
  sym_ili = 364,
  sym_iliTag = 365,
  sym_ipq = 366,
  sym_imq = 367,
  sym_ipr = 368,
  sym_ib = 369,
  sym_iqBlock = 370,
  sym_iq = 371,
  sym_iqTag = 372,
  sym_ie = 373,
  sym_iex = 374,
  sym_verseText = 375,
  sym_v = 376,
  sym__verseMeta = 377,
  sym_va = 378,
  sym_vp = 379,
  sym_chapter = 380,
  sym_c = 381,
  sym__chapterContent = 382,
  sym__chapterMeta = 383,
  sym_cl = 384,
  sym_ca = 385,
  sym_cp = 386,
  sym_cd = 387,
  sym_title = 388,
  sym_mtBlock = 389,
  sym_mt = 390,
  sym_mtTag = 391,
  sym_mteBlock = 392,
  sym_mte = 393,
  sym_mteTag = 394,
  sym_msBlock = 395,
  sym_ms = 396,
  sym_msTag = 397,
  sym_mr = 398,
  sym_sBlock = 399,
  sym_s = 400,
  sym_sTag = 401,
  sym_sr = 402,
  sym_r = 403,
  sym_sp = 404,
  sym_d = 405,
  sym_sdBlock = 406,
  sym_sd = 407,
  sym_sdTag = 408,
  sym_paragraph = 409,
  sym__paragraphContent = 410,
  sym_p = 411,
  sym_m = 412,
  sym_po = 413,
  sym_pr = 414,
  sym_cls = 415,
  sym_pmo = 416,
  sym_pm = 417,
  sym_pmc = 418,
  sym_pmr = 419,
  sym_piBlock = 420,
  sym_pi = 421,
  sym_piTag = 422,
  sym_mi = 423,
  sym_nb = 424,
  sym_pc = 425,
  sym_phBlock = 426,
  sym_ph = 427,
  sym_phTag = 428,
  sym_b = 429,
  sym_poetry = 430,
  sym__poetryContent = 431,
  sym_qBlock = 432,
  sym_q = 433,
  sym_qTag = 434,
  sym_qr = 435,
  sym_qc = 436,
  sym_qs = 437,
  sym_qa = 438,
  sym_qac = 439,
  sym_qmBlock = 440,
  sym_qm = 441,
  sym_qmTag = 442,
  sym_qd = 443,
  sym_list = 444,
  sym_lh = 445,
  sym_lf = 446,
  sym__listMarker = 447,
  sym_liBlock = 448,
  sym_li = 449,
  sym_liTag = 450,
  sym_limBlock = 451,
  sym_lim = 452,
  sym_limTag = 453,
  sym_liv = 454,
  sym_livTag = 455,
  sym_lik = 456,
  sym_litl = 457,
  sym__listTextContent = 458,
  sym_table = 459,
  sym__tableText = 460,
  sym_tr = 461,
  sym_th = 462,
  sym_thr = 463,
  sym_tc = 464,
  sym_tcr = 465,
  sym_footnoteText = 466,
  sym_crossrefText = 467,
  sym_footnote = 468,
  sym_f = 469,
  sym_fe = 470,
  sym_ef = 471,
  sym_fr = 472,
  sym_fq = 473,
  sym_fqa = 474,
  sym_fk = 475,
  sym_fl = 476,
  sym_fw = 477,
  sym_fp = 478,
  sym_ft = 479,
  sym_fdc = 480,
  sym_fv = 481,
  sym_fm = 482,
  sym__footnoteContents = 483,
  sym_crossref = 484,
  sym_x = 485,
  sym_xo = 486,
  sym_xk = 487,
  sym_xq = 488,
  sym_xt = 489,
  sym_xtNested = 490,
  sym_xt_standalone = 491,
  sym_xta = 492,
  sym_xop = 493,
  sym_xot = 494,
  sym_xnt = 495,
  sym_xdc = 496,
  sym__crossrefContents = 497,
  sym_rq = 498,
  sym__innerText = 499,
  sym_add = 500,
  sym_bk = 501,
  sym_dc = 502,
  sym_k = 503,
  sym_nd = 504,
  sym_ord = 505,
  sym_pn = 506,
  sym_png = 507,
  sym_addpn = 508,
  sym_qt = 509,
  sym_sig = 510,
  sym_sls = 511,
  sym_tl = 512,
  sym_wj = 513,
  sym_em = 514,
  sym_bd = 515,
  sym_it = 516,
  sym_bdit = 517,
  sym_no = 518,
  sym_sc = 519,
  sym_sup = 520,
  sym_ndx = 521,
  sym_pro = 522,
  sym_rb = 523,
  sym_w = 524,
  sym_wg = 525,
  sym_wh = 526,
  sym_wa = 527,
  sym__characterMarker = 528,
  sym_addNested = 529,
  sym_bkNested = 530,
  sym_dcNested = 531,
  sym_kNested = 532,
  sym_ndNested = 533,
  sym_ordNested = 534,
  sym_pnNested = 535,
  sym_pngNested = 536,
  sym_addpnNested = 537,
  sym_qtNested = 538,
  sym_sigNested = 539,
  sym_slsNested = 540,
  sym_tlNested = 541,
  sym_wjNested = 542,
  sym_emNested = 543,
  sym_bdNested = 544,
  sym_itNested = 545,
  sym_bditNested = 546,
  sym_noNested = 547,
  sym_scNested = 548,
  sym_supNested = 549,
  sym_ndxNested = 550,
  sym_proNested = 551,
  sym_rbNested = 552,
  sym_wNested = 553,
  sym_wgNested = 554,
  sym_whNested = 555,
  sym_waNested = 556,
  sym__nestedCharacterMarker = 557,
  sym_fig = 558,
  sym_jmp = 559,
  sym_jmpNested = 560,
  sym_pb = 561,
  sym_milestoneTag = 562,
  sym__milestoneStandaloneMarker = 563,
  sym__milestoneStart = 564,
  sym__milestoneEnd = 565,
  sym_milestone = 566,
  sym__zNameSpaceRegular = 567,
  sym__zNameSpaceClosed = 568,
  sym__zNameSpaceStandaloneMarker = 569,
  sym_zNameSpace = 570,
  sym_esb = 571,
  sym__esbContents = 572,
  sym_cat = 573,
  sym_customAttribute = 574,
  sym_defaultAttribute = 575,
  sym__kAttributes = 576,
  sym_keyAttribute = 577,
  sym__wAttributes = 578,
  sym__rbAttributes = 579,
  sym__figAttributes = 580,
  sym__refAttributes = 581,
  sym_lemmaAttribute = 582,
  sym_strongAttribute = 583,
  sym_scrlocAttribute = 584,
  sym_glossAttribute = 585,
  sym__jmpAttribute = 586,
  sym_linkAttribute = 587,
  sym__linkAttributeName = 588,
  sym__linkAttributeUserDefinedName = 589,
  sym_altAttribute = 590,
  sym_srcAttribute = 591,
  sym_sizeAttribute = 592,
  sym_locAttribute = 593,
  sym_copyAttribute = 594,
  sym_refAttribute = 595,
  sym__milestoneAttributes = 596,
  sym_msAttribute = 597,
  sym_milestoneAttributeName = 598,
  sym__attributesInCrossref = 599,
  aux_sym_File_repeat1 = 600,
  aux_sym_File_repeat2 = 601,
  aux_sym__mandatoryHead_repeat1 = 602,
  aux_sym_hBlock_repeat1 = 603,
  aux_sym_tocBlock_repeat1 = 604,
  aux_sym_tocaBlock_repeat1 = 605,
  aux_sym_imtBlock_repeat1 = 606,
  aux_sym_imteBlock_repeat1 = 607,
  aux_sym_isBlock_repeat1 = 608,
  aux_sym_iliBlock_repeat1 = 609,
  aux_sym_iqBlock_repeat1 = 610,
  aux_sym_verseText_repeat1 = 611,
  aux_sym_v_repeat1 = 612,
  aux_sym_chapter_repeat1 = 613,
  aux_sym_c_repeat1 = 614,
  aux_sym_cd_repeat1 = 615,
  aux_sym_mtBlock_repeat1 = 616,
  aux_sym_mt_repeat1 = 617,
  aux_sym_mteBlock_repeat1 = 618,
  aux_sym_msBlock_repeat1 = 619,
  aux_sym_ms_repeat1 = 620,
  aux_sym_sBlock_repeat1 = 621,
  aux_sym_sdBlock_repeat1 = 622,
  aux_sym_p_repeat1 = 623,
  aux_sym_piBlock_repeat1 = 624,
  aux_sym_phBlock_repeat1 = 625,
  aux_sym_poetry_repeat1 = 626,
  aux_sym_qBlock_repeat1 = 627,
  aux_sym_q_repeat1 = 628,
  aux_sym_qa_repeat1 = 629,
  aux_sym_qmBlock_repeat1 = 630,
  aux_sym_list_repeat1 = 631,
  aux_sym_liBlock_repeat1 = 632,
  aux_sym_li_repeat1 = 633,
  aux_sym_limBlock_repeat1 = 634,
  aux_sym_liv_repeat1 = 635,
  aux_sym_table_repeat1 = 636,
  aux_sym_tr_repeat1 = 637,
  aux_sym_footnoteText_repeat1 = 638,
  aux_sym_crossrefText_repeat1 = 639,
  aux_sym_f_repeat1 = 640,
  aux_sym_x_repeat1 = 641,
  aux_sym__innerText_repeat1 = 642,
  aux_sym_esb_repeat1 = 643,
  aux_sym__wAttributes_repeat1 = 644,
  aux_sym__rbAttributes_repeat1 = 645,
  aux_sym__figAttributes_repeat1 = 646,
  aux_sym__jmpAttribute_repeat1 = 647,
  aux_sym__milestoneAttributes_repeat1 = 648,
  aux_sym__attributesInCrossref_repeat1 = 649,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_bookcode] = "bookcode",
  [aux_sym_text_token1] = "text_token1",
  [sym__spaceOrLine] = "_spaceOrLine",
  [anon_sym_BSLASHid] = "\\id ",
  [sym_numberedLevelMax3] = "numberedLevelMax3",
  [sym_numberedLevelMax4] = "numberedLevelMax4",
  [sym_numberedLevelMax5] = "numberedLevelMax5",
  [sym_versionNumber] = "versionNumber",
  [anon_sym_BSLASHusfm] = "\\usfm ",
  [anon_sym_BSLASHide] = "\\ide ",
  [anon_sym_BSLASHref] = "\\ref ",
  [anon_sym_BSLASHref_STAR] = "\\ref*",
  [anon_sym_BSLASHh] = "\\h",
  [anon_sym_SPACE] = " ",
  [anon_sym_BSLASHtoc] = "\\toc",
  [anon_sym_BSLASHtoca] = "\\toca",
  [anon_sym_BSLASHsts] = "\\sts ",
  [anon_sym_BSLASHrem] = "\\rem ",
  [anon_sym_BSLASHrestore] = "\\restore ",
  [anon_sym_BSLASHlit] = "\\lit ",
  [anon_sym_BSLASHiqt] = "\\iqt ",
  [anon_sym_BSLASHiqt_STAR] = "\\iqt*",
  [anon_sym_BSLASHimt] = "\\imt",
  [anon_sym_BSLASHimte] = "\\imte",
  [aux_sym_imteTag_token1] = "imteTag_token1",
  [anon_sym_BSLASHis] = "\\is",
  [anon_sym_BSLASHio] = "\\io",
  [anon_sym_BSLASHior] = "\\ior ",
  [anon_sym_BSLASHior_STAR] = "\\ior*",
  [anon_sym_BSLASHiot] = "\\iot ",
  [anon_sym_BSLASHip] = "\\ip ",
  [anon_sym_BSLASHim] = "\\im ",
  [anon_sym_BSLASHipi] = "\\ipi ",
  [anon_sym_BSLASHimi] = "\\imi ",
  [anon_sym_BSLASHili] = "\\ili",
  [anon_sym_BSLASHipq] = "\\ipq ",
  [anon_sym_BSLASHimq] = "\\imq ",
  [anon_sym_BSLASHipr] = "\\ipr ",
  [anon_sym_BSLASHib] = "\\ib",
  [anon_sym_BSLASHiq] = "\\iq",
  [anon_sym_BSLASHie] = "\\ie",
  [anon_sym_BSLASHiex] = "\\iex ",
  [anon_sym_BSLASHv] = "\\v ",
  [sym_verseNumber] = "verseNumber",
  [anon_sym_BSLASHva] = "\\va ",
  [anon_sym_BSLASHva_STAR] = "\\va*",
  [anon_sym_BSLASHvp] = "\\vp ",
  [anon_sym_BSLASHvp_STAR] = "\\vp*",
  [anon_sym_BSLASHc] = "\\c ",
  [sym_chapterNumber] = "chapterNumber",
  [anon_sym_BSLASHcl] = "\\cl ",
  [anon_sym_BSLASHca] = "\\ca ",
  [anon_sym_BSLASHca_STAR] = "\\ca*",
  [anon_sym_BSLASHcp] = "\\cp ",
  [anon_sym_BSLASHcd] = "\\cd ",
  [anon_sym_BSLASHmt] = "\\mt",
  [anon_sym_BSLASHmte] = "\\mte",
  [anon_sym_BSLASHms] = "\\ms",
  [anon_sym_BSLASHmr] = "\\mr ",
  [anon_sym_BSLASHs] = "\\s",
  [anon_sym_BSLASHsr] = "\\sr ",
  [anon_sym_BSLASHr] = "\\r ",
  [anon_sym_BSLASHsp] = "\\sp ",
  [anon_sym_BSLASHd] = "\\d ",
  [anon_sym_BSLASHsd] = "\\sd",
  [anon_sym_BSLASHp] = "\\p",
  [anon_sym_BSLASHm] = "\\m",
  [anon_sym_BSLASHpo] = "\\po",
  [anon_sym_BSLASHpr] = "\\pr",
  [anon_sym_BSLASHcls] = "\\cls",
  [anon_sym_BSLASHpmo] = "\\pmo",
  [anon_sym_BSLASHpm] = "\\pm",
  [anon_sym_BSLASHpmc] = "\\pmc",
  [anon_sym_BSLASHpmr] = "\\pmr",
  [anon_sym_BSLASHpi] = "\\pi",
  [anon_sym_BSLASHmi] = "\\mi",
  [anon_sym_BSLASHnb] = "\\nb",
  [anon_sym_BSLASHpc] = "\\pc",
  [anon_sym_BSLASHph] = "\\ph",
  [anon_sym_BSLASHphi] = "\\phi",
  [anon_sym_BSLASHb] = "\\b",
  [anon_sym_BSLASHq] = "\\q",
  [anon_sym_BSLASHqr] = "\\qr",
  [anon_sym_BSLASHqc] = "\\qc",
  [anon_sym_BSLASHqs] = "\\qs",
  [anon_sym_BSLASHqs_STAR] = "\\qs*",
  [anon_sym_BSLASHqa] = "\\qa",
  [anon_sym_BSLASHqac] = "\\qac",
  [anon_sym_BSLASHqac_STAR] = "\\qac*",
  [anon_sym_BSLASHqm] = "\\qm",
  [anon_sym_BSLASHqd] = "\\qd",
  [anon_sym_BSLASHlh] = "\\lh",
  [anon_sym_BSLASHlf] = "\\lf",
  [anon_sym_BSLASHli] = "\\li",
  [anon_sym_BSLASHlim] = "\\lim",
  [anon_sym_STAR] = "*",
  [anon_sym_BSLASHliv] = "\\liv",
  [anon_sym_BSLASHlik] = "\\lik ",
  [anon_sym_BSLASHlik_STAR] = "\\lik*",
  [anon_sym_BSLASHlitl] = "\\litl ",
  [anon_sym_BSLASHlitl_STAR] = "\\litl*",
  [anon_sym_BSLASHtr] = "\\tr",
  [sym_thTag] = "thTag",
  [sym_thrTag] = "thrTag",
  [sym_tcTag] = "tcTag",
  [sym_tcrTag] = "tcrTag",
  [sym_caller] = "caller",
  [anon_sym_BSLASHf] = "\\f ",
  [anon_sym_BSLASHf_STAR] = "\\f*",
  [anon_sym_BSLASHfe] = "\\fe ",
  [anon_sym_BSLASHfe_STAR] = "\\fe*",
  [anon_sym_BSLASHef] = "\\ef ",
  [anon_sym_BSLASHef_STAR] = "\\ef*",
  [anon_sym_BSLASHfr] = "\\fr ",
  [anon_sym_BSLASHfr_STAR] = "\\fr*",
  [anon_sym_BSLASHfq] = "\\fq ",
  [anon_sym_BSLASHfq_STAR] = "\\fq*",
  [anon_sym_BSLASHfqa] = "\\fqa ",
  [anon_sym_BSLASHfqa_STAR] = "\\fqa*",
  [anon_sym_BSLASHfk] = "\\fk ",
  [anon_sym_BSLASHfk_STAR] = "\\fk*",
  [anon_sym_BSLASHfl] = "\\fl ",
  [anon_sym_BSLASHfl_STAR] = "\\fl*",
  [anon_sym_BSLASHfw] = "\\fw ",
  [anon_sym_BSLASHfw_STAR] = "\\fw*",
  [anon_sym_BSLASHfp] = "\\fp ",
  [anon_sym_BSLASHfp_STAR] = "\\fp*",
  [anon_sym_BSLASHft] = "\\ft ",
  [anon_sym_BSLASHft_STAR] = "\\ft*",
  [anon_sym_BSLASHfdc] = "\\fdc ",
  [anon_sym_BSLASHfdc_STAR] = "\\fdc*",
  [anon_sym_BSLASHfv] = "\\fv ",
  [anon_sym_BSLASHfv_STAR] = "\\fv*",
  [anon_sym_BSLASHfm] = "\\fm ",
  [anon_sym_BSLASHfm_STAR] = "\\fm*",
  [anon_sym_BSLASHx] = "\\x ",
  [anon_sym_BSLASHx_STAR] = "\\x*",
  [anon_sym_BSLASHxo] = "\\xo ",
  [anon_sym_BSLASHxo_STAR] = "\\xo*",
  [anon_sym_BSLASHxk] = "\\xk ",
  [anon_sym_BSLASHxk_STAR] = "\\xk*",
  [anon_sym_BSLASHxq] = "\\xq ",
  [anon_sym_BSLASHxq_STAR] = "\\xq*",
  [anon_sym_BSLASHxt] = "\\xt ",
  [anon_sym_BSLASHxt_STAR] = "\\xt*",
  [anon_sym_BSLASH_PLUSxt] = "\\+xt ",
  [anon_sym_BSLASH_PLUSxt_STAR] = "\\+xt*",
  [anon_sym_BSLASHxta] = "\\xta ",
  [anon_sym_BSLASHxta_STAR] = "\\xta*",
  [anon_sym_BSLASHxop] = "\\xop ",
  [anon_sym_BSLASHxop_STAR] = "\\xop*",
  [anon_sym_BSLASHxot] = "\\xot ",
  [anon_sym_BSLASHxot_STAR] = "\\xot*",
  [anon_sym_BSLASHxnt] = "\\xnt ",
  [anon_sym_BSLASHxnt_STAR] = "\\xnt*",
  [anon_sym_BSLASHxdc] = "\\xdc ",
  [anon_sym_BSLASHxdc_STAR] = "\\xdc*",
  [anon_sym_BSLASHrq] = "\\rq ",
  [anon_sym_BSLASHrq_STAR] = "\\rq*",
  [anon_sym_BSLASHadd] = "\\add",
  [anon_sym_BSLASHadd_STAR] = "\\add*",
  [anon_sym_BSLASHbk] = "\\bk",
  [anon_sym_BSLASHbk_STAR] = "\\bk*",
  [anon_sym_BSLASHdc] = "\\dc",
  [anon_sym_BSLASHdc_STAR] = "\\dc*",
  [anon_sym_BSLASHk] = "\\k",
  [anon_sym_BSLASHk_STAR] = "\\k*",
  [anon_sym_BSLASHnd] = "\\nd",
  [anon_sym_BSLASHnd_STAR] = "\\nd*",
  [anon_sym_BSLASHord] = "\\ord",
  [anon_sym_BSLASHord_STAR] = "\\ord*",
  [anon_sym_BSLASHpn] = "\\pn",
  [anon_sym_BSLASHpn_STAR] = "\\pn*",
  [anon_sym_BSLASHpng] = "\\png",
  [anon_sym_BSLASHpng_STAR] = "\\png*",
  [anon_sym_BSLASHaddpn] = "\\addpn",
  [anon_sym_BSLASHaddpn_STAR] = "\\addpn*",
  [anon_sym_BSLASHqt] = "\\qt",
  [anon_sym_BSLASHqt_STAR] = "\\qt*",
  [anon_sym_BSLASHsig] = "\\sig",
  [anon_sym_BSLASHsig_STAR] = "\\sig*",
  [anon_sym_BSLASHsls] = "\\sls",
  [anon_sym_BSLASHsls_STAR] = "\\sls*",
  [anon_sym_BSLASHtl] = "\\tl",
  [anon_sym_BSLASHtl_STAR] = "\\tl*",
  [anon_sym_BSLASHwj] = "\\wj",
  [anon_sym_BSLASHwj_STAR] = "\\wj*",
  [anon_sym_BSLASHem] = "\\em",
  [anon_sym_BSLASHem_STAR] = "\\em*",
  [anon_sym_BSLASHbd] = "\\bd",
  [anon_sym_BSLASHbd_STAR] = "\\bd*",
  [anon_sym_BSLASHit] = "\\it",
  [anon_sym_BSLASHit_STAR] = "\\it*",
  [anon_sym_BSLASHbdit] = "\\bdit",
  [anon_sym_BSLASHbdit_STAR] = "\\bdit*",
  [anon_sym_BSLASHno] = "\\no",
  [anon_sym_BSLASHno_STAR] = "\\no*",
  [anon_sym_BSLASHsc] = "\\sc",
  [anon_sym_BSLASHsc_STAR] = "\\sc*",
  [anon_sym_BSLASHsup] = "\\sup",
  [anon_sym_BSLASHsup_STAR] = "\\sup*",
  [anon_sym_BSLASHndx] = "\\ndx",
  [anon_sym_BSLASHndx_STAR] = "\\ndx*",
  [anon_sym_BSLASHpro] = "\\pro",
  [anon_sym_BSLASHpro_STAR] = "\\pro*",
  [anon_sym_BSLASHrb] = "\\rb",
  [anon_sym_BSLASHrb_STAR] = "\\rb*",
  [anon_sym_BSLASHw] = "\\w",
  [anon_sym_BSLASHw_STAR] = "\\w*",
  [anon_sym_BSLASHwg] = "\\wg",
  [anon_sym_BSLASHwg_STAR] = "\\wg*",
  [anon_sym_BSLASHwh] = "\\wh",
  [anon_sym_BSLASHwh_STAR] = "\\wh*",
  [anon_sym_BSLASHwa] = "\\wa",
  [anon_sym_BSLASHwa_STAR] = "\\wa*",
  [anon_sym_BSLASH_PLUSadd] = "\\+add",
  [anon_sym_BSLASH_PLUSadd_STAR] = "\\+add*",
  [anon_sym_BSLASH_PLUSbk] = "\\+bk",
  [anon_sym_BSLASH_PLUSbk_STAR] = "\\+bk*",
  [anon_sym_BSLASH_PLUSdc] = "\\+dc",
  [anon_sym_BSLASH_PLUSdc_STAR] = "\\+dc*",
  [anon_sym_BSLASH_PLUSk] = "\\+k",
  [anon_sym_BSLASH_PLUSk_STAR] = "\\+k*",
  [anon_sym_BSLASH_PLUSnd] = "\\+nd",
  [anon_sym_BSLASH_PLUSnd_STAR] = "\\+nd*",
  [anon_sym_BSLASH_PLUSord] = "\\+ord",
  [anon_sym_BSLASH_PLUSord_STAR] = "\\+ord*",
  [anon_sym_BSLASH_PLUSpn] = "\\+pn",
  [anon_sym_BSLASH_PLUSpn_STAR] = "\\+pn*",
  [anon_sym_BSLASH_PLUSpng] = "\\+png",
  [anon_sym_BSLASH_PLUSpng_STAR] = "\\+png*",
  [anon_sym_BSLASH_PLUSaddpn] = "\\+addpn",
  [anon_sym_BSLASH_PLUSaddpn_STAR] = "\\+addpn*",
  [anon_sym_BSLASH_PLUSqt] = "\\+qt",
  [anon_sym_BSLASH_PLUSqt_STAR] = "\\+qt*",
  [anon_sym_BSLASH_PLUSsig] = "\\+sig",
  [anon_sym_BSLASH_PLUSsig_STAR] = "\\+sig*",
  [anon_sym_BSLASH_PLUSsls] = "\\+sls",
  [anon_sym_BSLASH_PLUSsls_STAR] = "\\+sls*",
  [anon_sym_BSLASH_PLUStl] = "\\+tl",
  [anon_sym_BSLASH_PLUStl_STAR] = "\\+tl*",
  [anon_sym_BSLASH_PLUSwj] = "\\+wj",
  [anon_sym_BSLASH_PLUSwj_STAR] = "\\+wj*",
  [anon_sym_BSLASH_PLUSem] = "\\+em",
  [anon_sym_BSLASH_PLUSem_STAR] = "\\+em*",
  [anon_sym_BSLASH_PLUSbd] = "\\+bd",
  [anon_sym_BSLASH_PLUSbd_STAR] = "\\+bd*",
  [anon_sym_BSLASH_PLUSit] = "\\+it",
  [anon_sym_BSLASH_PLUSit_STAR] = "\\+it*",
  [anon_sym_BSLASH_PLUSbdit] = "\\+bdit",
  [anon_sym_BSLASH_PLUSbdit_STAR] = "\\+bdit*",
  [anon_sym_BSLASH_PLUSno] = "\\+no",
  [anon_sym_BSLASH_PLUSno_STAR] = "\\+no*",
  [anon_sym_BSLASH_PLUSsc] = "\\+sc",
  [anon_sym_BSLASH_PLUSsc_STAR] = "\\+sc*",
  [anon_sym_BSLASH_PLUSsup] = "\\+sup",
  [anon_sym_BSLASH_PLUSsup_STAR] = "\\+sup*",
  [anon_sym_BSLASH_PLUSndx] = "\\+ndx",
  [anon_sym_BSLASH_PLUSndx_STAR] = "\\+ndx*",
  [anon_sym_BSLASH_PLUSpro] = "\\+pro",
  [anon_sym_BSLASH_PLUSpro_STAR] = "\\+pro*",
  [anon_sym_BSLASH_PLUSrb] = "\\+rb",
  [anon_sym_BSLASH_PLUSrb_STAR] = "\\+rb*",
  [anon_sym_BSLASH_PLUSw] = "\\+w",
  [anon_sym_BSLASH_PLUSw_STAR] = "\\+w*",
  [anon_sym_BSLASH_PLUSwg] = "\\+wg",
  [anon_sym_BSLASH_PLUSwg_STAR] = "\\+wg*",
  [anon_sym_BSLASH_PLUSwh] = "\\+wh",
  [anon_sym_BSLASH_PLUSwh_STAR] = "\\+wh*",
  [anon_sym_BSLASH_PLUSwa] = "\\+wa",
  [anon_sym_BSLASH_PLUSwa_STAR] = "\\+wa*",
  [anon_sym_BSLASHfig] = "\\fig",
  [anon_sym_BSLASHfig_STAR] = "\\fig*",
  [anon_sym_BSLASHjmp] = "\\jmp",
  [anon_sym_BSLASHjmp_STAR] = "\\jmp*",
  [anon_sym_BSLASH_PLUSjmp] = "\\+jmp",
  [anon_sym_BSLASH_PLUSjmp_STAR] = "\\+jmp*",
  [anon_sym_BSLASHpb] = "\\pb",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_milestoneTag_token1] = "milestoneTag_token1",
  [anon_sym_BSLASH_STAR] = "\\*",
  [sym_milestoneStartTag] = "milestoneStartTag",
  [sym_milestoneEndTag] = "milestoneEndTag",
  [sym_zSpaceTag] = "zSpaceTag",
  [sym__zSpaceClose] = "_zSpaceClose",
  [anon_sym_BSLASHesb] = "\\esb",
  [anon_sym_BSLASHesbe] = "\\esbe",
  [sym_category] = "category",
  [anon_sym_BSLASHcat] = "\\cat",
  [anon_sym_BSLASHcat_STAR] = "\\cat*",
  [anon_sym_EQ] = "=",
  [anon_sym_DQUOTE] = "\"",
  [sym_customAttributeName] = "customAttributeName",
  [sym_attributeValue] = "attributeValue",
  [anon_sym_PIPE] = "|",
  [anon_sym_key] = "key",
  [anon_sym_lemma] = "lemma",
  [anon_sym_strong] = "strong",
  [anon_sym_srcloc] = "srcloc",
  [anon_sym_gloss] = "gloss",
  [anon_sym_link_DASHhref] = "link-href",
  [anon_sym_link_DASHtitle] = "link-title",
  [anon_sym_link_DASHid] = "link-id",
  [anon_sym_href] = "href",
  [anon_sym_title] = "title",
  [anon_sym_id] = "id",
  [anon_sym_x_DASH] = "x-",
  [aux_sym__linkAttributeUserDefinedName_token1] = "_linkAttributeUserDefinedName_token1",
  [anon_sym_alt] = "alt",
  [anon_sym_src] = "src",
  [anon_sym_size] = "size",
  [anon_sym_loc] = "loc",
  [anon_sym_copy] = "copy",
  [anon_sym_ref] = "ref",
  [anon_sym_sid] = "sid",
  [anon_sym_eid] = "eid",
  [anon_sym_who] = "who",
  [sym_File] = "File",
  [sym__mandatoryHead] = "_mandatoryHead",
  [sym_text] = "text",
  [sym__text] = "_text",
  [sym_book] = "book",
  [sym_description] = "description",
  [sym_id] = "id",
  [sym__bookHeader] = "_bookHeader",
  [sym_usfm] = "usfm",
  [sym_ide] = "ide",
  [sym_hBlock] = "hBlock",
  [sym_tocBlock] = "tocBlock",
  [sym_tocaBlock] = "tocaBlock",
  [sym_ref] = "ref",
  [sym_h] = "h",
  [sym_hTag] = "hTag",
  [sym_toc] = "toc",
  [sym_tocTag] = "tocTag",
  [sym_toca] = "toca",
  [sym_tocaTag] = "tocaTag",
  [sym__comments] = "_comments",
  [sym_sts] = "sts",
  [sym_rem] = "rem",
  [sym_restore] = "restore",
  [sym_lit] = "lit",
  [aux_sym__introText] = "_introText",
  [sym_iqt] = "iqt",
  [sym_imtBlock] = "imtBlock",
  [sym_imt] = "imt",
  [sym_imtTag] = "imtTag",
  [sym_imteBlock] = "imteBlock",
  [sym_imte] = "imte",
  [sym_imteTag] = "imteTag",
  [sym__midIntroMarker] = "_midIntroMarker",
  [sym_isBlock] = "isBlock",
  [sym_is] = "is",
  [sym_isTag] = "isTag",
  [sym_io] = "io",
  [sym_ioTag] = "ioTag",
  [sym_ior] = "ior",
  [sym_iot] = "iot",
  [sym_ip] = "ip",
  [sym_im] = "im",
  [sym_ipi] = "ipi",
  [sym_imi] = "imi",
  [sym_iliBlock] = "iliBlock",
  [sym_ili] = "ili",
  [sym_iliTag] = "iliTag",
  [sym_ipq] = "ipq",
  [sym_imq] = "imq",
  [sym_ipr] = "ipr",
  [sym_ib] = "ib",
  [sym_iqBlock] = "iqBlock",
  [sym_iq] = "iq",
  [sym_iqTag] = "iqTag",
  [sym_ie] = "ie",
  [sym_iex] = "iex",
  [sym_verseText] = "verseText",
  [sym_v] = "v",
  [sym__verseMeta] = "_verseMeta",
  [sym_va] = "va",
  [sym_vp] = "vp",
  [sym_chapter] = "chapter",
  [sym_c] = "c",
  [sym__chapterContent] = "_chapterContent",
  [sym__chapterMeta] = "_chapterMeta",
  [sym_cl] = "cl",
  [sym_ca] = "ca",
  [sym_cp] = "cp",
  [sym_cd] = "cd",
  [sym_title] = "title",
  [sym_mtBlock] = "mtBlock",
  [sym_mt] = "mt",
  [sym_mtTag] = "mtTag",
  [sym_mteBlock] = "mteBlock",
  [sym_mte] = "mte",
  [sym_mteTag] = "mteTag",
  [sym_msBlock] = "msBlock",
  [sym_ms] = "ms",
  [sym_msTag] = "msTag",
  [sym_mr] = "mr",
  [sym_sBlock] = "sBlock",
  [sym_s] = "s",
  [sym_sTag] = "sTag",
  [sym_sr] = "sr",
  [sym_r] = "r",
  [sym_sp] = "sp",
  [sym_d] = "d",
  [sym_sdBlock] = "sdBlock",
  [sym_sd] = "sd",
  [sym_sdTag] = "sdTag",
  [sym_paragraph] = "paragraph",
  [sym__paragraphContent] = "_paragraphContent",
  [sym_p] = "p",
  [sym_m] = "m",
  [sym_po] = "po",
  [sym_pr] = "pr",
  [sym_cls] = "cls",
  [sym_pmo] = "pmo",
  [sym_pm] = "pm",
  [sym_pmc] = "pmc",
  [sym_pmr] = "pmr",
  [sym_piBlock] = "piBlock",
  [sym_pi] = "pi",
  [sym_piTag] = "piTag",
  [sym_mi] = "mi",
  [sym_nb] = "nb",
  [sym_pc] = "pc",
  [sym_phBlock] = "phBlock",
  [sym_ph] = "ph",
  [sym_phTag] = "phTag",
  [sym_b] = "b",
  [sym_poetry] = "poetry",
  [sym__poetryContent] = "_poetryContent",
  [sym_qBlock] = "qBlock",
  [sym_q] = "q",
  [sym_qTag] = "qTag",
  [sym_qr] = "qr",
  [sym_qc] = "qc",
  [sym_qs] = "qs",
  [sym_qa] = "qa",
  [sym_qac] = "qac",
  [sym_qmBlock] = "qmBlock",
  [sym_qm] = "qm",
  [sym_qmTag] = "qmTag",
  [sym_qd] = "qd",
  [sym_list] = "list",
  [sym_lh] = "lh",
  [sym_lf] = "lf",
  [sym__listMarker] = "_listMarker",
  [sym_liBlock] = "liBlock",
  [sym_li] = "li",
  [sym_liTag] = "liTag",
  [sym_limBlock] = "limBlock",
  [sym_lim] = "lim",
  [sym_limTag] = "limTag",
  [sym_liv] = "liv",
  [sym_livTag] = "livTag",
  [sym_lik] = "lik",
  [sym_litl] = "litl",
  [sym__listTextContent] = "_listTextContent",
  [sym_table] = "table",
  [sym__tableText] = "_tableText",
  [sym_tr] = "tr",
  [sym_th] = "th",
  [sym_thr] = "thr",
  [sym_tc] = "tc",
  [sym_tcr] = "tcr",
  [sym_footnoteText] = "footnoteText",
  [sym_crossrefText] = "crossrefText",
  [sym_footnote] = "footnote",
  [sym_f] = "f",
  [sym_fe] = "fe",
  [sym_ef] = "ef",
  [sym_fr] = "fr",
  [sym_fq] = "fq",
  [sym_fqa] = "fqa",
  [sym_fk] = "fk",
  [sym_fl] = "fl",
  [sym_fw] = "fw",
  [sym_fp] = "fp",
  [sym_ft] = "ft",
  [sym_fdc] = "fdc",
  [sym_fv] = "fv",
  [sym_fm] = "fm",
  [sym__footnoteContents] = "_footnoteContents",
  [sym_crossref] = "crossref",
  [sym_x] = "x",
  [sym_xo] = "xo",
  [sym_xk] = "xk",
  [sym_xq] = "xq",
  [sym_xt] = "xt",
  [sym_xtNested] = "xtNested",
  [sym_xt_standalone] = "xt_standalone",
  [sym_xta] = "xta",
  [sym_xop] = "xop",
  [sym_xot] = "xot",
  [sym_xnt] = "xnt",
  [sym_xdc] = "xdc",
  [sym__crossrefContents] = "_crossrefContents",
  [sym_rq] = "rq",
  [sym__innerText] = "_innerText",
  [sym_add] = "add",
  [sym_bk] = "bk",
  [sym_dc] = "dc",
  [sym_k] = "k",
  [sym_nd] = "nd",
  [sym_ord] = "ord",
  [sym_pn] = "pn",
  [sym_png] = "png",
  [sym_addpn] = "addpn",
  [sym_qt] = "qt",
  [sym_sig] = "sig",
  [sym_sls] = "sls",
  [sym_tl] = "tl",
  [sym_wj] = "wj",
  [sym_em] = "em",
  [sym_bd] = "bd",
  [sym_it] = "it",
  [sym_bdit] = "bdit",
  [sym_no] = "no",
  [sym_sc] = "sc",
  [sym_sup] = "sup",
  [sym_ndx] = "ndx",
  [sym_pro] = "pro",
  [sym_rb] = "rb",
  [sym_w] = "w",
  [sym_wg] = "wg",
  [sym_wh] = "wh",
  [sym_wa] = "wa",
  [sym__characterMarker] = "_characterMarker",
  [sym_addNested] = "addNested",
  [sym_bkNested] = "bkNested",
  [sym_dcNested] = "dcNested",
  [sym_kNested] = "kNested",
  [sym_ndNested] = "ndNested",
  [sym_ordNested] = "ordNested",
  [sym_pnNested] = "pnNested",
  [sym_pngNested] = "pngNested",
  [sym_addpnNested] = "addpnNested",
  [sym_qtNested] = "qtNested",
  [sym_sigNested] = "sigNested",
  [sym_slsNested] = "slsNested",
  [sym_tlNested] = "tlNested",
  [sym_wjNested] = "wjNested",
  [sym_emNested] = "emNested",
  [sym_bdNested] = "bdNested",
  [sym_itNested] = "itNested",
  [sym_bditNested] = "bditNested",
  [sym_noNested] = "noNested",
  [sym_scNested] = "scNested",
  [sym_supNested] = "supNested",
  [sym_ndxNested] = "ndxNested",
  [sym_proNested] = "proNested",
  [sym_rbNested] = "rbNested",
  [sym_wNested] = "wNested",
  [sym_wgNested] = "wgNested",
  [sym_whNested] = "whNested",
  [sym_waNested] = "waNested",
  [sym__nestedCharacterMarker] = "_nestedCharacterMarker",
  [sym_fig] = "fig",
  [sym_jmp] = "jmp",
  [sym_jmpNested] = "jmpNested",
  [sym_pb] = "pb",
  [sym_milestoneTag] = "milestoneTag",
  [sym__milestoneStandaloneMarker] = "_milestoneStandaloneMarker",
  [sym__milestoneStart] = "_milestoneStart",
  [sym__milestoneEnd] = "_milestoneEnd",
  [sym_milestone] = "milestone",
  [sym__zNameSpaceRegular] = "_zNameSpaceRegular",
  [sym__zNameSpaceClosed] = "_zNameSpaceClosed",
  [sym__zNameSpaceStandaloneMarker] = "_zNameSpaceStandaloneMarker",
  [sym_zNameSpace] = "zNameSpace",
  [sym_esb] = "esb",
  [sym__esbContents] = "_esbContents",
  [sym_cat] = "cat",
  [sym_customAttribute] = "customAttribute",
  [sym_defaultAttribute] = "defaultAttribute",
  [sym__kAttributes] = "_kAttributes",
  [sym_keyAttribute] = "keyAttribute",
  [sym__wAttributes] = "_wAttributes",
  [sym__rbAttributes] = "_rbAttributes",
  [sym__figAttributes] = "_figAttributes",
  [sym__refAttributes] = "_refAttributes",
  [sym_lemmaAttribute] = "lemmaAttribute",
  [sym_strongAttribute] = "strongAttribute",
  [sym_scrlocAttribute] = "scrlocAttribute",
  [sym_glossAttribute] = "glossAttribute",
  [sym__jmpAttribute] = "_jmpAttribute",
  [sym_linkAttribute] = "linkAttribute",
  [sym__linkAttributeName] = "_linkAttributeName",
  [sym__linkAttributeUserDefinedName] = "_linkAttributeUserDefinedName",
  [sym_altAttribute] = "altAttribute",
  [sym_srcAttribute] = "srcAttribute",
  [sym_sizeAttribute] = "sizeAttribute",
  [sym_locAttribute] = "locAttribute",
  [sym_copyAttribute] = "copyAttribute",
  [sym_refAttribute] = "refAttribute",
  [sym__milestoneAttributes] = "_milestoneAttributes",
  [sym_msAttribute] = "msAttribute",
  [sym_milestoneAttributeName] = "milestoneAttributeName",
  [sym__attributesInCrossref] = "_attributesInCrossref",
  [aux_sym_File_repeat1] = "File_repeat1",
  [aux_sym_File_repeat2] = "File_repeat2",
  [aux_sym__mandatoryHead_repeat1] = "_mandatoryHead_repeat1",
  [aux_sym_hBlock_repeat1] = "hBlock_repeat1",
  [aux_sym_tocBlock_repeat1] = "tocBlock_repeat1",
  [aux_sym_tocaBlock_repeat1] = "tocaBlock_repeat1",
  [aux_sym_imtBlock_repeat1] = "imtBlock_repeat1",
  [aux_sym_imteBlock_repeat1] = "imteBlock_repeat1",
  [aux_sym_isBlock_repeat1] = "isBlock_repeat1",
  [aux_sym_iliBlock_repeat1] = "iliBlock_repeat1",
  [aux_sym_iqBlock_repeat1] = "iqBlock_repeat1",
  [aux_sym_verseText_repeat1] = "verseText_repeat1",
  [aux_sym_v_repeat1] = "v_repeat1",
  [aux_sym_chapter_repeat1] = "chapter_repeat1",
  [aux_sym_c_repeat1] = "c_repeat1",
  [aux_sym_cd_repeat1] = "cd_repeat1",
  [aux_sym_mtBlock_repeat1] = "mtBlock_repeat1",
  [aux_sym_mt_repeat1] = "mt_repeat1",
  [aux_sym_mteBlock_repeat1] = "mteBlock_repeat1",
  [aux_sym_msBlock_repeat1] = "msBlock_repeat1",
  [aux_sym_ms_repeat1] = "ms_repeat1",
  [aux_sym_sBlock_repeat1] = "sBlock_repeat1",
  [aux_sym_sdBlock_repeat1] = "sdBlock_repeat1",
  [aux_sym_p_repeat1] = "p_repeat1",
  [aux_sym_piBlock_repeat1] = "piBlock_repeat1",
  [aux_sym_phBlock_repeat1] = "phBlock_repeat1",
  [aux_sym_poetry_repeat1] = "poetry_repeat1",
  [aux_sym_qBlock_repeat1] = "qBlock_repeat1",
  [aux_sym_q_repeat1] = "q_repeat1",
  [aux_sym_qa_repeat1] = "qa_repeat1",
  [aux_sym_qmBlock_repeat1] = "qmBlock_repeat1",
  [aux_sym_list_repeat1] = "list_repeat1",
  [aux_sym_liBlock_repeat1] = "liBlock_repeat1",
  [aux_sym_li_repeat1] = "li_repeat1",
  [aux_sym_limBlock_repeat1] = "limBlock_repeat1",
  [aux_sym_liv_repeat1] = "liv_repeat1",
  [aux_sym_table_repeat1] = "table_repeat1",
  [aux_sym_tr_repeat1] = "tr_repeat1",
  [aux_sym_footnoteText_repeat1] = "footnoteText_repeat1",
  [aux_sym_crossrefText_repeat1] = "crossrefText_repeat1",
  [aux_sym_f_repeat1] = "f_repeat1",
  [aux_sym_x_repeat1] = "x_repeat1",
  [aux_sym__innerText_repeat1] = "_innerText_repeat1",
  [aux_sym_esb_repeat1] = "esb_repeat1",
  [aux_sym__wAttributes_repeat1] = "_wAttributes_repeat1",
  [aux_sym__rbAttributes_repeat1] = "_rbAttributes_repeat1",
  [aux_sym__figAttributes_repeat1] = "_figAttributes_repeat1",
  [aux_sym__jmpAttribute_repeat1] = "_jmpAttribute_repeat1",
  [aux_sym__milestoneAttributes_repeat1] = "_milestoneAttributes_repeat1",
  [aux_sym__attributesInCrossref_repeat1] = "_attributesInCrossref_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_bookcode] = sym_bookcode,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [sym__spaceOrLine] = sym__spaceOrLine,
  [anon_sym_BSLASHid] = anon_sym_BSLASHid,
  [sym_numberedLevelMax3] = sym_numberedLevelMax3,
  [sym_numberedLevelMax4] = sym_numberedLevelMax4,
  [sym_numberedLevelMax5] = sym_numberedLevelMax5,
  [sym_versionNumber] = sym_versionNumber,
  [anon_sym_BSLASHusfm] = anon_sym_BSLASHusfm,
  [anon_sym_BSLASHide] = anon_sym_BSLASHide,
  [anon_sym_BSLASHref] = anon_sym_BSLASHref,
  [anon_sym_BSLASHref_STAR] = anon_sym_BSLASHref_STAR,
  [anon_sym_BSLASHh] = anon_sym_BSLASHh,
  [anon_sym_SPACE] = anon_sym_SPACE,
  [anon_sym_BSLASHtoc] = anon_sym_BSLASHtoc,
  [anon_sym_BSLASHtoca] = anon_sym_BSLASHtoca,
  [anon_sym_BSLASHsts] = anon_sym_BSLASHsts,
  [anon_sym_BSLASHrem] = anon_sym_BSLASHrem,
  [anon_sym_BSLASHrestore] = anon_sym_BSLASHrestore,
  [anon_sym_BSLASHlit] = anon_sym_BSLASHlit,
  [anon_sym_BSLASHiqt] = anon_sym_BSLASHiqt,
  [anon_sym_BSLASHiqt_STAR] = anon_sym_BSLASHiqt_STAR,
  [anon_sym_BSLASHimt] = anon_sym_BSLASHimt,
  [anon_sym_BSLASHimte] = anon_sym_BSLASHimte,
  [aux_sym_imteTag_token1] = aux_sym_imteTag_token1,
  [anon_sym_BSLASHis] = anon_sym_BSLASHis,
  [anon_sym_BSLASHio] = anon_sym_BSLASHio,
  [anon_sym_BSLASHior] = anon_sym_BSLASHior,
  [anon_sym_BSLASHior_STAR] = anon_sym_BSLASHior_STAR,
  [anon_sym_BSLASHiot] = anon_sym_BSLASHiot,
  [anon_sym_BSLASHip] = anon_sym_BSLASHip,
  [anon_sym_BSLASHim] = anon_sym_BSLASHim,
  [anon_sym_BSLASHipi] = anon_sym_BSLASHipi,
  [anon_sym_BSLASHimi] = anon_sym_BSLASHimi,
  [anon_sym_BSLASHili] = anon_sym_BSLASHili,
  [anon_sym_BSLASHipq] = anon_sym_BSLASHipq,
  [anon_sym_BSLASHimq] = anon_sym_BSLASHimq,
  [anon_sym_BSLASHipr] = anon_sym_BSLASHipr,
  [anon_sym_BSLASHib] = anon_sym_BSLASHib,
  [anon_sym_BSLASHiq] = anon_sym_BSLASHiq,
  [anon_sym_BSLASHie] = anon_sym_BSLASHie,
  [anon_sym_BSLASHiex] = anon_sym_BSLASHiex,
  [anon_sym_BSLASHv] = anon_sym_BSLASHv,
  [sym_verseNumber] = sym_verseNumber,
  [anon_sym_BSLASHva] = anon_sym_BSLASHva,
  [anon_sym_BSLASHva_STAR] = anon_sym_BSLASHva_STAR,
  [anon_sym_BSLASHvp] = anon_sym_BSLASHvp,
  [anon_sym_BSLASHvp_STAR] = anon_sym_BSLASHvp_STAR,
  [anon_sym_BSLASHc] = anon_sym_BSLASHc,
  [sym_chapterNumber] = sym_chapterNumber,
  [anon_sym_BSLASHcl] = anon_sym_BSLASHcl,
  [anon_sym_BSLASHca] = anon_sym_BSLASHca,
  [anon_sym_BSLASHca_STAR] = anon_sym_BSLASHca_STAR,
  [anon_sym_BSLASHcp] = anon_sym_BSLASHcp,
  [anon_sym_BSLASHcd] = anon_sym_BSLASHcd,
  [anon_sym_BSLASHmt] = anon_sym_BSLASHmt,
  [anon_sym_BSLASHmte] = anon_sym_BSLASHmte,
  [anon_sym_BSLASHms] = anon_sym_BSLASHms,
  [anon_sym_BSLASHmr] = anon_sym_BSLASHmr,
  [anon_sym_BSLASHs] = anon_sym_BSLASHs,
  [anon_sym_BSLASHsr] = anon_sym_BSLASHsr,
  [anon_sym_BSLASHr] = anon_sym_BSLASHr,
  [anon_sym_BSLASHsp] = anon_sym_BSLASHsp,
  [anon_sym_BSLASHd] = anon_sym_BSLASHd,
  [anon_sym_BSLASHsd] = anon_sym_BSLASHsd,
  [anon_sym_BSLASHp] = anon_sym_BSLASHp,
  [anon_sym_BSLASHm] = anon_sym_BSLASHm,
  [anon_sym_BSLASHpo] = anon_sym_BSLASHpo,
  [anon_sym_BSLASHpr] = anon_sym_BSLASHpr,
  [anon_sym_BSLASHcls] = anon_sym_BSLASHcls,
  [anon_sym_BSLASHpmo] = anon_sym_BSLASHpmo,
  [anon_sym_BSLASHpm] = anon_sym_BSLASHpm,
  [anon_sym_BSLASHpmc] = anon_sym_BSLASHpmc,
  [anon_sym_BSLASHpmr] = anon_sym_BSLASHpmr,
  [anon_sym_BSLASHpi] = anon_sym_BSLASHpi,
  [anon_sym_BSLASHmi] = anon_sym_BSLASHmi,
  [anon_sym_BSLASHnb] = anon_sym_BSLASHnb,
  [anon_sym_BSLASHpc] = anon_sym_BSLASHpc,
  [anon_sym_BSLASHph] = anon_sym_BSLASHph,
  [anon_sym_BSLASHphi] = anon_sym_BSLASHphi,
  [anon_sym_BSLASHb] = anon_sym_BSLASHb,
  [anon_sym_BSLASHq] = anon_sym_BSLASHq,
  [anon_sym_BSLASHqr] = anon_sym_BSLASHqr,
  [anon_sym_BSLASHqc] = anon_sym_BSLASHqc,
  [anon_sym_BSLASHqs] = anon_sym_BSLASHqs,
  [anon_sym_BSLASHqs_STAR] = anon_sym_BSLASHqs_STAR,
  [anon_sym_BSLASHqa] = anon_sym_BSLASHqa,
  [anon_sym_BSLASHqac] = anon_sym_BSLASHqac,
  [anon_sym_BSLASHqac_STAR] = anon_sym_BSLASHqac_STAR,
  [anon_sym_BSLASHqm] = anon_sym_BSLASHqm,
  [anon_sym_BSLASHqd] = anon_sym_BSLASHqd,
  [anon_sym_BSLASHlh] = anon_sym_BSLASHlh,
  [anon_sym_BSLASHlf] = anon_sym_BSLASHlf,
  [anon_sym_BSLASHli] = anon_sym_BSLASHli,
  [anon_sym_BSLASHlim] = anon_sym_BSLASHlim,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_BSLASHliv] = anon_sym_BSLASHliv,
  [anon_sym_BSLASHlik] = anon_sym_BSLASHlik,
  [anon_sym_BSLASHlik_STAR] = anon_sym_BSLASHlik_STAR,
  [anon_sym_BSLASHlitl] = anon_sym_BSLASHlitl,
  [anon_sym_BSLASHlitl_STAR] = anon_sym_BSLASHlitl_STAR,
  [anon_sym_BSLASHtr] = anon_sym_BSLASHtr,
  [sym_thTag] = sym_thTag,
  [sym_thrTag] = sym_thrTag,
  [sym_tcTag] = sym_tcTag,
  [sym_tcrTag] = sym_tcrTag,
  [sym_caller] = sym_caller,
  [anon_sym_BSLASHf] = anon_sym_BSLASHf,
  [anon_sym_BSLASHf_STAR] = anon_sym_BSLASHf_STAR,
  [anon_sym_BSLASHfe] = anon_sym_BSLASHfe,
  [anon_sym_BSLASHfe_STAR] = anon_sym_BSLASHfe_STAR,
  [anon_sym_BSLASHef] = anon_sym_BSLASHef,
  [anon_sym_BSLASHef_STAR] = anon_sym_BSLASHef_STAR,
  [anon_sym_BSLASHfr] = anon_sym_BSLASHfr,
  [anon_sym_BSLASHfr_STAR] = anon_sym_BSLASHfr_STAR,
  [anon_sym_BSLASHfq] = anon_sym_BSLASHfq,
  [anon_sym_BSLASHfq_STAR] = anon_sym_BSLASHfq_STAR,
  [anon_sym_BSLASHfqa] = anon_sym_BSLASHfqa,
  [anon_sym_BSLASHfqa_STAR] = anon_sym_BSLASHfqa_STAR,
  [anon_sym_BSLASHfk] = anon_sym_BSLASHfk,
  [anon_sym_BSLASHfk_STAR] = anon_sym_BSLASHfk_STAR,
  [anon_sym_BSLASHfl] = anon_sym_BSLASHfl,
  [anon_sym_BSLASHfl_STAR] = anon_sym_BSLASHfl_STAR,
  [anon_sym_BSLASHfw] = anon_sym_BSLASHfw,
  [anon_sym_BSLASHfw_STAR] = anon_sym_BSLASHfw_STAR,
  [anon_sym_BSLASHfp] = anon_sym_BSLASHfp,
  [anon_sym_BSLASHfp_STAR] = anon_sym_BSLASHfp_STAR,
  [anon_sym_BSLASHft] = anon_sym_BSLASHft,
  [anon_sym_BSLASHft_STAR] = anon_sym_BSLASHft_STAR,
  [anon_sym_BSLASHfdc] = anon_sym_BSLASHfdc,
  [anon_sym_BSLASHfdc_STAR] = anon_sym_BSLASHfdc_STAR,
  [anon_sym_BSLASHfv] = anon_sym_BSLASHfv,
  [anon_sym_BSLASHfv_STAR] = anon_sym_BSLASHfv_STAR,
  [anon_sym_BSLASHfm] = anon_sym_BSLASHfm,
  [anon_sym_BSLASHfm_STAR] = anon_sym_BSLASHfm_STAR,
  [anon_sym_BSLASHx] = anon_sym_BSLASHx,
  [anon_sym_BSLASHx_STAR] = anon_sym_BSLASHx_STAR,
  [anon_sym_BSLASHxo] = anon_sym_BSLASHxo,
  [anon_sym_BSLASHxo_STAR] = anon_sym_BSLASHxo_STAR,
  [anon_sym_BSLASHxk] = anon_sym_BSLASHxk,
  [anon_sym_BSLASHxk_STAR] = anon_sym_BSLASHxk_STAR,
  [anon_sym_BSLASHxq] = anon_sym_BSLASHxq,
  [anon_sym_BSLASHxq_STAR] = anon_sym_BSLASHxq_STAR,
  [anon_sym_BSLASHxt] = anon_sym_BSLASHxt,
  [anon_sym_BSLASHxt_STAR] = anon_sym_BSLASHxt_STAR,
  [anon_sym_BSLASH_PLUSxt] = anon_sym_BSLASH_PLUSxt,
  [anon_sym_BSLASH_PLUSxt_STAR] = anon_sym_BSLASH_PLUSxt_STAR,
  [anon_sym_BSLASHxta] = anon_sym_BSLASHxta,
  [anon_sym_BSLASHxta_STAR] = anon_sym_BSLASHxta_STAR,
  [anon_sym_BSLASHxop] = anon_sym_BSLASHxop,
  [anon_sym_BSLASHxop_STAR] = anon_sym_BSLASHxop_STAR,
  [anon_sym_BSLASHxot] = anon_sym_BSLASHxot,
  [anon_sym_BSLASHxot_STAR] = anon_sym_BSLASHxot_STAR,
  [anon_sym_BSLASHxnt] = anon_sym_BSLASHxnt,
  [anon_sym_BSLASHxnt_STAR] = anon_sym_BSLASHxnt_STAR,
  [anon_sym_BSLASHxdc] = anon_sym_BSLASHxdc,
  [anon_sym_BSLASHxdc_STAR] = anon_sym_BSLASHxdc_STAR,
  [anon_sym_BSLASHrq] = anon_sym_BSLASHrq,
  [anon_sym_BSLASHrq_STAR] = anon_sym_BSLASHrq_STAR,
  [anon_sym_BSLASHadd] = anon_sym_BSLASHadd,
  [anon_sym_BSLASHadd_STAR] = anon_sym_BSLASHadd_STAR,
  [anon_sym_BSLASHbk] = anon_sym_BSLASHbk,
  [anon_sym_BSLASHbk_STAR] = anon_sym_BSLASHbk_STAR,
  [anon_sym_BSLASHdc] = anon_sym_BSLASHdc,
  [anon_sym_BSLASHdc_STAR] = anon_sym_BSLASHdc_STAR,
  [anon_sym_BSLASHk] = anon_sym_BSLASHk,
  [anon_sym_BSLASHk_STAR] = anon_sym_BSLASHk_STAR,
  [anon_sym_BSLASHnd] = anon_sym_BSLASHnd,
  [anon_sym_BSLASHnd_STAR] = anon_sym_BSLASHnd_STAR,
  [anon_sym_BSLASHord] = anon_sym_BSLASHord,
  [anon_sym_BSLASHord_STAR] = anon_sym_BSLASHord_STAR,
  [anon_sym_BSLASHpn] = anon_sym_BSLASHpn,
  [anon_sym_BSLASHpn_STAR] = anon_sym_BSLASHpn_STAR,
  [anon_sym_BSLASHpng] = anon_sym_BSLASHpng,
  [anon_sym_BSLASHpng_STAR] = anon_sym_BSLASHpng_STAR,
  [anon_sym_BSLASHaddpn] = anon_sym_BSLASHaddpn,
  [anon_sym_BSLASHaddpn_STAR] = anon_sym_BSLASHaddpn_STAR,
  [anon_sym_BSLASHqt] = anon_sym_BSLASHqt,
  [anon_sym_BSLASHqt_STAR] = anon_sym_BSLASHqt_STAR,
  [anon_sym_BSLASHsig] = anon_sym_BSLASHsig,
  [anon_sym_BSLASHsig_STAR] = anon_sym_BSLASHsig_STAR,
  [anon_sym_BSLASHsls] = anon_sym_BSLASHsls,
  [anon_sym_BSLASHsls_STAR] = anon_sym_BSLASHsls_STAR,
  [anon_sym_BSLASHtl] = anon_sym_BSLASHtl,
  [anon_sym_BSLASHtl_STAR] = anon_sym_BSLASHtl_STAR,
  [anon_sym_BSLASHwj] = anon_sym_BSLASHwj,
  [anon_sym_BSLASHwj_STAR] = anon_sym_BSLASHwj_STAR,
  [anon_sym_BSLASHem] = anon_sym_BSLASHem,
  [anon_sym_BSLASHem_STAR] = anon_sym_BSLASHem_STAR,
  [anon_sym_BSLASHbd] = anon_sym_BSLASHbd,
  [anon_sym_BSLASHbd_STAR] = anon_sym_BSLASHbd_STAR,
  [anon_sym_BSLASHit] = anon_sym_BSLASHit,
  [anon_sym_BSLASHit_STAR] = anon_sym_BSLASHit_STAR,
  [anon_sym_BSLASHbdit] = anon_sym_BSLASHbdit,
  [anon_sym_BSLASHbdit_STAR] = anon_sym_BSLASHbdit_STAR,
  [anon_sym_BSLASHno] = anon_sym_BSLASHno,
  [anon_sym_BSLASHno_STAR] = anon_sym_BSLASHno_STAR,
  [anon_sym_BSLASHsc] = anon_sym_BSLASHsc,
  [anon_sym_BSLASHsc_STAR] = anon_sym_BSLASHsc_STAR,
  [anon_sym_BSLASHsup] = anon_sym_BSLASHsup,
  [anon_sym_BSLASHsup_STAR] = anon_sym_BSLASHsup_STAR,
  [anon_sym_BSLASHndx] = anon_sym_BSLASHndx,
  [anon_sym_BSLASHndx_STAR] = anon_sym_BSLASHndx_STAR,
  [anon_sym_BSLASHpro] = anon_sym_BSLASHpro,
  [anon_sym_BSLASHpro_STAR] = anon_sym_BSLASHpro_STAR,
  [anon_sym_BSLASHrb] = anon_sym_BSLASHrb,
  [anon_sym_BSLASHrb_STAR] = anon_sym_BSLASHrb_STAR,
  [anon_sym_BSLASHw] = anon_sym_BSLASHw,
  [anon_sym_BSLASHw_STAR] = anon_sym_BSLASHw_STAR,
  [anon_sym_BSLASHwg] = anon_sym_BSLASHwg,
  [anon_sym_BSLASHwg_STAR] = anon_sym_BSLASHwg_STAR,
  [anon_sym_BSLASHwh] = anon_sym_BSLASHwh,
  [anon_sym_BSLASHwh_STAR] = anon_sym_BSLASHwh_STAR,
  [anon_sym_BSLASHwa] = anon_sym_BSLASHwa,
  [anon_sym_BSLASHwa_STAR] = anon_sym_BSLASHwa_STAR,
  [anon_sym_BSLASH_PLUSadd] = anon_sym_BSLASH_PLUSadd,
  [anon_sym_BSLASH_PLUSadd_STAR] = anon_sym_BSLASH_PLUSadd_STAR,
  [anon_sym_BSLASH_PLUSbk] = anon_sym_BSLASH_PLUSbk,
  [anon_sym_BSLASH_PLUSbk_STAR] = anon_sym_BSLASH_PLUSbk_STAR,
  [anon_sym_BSLASH_PLUSdc] = anon_sym_BSLASH_PLUSdc,
  [anon_sym_BSLASH_PLUSdc_STAR] = anon_sym_BSLASH_PLUSdc_STAR,
  [anon_sym_BSLASH_PLUSk] = anon_sym_BSLASH_PLUSk,
  [anon_sym_BSLASH_PLUSk_STAR] = anon_sym_BSLASH_PLUSk_STAR,
  [anon_sym_BSLASH_PLUSnd] = anon_sym_BSLASH_PLUSnd,
  [anon_sym_BSLASH_PLUSnd_STAR] = anon_sym_BSLASH_PLUSnd_STAR,
  [anon_sym_BSLASH_PLUSord] = anon_sym_BSLASH_PLUSord,
  [anon_sym_BSLASH_PLUSord_STAR] = anon_sym_BSLASH_PLUSord_STAR,
  [anon_sym_BSLASH_PLUSpn] = anon_sym_BSLASH_PLUSpn,
  [anon_sym_BSLASH_PLUSpn_STAR] = anon_sym_BSLASH_PLUSpn_STAR,
  [anon_sym_BSLASH_PLUSpng] = anon_sym_BSLASH_PLUSpng,
  [anon_sym_BSLASH_PLUSpng_STAR] = anon_sym_BSLASH_PLUSpng_STAR,
  [anon_sym_BSLASH_PLUSaddpn] = anon_sym_BSLASH_PLUSaddpn,
  [anon_sym_BSLASH_PLUSaddpn_STAR] = anon_sym_BSLASH_PLUSaddpn_STAR,
  [anon_sym_BSLASH_PLUSqt] = anon_sym_BSLASH_PLUSqt,
  [anon_sym_BSLASH_PLUSqt_STAR] = anon_sym_BSLASH_PLUSqt_STAR,
  [anon_sym_BSLASH_PLUSsig] = anon_sym_BSLASH_PLUSsig,
  [anon_sym_BSLASH_PLUSsig_STAR] = anon_sym_BSLASH_PLUSsig_STAR,
  [anon_sym_BSLASH_PLUSsls] = anon_sym_BSLASH_PLUSsls,
  [anon_sym_BSLASH_PLUSsls_STAR] = anon_sym_BSLASH_PLUSsls_STAR,
  [anon_sym_BSLASH_PLUStl] = anon_sym_BSLASH_PLUStl,
  [anon_sym_BSLASH_PLUStl_STAR] = anon_sym_BSLASH_PLUStl_STAR,
  [anon_sym_BSLASH_PLUSwj] = anon_sym_BSLASH_PLUSwj,
  [anon_sym_BSLASH_PLUSwj_STAR] = anon_sym_BSLASH_PLUSwj_STAR,
  [anon_sym_BSLASH_PLUSem] = anon_sym_BSLASH_PLUSem,
  [anon_sym_BSLASH_PLUSem_STAR] = anon_sym_BSLASH_PLUSem_STAR,
  [anon_sym_BSLASH_PLUSbd] = anon_sym_BSLASH_PLUSbd,
  [anon_sym_BSLASH_PLUSbd_STAR] = anon_sym_BSLASH_PLUSbd_STAR,
  [anon_sym_BSLASH_PLUSit] = anon_sym_BSLASH_PLUSit,
  [anon_sym_BSLASH_PLUSit_STAR] = anon_sym_BSLASH_PLUSit_STAR,
  [anon_sym_BSLASH_PLUSbdit] = anon_sym_BSLASH_PLUSbdit,
  [anon_sym_BSLASH_PLUSbdit_STAR] = anon_sym_BSLASH_PLUSbdit_STAR,
  [anon_sym_BSLASH_PLUSno] = anon_sym_BSLASH_PLUSno,
  [anon_sym_BSLASH_PLUSno_STAR] = anon_sym_BSLASH_PLUSno_STAR,
  [anon_sym_BSLASH_PLUSsc] = anon_sym_BSLASH_PLUSsc,
  [anon_sym_BSLASH_PLUSsc_STAR] = anon_sym_BSLASH_PLUSsc_STAR,
  [anon_sym_BSLASH_PLUSsup] = anon_sym_BSLASH_PLUSsup,
  [anon_sym_BSLASH_PLUSsup_STAR] = anon_sym_BSLASH_PLUSsup_STAR,
  [anon_sym_BSLASH_PLUSndx] = anon_sym_BSLASH_PLUSndx,
  [anon_sym_BSLASH_PLUSndx_STAR] = anon_sym_BSLASH_PLUSndx_STAR,
  [anon_sym_BSLASH_PLUSpro] = anon_sym_BSLASH_PLUSpro,
  [anon_sym_BSLASH_PLUSpro_STAR] = anon_sym_BSLASH_PLUSpro_STAR,
  [anon_sym_BSLASH_PLUSrb] = anon_sym_BSLASH_PLUSrb,
  [anon_sym_BSLASH_PLUSrb_STAR] = anon_sym_BSLASH_PLUSrb_STAR,
  [anon_sym_BSLASH_PLUSw] = anon_sym_BSLASH_PLUSw,
  [anon_sym_BSLASH_PLUSw_STAR] = anon_sym_BSLASH_PLUSw_STAR,
  [anon_sym_BSLASH_PLUSwg] = anon_sym_BSLASH_PLUSwg,
  [anon_sym_BSLASH_PLUSwg_STAR] = anon_sym_BSLASH_PLUSwg_STAR,
  [anon_sym_BSLASH_PLUSwh] = anon_sym_BSLASH_PLUSwh,
  [anon_sym_BSLASH_PLUSwh_STAR] = anon_sym_BSLASH_PLUSwh_STAR,
  [anon_sym_BSLASH_PLUSwa] = anon_sym_BSLASH_PLUSwa,
  [anon_sym_BSLASH_PLUSwa_STAR] = anon_sym_BSLASH_PLUSwa_STAR,
  [anon_sym_BSLASHfig] = anon_sym_BSLASHfig,
  [anon_sym_BSLASHfig_STAR] = anon_sym_BSLASHfig_STAR,
  [anon_sym_BSLASHjmp] = anon_sym_BSLASHjmp,
  [anon_sym_BSLASHjmp_STAR] = anon_sym_BSLASHjmp_STAR,
  [anon_sym_BSLASH_PLUSjmp] = anon_sym_BSLASH_PLUSjmp,
  [anon_sym_BSLASH_PLUSjmp_STAR] = anon_sym_BSLASH_PLUSjmp_STAR,
  [anon_sym_BSLASHpb] = anon_sym_BSLASHpb,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_milestoneTag_token1] = aux_sym_milestoneTag_token1,
  [anon_sym_BSLASH_STAR] = anon_sym_BSLASH_STAR,
  [sym_milestoneStartTag] = sym_milestoneStartTag,
  [sym_milestoneEndTag] = sym_milestoneEndTag,
  [sym_zSpaceTag] = sym_zSpaceTag,
  [sym__zSpaceClose] = sym__zSpaceClose,
  [anon_sym_BSLASHesb] = anon_sym_BSLASHesb,
  [anon_sym_BSLASHesbe] = anon_sym_BSLASHesbe,
  [sym_category] = sym_category,
  [anon_sym_BSLASHcat] = anon_sym_BSLASHcat,
  [anon_sym_BSLASHcat_STAR] = anon_sym_BSLASHcat_STAR,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym_customAttributeName] = sym_customAttributeName,
  [sym_attributeValue] = sym_attributeValue,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_key] = anon_sym_key,
  [anon_sym_lemma] = anon_sym_lemma,
  [anon_sym_strong] = anon_sym_strong,
  [anon_sym_srcloc] = anon_sym_srcloc,
  [anon_sym_gloss] = anon_sym_gloss,
  [anon_sym_link_DASHhref] = anon_sym_link_DASHhref,
  [anon_sym_link_DASHtitle] = anon_sym_link_DASHtitle,
  [anon_sym_link_DASHid] = anon_sym_link_DASHid,
  [anon_sym_href] = anon_sym_href,
  [anon_sym_title] = anon_sym_title,
  [anon_sym_id] = anon_sym_id,
  [anon_sym_x_DASH] = anon_sym_x_DASH,
  [aux_sym__linkAttributeUserDefinedName_token1] = aux_sym__linkAttributeUserDefinedName_token1,
  [anon_sym_alt] = anon_sym_alt,
  [anon_sym_src] = anon_sym_src,
  [anon_sym_size] = anon_sym_size,
  [anon_sym_loc] = anon_sym_loc,
  [anon_sym_copy] = anon_sym_copy,
  [anon_sym_ref] = anon_sym_ref,
  [anon_sym_sid] = anon_sym_sid,
  [anon_sym_eid] = anon_sym_eid,
  [anon_sym_who] = anon_sym_who,
  [sym_File] = sym_File,
  [sym__mandatoryHead] = sym__mandatoryHead,
  [sym_text] = sym_text,
  [sym__text] = sym__text,
  [sym_book] = sym_book,
  [sym_description] = sym_description,
  [sym_id] = sym_id,
  [sym__bookHeader] = sym__bookHeader,
  [sym_usfm] = sym_usfm,
  [sym_ide] = sym_ide,
  [sym_hBlock] = sym_hBlock,
  [sym_tocBlock] = sym_tocBlock,
  [sym_tocaBlock] = sym_tocaBlock,
  [sym_ref] = sym_ref,
  [sym_h] = sym_h,
  [sym_hTag] = sym_hTag,
  [sym_toc] = sym_toc,
  [sym_tocTag] = sym_tocTag,
  [sym_toca] = sym_toca,
  [sym_tocaTag] = sym_tocaTag,
  [sym__comments] = sym__comments,
  [sym_sts] = sym_sts,
  [sym_rem] = sym_rem,
  [sym_restore] = sym_restore,
  [sym_lit] = sym_lit,
  [aux_sym__introText] = aux_sym__introText,
  [sym_iqt] = sym_iqt,
  [sym_imtBlock] = sym_imtBlock,
  [sym_imt] = sym_imt,
  [sym_imtTag] = sym_imtTag,
  [sym_imteBlock] = sym_imteBlock,
  [sym_imte] = sym_imte,
  [sym_imteTag] = sym_imteTag,
  [sym__midIntroMarker] = sym__midIntroMarker,
  [sym_isBlock] = sym_isBlock,
  [sym_is] = sym_is,
  [sym_isTag] = sym_isTag,
  [sym_io] = sym_io,
  [sym_ioTag] = sym_ioTag,
  [sym_ior] = sym_ior,
  [sym_iot] = sym_iot,
  [sym_ip] = sym_ip,
  [sym_im] = sym_im,
  [sym_ipi] = sym_ipi,
  [sym_imi] = sym_imi,
  [sym_iliBlock] = sym_iliBlock,
  [sym_ili] = sym_ili,
  [sym_iliTag] = sym_iliTag,
  [sym_ipq] = sym_ipq,
  [sym_imq] = sym_imq,
  [sym_ipr] = sym_ipr,
  [sym_ib] = sym_ib,
  [sym_iqBlock] = sym_iqBlock,
  [sym_iq] = sym_iq,
  [sym_iqTag] = sym_iqTag,
  [sym_ie] = sym_ie,
  [sym_iex] = sym_iex,
  [sym_verseText] = sym_verseText,
  [sym_v] = sym_v,
  [sym__verseMeta] = sym__verseMeta,
  [sym_va] = sym_va,
  [sym_vp] = sym_vp,
  [sym_chapter] = sym_chapter,
  [sym_c] = sym_c,
  [sym__chapterContent] = sym__chapterContent,
  [sym__chapterMeta] = sym__chapterMeta,
  [sym_cl] = sym_cl,
  [sym_ca] = sym_ca,
  [sym_cp] = sym_cp,
  [sym_cd] = sym_cd,
  [sym_title] = sym_title,
  [sym_mtBlock] = sym_mtBlock,
  [sym_mt] = sym_mt,
  [sym_mtTag] = sym_mtTag,
  [sym_mteBlock] = sym_mteBlock,
  [sym_mte] = sym_mte,
  [sym_mteTag] = sym_mteTag,
  [sym_msBlock] = sym_msBlock,
  [sym_ms] = sym_ms,
  [sym_msTag] = sym_msTag,
  [sym_mr] = sym_mr,
  [sym_sBlock] = sym_sBlock,
  [sym_s] = sym_s,
  [sym_sTag] = sym_sTag,
  [sym_sr] = sym_sr,
  [sym_r] = sym_r,
  [sym_sp] = sym_sp,
  [sym_d] = sym_d,
  [sym_sdBlock] = sym_sdBlock,
  [sym_sd] = sym_sd,
  [sym_sdTag] = sym_sdTag,
  [sym_paragraph] = sym_paragraph,
  [sym__paragraphContent] = sym__paragraphContent,
  [sym_p] = sym_p,
  [sym_m] = sym_m,
  [sym_po] = sym_po,
  [sym_pr] = sym_pr,
  [sym_cls] = sym_cls,
  [sym_pmo] = sym_pmo,
  [sym_pm] = sym_pm,
  [sym_pmc] = sym_pmc,
  [sym_pmr] = sym_pmr,
  [sym_piBlock] = sym_piBlock,
  [sym_pi] = sym_pi,
  [sym_piTag] = sym_piTag,
  [sym_mi] = sym_mi,
  [sym_nb] = sym_nb,
  [sym_pc] = sym_pc,
  [sym_phBlock] = sym_phBlock,
  [sym_ph] = sym_ph,
  [sym_phTag] = sym_phTag,
  [sym_b] = sym_b,
  [sym_poetry] = sym_poetry,
  [sym__poetryContent] = sym__poetryContent,
  [sym_qBlock] = sym_qBlock,
  [sym_q] = sym_q,
  [sym_qTag] = sym_qTag,
  [sym_qr] = sym_qr,
  [sym_qc] = sym_qc,
  [sym_qs] = sym_qs,
  [sym_qa] = sym_qa,
  [sym_qac] = sym_qac,
  [sym_qmBlock] = sym_qmBlock,
  [sym_qm] = sym_qm,
  [sym_qmTag] = sym_qmTag,
  [sym_qd] = sym_qd,
  [sym_list] = sym_list,
  [sym_lh] = sym_lh,
  [sym_lf] = sym_lf,
  [sym__listMarker] = sym__listMarker,
  [sym_liBlock] = sym_liBlock,
  [sym_li] = sym_li,
  [sym_liTag] = sym_liTag,
  [sym_limBlock] = sym_limBlock,
  [sym_lim] = sym_lim,
  [sym_limTag] = sym_limTag,
  [sym_liv] = sym_liv,
  [sym_livTag] = sym_livTag,
  [sym_lik] = sym_lik,
  [sym_litl] = sym_litl,
  [sym__listTextContent] = sym__listTextContent,
  [sym_table] = sym_table,
  [sym__tableText] = sym__tableText,
  [sym_tr] = sym_tr,
  [sym_th] = sym_th,
  [sym_thr] = sym_thr,
  [sym_tc] = sym_tc,
  [sym_tcr] = sym_tcr,
  [sym_footnoteText] = sym_footnoteText,
  [sym_crossrefText] = sym_crossrefText,
  [sym_footnote] = sym_footnote,
  [sym_f] = sym_f,
  [sym_fe] = sym_fe,
  [sym_ef] = sym_ef,
  [sym_fr] = sym_fr,
  [sym_fq] = sym_fq,
  [sym_fqa] = sym_fqa,
  [sym_fk] = sym_fk,
  [sym_fl] = sym_fl,
  [sym_fw] = sym_fw,
  [sym_fp] = sym_fp,
  [sym_ft] = sym_ft,
  [sym_fdc] = sym_fdc,
  [sym_fv] = sym_fv,
  [sym_fm] = sym_fm,
  [sym__footnoteContents] = sym__footnoteContents,
  [sym_crossref] = sym_crossref,
  [sym_x] = sym_x,
  [sym_xo] = sym_xo,
  [sym_xk] = sym_xk,
  [sym_xq] = sym_xq,
  [sym_xt] = sym_xt,
  [sym_xtNested] = sym_xtNested,
  [sym_xt_standalone] = sym_xt_standalone,
  [sym_xta] = sym_xta,
  [sym_xop] = sym_xop,
  [sym_xot] = sym_xot,
  [sym_xnt] = sym_xnt,
  [sym_xdc] = sym_xdc,
  [sym__crossrefContents] = sym__crossrefContents,
  [sym_rq] = sym_rq,
  [sym__innerText] = sym__innerText,
  [sym_add] = sym_add,
  [sym_bk] = sym_bk,
  [sym_dc] = sym_dc,
  [sym_k] = sym_k,
  [sym_nd] = sym_nd,
  [sym_ord] = sym_ord,
  [sym_pn] = sym_pn,
  [sym_png] = sym_png,
  [sym_addpn] = sym_addpn,
  [sym_qt] = sym_qt,
  [sym_sig] = sym_sig,
  [sym_sls] = sym_sls,
  [sym_tl] = sym_tl,
  [sym_wj] = sym_wj,
  [sym_em] = sym_em,
  [sym_bd] = sym_bd,
  [sym_it] = sym_it,
  [sym_bdit] = sym_bdit,
  [sym_no] = sym_no,
  [sym_sc] = sym_sc,
  [sym_sup] = sym_sup,
  [sym_ndx] = sym_ndx,
  [sym_pro] = sym_pro,
  [sym_rb] = sym_rb,
  [sym_w] = sym_w,
  [sym_wg] = sym_wg,
  [sym_wh] = sym_wh,
  [sym_wa] = sym_wa,
  [sym__characterMarker] = sym__characterMarker,
  [sym_addNested] = sym_addNested,
  [sym_bkNested] = sym_bkNested,
  [sym_dcNested] = sym_dcNested,
  [sym_kNested] = sym_kNested,
  [sym_ndNested] = sym_ndNested,
  [sym_ordNested] = sym_ordNested,
  [sym_pnNested] = sym_pnNested,
  [sym_pngNested] = sym_pngNested,
  [sym_addpnNested] = sym_addpnNested,
  [sym_qtNested] = sym_qtNested,
  [sym_sigNested] = sym_sigNested,
  [sym_slsNested] = sym_slsNested,
  [sym_tlNested] = sym_tlNested,
  [sym_wjNested] = sym_wjNested,
  [sym_emNested] = sym_emNested,
  [sym_bdNested] = sym_bdNested,
  [sym_itNested] = sym_itNested,
  [sym_bditNested] = sym_bditNested,
  [sym_noNested] = sym_noNested,
  [sym_scNested] = sym_scNested,
  [sym_supNested] = sym_supNested,
  [sym_ndxNested] = sym_ndxNested,
  [sym_proNested] = sym_proNested,
  [sym_rbNested] = sym_rbNested,
  [sym_wNested] = sym_wNested,
  [sym_wgNested] = sym_wgNested,
  [sym_whNested] = sym_whNested,
  [sym_waNested] = sym_waNested,
  [sym__nestedCharacterMarker] = sym__nestedCharacterMarker,
  [sym_fig] = sym_fig,
  [sym_jmp] = sym_jmp,
  [sym_jmpNested] = sym_jmpNested,
  [sym_pb] = sym_pb,
  [sym_milestoneTag] = sym_milestoneTag,
  [sym__milestoneStandaloneMarker] = sym__milestoneStandaloneMarker,
  [sym__milestoneStart] = sym__milestoneStart,
  [sym__milestoneEnd] = sym__milestoneEnd,
  [sym_milestone] = sym_milestone,
  [sym__zNameSpaceRegular] = sym__zNameSpaceRegular,
  [sym__zNameSpaceClosed] = sym__zNameSpaceClosed,
  [sym__zNameSpaceStandaloneMarker] = sym__zNameSpaceStandaloneMarker,
  [sym_zNameSpace] = sym_zNameSpace,
  [sym_esb] = sym_esb,
  [sym__esbContents] = sym__esbContents,
  [sym_cat] = sym_cat,
  [sym_customAttribute] = sym_customAttribute,
  [sym_defaultAttribute] = sym_defaultAttribute,
  [sym__kAttributes] = sym__kAttributes,
  [sym_keyAttribute] = sym_keyAttribute,
  [sym__wAttributes] = sym__wAttributes,
  [sym__rbAttributes] = sym__rbAttributes,
  [sym__figAttributes] = sym__figAttributes,
  [sym__refAttributes] = sym__refAttributes,
  [sym_lemmaAttribute] = sym_lemmaAttribute,
  [sym_strongAttribute] = sym_strongAttribute,
  [sym_scrlocAttribute] = sym_scrlocAttribute,
  [sym_glossAttribute] = sym_glossAttribute,
  [sym__jmpAttribute] = sym__jmpAttribute,
  [sym_linkAttribute] = sym_linkAttribute,
  [sym__linkAttributeName] = sym__linkAttributeName,
  [sym__linkAttributeUserDefinedName] = sym__linkAttributeUserDefinedName,
  [sym_altAttribute] = sym_altAttribute,
  [sym_srcAttribute] = sym_srcAttribute,
  [sym_sizeAttribute] = sym_sizeAttribute,
  [sym_locAttribute] = sym_locAttribute,
  [sym_copyAttribute] = sym_copyAttribute,
  [sym_refAttribute] = sym_refAttribute,
  [sym__milestoneAttributes] = sym__milestoneAttributes,
  [sym_msAttribute] = sym_msAttribute,
  [sym_milestoneAttributeName] = sym_milestoneAttributeName,
  [sym__attributesInCrossref] = sym__attributesInCrossref,
  [aux_sym_File_repeat1] = aux_sym_File_repeat1,
  [aux_sym_File_repeat2] = aux_sym_File_repeat2,
  [aux_sym__mandatoryHead_repeat1] = aux_sym__mandatoryHead_repeat1,
  [aux_sym_hBlock_repeat1] = aux_sym_hBlock_repeat1,
  [aux_sym_tocBlock_repeat1] = aux_sym_tocBlock_repeat1,
  [aux_sym_tocaBlock_repeat1] = aux_sym_tocaBlock_repeat1,
  [aux_sym_imtBlock_repeat1] = aux_sym_imtBlock_repeat1,
  [aux_sym_imteBlock_repeat1] = aux_sym_imteBlock_repeat1,
  [aux_sym_isBlock_repeat1] = aux_sym_isBlock_repeat1,
  [aux_sym_iliBlock_repeat1] = aux_sym_iliBlock_repeat1,
  [aux_sym_iqBlock_repeat1] = aux_sym_iqBlock_repeat1,
  [aux_sym_verseText_repeat1] = aux_sym_verseText_repeat1,
  [aux_sym_v_repeat1] = aux_sym_v_repeat1,
  [aux_sym_chapter_repeat1] = aux_sym_chapter_repeat1,
  [aux_sym_c_repeat1] = aux_sym_c_repeat1,
  [aux_sym_cd_repeat1] = aux_sym_cd_repeat1,
  [aux_sym_mtBlock_repeat1] = aux_sym_mtBlock_repeat1,
  [aux_sym_mt_repeat1] = aux_sym_mt_repeat1,
  [aux_sym_mteBlock_repeat1] = aux_sym_mteBlock_repeat1,
  [aux_sym_msBlock_repeat1] = aux_sym_msBlock_repeat1,
  [aux_sym_ms_repeat1] = aux_sym_ms_repeat1,
  [aux_sym_sBlock_repeat1] = aux_sym_sBlock_repeat1,
  [aux_sym_sdBlock_repeat1] = aux_sym_sdBlock_repeat1,
  [aux_sym_p_repeat1] = aux_sym_p_repeat1,
  [aux_sym_piBlock_repeat1] = aux_sym_piBlock_repeat1,
  [aux_sym_phBlock_repeat1] = aux_sym_phBlock_repeat1,
  [aux_sym_poetry_repeat1] = aux_sym_poetry_repeat1,
  [aux_sym_qBlock_repeat1] = aux_sym_qBlock_repeat1,
  [aux_sym_q_repeat1] = aux_sym_q_repeat1,
  [aux_sym_qa_repeat1] = aux_sym_qa_repeat1,
  [aux_sym_qmBlock_repeat1] = aux_sym_qmBlock_repeat1,
  [aux_sym_list_repeat1] = aux_sym_list_repeat1,
  [aux_sym_liBlock_repeat1] = aux_sym_liBlock_repeat1,
  [aux_sym_li_repeat1] = aux_sym_li_repeat1,
  [aux_sym_limBlock_repeat1] = aux_sym_limBlock_repeat1,
  [aux_sym_liv_repeat1] = aux_sym_liv_repeat1,
  [aux_sym_table_repeat1] = aux_sym_table_repeat1,
  [aux_sym_tr_repeat1] = aux_sym_tr_repeat1,
  [aux_sym_footnoteText_repeat1] = aux_sym_footnoteText_repeat1,
  [aux_sym_crossrefText_repeat1] = aux_sym_crossrefText_repeat1,
  [aux_sym_f_repeat1] = aux_sym_f_repeat1,
  [aux_sym_x_repeat1] = aux_sym_x_repeat1,
  [aux_sym__innerText_repeat1] = aux_sym__innerText_repeat1,
  [aux_sym_esb_repeat1] = aux_sym_esb_repeat1,
  [aux_sym__wAttributes_repeat1] = aux_sym__wAttributes_repeat1,
  [aux_sym__rbAttributes_repeat1] = aux_sym__rbAttributes_repeat1,
  [aux_sym__figAttributes_repeat1] = aux_sym__figAttributes_repeat1,
  [aux_sym__jmpAttribute_repeat1] = aux_sym__jmpAttribute_repeat1,
  [aux_sym__milestoneAttributes_repeat1] = aux_sym__milestoneAttributes_repeat1,
  [aux_sym__attributesInCrossref_repeat1] = aux_sym__attributesInCrossref_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_bookcode] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__spaceOrLine] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_BSLASHid] = {
    .visible = true,
    .named = false,
  },
  [sym_numberedLevelMax3] = {
    .visible = true,
    .named = true,
  },
  [sym_numberedLevelMax4] = {
    .visible = true,
    .named = true,
  },
  [sym_numberedLevelMax5] = {
    .visible = true,
    .named = true,
  },
  [sym_versionNumber] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHusfm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHide] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHref_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHh] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SPACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHtoc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHtoca] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsts] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHrem] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHrestore] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHiqt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHiqt_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHimt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHimte] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_imteTag_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BSLASHis] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHio] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHior] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHior_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHiot] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHip] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHim] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHipi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHimi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHili] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHipq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHimq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHipr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHib] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHiq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHie] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHiex] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHv] = {
    .visible = true,
    .named = false,
  },
  [sym_verseNumber] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHva] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHva_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHvp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHvp_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHc] = {
    .visible = true,
    .named = false,
  },
  [sym_chapterNumber] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHcl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHca] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHca_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHmt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHmte] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHms] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHmr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpo] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcls] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpmo] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpmc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpmr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHmi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHnb] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHph] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHphi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHb] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqs_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqa] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqac] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqac_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlh] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlf] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHli] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlim] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHliv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlik] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlik_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlitl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlitl_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHtr] = {
    .visible = true,
    .named = false,
  },
  [sym_thTag] = {
    .visible = true,
    .named = true,
  },
  [sym_thrTag] = {
    .visible = true,
    .named = true,
  },
  [sym_tcTag] = {
    .visible = true,
    .named = true,
  },
  [sym_tcrTag] = {
    .visible = true,
    .named = true,
  },
  [sym_caller] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHf] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHf_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfe] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfe_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHef_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfr_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfq_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfqa] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfqa_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfk] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfk_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfl_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfw_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfp_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHft] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHft_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfdc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfdc_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfv_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfm_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHx] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHx_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxo] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxo_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxk] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxk_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxq_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxt_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSxt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSxt_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxta] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxta_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxop] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxop_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxot] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxot_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxnt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxnt_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxdc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxdc_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHrq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHrq_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHadd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHadd_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHbk] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHbk_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHdc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHdc_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHk] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHk_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHnd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHnd_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHord] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHord_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpn_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpng] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpng_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHaddpn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHaddpn_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHqt_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsig] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsig_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsls] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsls_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHtl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHtl_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHwj] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHwj_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHem] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHem_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHbd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHbd_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHit_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHbdit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHbdit_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHno] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHno_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsc_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsup] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsup_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHndx] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHndx_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpro] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpro_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHrb] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHrb_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHw_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHwg] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHwg_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHwh] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHwh_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHwa] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHwa_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSadd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSadd_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSbk] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSbk_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSdc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSdc_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSk] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSk_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSnd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSnd_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSord] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSord_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSpn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSpn_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSpng] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSpng_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSaddpn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSaddpn_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSqt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSqt_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSsig] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSsig_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSsls] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSsls_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUStl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUStl_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSwj] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSwj_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSem] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSem_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSbd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSbd_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSit_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSbdit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSbdit_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSno] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSno_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSsc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSsc_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSsup] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSsup_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSndx] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSndx_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSpro] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSpro_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSrb] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSrb_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSw_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSwg] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSwg_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSwh] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSwh_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSwa] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSwa_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfig] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfig_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHjmp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHjmp_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSjmp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_PLUSjmp_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpb] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_milestoneTag_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BSLASH_STAR] = {
    .visible = true,
    .named = false,
  },
  [sym_milestoneStartTag] = {
    .visible = true,
    .named = true,
  },
  [sym_milestoneEndTag] = {
    .visible = true,
    .named = true,
  },
  [sym_zSpaceTag] = {
    .visible = true,
    .named = true,
  },
  [sym__zSpaceClose] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_BSLASHesb] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHesbe] = {
    .visible = true,
    .named = false,
  },
  [sym_category] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHcat] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcat_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_customAttributeName] = {
    .visible = true,
    .named = true,
  },
  [sym_attributeValue] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_key] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lemma] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strong] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_srcloc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_gloss] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_link_DASHhref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_link_DASHtitle] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_link_DASHid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_href] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_title] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_id] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_x_DASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__linkAttributeUserDefinedName_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_alt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_src] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_size] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_loc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_copy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_eid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_who] = {
    .visible = true,
    .named = false,
  },
  [sym_File] = {
    .visible = true,
    .named = true,
  },
  [sym__mandatoryHead] = {
    .visible = false,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [sym__text] = {
    .visible = false,
    .named = true,
  },
  [sym_book] = {
    .visible = true,
    .named = true,
  },
  [sym_description] = {
    .visible = true,
    .named = true,
  },
  [sym_id] = {
    .visible = true,
    .named = true,
  },
  [sym__bookHeader] = {
    .visible = false,
    .named = true,
  },
  [sym_usfm] = {
    .visible = true,
    .named = true,
  },
  [sym_ide] = {
    .visible = true,
    .named = true,
  },
  [sym_hBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_tocBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_tocaBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_h] = {
    .visible = true,
    .named = true,
  },
  [sym_hTag] = {
    .visible = true,
    .named = true,
  },
  [sym_toc] = {
    .visible = true,
    .named = true,
  },
  [sym_tocTag] = {
    .visible = true,
    .named = true,
  },
  [sym_toca] = {
    .visible = true,
    .named = true,
  },
  [sym_tocaTag] = {
    .visible = true,
    .named = true,
  },
  [sym__comments] = {
    .visible = false,
    .named = true,
  },
  [sym_sts] = {
    .visible = true,
    .named = true,
  },
  [sym_rem] = {
    .visible = true,
    .named = true,
  },
  [sym_restore] = {
    .visible = true,
    .named = true,
  },
  [sym_lit] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__introText] = {
    .visible = false,
    .named = false,
  },
  [sym_iqt] = {
    .visible = true,
    .named = true,
  },
  [sym_imtBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_imt] = {
    .visible = true,
    .named = true,
  },
  [sym_imtTag] = {
    .visible = true,
    .named = true,
  },
  [sym_imteBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_imte] = {
    .visible = true,
    .named = true,
  },
  [sym_imteTag] = {
    .visible = true,
    .named = true,
  },
  [sym__midIntroMarker] = {
    .visible = false,
    .named = true,
  },
  [sym_isBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_is] = {
    .visible = true,
    .named = true,
  },
  [sym_isTag] = {
    .visible = true,
    .named = true,
  },
  [sym_io] = {
    .visible = true,
    .named = true,
  },
  [sym_ioTag] = {
    .visible = true,
    .named = true,
  },
  [sym_ior] = {
    .visible = true,
    .named = true,
  },
  [sym_iot] = {
    .visible = true,
    .named = true,
  },
  [sym_ip] = {
    .visible = true,
    .named = true,
  },
  [sym_im] = {
    .visible = true,
    .named = true,
  },
  [sym_ipi] = {
    .visible = true,
    .named = true,
  },
  [sym_imi] = {
    .visible = true,
    .named = true,
  },
  [sym_iliBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_ili] = {
    .visible = true,
    .named = true,
  },
  [sym_iliTag] = {
    .visible = true,
    .named = true,
  },
  [sym_ipq] = {
    .visible = true,
    .named = true,
  },
  [sym_imq] = {
    .visible = true,
    .named = true,
  },
  [sym_ipr] = {
    .visible = true,
    .named = true,
  },
  [sym_ib] = {
    .visible = true,
    .named = true,
  },
  [sym_iqBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_iq] = {
    .visible = true,
    .named = true,
  },
  [sym_iqTag] = {
    .visible = true,
    .named = true,
  },
  [sym_ie] = {
    .visible = true,
    .named = true,
  },
  [sym_iex] = {
    .visible = true,
    .named = true,
  },
  [sym_verseText] = {
    .visible = true,
    .named = true,
  },
  [sym_v] = {
    .visible = true,
    .named = true,
  },
  [sym__verseMeta] = {
    .visible = false,
    .named = true,
  },
  [sym_va] = {
    .visible = true,
    .named = true,
  },
  [sym_vp] = {
    .visible = true,
    .named = true,
  },
  [sym_chapter] = {
    .visible = true,
    .named = true,
  },
  [sym_c] = {
    .visible = true,
    .named = true,
  },
  [sym__chapterContent] = {
    .visible = false,
    .named = true,
  },
  [sym__chapterMeta] = {
    .visible = false,
    .named = true,
  },
  [sym_cl] = {
    .visible = true,
    .named = true,
  },
  [sym_ca] = {
    .visible = true,
    .named = true,
  },
  [sym_cp] = {
    .visible = true,
    .named = true,
  },
  [sym_cd] = {
    .visible = true,
    .named = true,
  },
  [sym_title] = {
    .visible = true,
    .named = true,
  },
  [sym_mtBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_mt] = {
    .visible = true,
    .named = true,
  },
  [sym_mtTag] = {
    .visible = true,
    .named = true,
  },
  [sym_mteBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_mte] = {
    .visible = true,
    .named = true,
  },
  [sym_mteTag] = {
    .visible = true,
    .named = true,
  },
  [sym_msBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_ms] = {
    .visible = true,
    .named = true,
  },
  [sym_msTag] = {
    .visible = true,
    .named = true,
  },
  [sym_mr] = {
    .visible = true,
    .named = true,
  },
  [sym_sBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_s] = {
    .visible = true,
    .named = true,
  },
  [sym_sTag] = {
    .visible = true,
    .named = true,
  },
  [sym_sr] = {
    .visible = true,
    .named = true,
  },
  [sym_r] = {
    .visible = true,
    .named = true,
  },
  [sym_sp] = {
    .visible = true,
    .named = true,
  },
  [sym_d] = {
    .visible = true,
    .named = true,
  },
  [sym_sdBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_sd] = {
    .visible = true,
    .named = true,
  },
  [sym_sdTag] = {
    .visible = true,
    .named = true,
  },
  [sym_paragraph] = {
    .visible = true,
    .named = true,
  },
  [sym__paragraphContent] = {
    .visible = false,
    .named = true,
  },
  [sym_p] = {
    .visible = true,
    .named = true,
  },
  [sym_m] = {
    .visible = true,
    .named = true,
  },
  [sym_po] = {
    .visible = true,
    .named = true,
  },
  [sym_pr] = {
    .visible = true,
    .named = true,
  },
  [sym_cls] = {
    .visible = true,
    .named = true,
  },
  [sym_pmo] = {
    .visible = true,
    .named = true,
  },
  [sym_pm] = {
    .visible = true,
    .named = true,
  },
  [sym_pmc] = {
    .visible = true,
    .named = true,
  },
  [sym_pmr] = {
    .visible = true,
    .named = true,
  },
  [sym_piBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_pi] = {
    .visible = true,
    .named = true,
  },
  [sym_piTag] = {
    .visible = true,
    .named = true,
  },
  [sym_mi] = {
    .visible = true,
    .named = true,
  },
  [sym_nb] = {
    .visible = true,
    .named = true,
  },
  [sym_pc] = {
    .visible = true,
    .named = true,
  },
  [sym_phBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_ph] = {
    .visible = true,
    .named = true,
  },
  [sym_phTag] = {
    .visible = true,
    .named = true,
  },
  [sym_b] = {
    .visible = true,
    .named = true,
  },
  [sym_poetry] = {
    .visible = true,
    .named = true,
  },
  [sym__poetryContent] = {
    .visible = false,
    .named = true,
  },
  [sym_qBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_q] = {
    .visible = true,
    .named = true,
  },
  [sym_qTag] = {
    .visible = true,
    .named = true,
  },
  [sym_qr] = {
    .visible = true,
    .named = true,
  },
  [sym_qc] = {
    .visible = true,
    .named = true,
  },
  [sym_qs] = {
    .visible = true,
    .named = true,
  },
  [sym_qa] = {
    .visible = true,
    .named = true,
  },
  [sym_qac] = {
    .visible = true,
    .named = true,
  },
  [sym_qmBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_qm] = {
    .visible = true,
    .named = true,
  },
  [sym_qmTag] = {
    .visible = true,
    .named = true,
  },
  [sym_qd] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_lh] = {
    .visible = true,
    .named = true,
  },
  [sym_lf] = {
    .visible = true,
    .named = true,
  },
  [sym__listMarker] = {
    .visible = false,
    .named = true,
  },
  [sym_liBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_li] = {
    .visible = true,
    .named = true,
  },
  [sym_liTag] = {
    .visible = true,
    .named = true,
  },
  [sym_limBlock] = {
    .visible = true,
    .named = true,
  },
  [sym_lim] = {
    .visible = true,
    .named = true,
  },
  [sym_limTag] = {
    .visible = true,
    .named = true,
  },
  [sym_liv] = {
    .visible = true,
    .named = true,
  },
  [sym_livTag] = {
    .visible = true,
    .named = true,
  },
  [sym_lik] = {
    .visible = true,
    .named = true,
  },
  [sym_litl] = {
    .visible = true,
    .named = true,
  },
  [sym__listTextContent] = {
    .visible = false,
    .named = true,
  },
  [sym_table] = {
    .visible = true,
    .named = true,
  },
  [sym__tableText] = {
    .visible = false,
    .named = true,
  },
  [sym_tr] = {
    .visible = true,
    .named = true,
  },
  [sym_th] = {
    .visible = true,
    .named = true,
  },
  [sym_thr] = {
    .visible = true,
    .named = true,
  },
  [sym_tc] = {
    .visible = true,
    .named = true,
  },
  [sym_tcr] = {
    .visible = true,
    .named = true,
  },
  [sym_footnoteText] = {
    .visible = true,
    .named = true,
  },
  [sym_crossrefText] = {
    .visible = true,
    .named = true,
  },
  [sym_footnote] = {
    .visible = true,
    .named = true,
  },
  [sym_f] = {
    .visible = true,
    .named = true,
  },
  [sym_fe] = {
    .visible = true,
    .named = true,
  },
  [sym_ef] = {
    .visible = true,
    .named = true,
  },
  [sym_fr] = {
    .visible = true,
    .named = true,
  },
  [sym_fq] = {
    .visible = true,
    .named = true,
  },
  [sym_fqa] = {
    .visible = true,
    .named = true,
  },
  [sym_fk] = {
    .visible = true,
    .named = true,
  },
  [sym_fl] = {
    .visible = true,
    .named = true,
  },
  [sym_fw] = {
    .visible = true,
    .named = true,
  },
  [sym_fp] = {
    .visible = true,
    .named = true,
  },
  [sym_ft] = {
    .visible = true,
    .named = true,
  },
  [sym_fdc] = {
    .visible = true,
    .named = true,
  },
  [sym_fv] = {
    .visible = true,
    .named = true,
  },
  [sym_fm] = {
    .visible = true,
    .named = true,
  },
  [sym__footnoteContents] = {
    .visible = false,
    .named = true,
  },
  [sym_crossref] = {
    .visible = true,
    .named = true,
  },
  [sym_x] = {
    .visible = true,
    .named = true,
  },
  [sym_xo] = {
    .visible = true,
    .named = true,
  },
  [sym_xk] = {
    .visible = true,
    .named = true,
  },
  [sym_xq] = {
    .visible = true,
    .named = true,
  },
  [sym_xt] = {
    .visible = true,
    .named = true,
  },
  [sym_xtNested] = {
    .visible = true,
    .named = true,
  },
  [sym_xt_standalone] = {
    .visible = true,
    .named = true,
  },
  [sym_xta] = {
    .visible = true,
    .named = true,
  },
  [sym_xop] = {
    .visible = true,
    .named = true,
  },
  [sym_xot] = {
    .visible = true,
    .named = true,
  },
  [sym_xnt] = {
    .visible = true,
    .named = true,
  },
  [sym_xdc] = {
    .visible = true,
    .named = true,
  },
  [sym__crossrefContents] = {
    .visible = false,
    .named = true,
  },
  [sym_rq] = {
    .visible = true,
    .named = true,
  },
  [sym__innerText] = {
    .visible = false,
    .named = true,
  },
  [sym_add] = {
    .visible = true,
    .named = true,
  },
  [sym_bk] = {
    .visible = true,
    .named = true,
  },
  [sym_dc] = {
    .visible = true,
    .named = true,
  },
  [sym_k] = {
    .visible = true,
    .named = true,
  },
  [sym_nd] = {
    .visible = true,
    .named = true,
  },
  [sym_ord] = {
    .visible = true,
    .named = true,
  },
  [sym_pn] = {
    .visible = true,
    .named = true,
  },
  [sym_png] = {
    .visible = true,
    .named = true,
  },
  [sym_addpn] = {
    .visible = true,
    .named = true,
  },
  [sym_qt] = {
    .visible = true,
    .named = true,
  },
  [sym_sig] = {
    .visible = true,
    .named = true,
  },
  [sym_sls] = {
    .visible = true,
    .named = true,
  },
  [sym_tl] = {
    .visible = true,
    .named = true,
  },
  [sym_wj] = {
    .visible = true,
    .named = true,
  },
  [sym_em] = {
    .visible = true,
    .named = true,
  },
  [sym_bd] = {
    .visible = true,
    .named = true,
  },
  [sym_it] = {
    .visible = true,
    .named = true,
  },
  [sym_bdit] = {
    .visible = true,
    .named = true,
  },
  [sym_no] = {
    .visible = true,
    .named = true,
  },
  [sym_sc] = {
    .visible = true,
    .named = true,
  },
  [sym_sup] = {
    .visible = true,
    .named = true,
  },
  [sym_ndx] = {
    .visible = true,
    .named = true,
  },
  [sym_pro] = {
    .visible = true,
    .named = true,
  },
  [sym_rb] = {
    .visible = true,
    .named = true,
  },
  [sym_w] = {
    .visible = true,
    .named = true,
  },
  [sym_wg] = {
    .visible = true,
    .named = true,
  },
  [sym_wh] = {
    .visible = true,
    .named = true,
  },
  [sym_wa] = {
    .visible = true,
    .named = true,
  },
  [sym__characterMarker] = {
    .visible = false,
    .named = true,
  },
  [sym_addNested] = {
    .visible = true,
    .named = true,
  },
  [sym_bkNested] = {
    .visible = true,
    .named = true,
  },
  [sym_dcNested] = {
    .visible = true,
    .named = true,
  },
  [sym_kNested] = {
    .visible = true,
    .named = true,
  },
  [sym_ndNested] = {
    .visible = true,
    .named = true,
  },
  [sym_ordNested] = {
    .visible = true,
    .named = true,
  },
  [sym_pnNested] = {
    .visible = true,
    .named = true,
  },
  [sym_pngNested] = {
    .visible = true,
    .named = true,
  },
  [sym_addpnNested] = {
    .visible = true,
    .named = true,
  },
  [sym_qtNested] = {
    .visible = true,
    .named = true,
  },
  [sym_sigNested] = {
    .visible = true,
    .named = true,
  },
  [sym_slsNested] = {
    .visible = true,
    .named = true,
  },
  [sym_tlNested] = {
    .visible = true,
    .named = true,
  },
  [sym_wjNested] = {
    .visible = true,
    .named = true,
  },
  [sym_emNested] = {
    .visible = true,
    .named = true,
  },
  [sym_bdNested] = {
    .visible = true,
    .named = true,
  },
  [sym_itNested] = {
    .visible = true,
    .named = true,
  },
  [sym_bditNested] = {
    .visible = true,
    .named = true,
  },
  [sym_noNested] = {
    .visible = true,
    .named = true,
  },
  [sym_scNested] = {
    .visible = true,
    .named = true,
  },
  [sym_supNested] = {
    .visible = true,
    .named = true,
  },
  [sym_ndxNested] = {
    .visible = true,
    .named = true,
  },
  [sym_proNested] = {
    .visible = true,
    .named = true,
  },
  [sym_rbNested] = {
    .visible = true,
    .named = true,
  },
  [sym_wNested] = {
    .visible = true,
    .named = true,
  },
  [sym_wgNested] = {
    .visible = true,
    .named = true,
  },
  [sym_whNested] = {
    .visible = true,
    .named = true,
  },
  [sym_waNested] = {
    .visible = true,
    .named = true,
  },
  [sym__nestedCharacterMarker] = {
    .visible = false,
    .named = true,
  },
  [sym_fig] = {
    .visible = true,
    .named = true,
  },
  [sym_jmp] = {
    .visible = true,
    .named = true,
  },
  [sym_jmpNested] = {
    .visible = true,
    .named = true,
  },
  [sym_pb] = {
    .visible = true,
    .named = true,
  },
  [sym_milestoneTag] = {
    .visible = true,
    .named = true,
  },
  [sym__milestoneStandaloneMarker] = {
    .visible = false,
    .named = true,
  },
  [sym__milestoneStart] = {
    .visible = false,
    .named = true,
  },
  [sym__milestoneEnd] = {
    .visible = false,
    .named = true,
  },
  [sym_milestone] = {
    .visible = true,
    .named = true,
  },
  [sym__zNameSpaceRegular] = {
    .visible = false,
    .named = true,
  },
  [sym__zNameSpaceClosed] = {
    .visible = false,
    .named = true,
  },
  [sym__zNameSpaceStandaloneMarker] = {
    .visible = false,
    .named = true,
  },
  [sym_zNameSpace] = {
    .visible = true,
    .named = true,
  },
  [sym_esb] = {
    .visible = true,
    .named = true,
  },
  [sym__esbContents] = {
    .visible = false,
    .named = true,
  },
  [sym_cat] = {
    .visible = true,
    .named = true,
  },
  [sym_customAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_defaultAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym__kAttributes] = {
    .visible = false,
    .named = true,
  },
  [sym_keyAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym__wAttributes] = {
    .visible = false,
    .named = true,
  },
  [sym__rbAttributes] = {
    .visible = false,
    .named = true,
  },
  [sym__figAttributes] = {
    .visible = false,
    .named = true,
  },
  [sym__refAttributes] = {
    .visible = false,
    .named = true,
  },
  [sym_lemmaAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_strongAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_scrlocAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_glossAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym__jmpAttribute] = {
    .visible = false,
    .named = true,
  },
  [sym_linkAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym__linkAttributeName] = {
    .visible = false,
    .named = true,
  },
  [sym__linkAttributeUserDefinedName] = {
    .visible = false,
    .named = true,
  },
  [sym_altAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_srcAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_locAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_copyAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_refAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym__milestoneAttributes] = {
    .visible = false,
    .named = true,
  },
  [sym_msAttribute] = {
    .visible = true,
    .named = true,
  },
  [sym_milestoneAttributeName] = {
    .visible = true,
    .named = true,
  },
  [sym__attributesInCrossref] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_File_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_File_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__mandatoryHead_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_hBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tocBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tocaBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_imtBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_imteBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_isBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_iliBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_iqBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_verseText_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_v_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_chapter_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_c_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cd_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_mtBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_mt_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_mteBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_msBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ms_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sdBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_p_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_piBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_phBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_poetry_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_qBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_q_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_qa_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_qmBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_liBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_li_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_limBlock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_liv_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_table_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tr_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_footnoteText_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_crossrefText_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_f_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_x_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__innerText_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_esb_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__wAttributes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__rbAttributes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__figAttributes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jmpAttribute_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__milestoneAttributes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__attributesInCrossref_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_label = 1,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_label] = "label",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_label, 1},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 54,
  [73] = 57,
  [74] = 55,
  [75] = 56,
  [76] = 58,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 66,
  [110] = 110,
  [111] = 62,
  [112] = 65,
  [113] = 61,
  [114] = 114,
  [115] = 110,
  [116] = 116,
  [117] = 63,
  [118] = 64,
  [119] = 119,
  [120] = 114,
  [121] = 110,
  [122] = 116,
  [123] = 123,
  [124] = 71,
  [125] = 125,
  [126] = 125,
  [127] = 123,
  [128] = 119,
  [129] = 116,
  [130] = 119,
  [131] = 123,
  [132] = 125,
  [133] = 110,
  [134] = 114,
  [135] = 135,
  [136] = 136,
  [137] = 119,
  [138] = 123,
  [139] = 125,
  [140] = 116,
  [141] = 114,
  [142] = 119,
  [143] = 123,
  [144] = 70,
  [145] = 69,
  [146] = 68,
  [147] = 125,
  [148] = 116,
  [149] = 110,
  [150] = 150,
  [151] = 151,
  [152] = 114,
  [153] = 153,
  [154] = 119,
  [155] = 123,
  [156] = 125,
  [157] = 116,
  [158] = 110,
  [159] = 114,
  [160] = 119,
  [161] = 123,
  [162] = 125,
  [163] = 114,
  [164] = 110,
  [165] = 116,
  [166] = 125,
  [167] = 123,
  [168] = 119,
  [169] = 114,
  [170] = 116,
  [171] = 110,
  [172] = 110,
  [173] = 116,
  [174] = 125,
  [175] = 123,
  [176] = 119,
  [177] = 114,
  [178] = 110,
  [179] = 116,
  [180] = 125,
  [181] = 123,
  [182] = 119,
  [183] = 114,
  [184] = 114,
  [185] = 110,
  [186] = 116,
  [187] = 125,
  [188] = 123,
  [189] = 119,
  [190] = 119,
  [191] = 114,
  [192] = 110,
  [193] = 123,
  [194] = 125,
  [195] = 67,
  [196] = 116,
  [197] = 125,
  [198] = 123,
  [199] = 119,
  [200] = 114,
  [201] = 110,
  [202] = 116,
  [203] = 203,
  [204] = 204,
  [205] = 106,
  [206] = 91,
  [207] = 101,
  [208] = 100,
  [209] = 78,
  [210] = 99,
  [211] = 98,
  [212] = 97,
  [213] = 93,
  [214] = 94,
  [215] = 92,
  [216] = 83,
  [217] = 84,
  [218] = 85,
  [219] = 87,
  [220] = 96,
  [221] = 88,
  [222] = 90,
  [223] = 79,
  [224] = 80,
  [225] = 81,
  [226] = 82,
  [227] = 95,
  [228] = 104,
  [229] = 89,
  [230] = 86,
  [231] = 103,
  [232] = 105,
  [233] = 102,
  [234] = 107,
  [235] = 108,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 270,
  [273] = 270,
  [274] = 274,
  [275] = 271,
  [276] = 271,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 283,
  [286] = 286,
  [287] = 283,
  [288] = 283,
  [289] = 283,
  [290] = 283,
  [291] = 283,
  [292] = 283,
  [293] = 283,
  [294] = 294,
  [295] = 283,
  [296] = 283,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 283,
  [301] = 283,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 309,
  [311] = 279,
  [312] = 308,
  [313] = 281,
  [314] = 294,
  [315] = 286,
  [316] = 308,
  [317] = 309,
  [318] = 318,
  [319] = 307,
  [320] = 320,
  [321] = 321,
  [322] = 308,
  [323] = 309,
  [324] = 309,
  [325] = 308,
  [326] = 326,
  [327] = 327,
  [328] = 71,
  [329] = 329,
  [330] = 326,
  [331] = 329,
  [332] = 332,
  [333] = 326,
  [334] = 329,
  [335] = 320,
  [336] = 318,
  [337] = 86,
  [338] = 309,
  [339] = 339,
  [340] = 308,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 320,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 247,
  [352] = 251,
  [353] = 353,
  [354] = 318,
  [355] = 256,
  [356] = 255,
  [357] = 254,
  [358] = 237,
  [359] = 244,
  [360] = 243,
  [361] = 361,
  [362] = 245,
  [363] = 345,
  [364] = 364,
  [365] = 242,
  [366] = 366,
  [367] = 238,
  [368] = 246,
  [369] = 369,
  [370] = 370,
  [371] = 321,
  [372] = 253,
  [373] = 248,
  [374] = 7,
  [375] = 240,
  [376] = 258,
  [377] = 5,
  [378] = 266,
  [379] = 2,
  [380] = 267,
  [381] = 257,
  [382] = 268,
  [383] = 4,
  [384] = 269,
  [385] = 241,
  [386] = 259,
  [387] = 265,
  [388] = 260,
  [389] = 261,
  [390] = 6,
  [391] = 250,
  [392] = 2,
  [393] = 3,
  [394] = 262,
  [395] = 249,
  [396] = 264,
  [397] = 239,
  [398] = 398,
  [399] = 399,
  [400] = 252,
  [401] = 401,
  [402] = 236,
  [403] = 263,
  [404] = 404,
  [405] = 405,
  [406] = 348,
  [407] = 349,
  [408] = 15,
  [409] = 346,
  [410] = 8,
  [411] = 17,
  [412] = 350,
  [413] = 13,
  [414] = 12,
  [415] = 19,
  [416] = 16,
  [417] = 11,
  [418] = 10,
  [419] = 9,
  [420] = 18,
  [421] = 14,
  [422] = 422,
  [423] = 59,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 2,
  [429] = 429,
  [430] = 60,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 345,
  [460] = 439,
  [461] = 461,
  [462] = 2,
  [463] = 6,
  [464] = 10,
  [465] = 259,
  [466] = 252,
  [467] = 438,
  [468] = 468,
  [469] = 469,
  [470] = 441,
  [471] = 471,
  [472] = 447,
  [473] = 437,
  [474] = 258,
  [475] = 5,
  [476] = 236,
  [477] = 239,
  [478] = 348,
  [479] = 479,
  [480] = 14,
  [481] = 15,
  [482] = 16,
  [483] = 264,
  [484] = 262,
  [485] = 261,
  [486] = 260,
  [487] = 7,
  [488] = 246,
  [489] = 245,
  [490] = 60,
  [491] = 240,
  [492] = 492,
  [493] = 455,
  [494] = 453,
  [495] = 12,
  [496] = 59,
  [497] = 457,
  [498] = 446,
  [499] = 13,
  [500] = 500,
  [501] = 241,
  [502] = 454,
  [503] = 433,
  [504] = 269,
  [505] = 268,
  [506] = 9,
  [507] = 8,
  [508] = 18,
  [509] = 449,
  [510] = 267,
  [511] = 450,
  [512] = 3,
  [513] = 253,
  [514] = 434,
  [515] = 515,
  [516] = 244,
  [517] = 249,
  [518] = 350,
  [519] = 451,
  [520] = 19,
  [521] = 266,
  [522] = 452,
  [523] = 265,
  [524] = 346,
  [525] = 349,
  [526] = 436,
  [527] = 263,
  [528] = 243,
  [529] = 254,
  [530] = 17,
  [531] = 11,
  [532] = 448,
  [533] = 238,
  [534] = 435,
  [535] = 4,
  [536] = 237,
  [537] = 247,
  [538] = 242,
  [539] = 248,
  [540] = 256,
  [541] = 443,
  [542] = 255,
  [543] = 251,
  [544] = 250,
  [545] = 257,
  [546] = 2,
  [547] = 345,
  [548] = 548,
  [549] = 348,
  [550] = 550,
  [551] = 346,
  [552] = 350,
  [553] = 553,
  [554] = 349,
  [555] = 555,
  [556] = 2,
  [557] = 557,
  [558] = 431,
  [559] = 441,
  [560] = 452,
  [561] = 451,
  [562] = 450,
  [563] = 444,
  [564] = 442,
  [565] = 437,
  [566] = 434,
  [567] = 438,
  [568] = 435,
  [569] = 448,
  [570] = 433,
  [571] = 458,
  [572] = 436,
  [573] = 449,
  [574] = 453,
  [575] = 456,
  [576] = 432,
  [577] = 457,
  [578] = 439,
  [579] = 446,
  [580] = 454,
  [581] = 445,
  [582] = 440,
  [583] = 455,
  [584] = 443,
  [585] = 447,
  [586] = 252,
  [587] = 265,
  [588] = 2,
  [589] = 264,
  [590] = 239,
  [591] = 236,
  [592] = 259,
  [593] = 5,
  [594] = 241,
  [595] = 269,
  [596] = 260,
  [597] = 248,
  [598] = 240,
  [599] = 258,
  [600] = 262,
  [601] = 245,
  [602] = 268,
  [603] = 267,
  [604] = 266,
  [605] = 247,
  [606] = 4,
  [607] = 263,
  [608] = 257,
  [609] = 256,
  [610] = 255,
  [611] = 254,
  [612] = 237,
  [613] = 244,
  [614] = 246,
  [615] = 243,
  [616] = 242,
  [617] = 238,
  [618] = 253,
  [619] = 3,
  [620] = 251,
  [621] = 250,
  [622] = 249,
  [623] = 623,
  [624] = 624,
  [625] = 261,
  [626] = 254,
  [627] = 3,
  [628] = 453,
  [629] = 629,
  [630] = 457,
  [631] = 446,
  [632] = 13,
  [633] = 454,
  [634] = 452,
  [635] = 258,
  [636] = 451,
  [637] = 437,
  [638] = 638,
  [639] = 239,
  [640] = 248,
  [641] = 59,
  [642] = 450,
  [643] = 12,
  [644] = 448,
  [645] = 455,
  [646] = 443,
  [647] = 447,
  [648] = 492,
  [649] = 441,
  [650] = 469,
  [651] = 422,
  [652] = 433,
  [653] = 60,
  [654] = 4,
  [655] = 240,
  [656] = 656,
  [657] = 439,
  [658] = 245,
  [659] = 434,
  [660] = 6,
  [661] = 7,
  [662] = 10,
  [663] = 246,
  [664] = 260,
  [665] = 261,
  [666] = 427,
  [667] = 247,
  [668] = 19,
  [669] = 266,
  [670] = 2,
  [671] = 14,
  [672] = 262,
  [673] = 264,
  [674] = 236,
  [675] = 252,
  [676] = 259,
  [677] = 241,
  [678] = 500,
  [679] = 468,
  [680] = 515,
  [681] = 15,
  [682] = 16,
  [683] = 269,
  [684] = 17,
  [685] = 449,
  [686] = 268,
  [687] = 435,
  [688] = 249,
  [689] = 436,
  [690] = 461,
  [691] = 250,
  [692] = 251,
  [693] = 11,
  [694] = 9,
  [695] = 471,
  [696] = 479,
  [697] = 8,
  [698] = 253,
  [699] = 18,
  [700] = 267,
  [701] = 238,
  [702] = 242,
  [703] = 243,
  [704] = 244,
  [705] = 237,
  [706] = 438,
  [707] = 255,
  [708] = 256,
  [709] = 5,
  [710] = 257,
  [711] = 263,
  [712] = 265,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 553,
  [717] = 309,
  [718] = 550,
  [719] = 308,
  [720] = 548,
  [721] = 555,
  [722] = 308,
  [723] = 309,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 727,
  [729] = 726,
  [730] = 725,
  [731] = 724,
  [732] = 624,
  [733] = 238,
  [734] = 261,
  [735] = 258,
  [736] = 259,
  [737] = 262,
  [738] = 240,
  [739] = 264,
  [740] = 623,
  [741] = 252,
  [742] = 2,
  [743] = 239,
  [744] = 236,
  [745] = 241,
  [746] = 280,
  [747] = 747,
  [748] = 246,
  [749] = 245,
  [750] = 249,
  [751] = 250,
  [752] = 251,
  [753] = 253,
  [754] = 754,
  [755] = 260,
  [756] = 242,
  [757] = 243,
  [758] = 244,
  [759] = 282,
  [760] = 760,
  [761] = 237,
  [762] = 247,
  [763] = 3,
  [764] = 269,
  [765] = 254,
  [766] = 4,
  [767] = 5,
  [768] = 255,
  [769] = 248,
  [770] = 256,
  [771] = 257,
  [772] = 263,
  [773] = 265,
  [774] = 266,
  [775] = 267,
  [776] = 268,
  [777] = 638,
  [778] = 282,
  [779] = 280,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 782,
  [784] = 782,
  [785] = 782,
  [786] = 782,
  [787] = 782,
  [788] = 782,
  [789] = 782,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 781,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 790,
  [818] = 791,
  [819] = 792,
  [820] = 793,
  [821] = 794,
  [822] = 795,
  [823] = 796,
  [824] = 797,
  [825] = 798,
  [826] = 799,
  [827] = 800,
  [828] = 801,
  [829] = 802,
  [830] = 803,
  [831] = 804,
  [832] = 805,
  [833] = 806,
  [834] = 807,
  [835] = 808,
  [836] = 809,
  [837] = 810,
  [838] = 811,
  [839] = 781,
  [840] = 813,
  [841] = 814,
  [842] = 815,
  [843] = 816,
  [844] = 790,
  [845] = 791,
  [846] = 792,
  [847] = 793,
  [848] = 794,
  [849] = 795,
  [850] = 796,
  [851] = 797,
  [852] = 798,
  [853] = 799,
  [854] = 800,
  [855] = 801,
  [856] = 802,
  [857] = 803,
  [858] = 804,
  [859] = 805,
  [860] = 814,
  [861] = 806,
  [862] = 807,
  [863] = 808,
  [864] = 809,
  [865] = 811,
  [866] = 781,
  [867] = 813,
  [868] = 814,
  [869] = 815,
  [870] = 816,
  [871] = 790,
  [872] = 791,
  [873] = 792,
  [874] = 793,
  [875] = 794,
  [876] = 795,
  [877] = 796,
  [878] = 810,
  [879] = 798,
  [880] = 799,
  [881] = 800,
  [882] = 801,
  [883] = 802,
  [884] = 803,
  [885] = 804,
  [886] = 805,
  [887] = 806,
  [888] = 807,
  [889] = 808,
  [890] = 809,
  [891] = 810,
  [892] = 811,
  [893] = 813,
  [894] = 814,
  [895] = 815,
  [896] = 816,
  [897] = 790,
  [898] = 791,
  [899] = 792,
  [900] = 793,
  [901] = 794,
  [902] = 795,
  [903] = 796,
  [904] = 797,
  [905] = 798,
  [906] = 799,
  [907] = 800,
  [908] = 801,
  [909] = 802,
  [910] = 803,
  [911] = 804,
  [912] = 805,
  [913] = 806,
  [914] = 807,
  [915] = 808,
  [916] = 809,
  [917] = 810,
  [918] = 811,
  [919] = 781,
  [920] = 813,
  [921] = 814,
  [922] = 815,
  [923] = 816,
  [924] = 790,
  [925] = 791,
  [926] = 792,
  [927] = 793,
  [928] = 794,
  [929] = 795,
  [930] = 808,
  [931] = 796,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 780,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 797,
  [961] = 798,
  [962] = 799,
  [963] = 800,
  [964] = 801,
  [965] = 802,
  [966] = 803,
  [967] = 816,
  [968] = 815,
  [969] = 814,
  [970] = 804,
  [971] = 813,
  [972] = 781,
  [973] = 805,
  [974] = 811,
  [975] = 810,
  [976] = 809,
  [977] = 806,
  [978] = 796,
  [979] = 807,
  [980] = 808,
  [981] = 809,
  [982] = 807,
  [983] = 810,
  [984] = 806,
  [985] = 805,
  [986] = 804,
  [987] = 803,
  [988] = 802,
  [989] = 811,
  [990] = 781,
  [991] = 801,
  [992] = 813,
  [993] = 800,
  [994] = 814,
  [995] = 799,
  [996] = 815,
  [997] = 798,
  [998] = 816,
  [999] = 797,
  [1000] = 799,
  [1001] = 795,
  [1002] = 794,
  [1003] = 793,
  [1004] = 797,
  [1005] = 792,
  [1006] = 791,
  [1007] = 790,
  [1008] = 790,
  [1009] = 791,
  [1010] = 792,
  [1011] = 793,
  [1012] = 794,
  [1013] = 795,
  [1014] = 959,
  [1015] = 796,
  [1016] = 797,
  [1017] = 958,
  [1018] = 957,
  [1019] = 798,
  [1020] = 956,
  [1021] = 955,
  [1022] = 954,
  [1023] = 953,
  [1024] = 952,
  [1025] = 951,
  [1026] = 950,
  [1027] = 949,
  [1028] = 800,
  [1029] = 948,
  [1030] = 946,
  [1031] = 945,
  [1032] = 944,
  [1033] = 943,
  [1034] = 801,
  [1035] = 942,
  [1036] = 941,
  [1037] = 940,
  [1038] = 939,
  [1039] = 938,
  [1040] = 802,
  [1041] = 937,
  [1042] = 936,
  [1043] = 935,
  [1044] = 803,
  [1045] = 790,
  [1046] = 791,
  [1047] = 792,
  [1048] = 793,
  [1049] = 782,
  [1050] = 794,
  [1051] = 795,
  [1052] = 796,
  [1053] = 797,
  [1054] = 798,
  [1055] = 799,
  [1056] = 800,
  [1057] = 801,
  [1058] = 802,
  [1059] = 803,
  [1060] = 804,
  [1061] = 805,
  [1062] = 806,
  [1063] = 807,
  [1064] = 804,
  [1065] = 805,
  [1066] = 806,
  [1067] = 807,
  [1068] = 808,
  [1069] = 809,
  [1070] = 810,
  [1071] = 811,
  [1072] = 781,
  [1073] = 813,
  [1074] = 814,
  [1075] = 815,
  [1076] = 816,
  [1077] = 808,
  [1078] = 934,
  [1079] = 933,
  [1080] = 932,
  [1081] = 809,
  [1082] = 810,
  [1083] = 811,
  [1084] = 781,
  [1085] = 813,
  [1086] = 816,
  [1087] = 815,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1088,
  [1091] = 1089,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1114,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1115,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1114,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1133,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1135,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1140,
  [1142] = 1140,
  [1143] = 1140,
  [1144] = 1140,
  [1145] = 1140,
  [1146] = 1140,
  [1147] = 1140,
  [1148] = 1148,
  [1149] = 1140,
  [1150] = 1150,
  [1151] = 1140,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1140,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1140,
  [1163] = 1140,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1170,
  [1173] = 1171,
  [1174] = 257,
  [1175] = 254,
  [1176] = 259,
  [1177] = 252,
  [1178] = 236,
  [1179] = 238,
  [1180] = 239,
  [1181] = 242,
  [1182] = 243,
  [1183] = 264,
  [1184] = 262,
  [1185] = 260,
  [1186] = 244,
  [1187] = 246,
  [1188] = 245,
  [1189] = 240,
  [1190] = 7,
  [1191] = 261,
  [1192] = 5,
  [1193] = 251,
  [1194] = 2,
  [1195] = 269,
  [1196] = 248,
  [1197] = 247,
  [1198] = 59,
  [1199] = 268,
  [1200] = 258,
  [1201] = 60,
  [1202] = 6,
  [1203] = 638,
  [1204] = 266,
  [1205] = 265,
  [1206] = 250,
  [1207] = 263,
  [1208] = 4,
  [1209] = 249,
  [1210] = 253,
  [1211] = 3,
  [1212] = 256,
  [1213] = 237,
  [1214] = 241,
  [1215] = 255,
  [1216] = 267,
  [1217] = 1132,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1131,
  [1222] = 13,
  [1223] = 1223,
  [1224] = 12,
  [1225] = 6,
  [1226] = 10,
  [1227] = 14,
  [1228] = 19,
  [1229] = 9,
  [1230] = 8,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 60,
  [1234] = 11,
  [1235] = 17,
  [1236] = 1164,
  [1237] = 349,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1168,
  [1242] = 1242,
  [1243] = 1165,
  [1244] = 1166,
  [1245] = 18,
  [1246] = 7,
  [1247] = 59,
  [1248] = 16,
  [1249] = 345,
  [1250] = 15,
  [1251] = 1169,
  [1252] = 2,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 7,
  [1256] = 6,
  [1257] = 15,
  [1258] = 14,
  [1259] = 19,
  [1260] = 17,
  [1261] = 345,
  [1262] = 16,
  [1263] = 18,
  [1264] = 1105,
  [1265] = 13,
  [1266] = 2,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 9,
  [1270] = 8,
  [1271] = 1271,
  [1272] = 12,
  [1273] = 11,
  [1274] = 10,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 346,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 345,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1220,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1218,
  [1297] = 349,
  [1298] = 348,
  [1299] = 1219,
  [1300] = 1300,
  [1301] = 350,
  [1302] = 1302,
  [1303] = 436,
  [1304] = 437,
  [1305] = 435,
  [1306] = 2,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 439,
  [1310] = 346,
  [1311] = 1311,
  [1312] = 441,
  [1313] = 447,
  [1314] = 443,
  [1315] = 455,
  [1316] = 13,
  [1317] = 14,
  [1318] = 448,
  [1319] = 15,
  [1320] = 1320,
  [1321] = 1321,
  [1322] = 450,
  [1323] = 451,
  [1324] = 452,
  [1325] = 454,
  [1326] = 16,
  [1327] = 446,
  [1328] = 457,
  [1329] = 453,
  [1330] = 449,
  [1331] = 438,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 350,
  [1335] = 18,
  [1336] = 8,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 349,
  [1346] = 2,
  [1347] = 1347,
  [1348] = 348,
  [1349] = 12,
  [1350] = 9,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 2,
  [1355] = 345,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 8,
  [1362] = 258,
  [1363] = 469,
  [1364] = 247,
  [1365] = 248,
  [1366] = 471,
  [1367] = 479,
  [1368] = 492,
  [1369] = 253,
  [1370] = 240,
  [1371] = 245,
  [1372] = 246,
  [1373] = 260,
  [1374] = 261,
  [1375] = 262,
  [1376] = 264,
  [1377] = 239,
  [1378] = 236,
  [1379] = 252,
  [1380] = 259,
  [1381] = 241,
  [1382] = 269,
  [1383] = 268,
  [1384] = 267,
  [1385] = 266,
  [1386] = 265,
  [1387] = 263,
  [1388] = 257,
  [1389] = 256,
  [1390] = 255,
  [1391] = 254,
  [1392] = 237,
  [1393] = 244,
  [1394] = 243,
  [1395] = 242,
  [1396] = 238,
  [1397] = 249,
  [1398] = 251,
  [1399] = 250,
  [1400] = 4,
  [1401] = 437,
  [1402] = 438,
  [1403] = 449,
  [1404] = 453,
  [1405] = 457,
  [1406] = 446,
  [1407] = 454,
  [1408] = 452,
  [1409] = 451,
  [1410] = 450,
  [1411] = 448,
  [1412] = 455,
  [1413] = 443,
  [1414] = 447,
  [1415] = 441,
  [1416] = 439,
  [1417] = 60,
  [1418] = 436,
  [1419] = 435,
  [1420] = 59,
  [1421] = 5,
  [1422] = 2,
  [1423] = 3,
  [1424] = 17,
  [1425] = 19,
  [1426] = 10,
  [1427] = 11,
  [1428] = 12,
  [1429] = 6,
  [1430] = 13,
  [1431] = 433,
  [1432] = 434,
  [1433] = 14,
  [1434] = 15,
  [1435] = 16,
  [1436] = 7,
  [1437] = 18,
  [1438] = 9,
  [1439] = 439,
  [1440] = 10,
  [1441] = 266,
  [1442] = 265,
  [1443] = 263,
  [1444] = 257,
  [1445] = 256,
  [1446] = 255,
  [1447] = 254,
  [1448] = 237,
  [1449] = 244,
  [1450] = 243,
  [1451] = 242,
  [1452] = 238,
  [1453] = 253,
  [1454] = 240,
  [1455] = 268,
  [1456] = 251,
  [1457] = 250,
  [1458] = 249,
  [1459] = 269,
  [1460] = 241,
  [1461] = 259,
  [1462] = 252,
  [1463] = 236,
  [1464] = 239,
  [1465] = 264,
  [1466] = 262,
  [1467] = 261,
  [1468] = 260,
  [1469] = 246,
  [1470] = 245,
  [1471] = 18,
  [1472] = 248,
  [1473] = 247,
  [1474] = 258,
  [1475] = 450,
  [1476] = 433,
  [1477] = 434,
  [1478] = 4,
  [1479] = 5,
  [1480] = 3,
  [1481] = 451,
  [1482] = 9,
  [1483] = 8,
  [1484] = 19,
  [1485] = 7,
  [1486] = 16,
  [1487] = 15,
  [1488] = 14,
  [1489] = 13,
  [1490] = 6,
  [1491] = 12,
  [1492] = 452,
  [1493] = 11,
  [1494] = 454,
  [1495] = 446,
  [1496] = 457,
  [1497] = 17,
  [1498] = 453,
  [1499] = 449,
  [1500] = 17,
  [1501] = 19,
  [1502] = 1271,
  [1503] = 10,
  [1504] = 11,
  [1505] = 12,
  [1506] = 6,
  [1507] = 13,
  [1508] = 14,
  [1509] = 15,
  [1510] = 16,
  [1511] = 7,
  [1512] = 18,
  [1513] = 8,
  [1514] = 9,
  [1515] = 438,
  [1516] = 59,
  [1517] = 2,
  [1518] = 2,
  [1519] = 1267,
  [1520] = 435,
  [1521] = 436,
  [1522] = 437,
  [1523] = 1275,
  [1524] = 60,
  [1525] = 267,
  [1526] = 448,
  [1527] = 441,
  [1528] = 447,
  [1529] = 443,
  [1530] = 455,
  [1531] = 1268,
  [1532] = 1280,
  [1533] = 1294,
  [1534] = 1276,
  [1535] = 1300,
  [1536] = 1282,
  [1537] = 1302,
  [1538] = 1286,
  [1539] = 1291,
  [1540] = 1295,
  [1541] = 1288,
  [1542] = 1283,
  [1543] = 1287,
  [1544] = 1290,
  [1545] = 1279,
  [1546] = 1278,
  [1547] = 1289,
  [1548] = 1285,
  [1549] = 1321,
  [1550] = 1308,
  [1551] = 1131,
  [1552] = 1552,
  [1553] = 345,
  [1554] = 17,
  [1555] = 3,
  [1556] = 35,
  [1557] = 42,
  [1558] = 41,
  [1559] = 39,
  [1560] = 25,
  [1561] = 47,
  [1562] = 40,
  [1563] = 21,
  [1564] = 37,
  [1565] = 38,
  [1566] = 14,
  [1567] = 43,
  [1568] = 46,
  [1569] = 48,
  [1570] = 53,
  [1571] = 52,
  [1572] = 2,
  [1573] = 51,
  [1574] = 2,
  [1575] = 19,
  [1576] = 10,
  [1577] = 49,
  [1578] = 45,
  [1579] = 44,
  [1580] = 20,
  [1581] = 50,
  [1582] = 22,
  [1583] = 23,
  [1584] = 24,
  [1585] = 26,
  [1586] = 27,
  [1587] = 28,
  [1588] = 29,
  [1589] = 30,
  [1590] = 31,
  [1591] = 32,
  [1592] = 33,
  [1593] = 34,
  [1594] = 9,
  [1595] = 8,
  [1596] = 18,
  [1597] = 36,
  [1598] = 426,
  [1599] = 424,
  [1600] = 7,
  [1601] = 16,
  [1602] = 15,
  [1603] = 11,
  [1604] = 425,
  [1605] = 429,
  [1606] = 12,
  [1607] = 5,
  [1608] = 6,
  [1609] = 4,
  [1610] = 13,
  [1611] = 12,
  [1612] = 15,
  [1613] = 349,
  [1614] = 5,
  [1615] = 10,
  [1616] = 19,
  [1617] = 11,
  [1618] = 6,
  [1619] = 13,
  [1620] = 9,
  [1621] = 8,
  [1622] = 18,
  [1623] = 3,
  [1624] = 14,
  [1625] = 4,
  [1626] = 7,
  [1627] = 16,
  [1628] = 17,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 2,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1636,
  [1637] = 2,
  [1638] = 12,
  [1639] = 2,
  [1640] = 1640,
  [1641] = 8,
  [1642] = 9,
  [1643] = 6,
  [1644] = 19,
  [1645] = 17,
  [1646] = 16,
  [1647] = 15,
  [1648] = 1648,
  [1649] = 18,
  [1650] = 14,
  [1651] = 13,
  [1652] = 11,
  [1653] = 10,
  [1654] = 7,
  [1655] = 452,
  [1656] = 438,
  [1657] = 450,
  [1658] = 435,
  [1659] = 436,
  [1660] = 59,
  [1661] = 60,
  [1662] = 1358,
  [1663] = 457,
  [1664] = 451,
  [1665] = 453,
  [1666] = 455,
  [1667] = 449,
  [1668] = 448,
  [1669] = 439,
  [1670] = 2,
  [1671] = 437,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1360,
  [1677] = 441,
  [1678] = 447,
  [1679] = 443,
  [1680] = 446,
  [1681] = 1681,
  [1682] = 1682,
  [1683] = 454,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 422,
  [1687] = 345,
  [1688] = 427,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 1691,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1700,
  [1701] = 1701,
  [1702] = 1702,
  [1703] = 349,
  [1704] = 1704,
  [1705] = 1705,
  [1706] = 1706,
  [1707] = 1707,
  [1708] = 1708,
  [1709] = 1709,
  [1710] = 2,
  [1711] = 1711,
  [1712] = 1712,
  [1713] = 1713,
  [1714] = 455,
  [1715] = 448,
  [1716] = 449,
  [1717] = 1358,
  [1718] = 453,
  [1719] = 457,
  [1720] = 1720,
  [1721] = 435,
  [1722] = 1360,
  [1723] = 446,
  [1724] = 439,
  [1725] = 436,
  [1726] = 443,
  [1727] = 450,
  [1728] = 451,
  [1729] = 438,
  [1730] = 437,
  [1731] = 452,
  [1732] = 1732,
  [1733] = 447,
  [1734] = 454,
  [1735] = 1735,
  [1736] = 441,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 343,
  [1740] = 342,
  [1741] = 1741,
  [1742] = 1742,
  [1743] = 1742,
  [1744] = 1744,
  [1745] = 1741,
  [1746] = 1741,
  [1747] = 1742,
  [1748] = 1741,
  [1749] = 1742,
  [1750] = 1742,
  [1751] = 1742,
  [1752] = 1741,
  [1753] = 1742,
  [1754] = 1741,
  [1755] = 1742,
  [1756] = 1741,
  [1757] = 1741,
  [1758] = 1741,
  [1759] = 1741,
  [1760] = 1742,
  [1761] = 1742,
  [1762] = 1742,
  [1763] = 1741,
  [1764] = 1742,
  [1765] = 1741,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1771,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1772,
  [1775] = 1775,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1776,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1805,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 425,
  [1830] = 1830,
  [1831] = 424,
  [1832] = 1832,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 1835,
  [1836] = 1836,
  [1837] = 1837,
  [1838] = 1838,
  [1839] = 1839,
  [1840] = 1840,
  [1841] = 1841,
  [1842] = 1842,
  [1843] = 1843,
  [1844] = 1844,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 1849,
  [1850] = 1850,
  [1851] = 1849,
  [1852] = 1849,
  [1853] = 1850,
  [1854] = 1849,
  [1855] = 1850,
  [1856] = 1849,
  [1857] = 1849,
  [1858] = 1850,
  [1859] = 1850,
  [1860] = 1849,
  [1861] = 1849,
  [1862] = 1850,
  [1863] = 1850,
  [1864] = 1850,
  [1865] = 1849,
  [1866] = 1850,
  [1867] = 1850,
  [1868] = 1850,
  [1869] = 1869,
  [1870] = 1869,
  [1871] = 1869,
  [1872] = 1869,
  [1873] = 1869,
  [1874] = 1874,
  [1875] = 1874,
  [1876] = 1869,
  [1877] = 1869,
  [1878] = 1869,
  [1879] = 1869,
  [1880] = 1880,
  [1881] = 1881,
  [1882] = 1881,
  [1883] = 1880,
  [1884] = 1884,
  [1885] = 1885,
  [1886] = 1886,
  [1887] = 1885,
  [1888] = 1881,
  [1889] = 1889,
  [1890] = 1880,
  [1891] = 1886,
  [1892] = 1886,
  [1893] = 1884,
  [1894] = 1881,
  [1895] = 1889,
  [1896] = 1884,
  [1897] = 1886,
  [1898] = 1885,
  [1899] = 1885,
  [1900] = 1889,
  [1901] = 1901,
  [1902] = 1881,
  [1903] = 1880,
  [1904] = 1881,
  [1905] = 1885,
  [1906] = 1885,
  [1907] = 1880,
  [1908] = 1889,
  [1909] = 1886,
  [1910] = 1881,
  [1911] = 1889,
  [1912] = 1889,
  [1913] = 1881,
  [1914] = 1889,
  [1915] = 1889,
  [1916] = 1886,
  [1917] = 1886,
  [1918] = 1889,
  [1919] = 1889,
  [1920] = 1885,
  [1921] = 1921,
  [1922] = 1922,
  [1923] = 1921,
  [1924] = 1922,
  [1925] = 1886,
  [1926] = 1880,
  [1927] = 1886,
  [1928] = 1885,
  [1929] = 1889,
  [1930] = 1881,
  [1931] = 1880,
  [1932] = 1886,
  [1933] = 1886,
  [1934] = 1889,
  [1935] = 1901,
  [1936] = 1889,
  [1937] = 1937,
  [1938] = 1885,
  [1939] = 1286,
  [1940] = 1880,
  [1941] = 1880,
  [1942] = 1901,
  [1943] = 1943,
  [1944] = 1944,
  [1945] = 1945,
  [1946] = 1946,
  [1947] = 1947,
  [1948] = 1943,
  [1949] = 1943,
  [1950] = 1946,
  [1951] = 1945,
  [1952] = 1947,
  [1953] = 1947,
  [1954] = 1946,
  [1955] = 1945,
  [1956] = 1943,
  [1957] = 1957,
  [1958] = 1945,
  [1959] = 1946,
  [1960] = 1947,
  [1961] = 1943,
  [1962] = 1945,
  [1963] = 1946,
  [1964] = 1946,
  [1965] = 1947,
  [1966] = 1947,
  [1967] = 1943,
  [1968] = 1945,
  [1969] = 1947,
  [1970] = 1947,
  [1971] = 1943,
  [1972] = 1947,
  [1973] = 1945,
  [1974] = 1946,
  [1975] = 1943,
  [1976] = 1946,
  [1977] = 1943,
  [1978] = 1945,
  [1979] = 1979,
  [1980] = 1979,
  [1981] = 1945,
  [1982] = 1946,
  [1983] = 1983,
  [1984] = 1984,
  [1985] = 1985,
  [1986] = 1986,
  [1987] = 1987,
  [1988] = 1988,
  [1989] = 1989,
  [1990] = 1985,
  [1991] = 1987,
  [1992] = 1992,
  [1993] = 1993,
  [1994] = 1985,
  [1995] = 1995,
  [1996] = 1996,
  [1997] = 1997,
  [1998] = 1987,
  [1999] = 1985,
  [2000] = 2000,
  [2001] = 2001,
  [2002] = 2002,
  [2003] = 2003,
  [2004] = 2004,
  [2005] = 2005,
  [2006] = 2006,
  [2007] = 2007,
  [2008] = 2008,
  [2009] = 1984,
  [2010] = 1988,
  [2011] = 1985,
  [2012] = 2012,
  [2013] = 2013,
  [2014] = 1987,
  [2015] = 1995,
  [2016] = 1996,
  [2017] = 1985,
  [2018] = 1988,
  [2019] = 1997,
  [2020] = 1986,
  [2021] = 2000,
  [2022] = 1984,
  [2023] = 2001,
  [2024] = 2002,
  [2025] = 1987,
  [2026] = 2006,
  [2027] = 2027,
  [2028] = 1984,
  [2029] = 2029,
  [2030] = 1985,
  [2031] = 2031,
  [2032] = 2032,
  [2033] = 1983,
  [2034] = 2031,
  [2035] = 2029,
  [2036] = 2036,
  [2037] = 2032,
  [2038] = 1984,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 2041,
  [2042] = 2029,
  [2043] = 2031,
  [2044] = 1987,
  [2045] = 1983,
  [2046] = 1988,
  [2047] = 2032,
  [2048] = 2048,
  [2049] = 2049,
  [2050] = 1988,
  [2051] = 1985,
  [2052] = 2052,
  [2053] = 1987,
  [2054] = 2054,
  [2055] = 2055,
  [2056] = 1987,
  [2057] = 2027,
  [2058] = 2058,
  [2059] = 1985,
  [2060] = 1986,
  [2061] = 1984,
  [2062] = 2062,
  [2063] = 2029,
  [2064] = 2031,
  [2065] = 1983,
  [2066] = 2032,
  [2067] = 2067,
  [2068] = 1987,
  [2069] = 2069,
  [2070] = 1985,
  [2071] = 1988,
  [2072] = 2072,
  [2073] = 2073,
  [2074] = 2074,
  [2075] = 2075,
  [2076] = 1984,
  [2077] = 2077,
  [2078] = 2078,
  [2079] = 2079,
  [2080] = 1988,
  [2081] = 2055,
  [2082] = 2039,
  [2083] = 2029,
  [2084] = 2031,
  [2085] = 1985,
  [2086] = 1983,
  [2087] = 2032,
  [2088] = 2027,
  [2089] = 2089,
  [2090] = 2029,
  [2091] = 2091,
  [2092] = 1985,
  [2093] = 2093,
  [2094] = 2032,
  [2095] = 1983,
  [2096] = 2031,
  [2097] = 2029,
  [2098] = 2029,
  [2099] = 2031,
  [2100] = 1983,
  [2101] = 2101,
  [2102] = 2102,
  [2103] = 2103,
  [2104] = 1988,
  [2105] = 1984,
  [2106] = 2032,
  [2107] = 2102,
  [2108] = 2108,
  [2109] = 2102,
  [2110] = 2110,
  [2111] = 1988,
  [2112] = 2102,
  [2113] = 2031,
  [2114] = 2114,
  [2115] = 2067,
  [2116] = 2116,
  [2117] = 2032,
  [2118] = 1983,
  [2119] = 2031,
  [2120] = 2029,
  [2121] = 2121,
  [2122] = 2122,
  [2123] = 2102,
  [2124] = 2124,
  [2125] = 2102,
  [2126] = 1984,
  [2127] = 1983,
  [2128] = 2032,
  [2129] = 2129,
  [2130] = 2130,
  [2131] = 2131,
  [2132] = 2132,
  [2133] = 2133,
  [2134] = 2134,
  [2135] = 2135,
  [2136] = 2136,
  [2137] = 2137,
  [2138] = 2138,
  [2139] = 2139,
  [2140] = 2140,
  [2141] = 2141,
  [2142] = 2142,
  [2143] = 2143,
  [2144] = 2130,
  [2145] = 2145,
  [2146] = 2143,
  [2147] = 2147,
  [2148] = 2148,
  [2149] = 2149,
  [2150] = 2150,
  [2151] = 2151,
  [2152] = 2152,
  [2153] = 2153,
  [2154] = 2149,
  [2155] = 2155,
  [2156] = 2156,
  [2157] = 2157,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 2163,
  [2164] = 2164,
  [2165] = 2165,
  [2166] = 2166,
  [2167] = 2129,
  [2168] = 2168,
  [2169] = 2169,
  [2170] = 2170,
  [2171] = 2171,
  [2172] = 2172,
  [2173] = 2173,
  [2174] = 2174,
  [2175] = 2175,
  [2176] = 2176,
  [2177] = 2172,
  [2178] = 2157,
  [2179] = 2163,
  [2180] = 2173,
  [2181] = 2148,
  [2182] = 2147,
  [2183] = 2171,
  [2184] = 2161,
  [2185] = 2162,
  [2186] = 2170,
  [2187] = 2164,
  [2188] = 2165,
  [2189] = 2166,
  [2190] = 2129,
  [2191] = 2168,
  [2192] = 2169,
  [2193] = 2160,
  [2194] = 2174,
  [2195] = 2175,
  [2196] = 2176,
  [2197] = 2197,
  [2198] = 2131,
  [2199] = 2132,
  [2200] = 2133,
  [2201] = 2134,
  [2202] = 2135,
  [2203] = 2136,
  [2204] = 2137,
  [2205] = 2138,
  [2206] = 2139,
  [2207] = 2140,
  [2208] = 2141,
  [2209] = 2142,
  [2210] = 2143,
  [2211] = 2130,
  [2212] = 2145,
  [2213] = 2159,
  [2214] = 2147,
  [2215] = 2148,
  [2216] = 2149,
  [2217] = 2150,
  [2218] = 2151,
  [2219] = 2158,
  [2220] = 2145,
  [2221] = 2130,
  [2222] = 2163,
  [2223] = 2156,
  [2224] = 2157,
  [2225] = 2158,
  [2226] = 2159,
  [2227] = 2160,
  [2228] = 2156,
  [2229] = 2229,
  [2230] = 2230,
  [2231] = 2151,
  [2232] = 2150,
  [2233] = 2149,
  [2234] = 2148,
  [2235] = 2147,
  [2236] = 2145,
  [2237] = 2170,
  [2238] = 2171,
  [2239] = 2130,
  [2240] = 2173,
  [2241] = 2143,
  [2242] = 2142,
  [2243] = 2141,
  [2244] = 2172,
  [2245] = 2140,
  [2246] = 2163,
  [2247] = 2139,
  [2248] = 2139,
  [2249] = 2142,
  [2250] = 2141,
  [2251] = 2161,
  [2252] = 2138,
  [2253] = 2164,
  [2254] = 2165,
  [2255] = 2166,
  [2256] = 2129,
  [2257] = 2168,
  [2258] = 2169,
  [2259] = 2137,
  [2260] = 2174,
  [2261] = 2175,
  [2262] = 2176,
  [2263] = 2197,
  [2264] = 2131,
  [2265] = 2132,
  [2266] = 2133,
  [2267] = 2134,
  [2268] = 2135,
  [2269] = 2136,
  [2270] = 2137,
  [2271] = 2138,
  [2272] = 2139,
  [2273] = 2140,
  [2274] = 2141,
  [2275] = 2142,
  [2276] = 2143,
  [2277] = 2130,
  [2278] = 2145,
  [2279] = 2136,
  [2280] = 2147,
  [2281] = 2148,
  [2282] = 2149,
  [2283] = 2150,
  [2284] = 2151,
  [2285] = 2140,
  [2286] = 2133,
  [2287] = 2138,
  [2288] = 2135,
  [2289] = 2156,
  [2290] = 2157,
  [2291] = 2158,
  [2292] = 2134,
  [2293] = 2133,
  [2294] = 2132,
  [2295] = 2131,
  [2296] = 2197,
  [2297] = 2176,
  [2298] = 2175,
  [2299] = 2174,
  [2300] = 2169,
  [2301] = 2170,
  [2302] = 2171,
  [2303] = 2168,
  [2304] = 2173,
  [2305] = 2129,
  [2306] = 2166,
  [2307] = 2165,
  [2308] = 2172,
  [2309] = 2164,
  [2310] = 2163,
  [2311] = 2162,
  [2312] = 2137,
  [2313] = 2136,
  [2314] = 2135,
  [2315] = 2161,
  [2316] = 2161,
  [2317] = 2164,
  [2318] = 2165,
  [2319] = 2166,
  [2320] = 2129,
  [2321] = 2168,
  [2322] = 2169,
  [2323] = 2150,
  [2324] = 2174,
  [2325] = 2175,
  [2326] = 2176,
  [2327] = 2197,
  [2328] = 2131,
  [2329] = 2132,
  [2330] = 2133,
  [2331] = 2134,
  [2332] = 2135,
  [2333] = 2136,
  [2334] = 2137,
  [2335] = 2138,
  [2336] = 2139,
  [2337] = 2140,
  [2338] = 2141,
  [2339] = 2142,
  [2340] = 2143,
  [2341] = 2130,
  [2342] = 2145,
  [2343] = 2151,
  [2344] = 2147,
  [2345] = 2148,
  [2346] = 2149,
  [2347] = 2150,
  [2348] = 2151,
  [2349] = 2134,
  [2350] = 2166,
  [2351] = 2132,
  [2352] = 2172,
  [2353] = 2156,
  [2354] = 2157,
  [2355] = 2158,
  [2356] = 2173,
  [2357] = 2171,
  [2358] = 2170,
  [2359] = 2359,
  [2360] = 2360,
  [2361] = 2160,
  [2362] = 2159,
  [2363] = 2158,
  [2364] = 2157,
  [2365] = 2170,
  [2366] = 2171,
  [2367] = 2156,
  [2368] = 2173,
  [2369] = 2369,
  [2370] = 2370,
  [2371] = 2371,
  [2372] = 2172,
  [2373] = 2373,
  [2374] = 2163,
  [2375] = 2360,
  [2376] = 2131,
  [2377] = 2197,
  [2378] = 2176,
  [2379] = 2161,
  [2380] = 2151,
  [2381] = 2164,
  [2382] = 2165,
  [2383] = 2166,
  [2384] = 2129,
  [2385] = 2168,
  [2386] = 2169,
  [2387] = 2150,
  [2388] = 2174,
  [2389] = 2175,
  [2390] = 2176,
  [2391] = 2197,
  [2392] = 2131,
  [2393] = 2132,
  [2394] = 2133,
  [2395] = 2134,
  [2396] = 2135,
  [2397] = 2136,
  [2398] = 2137,
  [2399] = 2138,
  [2400] = 2139,
  [2401] = 2140,
  [2402] = 2141,
  [2403] = 2142,
  [2404] = 2143,
  [2405] = 2130,
  [2406] = 2145,
  [2407] = 2149,
  [2408] = 2147,
  [2409] = 2148,
  [2410] = 2149,
  [2411] = 2150,
  [2412] = 2151,
  [2413] = 2175,
  [2414] = 2174,
  [2415] = 2148,
  [2416] = 2147,
  [2417] = 2156,
  [2418] = 2157,
  [2419] = 2158,
  [2420] = 2145,
  [2421] = 2130,
  [2422] = 2143,
  [2423] = 2172,
  [2424] = 2169,
  [2425] = 2168,
  [2426] = 2129,
  [2427] = 2161,
  [2428] = 2142,
  [2429] = 2164,
  [2430] = 2166,
  [2431] = 2150,
  [2432] = 2166,
  [2433] = 2141,
  [2434] = 2434,
  [2435] = 2140,
  [2436] = 2139,
  [2437] = 2138,
  [2438] = 2137,
  [2439] = 2172,
  [2440] = 2136,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2161,
  [2444] = 2135,
  [2445] = 2164,
  [2446] = 2166,
  [2447] = 2150,
  [2448] = 2448,
  [2449] = 2165,
  [2450] = 2134,
  [2451] = 2133,
  [2452] = 2132,
  [2453] = 2131,
  [2454] = 2197,
  [2455] = 2176,
  [2456] = 2161,
  [2457] = 2175,
  [2458] = 2164,
  [2459] = 2166,
  [2460] = 2164,
  [2461] = 2174,
  [2462] = 2169,
  [2463] = 2168,
  [2464] = 2129,
  [2465] = 2465,
  [2466] = 2466,
  [2467] = 2165,
  [2468] = 2161,
  [2469] = 2166,
  [2470] = 2164,
  [2471] = 2162,
  [2472] = 2161,
  [2473] = 2473,
  [2474] = 2163,
  [2475] = 2172,
  [2476] = 2476,
  [2477] = 2477,
  [2478] = 2478,
  [2479] = 2479,
  [2480] = 2480,
  [2481] = 2481,
  [2482] = 2482,
  [2483] = 2173,
  [2484] = 2484,
  [2485] = 2171,
  [2486] = 2170,
  [2487] = 2487,
  [2488] = 2359,
  [2489] = 2489,
  [2490] = 2490,
  [2491] = 2491,
  [2492] = 2492,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 2496,
  [2497] = 2497,
  [2498] = 2162,
  [2499] = 2160,
  [2500] = 2500,
  [2501] = 2161,
  [2502] = 2159,
  [2503] = 2503,
  [2504] = 2504,
  [2505] = 2505,
  [2506] = 2506,
  [2507] = 2507,
  [2508] = 2508,
  [2509] = 2509,
  [2510] = 2510,
  [2511] = 2495,
  [2512] = 2494,
  [2513] = 2513,
  [2514] = 2514,
  [2515] = 2515,
  [2516] = 2516,
  [2517] = 2517,
  [2518] = 2518,
  [2519] = 2158,
  [2520] = 2157,
  [2521] = 2156,
  [2522] = 2522,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 2525,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2528,
  [2529] = 2529,
  [2530] = 2530,
  [2531] = 2510,
  [2532] = 2532,
  [2533] = 2533,
  [2534] = 2534,
  [2535] = 2163,
  [2536] = 2536,
  [2537] = 2537,
  [2538] = 2172,
  [2539] = 2539,
  [2540] = 2540,
  [2541] = 2541,
  [2542] = 2542,
  [2543] = 2543,
  [2544] = 2369,
  [2545] = 2371,
  [2546] = 2496,
  [2547] = 2504,
  [2548] = 2506,
  [2549] = 2515,
  [2550] = 2550,
  [2551] = 2551,
  [2552] = 2552,
  [2553] = 2553,
  [2554] = 2554,
  [2555] = 2555,
  [2556] = 2556,
  [2557] = 2557,
  [2558] = 2558,
  [2559] = 2476,
  [2560] = 2477,
  [2561] = 2478,
  [2562] = 2562,
  [2563] = 2481,
  [2564] = 2564,
  [2565] = 2565,
  [2566] = 2566,
  [2567] = 2567,
  [2568] = 2568,
  [2569] = 2569,
  [2570] = 2570,
  [2571] = 2571,
  [2572] = 2572,
  [2573] = 2573,
  [2574] = 2574,
  [2575] = 2575,
  [2576] = 2576,
  [2577] = 2577,
  [2578] = 2578,
  [2579] = 2579,
  [2580] = 2580,
  [2581] = 2581,
  [2582] = 2582,
  [2583] = 2583,
  [2584] = 2584,
  [2585] = 2585,
  [2586] = 2586,
  [2587] = 2465,
  [2588] = 2588,
  [2589] = 2589,
  [2590] = 2590,
  [2591] = 2591,
  [2592] = 2510,
  [2593] = 2495,
  [2594] = 2494,
  [2595] = 2595,
  [2596] = 2371,
  [2597] = 2551,
  [2598] = 2552,
  [2599] = 2599,
  [2600] = 2600,
  [2601] = 2476,
  [2602] = 2477,
  [2603] = 2478,
  [2604] = 2604,
  [2605] = 2481,
  [2606] = 2606,
  [2607] = 2607,
  [2608] = 2608,
  [2609] = 2609,
  [2610] = 2610,
  [2611] = 2611,
  [2612] = 2612,
  [2613] = 2613,
  [2614] = 2614,
  [2615] = 2615,
  [2616] = 2616,
  [2617] = 2551,
  [2618] = 2552,
  [2619] = 2360,
  [2620] = 2151,
  [2621] = 2150,
  [2622] = 2149,
  [2623] = 2148,
  [2624] = 2147,
  [2625] = 2145,
  [2626] = 2197,
  [2627] = 2173,
  [2628] = 2143,
  [2629] = 2142,
  [2630] = 2141,
  [2631] = 2140,
  [2632] = 2481,
  [2633] = 2139,
  [2634] = 2138,
  [2635] = 2551,
  [2636] = 2552,
  [2637] = 2137,
  [2638] = 2136,
  [2639] = 2476,
  [2640] = 2477,
  [2641] = 2478,
  [2642] = 2642,
  [2643] = 2481,
  [2644] = 2135,
  [2645] = 2134,
  [2646] = 2133,
  [2647] = 2132,
  [2648] = 2131,
  [2649] = 2197,
  [2650] = 2176,
  [2651] = 2175,
  [2652] = 2174,
  [2653] = 2169,
  [2654] = 2168,
  [2655] = 2610,
  [2656] = 2166,
  [2657] = 2434,
  [2658] = 2165,
  [2659] = 2480,
  [2660] = 2164,
  [2661] = 2661,
  [2662] = 2478,
  [2663] = 2477,
  [2664] = 2476,
  [2665] = 2665,
  [2666] = 2609,
  [2667] = 2541,
  [2668] = 2668,
  [2669] = 2669,
  [2670] = 2484,
  [2671] = 2671,
  [2672] = 2672,
  [2673] = 2551,
  [2674] = 2552,
  [2675] = 2608,
  [2676] = 2676,
  [2677] = 2476,
  [2678] = 2477,
  [2679] = 2478,
  [2680] = 2680,
  [2681] = 2481,
  [2682] = 2604,
  [2683] = 2162,
  [2684] = 2684,
  [2685] = 2500,
  [2686] = 2686,
  [2687] = 2687,
  [2688] = 2688,
  [2689] = 2161,
  [2690] = 2690,
  [2691] = 2691,
  [2692] = 2692,
  [2693] = 2693,
  [2694] = 2694,
  [2695] = 2695,
  [2696] = 2696,
  [2697] = 2697,
  [2698] = 2698,
  [2699] = 2482,
  [2700] = 2599,
  [2701] = 2595,
  [2702] = 2503,
  [2703] = 2479,
  [2704] = 2505,
  [2705] = 2507,
  [2706] = 2508,
  [2707] = 2509,
  [2708] = 2514,
  [2709] = 2171,
  [2710] = 2163,
  [2711] = 2551,
  [2712] = 2552,
  [2713] = 2172,
  [2714] = 2465,
  [2715] = 2476,
  [2716] = 2477,
  [2717] = 2478,
  [2718] = 2173,
  [2719] = 2481,
  [2720] = 2591,
  [2721] = 2170,
  [2722] = 2590,
  [2723] = 2589,
  [2724] = 2588,
  [2725] = 2564,
  [2726] = 2726,
  [2727] = 2557,
  [2728] = 2728,
  [2729] = 2729,
  [2730] = 2556,
  [2731] = 2543,
  [2732] = 2542,
  [2733] = 2733,
  [2734] = 2493,
  [2735] = 2735,
  [2736] = 2736,
  [2737] = 2737,
  [2738] = 2738,
  [2739] = 2739,
  [2740] = 2740,
  [2741] = 2741,
  [2742] = 2742,
  [2743] = 2743,
  [2744] = 2744,
  [2745] = 2745,
  [2746] = 2746,
  [2747] = 2747,
  [2748] = 2540,
  [2749] = 2539,
  [2750] = 2750,
  [2751] = 2476,
  [2752] = 2477,
  [2753] = 2478,
  [2754] = 2754,
  [2755] = 2481,
  [2756] = 2537,
  [2757] = 2757,
  [2758] = 2758,
  [2759] = 2759,
  [2760] = 2760,
  [2761] = 2761,
  [2762] = 2762,
  [2763] = 2763,
  [2764] = 2764,
  [2765] = 2765,
  [2766] = 2766,
  [2767] = 2767,
  [2768] = 2669,
  [2769] = 2671,
  [2770] = 2770,
  [2771] = 2771,
  [2772] = 2676,
  [2773] = 2773,
  [2774] = 2680,
  [2775] = 2686,
  [2776] = 2776,
  [2777] = 2687,
  [2778] = 2688,
  [2779] = 2690,
  [2780] = 2691,
  [2781] = 2692,
  [2782] = 2693,
  [2783] = 2694,
  [2784] = 2695,
  [2785] = 2696,
  [2786] = 2697,
  [2787] = 2476,
  [2788] = 2477,
  [2789] = 2478,
  [2790] = 2698,
  [2791] = 2481,
  [2792] = 2536,
  [2793] = 2171,
  [2794] = 2170,
  [2795] = 2534,
  [2796] = 2533,
  [2797] = 2532,
  [2798] = 2529,
  [2799] = 2524,
  [2800] = 2523,
  [2801] = 2522,
  [2802] = 2802,
  [2803] = 2803,
  [2804] = 2156,
  [2805] = 2157,
  [2806] = 2158,
  [2807] = 2807,
  [2808] = 2808,
  [2809] = 2809,
  [2810] = 2810,
  [2811] = 2811,
  [2812] = 2812,
  [2813] = 2159,
  [2814] = 2160,
  [2815] = 2815,
  [2816] = 2600,
  [2817] = 2491,
  [2818] = 2490,
  [2819] = 2819,
  [2820] = 2820,
  [2821] = 2821,
  [2822] = 2476,
  [2823] = 2477,
  [2824] = 2478,
  [2825] = 2825,
  [2826] = 2481,
  [2827] = 2827,
  [2828] = 2828,
  [2829] = 2476,
  [2830] = 2477,
  [2831] = 2478,
  [2832] = 2832,
  [2833] = 2481,
  [2834] = 2489,
  [2835] = 2359,
  [2836] = 2476,
  [2837] = 2477,
  [2838] = 2478,
  [2839] = 2839,
  [2840] = 2481,
  [2841] = 2487,
  [2842] = 2842,
  [2843] = 2476,
  [2844] = 2477,
  [2845] = 2478,
  [2846] = 2846,
  [2847] = 2767,
  [2848] = 2766,
  [2849] = 2765,
  [2850] = 2764,
  [2851] = 2763,
  [2852] = 2762,
  [2853] = 2761,
  [2854] = 2760,
  [2855] = 2759,
  [2856] = 2758,
  [2857] = 2757,
  [2858] = 2754,
  [2859] = 2750,
  [2860] = 2747,
  [2861] = 2746,
  [2862] = 2745,
  [2863] = 2744,
  [2864] = 2743,
  [2865] = 2742,
  [2866] = 2741,
  [2867] = 2740,
  [2868] = 2739,
  [2869] = 2738,
  [2870] = 2736,
  [2871] = 2735,
  [2872] = 2728,
  [2873] = 2733,
  [2874] = 2586,
  [2875] = 2585,
  [2876] = 2584,
  [2877] = 2583,
  [2878] = 2582,
  [2879] = 2581,
  [2880] = 2580,
  [2881] = 2579,
  [2882] = 2578,
  [2883] = 2577,
  [2884] = 2576,
  [2885] = 2575,
  [2886] = 2574,
  [2887] = 2573,
  [2888] = 2572,
  [2889] = 2571,
  [2890] = 2570,
  [2891] = 2569,
  [2892] = 2568,
  [2893] = 2567,
  [2894] = 2566,
  [2895] = 2565,
  [2896] = 2562,
  [2897] = 2558,
  [2898] = 2555,
  [2899] = 2554,
  [2900] = 2553,
  [2901] = 2550,
  [2902] = 2902,
  [2903] = 2530,
  [2904] = 2526,
  [2905] = 2905,
  [2906] = 2497,
  [2907] = 2907,
  [2908] = 2492,
  [2909] = 2767,
  [2910] = 2766,
  [2911] = 2765,
  [2912] = 2764,
  [2913] = 2763,
  [2914] = 2762,
  [2915] = 2761,
  [2916] = 2760,
  [2917] = 2759,
  [2918] = 2758,
  [2919] = 2757,
  [2920] = 2754,
  [2921] = 2750,
  [2922] = 2747,
  [2923] = 2746,
  [2924] = 2745,
  [2925] = 2744,
  [2926] = 2743,
  [2927] = 2742,
  [2928] = 2741,
  [2929] = 2740,
  [2930] = 2739,
  [2931] = 2738,
  [2932] = 2736,
  [2933] = 2735,
  [2934] = 2728,
  [2935] = 2733,
  [2936] = 2936,
  [2937] = 2526,
  [2938] = 2497,
  [2939] = 2939,
  [2940] = 2767,
  [2941] = 2766,
  [2942] = 2765,
  [2943] = 2764,
  [2944] = 2763,
  [2945] = 2762,
  [2946] = 2761,
  [2947] = 2760,
  [2948] = 2759,
  [2949] = 2758,
  [2950] = 2757,
  [2951] = 2754,
  [2952] = 2750,
  [2953] = 2747,
  [2954] = 2746,
  [2955] = 2745,
  [2956] = 2744,
  [2957] = 2743,
  [2958] = 2742,
  [2959] = 2741,
  [2960] = 2740,
  [2961] = 2739,
  [2962] = 2738,
  [2963] = 2736,
  [2964] = 2735,
  [2965] = 2728,
  [2966] = 2733,
  [2967] = 2967,
  [2968] = 2497,
  [2969] = 2969,
  [2970] = 2767,
  [2971] = 2766,
  [2972] = 2765,
  [2973] = 2764,
  [2974] = 2763,
  [2975] = 2762,
  [2976] = 2761,
  [2977] = 2760,
  [2978] = 2759,
  [2979] = 2758,
  [2980] = 2757,
  [2981] = 2754,
  [2982] = 2750,
  [2983] = 2747,
  [2984] = 2746,
  [2985] = 2745,
  [2986] = 2744,
  [2987] = 2743,
  [2988] = 2742,
  [2989] = 2741,
  [2990] = 2740,
  [2991] = 2739,
  [2992] = 2738,
  [2993] = 2736,
  [2994] = 2735,
  [2995] = 2728,
  [2996] = 2733,
  [2997] = 2997,
  [2998] = 2497,
  [2999] = 2999,
  [3000] = 2767,
  [3001] = 2766,
  [3002] = 2765,
  [3003] = 2764,
  [3004] = 2763,
  [3005] = 2762,
  [3006] = 2761,
  [3007] = 2760,
  [3008] = 2759,
  [3009] = 2758,
  [3010] = 2757,
  [3011] = 2754,
  [3012] = 2750,
  [3013] = 2747,
  [3014] = 2746,
  [3015] = 2745,
  [3016] = 2744,
  [3017] = 2743,
  [3018] = 2742,
  [3019] = 2741,
  [3020] = 2740,
  [3021] = 2739,
  [3022] = 2738,
  [3023] = 2736,
  [3024] = 2735,
  [3025] = 2728,
  [3026] = 2733,
  [3027] = 3027,
  [3028] = 2497,
  [3029] = 3029,
  [3030] = 2767,
  [3031] = 2766,
  [3032] = 2765,
  [3033] = 2764,
  [3034] = 2763,
  [3035] = 2762,
  [3036] = 2761,
  [3037] = 2760,
  [3038] = 2759,
  [3039] = 2758,
  [3040] = 2757,
  [3041] = 2754,
  [3042] = 2750,
  [3043] = 2747,
  [3044] = 2746,
  [3045] = 2745,
  [3046] = 2744,
  [3047] = 2743,
  [3048] = 2742,
  [3049] = 2741,
  [3050] = 2740,
  [3051] = 2739,
  [3052] = 2738,
  [3053] = 2736,
  [3054] = 2735,
  [3055] = 2728,
  [3056] = 2733,
  [3057] = 3057,
  [3058] = 2767,
  [3059] = 2766,
  [3060] = 2765,
  [3061] = 2764,
  [3062] = 2763,
  [3063] = 2762,
  [3064] = 2761,
  [3065] = 2760,
  [3066] = 2759,
  [3067] = 2758,
  [3068] = 2757,
  [3069] = 2754,
  [3070] = 2750,
  [3071] = 2747,
  [3072] = 2746,
  [3073] = 2745,
  [3074] = 2744,
  [3075] = 2743,
  [3076] = 2742,
  [3077] = 2741,
  [3078] = 2740,
  [3079] = 2739,
  [3080] = 2738,
  [3081] = 2736,
  [3082] = 2735,
  [3083] = 2728,
  [3084] = 2733,
  [3085] = 3085,
  [3086] = 2767,
  [3087] = 2766,
  [3088] = 2765,
  [3089] = 2764,
  [3090] = 2763,
  [3091] = 2762,
  [3092] = 2761,
  [3093] = 2760,
  [3094] = 2759,
  [3095] = 2758,
  [3096] = 2757,
  [3097] = 2754,
  [3098] = 2750,
  [3099] = 2747,
  [3100] = 2746,
  [3101] = 2745,
  [3102] = 2744,
  [3103] = 2743,
  [3104] = 2742,
  [3105] = 2741,
  [3106] = 2740,
  [3107] = 2739,
  [3108] = 2738,
  [3109] = 2736,
  [3110] = 2735,
  [3111] = 2728,
  [3112] = 2733,
  [3113] = 3113,
  [3114] = 2737,
  [3115] = 2665,
  [3116] = 3116,
  [3117] = 3117,
  [3118] = 2737,
  [3119] = 2737,
  [3120] = 2737,
  [3121] = 2737,
  [3122] = 2737,
  [3123] = 2737,
  [3124] = 2737,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(598);
      ADVANCE_MAP(
        '"', 1076,
        '*', 770,
        '3', 642,
        '4', 644,
        '5', 646,
        '=', 1075,
        '\\', 1019,
        'a', 1209,
        'c', 1213,
        'e', 1205,
        'g', 1208,
        'h', 1219,
        'i', 1193,
        'k', 1196,
        'l', 1197,
        'q', 1221,
        'r', 1198,
        's', 1204,
        't', 1206,
        'w', 1203,
        'x', 1187,
        '|', 1146,
        '1', 642,
        '2', 642,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(649);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(575);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1227);
      END_STATE();
    case 1:
      if (lookahead == ' ') ADVANCE(701);
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'd') ADVANCE(24);
      if (lookahead == 'l') ADVANCE(26);
      if (lookahead == 'p') ADVANCE(27);
      END_STATE();
    case 2:
      if (lookahead == ' ') ADVANCE(701);
      if (lookahead == 'a') ADVANCE(23);
      if (lookahead == 'd') ADVANCE(24);
      if (lookahead == 'l') ADVANCE(26);
      if (lookahead == 'p') ADVANCE(27);
      END_STATE();
    case 3:
      if (lookahead == ' ') ADVANCE(701);
      if (lookahead == 'a') ADVANCE(21);
      if (lookahead == 'd') ADVANCE(24);
      if (lookahead == 'l') ADVANCE(26);
      if (lookahead == 'p') ADVANCE(27);
      END_STATE();
    case 4:
      if (lookahead == ' ') ADVANCE(701);
      if (lookahead == 'l') ADVANCE(25);
      END_STATE();
    case 5:
      if (lookahead == ' ') ADVANCE(720);
      END_STATE();
    case 6:
      if (lookahead == ' ') ADVANCE(720);
      if (lookahead == 'c') ADVANCE(849);
      END_STATE();
    case 7:
      if (lookahead == ' ') ADVANCE(720);
      if (lookahead == 'c') ADVANCE(848);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        ' ', 790,
        '*', 791,
        'd', 304,
        'e', 31,
        'i', 394,
        'k', 32,
        'l', 33,
        'm', 35,
        'p', 36,
        'q', 37,
        'r', 38,
        't', 39,
        'v', 41,
        'w', 42,
      );
      END_STATE();
    case 9:
      ADVANCE_MAP(
        ' ', 790,
        '*', 791,
        'd', 304,
        'e', 31,
        'i', 394,
        'k', 32,
        'l', 33,
        'm', 35,
        'p', 36,
        'q', 37,
        'r', 38,
        't', 39,
        'v', 40,
        'w', 42,
      );
      END_STATE();
    case 10:
      if (lookahead == ' ') ADVANCE(790);
      if (lookahead == 'e') ADVANCE(30);
      if (lookahead == 'i') ADVANCE(394);
      if (lookahead == 'm') ADVANCE(34);
      END_STATE();
    case 11:
      if (lookahead == ' ') ADVANCE(790);
      if (lookahead == 'e') ADVANCE(30);
      if (lookahead == 'm') ADVANCE(34);
      END_STATE();
    case 12:
      if (lookahead == ' ') ADVANCE(718);
      if (lookahead == 'b') ADVANCE(914);
      if (lookahead == 'e') ADVANCE(379);
      if (lookahead == 'q') ADVANCE(50);
      END_STATE();
    case 13:
      if (lookahead == ' ') ADVANCE(718);
      if (lookahead == 'b') ADVANCE(913);
      if (lookahead == 'e') ADVANCE(445);
      END_STATE();
    case 14:
      if (lookahead == ' ') ADVANCE(718);
      if (lookahead == 'b') ADVANCE(913);
      if (lookahead == 'e') ADVANCE(381);
      if (lookahead == 'q') ADVANCE(49);
      END_STATE();
    case 15:
      if (lookahead == ' ') ADVANCE(718);
      if (lookahead == 'e') ADVANCE(445);
      END_STATE();
    case 16:
      if (lookahead == ' ') ADVANCE(718);
      if (lookahead == 'e') ADVANCE(445);
      if (lookahead == 'q') ADVANCE(49);
      END_STATE();
    case 17:
      if (lookahead == ' ') ADVANCE(692);
      if (lookahead == 'a') ADVANCE(54);
      if (lookahead == 'p') ADVANCE(56);
      END_STATE();
    case 18:
      if (lookahead == ' ') ADVANCE(692);
      if (lookahead == 'a') ADVANCE(53);
      if (lookahead == 'p') ADVANCE(55);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        ' ', 818,
        '*', 819,
        'd', 306,
        'k', 58,
        'n', 543,
        'o', 59,
        'q', 62,
        't', 64,
      );
      END_STATE();
    case 20:
      if (lookahead == ' ') ADVANCE(818);
      if (lookahead == 't') ADVANCE(63);
      END_STATE();
    case 21:
      if (lookahead == ' ') ADVANCE(704);
      END_STATE();
    case 22:
      if (lookahead == ' ') ADVANCE(704);
      if (lookahead == '*') ADVANCE(705);
      if (lookahead == 't') ADVANCE(1073);
      END_STATE();
    case 23:
      if (lookahead == ' ') ADVANCE(704);
      if (lookahead == 't') ADVANCE(1072);
      END_STATE();
    case 24:
      if (lookahead == ' ') ADVANCE(707);
      END_STATE();
    case 25:
      if (lookahead == ' ') ADVANCE(703);
      END_STATE();
    case 26:
      if (lookahead == ' ') ADVANCE(703);
      if (lookahead == 's') ADVANCE(733);
      END_STATE();
    case 27:
      if (lookahead == ' ') ADVANCE(706);
      END_STATE();
    case 28:
      if (lookahead == ' ') ADVANCE(794);
      END_STATE();
    case 29:
      if (lookahead == ' ') ADVANCE(794);
      if (lookahead == '*') ADVANCE(795);
      END_STATE();
    case 30:
      if (lookahead == ' ') ADVANCE(792);
      END_STATE();
    case 31:
      if (lookahead == ' ') ADVANCE(792);
      if (lookahead == '*') ADVANCE(793);
      END_STATE();
    case 32:
      if (lookahead == ' ') ADVANCE(802);
      if (lookahead == '*') ADVANCE(803);
      END_STATE();
    case 33:
      if (lookahead == ' ') ADVANCE(804);
      if (lookahead == '*') ADVANCE(805);
      END_STATE();
    case 34:
      if (lookahead == ' ') ADVANCE(816);
      END_STATE();
    case 35:
      if (lookahead == ' ') ADVANCE(816);
      if (lookahead == '*') ADVANCE(817);
      END_STATE();
    case 36:
      if (lookahead == ' ') ADVANCE(808);
      if (lookahead == '*') ADVANCE(809);
      END_STATE();
    case 37:
      if (lookahead == ' ') ADVANCE(798);
      if (lookahead == '*') ADVANCE(799);
      if (lookahead == 'a') ADVANCE(70);
      END_STATE();
    case 38:
      if (lookahead == ' ') ADVANCE(796);
      if (lookahead == '*') ADVANCE(797);
      END_STATE();
    case 39:
      if (lookahead == ' ') ADVANCE(810);
      if (lookahead == '*') ADVANCE(811);
      END_STATE();
    case 40:
      if (lookahead == ' ') ADVANCE(814);
      END_STATE();
    case 41:
      if (lookahead == ' ') ADVANCE(814);
      if (lookahead == '*') ADVANCE(815);
      END_STATE();
    case 42:
      if (lookahead == ' ') ADVANCE(806);
      if (lookahead == '*') ADVANCE(807);
      END_STATE();
    case 43:
      if (lookahead == ' ') ADVANCE(640);
      END_STATE();
    case 44:
      if (lookahead == ' ') ADVANCE(640);
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 45:
      if (lookahead == ' ') ADVANCE(678);
      if (lookahead == 'i') ADVANCE(73);
      if (lookahead == 'q') ADVANCE(74);
      if (lookahead == 't') ADVANCE(666);
      END_STATE();
    case 46:
      if (lookahead == ' ') ADVANCE(677);
      END_STATE();
    case 47:
      if (lookahead == ' ') ADVANCE(677);
      if (lookahead == 'i') ADVANCE(78);
      if (lookahead == 'q') ADVANCE(79);
      if (lookahead == 'r') ADVANCE(80);
      END_STATE();
    case 48:
      if (lookahead == ' ') ADVANCE(712);
      END_STATE();
    case 49:
      if (lookahead == ' ') ADVANCE(840);
      END_STATE();
    case 50:
      if (lookahead == ' ') ADVANCE(840);
      if (lookahead == '*') ADVANCE(841);
      END_STATE();
    case 51:
      if (lookahead == ' ') ADVANCE(719);
      END_STATE();
    case 52:
      if (lookahead == ' ') ADVANCE(717);
      END_STATE();
    case 53:
      if (lookahead == ' ') ADVANCE(697);
      END_STATE();
    case 54:
      if (lookahead == ' ') ADVANCE(697);
      if (lookahead == '*') ADVANCE(698);
      END_STATE();
    case 55:
      if (lookahead == ' ') ADVANCE(699);
      END_STATE();
    case 56:
      if (lookahead == ' ') ADVANCE(699);
      if (lookahead == '*') ADVANCE(700);
      END_STATE();
    case 57:
      if (lookahead == ' ') ADVANCE(822);
      END_STATE();
    case 58:
      if (lookahead == ' ') ADVANCE(822);
      if (lookahead == '*') ADVANCE(823);
      END_STATE();
    case 59:
      if (lookahead == ' ') ADVANCE(820);
      if (lookahead == '*') ADVANCE(821);
      if (lookahead == 'p') ADVANCE(97);
      if (lookahead == 't') ADVANCE(99);
      END_STATE();
    case 60:
      if (lookahead == ' ') ADVANCE(820);
      if (lookahead == 'p') ADVANCE(96);
      if (lookahead == 't') ADVANCE(98);
      END_STATE();
    case 61:
      if (lookahead == ' ') ADVANCE(824);
      END_STATE();
    case 62:
      if (lookahead == ' ') ADVANCE(824);
      if (lookahead == '*') ADVANCE(825);
      END_STATE();
    case 63:
      if (lookahead == ' ') ADVANCE(826);
      END_STATE();
    case 64:
      if (lookahead == ' ') ADVANCE(826);
      if (lookahead == '*') ADVANCE(827);
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 65:
      if (lookahead == ' ') ADVANCE(826);
      if (lookahead == '*') ADVANCE(827);
      if (lookahead == 'a') ADVANCE(100);
      END_STATE();
    case 66:
      if (lookahead == ' ') ADVANCE(826);
      if (lookahead == 'a') ADVANCE(100);
      END_STATE();
    case 67:
      if (lookahead == ' ') ADVANCE(828);
      END_STATE();
    case 68:
      if (lookahead == ' ') ADVANCE(828);
      if (lookahead == '*') ADVANCE(829);
      END_STATE();
    case 69:
      if (lookahead == ' ') ADVANCE(812);
      if (lookahead == '*') ADVANCE(813);
      END_STATE();
    case 70:
      if (lookahead == ' ') ADVANCE(800);
      if (lookahead == '*') ADVANCE(801);
      END_STATE();
    case 71:
      if (lookahead == ' ') ADVANCE(653);
      END_STATE();
    case 72:
      if (lookahead == ' ') ADVANCE(691);
      END_STATE();
    case 73:
      if (lookahead == ' ') ADVANCE(680);
      END_STATE();
    case 74:
      if (lookahead == ' ') ADVANCE(683);
      END_STATE();
    case 75:
      if (lookahead == ' ') ADVANCE(674);
      END_STATE();
    case 76:
      if (lookahead == ' ') ADVANCE(674);
      if (lookahead == '*') ADVANCE(675);
      END_STATE();
    case 77:
      if (lookahead == ' ') ADVANCE(676);
      END_STATE();
    case 78:
      if (lookahead == ' ') ADVANCE(679);
      END_STATE();
    case 79:
      if (lookahead == ' ') ADVANCE(682);
      END_STATE();
    case 80:
      if (lookahead == ' ') ADVANCE(684);
      END_STATE();
    case 81:
      if (lookahead == ' ') ADVANCE(664);
      END_STATE();
    case 82:
      if (lookahead == ' ') ADVANCE(664);
      if (lookahead == '*') ADVANCE(665);
      END_STATE();
    case 83:
      if (lookahead == ' ') ADVANCE(772);
      END_STATE();
    case 84:
      if (lookahead == ' ') ADVANCE(772);
      if (lookahead == '*') ADVANCE(773);
      END_STATE();
    case 85:
      if (lookahead == ' ') ADVANCE(663);
      END_STATE();
    case 86:
      if (lookahead == ' ') ADVANCE(663);
      if (lookahead == 'l') ADVANCE(103);
      END_STATE();
    case 87:
      if (lookahead == ' ') ADVANCE(663);
      if (lookahead == 'l') ADVANCE(102);
      END_STATE();
    case 88:
      if (lookahead == ' ') ADVANCE(654);
      END_STATE();
    case 89:
      if (lookahead == ' ') ADVANCE(654);
      if (lookahead == '*') ADVANCE(655);
      END_STATE();
    case 90:
      if (lookahead == ' ') ADVANCE(661);
      END_STATE();
    case 91:
      if (lookahead == ' ') ADVANCE(660);
      END_STATE();
    case 92:
      if (lookahead == ' ') ADVANCE(838);
      END_STATE();
    case 93:
      if (lookahead == ' ') ADVANCE(838);
      if (lookahead == '*') ADVANCE(839);
      END_STATE();
    case 94:
      if (lookahead == ' ') ADVANCE(836);
      END_STATE();
    case 95:
      if (lookahead == ' ') ADVANCE(836);
      if (lookahead == '*') ADVANCE(837);
      END_STATE();
    case 96:
      if (lookahead == ' ') ADVANCE(832);
      END_STATE();
    case 97:
      if (lookahead == ' ') ADVANCE(832);
      if (lookahead == '*') ADVANCE(833);
      END_STATE();
    case 98:
      if (lookahead == ' ') ADVANCE(834);
      END_STATE();
    case 99:
      if (lookahead == ' ') ADVANCE(834);
      if (lookahead == '*') ADVANCE(835);
      END_STATE();
    case 100:
      if (lookahead == ' ') ADVANCE(830);
      END_STATE();
    case 101:
      if (lookahead == ' ') ADVANCE(830);
      if (lookahead == '*') ADVANCE(831);
      END_STATE();
    case 102:
      if (lookahead == ' ') ADVANCE(774);
      END_STATE();
    case 103:
      if (lookahead == ' ') ADVANCE(774);
      if (lookahead == '*') ADVANCE(775);
      END_STATE();
    case 104:
      if (lookahead == ' ') ADVANCE(652);
      END_STATE();
    case 105:
      if (lookahead == ' ') ADVANCE(662);
      END_STATE();
    case 106:
      if (lookahead == ' ') ADVANCE(657);
      if (lookahead == '1' ||
          lookahead == '2') ADVANCE(668);
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(109);
      END_STATE();
    case 107:
      if (lookahead == ' ') ADVANCE(657);
      if (('1' <= lookahead && lookahead <= '3')) ADVANCE(641);
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(109);
      END_STATE();
    case 108:
      if (lookahead == ' ') ADVANCE(657);
      if (('1' <= lookahead && lookahead <= '4')) ADVANCE(643);
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(109);
      END_STATE();
    case 109:
      if (lookahead == ' ') ADVANCE(657);
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(109);
      END_STATE();
    case 110:
      if (lookahead == ' ') ADVANCE(657);
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(109);
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(645);
      END_STATE();
    case 111:
      ADVANCE_MAP(
        '"', 1076,
        'a', 1116,
        'c', 1126,
        'h', 1135,
        'i', 1087,
        'l', 1108,
        'r', 1091,
        's', 1110,
        't', 1111,
        'x', 1079,
        '|', 1146,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1081);
      if (lookahead != 0 &&
          lookahead != '=' &&
          lookahead != '\\') ADVANCE(1145);
      END_STATE();
    case 112:
      ADVANCE_MAP(
        '"', 1076,
        'e', 1112,
        'h', 1135,
        'i', 1087,
        'l', 1109,
        's', 1113,
        't', 1111,
        'w', 1106,
        'x', 1079,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1096);
      if (lookahead != 0 &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 113:
      if (lookahead == '"') ADVANCE(1076);
      if (lookahead == 'g') ADVANCE(1120);
      if (lookahead == 'h') ADVANCE(1135);
      if (lookahead == 'i') ADVANCE(1087);
      if (lookahead == 'l') ADVANCE(1109);
      if (lookahead == 't') ADVANCE(1111);
      if (lookahead == 'x') ADVANCE(1079);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1103);
      if (lookahead != 0 &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 114:
      if (lookahead == '"') ADVANCE(1076);
      if (lookahead == 'h') ADVANCE(1135);
      if (lookahead == 'i') ADVANCE(1087);
      if (lookahead == 'l') ADVANCE(1095);
      if (lookahead == 's') ADVANCE(1134);
      if (lookahead == 't') ADVANCE(1111);
      if (lookahead == 'x') ADVANCE(1079);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1104);
      if (lookahead != 0 &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 115:
      if (lookahead == '"') ADVANCE(1076);
      if (lookahead == 'h') ADVANCE(1135);
      if (lookahead == 'i') ADVANCE(1087);
      if (lookahead == 'l') ADVANCE(1109);
      if (lookahead == 't') ADVANCE(1111);
      if (lookahead == 'x') ADVANCE(1079);
      if (lookahead == '|') ADVANCE(1146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1105);
      if (lookahead != 0 &&
          lookahead != '=' &&
          lookahead != '\\') ADVANCE(1145);
      END_STATE();
    case 116:
      if (lookahead == '"') ADVANCE(1076);
      if (lookahead == 'l') ADVANCE(1127);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1121);
      if (lookahead != 0 &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 117:
      if (lookahead == '"') ADVANCE(1076);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1144);
      if (lookahead != 0 &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 118:
      if (lookahead == '*') ADVANCE(770);
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(645);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(639);
      END_STATE();
    case 119:
      ADVANCE_MAP(
        '*', 1061,
        '+', 263,
        'a', 339,
        'b', 321,
        'c', 252,
        'd', 302,
        'e', 442,
        'f', 415,
        'i', 343,
        'j', 444,
        'k', 122,
        'l', 408,
        'n', 322,
        'o', 500,
        'p', 453,
        'q', 539,
        'r', 285,
        's', 303,
        't', 434,
        'v', 257,
        'w', 124,
        'x', 127,
        'z', 573,
      );
      END_STATE();
    case 120:
      ADVANCE_MAP(
        '*', 1061,
        '+', 496,
        'c', 255,
        'f', 414,
        'k', 122,
        'l', 411,
        'r', 284,
        'w', 123,
        'x', 126,
      );
      END_STATE();
    case 121:
      ADVANCE_MAP(
        '*', 791,
        'd', 304,
        'e', 137,
        'i', 394,
        'k', 32,
        'l', 33,
        'm', 138,
        'p', 36,
        'q', 37,
        'r', 38,
        't', 39,
        'v', 40,
        'w', 42,
      );
      END_STATE();
    case 122:
      if (lookahead == '*') ADVANCE(854);
      END_STATE();
    case 123:
      if (lookahead == '*') ADVANCE(918);
      END_STATE();
    case 124:
      if (lookahead == '*') ADVANCE(918);
      if (lookahead == 'a') ADVANCE(149);
      if (lookahead == 'g') ADVANCE(150);
      if (lookahead == 'h') ADVANCE(151);
      if (lookahead == 'j') ADVANCE(152);
      END_STATE();
    case 125:
      if (lookahead == '*') ADVANCE(819);
      if (lookahead == 'd') ADVANCE(308);
      if (lookahead == 'k') ADVANCE(57);
      if (lookahead == 'n') ADVANCE(550);
      if (lookahead == 'o') ADVANCE(60);
      if (lookahead == 'q') ADVANCE(61);
      if (lookahead == 't') ADVANCE(66);
      END_STATE();
    case 126:
      if (lookahead == '*') ADVANCE(819);
      if (lookahead == 'd') ADVANCE(308);
      if (lookahead == 'k') ADVANCE(57);
      if (lookahead == 'n') ADVANCE(550);
      if (lookahead == 'o') ADVANCE(60);
      if (lookahead == 'q') ADVANCE(61);
      if (lookahead == 't') ADVANCE(65);
      END_STATE();
    case 127:
      if (lookahead == '*') ADVANCE(819);
      if (lookahead == 'd') ADVANCE(306);
      if (lookahead == 'k') ADVANCE(58);
      if (lookahead == 'n') ADVANCE(543);
      if (lookahead == 'o') ADVANCE(59);
      if (lookahead == 'q') ADVANCE(62);
      if (lookahead == 't') ADVANCE(64);
      END_STATE();
    case 128:
      if (lookahead == '*') ADVANCE(939);
      END_STATE();
    case 129:
      if (lookahead == '*') ADVANCE(1002);
      END_STATE();
    case 130:
      if (lookahead == '*') ADVANCE(1002);
      if (lookahead == 'a') ADVANCE(166);
      if (lookahead == 'g') ADVANCE(167);
      if (lookahead == 'h') ADVANCE(168);
      if (lookahead == 'j') ADVANCE(169);
      END_STATE();
    case 131:
      if (lookahead == '*') ADVANCE(891);
      if (lookahead == 'i') ADVANCE(551);
      END_STATE();
    case 132:
      if (lookahead == '*') ADVANCE(847);
      END_STATE();
    case 133:
      if (lookahead == '*') ADVANCE(705);
      if (lookahead == 't') ADVANCE(1072);
      END_STATE();
    case 134:
      if (lookahead == '*') ADVANCE(850);
      END_STATE();
    case 135:
      if (lookahead == '*') ADVANCE(795);
      END_STATE();
    case 136:
      if (lookahead == '*') ADVANCE(888);
      END_STATE();
    case 137:
      if (lookahead == '*') ADVANCE(793);
      END_STATE();
    case 138:
      if (lookahead == '*') ADVANCE(817);
      END_STATE();
    case 139:
      if (lookahead == '*') ADVANCE(815);
      END_STATE();
    case 140:
      if (lookahead == '*') ADVANCE(894);
      END_STATE();
    case 141:
      if (lookahead == '*') ADVANCE(857);
      if (lookahead == 'x') ADVANCE(175);
      END_STATE();
    case 142:
      if (lookahead == '*') ADVANCE(900);
      END_STATE();
    case 143:
      if (lookahead == '*') ADVANCE(863);
      if (lookahead == 'g') ADVANCE(177);
      END_STATE();
    case 144:
      if (lookahead == '*') ADVANCE(915);
      END_STATE();
    case 145:
      if (lookahead == '*') ADVANCE(841);
      END_STATE();
    case 146:
      if (lookahead == '*') ADVANCE(903);
      END_STATE();
    case 147:
      if (lookahead == '*') ADVANCE(698);
      END_STATE();
    case 148:
      if (lookahead == '*') ADVANCE(700);
      END_STATE();
    case 149:
      if (lookahead == '*') ADVANCE(927);
      END_STATE();
    case 150:
      if (lookahead == '*') ADVANCE(921);
      END_STATE();
    case 151:
      if (lookahead == '*') ADVANCE(924);
      END_STATE();
    case 152:
      if (lookahead == '*') ADVANCE(885);
      END_STATE();
    case 153:
      if (lookahead == '*') ADVANCE(1066);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(153);
      END_STATE();
    case 154:
      if (lookahead == '*') ADVANCE(975);
      if (lookahead == 'i') ADVANCE(552);
      END_STATE();
    case 155:
      if (lookahead == '*') ADVANCE(933);
      END_STATE();
    case 156:
      if (lookahead == '*') ADVANCE(936);
      END_STATE();
    case 157:
      if (lookahead == '*') ADVANCE(972);
      END_STATE();
    case 158:
      if (lookahead == '*') ADVANCE(978);
      END_STATE();
    case 159:
      if (lookahead == '*') ADVANCE(942);
      if (lookahead == 'x') ADVANCE(184);
      END_STATE();
    case 160:
      if (lookahead == '*') ADVANCE(984);
      END_STATE();
    case 161:
      if (lookahead == '*') ADVANCE(948);
      if (lookahead == 'g') ADVANCE(186);
      END_STATE();
    case 162:
      if (lookahead == '*') ADVANCE(957);
      END_STATE();
    case 163:
      if (lookahead == '*') ADVANCE(999);
      END_STATE();
    case 164:
      if (lookahead == '*') ADVANCE(987);
      END_STATE();
    case 165:
      if (lookahead == '*') ADVANCE(966);
      END_STATE();
    case 166:
      if (lookahead == '*') ADVANCE(1011);
      END_STATE();
    case 167:
      if (lookahead == '*') ADVANCE(1005);
      END_STATE();
    case 168:
      if (lookahead == '*') ADVANCE(1008);
      END_STATE();
    case 169:
      if (lookahead == '*') ADVANCE(969);
      END_STATE();
    case 170:
      if (lookahead == '*') ADVANCE(844);
      if (lookahead == 'p') ADVANCE(461);
      END_STATE();
    case 171:
      if (lookahead == '*') ADVANCE(1074);
      END_STATE();
    case 172:
      if (lookahead == '*') ADVANCE(675);
      END_STATE();
    case 173:
      if (lookahead == '*') ADVANCE(665);
      END_STATE();
    case 174:
      if (lookahead == '*') ADVANCE(773);
      END_STATE();
    case 175:
      if (lookahead == '*') ADVANCE(909);
      END_STATE();
    case 176:
      if (lookahead == '*') ADVANCE(860);
      END_STATE();
    case 177:
      if (lookahead == '*') ADVANCE(866);
      END_STATE();
    case 178:
      if (lookahead == '*') ADVANCE(912);
      END_STATE();
    case 179:
      if (lookahead == '*') ADVANCE(655);
      END_STATE();
    case 180:
      if (lookahead == '*') ADVANCE(876);
      END_STATE();
    case 181:
      if (lookahead == '*') ADVANCE(879);
      END_STATE();
    case 182:
      if (lookahead == '*') ADVANCE(906);
      END_STATE();
    case 183:
      if (lookahead == '*') ADVANCE(930);
      if (lookahead == 'p') ADVANCE(462);
      END_STATE();
    case 184:
      if (lookahead == '*') ADVANCE(993);
      END_STATE();
    case 185:
      if (lookahead == '*') ADVANCE(945);
      END_STATE();
    case 186:
      if (lookahead == '*') ADVANCE(951);
      END_STATE();
    case 187:
      if (lookahead == '*') ADVANCE(996);
      END_STATE();
    case 188:
      if (lookahead == '*') ADVANCE(960);
      END_STATE();
    case 189:
      if (lookahead == '*') ADVANCE(963);
      END_STATE();
    case 190:
      if (lookahead == '*') ADVANCE(990);
      END_STATE();
    case 191:
      if (lookahead == '*') ADVANCE(897);
      END_STATE();
    case 192:
      if (lookahead == '*') ADVANCE(775);
      END_STATE();
    case 193:
      if (lookahead == '*') ADVANCE(981);
      END_STATE();
    case 194:
      if (lookahead == '*') ADVANCE(869);
      END_STATE();
    case 195:
      if (lookahead == '*') ADVANCE(954);
      END_STATE();
    case 196:
      if (lookahead == '*') ADVANCE(873);
      END_STATE();
    case 197:
      if (lookahead == '*') ADVANCE(882);
      END_STATE();
    case 198:
      if (lookahead == '*') ADVANCE(1013);
      END_STATE();
    case 199:
      if (lookahead == '*') ADVANCE(1015);
      END_STATE();
    case 200:
      if (lookahead == '*') ADVANCE(1017);
      END_STATE();
    case 201:
      if (lookahead == '*') ADVANCE(760);
      END_STATE();
    case 202:
      ADVANCE_MAP(
        '+', 259,
        'a', 334,
        'b', 311,
        'c', 255,
        'd', 287,
        'e', 368,
        'f', 9,
        'i', 518,
        'j', 437,
        'k', 851,
        'n', 312,
        'o', 495,
        'p', 449,
        'q', 261,
        'r', 280,
        's', 288,
        't', 427,
        'w', 916,
        'x', 19,
      );
      END_STATE();
    case 203:
      if (lookahead == '+') ADVANCE(422);
      if (lookahead == 'f') ADVANCE(414);
      END_STATE();
    case 204:
      if (lookahead == '+') ADVANCE(422);
      if (lookahead == 'j') ADVANCE(444);
      END_STATE();
    case 205:
      if (lookahead == '+') ADVANCE(555);
      if (lookahead == 'c') ADVANCE(267);
      if (lookahead == 'w') ADVANCE(123);
      END_STATE();
    case 206:
      ADVANCE_MAP(
        '+', 265,
        'a', 341,
        'b', 326,
        'c', 255,
        'd', 296,
        'e', 393,
        'f', 121,
        'i', 528,
        'j', 437,
        'k', 851,
        'n', 327,
        'o', 501,
        'p', 455,
        'q', 533,
        'r', 279,
        's', 298,
        't', 425,
        'w', 917,
        'x', 127,
      );
      END_STATE();
    case 207:
      ADVANCE_MAP(
        '+', 265,
        'a', 341,
        'b', 326,
        'c', 255,
        'd', 296,
        'e', 393,
        'f', 121,
        'i', 528,
        'j', 437,
        'k', 851,
        'n', 327,
        'o', 501,
        'p', 455,
        'q', 533,
        'r', 279,
        's', 298,
        't', 425,
        'w', 917,
        'x', 545,
      );
      END_STATE();
    case 208:
      ADVANCE_MAP(
        '+', 258,
        'a', 339,
        'b', 321,
        'd', 302,
        'e', 387,
        'f', 10,
        'i', 538,
        'j', 444,
        'n', 322,
        'o', 500,
        'p', 453,
        'q', 262,
        'r', 492,
        's', 303,
        't', 434,
        'w', 124,
        'x', 20,
      );
      END_STATE();
    case 209:
      if (lookahead == '+') ADVANCE(264);
      if (lookahead == 'e') ADVANCE(382);
      if (lookahead == 'f') ADVANCE(10);
      if (lookahead == 'k') ADVANCE(122);
      if (lookahead == 'r') ADVANCE(492);
      if (lookahead == 'x') ADVANCE(20);
      END_STATE();
    case 210:
      if (lookahead == '-') ADVANCE(1184);
      END_STATE();
    case 211:
      if (lookahead == '-') ADVANCE(347);
      if (lookahead == 'c') ADVANCE(785);
      if (lookahead == 'h') ADVANCE(779);
      if (lookahead == 'l') ADVANCE(880);
      if (lookahead == 'o') ADVANCE(292);
      if (lookahead == 'r') ADVANCE(776);
      if (lookahead == 's') ADVANCE(219);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(219);
      END_STATE();
    case 212:
      if (lookahead == '-') ADVANCE(347);
      if (lookahead == 'c') ADVANCE(785);
      if (lookahead == 'h') ADVANCE(779);
      if (lookahead == 'l') ADVANCE(880);
      if (lookahead == 'r') ADVANCE(776);
      if (lookahead == 's') ADVANCE(219);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(219);
      END_STATE();
    case 213:
      if (lookahead == '-') ADVANCE(347);
      if (lookahead == 'c') ADVANCE(785);
      if (lookahead == 'h') ADVANCE(779);
      if (lookahead == 'r') ADVANCE(776);
      if (lookahead == 's') ADVANCE(219);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(219);
      END_STATE();
    case 214:
      if (lookahead == '-') ADVANCE(347);
      if (lookahead == 'l') ADVANCE(880);
      if (lookahead == 'r') ADVANCE(776);
      if (lookahead == 's') ADVANCE(219);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(219);
      END_STATE();
    case 215:
      if (lookahead == '-') ADVANCE(347);
      if (lookahead == 'l') ADVANCE(880);
      if (lookahead == 's') ADVANCE(219);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(219);
      END_STATE();
    case 216:
      if (lookahead == '-') ADVANCE(347);
      if (lookahead == 'o') ADVANCE(292);
      if (lookahead == 's') ADVANCE(219);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(219);
      END_STATE();
    case 217:
      if (lookahead == '-') ADVANCE(347);
      if (lookahead == 'r') ADVANCE(776);
      if (lookahead == 's') ADVANCE(219);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(219);
      END_STATE();
    case 218:
      if (lookahead == '-') ADVANCE(347);
      if (lookahead == 's') ADVANCE(219);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(219);
      END_STATE();
    case 219:
      if (lookahead == '-') ADVANCE(347);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(219);
      END_STATE();
    case 220:
      if (lookahead == '-') ADVANCE(404);
      END_STATE();
    case 221:
      if (lookahead == '-') ADVANCE(1183);
      END_STATE();
    case 222:
      ADVANCE_MAP(
        '\\', 119,
        'a', 433,
        'c', 470,
        'e', 418,
        'g', 430,
        'h', 498,
        'i', 320,
        'k', 352,
        'l', 363,
        'q', 525,
        'r', 361,
        's', 407,
        't', 420,
        'w', 405,
        'x', 210,
        '|', 1146,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(694);
      END_STATE();
    case 223:
      ADVANCE_MAP(
        '\\', 119,
        'a', 433,
        'c', 470,
        'e', 418,
        'g', 430,
        'h', 498,
        'i', 320,
        'k', 352,
        'l', 363,
        'r', 361,
        's', 407,
        't', 419,
        'w', 405,
        'x', 210,
        '|', 1146,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(694);
      END_STATE();
    case 224:
      if (lookahead == '\\') ADVANCE(1031);
      if (lookahead == '|') ADVANCE(1146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0) ADVANCE(638);
      END_STATE();
    case 225:
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '|') ADVANCE(1146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0) ADVANCE(638);
      END_STATE();
    case 226:
      if (lookahead == '\\') ADVANCE(208);
      if (lookahead == '|') ADVANCE(1146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0) ADVANCE(638);
      END_STATE();
    case 227:
      if (lookahead == '\\') ADVANCE(1045);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 228:
      if (lookahead == '\\') ADVANCE(209);
      if (lookahead == 'k') ADVANCE(617);
      if (lookahead == '|') ADVANCE(1146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(627);
      if (lookahead != 0) ADVANCE(638);
      END_STATE();
    case 229:
      if (lookahead == '\\') ADVANCE(1025);
      if (lookahead == '|') ADVANCE(1146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0) ADVANCE(638);
      END_STATE();
    case 230:
      ADVANCE_MAP(
        '\\', 120,
        'a', 433,
        'c', 470,
        'h', 498,
        'i', 320,
        'l', 413,
        'r', 361,
        's', 410,
        't', 419,
        'x', 210,
        '|', 1146,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230);
      END_STATE();
    case 231:
      if (lookahead == '\\') ADVANCE(205);
      if (lookahead == 'h') ADVANCE(498);
      if (lookahead == 'i') ADVANCE(320);
      if (lookahead == 'l') ADVANCE(362);
      if (lookahead == 's') ADVANCE(502);
      if (lookahead == 't') ADVANCE(419);
      if (lookahead == 'x') ADVANCE(210);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231);
      END_STATE();
    case 232:
      if (lookahead == '\\') ADVANCE(204);
      if (lookahead == 'h') ADVANCE(498);
      if (lookahead == 'i') ADVANCE(320);
      if (lookahead == 'l') ADVANCE(412);
      if (lookahead == 't') ADVANCE(419);
      if (lookahead == 'x') ADVANCE(221);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232);
      END_STATE();
    case 233:
      if (lookahead == '\\') ADVANCE(203);
      if (lookahead == '|') ADVANCE(1146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0) ADVANCE(638);
      END_STATE();
    case 234:
      if (lookahead == '\\') ADVANCE(1035);
      if (lookahead == '|') ADVANCE(1146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0) ADVANCE(638);
      END_STATE();
    case 235:
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == '|') ADVANCE(1146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0) ADVANCE(638);
      END_STATE();
    case 236:
      if (lookahead == '\\') ADVANCE(1049);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 237:
      if (lookahead == '\\') ADVANCE(1039);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 238:
      if (lookahead == '\\') ADVANCE(1046);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 239:
      if (lookahead == '\\') ADVANCE(1026);
      if (lookahead == '|') ADVANCE(1146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0) ADVANCE(638);
      END_STATE();
    case 240:
      if (lookahead == '\\') ADVANCE(1024);
      if (lookahead == '|') ADVANCE(1146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0) ADVANCE(638);
      END_STATE();
    case 241:
      if (lookahead == '\\') ADVANCE(1034);
      if (lookahead == '|') ADVANCE(1146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0) ADVANCE(638);
      END_STATE();
    case 242:
      if (lookahead == '\\') ADVANCE(207);
      if (lookahead == 'h') ADVANCE(631);
      if (lookahead == 'i') ADVANCE(612);
      if (lookahead == 'l') ADVANCE(623);
      if (lookahead == 't') ADVANCE(624);
      if (lookahead == 'x') ADVANCE(610);
      if (lookahead == '|') ADVANCE(1146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(621);
      if (lookahead != 0) ADVANCE(638);
      END_STATE();
    case 243:
      if (lookahead == '\\') ADVANCE(1037);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 244:
      if (lookahead == '\\') ADVANCE(1021);
      if (lookahead == '|') ADVANCE(1146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0) ADVANCE(638);
      END_STATE();
    case 245:
      if (lookahead == '\\') ADVANCE(1047);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(245);
      END_STATE();
    case 246:
      if (lookahead == '\\') ADVANCE(1033);
      if (lookahead == '|') ADVANCE(1146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0) ADVANCE(638);
      END_STATE();
    case 247:
      if (lookahead == '\\') ADVANCE(1040);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 248:
      if (lookahead == '\\') ADVANCE(1020);
      if (lookahead == '|') ADVANCE(1146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0) ADVANCE(638);
      END_STATE();
    case 249:
      if (lookahead == '\\') ADVANCE(1036);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 250:
      if (lookahead == '\\') ADVANCE(1038);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 251:
      if (lookahead == '\\') ADVANCE(1048);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(251);
      END_STATE();
    case 252:
      if (lookahead == 'a') ADVANCE(133);
      END_STATE();
    case 253:
      if (lookahead == 'a') ADVANCE(1150);
      END_STATE();
    case 254:
      if (lookahead == 'a') ADVANCE(291);
      if (lookahead == 's') ADVANCE(755);
      if (lookahead == 't') ADVANCE(872);
      END_STATE();
    case 255:
      if (lookahead == 'a') ADVANCE(527);
      END_STATE();
    case 256:
      if (lookahead == 'a') ADVANCE(527);
      if (lookahead == 'l') ADVANCE(507);
      END_STATE();
    case 257:
      if (lookahead == 'a') ADVANCE(147);
      if (lookahead == 'p') ADVANCE(148);
      END_STATE();
    case 258:
      ADVANCE_MAP(
        'a', 338,
        'b', 313,
        'd', 289,
        'e', 438,
        'i', 521,
        'j', 441,
        'k', 938,
        'n', 314,
        'o', 497,
        'p', 450,
        'q', 522,
        'r', 276,
        's', 290,
        't', 426,
        'w', 1000,
      );
      END_STATE();
    case 259:
      ADVANCE_MAP(
        'a', 338,
        'b', 313,
        'd', 289,
        'e', 438,
        'i', 521,
        'j', 441,
        'k', 938,
        'n', 314,
        'o', 497,
        'p', 450,
        'q', 522,
        'r', 276,
        's', 290,
        't', 426,
        'w', 1000,
        'x', 541,
      );
      END_STATE();
    case 260:
      ADVANCE_MAP(
        'a', 338,
        'b', 313,
        'd', 289,
        'e', 438,
        'i', 521,
        'j', 441,
        'k', 938,
        'n', 314,
        'o', 497,
        'p', 450,
        'q', 522,
        'r', 276,
        's', 290,
        't', 426,
        'w', 1000,
        'x', 547,
      );
      END_STATE();
    case 261:
      if (lookahead == 'a') ADVANCE(309);
      if (lookahead == 't') ADVANCE(871);
      END_STATE();
    case 262:
      if (lookahead == 'a') ADVANCE(309);
      if (lookahead == 't') ADVANCE(196);
      END_STATE();
    case 263:
      ADVANCE_MAP(
        'a', 340,
        'b', 335,
        'd', 305,
        'e', 447,
        'i', 544,
        'j', 448,
        'k', 128,
        'n', 336,
        'o', 505,
        'p', 459,
        'q', 546,
        'r', 286,
        's', 307,
        't', 435,
        'w', 130,
      );
      END_STATE();
    case 264:
      ADVANCE_MAP(
        'a', 342,
        'b', 330,
        'd', 299,
        'e', 439,
        'i', 530,
        'j', 441,
        'k', 937,
        'n', 331,
        'o', 503,
        'p', 457,
        'q', 531,
        'r', 282,
        's', 300,
        't', 428,
        'w', 1001,
      );
      END_STATE();
    case 265:
      ADVANCE_MAP(
        'a', 342,
        'b', 330,
        'd', 299,
        'e', 439,
        'i', 530,
        'j', 441,
        'k', 937,
        'n', 331,
        'o', 503,
        'p', 457,
        'q', 531,
        'r', 282,
        's', 300,
        't', 428,
        'w', 1001,
        'x', 541,
      );
      END_STATE();
    case 266:
      ADVANCE_MAP(
        'a', 342,
        'b', 330,
        'd', 299,
        'e', 439,
        'i', 530,
        'j', 441,
        'k', 937,
        'n', 331,
        'o', 503,
        'p', 457,
        'q', 531,
        'r', 282,
        's', 300,
        't', 428,
        'w', 1001,
        'x', 547,
      );
      END_STATE();
    case 267:
      if (lookahead == 'a') ADVANCE(553);
      END_STATE();
    case 268:
      ADVANCE_MAP(
        'b', 685,
        'd', 44,
        'e', 690,
        'l', 406,
        'm', 45,
        'o', 670,
        'p', 47,
        'q', 687,
        's', 669,
        't', 893,
      );
      END_STATE();
    case 269:
      ADVANCE_MAP(
        'b', 685,
        'd', 365,
        'e', 690,
        'l', 406,
        'm', 45,
        'o', 673,
        'p', 47,
        'q', 686,
        's', 669,
      );
      END_STATE();
    case 270:
      ADVANCE_MAP(
        'b', 685,
        'e', 690,
        'l', 406,
        'm', 45,
        'o', 673,
        'p', 47,
        'q', 686,
        's', 669,
      );
      END_STATE();
    case 271:
      ADVANCE_MAP(
        'b', 685,
        'e', 690,
        'l', 406,
        'm', 45,
        'o', 672,
        'p', 47,
        'q', 688,
        's', 669,
        't', 892,
      );
      END_STATE();
    case 272:
      ADVANCE_MAP(
        'b', 685,
        'e', 690,
        'l', 406,
        'm', 45,
        'o', 671,
        'p', 47,
        'q', 689,
        's', 669,
      );
      END_STATE();
    case 273:
      if (lookahead == 'b') ADVANCE(740);
      END_STATE();
    case 274:
      if (lookahead == 'b') ADVANCE(740);
      if (lookahead == 'd') ADVANCE(855);
      if (lookahead == 'o') ADVANCE(899);
      END_STATE();
    case 275:
      if (lookahead == 'b') ADVANCE(740);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'o') ADVANCE(898);
      END_STATE();
    case 276:
      if (lookahead == 'b') ADVANCE(998);
      END_STATE();
    case 277:
      if (lookahead == 'b') ADVANCE(1068);
      END_STATE();
    case 278:
      if (lookahead == 'b') ADVANCE(913);
      if (lookahead == 'e') ADVANCE(381);
      if (lookahead == 'q') ADVANCE(49);
      END_STATE();
    case 279:
      if (lookahead == 'b') ADVANCE(913);
      if (lookahead == 'e') ADVANCE(380);
      END_STATE();
    case 280:
      if (lookahead == 'b') ADVANCE(913);
      if (lookahead == 'e') ADVANCE(380);
      if (lookahead == 'q') ADVANCE(49);
      END_STATE();
    case 281:
      if (lookahead == 'b') ADVANCE(1067);
      END_STATE();
    case 282:
      if (lookahead == 'b') ADVANCE(997);
      END_STATE();
    case 283:
      if (lookahead == 'b') ADVANCE(349);
      END_STATE();
    case 284:
      if (lookahead == 'b') ADVANCE(144);
      if (lookahead == 'e') ADVANCE(391);
      END_STATE();
    case 285:
      if (lookahead == 'b') ADVANCE(144);
      if (lookahead == 'e') ADVANCE(391);
      if (lookahead == 'q') ADVANCE(145);
      END_STATE();
    case 286:
      if (lookahead == 'b') ADVANCE(163);
      END_STATE();
    case 287:
      if (lookahead == 'c') ADVANCE(849);
      END_STATE();
    case 288:
      if (lookahead == 'c') ADVANCE(902);
      if (lookahead == 'i') ADVANCE(395);
      if (lookahead == 'l') ADVANCE(508);
      if (lookahead == 'u') ADVANCE(476);
      END_STATE();
    case 289:
      if (lookahead == 'c') ADVANCE(935);
      END_STATE();
    case 290:
      if (lookahead == 'c') ADVANCE(986);
      if (lookahead == 'i') ADVANCE(396);
      if (lookahead == 'l') ADVANCE(509);
      if (lookahead == 'u') ADVANCE(478);
      END_STATE();
    case 291:
      if (lookahead == 'c') ADVANCE(759);
      END_STATE();
    case 292:
      if (lookahead == 'c') ADVANCE(658);
      END_STATE();
    case 293:
      if (lookahead == 'c') ADVANCE(1239);
      END_STATE();
    case 294:
      if (lookahead == 'c') ADVANCE(1234);
      END_STATE();
    case 295:
      if (lookahead == 'c') ADVANCE(1156);
      END_STATE();
    case 296:
      if (lookahead == 'c') ADVANCE(848);
      END_STATE();
    case 297:
      if (lookahead == 'c') ADVANCE(901);
      if (lookahead == 'i') ADVANCE(398);
      if (lookahead == 'l') ADVANCE(511);
      if (lookahead == 't') ADVANCE(515);
      if (lookahead == 'u') ADVANCE(479);
      END_STATE();
    case 298:
      if (lookahead == 'c') ADVANCE(901);
      if (lookahead == 'i') ADVANCE(398);
      if (lookahead == 'l') ADVANCE(511);
      if (lookahead == 'u') ADVANCE(479);
      END_STATE();
    case 299:
      if (lookahead == 'c') ADVANCE(934);
      END_STATE();
    case 300:
      if (lookahead == 'c') ADVANCE(985);
      if (lookahead == 'i') ADVANCE(399);
      if (lookahead == 'l') ADVANCE(512);
      if (lookahead == 'u') ADVANCE(480);
      END_STATE();
    case 301:
      if (lookahead == 'c') ADVANCE(1232);
      END_STATE();
    case 302:
      if (lookahead == 'c') ADVANCE(134);
      END_STATE();
    case 303:
      if (lookahead == 'c') ADVANCE(146);
      if (lookahead == 'i') ADVANCE(401);
      if (lookahead == 'l') ADVANCE(516);
      if (lookahead == 'u') ADVANCE(489);
      END_STATE();
    case 304:
      if (lookahead == 'c') ADVANCE(69);
      END_STATE();
    case 305:
      if (lookahead == 'c') ADVANCE(156);
      END_STATE();
    case 306:
      if (lookahead == 'c') ADVANCE(93);
      END_STATE();
    case 307:
      if (lookahead == 'c') ADVANCE(164);
      if (lookahead == 'i') ADVANCE(402);
      if (lookahead == 'l') ADVANCE(517);
      if (lookahead == 'u') ADVANCE(491);
      END_STATE();
    case 308:
      if (lookahead == 'c') ADVANCE(92);
      END_STATE();
    case 309:
      if (lookahead == 'c') ADVANCE(201);
      END_STATE();
    case 310:
      if (lookahead == 'c') ADVANCE(431);
      END_STATE();
    case 311:
      if (lookahead == 'd') ADVANCE(889);
      if (lookahead == 'k') ADVANCE(846);
      END_STATE();
    case 312:
      if (lookahead == 'd') ADVANCE(855);
      if (lookahead == 'o') ADVANCE(899);
      END_STATE();
    case 313:
      if (lookahead == 'd') ADVANCE(973);
      if (lookahead == 'k') ADVANCE(932);
      END_STATE();
    case 314:
      if (lookahead == 'd') ADVANCE(940);
      if (lookahead == 'o') ADVANCE(983);
      END_STATE();
    case 315:
      if (lookahead == 'd') ADVANCE(842);
      END_STATE();
    case 316:
      if (lookahead == 'd') ADVANCE(859);
      END_STATE();
    case 317:
      if (lookahead == 'd') ADVANCE(928);
      END_STATE();
    case 318:
      if (lookahead == 'd') ADVANCE(944);
      END_STATE();
    case 319:
      if (lookahead == 'd') ADVANCE(1168);
      END_STATE();
    case 320:
      if (lookahead == 'd') ADVANCE(1179);
      END_STATE();
    case 321:
      if (lookahead == 'd') ADVANCE(131);
      if (lookahead == 'k') ADVANCE(132);
      END_STATE();
    case 322:
      if (lookahead == 'd') ADVANCE(141);
      if (lookahead == 'o') ADVANCE(142);
      END_STATE();
    case 323:
      if (lookahead == 'd') ADVANCE(1251);
      END_STATE();
    case 324:
      if (lookahead == 'd') ADVANCE(1248);
      if (lookahead == 'z') ADVANCE(353);
      END_STATE();
    case 325:
      if (lookahead == 'd') ADVANCE(170);
      END_STATE();
    case 326:
      if (lookahead == 'd') ADVANCE(890);
      if (lookahead == 'k') ADVANCE(845);
      END_STATE();
    case 327:
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'o') ADVANCE(898);
      END_STATE();
    case 328:
      if (lookahead == 'd') ADVANCE(843);
      END_STATE();
    case 329:
      if (lookahead == 'd') ADVANCE(858);
      END_STATE();
    case 330:
      if (lookahead == 'd') ADVANCE(974);
      if (lookahead == 'k') ADVANCE(931);
      END_STATE();
    case 331:
      if (lookahead == 'd') ADVANCE(941);
      if (lookahead == 'o') ADVANCE(982);
      END_STATE();
    case 332:
      if (lookahead == 'd') ADVANCE(929);
      END_STATE();
    case 333:
      if (lookahead == 'd') ADVANCE(943);
      END_STATE();
    case 334:
      if (lookahead == 'd') ADVANCE(315);
      END_STATE();
    case 335:
      if (lookahead == 'd') ADVANCE(154);
      if (lookahead == 'k') ADVANCE(155);
      END_STATE();
    case 336:
      if (lookahead == 'd') ADVANCE(159);
      if (lookahead == 'o') ADVANCE(160);
      END_STATE();
    case 337:
      if (lookahead == 'd') ADVANCE(183);
      END_STATE();
    case 338:
      if (lookahead == 'd') ADVANCE(317);
      END_STATE();
    case 339:
      if (lookahead == 'd') ADVANCE(325);
      END_STATE();
    case 340:
      if (lookahead == 'd') ADVANCE(337);
      END_STATE();
    case 341:
      if (lookahead == 'd') ADVANCE(328);
      END_STATE();
    case 342:
      if (lookahead == 'd') ADVANCE(332);
      END_STATE();
    case 343:
      if (lookahead == 'd') ADVANCE(43);
      if (lookahead == 'o') ADVANCE(504);
      if (lookahead == 'q') ADVANCE(549);
      if (lookahead == 't') ADVANCE(140);
      END_STATE();
    case 344:
      if (lookahead == 'd') ADVANCE(176);
      END_STATE();
    case 345:
      if (lookahead == 'd') ADVANCE(185);
      END_STATE();
    case 346:
      if (lookahead == 'e') ADVANCE(690);
      if (lookahead == 'm') ADVANCE(540);
      if (lookahead == 'p') ADVANCE(46);
      if (lookahead == 'q') ADVANCE(542);
      if (lookahead == 't') ADVANCE(892);
      END_STATE();
    case 347:
      if (lookahead == 'e') ADVANCE(1063);
      if (lookahead == 's') ADVANCE(1062);
      END_STATE();
    case 348:
      if (lookahead == 'e') ADVANCE(710);
      END_STATE();
    case 349:
      if (lookahead == 'e') ADVANCE(1069);
      END_STATE();
    case 350:
      if (lookahead == 'e') ADVANCE(667);
      END_STATE();
    case 351:
      if (lookahead == 'e') ADVANCE(1165);
      END_STATE();
    case 352:
      if (lookahead == 'e') ADVANCE(557);
      END_STATE();
    case 353:
      if (lookahead == 'e') ADVANCE(1236);
      END_STATE();
    case 354:
      if (lookahead == 'e') ADVANCE(1175);
      END_STATE();
    case 355:
      if (lookahead == 'e') ADVANCE(556);
      if (lookahead == 'p') ADVANCE(46);
      END_STATE();
    case 356:
      if (lookahead == 'e') ADVANCE(556);
      if (lookahead == 'p') ADVANCE(46);
      if (lookahead == 't') ADVANCE(892);
      END_STATE();
    case 357:
      if (lookahead == 'e') ADVANCE(445);
      END_STATE();
    case 358:
      if (lookahead == 'e') ADVANCE(445);
      if (lookahead == 'q') ADVANCE(49);
      END_STATE();
    case 359:
      if (lookahead == 'e') ADVANCE(375);
      END_STATE();
    case 360:
      if (lookahead == 'e') ADVANCE(381);
      END_STATE();
    case 361:
      if (lookahead == 'e') ADVANCE(376);
      END_STATE();
    case 362:
      if (lookahead == 'e') ADVANCE(443);
      if (lookahead == 'i') ADVANCE(454);
      END_STATE();
    case 363:
      if (lookahead == 'e') ADVANCE(443);
      if (lookahead == 'i') ADVANCE(454);
      if (lookahead == 'o') ADVANCE(293);
      END_STATE();
    case 364:
      if (lookahead == 'e') ADVANCE(377);
      END_STATE();
    case 365:
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 366:
      if (lookahead == 'e') ADVANCE(392);
      if (lookahead == 'q') ADVANCE(145);
      END_STATE();
    case 367:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 368:
      if (lookahead == 'f') ADVANCE(29);
      if (lookahead == 'm') ADVANCE(887);
      END_STATE();
    case 369:
      if (lookahead == 'f') ADVANCE(29);
      if (lookahead == 'm') ADVANCE(887);
      if (lookahead == 's') ADVANCE(277);
      END_STATE();
    case 370:
      if (lookahead == 'f') ADVANCE(29);
      if (lookahead == 'm') ADVANCE(887);
      if (lookahead == 's') ADVANCE(283);
      END_STATE();
    case 371:
      if (lookahead == 'f') ADVANCE(29);
      if (lookahead == 'm') ADVANCE(886);
      if (lookahead == 's') ADVANCE(283);
      END_STATE();
    case 372:
      if (lookahead == 'f') ADVANCE(764);
      if (lookahead == 'h') ADVANCE(763);
      if (lookahead == 'i') ADVANCE(765);
      END_STATE();
    case 373:
      if (lookahead == 'f') ADVANCE(764);
      if (lookahead == 'h') ADVANCE(763);
      if (lookahead == 'i') ADVANCE(768);
      END_STATE();
    case 374:
      if (lookahead == 'f') ADVANCE(764);
      if (lookahead == 'h') ADVANCE(763);
      if (lookahead == 'i') ADVANCE(766);
      END_STATE();
    case 375:
      if (lookahead == 'f') ADVANCE(1162);
      END_STATE();
    case 376:
      if (lookahead == 'f') ADVANCE(1245);
      END_STATE();
    case 377:
      if (lookahead == 'f') ADVANCE(1171);
      END_STATE();
    case 378:
      if (lookahead == 'f') ADVANCE(446);
      END_STATE();
    case 379:
      if (lookahead == 'f') ADVANCE(89);
      if (lookahead == 'm') ADVANCE(90);
      if (lookahead == 's') ADVANCE(536);
      END_STATE();
    case 380:
      if (lookahead == 'f') ADVANCE(88);
      END_STATE();
    case 381:
      if (lookahead == 'f') ADVANCE(88);
      if (lookahead == 'm') ADVANCE(90);
      if (lookahead == 's') ADVANCE(536);
      END_STATE();
    case 382:
      if (lookahead == 'f') ADVANCE(28);
      END_STATE();
    case 383:
      if (lookahead == 'f') ADVANCE(28);
      if (lookahead == 'm') ADVANCE(887);
      if (lookahead == 's') ADVANCE(283);
      END_STATE();
    case 384:
      if (lookahead == 'f') ADVANCE(28);
      if (lookahead == 'm') ADVANCE(886);
      END_STATE();
    case 385:
      if (lookahead == 'f') ADVANCE(28);
      if (lookahead == 'm') ADVANCE(886);
      if (lookahead == 's') ADVANCE(283);
      END_STATE();
    case 386:
      if (lookahead == 'f') ADVANCE(28);
      if (lookahead == 'm') ADVANCE(886);
      if (lookahead == 's') ADVANCE(281);
      END_STATE();
    case 387:
      if (lookahead == 'f') ADVANCE(28);
      if (lookahead == 'm') ADVANCE(136);
      END_STATE();
    case 388:
      if (lookahead == 'f') ADVANCE(28);
      if (lookahead == 's') ADVANCE(277);
      END_STATE();
    case 389:
      if (lookahead == 'f') ADVANCE(28);
      if (lookahead == 's') ADVANCE(283);
      END_STATE();
    case 390:
      if (lookahead == 'f') ADVANCE(28);
      if (lookahead == 's') ADVANCE(281);
      END_STATE();
    case 391:
      if (lookahead == 'f') ADVANCE(179);
      END_STATE();
    case 392:
      if (lookahead == 'f') ADVANCE(179);
      if (lookahead == 'm') ADVANCE(90);
      if (lookahead == 's') ADVANCE(536);
      END_STATE();
    case 393:
      if (lookahead == 'f') ADVANCE(135);
      if (lookahead == 'm') ADVANCE(886);
      END_STATE();
    case 394:
      if (lookahead == 'g') ADVANCE(1012);
      END_STATE();
    case 395:
      if (lookahead == 'g') ADVANCE(875);
      END_STATE();
    case 396:
      if (lookahead == 'g') ADVANCE(959);
      END_STATE();
    case 397:
      if (lookahead == 'g') ADVANCE(1153);
      END_STATE();
    case 398:
      if (lookahead == 'g') ADVANCE(874);
      END_STATE();
    case 399:
      if (lookahead == 'g') ADVANCE(958);
      END_STATE();
    case 400:
      if (lookahead == 'g') ADVANCE(198);
      END_STATE();
    case 401:
      if (lookahead == 'g') ADVANCE(180);
      END_STATE();
    case 402:
      if (lookahead == 'g') ADVANCE(188);
      END_STATE();
    case 403:
      if (lookahead == 'h') ADVANCE(763);
      if (lookahead == 'i') ADVANCE(768);
      END_STATE();
    case 404:
      if (lookahead == 'h') ADVANCE(494);
      if (lookahead == 'i') ADVANCE(319);
      if (lookahead == 't') ADVANCE(417);
      END_STATE();
    case 405:
      if (lookahead == 'h') ADVANCE(465);
      END_STATE();
    case 406:
      if (lookahead == 'i') ADVANCE(681);
      END_STATE();
    case 407:
      if (lookahead == 'i') ADVANCE(324);
      if (lookahead == 'r') ADVANCE(294);
      if (lookahead == 't') ADVANCE(499);
      END_STATE();
    case 408:
      if (lookahead == 'i') ADVANCE(767);
      END_STATE();
    case 409:
      if (lookahead == 'i') ADVANCE(768);
      END_STATE();
    case 410:
      if (lookahead == 'i') ADVANCE(559);
      if (lookahead == 'r') ADVANCE(301);
      END_STATE();
    case 411:
      if (lookahead == 'i') ADVANCE(424);
      END_STATE();
    case 412:
      if (lookahead == 'i') ADVANCE(454);
      END_STATE();
    case 413:
      if (lookahead == 'i') ADVANCE(454);
      if (lookahead == 'o') ADVANCE(293);
      END_STATE();
    case 414:
      if (lookahead == 'i') ADVANCE(400);
      END_STATE();
    case 415:
      if (lookahead == 'i') ADVANCE(400);
      if (lookahead == 'm') ADVANCE(138);
      if (lookahead == 'v') ADVANCE(139);
      END_STATE();
    case 416:
      if (lookahead == 'i') ADVANCE(400);
      if (lookahead == 'v') ADVANCE(139);
      END_STATE();
    case 417:
      if (lookahead == 'i') ADVANCE(535);
      END_STATE();
    case 418:
      if (lookahead == 'i') ADVANCE(323);
      END_STATE();
    case 419:
      if (lookahead == 'i') ADVANCE(554);
      END_STATE();
    case 420:
      if (lookahead == 'i') ADVANCE(554);
      if (lookahead == 's') ADVANCE(1058);
      END_STATE();
    case 421:
      if (lookahead == 'i') ADVANCE(548);
      END_STATE();
    case 422:
      if (lookahead == 'j') ADVANCE(448);
      END_STATE();
    case 423:
      if (lookahead == 'k') ADVANCE(220);
      END_STATE();
    case 424:
      if (lookahead == 'k') ADVANCE(174);
      if (lookahead == 't') ADVANCE(436);
      END_STATE();
    case 425:
      if (lookahead == 'l') ADVANCE(880);
      END_STATE();
    case 426:
      if (lookahead == 'l') ADVANCE(965);
      END_STATE();
    case 427:
      if (lookahead == 'l') ADVANCE(881);
      END_STATE();
    case 428:
      if (lookahead == 'l') ADVANCE(964);
      END_STATE();
    case 429:
      if (lookahead == 'l') ADVANCE(351);
      END_STATE();
    case 430:
      if (lookahead == 'l') ADVANCE(471);
      END_STATE();
    case 431:
      if (lookahead == 'l') ADVANCE(472);
      END_STATE();
    case 432:
      if (lookahead == 'l') ADVANCE(354);
      END_STATE();
    case 433:
      if (lookahead == 'l') ADVANCE(526);
      END_STATE();
    case 434:
      if (lookahead == 'l') ADVANCE(197);
      END_STATE();
    case 435:
      if (lookahead == 'l') ADVANCE(165);
      END_STATE();
    case 436:
      if (lookahead == 'l') ADVANCE(192);
      END_STATE();
    case 437:
      if (lookahead == 'm') ADVANCE(475);
      END_STATE();
    case 438:
      if (lookahead == 'm') ADVANCE(971);
      END_STATE();
    case 439:
      if (lookahead == 'm') ADVANCE(970);
      END_STATE();
    case 440:
      if (lookahead == 'm') ADVANCE(253);
      END_STATE();
    case 441:
      if (lookahead == 'm') ADVANCE(477);
      END_STATE();
    case 442:
      if (lookahead == 'm') ADVANCE(136);
      END_STATE();
    case 443:
      if (lookahead == 'm') ADVANCE(440);
      END_STATE();
    case 444:
      if (lookahead == 'm') ADVANCE(488);
      END_STATE();
    case 445:
      if (lookahead == 'm') ADVANCE(90);
      if (lookahead == 's') ADVANCE(536);
      END_STATE();
    case 446:
      if (lookahead == 'm') ADVANCE(104);
      END_STATE();
    case 447:
      if (lookahead == 'm') ADVANCE(157);
      END_STATE();
    case 448:
      if (lookahead == 'm') ADVANCE(490);
      END_STATE();
    case 449:
      if (lookahead == 'n') ADVANCE(861);
      if (lookahead == 'r') ADVANCE(463);
      END_STATE();
    case 450:
      if (lookahead == 'n') ADVANCE(946);
      if (lookahead == 'r') ADVANCE(464);
      END_STATE();
    case 451:
      if (lookahead == 'n') ADVANCE(868);
      END_STATE();
    case 452:
      if (lookahead == 'n') ADVANCE(953);
      END_STATE();
    case 453:
      if (lookahead == 'n') ADVANCE(143);
      if (lookahead == 'r') ADVANCE(473);
      END_STATE();
    case 454:
      if (lookahead == 'n') ADVANCE(423);
      END_STATE();
    case 455:
      if (lookahead == 'n') ADVANCE(862);
      if (lookahead == 'r') ADVANCE(466);
      END_STATE();
    case 456:
      if (lookahead == 'n') ADVANCE(867);
      END_STATE();
    case 457:
      if (lookahead == 'n') ADVANCE(947);
      if (lookahead == 'r') ADVANCE(467);
      END_STATE();
    case 458:
      if (lookahead == 'n') ADVANCE(952);
      END_STATE();
    case 459:
      if (lookahead == 'n') ADVANCE(161);
      if (lookahead == 'r') ADVANCE(474);
      END_STATE();
    case 460:
      if (lookahead == 'n') ADVANCE(397);
      END_STATE();
    case 461:
      if (lookahead == 'n') ADVANCE(194);
      END_STATE();
    case 462:
      if (lookahead == 'n') ADVANCE(195);
      END_STATE();
    case 463:
      if (lookahead == 'o') ADVANCE(911);
      END_STATE();
    case 464:
      if (lookahead == 'o') ADVANCE(995);
      END_STATE();
    case 465:
      if (lookahead == 'o') ADVANCE(1254);
      END_STATE();
    case 466:
      if (lookahead == 'o') ADVANCE(910);
      END_STATE();
    case 467:
      if (lookahead == 'o') ADVANCE(994);
      END_STATE();
    case 468:
      if (lookahead == 'o') ADVANCE(493);
      END_STATE();
    case 469:
      if (lookahead == 'o') ADVANCE(460);
      END_STATE();
    case 470:
      if (lookahead == 'o') ADVANCE(481);
      END_STATE();
    case 471:
      if (lookahead == 'o') ADVANCE(514);
      END_STATE();
    case 472:
      if (lookahead == 'o') ADVANCE(295);
      END_STATE();
    case 473:
      if (lookahead == 'o') ADVANCE(178);
      END_STATE();
    case 474:
      if (lookahead == 'o') ADVANCE(187);
      END_STATE();
    case 475:
      if (lookahead == 'p') ADVANCE(1014);
      END_STATE();
    case 476:
      if (lookahead == 'p') ADVANCE(905);
      END_STATE();
    case 477:
      if (lookahead == 'p') ADVANCE(1016);
      END_STATE();
    case 478:
      if (lookahead == 'p') ADVANCE(989);
      END_STATE();
    case 479:
      if (lookahead == 'p') ADVANCE(904);
      END_STATE();
    case 480:
      if (lookahead == 'p') ADVANCE(988);
      END_STATE();
    case 481:
      if (lookahead == 'p') ADVANCE(558);
      END_STATE();
    case 482:
      if (lookahead == 'p') ADVANCE(148);
      END_STATE();
    case 483:
      if (lookahead == 'p') ADVANCE(46);
      END_STATE();
    case 484:
      if (lookahead == 'p') ADVANCE(46);
      if (lookahead == 'q') ADVANCE(542);
      if (lookahead == 't') ADVANCE(893);
      END_STATE();
    case 485:
      if (lookahead == 'p') ADVANCE(46);
      if (lookahead == 'q') ADVANCE(542);
      if (lookahead == 't') ADVANCE(892);
      END_STATE();
    case 486:
      if (lookahead == 'p') ADVANCE(46);
      if (lookahead == 't') ADVANCE(893);
      END_STATE();
    case 487:
      if (lookahead == 'p') ADVANCE(46);
      if (lookahead == 't') ADVANCE(892);
      END_STATE();
    case 488:
      if (lookahead == 'p') ADVANCE(199);
      END_STATE();
    case 489:
      if (lookahead == 'p') ADVANCE(182);
      END_STATE();
    case 490:
      if (lookahead == 'p') ADVANCE(200);
      END_STATE();
    case 491:
      if (lookahead == 'p') ADVANCE(190);
      END_STATE();
    case 492:
      if (lookahead == 'q') ADVANCE(49);
      END_STATE();
    case 493:
      if (lookahead == 'r') ADVANCE(367);
      END_STATE();
    case 494:
      if (lookahead == 'r') ADVANCE(359);
      END_STATE();
    case 495:
      if (lookahead == 'r') ADVANCE(316);
      END_STATE();
    case 496:
      if (lookahead == 'r') ADVANCE(286);
      if (lookahead == 'w') ADVANCE(129);
      END_STATE();
    case 497:
      if (lookahead == 'r') ADVANCE(318);
      END_STATE();
    case 498:
      if (lookahead == 'r') ADVANCE(364);
      END_STATE();
    case 499:
      if (lookahead == 'r') ADVANCE(469);
      END_STATE();
    case 500:
      if (lookahead == 'r') ADVANCE(344);
      END_STATE();
    case 501:
      if (lookahead == 'r') ADVANCE(329);
      END_STATE();
    case 502:
      if (lookahead == 'r') ADVANCE(310);
      if (lookahead == 't') ADVANCE(499);
      END_STATE();
    case 503:
      if (lookahead == 'r') ADVANCE(333);
      END_STATE();
    case 504:
      if (lookahead == 'r') ADVANCE(172);
      END_STATE();
    case 505:
      if (lookahead == 'r') ADVANCE(345);
      END_STATE();
    case 506:
      if (lookahead == 's') ADVANCE(378);
      END_STATE();
    case 507:
      if (lookahead == 's') ADVANCE(733);
      END_STATE();
    case 508:
      if (lookahead == 's') ADVANCE(878);
      END_STATE();
    case 509:
      if (lookahead == 's') ADVANCE(962);
      END_STATE();
    case 510:
      if (lookahead == 's') ADVANCE(1159);
      END_STATE();
    case 511:
      if (lookahead == 's') ADVANCE(877);
      END_STATE();
    case 512:
      if (lookahead == 's') ADVANCE(961);
      END_STATE();
    case 513:
      if (lookahead == 's') ADVANCE(281);
      END_STATE();
    case 514:
      if (lookahead == 's') ADVANCE(510);
      END_STATE();
    case 515:
      if (lookahead == 's') ADVANCE(91);
      END_STATE();
    case 516:
      if (lookahead == 's') ADVANCE(181);
      END_STATE();
    case 517:
      if (lookahead == 's') ADVANCE(189);
      END_STATE();
    case 518:
      if (lookahead == 't') ADVANCE(893);
      END_STATE();
    case 519:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 520:
      if (lookahead == 't') ADVANCE(872);
      END_STATE();
    case 521:
      if (lookahead == 't') ADVANCE(977);
      END_STATE();
    case 522:
      if (lookahead == 't') ADVANCE(956);
      END_STATE();
    case 523:
      if (lookahead == 't') ADVANCE(896);
      END_STATE();
    case 524:
      if (lookahead == 't') ADVANCE(980);
      END_STATE();
    case 525:
      if (lookahead == 't') ADVANCE(560);
      END_STATE();
    case 526:
      if (lookahead == 't') ADVANCE(1229);
      END_STATE();
    case 527:
      if (lookahead == 't') ADVANCE(1072);
      END_STATE();
    case 528:
      if (lookahead == 't') ADVANCE(892);
      END_STATE();
    case 529:
      if (lookahead == 't') ADVANCE(895);
      END_STATE();
    case 530:
      if (lookahead == 't') ADVANCE(976);
      END_STATE();
    case 531:
      if (lookahead == 't') ADVANCE(955);
      END_STATE();
    case 532:
      if (lookahead == 't') ADVANCE(979);
      END_STATE();
    case 533:
      if (lookahead == 't') ADVANCE(870);
      END_STATE();
    case 534:
      if (lookahead == 't') ADVANCE(708);
      END_STATE();
    case 535:
      if (lookahead == 't') ADVANCE(429);
      END_STATE();
    case 536:
      if (lookahead == 't') ADVANCE(468);
      END_STATE();
    case 537:
      if (lookahead == 't') ADVANCE(515);
      END_STATE();
    case 538:
      if (lookahead == 't') ADVANCE(140);
      END_STATE();
    case 539:
      if (lookahead == 't') ADVANCE(196);
      END_STATE();
    case 540:
      if (lookahead == 't') ADVANCE(350);
      END_STATE();
    case 541:
      if (lookahead == 't') ADVANCE(68);
      END_STATE();
    case 542:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 543:
      if (lookahead == 't') ADVANCE(95);
      END_STATE();
    case 544:
      if (lookahead == 't') ADVANCE(158);
      END_STATE();
    case 545:
      if (lookahead == 't') ADVANCE(63);
      END_STATE();
    case 546:
      if (lookahead == 't') ADVANCE(162);
      END_STATE();
    case 547:
      if (lookahead == 't') ADVANCE(67);
      END_STATE();
    case 548:
      if (lookahead == 't') ADVANCE(85);
      END_STATE();
    case 549:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 550:
      if (lookahead == 't') ADVANCE(94);
      END_STATE();
    case 551:
      if (lookahead == 't') ADVANCE(191);
      END_STATE();
    case 552:
      if (lookahead == 't') ADVANCE(193);
      END_STATE();
    case 553:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 554:
      if (lookahead == 't') ADVANCE(432);
      END_STATE();
    case 555:
      if (lookahead == 'w') ADVANCE(129);
      END_STATE();
    case 556:
      if (lookahead == 'x') ADVANCE(72);
      END_STATE();
    case 557:
      if (lookahead == 'y') ADVANCE(1147);
      END_STATE();
    case 558:
      if (lookahead == 'y') ADVANCE(1242);
      END_STATE();
    case 559:
      if (lookahead == 'z') ADVANCE(353);
      END_STATE();
    case 560:
      if (lookahead == 'e' ||
          lookahead == 's') ADVANCE(1058);
      END_STATE();
    case 561:
      if (('1' <= lookahead && lookahead <= '3')) ADVANCE(641);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(639);
      END_STATE();
    case 562:
      if (('1' <= lookahead && lookahead <= '4')) ADVANCE(643);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(639);
      END_STATE();
    case 563:
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(783);
      END_STATE();
    case 564:
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(777);
      END_STATE();
    case 565:
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(786);
      END_STATE();
    case 566:
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(780);
      END_STATE();
    case 567:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1070);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      END_STATE();
    case 568:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(651);
      END_STATE();
    case 569:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(696);
      END_STATE();
    case 570:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(599);
      END_STATE();
    case 571:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 572:
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1064);
      END_STATE();
    case 573:
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(153);
      END_STATE();
    case 574:
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1065);
      END_STATE();
    case 575:
      if (eof) ADVANCE(598);
      ADVANCE_MAP(
        '"', 1076,
        '=', 1075,
        '\\', 1019,
        'a', 1209,
        'c', 1213,
        'e', 1205,
        'g', 1208,
        'h', 1219,
        'i', 1193,
        'k', 1196,
        'l', 1197,
        'r', 1198,
        's', 1204,
        't', 1207,
        'w', 1203,
        'x', 1187,
        '|', 1146,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(575);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(649);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1227);
      END_STATE();
    case 576:
      if (eof) ADVANCE(598);
      if (lookahead == '\\') ADVANCE(1041);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 577:
      if (eof) ADVANCE(598);
      if (lookahead == '\\') ADVANCE(1052);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(577);
      if (lookahead != 0) ADVANCE(789);
      END_STATE();
    case 578:
      if (eof) ADVANCE(598);
      if (lookahead == '\\') ADVANCE(1042);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 579:
      if (eof) ADVANCE(598);
      if (lookahead == '\\') ADVANCE(1044);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 580:
      if (eof) ADVANCE(598);
      if (lookahead == '\\') ADVANCE(1023);
      if (lookahead == '|') ADVANCE(1146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0) ADVANCE(638);
      END_STATE();
    case 581:
      if (eof) ADVANCE(598);
      if (lookahead == '\\') ADVANCE(1057);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(581);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(702);
      END_STATE();
    case 582:
      if (eof) ADVANCE(598);
      if (lookahead == '\\') ADVANCE(1050);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 583:
      if (eof) ADVANCE(598);
      if (lookahead == '\\') ADVANCE(1056);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 584:
      if (eof) ADVANCE(598);
      if (lookahead == '\\') ADVANCE(1056);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(584);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(648);
      END_STATE();
    case 585:
      if (eof) ADVANCE(598);
      if (lookahead == '\\') ADVANCE(1028);
      if (lookahead == '|') ADVANCE(1146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(585);
      END_STATE();
    case 586:
      if (eof) ADVANCE(598);
      if (lookahead == '\\') ADVANCE(1055);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 587:
      if (eof) ADVANCE(598);
      if (lookahead == '\\') ADVANCE(1029);
      if (lookahead == '|') ADVANCE(1146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0) ADVANCE(638);
      END_STATE();
    case 588:
      if (eof) ADVANCE(598);
      if (lookahead == '\\') ADVANCE(1029);
      if (lookahead == '|') ADVANCE(1146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(588);
      END_STATE();
    case 589:
      if (eof) ADVANCE(598);
      if (lookahead == '\\') ADVANCE(1032);
      if (lookahead == '|') ADVANCE(1146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(589);
      END_STATE();
    case 590:
      if (eof) ADVANCE(598);
      if (lookahead == '\\') ADVANCE(1030);
      if (lookahead == '|') ADVANCE(1146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0) ADVANCE(638);
      END_STATE();
    case 591:
      if (eof) ADVANCE(598);
      if (lookahead == '\\') ADVANCE(1030);
      if (lookahead == '|') ADVANCE(1146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(591);
      END_STATE();
    case 592:
      if (eof) ADVANCE(598);
      if (lookahead == '\\') ADVANCE(1043);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 593:
      if (eof) ADVANCE(598);
      if (lookahead == '\\') ADVANCE(1022);
      if (lookahead == '|') ADVANCE(1146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0) ADVANCE(638);
      END_STATE();
    case 594:
      if (eof) ADVANCE(598);
      if (lookahead == '\\') ADVANCE(1051);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(594);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(571);
      END_STATE();
    case 595:
      if (eof) ADVANCE(598);
      if (lookahead == '\\') ADVANCE(1054);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(595);
      END_STATE();
    case 596:
      if (eof) ADVANCE(598);
      if (lookahead == '\\') ADVANCE(1053);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(596);
      END_STATE();
    case 597:
      if (eof) ADVANCE(598);
      if (lookahead == '\\') ADVANCE(1027);
      if (lookahead == '|') ADVANCE(1146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0) ADVANCE(638);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_bookcode);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == '.') ADVANCE(568);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(650);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == 'e') ADVANCE(1237);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == 'f') ADVANCE(1172);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == 'k') ADVANCE(1188);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == 'l') ADVANCE(1200);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == 'm') ADVANCE(1189);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == 'o') ADVANCE(1212);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == 's') ADVANCE(1220);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_bookcode);
      if (lookahead == 'y') ADVANCE(1243);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_bookcode);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == '-') ADVANCE(1185);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == '-') ADVANCE(622);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'd') ADVANCE(1182);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'd') ADVANCE(1170);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'e') ADVANCE(619);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'e') ADVANCE(1178);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'e') ADVANCE(1167);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'e') ADVANCE(635);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'e') ADVANCE(620);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'f') ADVANCE(1174);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'f') ADVANCE(1164);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'h') ADVANCE(631);
      if (lookahead == 'i') ADVANCE(612);
      if (lookahead == 'l') ADVANCE(623);
      if (lookahead == 't') ADVANCE(624);
      if (lookahead == 'x') ADVANCE(610);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(621);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'h') ADVANCE(632);
      if (lookahead == 'i') ADVANCE(613);
      if (lookahead == 't') ADVANCE(625);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'i') ADVANCE(630);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'i') ADVANCE(633);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'i') ADVANCE(634);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'k') ADVANCE(611);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'k') ADVANCE(617);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(627);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'l') ADVANCE(615);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'l') ADVANCE(616);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'r') ADVANCE(614);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'r') ADVANCE(618);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 't') ADVANCE(628);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 't') ADVANCE(629);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 'y') ADVANCE(1149);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(636);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(637);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym__spaceOrLine);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(639);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(anon_sym_BSLASHid);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_numberedLevelMax3);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_numberedLevelMax3);
      if (lookahead == '.') ADVANCE(568);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(647);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_numberedLevelMax4);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_numberedLevelMax4);
      if (lookahead == '.') ADVANCE(568);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(647);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_numberedLevelMax5);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_numberedLevelMax5);
      if (lookahead == '.') ADVANCE(568);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(647);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_versionNumber);
      if (lookahead == '.') ADVANCE(568);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(600);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(609);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_versionNumber);
      if (lookahead == '.') ADVANCE(568);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(648);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_versionNumber);
      if (lookahead == '.') ADVANCE(568);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(647);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_versionNumber);
      if (lookahead == '.') ADVANCE(568);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(650);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_versionNumber);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(651);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(anon_sym_BSLASHusfm);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(anon_sym_BSLASHide);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(anon_sym_BSLASHref);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(anon_sym_BSLASHref_STAR);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(anon_sym_BSLASHh);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(anon_sym_SPACE);
      if (lookahead == ' ') ADVANCE(657);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(anon_sym_BSLASHtoc);
      if (lookahead == 'a') ADVANCE(659);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(anon_sym_BSLASHtoca);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(anon_sym_BSLASHsts);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(anon_sym_BSLASHrem);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(anon_sym_BSLASHrestore);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(anon_sym_BSLASHlit);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(anon_sym_BSLASHiqt);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(anon_sym_BSLASHiqt_STAR);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(anon_sym_BSLASHimt);
      if (lookahead == 'e') ADVANCE(667);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(anon_sym_BSLASHimte);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(aux_sym_imteTag_token1);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(anon_sym_BSLASHis);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(anon_sym_BSLASHio);
      if (lookahead == 'r') ADVANCE(76);
      if (lookahead == 't') ADVANCE(77);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(anon_sym_BSLASHio);
      if (lookahead == 'r') ADVANCE(172);
      if (lookahead == 't') ADVANCE(77);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(anon_sym_BSLASHio);
      if (lookahead == 'r') ADVANCE(75);
      if (lookahead == 't') ADVANCE(77);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(anon_sym_BSLASHio);
      if (lookahead == 't') ADVANCE(77);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(anon_sym_BSLASHior);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(anon_sym_BSLASHior_STAR);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(anon_sym_BSLASHiot);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(anon_sym_BSLASHip);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(anon_sym_BSLASHim);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(anon_sym_BSLASHipi);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(anon_sym_BSLASHimi);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(anon_sym_BSLASHili);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(anon_sym_BSLASHipq);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(anon_sym_BSLASHimq);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(anon_sym_BSLASHipr);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(anon_sym_BSLASHib);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(anon_sym_BSLASHiq);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(anon_sym_BSLASHiq);
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(anon_sym_BSLASHiq);
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(anon_sym_BSLASHiq);
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(anon_sym_BSLASHie);
      if (lookahead == 'x') ADVANCE(72);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(anon_sym_BSLASHiex);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(anon_sym_BSLASHv);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym_verseNumber);
      if (lookahead == '-') ADVANCE(569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(695);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym_verseNumber);
      if (lookahead == '-') ADVANCE(569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(695);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(694);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(693);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym_verseNumber);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(695);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym_verseNumber);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(695);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(696);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(695);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(anon_sym_BSLASHva);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(anon_sym_BSLASHva_STAR);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(anon_sym_BSLASHvp);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(anon_sym_BSLASHvp_STAR);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(anon_sym_BSLASHc);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym_chapterNumber);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(702);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(anon_sym_BSLASHcl);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(anon_sym_BSLASHca);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(anon_sym_BSLASHca_STAR);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(anon_sym_BSLASHcp);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(anon_sym_BSLASHcd);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(anon_sym_BSLASHmt);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(anon_sym_BSLASHmt);
      if (lookahead == 'e') ADVANCE(710);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(anon_sym_BSLASHmte);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(anon_sym_BSLASHms);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(anon_sym_BSLASHmr);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(anon_sym_BSLASHs);
      ADVANCE_MAP(
        'c', 902,
        'd', 721,
        'i', 395,
        'l', 508,
        'p', 51,
        'r', 52,
        't', 515,
        'u', 476,
      );
      END_STATE();
    case 714:
      ACCEPT_TOKEN(anon_sym_BSLASHs);
      ADVANCE_MAP(
        'c', 901,
        'd', 721,
        'i', 398,
        'l', 511,
        'p', 51,
        'r', 52,
        't', 515,
        'u', 479,
      );
      END_STATE();
    case 715:
      ACCEPT_TOKEN(anon_sym_BSLASHs);
      if (lookahead == 'c') ADVANCE(901);
      if (lookahead == 'd') ADVANCE(721);
      if (lookahead == 'i') ADVANCE(398);
      if (lookahead == 'l') ADVANCE(511);
      if (lookahead == 'p') ADVANCE(51);
      if (lookahead == 't') ADVANCE(515);
      if (lookahead == 'u') ADVANCE(479);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(anon_sym_BSLASHs);
      if (lookahead == 'd') ADVANCE(721);
      if (lookahead == 'p') ADVANCE(51);
      if (lookahead == 't') ADVANCE(515);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(anon_sym_BSLASHsr);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(anon_sym_BSLASHr);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(anon_sym_BSLASHsp);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(anon_sym_BSLASHd);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(anon_sym_BSLASHsd);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(anon_sym_BSLASHp);
      ADVANCE_MAP(
        'b', 1018,
        'c', 741,
        'h', 743,
        'i', 738,
        'm', 735,
        'n', 861,
        'o', 729,
        'r', 731,
      );
      END_STATE();
    case 723:
      ACCEPT_TOKEN(anon_sym_BSLASHp);
      ADVANCE_MAP(
        'b', 1018,
        'c', 741,
        'h', 742,
        'i', 738,
        'm', 735,
        'n', 861,
        'o', 729,
        'r', 731,
      );
      END_STATE();
    case 724:
      ACCEPT_TOKEN(anon_sym_BSLASHp);
      ADVANCE_MAP(
        'b', 1018,
        'c', 741,
        'h', 742,
        'i', 738,
        'm', 735,
        'n', 862,
        'o', 729,
        'r', 732,
      );
      END_STATE();
    case 725:
      ACCEPT_TOKEN(anon_sym_BSLASHp);
      if (lookahead == 'b') ADVANCE(1018);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'h') ADVANCE(742);
      if (lookahead == 'i') ADVANCE(738);
      if (lookahead == 'm') ADVANCE(735);
      if (lookahead == 'o') ADVANCE(729);
      if (lookahead == 'r') ADVANCE(730);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(anon_sym_BSLASHm);
      if (lookahead == 'i') ADVANCE(739);
      if (lookahead == 'r') ADVANCE(48);
      if (lookahead == 's') ADVANCE(711);
      if (lookahead == 't') ADVANCE(709);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(anon_sym_BSLASHm);
      if (lookahead == 'i') ADVANCE(739);
      if (lookahead == 'r') ADVANCE(48);
      if (lookahead == 's') ADVANCE(711);
      if (lookahead == 't') ADVANCE(348);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(anon_sym_BSLASHm);
      if (lookahead == 'i') ADVANCE(739);
      if (lookahead == 's') ADVANCE(711);
      if (lookahead == 't') ADVANCE(348);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(anon_sym_BSLASHpo);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(anon_sym_BSLASHpr);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(anon_sym_BSLASHpr);
      if (lookahead == 'o') ADVANCE(911);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(anon_sym_BSLASHpr);
      if (lookahead == 'o') ADVANCE(910);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(anon_sym_BSLASHcls);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(anon_sym_BSLASHpmo);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(anon_sym_BSLASHpm);
      if (lookahead == 'c') ADVANCE(736);
      if (lookahead == 'o') ADVANCE(734);
      if (lookahead == 'r') ADVANCE(737);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(anon_sym_BSLASHpmc);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(anon_sym_BSLASHpmr);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(anon_sym_BSLASHpi);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(anon_sym_BSLASHmi);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(anon_sym_BSLASHnb);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(anon_sym_BSLASHpc);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(anon_sym_BSLASHph);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(anon_sym_BSLASHph);
      if (lookahead == 'i') ADVANCE(744);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(anon_sym_BSLASHphi);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(anon_sym_BSLASHb);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(anon_sym_BSLASHb);
      if (lookahead == 'd') ADVANCE(889);
      if (lookahead == 'k') ADVANCE(846);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(anon_sym_BSLASHb);
      if (lookahead == 'd') ADVANCE(890);
      if (lookahead == 'k') ADVANCE(845);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(anon_sym_BSLASHq);
      if (lookahead == 'a') ADVANCE(758);
      if (lookahead == 'c') ADVANCE(753);
      if (lookahead == 'd') ADVANCE(762);
      if (lookahead == 'm') ADVANCE(761);
      if (lookahead == 'r') ADVANCE(752);
      if (lookahead == 's') ADVANCE(755);
      if (lookahead == 't') ADVANCE(872);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(anon_sym_BSLASHq);
      if (lookahead == 'a') ADVANCE(758);
      if (lookahead == 'c') ADVANCE(753);
      if (lookahead == 'd') ADVANCE(762);
      if (lookahead == 'm') ADVANCE(761);
      if (lookahead == 'r') ADVANCE(752);
      if (lookahead == 's') ADVANCE(754);
      if (lookahead == 't') ADVANCE(872);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(anon_sym_BSLASHq);
      if (lookahead == 'a') ADVANCE(757);
      if (lookahead == 'c') ADVANCE(753);
      if (lookahead == 'd') ADVANCE(762);
      if (lookahead == 'm') ADVANCE(761);
      if (lookahead == 'r') ADVANCE(752);
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(anon_sym_BSLASHq);
      if (lookahead == 'a') ADVANCE(757);
      if (lookahead == 'c') ADVANCE(753);
      if (lookahead == 'd') ADVANCE(762);
      if (lookahead == 'm') ADVANCE(761);
      if (lookahead == 'r') ADVANCE(752);
      if (lookahead == 't') ADVANCE(872);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(anon_sym_BSLASHqr);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(anon_sym_BSLASHqc);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(anon_sym_BSLASHqs);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(anon_sym_BSLASHqs);
      if (lookahead == '*') ADVANCE(756);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(anon_sym_BSLASHqs_STAR);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(anon_sym_BSLASHqa);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(anon_sym_BSLASHqa);
      if (lookahead == 'c') ADVANCE(759);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(anon_sym_BSLASHqac);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(anon_sym_BSLASHqac_STAR);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(anon_sym_BSLASHqm);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(anon_sym_BSLASHqd);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(anon_sym_BSLASHlh);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(anon_sym_BSLASHlf);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(anon_sym_BSLASHli);
      if (lookahead == 'k') ADVANCE(84);
      if (lookahead == 'm') ADVANCE(769);
      if (lookahead == 't') ADVANCE(86);
      if (lookahead == 'v') ADVANCE(771);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(anon_sym_BSLASHli);
      if (lookahead == 'k') ADVANCE(83);
      if (lookahead == 'm') ADVANCE(769);
      if (lookahead == 't') ADVANCE(87);
      if (lookahead == 'v') ADVANCE(771);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(anon_sym_BSLASHli);
      if (lookahead == 'm') ADVANCE(769);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(anon_sym_BSLASHli);
      if (lookahead == 'm') ADVANCE(769);
      if (lookahead == 't') ADVANCE(85);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(anon_sym_BSLASHlim);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(anon_sym_BSLASHliv);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(anon_sym_BSLASHlik);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(anon_sym_BSLASHlik_STAR);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(anon_sym_BSLASHlitl);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(anon_sym_BSLASHlitl_STAR);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(anon_sym_BSLASHtr);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym_thTag);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym_thTag);
      if (lookahead == '-') ADVANCE(564);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym_thTag);
      if (lookahead == 'r') ADVANCE(782);
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(778);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym_thrTag);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym_thrTag);
      if (lookahead == '-') ADVANCE(566);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym_thrTag);
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(781);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym_tcTag);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym_tcTag);
      if (lookahead == '-') ADVANCE(563);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym_tcTag);
      if (lookahead == 'r') ADVANCE(788);
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(784);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym_tcrTag);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym_tcrTag);
      if (lookahead == '-') ADVANCE(565);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym_tcrTag);
      if (('1' <= lookahead && lookahead <= '5')) ADVANCE(787);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym_caller);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '\\') ADVANCE(789);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(anon_sym_BSLASHf);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(anon_sym_BSLASHf_STAR);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(anon_sym_BSLASHfe);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(anon_sym_BSLASHfe_STAR);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(anon_sym_BSLASHef);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(anon_sym_BSLASHef_STAR);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(anon_sym_BSLASHfr);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(anon_sym_BSLASHfr_STAR);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(anon_sym_BSLASHfq);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(anon_sym_BSLASHfq_STAR);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(anon_sym_BSLASHfqa);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(anon_sym_BSLASHfqa_STAR);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(anon_sym_BSLASHfk);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(anon_sym_BSLASHfk_STAR);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(anon_sym_BSLASHfl);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(anon_sym_BSLASHfl_STAR);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(anon_sym_BSLASHfw);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(anon_sym_BSLASHfw_STAR);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(anon_sym_BSLASHfp);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(anon_sym_BSLASHfp_STAR);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(anon_sym_BSLASHft);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(anon_sym_BSLASHft_STAR);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(anon_sym_BSLASHfdc);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(anon_sym_BSLASHfdc_STAR);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(anon_sym_BSLASHfv);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(anon_sym_BSLASHfv_STAR);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(anon_sym_BSLASHfm);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(anon_sym_BSLASHfm_STAR);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(anon_sym_BSLASHx);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(anon_sym_BSLASHx_STAR);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(anon_sym_BSLASHxo);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(anon_sym_BSLASHxo_STAR);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(anon_sym_BSLASHxk);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(anon_sym_BSLASHxk_STAR);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(anon_sym_BSLASHxq);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(anon_sym_BSLASHxq_STAR);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(anon_sym_BSLASHxt);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(anon_sym_BSLASHxt_STAR);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSxt);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSxt_STAR);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(anon_sym_BSLASHxta);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(anon_sym_BSLASHxta_STAR);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(anon_sym_BSLASHxop);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(anon_sym_BSLASHxop_STAR);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(anon_sym_BSLASHxot);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(anon_sym_BSLASHxot_STAR);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(anon_sym_BSLASHxnt);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(anon_sym_BSLASHxnt_STAR);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(anon_sym_BSLASHxdc);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(anon_sym_BSLASHxdc_STAR);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(anon_sym_BSLASHrq);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(anon_sym_BSLASHrq_STAR);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(anon_sym_BSLASHadd);
      if (lookahead == '*') ADVANCE(844);
      if (lookahead == 'p') ADVANCE(451);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(anon_sym_BSLASHadd);
      if (lookahead == 'p') ADVANCE(456);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(anon_sym_BSLASHadd_STAR);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(anon_sym_BSLASHbk);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(anon_sym_BSLASHbk);
      if (lookahead == '*') ADVANCE(847);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(anon_sym_BSLASHbk_STAR);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(anon_sym_BSLASHdc);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(anon_sym_BSLASHdc);
      if (lookahead == '*') ADVANCE(850);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(anon_sym_BSLASHdc_STAR);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(anon_sym_BSLASHk);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(anon_sym_BSLASHk);
      if (lookahead == '*') ADVANCE(854);
      if (lookahead == '-') ADVANCE(347);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(219);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(anon_sym_BSLASHk);
      if (lookahead == '-') ADVANCE(347);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(219);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(anon_sym_BSLASHk_STAR);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(anon_sym_BSLASHnd);
      if (lookahead == '*') ADVANCE(857);
      if (lookahead == 'x') ADVANCE(908);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(anon_sym_BSLASHnd);
      if (lookahead == 'x') ADVANCE(907);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(anon_sym_BSLASHnd_STAR);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(anon_sym_BSLASHord);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(anon_sym_BSLASHord);
      if (lookahead == '*') ADVANCE(860);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(anon_sym_BSLASHord_STAR);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(anon_sym_BSLASHpn);
      if (lookahead == '*') ADVANCE(863);
      if (lookahead == 'g') ADVANCE(865);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(anon_sym_BSLASHpn);
      if (lookahead == 'g') ADVANCE(864);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(anon_sym_BSLASHpn_STAR);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(anon_sym_BSLASHpng);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(anon_sym_BSLASHpng);
      if (lookahead == '*') ADVANCE(866);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(anon_sym_BSLASHpng_STAR);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(anon_sym_BSLASHaddpn);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(anon_sym_BSLASHaddpn);
      if (lookahead == '*') ADVANCE(869);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(anon_sym_BSLASHaddpn_STAR);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(anon_sym_BSLASHqt);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(anon_sym_BSLASHqt);
      if (lookahead == '*') ADVANCE(873);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(anon_sym_BSLASHqt);
      if (lookahead == '-') ADVANCE(347);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(219);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(anon_sym_BSLASHqt_STAR);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(anon_sym_BSLASHsig);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(anon_sym_BSLASHsig);
      if (lookahead == '*') ADVANCE(876);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(anon_sym_BSLASHsig_STAR);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(anon_sym_BSLASHsls);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(anon_sym_BSLASHsls);
      if (lookahead == '*') ADVANCE(879);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(anon_sym_BSLASHsls_STAR);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(anon_sym_BSLASHtl);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(anon_sym_BSLASHtl);
      if (lookahead == '*') ADVANCE(882);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(anon_sym_BSLASHtl_STAR);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(anon_sym_BSLASHwj);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(anon_sym_BSLASHwj);
      if (lookahead == '*') ADVANCE(885);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(anon_sym_BSLASHwj_STAR);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(anon_sym_BSLASHem);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(anon_sym_BSLASHem);
      if (lookahead == '*') ADVANCE(888);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(anon_sym_BSLASHem_STAR);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(anon_sym_BSLASHbd);
      if (lookahead == '*') ADVANCE(891);
      if (lookahead == 'i') ADVANCE(523);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(anon_sym_BSLASHbd);
      if (lookahead == 'i') ADVANCE(529);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(anon_sym_BSLASHbd_STAR);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(anon_sym_BSLASHit);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(anon_sym_BSLASHit);
      if (lookahead == '*') ADVANCE(894);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(anon_sym_BSLASHit_STAR);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(anon_sym_BSLASHbdit);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(anon_sym_BSLASHbdit);
      if (lookahead == '*') ADVANCE(897);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(anon_sym_BSLASHbdit_STAR);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(anon_sym_BSLASHno);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(anon_sym_BSLASHno);
      if (lookahead == '*') ADVANCE(900);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(anon_sym_BSLASHno_STAR);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(anon_sym_BSLASHsc);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(anon_sym_BSLASHsc);
      if (lookahead == '*') ADVANCE(903);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(anon_sym_BSLASHsc_STAR);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(anon_sym_BSLASHsup);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(anon_sym_BSLASHsup);
      if (lookahead == '*') ADVANCE(906);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(anon_sym_BSLASHsup_STAR);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(anon_sym_BSLASHndx);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(anon_sym_BSLASHndx);
      if (lookahead == '*') ADVANCE(909);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(anon_sym_BSLASHndx_STAR);
      END_STATE();
    case 910:
      ACCEPT_TOKEN(anon_sym_BSLASHpro);
      END_STATE();
    case 911:
      ACCEPT_TOKEN(anon_sym_BSLASHpro);
      if (lookahead == '*') ADVANCE(912);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(anon_sym_BSLASHpro_STAR);
      END_STATE();
    case 913:
      ACCEPT_TOKEN(anon_sym_BSLASHrb);
      END_STATE();
    case 914:
      ACCEPT_TOKEN(anon_sym_BSLASHrb);
      if (lookahead == '*') ADVANCE(915);
      END_STATE();
    case 915:
      ACCEPT_TOKEN(anon_sym_BSLASHrb_STAR);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(anon_sym_BSLASHw);
      if (lookahead == '*') ADVANCE(918);
      if (lookahead == 'a') ADVANCE(926);
      if (lookahead == 'g') ADVANCE(920);
      if (lookahead == 'h') ADVANCE(923);
      if (lookahead == 'j') ADVANCE(884);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(anon_sym_BSLASHw);
      if (lookahead == 'a') ADVANCE(925);
      if (lookahead == 'g') ADVANCE(919);
      if (lookahead == 'h') ADVANCE(922);
      if (lookahead == 'j') ADVANCE(883);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(anon_sym_BSLASHw_STAR);
      END_STATE();
    case 919:
      ACCEPT_TOKEN(anon_sym_BSLASHwg);
      END_STATE();
    case 920:
      ACCEPT_TOKEN(anon_sym_BSLASHwg);
      if (lookahead == '*') ADVANCE(921);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(anon_sym_BSLASHwg_STAR);
      END_STATE();
    case 922:
      ACCEPT_TOKEN(anon_sym_BSLASHwh);
      END_STATE();
    case 923:
      ACCEPT_TOKEN(anon_sym_BSLASHwh);
      if (lookahead == '*') ADVANCE(924);
      END_STATE();
    case 924:
      ACCEPT_TOKEN(anon_sym_BSLASHwh_STAR);
      END_STATE();
    case 925:
      ACCEPT_TOKEN(anon_sym_BSLASHwa);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(anon_sym_BSLASHwa);
      if (lookahead == '*') ADVANCE(927);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(anon_sym_BSLASHwa_STAR);
      END_STATE();
    case 928:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSadd);
      if (lookahead == '*') ADVANCE(930);
      if (lookahead == 'p') ADVANCE(452);
      END_STATE();
    case 929:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSadd);
      if (lookahead == 'p') ADVANCE(458);
      END_STATE();
    case 930:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSadd_STAR);
      END_STATE();
    case 931:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbk);
      END_STATE();
    case 932:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbk);
      if (lookahead == '*') ADVANCE(933);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbk_STAR);
      END_STATE();
    case 934:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSdc);
      END_STATE();
    case 935:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSdc);
      if (lookahead == '*') ADVANCE(936);
      END_STATE();
    case 936:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSdc_STAR);
      END_STATE();
    case 937:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSk);
      END_STATE();
    case 938:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSk);
      if (lookahead == '*') ADVANCE(939);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSk_STAR);
      END_STATE();
    case 940:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSnd);
      if (lookahead == '*') ADVANCE(942);
      if (lookahead == 'x') ADVANCE(992);
      END_STATE();
    case 941:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSnd);
      if (lookahead == 'x') ADVANCE(991);
      END_STATE();
    case 942:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSnd_STAR);
      END_STATE();
    case 943:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSord);
      END_STATE();
    case 944:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSord);
      if (lookahead == '*') ADVANCE(945);
      END_STATE();
    case 945:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSord_STAR);
      END_STATE();
    case 946:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpn);
      if (lookahead == '*') ADVANCE(948);
      if (lookahead == 'g') ADVANCE(950);
      END_STATE();
    case 947:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpn);
      if (lookahead == 'g') ADVANCE(949);
      END_STATE();
    case 948:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpn_STAR);
      END_STATE();
    case 949:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpng);
      END_STATE();
    case 950:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpng);
      if (lookahead == '*') ADVANCE(951);
      END_STATE();
    case 951:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpng_STAR);
      END_STATE();
    case 952:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSaddpn);
      END_STATE();
    case 953:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSaddpn);
      if (lookahead == '*') ADVANCE(954);
      END_STATE();
    case 954:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSaddpn_STAR);
      END_STATE();
    case 955:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSqt);
      END_STATE();
    case 956:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSqt);
      if (lookahead == '*') ADVANCE(957);
      END_STATE();
    case 957:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSqt_STAR);
      END_STATE();
    case 958:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsig);
      END_STATE();
    case 959:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsig);
      if (lookahead == '*') ADVANCE(960);
      END_STATE();
    case 960:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsig_STAR);
      END_STATE();
    case 961:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsls);
      END_STATE();
    case 962:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsls);
      if (lookahead == '*') ADVANCE(963);
      END_STATE();
    case 963:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsls_STAR);
      END_STATE();
    case 964:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUStl);
      END_STATE();
    case 965:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUStl);
      if (lookahead == '*') ADVANCE(966);
      END_STATE();
    case 966:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUStl_STAR);
      END_STATE();
    case 967:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwj);
      END_STATE();
    case 968:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwj);
      if (lookahead == '*') ADVANCE(969);
      END_STATE();
    case 969:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwj_STAR);
      END_STATE();
    case 970:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSem);
      END_STATE();
    case 971:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSem);
      if (lookahead == '*') ADVANCE(972);
      END_STATE();
    case 972:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSem_STAR);
      END_STATE();
    case 973:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbd);
      if (lookahead == '*') ADVANCE(975);
      if (lookahead == 'i') ADVANCE(524);
      END_STATE();
    case 974:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbd);
      if (lookahead == 'i') ADVANCE(532);
      END_STATE();
    case 975:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbd_STAR);
      END_STATE();
    case 976:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSit);
      END_STATE();
    case 977:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSit);
      if (lookahead == '*') ADVANCE(978);
      END_STATE();
    case 978:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSit_STAR);
      END_STATE();
    case 979:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbdit);
      END_STATE();
    case 980:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbdit);
      if (lookahead == '*') ADVANCE(981);
      END_STATE();
    case 981:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSbdit_STAR);
      END_STATE();
    case 982:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSno);
      END_STATE();
    case 983:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSno);
      if (lookahead == '*') ADVANCE(984);
      END_STATE();
    case 984:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSno_STAR);
      END_STATE();
    case 985:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsc);
      END_STATE();
    case 986:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsc);
      if (lookahead == '*') ADVANCE(987);
      END_STATE();
    case 987:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsc_STAR);
      END_STATE();
    case 988:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsup);
      END_STATE();
    case 989:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsup);
      if (lookahead == '*') ADVANCE(990);
      END_STATE();
    case 990:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSsup_STAR);
      END_STATE();
    case 991:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSndx);
      END_STATE();
    case 992:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSndx);
      if (lookahead == '*') ADVANCE(993);
      END_STATE();
    case 993:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSndx_STAR);
      END_STATE();
    case 994:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpro);
      END_STATE();
    case 995:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpro);
      if (lookahead == '*') ADVANCE(996);
      END_STATE();
    case 996:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSpro_STAR);
      END_STATE();
    case 997:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSrb);
      END_STATE();
    case 998:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSrb);
      if (lookahead == '*') ADVANCE(999);
      END_STATE();
    case 999:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSrb_STAR);
      END_STATE();
    case 1000:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSw);
      if (lookahead == '*') ADVANCE(1002);
      if (lookahead == 'a') ADVANCE(1010);
      if (lookahead == 'g') ADVANCE(1004);
      if (lookahead == 'h') ADVANCE(1007);
      if (lookahead == 'j') ADVANCE(968);
      END_STATE();
    case 1001:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSw);
      if (lookahead == 'a') ADVANCE(1009);
      if (lookahead == 'g') ADVANCE(1003);
      if (lookahead == 'h') ADVANCE(1006);
      if (lookahead == 'j') ADVANCE(967);
      END_STATE();
    case 1002:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSw_STAR);
      END_STATE();
    case 1003:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwg);
      END_STATE();
    case 1004:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwg);
      if (lookahead == '*') ADVANCE(1005);
      END_STATE();
    case 1005:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwg_STAR);
      END_STATE();
    case 1006:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwh);
      END_STATE();
    case 1007:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwh);
      if (lookahead == '*') ADVANCE(1008);
      END_STATE();
    case 1008:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwh_STAR);
      END_STATE();
    case 1009:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwa);
      END_STATE();
    case 1010:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwa);
      if (lookahead == '*') ADVANCE(1011);
      END_STATE();
    case 1011:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSwa_STAR);
      END_STATE();
    case 1012:
      ACCEPT_TOKEN(anon_sym_BSLASHfig);
      END_STATE();
    case 1013:
      ACCEPT_TOKEN(anon_sym_BSLASHfig_STAR);
      END_STATE();
    case 1014:
      ACCEPT_TOKEN(anon_sym_BSLASHjmp);
      END_STATE();
    case 1015:
      ACCEPT_TOKEN(anon_sym_BSLASHjmp_STAR);
      END_STATE();
    case 1016:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSjmp);
      END_STATE();
    case 1017:
      ACCEPT_TOKEN(anon_sym_BSLASH_PLUSjmp_STAR);
      END_STATE();
    case 1018:
      ACCEPT_TOKEN(anon_sym_BSLASHpb);
      END_STATE();
    case 1019:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1061,
        '+', 259,
        'a', 334,
        'b', 746,
        'c', 1,
        'd', 6,
        'e', 369,
        'f', 8,
        'h', 656,
        'i', 268,
        'j', 437,
        'k', 852,
        'l', 372,
        'm', 726,
        'n', 274,
        'o', 495,
        'p', 722,
        'q', 748,
        'r', 12,
        's', 713,
        't', 211,
        'u', 506,
        'v', 17,
        'w', 916,
        'x', 19,
        'z', 572,
      );
      END_STATE();
    case 1020:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1061,
        'a', 341,
        'b', 747,
        'c', 256,
        'd', 7,
        'e', 385,
        'f', 10,
        'i', 487,
        'j', 437,
        'k', 853,
        'l', 403,
        'm', 728,
        'n', 275,
        'o', 501,
        'p', 724,
        'q', 749,
        'r', 14,
        's', 715,
        't', 214,
        'v', 18,
        'w', 917,
        'x', 20,
        'z', 572,
      );
      END_STATE();
    case 1021:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1061,
        'a', 341,
        'b', 747,
        'c', 256,
        'd', 7,
        'e', 385,
        'f', 10,
        'i', 487,
        'j', 437,
        'k', 853,
        'l', 374,
        'm', 728,
        'n', 275,
        'o', 501,
        'p', 724,
        'q', 751,
        'r', 14,
        's', 715,
        't', 214,
        'v', 18,
        'w', 917,
        'x', 20,
        'z', 572,
      );
      END_STATE();
    case 1022:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1061,
        'a', 341,
        'b', 747,
        'c', 3,
        'd', 7,
        'e', 386,
        'f', 10,
        'i', 356,
        'j', 437,
        'k', 853,
        'l', 403,
        'm', 728,
        'n', 275,
        'o', 501,
        'p', 724,
        'q', 749,
        'r', 14,
        's', 715,
        't', 214,
        'v', 18,
        'w', 917,
        'x', 20,
        'z', 572,
      );
      END_STATE();
    case 1023:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1061,
        'a', 341,
        'b', 747,
        'c', 3,
        'd', 7,
        'e', 386,
        'f', 10,
        'i', 356,
        'j', 437,
        'k', 853,
        'l', 374,
        'm', 728,
        'n', 275,
        'o', 501,
        'p', 724,
        'q', 751,
        'r', 14,
        's', 715,
        't', 214,
        'v', 18,
        'w', 917,
        'x', 20,
        'z', 572,
      );
      END_STATE();
    case 1024:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1061,
        'a', 341,
        'b', 326,
        'd', 296,
        'e', 384,
        'f', 10,
        'i', 528,
        'j', 437,
        'k', 853,
        'l', 409,
        'n', 327,
        'o', 501,
        'p', 455,
        'q', 520,
        'r', 278,
        's', 297,
        't', 215,
        'v', 18,
        'w', 917,
        'x', 20,
        'z', 572,
      );
      END_STATE();
    case 1025:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1061,
        'a', 341,
        'b', 326,
        'd', 296,
        'e', 384,
        'f', 10,
        'i', 528,
        'j', 437,
        'k', 853,
        'l', 421,
        'n', 327,
        'o', 501,
        'p', 455,
        'q', 254,
        'r', 278,
        's', 297,
        't', 215,
        'v', 18,
        'w', 917,
        'x', 20,
        'z', 572,
      );
      END_STATE();
    case 1026:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1061,
        'b', 745,
        'c', 256,
        'd', 5,
        'e', 389,
        'f', 11,
        'i', 483,
        'k', 219,
        'l', 403,
        'm', 728,
        'n', 273,
        'p', 725,
        'q', 750,
        'r', 15,
        's', 716,
        't', 217,
        'z', 572,
      );
      END_STATE();
    case 1027:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1061,
        'b', 745,
        'c', 3,
        'd', 5,
        'e', 390,
        'f', 11,
        'i', 355,
        'k', 219,
        'l', 403,
        'm', 728,
        'n', 273,
        'p', 725,
        'q', 750,
        'r', 15,
        's', 716,
        't', 217,
        'z', 572,
      );
      END_STATE();
    case 1028:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1061,
        'b', 745,
        'c', 2,
        'd', 5,
        'e', 388,
        'f', 11,
        'i', 355,
        'k', 219,
        'l', 403,
        'm', 728,
        'n', 273,
        'p', 725,
        'q', 750,
        'r', 15,
        's', 716,
        't', 217,
        'z', 572,
      );
      END_STATE();
    case 1029:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1061,
        'c', 4,
        'e', 513,
        'h', 656,
        'i', 269,
        'k', 219,
        'l', 421,
        'm', 534,
        'q', 519,
        'r', 360,
        's', 537,
        't', 216,
        'u', 506,
        'z', 572,
      );
      END_STATE();
    case 1030:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '*', 1061,
        'c', 4,
        'e', 513,
        'i', 270,
        'k', 219,
        'l', 421,
        'q', 519,
        'r', 357,
        's', 537,
        't', 218,
        'z', 572,
      );
      END_STATE();
    case 1031:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '+', 259,
        'a', 334,
        'b', 746,
        'c', 256,
        'd', 6,
        'e', 370,
        'f', 9,
        'i', 484,
        'j', 437,
        'k', 853,
        'l', 372,
        'm', 727,
        'n', 274,
        'o', 495,
        'p', 723,
        'q', 751,
        'r', 14,
        's', 713,
        't', 214,
        'v', 18,
        'w', 916,
        'x', 19,
        'z', 574,
      );
      END_STATE();
    case 1032:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '+', 422,
        'c', 4,
        'e', 513,
        'f', 416,
        'i', 272,
        'j', 444,
        'k', 219,
        'l', 421,
        'q', 519,
        'r', 366,
        's', 537,
        't', 218,
        'v', 482,
        'z', 574,
      );
      END_STATE();
    case 1033:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '+', 265,
        'a', 341,
        'b', 747,
        'c', 256,
        'd', 7,
        'e', 371,
        'f', 9,
        'i', 485,
        'j', 437,
        'k', 853,
        'l', 374,
        'm', 728,
        'n', 275,
        'o', 501,
        'p', 724,
        'q', 751,
        'r', 14,
        's', 715,
        't', 214,
        'v', 18,
        'w', 917,
        'x', 19,
        'z', 574,
      );
      END_STATE();
    case 1034:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '+', 258,
        'a', 334,
        'b', 746,
        'c', 256,
        'd', 6,
        'e', 383,
        'f', 10,
        'i', 486,
        'j', 437,
        'k', 853,
        'l', 374,
        'm', 727,
        'n', 274,
        'o', 495,
        'p', 723,
        'q', 751,
        'r', 14,
        's', 713,
        't', 214,
        'v', 18,
        'w', 916,
        'x', 20,
        'z', 574,
      );
      END_STATE();
    case 1035:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '+', 260,
        'a', 334,
        'b', 746,
        'c', 256,
        'd', 6,
        'e', 370,
        'f', 9,
        'i', 484,
        'j', 437,
        'k', 853,
        'l', 374,
        'm', 727,
        'n', 274,
        'o', 495,
        'p', 723,
        'q', 751,
        'r', 14,
        's', 713,
        't', 214,
        'v', 18,
        'w', 916,
        'x', 20,
        'z', 574,
      );
      END_STATE();
    case 1036:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        '+', 266,
        'a', 341,
        'b', 747,
        'c', 256,
        'd', 7,
        'e', 371,
        'f', 9,
        'i', 485,
        'j', 437,
        'k', 853,
        'l', 372,
        'm', 727,
        'n', 275,
        'o', 501,
        'p', 724,
        'q', 751,
        'r', 14,
        's', 714,
        't', 214,
        'v', 18,
        'w', 917,
        'x', 20,
        'z', 574,
      );
      END_STATE();
    case 1037:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 341,
        'b', 747,
        'c', 256,
        'd', 7,
        'e', 385,
        'f', 10,
        'i', 485,
        'j', 437,
        'k', 853,
        'l', 374,
        'm', 727,
        'n', 275,
        'o', 501,
        'p', 724,
        'q', 751,
        'r', 14,
        's', 714,
        't', 214,
        'v', 18,
        'w', 917,
        'x', 20,
        'z', 574,
      );
      END_STATE();
    case 1038:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 341,
        'b', 747,
        'c', 256,
        'd', 7,
        'e', 385,
        'f', 10,
        'i', 487,
        'j', 437,
        'k', 853,
        'l', 372,
        'm', 728,
        'n', 275,
        'o', 501,
        'p', 724,
        'q', 751,
        'r', 14,
        's', 715,
        't', 214,
        'v', 18,
        'w', 917,
        'x', 20,
        'z', 574,
      );
      END_STATE();
    case 1039:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 341,
        'b', 747,
        'c', 256,
        'd', 7,
        'e', 385,
        'f', 10,
        'i', 487,
        'j', 437,
        'k', 853,
        'l', 403,
        'm', 728,
        'n', 275,
        'o', 501,
        'p', 724,
        'q', 751,
        'r', 13,
        's', 715,
        't', 212,
        'w', 917,
        'z', 574,
      );
      END_STATE();
    case 1040:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 341,
        'b', 747,
        'c', 256,
        'd', 7,
        'e', 385,
        'f', 10,
        'i', 487,
        'j', 437,
        'k', 853,
        'l', 403,
        'm', 728,
        'n', 275,
        'o', 501,
        'p', 724,
        'q', 749,
        'r', 14,
        's', 715,
        't', 214,
        'v', 18,
        'w', 917,
        'x', 20,
        'z', 574,
      );
      END_STATE();
    case 1041:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 341,
        'b', 747,
        'c', 3,
        'd', 7,
        'e', 386,
        'f', 10,
        'i', 346,
        'j', 437,
        'k', 853,
        'l', 374,
        'm', 727,
        'n', 275,
        'o', 501,
        'p', 724,
        'q', 751,
        'r', 14,
        's', 714,
        't', 214,
        'v', 18,
        'w', 917,
        'x', 20,
        'z', 574,
      );
      END_STATE();
    case 1042:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 341,
        'b', 747,
        'c', 3,
        'd', 7,
        'e', 386,
        'f', 10,
        'i', 356,
        'j', 437,
        'k', 853,
        'l', 403,
        'm', 728,
        'n', 275,
        'o', 501,
        'p', 724,
        'q', 751,
        'r', 13,
        's', 715,
        't', 212,
        'w', 917,
        'z', 574,
      );
      END_STATE();
    case 1043:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 341,
        'b', 747,
        'c', 3,
        'd', 7,
        'e', 386,
        'f', 10,
        'i', 356,
        'j', 437,
        'k', 853,
        'l', 403,
        'm', 728,
        'n', 275,
        'o', 501,
        'p', 724,
        'q', 749,
        'r', 14,
        's', 715,
        't', 214,
        'v', 18,
        'w', 917,
        'x', 20,
        'z', 574,
      );
      END_STATE();
    case 1044:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 341,
        'b', 326,
        'c', 4,
        'd', 296,
        'e', 386,
        'f', 10,
        'i', 271,
        'j', 437,
        'k', 853,
        'l', 409,
        'n', 327,
        'o', 501,
        'p', 455,
        'q', 520,
        'r', 278,
        's', 297,
        't', 215,
        'v', 18,
        'w', 917,
        'x', 20,
        'z', 574,
      );
      END_STATE();
    case 1045:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'a', 341,
        'b', 326,
        'd', 296,
        'e', 384,
        'f', 10,
        'i', 528,
        'j', 437,
        'k', 853,
        'l', 421,
        'n', 327,
        'o', 501,
        'p', 455,
        'q', 254,
        'r', 278,
        's', 297,
        't', 215,
        'v', 18,
        'w', 917,
        'x', 20,
        'z', 574,
      );
      END_STATE();
    case 1046:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 745,
        'c', 256,
        'd', 5,
        'e', 389,
        'f', 11,
        'i', 483,
        'k', 219,
        'l', 403,
        'm', 728,
        'n', 273,
        'p', 725,
        'q', 750,
        'r', 16,
        's', 716,
        't', 217,
        'x', 20,
        'z', 574,
      );
      END_STATE();
    case 1047:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 745,
        'c', 256,
        'd', 5,
        'e', 389,
        'f', 11,
        'i', 483,
        'k', 219,
        'l', 403,
        'm', 728,
        'n', 273,
        'p', 725,
        'q', 750,
        'r', 15,
        's', 716,
        't', 217,
        'x', 125,
        'z', 574,
      );
      END_STATE();
    case 1048:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 745,
        'c', 256,
        'd', 5,
        'e', 389,
        'f', 11,
        'i', 483,
        'k', 219,
        'l', 403,
        'm', 728,
        'n', 273,
        'p', 725,
        'q', 750,
        'r', 15,
        's', 716,
        't', 213,
        'z', 574,
      );
      END_STATE();
    case 1049:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 745,
        'c', 256,
        'd', 5,
        'e', 389,
        'f', 11,
        'i', 483,
        'k', 219,
        'l', 373,
        'm', 728,
        'n', 273,
        'p', 725,
        'q', 750,
        'r', 15,
        's', 716,
        't', 217,
        'z', 574,
      );
      END_STATE();
    case 1050:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 745,
        'c', 3,
        'd', 5,
        'e', 390,
        'f', 11,
        'i', 355,
        'k', 219,
        'l', 403,
        'm', 728,
        'n', 273,
        'p', 725,
        'q', 750,
        'r', 16,
        's', 716,
        't', 217,
        'x', 20,
        'z', 574,
      );
      END_STATE();
    case 1051:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 745,
        'c', 3,
        'd', 5,
        'e', 390,
        'f', 11,
        'i', 355,
        'k', 219,
        'l', 403,
        'm', 728,
        'n', 273,
        'p', 725,
        'q', 750,
        'r', 15,
        's', 716,
        't', 213,
        'z', 574,
      );
      END_STATE();
    case 1052:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 745,
        'c', 3,
        'd', 5,
        'e', 390,
        'f', 11,
        'i', 355,
        'k', 219,
        'l', 373,
        'm', 728,
        'n', 273,
        'p', 725,
        'q', 750,
        'r', 15,
        's', 716,
        't', 217,
        'z', 574,
      );
      END_STATE();
    case 1053:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 745,
        'c', 2,
        'd', 5,
        'e', 388,
        'f', 11,
        'i', 355,
        'k', 219,
        'l', 403,
        'm', 728,
        'n', 273,
        'p', 725,
        'q', 750,
        'r', 15,
        's', 716,
        't', 217,
        'z', 574,
      );
      END_STATE();
    case 1054:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'b', 745,
        'c', 2,
        'd', 5,
        'e', 388,
        'f', 11,
        'i', 355,
        'k', 219,
        'l', 403,
        'm', 728,
        'n', 273,
        'p', 725,
        'q', 750,
        'r', 15,
        's', 716,
        't', 213,
        'z', 574,
      );
      END_STATE();
    case 1055:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'c', 4,
        'e', 390,
        'f', 11,
        'i', 270,
        'k', 219,
        'l', 421,
        'm', 534,
        'q', 519,
        'r', 358,
        's', 537,
        't', 218,
        'x', 20,
        'z', 574,
      );
      END_STATE();
    case 1056:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'c', 4,
        'e', 513,
        'h', 656,
        'i', 269,
        'k', 219,
        'l', 421,
        'm', 534,
        'q', 519,
        'r', 360,
        's', 537,
        't', 216,
        'u', 506,
        'z', 574,
      );
      END_STATE();
    case 1057:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        'c', 4,
        'e', 513,
        'i', 270,
        'k', 219,
        'l', 421,
        'm', 534,
        'q', 519,
        'r', 357,
        's', 537,
        't', 218,
        'z', 574,
      );
      END_STATE();
    case 1058:
      ACCEPT_TOKEN(aux_sym_milestoneTag_token1);
      END_STATE();
    case 1059:
      ACCEPT_TOKEN(aux_sym_milestoneTag_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(609);
      END_STATE();
    case 1060:
      ACCEPT_TOKEN(aux_sym_milestoneTag_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1061:
      ACCEPT_TOKEN(anon_sym_BSLASH_STAR);
      END_STATE();
    case 1062:
      ACCEPT_TOKEN(sym_milestoneStartTag);
      END_STATE();
    case 1063:
      ACCEPT_TOKEN(sym_milestoneEndTag);
      END_STATE();
    case 1064:
      ACCEPT_TOKEN(sym_zSpaceTag);
      if (lookahead == '*') ADVANCE(1066);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1064);
      END_STATE();
    case 1065:
      ACCEPT_TOKEN(sym_zSpaceTag);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1065);
      END_STATE();
    case 1066:
      ACCEPT_TOKEN(sym__zSpaceClose);
      END_STATE();
    case 1067:
      ACCEPT_TOKEN(anon_sym_BSLASHesb);
      END_STATE();
    case 1068:
      ACCEPT_TOKEN(anon_sym_BSLASHesb);
      if (lookahead == 'e') ADVANCE(1069);
      END_STATE();
    case 1069:
      ACCEPT_TOKEN(anon_sym_BSLASHesbe);
      END_STATE();
    case 1070:
      ACCEPT_TOKEN(sym_category);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1070);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      END_STATE();
    case 1071:
      ACCEPT_TOKEN(sym_category);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1071);
      END_STATE();
    case 1072:
      ACCEPT_TOKEN(anon_sym_BSLASHcat);
      END_STATE();
    case 1073:
      ACCEPT_TOKEN(anon_sym_BSLASHcat);
      if (lookahead == '*') ADVANCE(1074);
      END_STATE();
    case 1074:
      ACCEPT_TOKEN(anon_sym_BSLASHcat_STAR);
      END_STATE();
    case 1075:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 1076:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 1077:
      ACCEPT_TOKEN(sym_customAttributeName);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1077);
      END_STATE();
    case 1078:
      ACCEPT_TOKEN(sym_customAttributeName);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1078);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1079:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == '-') ADVANCE(1186);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1080:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == '-') ADVANCE(1107);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1081:
      ACCEPT_TOKEN(sym_attributeValue);
      ADVANCE_MAP(
        'a', 1116,
        'c', 1126,
        'h', 1135,
        'i', 1087,
        'l', 1108,
        'r', 1091,
        's', 1110,
        't', 1111,
        'x', 1079,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1081);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1082:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'a') ADVANCE(1152);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1083:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'c') ADVANCE(1241);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1084:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'c') ADVANCE(1235);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1085:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'c') ADVANCE(1158);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1086:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'c') ADVANCE(1117);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1087:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'd') ADVANCE(1181);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1088:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'd') ADVANCE(1169);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1089:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'd') ADVANCE(1253);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1090:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'd') ADVANCE(1250);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1091:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'e') ADVANCE(1099);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1092:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'e') ADVANCE(1238);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1093:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'e') ADVANCE(1177);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1094:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'e') ADVANCE(1166);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1095:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'e') ADVANCE(1123);
      if (lookahead == 'i') ADVANCE(1124);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1096:
      ACCEPT_TOKEN(sym_attributeValue);
      ADVANCE_MAP(
        'e', 1112,
        'h', 1135,
        'i', 1087,
        'l', 1109,
        's', 1113,
        't', 1111,
        'w', 1106,
        'x', 1079,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1096);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1097:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'e') ADVANCE(1100);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1098:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'e') ADVANCE(1101);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1099:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'f') ADVANCE(1247);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1100:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'f') ADVANCE(1173);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1101:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'f') ADVANCE(1163);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1102:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'g') ADVANCE(1155);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1103:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'g') ADVANCE(1120);
      if (lookahead == 'h') ADVANCE(1135);
      if (lookahead == 'i') ADVANCE(1087);
      if (lookahead == 'l') ADVANCE(1109);
      if (lookahead == 't') ADVANCE(1111);
      if (lookahead == 'x') ADVANCE(1079);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1103);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1104:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'h') ADVANCE(1135);
      if (lookahead == 'i') ADVANCE(1087);
      if (lookahead == 'l') ADVANCE(1095);
      if (lookahead == 's') ADVANCE(1134);
      if (lookahead == 't') ADVANCE(1111);
      if (lookahead == 'x') ADVANCE(1079);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1104);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1105:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'h') ADVANCE(1135);
      if (lookahead == 'i') ADVANCE(1087);
      if (lookahead == 'l') ADVANCE(1109);
      if (lookahead == 't') ADVANCE(1111);
      if (lookahead == 'x') ADVANCE(1079);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1105);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1106:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'h') ADVANCE(1128);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1107:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'h') ADVANCE(1136);
      if (lookahead == 'i') ADVANCE(1088);
      if (lookahead == 't') ADVANCE(1114);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1108:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'i') ADVANCE(1124);
      if (lookahead == 'o') ADVANCE(1083);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1109:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'i') ADVANCE(1124);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1110:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'i') ADVANCE(1143);
      if (lookahead == 'r') ADVANCE(1084);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1111:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'i') ADVANCE(1140);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1112:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'i') ADVANCE(1089);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1113:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'i') ADVANCE(1090);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1114:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'i') ADVANCE(1141);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1115:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'k') ADVANCE(1080);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1116:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'l') ADVANCE(1139);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1117:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'l') ADVANCE(1131);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1118:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'l') ADVANCE(1093);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1119:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'l') ADVANCE(1094);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1120:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'l') ADVANCE(1129);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1121:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'l') ADVANCE(1127);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1121);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1122:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'm') ADVANCE(1082);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1123:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'm') ADVANCE(1122);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1124:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'n') ADVANCE(1115);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1125:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'n') ADVANCE(1102);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1126:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'o') ADVANCE(1132);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1127:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'o') ADVANCE(1083);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1128:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'o') ADVANCE(1256);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1129:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'o') ADVANCE(1138);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1130:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'o') ADVANCE(1125);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1131:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'o') ADVANCE(1085);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1132:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'p') ADVANCE(1142);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1133:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'r') ADVANCE(1130);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1134:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'r') ADVANCE(1086);
      if (lookahead == 't') ADVANCE(1133);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1135:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'r') ADVANCE(1097);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1136:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'r') ADVANCE(1098);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1137:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 's') ADVANCE(1161);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1138:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 's') ADVANCE(1137);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1139:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 't') ADVANCE(1231);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1140:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 't') ADVANCE(1118);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1141:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 't') ADVANCE(1119);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1142:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'y') ADVANCE(1244);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1143:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead == 'z') ADVANCE(1092);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1144:
      ACCEPT_TOKEN(sym_attributeValue);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1144);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1145:
      ACCEPT_TOKEN(sym_attributeValue);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1146:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 1147:
      ACCEPT_TOKEN(anon_sym_key);
      END_STATE();
    case 1148:
      ACCEPT_TOKEN(anon_sym_key);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1149:
      ACCEPT_TOKEN(anon_sym_key);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 1150:
      ACCEPT_TOKEN(anon_sym_lemma);
      END_STATE();
    case 1151:
      ACCEPT_TOKEN(anon_sym_lemma);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1152:
      ACCEPT_TOKEN(anon_sym_lemma);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1153:
      ACCEPT_TOKEN(anon_sym_strong);
      END_STATE();
    case 1154:
      ACCEPT_TOKEN(anon_sym_strong);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1155:
      ACCEPT_TOKEN(anon_sym_strong);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1156:
      ACCEPT_TOKEN(anon_sym_srcloc);
      END_STATE();
    case 1157:
      ACCEPT_TOKEN(anon_sym_srcloc);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1158:
      ACCEPT_TOKEN(anon_sym_srcloc);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1159:
      ACCEPT_TOKEN(anon_sym_gloss);
      END_STATE();
    case 1160:
      ACCEPT_TOKEN(anon_sym_gloss);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1161:
      ACCEPT_TOKEN(anon_sym_gloss);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1162:
      ACCEPT_TOKEN(anon_sym_link_DASHhref);
      END_STATE();
    case 1163:
      ACCEPT_TOKEN(anon_sym_link_DASHhref);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1164:
      ACCEPT_TOKEN(anon_sym_link_DASHhref);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 1165:
      ACCEPT_TOKEN(anon_sym_link_DASHtitle);
      END_STATE();
    case 1166:
      ACCEPT_TOKEN(anon_sym_link_DASHtitle);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1167:
      ACCEPT_TOKEN(anon_sym_link_DASHtitle);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 1168:
      ACCEPT_TOKEN(anon_sym_link_DASHid);
      END_STATE();
    case 1169:
      ACCEPT_TOKEN(anon_sym_link_DASHid);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1170:
      ACCEPT_TOKEN(anon_sym_link_DASHid);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 1171:
      ACCEPT_TOKEN(anon_sym_href);
      END_STATE();
    case 1172:
      ACCEPT_TOKEN(anon_sym_href);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1173:
      ACCEPT_TOKEN(anon_sym_href);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1174:
      ACCEPT_TOKEN(anon_sym_href);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 1175:
      ACCEPT_TOKEN(anon_sym_title);
      END_STATE();
    case 1176:
      ACCEPT_TOKEN(anon_sym_title);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1177:
      ACCEPT_TOKEN(anon_sym_title);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1178:
      ACCEPT_TOKEN(anon_sym_title);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 1179:
      ACCEPT_TOKEN(anon_sym_id);
      END_STATE();
    case 1180:
      ACCEPT_TOKEN(anon_sym_id);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(609);
      END_STATE();
    case 1181:
      ACCEPT_TOKEN(anon_sym_id);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1182:
      ACCEPT_TOKEN(anon_sym_id);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 1183:
      ACCEPT_TOKEN(anon_sym_x_DASH);
      END_STATE();
    case 1184:
      ACCEPT_TOKEN(anon_sym_x_DASH);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1077);
      END_STATE();
    case 1185:
      ACCEPT_TOKEN(anon_sym_x_DASH);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(637);
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(638);
      END_STATE();
    case 1186:
      ACCEPT_TOKEN(anon_sym_x_DASH);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1078);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1187:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == '-') ADVANCE(1184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 1188:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == '-') ADVANCE(404);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1189:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'a') ADVANCE(1151);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1190:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'c') ADVANCE(1240);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(609);
      END_STATE();
    case 1191:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'c') ADVANCE(1233);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(609);
      END_STATE();
    case 1192:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'c') ADVANCE(1157);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1193:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'd') ADVANCE(1180);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 1194:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'd') ADVANCE(1252);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(609);
      END_STATE();
    case 1195:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'd') ADVANCE(1249);
      if (lookahead == 'z') ADVANCE(601);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'y')) ADVANCE(609);
      END_STATE();
    case 1196:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'e') ADVANCE(1224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 1197:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'e') ADVANCE(1210);
      if (lookahead == 'i') ADVANCE(1211);
      if (lookahead == 'o') ADVANCE(1190);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 1198:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'e') ADVANCE(1201);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 1199:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'e') ADVANCE(602);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(609);
      END_STATE();
    case 1200:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'e') ADVANCE(1176);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1201:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'f') ADVANCE(1246);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(609);
      END_STATE();
    case 1202:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'g') ADVANCE(1154);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1203:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'h') ADVANCE(1215);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 1204:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'i') ADVANCE(1195);
      if (lookahead == 'r') ADVANCE(1191);
      if (lookahead == 't') ADVANCE(1218);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 1205:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'i') ADVANCE(1194);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 1206:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'i') ADVANCE(1223);
      if (lookahead == 's') ADVANCE(1059);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 1207:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'i') ADVANCE(1223);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 1208:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'l') ADVANCE(1214);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 1209:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'l') ADVANCE(1222);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 1210:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'm') ADVANCE(605);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(609);
      END_STATE();
    case 1211:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'n') ADVANCE(603);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(609);
      END_STATE();
    case 1212:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'n') ADVANCE(1202);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1213:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'o') ADVANCE(1217);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 1214:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'o') ADVANCE(607);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(609);
      END_STATE();
    case 1215:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'o') ADVANCE(1255);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(609);
      END_STATE();
    case 1216:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'o') ADVANCE(1192);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1217:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'p') ADVANCE(608);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(609);
      END_STATE();
    case 1218:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'r') ADVANCE(606);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(609);
      END_STATE();
    case 1219:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'r') ADVANCE(1199);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 1220:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 's') ADVANCE(1160);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1221:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 't') ADVANCE(1225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 1222:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 't') ADVANCE(1230);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(609);
      END_STATE();
    case 1223:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 't') ADVANCE(604);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(609);
      END_STATE();
    case 1224:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'y') ADVANCE(1148);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(609);
      END_STATE();
    case 1225:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (lookahead == 'e' ||
          lookahead == 's') ADVANCE(1060);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(609);
      END_STATE();
    case 1226:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(609);
      END_STATE();
    case 1227:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 1228:
      ACCEPT_TOKEN(aux_sym__linkAttributeUserDefinedName_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1229:
      ACCEPT_TOKEN(anon_sym_alt);
      END_STATE();
    case 1230:
      ACCEPT_TOKEN(anon_sym_alt);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1231:
      ACCEPT_TOKEN(anon_sym_alt);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1232:
      ACCEPT_TOKEN(anon_sym_src);
      END_STATE();
    case 1233:
      ACCEPT_TOKEN(anon_sym_src);
      if (lookahead == 'l') ADVANCE(1216);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1234:
      ACCEPT_TOKEN(anon_sym_src);
      if (lookahead == 'l') ADVANCE(472);
      END_STATE();
    case 1235:
      ACCEPT_TOKEN(anon_sym_src);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1236:
      ACCEPT_TOKEN(anon_sym_size);
      END_STATE();
    case 1237:
      ACCEPT_TOKEN(anon_sym_size);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1238:
      ACCEPT_TOKEN(anon_sym_size);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1239:
      ACCEPT_TOKEN(anon_sym_loc);
      END_STATE();
    case 1240:
      ACCEPT_TOKEN(anon_sym_loc);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1241:
      ACCEPT_TOKEN(anon_sym_loc);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1242:
      ACCEPT_TOKEN(anon_sym_copy);
      END_STATE();
    case 1243:
      ACCEPT_TOKEN(anon_sym_copy);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1244:
      ACCEPT_TOKEN(anon_sym_copy);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1245:
      ACCEPT_TOKEN(anon_sym_ref);
      END_STATE();
    case 1246:
      ACCEPT_TOKEN(anon_sym_ref);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1247:
      ACCEPT_TOKEN(anon_sym_ref);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1248:
      ACCEPT_TOKEN(anon_sym_sid);
      END_STATE();
    case 1249:
      ACCEPT_TOKEN(anon_sym_sid);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1250:
      ACCEPT_TOKEN(anon_sym_sid);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1251:
      ACCEPT_TOKEN(anon_sym_eid);
      END_STATE();
    case 1252:
      ACCEPT_TOKEN(anon_sym_eid);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1253:
      ACCEPT_TOKEN(anon_sym_eid);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    case 1254:
      ACCEPT_TOKEN(anon_sym_who);
      END_STATE();
    case 1255:
      ACCEPT_TOKEN(anon_sym_who);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1228);
      END_STATE();
    case 1256:
      ACCEPT_TOKEN(anon_sym_who);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '=' &&
          lookahead != '\\' &&
          lookahead != '|') ADVANCE(1145);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 222},
  [2] = {.lex_state = 224},
  [3] = {.lex_state = 224},
  [4] = {.lex_state = 224},
  [5] = {.lex_state = 224},
  [6] = {.lex_state = 234},
  [7] = {.lex_state = 234},
  [8] = {.lex_state = 241},
  [9] = {.lex_state = 241},
  [10] = {.lex_state = 241},
  [11] = {.lex_state = 241},
  [12] = {.lex_state = 241},
  [13] = {.lex_state = 241},
  [14] = {.lex_state = 241},
  [15] = {.lex_state = 241},
  [16] = {.lex_state = 241},
  [17] = {.lex_state = 241},
  [18] = {.lex_state = 241},
  [19] = {.lex_state = 241},
  [20] = {.lex_state = 225},
  [21] = {.lex_state = 225},
  [22] = {.lex_state = 225},
  [23] = {.lex_state = 225},
  [24] = {.lex_state = 225},
  [25] = {.lex_state = 225},
  [26] = {.lex_state = 225},
  [27] = {.lex_state = 225},
  [28] = {.lex_state = 225},
  [29] = {.lex_state = 225},
  [30] = {.lex_state = 225},
  [31] = {.lex_state = 225},
  [32] = {.lex_state = 225},
  [33] = {.lex_state = 225},
  [34] = {.lex_state = 225},
  [35] = {.lex_state = 225},
  [36] = {.lex_state = 225},
  [37] = {.lex_state = 225},
  [38] = {.lex_state = 225},
  [39] = {.lex_state = 225},
  [40] = {.lex_state = 225},
  [41] = {.lex_state = 225},
  [42] = {.lex_state = 225},
  [43] = {.lex_state = 225},
  [44] = {.lex_state = 225},
  [45] = {.lex_state = 225},
  [46] = {.lex_state = 225},
  [47] = {.lex_state = 225},
  [48] = {.lex_state = 225},
  [49] = {.lex_state = 225},
  [50] = {.lex_state = 225},
  [51] = {.lex_state = 225},
  [52] = {.lex_state = 225},
  [53] = {.lex_state = 225},
  [54] = {.lex_state = 576},
  [55] = {.lex_state = 576},
  [56] = {.lex_state = 576},
  [57] = {.lex_state = 576},
  [58] = {.lex_state = 576},
  [59] = {.lex_state = 246},
  [60] = {.lex_state = 246},
  [61] = {.lex_state = 592},
  [62] = {.lex_state = 592},
  [63] = {.lex_state = 592},
  [64] = {.lex_state = 592},
  [65] = {.lex_state = 592},
  [66] = {.lex_state = 592},
  [67] = {.lex_state = 592},
  [68] = {.lex_state = 592},
  [69] = {.lex_state = 592},
  [70] = {.lex_state = 592},
  [71] = {.lex_state = 592},
  [72] = {.lex_state = 243},
  [73] = {.lex_state = 243},
  [74] = {.lex_state = 243},
  [75] = {.lex_state = 243},
  [76] = {.lex_state = 243},
  [77] = {.lex_state = 235},
  [78] = {.lex_state = 576},
  [79] = {.lex_state = 576},
  [80] = {.lex_state = 576},
  [81] = {.lex_state = 576},
  [82] = {.lex_state = 576},
  [83] = {.lex_state = 576},
  [84] = {.lex_state = 576},
  [85] = {.lex_state = 576},
  [86] = {.lex_state = 576},
  [87] = {.lex_state = 576},
  [88] = {.lex_state = 576},
  [89] = {.lex_state = 576},
  [90] = {.lex_state = 576},
  [91] = {.lex_state = 576},
  [92] = {.lex_state = 576},
  [93] = {.lex_state = 576},
  [94] = {.lex_state = 576},
  [95] = {.lex_state = 576},
  [96] = {.lex_state = 576},
  [97] = {.lex_state = 576},
  [98] = {.lex_state = 576},
  [99] = {.lex_state = 576},
  [100] = {.lex_state = 576},
  [101] = {.lex_state = 576},
  [102] = {.lex_state = 576},
  [103] = {.lex_state = 576},
  [104] = {.lex_state = 576},
  [105] = {.lex_state = 576},
  [106] = {.lex_state = 576},
  [107] = {.lex_state = 576},
  [108] = {.lex_state = 576},
  [109] = {.lex_state = 247},
  [110] = {.lex_state = 235},
  [111] = {.lex_state = 247},
  [112] = {.lex_state = 247},
  [113] = {.lex_state = 247},
  [114] = {.lex_state = 235},
  [115] = {.lex_state = 235},
  [116] = {.lex_state = 235},
  [117] = {.lex_state = 247},
  [118] = {.lex_state = 247},
  [119] = {.lex_state = 235},
  [120] = {.lex_state = 235},
  [121] = {.lex_state = 235},
  [122] = {.lex_state = 235},
  [123] = {.lex_state = 235},
  [124] = {.lex_state = 247},
  [125] = {.lex_state = 235},
  [126] = {.lex_state = 235},
  [127] = {.lex_state = 235},
  [128] = {.lex_state = 235},
  [129] = {.lex_state = 235},
  [130] = {.lex_state = 235},
  [131] = {.lex_state = 235},
  [132] = {.lex_state = 235},
  [133] = {.lex_state = 235},
  [134] = {.lex_state = 235},
  [135] = {.lex_state = 577},
  [136] = {.lex_state = 577},
  [137] = {.lex_state = 235},
  [138] = {.lex_state = 235},
  [139] = {.lex_state = 235},
  [140] = {.lex_state = 235},
  [141] = {.lex_state = 235},
  [142] = {.lex_state = 235},
  [143] = {.lex_state = 235},
  [144] = {.lex_state = 247},
  [145] = {.lex_state = 247},
  [146] = {.lex_state = 247},
  [147] = {.lex_state = 235},
  [148] = {.lex_state = 235},
  [149] = {.lex_state = 235},
  [150] = {.lex_state = 577},
  [151] = {.lex_state = 577},
  [152] = {.lex_state = 235},
  [153] = {.lex_state = 577},
  [154] = {.lex_state = 235},
  [155] = {.lex_state = 235},
  [156] = {.lex_state = 235},
  [157] = {.lex_state = 235},
  [158] = {.lex_state = 235},
  [159] = {.lex_state = 235},
  [160] = {.lex_state = 235},
  [161] = {.lex_state = 235},
  [162] = {.lex_state = 235},
  [163] = {.lex_state = 235},
  [164] = {.lex_state = 235},
  [165] = {.lex_state = 235},
  [166] = {.lex_state = 235},
  [167] = {.lex_state = 235},
  [168] = {.lex_state = 235},
  [169] = {.lex_state = 235},
  [170] = {.lex_state = 235},
  [171] = {.lex_state = 235},
  [172] = {.lex_state = 235},
  [173] = {.lex_state = 235},
  [174] = {.lex_state = 235},
  [175] = {.lex_state = 235},
  [176] = {.lex_state = 235},
  [177] = {.lex_state = 235},
  [178] = {.lex_state = 235},
  [179] = {.lex_state = 235},
  [180] = {.lex_state = 235},
  [181] = {.lex_state = 235},
  [182] = {.lex_state = 235},
  [183] = {.lex_state = 235},
  [184] = {.lex_state = 235},
  [185] = {.lex_state = 235},
  [186] = {.lex_state = 235},
  [187] = {.lex_state = 235},
  [188] = {.lex_state = 235},
  [189] = {.lex_state = 235},
  [190] = {.lex_state = 235},
  [191] = {.lex_state = 235},
  [192] = {.lex_state = 235},
  [193] = {.lex_state = 235},
  [194] = {.lex_state = 235},
  [195] = {.lex_state = 247},
  [196] = {.lex_state = 235},
  [197] = {.lex_state = 235},
  [198] = {.lex_state = 235},
  [199] = {.lex_state = 235},
  [200] = {.lex_state = 235},
  [201] = {.lex_state = 235},
  [202] = {.lex_state = 235},
  [203] = {.lex_state = 235},
  [204] = {.lex_state = 235},
  [205] = {.lex_state = 243},
  [206] = {.lex_state = 243},
  [207] = {.lex_state = 243},
  [208] = {.lex_state = 243},
  [209] = {.lex_state = 243},
  [210] = {.lex_state = 243},
  [211] = {.lex_state = 243},
  [212] = {.lex_state = 243},
  [213] = {.lex_state = 243},
  [214] = {.lex_state = 243},
  [215] = {.lex_state = 243},
  [216] = {.lex_state = 243},
  [217] = {.lex_state = 243},
  [218] = {.lex_state = 243},
  [219] = {.lex_state = 243},
  [220] = {.lex_state = 243},
  [221] = {.lex_state = 243},
  [222] = {.lex_state = 243},
  [223] = {.lex_state = 243},
  [224] = {.lex_state = 243},
  [225] = {.lex_state = 243},
  [226] = {.lex_state = 243},
  [227] = {.lex_state = 243},
  [228] = {.lex_state = 243},
  [229] = {.lex_state = 243},
  [230] = {.lex_state = 243},
  [231] = {.lex_state = 243},
  [232] = {.lex_state = 243},
  [233] = {.lex_state = 243},
  [234] = {.lex_state = 243},
  [235] = {.lex_state = 243},
  [236] = {.lex_state = 249},
  [237] = {.lex_state = 249},
  [238] = {.lex_state = 249},
  [239] = {.lex_state = 249},
  [240] = {.lex_state = 249},
  [241] = {.lex_state = 249},
  [242] = {.lex_state = 249},
  [243] = {.lex_state = 249},
  [244] = {.lex_state = 249},
  [245] = {.lex_state = 249},
  [246] = {.lex_state = 249},
  [247] = {.lex_state = 249},
  [248] = {.lex_state = 249},
  [249] = {.lex_state = 249},
  [250] = {.lex_state = 249},
  [251] = {.lex_state = 249},
  [252] = {.lex_state = 249},
  [253] = {.lex_state = 249},
  [254] = {.lex_state = 249},
  [255] = {.lex_state = 249},
  [256] = {.lex_state = 249},
  [257] = {.lex_state = 249},
  [258] = {.lex_state = 249},
  [259] = {.lex_state = 249},
  [260] = {.lex_state = 249},
  [261] = {.lex_state = 249},
  [262] = {.lex_state = 249},
  [263] = {.lex_state = 249},
  [264] = {.lex_state = 249},
  [265] = {.lex_state = 249},
  [266] = {.lex_state = 249},
  [267] = {.lex_state = 249},
  [268] = {.lex_state = 249},
  [269] = {.lex_state = 249},
  [270] = {.lex_state = 236},
  [271] = {.lex_state = 236},
  [272] = {.lex_state = 236},
  [273] = {.lex_state = 236},
  [274] = {.lex_state = 236},
  [275] = {.lex_state = 236},
  [276] = {.lex_state = 236},
  [277] = {.lex_state = 235},
  [278] = {.lex_state = 235},
  [279] = {.lex_state = 576},
  [280] = {.lex_state = 226},
  [281] = {.lex_state = 576},
  [282] = {.lex_state = 226},
  [283] = {.lex_state = 235},
  [284] = {.lex_state = 235},
  [285] = {.lex_state = 235},
  [286] = {.lex_state = 576},
  [287] = {.lex_state = 235},
  [288] = {.lex_state = 235},
  [289] = {.lex_state = 235},
  [290] = {.lex_state = 235},
  [291] = {.lex_state = 235},
  [292] = {.lex_state = 235},
  [293] = {.lex_state = 235},
  [294] = {.lex_state = 576},
  [295] = {.lex_state = 235},
  [296] = {.lex_state = 235},
  [297] = {.lex_state = 235},
  [298] = {.lex_state = 235},
  [299] = {.lex_state = 235},
  [300] = {.lex_state = 235},
  [301] = {.lex_state = 235},
  [302] = {.lex_state = 235},
  [303] = {.lex_state = 235},
  [304] = {.lex_state = 235},
  [305] = {.lex_state = 235},
  [306] = {.lex_state = 235},
  [307] = {.lex_state = 576},
  [308] = {.lex_state = 576},
  [309] = {.lex_state = 576},
  [310] = {.lex_state = 592},
  [311] = {.lex_state = 243},
  [312] = {.lex_state = 592},
  [313] = {.lex_state = 243},
  [314] = {.lex_state = 243},
  [315] = {.lex_state = 243},
  [316] = {.lex_state = 250},
  [317] = {.lex_state = 250},
  [318] = {.lex_state = 576},
  [319] = {.lex_state = 243},
  [320] = {.lex_state = 576},
  [321] = {.lex_state = 576},
  [322] = {.lex_state = 578},
  [323] = {.lex_state = 578},
  [324] = {.lex_state = 247},
  [325] = {.lex_state = 247},
  [326] = {.lex_state = 227},
  [327] = {.lex_state = 576},
  [328] = {.lex_state = 227},
  [329] = {.lex_state = 227},
  [330] = {.lex_state = 227},
  [331] = {.lex_state = 227},
  [332] = {.lex_state = 576},
  [333] = {.lex_state = 227},
  [334] = {.lex_state = 227},
  [335] = {.lex_state = 243},
  [336] = {.lex_state = 243},
  [337] = {.lex_state = 579},
  [338] = {.lex_state = 237},
  [339] = {.lex_state = 579},
  [340] = {.lex_state = 237},
  [341] = {.lex_state = 579},
  [342] = {.lex_state = 242},
  [343] = {.lex_state = 242},
  [344] = {.lex_state = 579},
  [345] = {.lex_state = 580},
  [346] = {.lex_state = 576},
  [347] = {.lex_state = 579},
  [348] = {.lex_state = 576},
  [349] = {.lex_state = 580},
  [350] = {.lex_state = 576},
  [351] = {.lex_state = 576},
  [352] = {.lex_state = 576},
  [353] = {.lex_state = 579},
  [354] = {.lex_state = 579},
  [355] = {.lex_state = 576},
  [356] = {.lex_state = 576},
  [357] = {.lex_state = 576},
  [358] = {.lex_state = 576},
  [359] = {.lex_state = 576},
  [360] = {.lex_state = 576},
  [361] = {.lex_state = 579},
  [362] = {.lex_state = 576},
  [363] = {.lex_state = 593},
  [364] = {.lex_state = 579},
  [365] = {.lex_state = 576},
  [366] = {.lex_state = 579},
  [367] = {.lex_state = 576},
  [368] = {.lex_state = 576},
  [369] = {.lex_state = 579},
  [370] = {.lex_state = 579},
  [371] = {.lex_state = 579},
  [372] = {.lex_state = 576},
  [373] = {.lex_state = 576},
  [374] = {.lex_state = 576},
  [375] = {.lex_state = 576},
  [376] = {.lex_state = 576},
  [377] = {.lex_state = 576},
  [378] = {.lex_state = 576},
  [379] = {.lex_state = 580},
  [380] = {.lex_state = 576},
  [381] = {.lex_state = 576},
  [382] = {.lex_state = 576},
  [383] = {.lex_state = 576},
  [384] = {.lex_state = 576},
  [385] = {.lex_state = 576},
  [386] = {.lex_state = 576},
  [387] = {.lex_state = 576},
  [388] = {.lex_state = 576},
  [389] = {.lex_state = 576},
  [390] = {.lex_state = 576},
  [391] = {.lex_state = 576},
  [392] = {.lex_state = 576},
  [393] = {.lex_state = 576},
  [394] = {.lex_state = 576},
  [395] = {.lex_state = 576},
  [396] = {.lex_state = 576},
  [397] = {.lex_state = 576},
  [398] = {.lex_state = 579},
  [399] = {.lex_state = 579},
  [400] = {.lex_state = 576},
  [401] = {.lex_state = 579},
  [402] = {.lex_state = 576},
  [403] = {.lex_state = 576},
  [404] = {.lex_state = 579},
  [405] = {.lex_state = 579},
  [406] = {.lex_state = 592},
  [407] = {.lex_state = 593},
  [408] = {.lex_state = 576},
  [409] = {.lex_state = 592},
  [410] = {.lex_state = 576},
  [411] = {.lex_state = 576},
  [412] = {.lex_state = 592},
  [413] = {.lex_state = 576},
  [414] = {.lex_state = 576},
  [415] = {.lex_state = 576},
  [416] = {.lex_state = 576},
  [417] = {.lex_state = 576},
  [418] = {.lex_state = 576},
  [419] = {.lex_state = 576},
  [420] = {.lex_state = 576},
  [421] = {.lex_state = 576},
  [422] = {.lex_state = 242},
  [423] = {.lex_state = 576},
  [424] = {.lex_state = 242},
  [425] = {.lex_state = 242},
  [426] = {.lex_state = 242},
  [427] = {.lex_state = 242},
  [428] = {.lex_state = 593},
  [429] = {.lex_state = 242},
  [430] = {.lex_state = 576},
  [431] = {.lex_state = 576},
  [432] = {.lex_state = 576},
  [433] = {.lex_state = 576},
  [434] = {.lex_state = 576},
  [435] = {.lex_state = 576},
  [436] = {.lex_state = 576},
  [437] = {.lex_state = 576},
  [438] = {.lex_state = 576},
  [439] = {.lex_state = 576},
  [440] = {.lex_state = 576},
  [441] = {.lex_state = 576},
  [442] = {.lex_state = 576},
  [443] = {.lex_state = 576},
  [444] = {.lex_state = 576},
  [445] = {.lex_state = 576},
  [446] = {.lex_state = 576},
  [447] = {.lex_state = 576},
  [448] = {.lex_state = 576},
  [449] = {.lex_state = 576},
  [450] = {.lex_state = 576},
  [451] = {.lex_state = 576},
  [452] = {.lex_state = 576},
  [453] = {.lex_state = 576},
  [454] = {.lex_state = 576},
  [455] = {.lex_state = 576},
  [456] = {.lex_state = 576},
  [457] = {.lex_state = 576},
  [458] = {.lex_state = 576},
  [459] = {.lex_state = 244},
  [460] = {.lex_state = 592},
  [461] = {.lex_state = 592},
  [462] = {.lex_state = 592},
  [463] = {.lex_state = 592},
  [464] = {.lex_state = 592},
  [465] = {.lex_state = 592},
  [466] = {.lex_state = 592},
  [467] = {.lex_state = 592},
  [468] = {.lex_state = 592},
  [469] = {.lex_state = 592},
  [470] = {.lex_state = 592},
  [471] = {.lex_state = 592},
  [472] = {.lex_state = 592},
  [473] = {.lex_state = 592},
  [474] = {.lex_state = 592},
  [475] = {.lex_state = 592},
  [476] = {.lex_state = 592},
  [477] = {.lex_state = 592},
  [478] = {.lex_state = 243},
  [479] = {.lex_state = 592},
  [480] = {.lex_state = 592},
  [481] = {.lex_state = 592},
  [482] = {.lex_state = 592},
  [483] = {.lex_state = 592},
  [484] = {.lex_state = 592},
  [485] = {.lex_state = 592},
  [486] = {.lex_state = 592},
  [487] = {.lex_state = 592},
  [488] = {.lex_state = 592},
  [489] = {.lex_state = 592},
  [490] = {.lex_state = 592},
  [491] = {.lex_state = 592},
  [492] = {.lex_state = 592},
  [493] = {.lex_state = 592},
  [494] = {.lex_state = 592},
  [495] = {.lex_state = 592},
  [496] = {.lex_state = 592},
  [497] = {.lex_state = 592},
  [498] = {.lex_state = 592},
  [499] = {.lex_state = 592},
  [500] = {.lex_state = 592},
  [501] = {.lex_state = 592},
  [502] = {.lex_state = 592},
  [503] = {.lex_state = 592},
  [504] = {.lex_state = 592},
  [505] = {.lex_state = 592},
  [506] = {.lex_state = 592},
  [507] = {.lex_state = 592},
  [508] = {.lex_state = 592},
  [509] = {.lex_state = 592},
  [510] = {.lex_state = 592},
  [511] = {.lex_state = 592},
  [512] = {.lex_state = 592},
  [513] = {.lex_state = 592},
  [514] = {.lex_state = 592},
  [515] = {.lex_state = 592},
  [516] = {.lex_state = 592},
  [517] = {.lex_state = 592},
  [518] = {.lex_state = 243},
  [519] = {.lex_state = 592},
  [520] = {.lex_state = 592},
  [521] = {.lex_state = 592},
  [522] = {.lex_state = 592},
  [523] = {.lex_state = 592},
  [524] = {.lex_state = 243},
  [525] = {.lex_state = 244},
  [526] = {.lex_state = 592},
  [527] = {.lex_state = 592},
  [528] = {.lex_state = 592},
  [529] = {.lex_state = 592},
  [530] = {.lex_state = 592},
  [531] = {.lex_state = 592},
  [532] = {.lex_state = 592},
  [533] = {.lex_state = 592},
  [534] = {.lex_state = 592},
  [535] = {.lex_state = 592},
  [536] = {.lex_state = 592},
  [537] = {.lex_state = 592},
  [538] = {.lex_state = 592},
  [539] = {.lex_state = 592},
  [540] = {.lex_state = 592},
  [541] = {.lex_state = 592},
  [542] = {.lex_state = 592},
  [543] = {.lex_state = 592},
  [544] = {.lex_state = 592},
  [545] = {.lex_state = 592},
  [546] = {.lex_state = 244},
  [547] = {.lex_state = 248},
  [548] = {.lex_state = 576},
  [549] = {.lex_state = 247},
  [550] = {.lex_state = 576},
  [551] = {.lex_state = 247},
  [552] = {.lex_state = 247},
  [553] = {.lex_state = 576},
  [554] = {.lex_state = 248},
  [555] = {.lex_state = 576},
  [556] = {.lex_state = 248},
  [557] = {.lex_state = 235},
  [558] = {.lex_state = 243},
  [559] = {.lex_state = 243},
  [560] = {.lex_state = 243},
  [561] = {.lex_state = 243},
  [562] = {.lex_state = 243},
  [563] = {.lex_state = 243},
  [564] = {.lex_state = 243},
  [565] = {.lex_state = 243},
  [566] = {.lex_state = 243},
  [567] = {.lex_state = 243},
  [568] = {.lex_state = 243},
  [569] = {.lex_state = 243},
  [570] = {.lex_state = 243},
  [571] = {.lex_state = 243},
  [572] = {.lex_state = 243},
  [573] = {.lex_state = 243},
  [574] = {.lex_state = 243},
  [575] = {.lex_state = 243},
  [576] = {.lex_state = 243},
  [577] = {.lex_state = 243},
  [578] = {.lex_state = 243},
  [579] = {.lex_state = 243},
  [580] = {.lex_state = 243},
  [581] = {.lex_state = 243},
  [582] = {.lex_state = 243},
  [583] = {.lex_state = 243},
  [584] = {.lex_state = 243},
  [585] = {.lex_state = 243},
  [586] = {.lex_state = 578},
  [587] = {.lex_state = 578},
  [588] = {.lex_state = 578},
  [589] = {.lex_state = 578},
  [590] = {.lex_state = 578},
  [591] = {.lex_state = 578},
  [592] = {.lex_state = 578},
  [593] = {.lex_state = 578},
  [594] = {.lex_state = 578},
  [595] = {.lex_state = 578},
  [596] = {.lex_state = 578},
  [597] = {.lex_state = 578},
  [598] = {.lex_state = 578},
  [599] = {.lex_state = 578},
  [600] = {.lex_state = 578},
  [601] = {.lex_state = 578},
  [602] = {.lex_state = 578},
  [603] = {.lex_state = 578},
  [604] = {.lex_state = 578},
  [605] = {.lex_state = 578},
  [606] = {.lex_state = 578},
  [607] = {.lex_state = 578},
  [608] = {.lex_state = 578},
  [609] = {.lex_state = 578},
  [610] = {.lex_state = 578},
  [611] = {.lex_state = 578},
  [612] = {.lex_state = 578},
  [613] = {.lex_state = 578},
  [614] = {.lex_state = 578},
  [615] = {.lex_state = 578},
  [616] = {.lex_state = 578},
  [617] = {.lex_state = 578},
  [618] = {.lex_state = 578},
  [619] = {.lex_state = 578},
  [620] = {.lex_state = 578},
  [621] = {.lex_state = 578},
  [622] = {.lex_state = 578},
  [623] = {.lex_state = 576},
  [624] = {.lex_state = 576},
  [625] = {.lex_state = 578},
  [626] = {.lex_state = 247},
  [627] = {.lex_state = 247},
  [628] = {.lex_state = 247},
  [629] = {.lex_state = 581},
  [630] = {.lex_state = 247},
  [631] = {.lex_state = 247},
  [632] = {.lex_state = 247},
  [633] = {.lex_state = 247},
  [634] = {.lex_state = 247},
  [635] = {.lex_state = 247},
  [636] = {.lex_state = 247},
  [637] = {.lex_state = 247},
  [638] = {.lex_state = 576},
  [639] = {.lex_state = 247},
  [640] = {.lex_state = 247},
  [641] = {.lex_state = 247},
  [642] = {.lex_state = 247},
  [643] = {.lex_state = 247},
  [644] = {.lex_state = 247},
  [645] = {.lex_state = 247},
  [646] = {.lex_state = 247},
  [647] = {.lex_state = 247},
  [648] = {.lex_state = 247},
  [649] = {.lex_state = 247},
  [650] = {.lex_state = 247},
  [651] = {.lex_state = 235},
  [652] = {.lex_state = 247},
  [653] = {.lex_state = 247},
  [654] = {.lex_state = 247},
  [655] = {.lex_state = 247},
  [656] = {.lex_state = 235},
  [657] = {.lex_state = 247},
  [658] = {.lex_state = 247},
  [659] = {.lex_state = 247},
  [660] = {.lex_state = 247},
  [661] = {.lex_state = 247},
  [662] = {.lex_state = 247},
  [663] = {.lex_state = 247},
  [664] = {.lex_state = 247},
  [665] = {.lex_state = 247},
  [666] = {.lex_state = 235},
  [667] = {.lex_state = 247},
  [668] = {.lex_state = 247},
  [669] = {.lex_state = 247},
  [670] = {.lex_state = 247},
  [671] = {.lex_state = 247},
  [672] = {.lex_state = 247},
  [673] = {.lex_state = 247},
  [674] = {.lex_state = 247},
  [675] = {.lex_state = 247},
  [676] = {.lex_state = 247},
  [677] = {.lex_state = 247},
  [678] = {.lex_state = 247},
  [679] = {.lex_state = 247},
  [680] = {.lex_state = 247},
  [681] = {.lex_state = 247},
  [682] = {.lex_state = 247},
  [683] = {.lex_state = 247},
  [684] = {.lex_state = 247},
  [685] = {.lex_state = 247},
  [686] = {.lex_state = 247},
  [687] = {.lex_state = 247},
  [688] = {.lex_state = 247},
  [689] = {.lex_state = 247},
  [690] = {.lex_state = 247},
  [691] = {.lex_state = 247},
  [692] = {.lex_state = 247},
  [693] = {.lex_state = 247},
  [694] = {.lex_state = 247},
  [695] = {.lex_state = 247},
  [696] = {.lex_state = 247},
  [697] = {.lex_state = 247},
  [698] = {.lex_state = 247},
  [699] = {.lex_state = 247},
  [700] = {.lex_state = 247},
  [701] = {.lex_state = 247},
  [702] = {.lex_state = 247},
  [703] = {.lex_state = 247},
  [704] = {.lex_state = 247},
  [705] = {.lex_state = 247},
  [706] = {.lex_state = 247},
  [707] = {.lex_state = 247},
  [708] = {.lex_state = 247},
  [709] = {.lex_state = 247},
  [710] = {.lex_state = 247},
  [711] = {.lex_state = 247},
  [712] = {.lex_state = 247},
  [713] = {.lex_state = 235},
  [714] = {.lex_state = 235},
  [715] = {.lex_state = 235},
  [716] = {.lex_state = 243},
  [717] = {.lex_state = 227},
  [718] = {.lex_state = 243},
  [719] = {.lex_state = 227},
  [720] = {.lex_state = 243},
  [721] = {.lex_state = 243},
  [722] = {.lex_state = 579},
  [723] = {.lex_state = 579},
  [724] = {.lex_state = 576},
  [725] = {.lex_state = 576},
  [726] = {.lex_state = 576},
  [727] = {.lex_state = 576},
  [728] = {.lex_state = 576},
  [729] = {.lex_state = 576},
  [730] = {.lex_state = 576},
  [731] = {.lex_state = 576},
  [732] = {.lex_state = 243},
  [733] = {.lex_state = 237},
  [734] = {.lex_state = 237},
  [735] = {.lex_state = 237},
  [736] = {.lex_state = 237},
  [737] = {.lex_state = 237},
  [738] = {.lex_state = 237},
  [739] = {.lex_state = 237},
  [740] = {.lex_state = 243},
  [741] = {.lex_state = 237},
  [742] = {.lex_state = 237},
  [743] = {.lex_state = 237},
  [744] = {.lex_state = 237},
  [745] = {.lex_state = 237},
  [746] = {.lex_state = 228},
  [747] = {.lex_state = 581},
  [748] = {.lex_state = 237},
  [749] = {.lex_state = 237},
  [750] = {.lex_state = 237},
  [751] = {.lex_state = 237},
  [752] = {.lex_state = 237},
  [753] = {.lex_state = 237},
  [754] = {.lex_state = 581},
  [755] = {.lex_state = 237},
  [756] = {.lex_state = 237},
  [757] = {.lex_state = 237},
  [758] = {.lex_state = 237},
  [759] = {.lex_state = 228},
  [760] = {.lex_state = 581},
  [761] = {.lex_state = 237},
  [762] = {.lex_state = 237},
  [763] = {.lex_state = 237},
  [764] = {.lex_state = 237},
  [765] = {.lex_state = 237},
  [766] = {.lex_state = 237},
  [767] = {.lex_state = 237},
  [768] = {.lex_state = 237},
  [769] = {.lex_state = 237},
  [770] = {.lex_state = 237},
  [771] = {.lex_state = 237},
  [772] = {.lex_state = 237},
  [773] = {.lex_state = 237},
  [774] = {.lex_state = 237},
  [775] = {.lex_state = 237},
  [776] = {.lex_state = 237},
  [777] = {.lex_state = 243},
  [778] = {.lex_state = 226},
  [779] = {.lex_state = 226},
  [780] = {.lex_state = 225},
  [781] = {.lex_state = 225},
  [782] = {.lex_state = 225},
  [783] = {.lex_state = 225},
  [784] = {.lex_state = 225},
  [785] = {.lex_state = 225},
  [786] = {.lex_state = 225},
  [787] = {.lex_state = 225},
  [788] = {.lex_state = 225},
  [789] = {.lex_state = 225},
  [790] = {.lex_state = 225},
  [791] = {.lex_state = 225},
  [792] = {.lex_state = 225},
  [793] = {.lex_state = 225},
  [794] = {.lex_state = 225},
  [795] = {.lex_state = 225},
  [796] = {.lex_state = 225},
  [797] = {.lex_state = 225},
  [798] = {.lex_state = 225},
  [799] = {.lex_state = 225},
  [800] = {.lex_state = 225},
  [801] = {.lex_state = 225},
  [802] = {.lex_state = 225},
  [803] = {.lex_state = 225},
  [804] = {.lex_state = 225},
  [805] = {.lex_state = 225},
  [806] = {.lex_state = 225},
  [807] = {.lex_state = 225},
  [808] = {.lex_state = 225},
  [809] = {.lex_state = 225},
  [810] = {.lex_state = 225},
  [811] = {.lex_state = 225},
  [812] = {.lex_state = 225},
  [813] = {.lex_state = 225},
  [814] = {.lex_state = 225},
  [815] = {.lex_state = 225},
  [816] = {.lex_state = 225},
  [817] = {.lex_state = 225},
  [818] = {.lex_state = 225},
  [819] = {.lex_state = 225},
  [820] = {.lex_state = 225},
  [821] = {.lex_state = 225},
  [822] = {.lex_state = 225},
  [823] = {.lex_state = 225},
  [824] = {.lex_state = 225},
  [825] = {.lex_state = 225},
  [826] = {.lex_state = 225},
  [827] = {.lex_state = 225},
  [828] = {.lex_state = 225},
  [829] = {.lex_state = 225},
  [830] = {.lex_state = 225},
  [831] = {.lex_state = 225},
  [832] = {.lex_state = 225},
  [833] = {.lex_state = 225},
  [834] = {.lex_state = 225},
  [835] = {.lex_state = 225},
  [836] = {.lex_state = 225},
  [837] = {.lex_state = 225},
  [838] = {.lex_state = 225},
  [839] = {.lex_state = 225},
  [840] = {.lex_state = 225},
  [841] = {.lex_state = 225},
  [842] = {.lex_state = 225},
  [843] = {.lex_state = 225},
  [844] = {.lex_state = 225},
  [845] = {.lex_state = 225},
  [846] = {.lex_state = 225},
  [847] = {.lex_state = 225},
  [848] = {.lex_state = 225},
  [849] = {.lex_state = 225},
  [850] = {.lex_state = 225},
  [851] = {.lex_state = 225},
  [852] = {.lex_state = 225},
  [853] = {.lex_state = 225},
  [854] = {.lex_state = 225},
  [855] = {.lex_state = 225},
  [856] = {.lex_state = 225},
  [857] = {.lex_state = 225},
  [858] = {.lex_state = 225},
  [859] = {.lex_state = 225},
  [860] = {.lex_state = 225},
  [861] = {.lex_state = 225},
  [862] = {.lex_state = 225},
  [863] = {.lex_state = 225},
  [864] = {.lex_state = 225},
  [865] = {.lex_state = 225},
  [866] = {.lex_state = 225},
  [867] = {.lex_state = 225},
  [868] = {.lex_state = 225},
  [869] = {.lex_state = 225},
  [870] = {.lex_state = 225},
  [871] = {.lex_state = 225},
  [872] = {.lex_state = 225},
  [873] = {.lex_state = 225},
  [874] = {.lex_state = 225},
  [875] = {.lex_state = 225},
  [876] = {.lex_state = 225},
  [877] = {.lex_state = 225},
  [878] = {.lex_state = 225},
  [879] = {.lex_state = 225},
  [880] = {.lex_state = 225},
  [881] = {.lex_state = 225},
  [882] = {.lex_state = 225},
  [883] = {.lex_state = 225},
  [884] = {.lex_state = 225},
  [885] = {.lex_state = 225},
  [886] = {.lex_state = 225},
  [887] = {.lex_state = 225},
  [888] = {.lex_state = 225},
  [889] = {.lex_state = 225},
  [890] = {.lex_state = 225},
  [891] = {.lex_state = 225},
  [892] = {.lex_state = 225},
  [893] = {.lex_state = 225},
  [894] = {.lex_state = 225},
  [895] = {.lex_state = 225},
  [896] = {.lex_state = 225},
  [897] = {.lex_state = 225},
  [898] = {.lex_state = 225},
  [899] = {.lex_state = 225},
  [900] = {.lex_state = 225},
  [901] = {.lex_state = 225},
  [902] = {.lex_state = 225},
  [903] = {.lex_state = 225},
  [904] = {.lex_state = 225},
  [905] = {.lex_state = 225},
  [906] = {.lex_state = 225},
  [907] = {.lex_state = 225},
  [908] = {.lex_state = 225},
  [909] = {.lex_state = 225},
  [910] = {.lex_state = 225},
  [911] = {.lex_state = 225},
  [912] = {.lex_state = 225},
  [913] = {.lex_state = 225},
  [914] = {.lex_state = 225},
  [915] = {.lex_state = 225},
  [916] = {.lex_state = 225},
  [917] = {.lex_state = 225},
  [918] = {.lex_state = 225},
  [919] = {.lex_state = 225},
  [920] = {.lex_state = 225},
  [921] = {.lex_state = 225},
  [922] = {.lex_state = 225},
  [923] = {.lex_state = 225},
  [924] = {.lex_state = 225},
  [925] = {.lex_state = 225},
  [926] = {.lex_state = 225},
  [927] = {.lex_state = 225},
  [928] = {.lex_state = 225},
  [929] = {.lex_state = 225},
  [930] = {.lex_state = 225},
  [931] = {.lex_state = 225},
  [932] = {.lex_state = 225},
  [933] = {.lex_state = 225},
  [934] = {.lex_state = 225},
  [935] = {.lex_state = 225},
  [936] = {.lex_state = 225},
  [937] = {.lex_state = 225},
  [938] = {.lex_state = 225},
  [939] = {.lex_state = 225},
  [940] = {.lex_state = 225},
  [941] = {.lex_state = 225},
  [942] = {.lex_state = 225},
  [943] = {.lex_state = 225},
  [944] = {.lex_state = 225},
  [945] = {.lex_state = 225},
  [946] = {.lex_state = 225},
  [947] = {.lex_state = 225},
  [948] = {.lex_state = 225},
  [949] = {.lex_state = 225},
  [950] = {.lex_state = 225},
  [951] = {.lex_state = 225},
  [952] = {.lex_state = 225},
  [953] = {.lex_state = 225},
  [954] = {.lex_state = 225},
  [955] = {.lex_state = 225},
  [956] = {.lex_state = 225},
  [957] = {.lex_state = 225},
  [958] = {.lex_state = 225},
  [959] = {.lex_state = 225},
  [960] = {.lex_state = 225},
  [961] = {.lex_state = 225},
  [962] = {.lex_state = 225},
  [963] = {.lex_state = 225},
  [964] = {.lex_state = 225},
  [965] = {.lex_state = 225},
  [966] = {.lex_state = 225},
  [967] = {.lex_state = 225},
  [968] = {.lex_state = 225},
  [969] = {.lex_state = 225},
  [970] = {.lex_state = 225},
  [971] = {.lex_state = 225},
  [972] = {.lex_state = 225},
  [973] = {.lex_state = 225},
  [974] = {.lex_state = 225},
  [975] = {.lex_state = 225},
  [976] = {.lex_state = 225},
  [977] = {.lex_state = 225},
  [978] = {.lex_state = 225},
  [979] = {.lex_state = 225},
  [980] = {.lex_state = 225},
  [981] = {.lex_state = 225},
  [982] = {.lex_state = 225},
  [983] = {.lex_state = 225},
  [984] = {.lex_state = 225},
  [985] = {.lex_state = 225},
  [986] = {.lex_state = 225},
  [987] = {.lex_state = 225},
  [988] = {.lex_state = 225},
  [989] = {.lex_state = 225},
  [990] = {.lex_state = 225},
  [991] = {.lex_state = 225},
  [992] = {.lex_state = 225},
  [993] = {.lex_state = 225},
  [994] = {.lex_state = 225},
  [995] = {.lex_state = 225},
  [996] = {.lex_state = 225},
  [997] = {.lex_state = 225},
  [998] = {.lex_state = 225},
  [999] = {.lex_state = 225},
  [1000] = {.lex_state = 225},
  [1001] = {.lex_state = 225},
  [1002] = {.lex_state = 225},
  [1003] = {.lex_state = 225},
  [1004] = {.lex_state = 225},
  [1005] = {.lex_state = 225},
  [1006] = {.lex_state = 225},
  [1007] = {.lex_state = 225},
  [1008] = {.lex_state = 225},
  [1009] = {.lex_state = 225},
  [1010] = {.lex_state = 225},
  [1011] = {.lex_state = 225},
  [1012] = {.lex_state = 225},
  [1013] = {.lex_state = 225},
  [1014] = {.lex_state = 225},
  [1015] = {.lex_state = 225},
  [1016] = {.lex_state = 225},
  [1017] = {.lex_state = 225},
  [1018] = {.lex_state = 225},
  [1019] = {.lex_state = 225},
  [1020] = {.lex_state = 225},
  [1021] = {.lex_state = 225},
  [1022] = {.lex_state = 225},
  [1023] = {.lex_state = 225},
  [1024] = {.lex_state = 225},
  [1025] = {.lex_state = 225},
  [1026] = {.lex_state = 225},
  [1027] = {.lex_state = 225},
  [1028] = {.lex_state = 225},
  [1029] = {.lex_state = 225},
  [1030] = {.lex_state = 225},
  [1031] = {.lex_state = 225},
  [1032] = {.lex_state = 225},
  [1033] = {.lex_state = 225},
  [1034] = {.lex_state = 225},
  [1035] = {.lex_state = 225},
  [1036] = {.lex_state = 225},
  [1037] = {.lex_state = 225},
  [1038] = {.lex_state = 225},
  [1039] = {.lex_state = 225},
  [1040] = {.lex_state = 225},
  [1041] = {.lex_state = 225},
  [1042] = {.lex_state = 225},
  [1043] = {.lex_state = 225},
  [1044] = {.lex_state = 225},
  [1045] = {.lex_state = 225},
  [1046] = {.lex_state = 225},
  [1047] = {.lex_state = 225},
  [1048] = {.lex_state = 225},
  [1049] = {.lex_state = 225},
  [1050] = {.lex_state = 225},
  [1051] = {.lex_state = 225},
  [1052] = {.lex_state = 225},
  [1053] = {.lex_state = 225},
  [1054] = {.lex_state = 225},
  [1055] = {.lex_state = 225},
  [1056] = {.lex_state = 225},
  [1057] = {.lex_state = 225},
  [1058] = {.lex_state = 225},
  [1059] = {.lex_state = 225},
  [1060] = {.lex_state = 225},
  [1061] = {.lex_state = 225},
  [1062] = {.lex_state = 225},
  [1063] = {.lex_state = 225},
  [1064] = {.lex_state = 225},
  [1065] = {.lex_state = 225},
  [1066] = {.lex_state = 225},
  [1067] = {.lex_state = 225},
  [1068] = {.lex_state = 225},
  [1069] = {.lex_state = 225},
  [1070] = {.lex_state = 225},
  [1071] = {.lex_state = 225},
  [1072] = {.lex_state = 225},
  [1073] = {.lex_state = 225},
  [1074] = {.lex_state = 225},
  [1075] = {.lex_state = 225},
  [1076] = {.lex_state = 225},
  [1077] = {.lex_state = 225},
  [1078] = {.lex_state = 225},
  [1079] = {.lex_state = 225},
  [1080] = {.lex_state = 225},
  [1081] = {.lex_state = 225},
  [1082] = {.lex_state = 225},
  [1083] = {.lex_state = 225},
  [1084] = {.lex_state = 225},
  [1085] = {.lex_state = 225},
  [1086] = {.lex_state = 225},
  [1087] = {.lex_state = 225},
  [1088] = {.lex_state = 576},
  [1089] = {.lex_state = 576},
  [1090] = {.lex_state = 576},
  [1091] = {.lex_state = 576},
  [1092] = {.lex_state = 235},
  [1093] = {.lex_state = 235},
  [1094] = {.lex_state = 235},
  [1095] = {.lex_state = 235},
  [1096] = {.lex_state = 235},
  [1097] = {.lex_state = 235},
  [1098] = {.lex_state = 235},
  [1099] = {.lex_state = 235},
  [1100] = {.lex_state = 235},
  [1101] = {.lex_state = 235},
  [1102] = {.lex_state = 235},
  [1103] = {.lex_state = 235},
  [1104] = {.lex_state = 235},
  [1105] = {.lex_state = 235},
  [1106] = {.lex_state = 235},
  [1107] = {.lex_state = 235},
  [1108] = {.lex_state = 235},
  [1109] = {.lex_state = 235},
  [1110] = {.lex_state = 235},
  [1111] = {.lex_state = 576},
  [1112] = {.lex_state = 581},
  [1113] = {.lex_state = 576},
  [1114] = {.lex_state = 576},
  [1115] = {.lex_state = 576},
  [1116] = {.lex_state = 576},
  [1117] = {.lex_state = 576},
  [1118] = {.lex_state = 576},
  [1119] = {.lex_state = 576},
  [1120] = {.lex_state = 576},
  [1121] = {.lex_state = 576},
  [1122] = {.lex_state = 576},
  [1123] = {.lex_state = 576},
  [1124] = {.lex_state = 576},
  [1125] = {.lex_state = 576},
  [1126] = {.lex_state = 576},
  [1127] = {.lex_state = 576},
  [1128] = {.lex_state = 576},
  [1129] = {.lex_state = 576},
  [1130] = {.lex_state = 576},
  [1131] = {.lex_state = 582},
  [1132] = {.lex_state = 582},
  [1133] = {.lex_state = 576},
  [1134] = {.lex_state = 576},
  [1135] = {.lex_state = 576},
  [1136] = {.lex_state = 584},
  [1137] = {.lex_state = 576},
  [1138] = {.lex_state = 584},
  [1139] = {.lex_state = 584},
  [1140] = {.lex_state = 225},
  [1141] = {.lex_state = 225},
  [1142] = {.lex_state = 225},
  [1143] = {.lex_state = 225},
  [1144] = {.lex_state = 225},
  [1145] = {.lex_state = 225},
  [1146] = {.lex_state = 225},
  [1147] = {.lex_state = 225},
  [1148] = {.lex_state = 576},
  [1149] = {.lex_state = 225},
  [1150] = {.lex_state = 225},
  [1151] = {.lex_state = 225},
  [1152] = {.lex_state = 225},
  [1153] = {.lex_state = 225},
  [1154] = {.lex_state = 225},
  [1155] = {.lex_state = 225},
  [1156] = {.lex_state = 225},
  [1157] = {.lex_state = 225},
  [1158] = {.lex_state = 225},
  [1159] = {.lex_state = 225},
  [1160] = {.lex_state = 225},
  [1161] = {.lex_state = 225},
  [1162] = {.lex_state = 225},
  [1163] = {.lex_state = 225},
  [1164] = {.lex_state = 577},
  [1165] = {.lex_state = 577},
  [1166] = {.lex_state = 577},
  [1167] = {.lex_state = 576},
  [1168] = {.lex_state = 577},
  [1169] = {.lex_state = 577},
  [1170] = {.lex_state = 576},
  [1171] = {.lex_state = 576},
  [1172] = {.lex_state = 576},
  [1173] = {.lex_state = 576},
  [1174] = {.lex_state = 579},
  [1175] = {.lex_state = 579},
  [1176] = {.lex_state = 579},
  [1177] = {.lex_state = 579},
  [1178] = {.lex_state = 579},
  [1179] = {.lex_state = 579},
  [1180] = {.lex_state = 579},
  [1181] = {.lex_state = 579},
  [1182] = {.lex_state = 579},
  [1183] = {.lex_state = 579},
  [1184] = {.lex_state = 579},
  [1185] = {.lex_state = 579},
  [1186] = {.lex_state = 579},
  [1187] = {.lex_state = 579},
  [1188] = {.lex_state = 579},
  [1189] = {.lex_state = 579},
  [1190] = {.lex_state = 579},
  [1191] = {.lex_state = 579},
  [1192] = {.lex_state = 579},
  [1193] = {.lex_state = 579},
  [1194] = {.lex_state = 579},
  [1195] = {.lex_state = 579},
  [1196] = {.lex_state = 579},
  [1197] = {.lex_state = 579},
  [1198] = {.lex_state = 579},
  [1199] = {.lex_state = 579},
  [1200] = {.lex_state = 579},
  [1201] = {.lex_state = 579},
  [1202] = {.lex_state = 579},
  [1203] = {.lex_state = 579},
  [1204] = {.lex_state = 579},
  [1205] = {.lex_state = 579},
  [1206] = {.lex_state = 579},
  [1207] = {.lex_state = 579},
  [1208] = {.lex_state = 579},
  [1209] = {.lex_state = 579},
  [1210] = {.lex_state = 579},
  [1211] = {.lex_state = 579},
  [1212] = {.lex_state = 579},
  [1213] = {.lex_state = 579},
  [1214] = {.lex_state = 579},
  [1215] = {.lex_state = 579},
  [1216] = {.lex_state = 579},
  [1217] = {.lex_state = 238},
  [1218] = {.lex_state = 594},
  [1219] = {.lex_state = 594},
  [1220] = {.lex_state = 594},
  [1221] = {.lex_state = 238},
  [1222] = {.lex_state = 595},
  [1223] = {.lex_state = 595},
  [1224] = {.lex_state = 595},
  [1225] = {.lex_state = 595},
  [1226] = {.lex_state = 595},
  [1227] = {.lex_state = 595},
  [1228] = {.lex_state = 595},
  [1229] = {.lex_state = 595},
  [1230] = {.lex_state = 595},
  [1231] = {.lex_state = 577},
  [1232] = {.lex_state = 577},
  [1233] = {.lex_state = 595},
  [1234] = {.lex_state = 595},
  [1235] = {.lex_state = 595},
  [1236] = {.lex_state = 236},
  [1237] = {.lex_state = 585},
  [1238] = {.lex_state = 595},
  [1239] = {.lex_state = 595},
  [1240] = {.lex_state = 577},
  [1241] = {.lex_state = 236},
  [1242] = {.lex_state = 595},
  [1243] = {.lex_state = 236},
  [1244] = {.lex_state = 236},
  [1245] = {.lex_state = 595},
  [1246] = {.lex_state = 595},
  [1247] = {.lex_state = 595},
  [1248] = {.lex_state = 595},
  [1249] = {.lex_state = 597},
  [1250] = {.lex_state = 595},
  [1251] = {.lex_state = 236},
  [1252] = {.lex_state = 585},
  [1253] = {.lex_state = 596},
  [1254] = {.lex_state = 596},
  [1255] = {.lex_state = 582},
  [1256] = {.lex_state = 582},
  [1257] = {.lex_state = 582},
  [1258] = {.lex_state = 582},
  [1259] = {.lex_state = 582},
  [1260] = {.lex_state = 582},
  [1261] = {.lex_state = 229},
  [1262] = {.lex_state = 582},
  [1263] = {.lex_state = 582},
  [1264] = {.lex_state = 245},
  [1265] = {.lex_state = 582},
  [1266] = {.lex_state = 582},
  [1267] = {.lex_state = 577},
  [1268] = {.lex_state = 577},
  [1269] = {.lex_state = 582},
  [1270] = {.lex_state = 582},
  [1271] = {.lex_state = 577},
  [1272] = {.lex_state = 582},
  [1273] = {.lex_state = 582},
  [1274] = {.lex_state = 582},
  [1275] = {.lex_state = 577},
  [1276] = {.lex_state = 577},
  [1277] = {.lex_state = 596},
  [1278] = {.lex_state = 577},
  [1279] = {.lex_state = 577},
  [1280] = {.lex_state = 577},
  [1281] = {.lex_state = 227},
  [1282] = {.lex_state = 577},
  [1283] = {.lex_state = 577},
  [1284] = {.lex_state = 240},
  [1285] = {.lex_state = 577},
  [1286] = {.lex_state = 582},
  [1287] = {.lex_state = 577},
  [1288] = {.lex_state = 582},
  [1289] = {.lex_state = 577},
  [1290] = {.lex_state = 577},
  [1291] = {.lex_state = 582},
  [1292] = {.lex_state = 251},
  [1293] = {.lex_state = 596},
  [1294] = {.lex_state = 577},
  [1295] = {.lex_state = 577},
  [1296] = {.lex_state = 251},
  [1297] = {.lex_state = 229},
  [1298] = {.lex_state = 227},
  [1299] = {.lex_state = 251},
  [1300] = {.lex_state = 577},
  [1301] = {.lex_state = 227},
  [1302] = {.lex_state = 577},
  [1303] = {.lex_state = 596},
  [1304] = {.lex_state = 596},
  [1305] = {.lex_state = 596},
  [1306] = {.lex_state = 229},
  [1307] = {.lex_state = 596},
  [1308] = {.lex_state = 577},
  [1309] = {.lex_state = 596},
  [1310] = {.lex_state = 579},
  [1311] = {.lex_state = 596},
  [1312] = {.lex_state = 596},
  [1313] = {.lex_state = 596},
  [1314] = {.lex_state = 596},
  [1315] = {.lex_state = 596},
  [1316] = {.lex_state = 596},
  [1317] = {.lex_state = 596},
  [1318] = {.lex_state = 596},
  [1319] = {.lex_state = 596},
  [1320] = {.lex_state = 596},
  [1321] = {.lex_state = 577},
  [1322] = {.lex_state = 596},
  [1323] = {.lex_state = 596},
  [1324] = {.lex_state = 596},
  [1325] = {.lex_state = 596},
  [1326] = {.lex_state = 596},
  [1327] = {.lex_state = 596},
  [1328] = {.lex_state = 596},
  [1329] = {.lex_state = 596},
  [1330] = {.lex_state = 596},
  [1331] = {.lex_state = 596},
  [1332] = {.lex_state = 596},
  [1333] = {.lex_state = 596},
  [1334] = {.lex_state = 579},
  [1335] = {.lex_state = 596},
  [1336] = {.lex_state = 596},
  [1337] = {.lex_state = 596},
  [1338] = {.lex_state = 596},
  [1339] = {.lex_state = 596},
  [1340] = {.lex_state = 596},
  [1341] = {.lex_state = 596},
  [1342] = {.lex_state = 596},
  [1343] = {.lex_state = 596},
  [1344] = {.lex_state = 596},
  [1345] = {.lex_state = 240},
  [1346] = {.lex_state = 596},
  [1347] = {.lex_state = 596},
  [1348] = {.lex_state = 579},
  [1349] = {.lex_state = 596},
  [1350] = {.lex_state = 596},
  [1351] = {.lex_state = 596},
  [1352] = {.lex_state = 596},
  [1353] = {.lex_state = 596},
  [1354] = {.lex_state = 240},
  [1355] = {.lex_state = 239},
  [1356] = {.lex_state = 577},
  [1357] = {.lex_state = 577},
  [1358] = {.lex_state = 577},
  [1359] = {.lex_state = 577},
  [1360] = {.lex_state = 577},
  [1361] = {.lex_state = 227},
  [1362] = {.lex_state = 227},
  [1363] = {.lex_state = 227},
  [1364] = {.lex_state = 227},
  [1365] = {.lex_state = 227},
  [1366] = {.lex_state = 227},
  [1367] = {.lex_state = 227},
  [1368] = {.lex_state = 227},
  [1369] = {.lex_state = 227},
  [1370] = {.lex_state = 227},
  [1371] = {.lex_state = 227},
  [1372] = {.lex_state = 227},
  [1373] = {.lex_state = 227},
  [1374] = {.lex_state = 227},
  [1375] = {.lex_state = 227},
  [1376] = {.lex_state = 227},
  [1377] = {.lex_state = 227},
  [1378] = {.lex_state = 227},
  [1379] = {.lex_state = 227},
  [1380] = {.lex_state = 227},
  [1381] = {.lex_state = 227},
  [1382] = {.lex_state = 227},
  [1383] = {.lex_state = 227},
  [1384] = {.lex_state = 227},
  [1385] = {.lex_state = 227},
  [1386] = {.lex_state = 227},
  [1387] = {.lex_state = 227},
  [1388] = {.lex_state = 227},
  [1389] = {.lex_state = 227},
  [1390] = {.lex_state = 227},
  [1391] = {.lex_state = 227},
  [1392] = {.lex_state = 227},
  [1393] = {.lex_state = 227},
  [1394] = {.lex_state = 227},
  [1395] = {.lex_state = 227},
  [1396] = {.lex_state = 227},
  [1397] = {.lex_state = 227},
  [1398] = {.lex_state = 227},
  [1399] = {.lex_state = 227},
  [1400] = {.lex_state = 227},
  [1401] = {.lex_state = 227},
  [1402] = {.lex_state = 227},
  [1403] = {.lex_state = 227},
  [1404] = {.lex_state = 227},
  [1405] = {.lex_state = 227},
  [1406] = {.lex_state = 227},
  [1407] = {.lex_state = 227},
  [1408] = {.lex_state = 227},
  [1409] = {.lex_state = 227},
  [1410] = {.lex_state = 227},
  [1411] = {.lex_state = 227},
  [1412] = {.lex_state = 227},
  [1413] = {.lex_state = 227},
  [1414] = {.lex_state = 227},
  [1415] = {.lex_state = 227},
  [1416] = {.lex_state = 227},
  [1417] = {.lex_state = 227},
  [1418] = {.lex_state = 227},
  [1419] = {.lex_state = 227},
  [1420] = {.lex_state = 227},
  [1421] = {.lex_state = 227},
  [1422] = {.lex_state = 227},
  [1423] = {.lex_state = 227},
  [1424] = {.lex_state = 227},
  [1425] = {.lex_state = 227},
  [1426] = {.lex_state = 227},
  [1427] = {.lex_state = 227},
  [1428] = {.lex_state = 227},
  [1429] = {.lex_state = 227},
  [1430] = {.lex_state = 227},
  [1431] = {.lex_state = 227},
  [1432] = {.lex_state = 227},
  [1433] = {.lex_state = 227},
  [1434] = {.lex_state = 227},
  [1435] = {.lex_state = 227},
  [1436] = {.lex_state = 227},
  [1437] = {.lex_state = 227},
  [1438] = {.lex_state = 227},
  [1439] = {.lex_state = 579},
  [1440] = {.lex_state = 238},
  [1441] = {.lex_state = 579},
  [1442] = {.lex_state = 579},
  [1443] = {.lex_state = 579},
  [1444] = {.lex_state = 579},
  [1445] = {.lex_state = 579},
  [1446] = {.lex_state = 579},
  [1447] = {.lex_state = 579},
  [1448] = {.lex_state = 579},
  [1449] = {.lex_state = 579},
  [1450] = {.lex_state = 579},
  [1451] = {.lex_state = 579},
  [1452] = {.lex_state = 579},
  [1453] = {.lex_state = 579},
  [1454] = {.lex_state = 579},
  [1455] = {.lex_state = 579},
  [1456] = {.lex_state = 579},
  [1457] = {.lex_state = 579},
  [1458] = {.lex_state = 579},
  [1459] = {.lex_state = 579},
  [1460] = {.lex_state = 579},
  [1461] = {.lex_state = 579},
  [1462] = {.lex_state = 579},
  [1463] = {.lex_state = 579},
  [1464] = {.lex_state = 579},
  [1465] = {.lex_state = 579},
  [1466] = {.lex_state = 579},
  [1467] = {.lex_state = 579},
  [1468] = {.lex_state = 579},
  [1469] = {.lex_state = 579},
  [1470] = {.lex_state = 579},
  [1471] = {.lex_state = 238},
  [1472] = {.lex_state = 579},
  [1473] = {.lex_state = 579},
  [1474] = {.lex_state = 579},
  [1475] = {.lex_state = 579},
  [1476] = {.lex_state = 579},
  [1477] = {.lex_state = 579},
  [1478] = {.lex_state = 579},
  [1479] = {.lex_state = 579},
  [1480] = {.lex_state = 579},
  [1481] = {.lex_state = 579},
  [1482] = {.lex_state = 238},
  [1483] = {.lex_state = 238},
  [1484] = {.lex_state = 238},
  [1485] = {.lex_state = 238},
  [1486] = {.lex_state = 238},
  [1487] = {.lex_state = 238},
  [1488] = {.lex_state = 238},
  [1489] = {.lex_state = 238},
  [1490] = {.lex_state = 238},
  [1491] = {.lex_state = 238},
  [1492] = {.lex_state = 579},
  [1493] = {.lex_state = 238},
  [1494] = {.lex_state = 579},
  [1495] = {.lex_state = 579},
  [1496] = {.lex_state = 579},
  [1497] = {.lex_state = 238},
  [1498] = {.lex_state = 579},
  [1499] = {.lex_state = 579},
  [1500] = {.lex_state = 579},
  [1501] = {.lex_state = 579},
  [1502] = {.lex_state = 236},
  [1503] = {.lex_state = 579},
  [1504] = {.lex_state = 579},
  [1505] = {.lex_state = 579},
  [1506] = {.lex_state = 579},
  [1507] = {.lex_state = 579},
  [1508] = {.lex_state = 579},
  [1509] = {.lex_state = 579},
  [1510] = {.lex_state = 579},
  [1511] = {.lex_state = 579},
  [1512] = {.lex_state = 579},
  [1513] = {.lex_state = 579},
  [1514] = {.lex_state = 579},
  [1515] = {.lex_state = 579},
  [1516] = {.lex_state = 579},
  [1517] = {.lex_state = 238},
  [1518] = {.lex_state = 579},
  [1519] = {.lex_state = 236},
  [1520] = {.lex_state = 579},
  [1521] = {.lex_state = 579},
  [1522] = {.lex_state = 579},
  [1523] = {.lex_state = 236},
  [1524] = {.lex_state = 579},
  [1525] = {.lex_state = 579},
  [1526] = {.lex_state = 579},
  [1527] = {.lex_state = 579},
  [1528] = {.lex_state = 579},
  [1529] = {.lex_state = 579},
  [1530] = {.lex_state = 579},
  [1531] = {.lex_state = 236},
  [1532] = {.lex_state = 236},
  [1533] = {.lex_state = 236},
  [1534] = {.lex_state = 236},
  [1535] = {.lex_state = 236},
  [1536] = {.lex_state = 236},
  [1537] = {.lex_state = 236},
  [1538] = {.lex_state = 238},
  [1539] = {.lex_state = 238},
  [1540] = {.lex_state = 236},
  [1541] = {.lex_state = 238},
  [1542] = {.lex_state = 236},
  [1543] = {.lex_state = 236},
  [1544] = {.lex_state = 236},
  [1545] = {.lex_state = 236},
  [1546] = {.lex_state = 236},
  [1547] = {.lex_state = 236},
  [1548] = {.lex_state = 236},
  [1549] = {.lex_state = 236},
  [1550] = {.lex_state = 236},
  [1551] = {.lex_state = 586},
  [1552] = {.lex_state = 586},
  [1553] = {.lex_state = 587},
  [1554] = {.lex_state = 228},
  [1555] = {.lex_state = 228},
  [1556] = {.lex_state = 228},
  [1557] = {.lex_state = 228},
  [1558] = {.lex_state = 228},
  [1559] = {.lex_state = 228},
  [1560] = {.lex_state = 228},
  [1561] = {.lex_state = 228},
  [1562] = {.lex_state = 228},
  [1563] = {.lex_state = 228},
  [1564] = {.lex_state = 228},
  [1565] = {.lex_state = 228},
  [1566] = {.lex_state = 228},
  [1567] = {.lex_state = 228},
  [1568] = {.lex_state = 228},
  [1569] = {.lex_state = 228},
  [1570] = {.lex_state = 228},
  [1571] = {.lex_state = 228},
  [1572] = {.lex_state = 226},
  [1573] = {.lex_state = 228},
  [1574] = {.lex_state = 228},
  [1575] = {.lex_state = 228},
  [1576] = {.lex_state = 228},
  [1577] = {.lex_state = 228},
  [1578] = {.lex_state = 228},
  [1579] = {.lex_state = 228},
  [1580] = {.lex_state = 228},
  [1581] = {.lex_state = 228},
  [1582] = {.lex_state = 228},
  [1583] = {.lex_state = 228},
  [1584] = {.lex_state = 228},
  [1585] = {.lex_state = 228},
  [1586] = {.lex_state = 228},
  [1587] = {.lex_state = 228},
  [1588] = {.lex_state = 228},
  [1589] = {.lex_state = 228},
  [1590] = {.lex_state = 228},
  [1591] = {.lex_state = 228},
  [1592] = {.lex_state = 228},
  [1593] = {.lex_state = 228},
  [1594] = {.lex_state = 228},
  [1595] = {.lex_state = 228},
  [1596] = {.lex_state = 228},
  [1597] = {.lex_state = 228},
  [1598] = {.lex_state = 222},
  [1599] = {.lex_state = 222},
  [1600] = {.lex_state = 228},
  [1601] = {.lex_state = 228},
  [1602] = {.lex_state = 228},
  [1603] = {.lex_state = 228},
  [1604] = {.lex_state = 222},
  [1605] = {.lex_state = 222},
  [1606] = {.lex_state = 228},
  [1607] = {.lex_state = 228},
  [1608] = {.lex_state = 228},
  [1609] = {.lex_state = 228},
  [1610] = {.lex_state = 228},
  [1611] = {.lex_state = 226},
  [1612] = {.lex_state = 226},
  [1613] = {.lex_state = 588},
  [1614] = {.lex_state = 226},
  [1615] = {.lex_state = 226},
  [1616] = {.lex_state = 226},
  [1617] = {.lex_state = 226},
  [1618] = {.lex_state = 226},
  [1619] = {.lex_state = 226},
  [1620] = {.lex_state = 226},
  [1621] = {.lex_state = 226},
  [1622] = {.lex_state = 226},
  [1623] = {.lex_state = 226},
  [1624] = {.lex_state = 226},
  [1625] = {.lex_state = 226},
  [1626] = {.lex_state = 226},
  [1627] = {.lex_state = 226},
  [1628] = {.lex_state = 226},
  [1629] = {.lex_state = 584},
  [1630] = {.lex_state = 584},
  [1631] = {.lex_state = 588},
  [1632] = {.lex_state = 584},
  [1633] = {.lex_state = 584},
  [1634] = {.lex_state = 584},
  [1635] = {.lex_state = 584},
  [1636] = {.lex_state = 583},
  [1637] = {.lex_state = 589},
  [1638] = {.lex_state = 586},
  [1639] = {.lex_state = 586},
  [1640] = {.lex_state = 576},
  [1641] = {.lex_state = 586},
  [1642] = {.lex_state = 586},
  [1643] = {.lex_state = 586},
  [1644] = {.lex_state = 586},
  [1645] = {.lex_state = 586},
  [1646] = {.lex_state = 586},
  [1647] = {.lex_state = 586},
  [1648] = {.lex_state = 576},
  [1649] = {.lex_state = 586},
  [1650] = {.lex_state = 586},
  [1651] = {.lex_state = 586},
  [1652] = {.lex_state = 586},
  [1653] = {.lex_state = 586},
  [1654] = {.lex_state = 586},
  [1655] = {.lex_state = 584},
  [1656] = {.lex_state = 584},
  [1657] = {.lex_state = 584},
  [1658] = {.lex_state = 584},
  [1659] = {.lex_state = 584},
  [1660] = {.lex_state = 584},
  [1661] = {.lex_state = 584},
  [1662] = {.lex_state = 584},
  [1663] = {.lex_state = 584},
  [1664] = {.lex_state = 584},
  [1665] = {.lex_state = 584},
  [1666] = {.lex_state = 584},
  [1667] = {.lex_state = 584},
  [1668] = {.lex_state = 584},
  [1669] = {.lex_state = 584},
  [1670] = {.lex_state = 584},
  [1671] = {.lex_state = 584},
  [1672] = {.lex_state = 584},
  [1673] = {.lex_state = 584},
  [1674] = {.lex_state = 584},
  [1675] = {.lex_state = 584},
  [1676] = {.lex_state = 584},
  [1677] = {.lex_state = 584},
  [1678] = {.lex_state = 584},
  [1679] = {.lex_state = 584},
  [1680] = {.lex_state = 584},
  [1681] = {.lex_state = 584},
  [1682] = {.lex_state = 584},
  [1683] = {.lex_state = 584},
  [1684] = {.lex_state = 584},
  [1685] = {.lex_state = 584},
  [1686] = {.lex_state = 230},
  [1687] = {.lex_state = 590},
  [1688] = {.lex_state = 230},
  [1689] = {.lex_state = 576},
  [1690] = {.lex_state = 576},
  [1691] = {.lex_state = 576},
  [1692] = {.lex_state = 576},
  [1693] = {.lex_state = 576},
  [1694] = {.lex_state = 576},
  [1695] = {.lex_state = 576},
  [1696] = {.lex_state = 576},
  [1697] = {.lex_state = 576},
  [1698] = {.lex_state = 576},
  [1699] = {.lex_state = 576},
  [1700] = {.lex_state = 576},
  [1701] = {.lex_state = 581},
  [1702] = {.lex_state = 581},
  [1703] = {.lex_state = 591},
  [1704] = {.lex_state = 581},
  [1705] = {.lex_state = 581},
  [1706] = {.lex_state = 581},
  [1707] = {.lex_state = 581},
  [1708] = {.lex_state = 581},
  [1709] = {.lex_state = 581},
  [1710] = {.lex_state = 591},
  [1711] = {.lex_state = 581},
  [1712] = {.lex_state = 581},
  [1713] = {.lex_state = 581},
  [1714] = {.lex_state = 581},
  [1715] = {.lex_state = 581},
  [1716] = {.lex_state = 581},
  [1717] = {.lex_state = 581},
  [1718] = {.lex_state = 581},
  [1719] = {.lex_state = 581},
  [1720] = {.lex_state = 111},
  [1721] = {.lex_state = 581},
  [1722] = {.lex_state = 581},
  [1723] = {.lex_state = 581},
  [1724] = {.lex_state = 581},
  [1725] = {.lex_state = 581},
  [1726] = {.lex_state = 581},
  [1727] = {.lex_state = 581},
  [1728] = {.lex_state = 581},
  [1729] = {.lex_state = 581},
  [1730] = {.lex_state = 581},
  [1731] = {.lex_state = 581},
  [1732] = {.lex_state = 581},
  [1733] = {.lex_state = 581},
  [1734] = {.lex_state = 581},
  [1735] = {.lex_state = 581},
  [1736] = {.lex_state = 581},
  [1737] = {.lex_state = 230},
  [1738] = {.lex_state = 230},
  [1739] = {.lex_state = 222},
  [1740] = {.lex_state = 222},
  [1741] = {.lex_state = 222},
  [1742] = {.lex_state = 222},
  [1743] = {.lex_state = 222},
  [1744] = {.lex_state = 222},
  [1745] = {.lex_state = 222},
  [1746] = {.lex_state = 222},
  [1747] = {.lex_state = 222},
  [1748] = {.lex_state = 222},
  [1749] = {.lex_state = 222},
  [1750] = {.lex_state = 222},
  [1751] = {.lex_state = 222},
  [1752] = {.lex_state = 222},
  [1753] = {.lex_state = 222},
  [1754] = {.lex_state = 222},
  [1755] = {.lex_state = 222},
  [1756] = {.lex_state = 222},
  [1757] = {.lex_state = 222},
  [1758] = {.lex_state = 222},
  [1759] = {.lex_state = 222},
  [1760] = {.lex_state = 222},
  [1761] = {.lex_state = 222},
  [1762] = {.lex_state = 222},
  [1763] = {.lex_state = 222},
  [1764] = {.lex_state = 222},
  [1765] = {.lex_state = 222},
  [1766] = {.lex_state = 231},
  [1767] = {.lex_state = 114},
  [1768] = {.lex_state = 231},
  [1769] = {.lex_state = 112},
  [1770] = {.lex_state = 222},
  [1771] = {.lex_state = 222},
  [1772] = {.lex_state = 224},
  [1773] = {.lex_state = 224},
  [1774] = {.lex_state = 224},
  [1775] = {.lex_state = 222},
  [1776] = {.lex_state = 115},
  [1777] = {.lex_state = 222},
  [1778] = {.lex_state = 115},
  [1779] = {.lex_state = 230},
  [1780] = {.lex_state = 113},
  [1781] = {.lex_state = 230},
  [1782] = {.lex_state = 222},
  [1783] = {.lex_state = 230},
  [1784] = {.lex_state = 230},
  [1785] = {.lex_state = 230},
  [1786] = {.lex_state = 230},
  [1787] = {.lex_state = 230},
  [1788] = {.lex_state = 230},
  [1789] = {.lex_state = 230},
  [1790] = {.lex_state = 230},
  [1791] = {.lex_state = 230},
  [1792] = {.lex_state = 230},
  [1793] = {.lex_state = 222},
  [1794] = {.lex_state = 231},
  [1795] = {.lex_state = 231},
  [1796] = {.lex_state = 232},
  [1797] = {.lex_state = 222},
  [1798] = {.lex_state = 231},
  [1799] = {.lex_state = 231},
  [1800] = {.lex_state = 232},
  [1801] = {.lex_state = 231},
  [1802] = {.lex_state = 231},
  [1803] = {.lex_state = 222},
  [1804] = {.lex_state = 232},
  [1805] = {.lex_state = 222},
  [1806] = {.lex_state = 222},
  [1807] = {.lex_state = 222},
  [1808] = {.lex_state = 222},
  [1809] = {.lex_state = 222},
  [1810] = {.lex_state = 222},
  [1811] = {.lex_state = 222},
  [1812] = {.lex_state = 222},
  [1813] = {.lex_state = 222},
  [1814] = {.lex_state = 222},
  [1815] = {.lex_state = 222},
  [1816] = {.lex_state = 222},
  [1817] = {.lex_state = 222},
  [1818] = {.lex_state = 222},
  [1819] = {.lex_state = 222},
  [1820] = {.lex_state = 222},
  [1821] = {.lex_state = 222},
  [1822] = {.lex_state = 222},
  [1823] = {.lex_state = 222},
  [1824] = {.lex_state = 222},
  [1825] = {.lex_state = 222},
  [1826] = {.lex_state = 222},
  [1827] = {.lex_state = 222},
  [1828] = {.lex_state = 0},
  [1829] = {.lex_state = 232},
  [1830] = {.lex_state = 0},
  [1831] = {.lex_state = 232},
  [1832] = {.lex_state = 0},
  [1833] = {.lex_state = 224},
  [1834] = {.lex_state = 224},
  [1835] = {.lex_state = 0},
  [1836] = {.lex_state = 0},
  [1837] = {.lex_state = 224},
  [1838] = {.lex_state = 224},
  [1839] = {.lex_state = 0},
  [1840] = {.lex_state = 0},
  [1841] = {.lex_state = 0},
  [1842] = {.lex_state = 0},
  [1843] = {.lex_state = 0},
  [1844] = {.lex_state = 0},
  [1845] = {.lex_state = 0},
  [1846] = {.lex_state = 0},
  [1847] = {.lex_state = 0},
  [1848] = {.lex_state = 0},
  [1849] = {.lex_state = 222},
  [1850] = {.lex_state = 233},
  [1851] = {.lex_state = 222},
  [1852] = {.lex_state = 222},
  [1853] = {.lex_state = 233},
  [1854] = {.lex_state = 222},
  [1855] = {.lex_state = 233},
  [1856] = {.lex_state = 222},
  [1857] = {.lex_state = 222},
  [1858] = {.lex_state = 233},
  [1859] = {.lex_state = 233},
  [1860] = {.lex_state = 222},
  [1861] = {.lex_state = 222},
  [1862] = {.lex_state = 233},
  [1863] = {.lex_state = 233},
  [1864] = {.lex_state = 233},
  [1865] = {.lex_state = 222},
  [1866] = {.lex_state = 233},
  [1867] = {.lex_state = 233},
  [1868] = {.lex_state = 233},
  [1869] = {.lex_state = 226},
  [1870] = {.lex_state = 226},
  [1871] = {.lex_state = 226},
  [1872] = {.lex_state = 226},
  [1873] = {.lex_state = 226},
  [1874] = {.lex_state = 233},
  [1875] = {.lex_state = 233},
  [1876] = {.lex_state = 226},
  [1877] = {.lex_state = 226},
  [1878] = {.lex_state = 226},
  [1879] = {.lex_state = 226},
  [1880] = {.lex_state = 0},
  [1881] = {.lex_state = 222},
  [1882] = {.lex_state = 222},
  [1883] = {.lex_state = 0},
  [1884] = {.lex_state = 225},
  [1885] = {.lex_state = 222},
  [1886] = {.lex_state = 222},
  [1887] = {.lex_state = 222},
  [1888] = {.lex_state = 222},
  [1889] = {.lex_state = 222},
  [1890] = {.lex_state = 0},
  [1891] = {.lex_state = 222},
  [1892] = {.lex_state = 222},
  [1893] = {.lex_state = 225},
  [1894] = {.lex_state = 222},
  [1895] = {.lex_state = 222},
  [1896] = {.lex_state = 225},
  [1897] = {.lex_state = 222},
  [1898] = {.lex_state = 222},
  [1899] = {.lex_state = 222},
  [1900] = {.lex_state = 222},
  [1901] = {.lex_state = 225},
  [1902] = {.lex_state = 222},
  [1903] = {.lex_state = 0},
  [1904] = {.lex_state = 222},
  [1905] = {.lex_state = 222},
  [1906] = {.lex_state = 222},
  [1907] = {.lex_state = 0},
  [1908] = {.lex_state = 222},
  [1909] = {.lex_state = 222},
  [1910] = {.lex_state = 222},
  [1911] = {.lex_state = 222},
  [1912] = {.lex_state = 222},
  [1913] = {.lex_state = 222},
  [1914] = {.lex_state = 222},
  [1915] = {.lex_state = 222},
  [1916] = {.lex_state = 222},
  [1917] = {.lex_state = 222},
  [1918] = {.lex_state = 222},
  [1919] = {.lex_state = 222},
  [1920] = {.lex_state = 222},
  [1921] = {.lex_state = 222},
  [1922] = {.lex_state = 222},
  [1923] = {.lex_state = 222},
  [1924] = {.lex_state = 222},
  [1925] = {.lex_state = 222},
  [1926] = {.lex_state = 0},
  [1927] = {.lex_state = 222},
  [1928] = {.lex_state = 222},
  [1929] = {.lex_state = 222},
  [1930] = {.lex_state = 222},
  [1931] = {.lex_state = 0},
  [1932] = {.lex_state = 222},
  [1933] = {.lex_state = 222},
  [1934] = {.lex_state = 222},
  [1935] = {.lex_state = 225},
  [1936] = {.lex_state = 222},
  [1937] = {.lex_state = 116},
  [1938] = {.lex_state = 222},
  [1939] = {.lex_state = 225},
  [1940] = {.lex_state = 0},
  [1941] = {.lex_state = 0},
  [1942] = {.lex_state = 225},
  [1943] = {.lex_state = 0},
  [1944] = {.lex_state = 118},
  [1945] = {.lex_state = 0},
  [1946] = {.lex_state = 0},
  [1947] = {.lex_state = 222},
  [1948] = {.lex_state = 0},
  [1949] = {.lex_state = 0},
  [1950] = {.lex_state = 0},
  [1951] = {.lex_state = 0},
  [1952] = {.lex_state = 222},
  [1953] = {.lex_state = 222},
  [1954] = {.lex_state = 0},
  [1955] = {.lex_state = 0},
  [1956] = {.lex_state = 0},
  [1957] = {.lex_state = 0},
  [1958] = {.lex_state = 0},
  [1959] = {.lex_state = 0},
  [1960] = {.lex_state = 222},
  [1961] = {.lex_state = 0},
  [1962] = {.lex_state = 0},
  [1963] = {.lex_state = 0},
  [1964] = {.lex_state = 0},
  [1965] = {.lex_state = 222},
  [1966] = {.lex_state = 222},
  [1967] = {.lex_state = 0},
  [1968] = {.lex_state = 0},
  [1969] = {.lex_state = 222},
  [1970] = {.lex_state = 222},
  [1971] = {.lex_state = 0},
  [1972] = {.lex_state = 222},
  [1973] = {.lex_state = 0},
  [1974] = {.lex_state = 0},
  [1975] = {.lex_state = 0},
  [1976] = {.lex_state = 0},
  [1977] = {.lex_state = 0},
  [1978] = {.lex_state = 0},
  [1979] = {.lex_state = 222},
  [1980] = {.lex_state = 222},
  [1981] = {.lex_state = 0},
  [1982] = {.lex_state = 0},
  [1983] = {.lex_state = 224},
  [1984] = {.lex_state = 0},
  [1985] = {.lex_state = 224},
  [1986] = {.lex_state = 224},
  [1987] = {.lex_state = 224},
  [1988] = {.lex_state = 0},
  [1989] = {.lex_state = 118},
  [1990] = {.lex_state = 224},
  [1991] = {.lex_state = 224},
  [1992] = {.lex_state = 224},
  [1993] = {.lex_state = 224},
  [1994] = {.lex_state = 224},
  [1995] = {.lex_state = 562},
  [1996] = {.lex_state = 562},
  [1997] = {.lex_state = 561},
  [1998] = {.lex_state = 224},
  [1999] = {.lex_state = 224},
  [2000] = {.lex_state = 561},
  [2001] = {.lex_state = 561},
  [2002] = {.lex_state = 561},
  [2003] = {.lex_state = 562},
  [2004] = {.lex_state = 224},
  [2005] = {.lex_state = 224},
  [2006] = {.lex_state = 110},
  [2007] = {.lex_state = 107},
  [2008] = {.lex_state = 106},
  [2009] = {.lex_state = 0},
  [2010] = {.lex_state = 0},
  [2011] = {.lex_state = 224},
  [2012] = {.lex_state = 0},
  [2013] = {.lex_state = 108},
  [2014] = {.lex_state = 224},
  [2015] = {.lex_state = 562},
  [2016] = {.lex_state = 562},
  [2017] = {.lex_state = 224},
  [2018] = {.lex_state = 0},
  [2019] = {.lex_state = 561},
  [2020] = {.lex_state = 224},
  [2021] = {.lex_state = 561},
  [2022] = {.lex_state = 0},
  [2023] = {.lex_state = 561},
  [2024] = {.lex_state = 561},
  [2025] = {.lex_state = 224},
  [2026] = {.lex_state = 110},
  [2027] = {.lex_state = 117},
  [2028] = {.lex_state = 0},
  [2029] = {.lex_state = 224},
  [2030] = {.lex_state = 224},
  [2031] = {.lex_state = 224},
  [2032] = {.lex_state = 224},
  [2033] = {.lex_state = 224},
  [2034] = {.lex_state = 224},
  [2035] = {.lex_state = 224},
  [2036] = {.lex_state = 224},
  [2037] = {.lex_state = 224},
  [2038] = {.lex_state = 0},
  [2039] = {.lex_state = 224},
  [2040] = {.lex_state = 224},
  [2041] = {.lex_state = 224},
  [2042] = {.lex_state = 224},
  [2043] = {.lex_state = 224},
  [2044] = {.lex_state = 224},
  [2045] = {.lex_state = 224},
  [2046] = {.lex_state = 0},
  [2047] = {.lex_state = 224},
  [2048] = {.lex_state = 107},
  [2049] = {.lex_state = 107},
  [2050] = {.lex_state = 0},
  [2051] = {.lex_state = 224},
  [2052] = {.lex_state = 107},
  [2053] = {.lex_state = 224},
  [2054] = {.lex_state = 224},
  [2055] = {.lex_state = 117},
  [2056] = {.lex_state = 224},
  [2057] = {.lex_state = 117},
  [2058] = {.lex_state = 117},
  [2059] = {.lex_state = 224},
  [2060] = {.lex_state = 224},
  [2061] = {.lex_state = 0},
  [2062] = {.lex_state = 0},
  [2063] = {.lex_state = 224},
  [2064] = {.lex_state = 224},
  [2065] = {.lex_state = 224},
  [2066] = {.lex_state = 224},
  [2067] = {.lex_state = 117},
  [2068] = {.lex_state = 224},
  [2069] = {.lex_state = 108},
  [2070] = {.lex_state = 224},
  [2071] = {.lex_state = 0},
  [2072] = {.lex_state = 224},
  [2073] = {.lex_state = 117},
  [2074] = {.lex_state = 117},
  [2075] = {.lex_state = 117},
  [2076] = {.lex_state = 0},
  [2077] = {.lex_state = 117},
  [2078] = {.lex_state = 117},
  [2079] = {.lex_state = 117},
  [2080] = {.lex_state = 0},
  [2081] = {.lex_state = 117},
  [2082] = {.lex_state = 224},
  [2083] = {.lex_state = 224},
  [2084] = {.lex_state = 224},
  [2085] = {.lex_state = 224},
  [2086] = {.lex_state = 224},
  [2087] = {.lex_state = 224},
  [2088] = {.lex_state = 117},
  [2089] = {.lex_state = 107},
  [2090] = {.lex_state = 224},
  [2091] = {.lex_state = 117},
  [2092] = {.lex_state = 224},
  [2093] = {.lex_state = 106},
  [2094] = {.lex_state = 224},
  [2095] = {.lex_state = 224},
  [2096] = {.lex_state = 224},
  [2097] = {.lex_state = 224},
  [2098] = {.lex_state = 224},
  [2099] = {.lex_state = 224},
  [2100] = {.lex_state = 224},
  [2101] = {.lex_state = 106},
  [2102] = {.lex_state = 224},
  [2103] = {.lex_state = 106},
  [2104] = {.lex_state = 0},
  [2105] = {.lex_state = 0},
  [2106] = {.lex_state = 224},
  [2107] = {.lex_state = 224},
  [2108] = {.lex_state = 108},
  [2109] = {.lex_state = 224},
  [2110] = {.lex_state = 224},
  [2111] = {.lex_state = 0},
  [2112] = {.lex_state = 224},
  [2113] = {.lex_state = 224},
  [2114] = {.lex_state = 117},
  [2115] = {.lex_state = 117},
  [2116] = {.lex_state = 117},
  [2117] = {.lex_state = 224},
  [2118] = {.lex_state = 224},
  [2119] = {.lex_state = 224},
  [2120] = {.lex_state = 224},
  [2121] = {.lex_state = 117},
  [2122] = {.lex_state = 224},
  [2123] = {.lex_state = 224},
  [2124] = {.lex_state = 117},
  [2125] = {.lex_state = 224},
  [2126] = {.lex_state = 0},
  [2127] = {.lex_state = 224},
  [2128] = {.lex_state = 224},
  [2129] = {.lex_state = 222},
  [2130] = {.lex_state = 222},
  [2131] = {.lex_state = 222},
  [2132] = {.lex_state = 222},
  [2133] = {.lex_state = 222},
  [2134] = {.lex_state = 222},
  [2135] = {.lex_state = 222},
  [2136] = {.lex_state = 222},
  [2137] = {.lex_state = 222},
  [2138] = {.lex_state = 222},
  [2139] = {.lex_state = 222},
  [2140] = {.lex_state = 222},
  [2141] = {.lex_state = 222},
  [2142] = {.lex_state = 222},
  [2143] = {.lex_state = 222},
  [2144] = {.lex_state = 222},
  [2145] = {.lex_state = 222},
  [2146] = {.lex_state = 222},
  [2147] = {.lex_state = 222},
  [2148] = {.lex_state = 222},
  [2149] = {.lex_state = 222},
  [2150] = {.lex_state = 222},
  [2151] = {.lex_state = 222},
  [2152] = {.lex_state = 0},
  [2153] = {.lex_state = 0},
  [2154] = {.lex_state = 222},
  [2155] = {.lex_state = 0},
  [2156] = {.lex_state = 222},
  [2157] = {.lex_state = 222},
  [2158] = {.lex_state = 222},
  [2159] = {.lex_state = 118},
  [2160] = {.lex_state = 118},
  [2161] = {.lex_state = 222},
  [2162] = {.lex_state = 222},
  [2163] = {.lex_state = 222},
  [2164] = {.lex_state = 222},
  [2165] = {.lex_state = 222},
  [2166] = {.lex_state = 222},
  [2167] = {.lex_state = 222},
  [2168] = {.lex_state = 222},
  [2169] = {.lex_state = 222},
  [2170] = {.lex_state = 0},
  [2171] = {.lex_state = 0},
  [2172] = {.lex_state = 222},
  [2173] = {.lex_state = 0},
  [2174] = {.lex_state = 222},
  [2175] = {.lex_state = 222},
  [2176] = {.lex_state = 222},
  [2177] = {.lex_state = 222},
  [2178] = {.lex_state = 222},
  [2179] = {.lex_state = 222},
  [2180] = {.lex_state = 0},
  [2181] = {.lex_state = 222},
  [2182] = {.lex_state = 222},
  [2183] = {.lex_state = 0},
  [2184] = {.lex_state = 222},
  [2185] = {.lex_state = 222},
  [2186] = {.lex_state = 0},
  [2187] = {.lex_state = 222},
  [2188] = {.lex_state = 222},
  [2189] = {.lex_state = 222},
  [2190] = {.lex_state = 222},
  [2191] = {.lex_state = 222},
  [2192] = {.lex_state = 222},
  [2193] = {.lex_state = 118},
  [2194] = {.lex_state = 222},
  [2195] = {.lex_state = 222},
  [2196] = {.lex_state = 222},
  [2197] = {.lex_state = 222},
  [2198] = {.lex_state = 222},
  [2199] = {.lex_state = 222},
  [2200] = {.lex_state = 222},
  [2201] = {.lex_state = 222},
  [2202] = {.lex_state = 222},
  [2203] = {.lex_state = 222},
  [2204] = {.lex_state = 222},
  [2205] = {.lex_state = 222},
  [2206] = {.lex_state = 222},
  [2207] = {.lex_state = 222},
  [2208] = {.lex_state = 222},
  [2209] = {.lex_state = 222},
  [2210] = {.lex_state = 222},
  [2211] = {.lex_state = 222},
  [2212] = {.lex_state = 222},
  [2213] = {.lex_state = 118},
  [2214] = {.lex_state = 222},
  [2215] = {.lex_state = 222},
  [2216] = {.lex_state = 222},
  [2217] = {.lex_state = 222},
  [2218] = {.lex_state = 222},
  [2219] = {.lex_state = 222},
  [2220] = {.lex_state = 222},
  [2221] = {.lex_state = 222},
  [2222] = {.lex_state = 222},
  [2223] = {.lex_state = 222},
  [2224] = {.lex_state = 222},
  [2225] = {.lex_state = 222},
  [2226] = {.lex_state = 118},
  [2227] = {.lex_state = 118},
  [2228] = {.lex_state = 222},
  [2229] = {.lex_state = 0},
  [2230] = {.lex_state = 0},
  [2231] = {.lex_state = 222},
  [2232] = {.lex_state = 222},
  [2233] = {.lex_state = 222},
  [2234] = {.lex_state = 222},
  [2235] = {.lex_state = 222},
  [2236] = {.lex_state = 222},
  [2237] = {.lex_state = 0},
  [2238] = {.lex_state = 0},
  [2239] = {.lex_state = 222},
  [2240] = {.lex_state = 0},
  [2241] = {.lex_state = 222},
  [2242] = {.lex_state = 222},
  [2243] = {.lex_state = 222},
  [2244] = {.lex_state = 222},
  [2245] = {.lex_state = 222},
  [2246] = {.lex_state = 222},
  [2247] = {.lex_state = 222},
  [2248] = {.lex_state = 222},
  [2249] = {.lex_state = 222},
  [2250] = {.lex_state = 222},
  [2251] = {.lex_state = 222},
  [2252] = {.lex_state = 222},
  [2253] = {.lex_state = 222},
  [2254] = {.lex_state = 222},
  [2255] = {.lex_state = 222},
  [2256] = {.lex_state = 222},
  [2257] = {.lex_state = 222},
  [2258] = {.lex_state = 222},
  [2259] = {.lex_state = 222},
  [2260] = {.lex_state = 222},
  [2261] = {.lex_state = 222},
  [2262] = {.lex_state = 222},
  [2263] = {.lex_state = 222},
  [2264] = {.lex_state = 222},
  [2265] = {.lex_state = 222},
  [2266] = {.lex_state = 222},
  [2267] = {.lex_state = 222},
  [2268] = {.lex_state = 222},
  [2269] = {.lex_state = 222},
  [2270] = {.lex_state = 222},
  [2271] = {.lex_state = 222},
  [2272] = {.lex_state = 222},
  [2273] = {.lex_state = 222},
  [2274] = {.lex_state = 222},
  [2275] = {.lex_state = 222},
  [2276] = {.lex_state = 222},
  [2277] = {.lex_state = 222},
  [2278] = {.lex_state = 222},
  [2279] = {.lex_state = 222},
  [2280] = {.lex_state = 222},
  [2281] = {.lex_state = 222},
  [2282] = {.lex_state = 222},
  [2283] = {.lex_state = 222},
  [2284] = {.lex_state = 222},
  [2285] = {.lex_state = 222},
  [2286] = {.lex_state = 222},
  [2287] = {.lex_state = 222},
  [2288] = {.lex_state = 222},
  [2289] = {.lex_state = 222},
  [2290] = {.lex_state = 222},
  [2291] = {.lex_state = 222},
  [2292] = {.lex_state = 222},
  [2293] = {.lex_state = 222},
  [2294] = {.lex_state = 222},
  [2295] = {.lex_state = 222},
  [2296] = {.lex_state = 222},
  [2297] = {.lex_state = 222},
  [2298] = {.lex_state = 222},
  [2299] = {.lex_state = 222},
  [2300] = {.lex_state = 222},
  [2301] = {.lex_state = 0},
  [2302] = {.lex_state = 0},
  [2303] = {.lex_state = 222},
  [2304] = {.lex_state = 0},
  [2305] = {.lex_state = 222},
  [2306] = {.lex_state = 222},
  [2307] = {.lex_state = 222},
  [2308] = {.lex_state = 222},
  [2309] = {.lex_state = 222},
  [2310] = {.lex_state = 222},
  [2311] = {.lex_state = 222},
  [2312] = {.lex_state = 222},
  [2313] = {.lex_state = 222},
  [2314] = {.lex_state = 222},
  [2315] = {.lex_state = 222},
  [2316] = {.lex_state = 222},
  [2317] = {.lex_state = 222},
  [2318] = {.lex_state = 222},
  [2319] = {.lex_state = 222},
  [2320] = {.lex_state = 222},
  [2321] = {.lex_state = 222},
  [2322] = {.lex_state = 222},
  [2323] = {.lex_state = 222},
  [2324] = {.lex_state = 222},
  [2325] = {.lex_state = 222},
  [2326] = {.lex_state = 222},
  [2327] = {.lex_state = 222},
  [2328] = {.lex_state = 222},
  [2329] = {.lex_state = 222},
  [2330] = {.lex_state = 222},
  [2331] = {.lex_state = 222},
  [2332] = {.lex_state = 222},
  [2333] = {.lex_state = 222},
  [2334] = {.lex_state = 222},
  [2335] = {.lex_state = 222},
  [2336] = {.lex_state = 222},
  [2337] = {.lex_state = 222},
  [2338] = {.lex_state = 222},
  [2339] = {.lex_state = 222},
  [2340] = {.lex_state = 222},
  [2341] = {.lex_state = 222},
  [2342] = {.lex_state = 222},
  [2343] = {.lex_state = 222},
  [2344] = {.lex_state = 222},
  [2345] = {.lex_state = 222},
  [2346] = {.lex_state = 222},
  [2347] = {.lex_state = 222},
  [2348] = {.lex_state = 222},
  [2349] = {.lex_state = 222},
  [2350] = {.lex_state = 222},
  [2351] = {.lex_state = 222},
  [2352] = {.lex_state = 222},
  [2353] = {.lex_state = 222},
  [2354] = {.lex_state = 222},
  [2355] = {.lex_state = 222},
  [2356] = {.lex_state = 0},
  [2357] = {.lex_state = 0},
  [2358] = {.lex_state = 0},
  [2359] = {.lex_state = 0},
  [2360] = {.lex_state = 0},
  [2361] = {.lex_state = 118},
  [2362] = {.lex_state = 118},
  [2363] = {.lex_state = 222},
  [2364] = {.lex_state = 222},
  [2365] = {.lex_state = 0},
  [2366] = {.lex_state = 0},
  [2367] = {.lex_state = 222},
  [2368] = {.lex_state = 0},
  [2369] = {.lex_state = 0},
  [2370] = {.lex_state = 0},
  [2371] = {.lex_state = 0},
  [2372] = {.lex_state = 222},
  [2373] = {.lex_state = 0},
  [2374] = {.lex_state = 222},
  [2375] = {.lex_state = 0},
  [2376] = {.lex_state = 222},
  [2377] = {.lex_state = 222},
  [2378] = {.lex_state = 222},
  [2379] = {.lex_state = 222},
  [2380] = {.lex_state = 222},
  [2381] = {.lex_state = 222},
  [2382] = {.lex_state = 222},
  [2383] = {.lex_state = 222},
  [2384] = {.lex_state = 222},
  [2385] = {.lex_state = 222},
  [2386] = {.lex_state = 222},
  [2387] = {.lex_state = 222},
  [2388] = {.lex_state = 222},
  [2389] = {.lex_state = 222},
  [2390] = {.lex_state = 222},
  [2391] = {.lex_state = 222},
  [2392] = {.lex_state = 222},
  [2393] = {.lex_state = 222},
  [2394] = {.lex_state = 222},
  [2395] = {.lex_state = 222},
  [2396] = {.lex_state = 222},
  [2397] = {.lex_state = 222},
  [2398] = {.lex_state = 222},
  [2399] = {.lex_state = 222},
  [2400] = {.lex_state = 222},
  [2401] = {.lex_state = 222},
  [2402] = {.lex_state = 222},
  [2403] = {.lex_state = 222},
  [2404] = {.lex_state = 222},
  [2405] = {.lex_state = 222},
  [2406] = {.lex_state = 222},
  [2407] = {.lex_state = 222},
  [2408] = {.lex_state = 222},
  [2409] = {.lex_state = 222},
  [2410] = {.lex_state = 222},
  [2411] = {.lex_state = 222},
  [2412] = {.lex_state = 222},
  [2413] = {.lex_state = 222},
  [2414] = {.lex_state = 222},
  [2415] = {.lex_state = 222},
  [2416] = {.lex_state = 222},
  [2417] = {.lex_state = 222},
  [2418] = {.lex_state = 222},
  [2419] = {.lex_state = 222},
  [2420] = {.lex_state = 222},
  [2421] = {.lex_state = 222},
  [2422] = {.lex_state = 222},
  [2423] = {.lex_state = 222},
  [2424] = {.lex_state = 222},
  [2425] = {.lex_state = 222},
  [2426] = {.lex_state = 222},
  [2427] = {.lex_state = 222},
  [2428] = {.lex_state = 222},
  [2429] = {.lex_state = 222},
  [2430] = {.lex_state = 222},
  [2431] = {.lex_state = 222},
  [2432] = {.lex_state = 222},
  [2433] = {.lex_state = 222},
  [2434] = {.lex_state = 222},
  [2435] = {.lex_state = 222},
  [2436] = {.lex_state = 222},
  [2437] = {.lex_state = 222},
  [2438] = {.lex_state = 222},
  [2439] = {.lex_state = 222},
  [2440] = {.lex_state = 222},
  [2441] = {.lex_state = 224},
  [2442] = {.lex_state = 224},
  [2443] = {.lex_state = 222},
  [2444] = {.lex_state = 222},
  [2445] = {.lex_state = 222},
  [2446] = {.lex_state = 222},
  [2447] = {.lex_state = 222},
  [2448] = {.lex_state = 224},
  [2449] = {.lex_state = 222},
  [2450] = {.lex_state = 222},
  [2451] = {.lex_state = 222},
  [2452] = {.lex_state = 222},
  [2453] = {.lex_state = 222},
  [2454] = {.lex_state = 222},
  [2455] = {.lex_state = 222},
  [2456] = {.lex_state = 222},
  [2457] = {.lex_state = 222},
  [2458] = {.lex_state = 222},
  [2459] = {.lex_state = 222},
  [2460] = {.lex_state = 222},
  [2461] = {.lex_state = 222},
  [2462] = {.lex_state = 222},
  [2463] = {.lex_state = 222},
  [2464] = {.lex_state = 222},
  [2465] = {.lex_state = 222},
  [2466] = {.lex_state = 222},
  [2467] = {.lex_state = 222},
  [2468] = {.lex_state = 222},
  [2469] = {.lex_state = 222},
  [2470] = {.lex_state = 222},
  [2471] = {.lex_state = 222},
  [2472] = {.lex_state = 222},
  [2473] = {.lex_state = 0},
  [2474] = {.lex_state = 222},
  [2475] = {.lex_state = 222},
  [2476] = {.lex_state = 577},
  [2477] = {.lex_state = 577},
  [2478] = {.lex_state = 577},
  [2479] = {.lex_state = 118},
  [2480] = {.lex_state = 567},
  [2481] = {.lex_state = 577},
  [2482] = {.lex_state = 222},
  [2483] = {.lex_state = 0},
  [2484] = {.lex_state = 118},
  [2485] = {.lex_state = 0},
  [2486] = {.lex_state = 0},
  [2487] = {.lex_state = 0},
  [2488] = {.lex_state = 0},
  [2489] = {.lex_state = 0},
  [2490] = {.lex_state = 222},
  [2491] = {.lex_state = 222},
  [2492] = {.lex_state = 118},
  [2493] = {.lex_state = 0},
  [2494] = {.lex_state = 118},
  [2495] = {.lex_state = 118},
  [2496] = {.lex_state = 118},
  [2497] = {.lex_state = 222},
  [2498] = {.lex_state = 222},
  [2499] = {.lex_state = 118},
  [2500] = {.lex_state = 231},
  [2501] = {.lex_state = 222},
  [2502] = {.lex_state = 118},
  [2503] = {.lex_state = 118},
  [2504] = {.lex_state = 118},
  [2505] = {.lex_state = 118},
  [2506] = {.lex_state = 118},
  [2507] = {.lex_state = 118},
  [2508] = {.lex_state = 118},
  [2509] = {.lex_state = 118},
  [2510] = {.lex_state = 117},
  [2511] = {.lex_state = 118},
  [2512] = {.lex_state = 118},
  [2513] = {.lex_state = 118},
  [2514] = {.lex_state = 110},
  [2515] = {.lex_state = 118},
  [2516] = {.lex_state = 110},
  [2517] = {.lex_state = 110},
  [2518] = {.lex_state = 222},
  [2519] = {.lex_state = 222},
  [2520] = {.lex_state = 222},
  [2521] = {.lex_state = 222},
  [2522] = {.lex_state = 222},
  [2523] = {.lex_state = 222},
  [2524] = {.lex_state = 222},
  [2525] = {.lex_state = 0},
  [2526] = {.lex_state = 0},
  [2527] = {.lex_state = 0},
  [2528] = {.lex_state = 236},
  [2529] = {.lex_state = 222},
  [2530] = {.lex_state = 0},
  [2531] = {.lex_state = 117},
  [2532] = {.lex_state = 222},
  [2533] = {.lex_state = 222},
  [2534] = {.lex_state = 222},
  [2535] = {.lex_state = 222},
  [2536] = {.lex_state = 222},
  [2537] = {.lex_state = 222},
  [2538] = {.lex_state = 222},
  [2539] = {.lex_state = 222},
  [2540] = {.lex_state = 222},
  [2541] = {.lex_state = 222},
  [2542] = {.lex_state = 222},
  [2543] = {.lex_state = 222},
  [2544] = {.lex_state = 0},
  [2545] = {.lex_state = 0},
  [2546] = {.lex_state = 118},
  [2547] = {.lex_state = 118},
  [2548] = {.lex_state = 118},
  [2549] = {.lex_state = 118},
  [2550] = {.lex_state = 118},
  [2551] = {.lex_state = 222},
  [2552] = {.lex_state = 222},
  [2553] = {.lex_state = 118},
  [2554] = {.lex_state = 118},
  [2555] = {.lex_state = 118},
  [2556] = {.lex_state = 222},
  [2557] = {.lex_state = 222},
  [2558] = {.lex_state = 118},
  [2559] = {.lex_state = 577},
  [2560] = {.lex_state = 577},
  [2561] = {.lex_state = 577},
  [2562] = {.lex_state = 118},
  [2563] = {.lex_state = 577},
  [2564] = {.lex_state = 222},
  [2565] = {.lex_state = 118},
  [2566] = {.lex_state = 118},
  [2567] = {.lex_state = 118},
  [2568] = {.lex_state = 118},
  [2569] = {.lex_state = 118},
  [2570] = {.lex_state = 118},
  [2571] = {.lex_state = 118},
  [2572] = {.lex_state = 118},
  [2573] = {.lex_state = 118},
  [2574] = {.lex_state = 118},
  [2575] = {.lex_state = 118},
  [2576] = {.lex_state = 118},
  [2577] = {.lex_state = 118},
  [2578] = {.lex_state = 118},
  [2579] = {.lex_state = 118},
  [2580] = {.lex_state = 118},
  [2581] = {.lex_state = 118},
  [2582] = {.lex_state = 118},
  [2583] = {.lex_state = 118},
  [2584] = {.lex_state = 118},
  [2585] = {.lex_state = 118},
  [2586] = {.lex_state = 118},
  [2587] = {.lex_state = 222},
  [2588] = {.lex_state = 222},
  [2589] = {.lex_state = 222},
  [2590] = {.lex_state = 222},
  [2591] = {.lex_state = 222},
  [2592] = {.lex_state = 117},
  [2593] = {.lex_state = 118},
  [2594] = {.lex_state = 118},
  [2595] = {.lex_state = 222},
  [2596] = {.lex_state = 0},
  [2597] = {.lex_state = 222},
  [2598] = {.lex_state = 222},
  [2599] = {.lex_state = 222},
  [2600] = {.lex_state = 222},
  [2601] = {.lex_state = 577},
  [2602] = {.lex_state = 577},
  [2603] = {.lex_state = 577},
  [2604] = {.lex_state = 222},
  [2605] = {.lex_state = 577},
  [2606] = {.lex_state = 222},
  [2607] = {.lex_state = 110},
  [2608] = {.lex_state = 222},
  [2609] = {.lex_state = 230},
  [2610] = {.lex_state = 230},
  [2611] = {.lex_state = 224},
  [2612] = {.lex_state = 110},
  [2613] = {.lex_state = 224},
  [2614] = {.lex_state = 110},
  [2615] = {.lex_state = 224},
  [2616] = {.lex_state = 110},
  [2617] = {.lex_state = 222},
  [2618] = {.lex_state = 222},
  [2619] = {.lex_state = 0},
  [2620] = {.lex_state = 222},
  [2621] = {.lex_state = 222},
  [2622] = {.lex_state = 222},
  [2623] = {.lex_state = 222},
  [2624] = {.lex_state = 222},
  [2625] = {.lex_state = 222},
  [2626] = {.lex_state = 222},
  [2627] = {.lex_state = 0},
  [2628] = {.lex_state = 222},
  [2629] = {.lex_state = 222},
  [2630] = {.lex_state = 222},
  [2631] = {.lex_state = 222},
  [2632] = {.lex_state = 577},
  [2633] = {.lex_state = 222},
  [2634] = {.lex_state = 222},
  [2635] = {.lex_state = 222},
  [2636] = {.lex_state = 222},
  [2637] = {.lex_state = 222},
  [2638] = {.lex_state = 222},
  [2639] = {.lex_state = 577},
  [2640] = {.lex_state = 577},
  [2641] = {.lex_state = 577},
  [2642] = {.lex_state = 581},
  [2643] = {.lex_state = 577},
  [2644] = {.lex_state = 222},
  [2645] = {.lex_state = 222},
  [2646] = {.lex_state = 222},
  [2647] = {.lex_state = 222},
  [2648] = {.lex_state = 222},
  [2649] = {.lex_state = 222},
  [2650] = {.lex_state = 222},
  [2651] = {.lex_state = 222},
  [2652] = {.lex_state = 222},
  [2653] = {.lex_state = 222},
  [2654] = {.lex_state = 222},
  [2655] = {.lex_state = 230},
  [2656] = {.lex_state = 222},
  [2657] = {.lex_state = 222},
  [2658] = {.lex_state = 222},
  [2659] = {.lex_state = 567},
  [2660] = {.lex_state = 222},
  [2661] = {.lex_state = 118},
  [2662] = {.lex_state = 577},
  [2663] = {.lex_state = 577},
  [2664] = {.lex_state = 577},
  [2665] = {.lex_state = 118},
  [2666] = {.lex_state = 230},
  [2667] = {.lex_state = 222},
  [2668] = {.lex_state = 118},
  [2669] = {.lex_state = 118},
  [2670] = {.lex_state = 118},
  [2671] = {.lex_state = 118},
  [2672] = {.lex_state = 222},
  [2673] = {.lex_state = 222},
  [2674] = {.lex_state = 222},
  [2675] = {.lex_state = 222},
  [2676] = {.lex_state = 118},
  [2677] = {.lex_state = 577},
  [2678] = {.lex_state = 577},
  [2679] = {.lex_state = 577},
  [2680] = {.lex_state = 118},
  [2681] = {.lex_state = 577},
  [2682] = {.lex_state = 222},
  [2683] = {.lex_state = 222},
  [2684] = {.lex_state = 118},
  [2685] = {.lex_state = 231},
  [2686] = {.lex_state = 118},
  [2687] = {.lex_state = 118},
  [2688] = {.lex_state = 118},
  [2689] = {.lex_state = 222},
  [2690] = {.lex_state = 118},
  [2691] = {.lex_state = 118},
  [2692] = {.lex_state = 118},
  [2693] = {.lex_state = 118},
  [2694] = {.lex_state = 118},
  [2695] = {.lex_state = 118},
  [2696] = {.lex_state = 118},
  [2697] = {.lex_state = 118},
  [2698] = {.lex_state = 118},
  [2699] = {.lex_state = 222},
  [2700] = {.lex_state = 222},
  [2701] = {.lex_state = 222},
  [2702] = {.lex_state = 118},
  [2703] = {.lex_state = 118},
  [2704] = {.lex_state = 118},
  [2705] = {.lex_state = 118},
  [2706] = {.lex_state = 118},
  [2707] = {.lex_state = 118},
  [2708] = {.lex_state = 110},
  [2709] = {.lex_state = 0},
  [2710] = {.lex_state = 222},
  [2711] = {.lex_state = 222},
  [2712] = {.lex_state = 222},
  [2713] = {.lex_state = 222},
  [2714] = {.lex_state = 222},
  [2715] = {.lex_state = 577},
  [2716] = {.lex_state = 577},
  [2717] = {.lex_state = 577},
  [2718] = {.lex_state = 0},
  [2719] = {.lex_state = 577},
  [2720] = {.lex_state = 222},
  [2721] = {.lex_state = 0},
  [2722] = {.lex_state = 222},
  [2723] = {.lex_state = 222},
  [2724] = {.lex_state = 222},
  [2725] = {.lex_state = 222},
  [2726] = {.lex_state = 110},
  [2727] = {.lex_state = 222},
  [2728] = {.lex_state = 118},
  [2729] = {.lex_state = 110},
  [2730] = {.lex_state = 222},
  [2731] = {.lex_state = 222},
  [2732] = {.lex_state = 222},
  [2733] = {.lex_state = 118},
  [2734] = {.lex_state = 0},
  [2735] = {.lex_state = 118},
  [2736] = {.lex_state = 118},
  [2737] = {.lex_state = 118},
  [2738] = {.lex_state = 118},
  [2739] = {.lex_state = 118},
  [2740] = {.lex_state = 118},
  [2741] = {.lex_state = 118},
  [2742] = {.lex_state = 118},
  [2743] = {.lex_state = 118},
  [2744] = {.lex_state = 118},
  [2745] = {.lex_state = 118},
  [2746] = {.lex_state = 118},
  [2747] = {.lex_state = 118},
  [2748] = {.lex_state = 222},
  [2749] = {.lex_state = 222},
  [2750] = {.lex_state = 118},
  [2751] = {.lex_state = 577},
  [2752] = {.lex_state = 577},
  [2753] = {.lex_state = 577},
  [2754] = {.lex_state = 118},
  [2755] = {.lex_state = 577},
  [2756] = {.lex_state = 222},
  [2757] = {.lex_state = 118},
  [2758] = {.lex_state = 118},
  [2759] = {.lex_state = 118},
  [2760] = {.lex_state = 118},
  [2761] = {.lex_state = 118},
  [2762] = {.lex_state = 118},
  [2763] = {.lex_state = 118},
  [2764] = {.lex_state = 118},
  [2765] = {.lex_state = 118},
  [2766] = {.lex_state = 118},
  [2767] = {.lex_state = 118},
  [2768] = {.lex_state = 118},
  [2769] = {.lex_state = 118},
  [2770] = {.lex_state = 110},
  [2771] = {.lex_state = 110},
  [2772] = {.lex_state = 118},
  [2773] = {.lex_state = 110},
  [2774] = {.lex_state = 118},
  [2775] = {.lex_state = 118},
  [2776] = {.lex_state = 110},
  [2777] = {.lex_state = 118},
  [2778] = {.lex_state = 118},
  [2779] = {.lex_state = 118},
  [2780] = {.lex_state = 118},
  [2781] = {.lex_state = 118},
  [2782] = {.lex_state = 118},
  [2783] = {.lex_state = 118},
  [2784] = {.lex_state = 118},
  [2785] = {.lex_state = 118},
  [2786] = {.lex_state = 118},
  [2787] = {.lex_state = 577},
  [2788] = {.lex_state = 577},
  [2789] = {.lex_state = 577},
  [2790] = {.lex_state = 118},
  [2791] = {.lex_state = 577},
  [2792] = {.lex_state = 222},
  [2793] = {.lex_state = 0},
  [2794] = {.lex_state = 0},
  [2795] = {.lex_state = 222},
  [2796] = {.lex_state = 222},
  [2797] = {.lex_state = 222},
  [2798] = {.lex_state = 222},
  [2799] = {.lex_state = 222},
  [2800] = {.lex_state = 222},
  [2801] = {.lex_state = 222},
  [2802] = {.lex_state = 584},
  [2803] = {.lex_state = 0},
  [2804] = {.lex_state = 222},
  [2805] = {.lex_state = 222},
  [2806] = {.lex_state = 222},
  [2807] = {.lex_state = 0},
  [2808] = {.lex_state = 0},
  [2809] = {.lex_state = 0},
  [2810] = {.lex_state = 0},
  [2811] = {.lex_state = 0},
  [2812] = {.lex_state = 0},
  [2813] = {.lex_state = 118},
  [2814] = {.lex_state = 118},
  [2815] = {.lex_state = 0},
  [2816] = {.lex_state = 222},
  [2817] = {.lex_state = 222},
  [2818] = {.lex_state = 222},
  [2819] = {.lex_state = 0},
  [2820] = {.lex_state = 0},
  [2821] = {.lex_state = 222},
  [2822] = {.lex_state = 577},
  [2823] = {.lex_state = 577},
  [2824] = {.lex_state = 577},
  [2825] = {.lex_state = 0},
  [2826] = {.lex_state = 577},
  [2827] = {.lex_state = 0},
  [2828] = {.lex_state = 0},
  [2829] = {.lex_state = 577},
  [2830] = {.lex_state = 577},
  [2831] = {.lex_state = 577},
  [2832] = {.lex_state = 581},
  [2833] = {.lex_state = 577},
  [2834] = {.lex_state = 0},
  [2835] = {.lex_state = 0},
  [2836] = {.lex_state = 577},
  [2837] = {.lex_state = 577},
  [2838] = {.lex_state = 577},
  [2839] = {.lex_state = 0},
  [2840] = {.lex_state = 577},
  [2841] = {.lex_state = 0},
  [2842] = {.lex_state = 0},
  [2843] = {.lex_state = 577},
  [2844] = {.lex_state = 577},
  [2845] = {.lex_state = 577},
  [2846] = {.lex_state = 0},
  [2847] = {.lex_state = 118},
  [2848] = {.lex_state = 118},
  [2849] = {.lex_state = 118},
  [2850] = {.lex_state = 118},
  [2851] = {.lex_state = 118},
  [2852] = {.lex_state = 118},
  [2853] = {.lex_state = 118},
  [2854] = {.lex_state = 118},
  [2855] = {.lex_state = 118},
  [2856] = {.lex_state = 118},
  [2857] = {.lex_state = 118},
  [2858] = {.lex_state = 118},
  [2859] = {.lex_state = 118},
  [2860] = {.lex_state = 118},
  [2861] = {.lex_state = 118},
  [2862] = {.lex_state = 118},
  [2863] = {.lex_state = 118},
  [2864] = {.lex_state = 118},
  [2865] = {.lex_state = 118},
  [2866] = {.lex_state = 118},
  [2867] = {.lex_state = 118},
  [2868] = {.lex_state = 118},
  [2869] = {.lex_state = 118},
  [2870] = {.lex_state = 118},
  [2871] = {.lex_state = 118},
  [2872] = {.lex_state = 118},
  [2873] = {.lex_state = 118},
  [2874] = {.lex_state = 118},
  [2875] = {.lex_state = 118},
  [2876] = {.lex_state = 118},
  [2877] = {.lex_state = 118},
  [2878] = {.lex_state = 118},
  [2879] = {.lex_state = 118},
  [2880] = {.lex_state = 118},
  [2881] = {.lex_state = 118},
  [2882] = {.lex_state = 118},
  [2883] = {.lex_state = 118},
  [2884] = {.lex_state = 118},
  [2885] = {.lex_state = 118},
  [2886] = {.lex_state = 118},
  [2887] = {.lex_state = 118},
  [2888] = {.lex_state = 118},
  [2889] = {.lex_state = 118},
  [2890] = {.lex_state = 118},
  [2891] = {.lex_state = 118},
  [2892] = {.lex_state = 118},
  [2893] = {.lex_state = 118},
  [2894] = {.lex_state = 118},
  [2895] = {.lex_state = 118},
  [2896] = {.lex_state = 118},
  [2897] = {.lex_state = 118},
  [2898] = {.lex_state = 118},
  [2899] = {.lex_state = 118},
  [2900] = {.lex_state = 118},
  [2901] = {.lex_state = 118},
  [2902] = {.lex_state = 0},
  [2903] = {.lex_state = 0},
  [2904] = {.lex_state = 0},
  [2905] = {.lex_state = 0},
  [2906] = {.lex_state = 222},
  [2907] = {.lex_state = 0},
  [2908] = {.lex_state = 118},
  [2909] = {.lex_state = 118},
  [2910] = {.lex_state = 118},
  [2911] = {.lex_state = 118},
  [2912] = {.lex_state = 118},
  [2913] = {.lex_state = 118},
  [2914] = {.lex_state = 118},
  [2915] = {.lex_state = 118},
  [2916] = {.lex_state = 118},
  [2917] = {.lex_state = 118},
  [2918] = {.lex_state = 118},
  [2919] = {.lex_state = 118},
  [2920] = {.lex_state = 118},
  [2921] = {.lex_state = 118},
  [2922] = {.lex_state = 118},
  [2923] = {.lex_state = 118},
  [2924] = {.lex_state = 118},
  [2925] = {.lex_state = 118},
  [2926] = {.lex_state = 118},
  [2927] = {.lex_state = 118},
  [2928] = {.lex_state = 118},
  [2929] = {.lex_state = 118},
  [2930] = {.lex_state = 118},
  [2931] = {.lex_state = 118},
  [2932] = {.lex_state = 118},
  [2933] = {.lex_state = 118},
  [2934] = {.lex_state = 118},
  [2935] = {.lex_state = 118},
  [2936] = {.lex_state = 0},
  [2937] = {.lex_state = 0},
  [2938] = {.lex_state = 222},
  [2939] = {.lex_state = 0},
  [2940] = {.lex_state = 118},
  [2941] = {.lex_state = 118},
  [2942] = {.lex_state = 118},
  [2943] = {.lex_state = 118},
  [2944] = {.lex_state = 118},
  [2945] = {.lex_state = 118},
  [2946] = {.lex_state = 118},
  [2947] = {.lex_state = 118},
  [2948] = {.lex_state = 118},
  [2949] = {.lex_state = 118},
  [2950] = {.lex_state = 118},
  [2951] = {.lex_state = 118},
  [2952] = {.lex_state = 118},
  [2953] = {.lex_state = 118},
  [2954] = {.lex_state = 118},
  [2955] = {.lex_state = 118},
  [2956] = {.lex_state = 118},
  [2957] = {.lex_state = 118},
  [2958] = {.lex_state = 118},
  [2959] = {.lex_state = 118},
  [2960] = {.lex_state = 118},
  [2961] = {.lex_state = 118},
  [2962] = {.lex_state = 118},
  [2963] = {.lex_state = 118},
  [2964] = {.lex_state = 118},
  [2965] = {.lex_state = 118},
  [2966] = {.lex_state = 118},
  [2967] = {.lex_state = 0},
  [2968] = {.lex_state = 222},
  [2969] = {.lex_state = 0},
  [2970] = {.lex_state = 118},
  [2971] = {.lex_state = 118},
  [2972] = {.lex_state = 118},
  [2973] = {.lex_state = 118},
  [2974] = {.lex_state = 118},
  [2975] = {.lex_state = 118},
  [2976] = {.lex_state = 118},
  [2977] = {.lex_state = 118},
  [2978] = {.lex_state = 118},
  [2979] = {.lex_state = 118},
  [2980] = {.lex_state = 118},
  [2981] = {.lex_state = 118},
  [2982] = {.lex_state = 118},
  [2983] = {.lex_state = 118},
  [2984] = {.lex_state = 118},
  [2985] = {.lex_state = 118},
  [2986] = {.lex_state = 118},
  [2987] = {.lex_state = 118},
  [2988] = {.lex_state = 118},
  [2989] = {.lex_state = 118},
  [2990] = {.lex_state = 118},
  [2991] = {.lex_state = 118},
  [2992] = {.lex_state = 118},
  [2993] = {.lex_state = 118},
  [2994] = {.lex_state = 118},
  [2995] = {.lex_state = 118},
  [2996] = {.lex_state = 118},
  [2997] = {.lex_state = 594},
  [2998] = {.lex_state = 222},
  [2999] = {.lex_state = 0},
  [3000] = {.lex_state = 118},
  [3001] = {.lex_state = 118},
  [3002] = {.lex_state = 118},
  [3003] = {.lex_state = 118},
  [3004] = {.lex_state = 118},
  [3005] = {.lex_state = 118},
  [3006] = {.lex_state = 118},
  [3007] = {.lex_state = 118},
  [3008] = {.lex_state = 118},
  [3009] = {.lex_state = 118},
  [3010] = {.lex_state = 118},
  [3011] = {.lex_state = 118},
  [3012] = {.lex_state = 118},
  [3013] = {.lex_state = 118},
  [3014] = {.lex_state = 118},
  [3015] = {.lex_state = 118},
  [3016] = {.lex_state = 118},
  [3017] = {.lex_state = 118},
  [3018] = {.lex_state = 118},
  [3019] = {.lex_state = 118},
  [3020] = {.lex_state = 118},
  [3021] = {.lex_state = 118},
  [3022] = {.lex_state = 118},
  [3023] = {.lex_state = 118},
  [3024] = {.lex_state = 118},
  [3025] = {.lex_state = 118},
  [3026] = {.lex_state = 118},
  [3027] = {.lex_state = 222},
  [3028] = {.lex_state = 222},
  [3029] = {.lex_state = 0},
  [3030] = {.lex_state = 118},
  [3031] = {.lex_state = 118},
  [3032] = {.lex_state = 118},
  [3033] = {.lex_state = 118},
  [3034] = {.lex_state = 118},
  [3035] = {.lex_state = 118},
  [3036] = {.lex_state = 118},
  [3037] = {.lex_state = 118},
  [3038] = {.lex_state = 118},
  [3039] = {.lex_state = 118},
  [3040] = {.lex_state = 118},
  [3041] = {.lex_state = 118},
  [3042] = {.lex_state = 118},
  [3043] = {.lex_state = 118},
  [3044] = {.lex_state = 118},
  [3045] = {.lex_state = 118},
  [3046] = {.lex_state = 118},
  [3047] = {.lex_state = 118},
  [3048] = {.lex_state = 118},
  [3049] = {.lex_state = 118},
  [3050] = {.lex_state = 118},
  [3051] = {.lex_state = 118},
  [3052] = {.lex_state = 118},
  [3053] = {.lex_state = 118},
  [3054] = {.lex_state = 118},
  [3055] = {.lex_state = 118},
  [3056] = {.lex_state = 118},
  [3057] = {.lex_state = 222},
  [3058] = {.lex_state = 118},
  [3059] = {.lex_state = 118},
  [3060] = {.lex_state = 118},
  [3061] = {.lex_state = 118},
  [3062] = {.lex_state = 118},
  [3063] = {.lex_state = 118},
  [3064] = {.lex_state = 118},
  [3065] = {.lex_state = 118},
  [3066] = {.lex_state = 118},
  [3067] = {.lex_state = 118},
  [3068] = {.lex_state = 118},
  [3069] = {.lex_state = 118},
  [3070] = {.lex_state = 118},
  [3071] = {.lex_state = 118},
  [3072] = {.lex_state = 118},
  [3073] = {.lex_state = 118},
  [3074] = {.lex_state = 118},
  [3075] = {.lex_state = 118},
  [3076] = {.lex_state = 118},
  [3077] = {.lex_state = 118},
  [3078] = {.lex_state = 118},
  [3079] = {.lex_state = 118},
  [3080] = {.lex_state = 118},
  [3081] = {.lex_state = 118},
  [3082] = {.lex_state = 118},
  [3083] = {.lex_state = 118},
  [3084] = {.lex_state = 118},
  [3085] = {.lex_state = 0},
  [3086] = {.lex_state = 118},
  [3087] = {.lex_state = 118},
  [3088] = {.lex_state = 118},
  [3089] = {.lex_state = 118},
  [3090] = {.lex_state = 118},
  [3091] = {.lex_state = 118},
  [3092] = {.lex_state = 118},
  [3093] = {.lex_state = 118},
  [3094] = {.lex_state = 118},
  [3095] = {.lex_state = 118},
  [3096] = {.lex_state = 118},
  [3097] = {.lex_state = 118},
  [3098] = {.lex_state = 118},
  [3099] = {.lex_state = 118},
  [3100] = {.lex_state = 118},
  [3101] = {.lex_state = 118},
  [3102] = {.lex_state = 118},
  [3103] = {.lex_state = 118},
  [3104] = {.lex_state = 118},
  [3105] = {.lex_state = 118},
  [3106] = {.lex_state = 118},
  [3107] = {.lex_state = 118},
  [3108] = {.lex_state = 118},
  [3109] = {.lex_state = 118},
  [3110] = {.lex_state = 118},
  [3111] = {.lex_state = 118},
  [3112] = {.lex_state = 118},
  [3113] = {.lex_state = 0},
  [3114] = {.lex_state = 118},
  [3115] = {.lex_state = 118},
  [3116] = {.lex_state = 0},
  [3117] = {.lex_state = 0},
  [3118] = {.lex_state = 118},
  [3119] = {.lex_state = 118},
  [3120] = {.lex_state = 118},
  [3121] = {.lex_state = 118},
  [3122] = {.lex_state = 118},
  [3123] = {.lex_state = 118},
  [3124] = {.lex_state = 118},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_bookcode] = ACTIONS(1),
    [anon_sym_BSLASHid] = ACTIONS(1),
    [sym_numberedLevelMax3] = ACTIONS(1),
    [sym_numberedLevelMax4] = ACTIONS(1),
    [sym_numberedLevelMax5] = ACTIONS(1),
    [sym_versionNumber] = ACTIONS(1),
    [anon_sym_BSLASHusfm] = ACTIONS(1),
    [anon_sym_BSLASHide] = ACTIONS(1),
    [anon_sym_BSLASHref] = ACTIONS(1),
    [anon_sym_BSLASHref_STAR] = ACTIONS(1),
    [anon_sym_BSLASHh] = ACTIONS(1),
    [anon_sym_BSLASHtoc] = ACTIONS(1),
    [anon_sym_BSLASHtoca] = ACTIONS(1),
    [anon_sym_BSLASHsts] = ACTIONS(1),
    [anon_sym_BSLASHrem] = ACTIONS(1),
    [anon_sym_BSLASHrestore] = ACTIONS(1),
    [anon_sym_BSLASHlit] = ACTIONS(1),
    [anon_sym_BSLASHiqt] = ACTIONS(1),
    [anon_sym_BSLASHiqt_STAR] = ACTIONS(1),
    [anon_sym_BSLASHimt] = ACTIONS(1),
    [anon_sym_BSLASHimte] = ACTIONS(1),
    [aux_sym_imteTag_token1] = ACTIONS(1),
    [anon_sym_BSLASHis] = ACTIONS(1),
    [anon_sym_BSLASHio] = ACTIONS(1),
    [anon_sym_BSLASHior] = ACTIONS(1),
    [anon_sym_BSLASHior_STAR] = ACTIONS(1),
    [anon_sym_BSLASHiot] = ACTIONS(1),
    [anon_sym_BSLASHip] = ACTIONS(1),
    [anon_sym_BSLASHim] = ACTIONS(1),
    [anon_sym_BSLASHipi] = ACTIONS(1),
    [anon_sym_BSLASHimi] = ACTIONS(1),
    [anon_sym_BSLASHili] = ACTIONS(1),
    [anon_sym_BSLASHipq] = ACTIONS(1),
    [anon_sym_BSLASHimq] = ACTIONS(1),
    [anon_sym_BSLASHipr] = ACTIONS(1),
    [anon_sym_BSLASHib] = ACTIONS(1),
    [anon_sym_BSLASHiq] = ACTIONS(1),
    [anon_sym_BSLASHie] = ACTIONS(1),
    [anon_sym_BSLASHiex] = ACTIONS(1),
    [anon_sym_BSLASHv] = ACTIONS(1),
    [anon_sym_BSLASHva] = ACTIONS(1),
    [anon_sym_BSLASHva_STAR] = ACTIONS(1),
    [anon_sym_BSLASHvp] = ACTIONS(1),
    [anon_sym_BSLASHvp_STAR] = ACTIONS(1),
    [anon_sym_BSLASHc] = ACTIONS(1),
    [sym_chapterNumber] = ACTIONS(1),
    [anon_sym_BSLASHcl] = ACTIONS(1),
    [anon_sym_BSLASHca] = ACTIONS(1),
    [anon_sym_BSLASHca_STAR] = ACTIONS(1),
    [anon_sym_BSLASHcp] = ACTIONS(1),
    [anon_sym_BSLASHcd] = ACTIONS(1),
    [anon_sym_BSLASHmt] = ACTIONS(1),
    [anon_sym_BSLASHmte] = ACTIONS(1),
    [anon_sym_BSLASHms] = ACTIONS(1),
    [anon_sym_BSLASHmr] = ACTIONS(1),
    [anon_sym_BSLASHs] = ACTIONS(1),
    [anon_sym_BSLASHsr] = ACTIONS(1),
    [anon_sym_BSLASHr] = ACTIONS(1),
    [anon_sym_BSLASHsp] = ACTIONS(1),
    [anon_sym_BSLASHd] = ACTIONS(1),
    [anon_sym_BSLASHsd] = ACTIONS(1),
    [anon_sym_BSLASHp] = ACTIONS(1),
    [anon_sym_BSLASHm] = ACTIONS(1),
    [anon_sym_BSLASHpo] = ACTIONS(1),
    [anon_sym_BSLASHpr] = ACTIONS(1),
    [anon_sym_BSLASHcls] = ACTIONS(1),
    [anon_sym_BSLASHpmo] = ACTIONS(1),
    [anon_sym_BSLASHpm] = ACTIONS(1),
    [anon_sym_BSLASHpmc] = ACTIONS(1),
    [anon_sym_BSLASHpmr] = ACTIONS(1),
    [anon_sym_BSLASHpi] = ACTIONS(1),
    [anon_sym_BSLASHmi] = ACTIONS(1),
    [anon_sym_BSLASHnb] = ACTIONS(1),
    [anon_sym_BSLASHpc] = ACTIONS(1),
    [anon_sym_BSLASHph] = ACTIONS(1),
    [anon_sym_BSLASHphi] = ACTIONS(1),
    [anon_sym_BSLASHb] = ACTIONS(1),
    [anon_sym_BSLASHq] = ACTIONS(1),
    [anon_sym_BSLASHqr] = ACTIONS(1),
    [anon_sym_BSLASHqc] = ACTIONS(1),
    [anon_sym_BSLASHqs] = ACTIONS(1),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(1),
    [anon_sym_BSLASHqa] = ACTIONS(1),
    [anon_sym_BSLASHqac] = ACTIONS(1),
    [anon_sym_BSLASHqm] = ACTIONS(1),
    [anon_sym_BSLASHqd] = ACTIONS(1),
    [anon_sym_BSLASHlh] = ACTIONS(1),
    [anon_sym_BSLASHlf] = ACTIONS(1),
    [anon_sym_BSLASHli] = ACTIONS(1),
    [anon_sym_BSLASHlim] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_BSLASHliv] = ACTIONS(1),
    [anon_sym_BSLASHlik] = ACTIONS(1),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(1),
    [anon_sym_BSLASHlitl] = ACTIONS(1),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(1),
    [anon_sym_BSLASHtr] = ACTIONS(1),
    [sym_thTag] = ACTIONS(1),
    [sym_thrTag] = ACTIONS(1),
    [sym_tcTag] = ACTIONS(1),
    [sym_tcrTag] = ACTIONS(1),
    [anon_sym_BSLASHf] = ACTIONS(1),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfe] = ACTIONS(1),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1),
    [anon_sym_BSLASHef] = ACTIONS(1),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfr] = ACTIONS(1),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfq] = ACTIONS(1),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfqa] = ACTIONS(1),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfk] = ACTIONS(1),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfl] = ACTIONS(1),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfw] = ACTIONS(1),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfp] = ACTIONS(1),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(1),
    [anon_sym_BSLASHft] = ACTIONS(1),
    [anon_sym_BSLASHft_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfdc] = ACTIONS(1),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfv] = ACTIONS(1),
    [anon_sym_BSLASHfv_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfm] = ACTIONS(1),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(1),
    [anon_sym_BSLASHx] = ACTIONS(1),
    [anon_sym_BSLASHx_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxo] = ACTIONS(1),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxk] = ACTIONS(1),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxq] = ACTIONS(1),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxt] = ACTIONS(1),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxta] = ACTIONS(1),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxop] = ACTIONS(1),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxot] = ACTIONS(1),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxnt] = ACTIONS(1),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(1),
    [anon_sym_BSLASHxdc] = ACTIONS(1),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(1),
    [anon_sym_BSLASHrq] = ACTIONS(1),
    [anon_sym_BSLASHrq_STAR] = ACTIONS(1),
    [anon_sym_BSLASHadd] = ACTIONS(1),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(1),
    [anon_sym_BSLASHbk] = ACTIONS(1),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(1),
    [anon_sym_BSLASHdc] = ACTIONS(1),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(1),
    [anon_sym_BSLASHk] = ACTIONS(1),
    [anon_sym_BSLASHk_STAR] = ACTIONS(1),
    [anon_sym_BSLASHnd] = ACTIONS(1),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(1),
    [anon_sym_BSLASHord] = ACTIONS(1),
    [anon_sym_BSLASHord_STAR] = ACTIONS(1),
    [anon_sym_BSLASHpn] = ACTIONS(1),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(1),
    [anon_sym_BSLASHpng] = ACTIONS(1),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(1),
    [anon_sym_BSLASHaddpn] = ACTIONS(1),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(1),
    [anon_sym_BSLASHqt] = ACTIONS(1),
    [anon_sym_BSLASHsig] = ACTIONS(1),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(1),
    [anon_sym_BSLASHsls] = ACTIONS(1),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(1),
    [anon_sym_BSLASHtl] = ACTIONS(1),
    [anon_sym_BSLASHwj] = ACTIONS(1),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(1),
    [anon_sym_BSLASHem] = ACTIONS(1),
    [anon_sym_BSLASHem_STAR] = ACTIONS(1),
    [anon_sym_BSLASHbd] = ACTIONS(1),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(1),
    [anon_sym_BSLASHit] = ACTIONS(1),
    [anon_sym_BSLASHit_STAR] = ACTIONS(1),
    [anon_sym_BSLASHbdit] = ACTIONS(1),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(1),
    [anon_sym_BSLASHno] = ACTIONS(1),
    [anon_sym_BSLASHno_STAR] = ACTIONS(1),
    [anon_sym_BSLASHsc] = ACTIONS(1),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(1),
    [anon_sym_BSLASHsup] = ACTIONS(1),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(1),
    [anon_sym_BSLASHndx] = ACTIONS(1),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(1),
    [anon_sym_BSLASHpro] = ACTIONS(1),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(1),
    [anon_sym_BSLASHrb] = ACTIONS(1),
    [anon_sym_BSLASHrb_STAR] = ACTIONS(1),
    [anon_sym_BSLASHw] = ACTIONS(1),
    [anon_sym_BSLASHw_STAR] = ACTIONS(1),
    [anon_sym_BSLASHwg] = ACTIONS(1),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(1),
    [anon_sym_BSLASHwh] = ACTIONS(1),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(1),
    [anon_sym_BSLASHwa] = ACTIONS(1),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(1),
    [anon_sym_BSLASHfig] = ACTIONS(1),
    [anon_sym_BSLASHjmp] = ACTIONS(1),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1),
    [anon_sym_BSLASHpb] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [aux_sym_milestoneTag_token1] = ACTIONS(1),
    [anon_sym_BSLASH_STAR] = ACTIONS(1),
    [sym_milestoneStartTag] = ACTIONS(1),
    [sym_milestoneEndTag] = ACTIONS(1),
    [sym_zSpaceTag] = ACTIONS(1),
    [sym__zSpaceClose] = ACTIONS(1),
    [anon_sym_BSLASHesb] = ACTIONS(1),
    [anon_sym_BSLASHesbe] = ACTIONS(1),
    [anon_sym_BSLASHcat] = ACTIONS(1),
    [anon_sym_BSLASHcat_STAR] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_customAttributeName] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_key] = ACTIONS(1),
    [anon_sym_lemma] = ACTIONS(1),
    [anon_sym_strong] = ACTIONS(1),
    [anon_sym_srcloc] = ACTIONS(1),
    [anon_sym_gloss] = ACTIONS(1),
    [anon_sym_link_DASHhref] = ACTIONS(1),
    [anon_sym_link_DASHtitle] = ACTIONS(1),
    [anon_sym_link_DASHid] = ACTIONS(1),
    [anon_sym_href] = ACTIONS(1),
    [anon_sym_title] = ACTIONS(1),
    [anon_sym_id] = ACTIONS(1),
    [anon_sym_x_DASH] = ACTIONS(1),
    [aux_sym__linkAttributeUserDefinedName_token1] = ACTIONS(1),
    [anon_sym_alt] = ACTIONS(1),
    [anon_sym_src] = ACTIONS(1),
    [anon_sym_size] = ACTIONS(1),
    [anon_sym_loc] = ACTIONS(1),
    [anon_sym_copy] = ACTIONS(1),
    [anon_sym_ref] = ACTIONS(1),
    [anon_sym_sid] = ACTIONS(1),
    [anon_sym_eid] = ACTIONS(1),
    [anon_sym_who] = ACTIONS(1),
  },
  [1] = {
    [sym_File] = STATE(3117),
    [sym__mandatoryHead] = STATE(629),
    [sym_book] = STATE(1136),
    [sym_id] = STATE(1681),
    [anon_sym_BSLASHid] = ACTIONS(3),
  },
  [2] = {
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHref] = ACTIONS(7),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHiqt] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHv] = ACTIONS(7),
    [anon_sym_BSLASHva] = ACTIONS(7),
    [anon_sym_BSLASHvp] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHmr] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHsr] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHlf] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHliv] = ACTIONS(7),
    [anon_sym_BSLASHlik] = ACTIONS(7),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(7),
    [anon_sym_BSLASHlitl] = ACTIONS(7),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHf_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHef_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfr] = ACTIONS(7),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfq] = ACTIONS(7),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfqa] = ACTIONS(7),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfk] = ACTIONS(7),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfl] = ACTIONS(7),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfw] = ACTIONS(7),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfp] = ACTIONS(7),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(7),
    [anon_sym_BSLASHft] = ACTIONS(7),
    [anon_sym_BSLASHft_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfdc] = ACTIONS(7),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfv] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(7),
    [anon_sym_BSLASHx] = ACTIONS(7),
    [anon_sym_BSLASHx_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxo] = ACTIONS(7),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxk] = ACTIONS(7),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxq] = ACTIONS(7),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxt] = ACTIONS(7),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxta] = ACTIONS(7),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxop] = ACTIONS(7),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxot] = ACTIONS(7),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxnt] = ACTIONS(7),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(7),
    [anon_sym_BSLASHxdc] = ACTIONS(7),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(7),
    [anon_sym_BSLASHrq] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHord_STAR] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHem_STAR] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHit_STAR] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHno_STAR] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHw_STAR] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(7),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [anon_sym_BSLASHesbe] = ACTIONS(7),
    [anon_sym_BSLASHcat] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
  },
  [3] = {
    [aux_sym_text_token1] = ACTIONS(9),
    [anon_sym_BSLASHref] = ACTIONS(11),
    [anon_sym_BSLASHsts] = ACTIONS(11),
    [anon_sym_BSLASHrem] = ACTIONS(11),
    [anon_sym_BSLASHrestore] = ACTIONS(11),
    [anon_sym_BSLASHlit] = ACTIONS(11),
    [anon_sym_BSLASHiqt] = ACTIONS(11),
    [anon_sym_BSLASHip] = ACTIONS(11),
    [anon_sym_BSLASHv] = ACTIONS(11),
    [anon_sym_BSLASHva] = ACTIONS(11),
    [anon_sym_BSLASHvp] = ACTIONS(11),
    [anon_sym_BSLASHmte] = ACTIONS(11),
    [anon_sym_BSLASHms] = ACTIONS(11),
    [anon_sym_BSLASHmr] = ACTIONS(11),
    [anon_sym_BSLASHs] = ACTIONS(11),
    [anon_sym_BSLASHsr] = ACTIONS(11),
    [anon_sym_BSLASHr] = ACTIONS(11),
    [anon_sym_BSLASHsp] = ACTIONS(11),
    [anon_sym_BSLASHd] = ACTIONS(11),
    [anon_sym_BSLASHsd] = ACTIONS(11),
    [anon_sym_BSLASHp] = ACTIONS(11),
    [anon_sym_BSLASHm] = ACTIONS(11),
    [anon_sym_BSLASHpo] = ACTIONS(11),
    [anon_sym_BSLASHpr] = ACTIONS(11),
    [anon_sym_BSLASHcls] = ACTIONS(11),
    [anon_sym_BSLASHpmo] = ACTIONS(11),
    [anon_sym_BSLASHpm] = ACTIONS(11),
    [anon_sym_BSLASHpmc] = ACTIONS(11),
    [anon_sym_BSLASHpmr] = ACTIONS(11),
    [anon_sym_BSLASHpi] = ACTIONS(11),
    [anon_sym_BSLASHmi] = ACTIONS(11),
    [anon_sym_BSLASHnb] = ACTIONS(11),
    [anon_sym_BSLASHpc] = ACTIONS(11),
    [anon_sym_BSLASHph] = ACTIONS(11),
    [anon_sym_BSLASHb] = ACTIONS(11),
    [anon_sym_BSLASHq] = ACTIONS(11),
    [anon_sym_BSLASHqr] = ACTIONS(11),
    [anon_sym_BSLASHqc] = ACTIONS(11),
    [anon_sym_BSLASHqa] = ACTIONS(11),
    [anon_sym_BSLASHqm] = ACTIONS(11),
    [anon_sym_BSLASHqd] = ACTIONS(11),
    [anon_sym_BSLASHlh] = ACTIONS(11),
    [anon_sym_BSLASHlf] = ACTIONS(11),
    [anon_sym_BSLASHli] = ACTIONS(11),
    [anon_sym_BSLASHlim] = ACTIONS(11),
    [anon_sym_BSLASHliv] = ACTIONS(11),
    [anon_sym_BSLASHlik] = ACTIONS(11),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(11),
    [anon_sym_BSLASHlitl] = ACTIONS(11),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(11),
    [anon_sym_BSLASHtr] = ACTIONS(11),
    [anon_sym_BSLASHf] = ACTIONS(11),
    [anon_sym_BSLASHf_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfe] = ACTIONS(11),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(11),
    [anon_sym_BSLASHef] = ACTIONS(11),
    [anon_sym_BSLASHef_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfr] = ACTIONS(11),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfq] = ACTIONS(11),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfqa] = ACTIONS(11),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfk] = ACTIONS(11),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfl] = ACTIONS(11),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfw] = ACTIONS(11),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfp] = ACTIONS(11),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(11),
    [anon_sym_BSLASHft] = ACTIONS(11),
    [anon_sym_BSLASHft_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfdc] = ACTIONS(11),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfv] = ACTIONS(11),
    [anon_sym_BSLASHfm] = ACTIONS(11),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(11),
    [anon_sym_BSLASHx] = ACTIONS(11),
    [anon_sym_BSLASHx_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxo] = ACTIONS(11),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxk] = ACTIONS(11),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxq] = ACTIONS(11),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxt] = ACTIONS(11),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxta] = ACTIONS(11),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxop] = ACTIONS(11),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxot] = ACTIONS(11),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxnt] = ACTIONS(11),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(11),
    [anon_sym_BSLASHxdc] = ACTIONS(11),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(11),
    [anon_sym_BSLASHrq] = ACTIONS(11),
    [anon_sym_BSLASHadd] = ACTIONS(11),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(11),
    [anon_sym_BSLASHbk] = ACTIONS(11),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(11),
    [anon_sym_BSLASHdc] = ACTIONS(11),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(11),
    [anon_sym_BSLASHk] = ACTIONS(11),
    [anon_sym_BSLASHnd] = ACTIONS(11),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(11),
    [anon_sym_BSLASHord] = ACTIONS(11),
    [anon_sym_BSLASHord_STAR] = ACTIONS(11),
    [anon_sym_BSLASHpn] = ACTIONS(11),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(11),
    [anon_sym_BSLASHpng] = ACTIONS(11),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(11),
    [anon_sym_BSLASHaddpn] = ACTIONS(11),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(11),
    [anon_sym_BSLASHqt] = ACTIONS(11),
    [anon_sym_BSLASHsig] = ACTIONS(11),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(11),
    [anon_sym_BSLASHsls] = ACTIONS(11),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(11),
    [anon_sym_BSLASHtl] = ACTIONS(11),
    [anon_sym_BSLASHwj] = ACTIONS(11),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(11),
    [anon_sym_BSLASHem] = ACTIONS(11),
    [anon_sym_BSLASHem_STAR] = ACTIONS(11),
    [anon_sym_BSLASHbd] = ACTIONS(11),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(11),
    [anon_sym_BSLASHit] = ACTIONS(11),
    [anon_sym_BSLASHit_STAR] = ACTIONS(11),
    [anon_sym_BSLASHbdit] = ACTIONS(11),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(11),
    [anon_sym_BSLASHno] = ACTIONS(11),
    [anon_sym_BSLASHno_STAR] = ACTIONS(11),
    [anon_sym_BSLASHsc] = ACTIONS(11),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(11),
    [anon_sym_BSLASHsup] = ACTIONS(11),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(11),
    [anon_sym_BSLASHndx] = ACTIONS(11),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(11),
    [anon_sym_BSLASHpro] = ACTIONS(11),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(11),
    [anon_sym_BSLASHrb] = ACTIONS(11),
    [anon_sym_BSLASHw] = ACTIONS(11),
    [anon_sym_BSLASHw_STAR] = ACTIONS(11),
    [anon_sym_BSLASHwg] = ACTIONS(11),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(11),
    [anon_sym_BSLASHwh] = ACTIONS(11),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(11),
    [anon_sym_BSLASHwa] = ACTIONS(11),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(11),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(11),
    [anon_sym_BSLASHfig] = ACTIONS(11),
    [anon_sym_BSLASHjmp] = ACTIONS(11),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(11),
    [anon_sym_BSLASHpb] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(11),
    [sym_milestoneStartTag] = ACTIONS(11),
    [sym_milestoneEndTag] = ACTIONS(11),
    [sym_zSpaceTag] = ACTIONS(11),
    [anon_sym_BSLASHesbe] = ACTIONS(11),
    [anon_sym_BSLASHcat] = ACTIONS(11),
    [anon_sym_PIPE] = ACTIONS(11),
  },
  [4] = {
    [aux_sym_text_token1] = ACTIONS(13),
    [anon_sym_BSLASHref] = ACTIONS(15),
    [anon_sym_BSLASHsts] = ACTIONS(15),
    [anon_sym_BSLASHrem] = ACTIONS(15),
    [anon_sym_BSLASHrestore] = ACTIONS(15),
    [anon_sym_BSLASHlit] = ACTIONS(15),
    [anon_sym_BSLASHiqt] = ACTIONS(15),
    [anon_sym_BSLASHip] = ACTIONS(15),
    [anon_sym_BSLASHv] = ACTIONS(15),
    [anon_sym_BSLASHva] = ACTIONS(15),
    [anon_sym_BSLASHvp] = ACTIONS(15),
    [anon_sym_BSLASHmte] = ACTIONS(15),
    [anon_sym_BSLASHms] = ACTIONS(15),
    [anon_sym_BSLASHmr] = ACTIONS(15),
    [anon_sym_BSLASHs] = ACTIONS(15),
    [anon_sym_BSLASHsr] = ACTIONS(15),
    [anon_sym_BSLASHr] = ACTIONS(15),
    [anon_sym_BSLASHsp] = ACTIONS(15),
    [anon_sym_BSLASHd] = ACTIONS(15),
    [anon_sym_BSLASHsd] = ACTIONS(15),
    [anon_sym_BSLASHp] = ACTIONS(15),
    [anon_sym_BSLASHm] = ACTIONS(15),
    [anon_sym_BSLASHpo] = ACTIONS(15),
    [anon_sym_BSLASHpr] = ACTIONS(15),
    [anon_sym_BSLASHcls] = ACTIONS(15),
    [anon_sym_BSLASHpmo] = ACTIONS(15),
    [anon_sym_BSLASHpm] = ACTIONS(15),
    [anon_sym_BSLASHpmc] = ACTIONS(15),
    [anon_sym_BSLASHpmr] = ACTIONS(15),
    [anon_sym_BSLASHpi] = ACTIONS(15),
    [anon_sym_BSLASHmi] = ACTIONS(15),
    [anon_sym_BSLASHnb] = ACTIONS(15),
    [anon_sym_BSLASHpc] = ACTIONS(15),
    [anon_sym_BSLASHph] = ACTIONS(15),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [anon_sym_BSLASHq] = ACTIONS(15),
    [anon_sym_BSLASHqr] = ACTIONS(15),
    [anon_sym_BSLASHqc] = ACTIONS(15),
    [anon_sym_BSLASHqa] = ACTIONS(15),
    [anon_sym_BSLASHqm] = ACTIONS(15),
    [anon_sym_BSLASHqd] = ACTIONS(15),
    [anon_sym_BSLASHlh] = ACTIONS(15),
    [anon_sym_BSLASHlf] = ACTIONS(15),
    [anon_sym_BSLASHli] = ACTIONS(15),
    [anon_sym_BSLASHlim] = ACTIONS(15),
    [anon_sym_BSLASHliv] = ACTIONS(15),
    [anon_sym_BSLASHlik] = ACTIONS(15),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(15),
    [anon_sym_BSLASHlitl] = ACTIONS(15),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(15),
    [anon_sym_BSLASHtr] = ACTIONS(15),
    [anon_sym_BSLASHf] = ACTIONS(15),
    [anon_sym_BSLASHf_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfe] = ACTIONS(15),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(15),
    [anon_sym_BSLASHef] = ACTIONS(15),
    [anon_sym_BSLASHef_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfr] = ACTIONS(15),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfq] = ACTIONS(15),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfqa] = ACTIONS(15),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfk] = ACTIONS(15),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfl] = ACTIONS(15),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfw] = ACTIONS(15),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfp] = ACTIONS(15),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(15),
    [anon_sym_BSLASHft] = ACTIONS(15),
    [anon_sym_BSLASHft_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfdc] = ACTIONS(15),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfv] = ACTIONS(15),
    [anon_sym_BSLASHfm] = ACTIONS(15),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(15),
    [anon_sym_BSLASHx] = ACTIONS(15),
    [anon_sym_BSLASHx_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxo] = ACTIONS(15),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxk] = ACTIONS(15),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxq] = ACTIONS(15),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxt] = ACTIONS(15),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxta] = ACTIONS(15),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxop] = ACTIONS(15),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxot] = ACTIONS(15),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxnt] = ACTIONS(15),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(15),
    [anon_sym_BSLASHxdc] = ACTIONS(15),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(15),
    [anon_sym_BSLASHrq] = ACTIONS(15),
    [anon_sym_BSLASHadd] = ACTIONS(15),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(15),
    [anon_sym_BSLASHbk] = ACTIONS(15),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(15),
    [anon_sym_BSLASHdc] = ACTIONS(15),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(15),
    [anon_sym_BSLASHk] = ACTIONS(15),
    [anon_sym_BSLASHnd] = ACTIONS(15),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(15),
    [anon_sym_BSLASHord] = ACTIONS(15),
    [anon_sym_BSLASHord_STAR] = ACTIONS(15),
    [anon_sym_BSLASHpn] = ACTIONS(15),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(15),
    [anon_sym_BSLASHpng] = ACTIONS(15),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpn] = ACTIONS(15),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(15),
    [anon_sym_BSLASHqt] = ACTIONS(15),
    [anon_sym_BSLASHsig] = ACTIONS(15),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(15),
    [anon_sym_BSLASHsls] = ACTIONS(15),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(15),
    [anon_sym_BSLASHtl] = ACTIONS(15),
    [anon_sym_BSLASHwj] = ACTIONS(15),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(15),
    [anon_sym_BSLASHem] = ACTIONS(15),
    [anon_sym_BSLASHem_STAR] = ACTIONS(15),
    [anon_sym_BSLASHbd] = ACTIONS(15),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(15),
    [anon_sym_BSLASHit] = ACTIONS(15),
    [anon_sym_BSLASHit_STAR] = ACTIONS(15),
    [anon_sym_BSLASHbdit] = ACTIONS(15),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(15),
    [anon_sym_BSLASHno] = ACTIONS(15),
    [anon_sym_BSLASHno_STAR] = ACTIONS(15),
    [anon_sym_BSLASHsc] = ACTIONS(15),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(15),
    [anon_sym_BSLASHsup] = ACTIONS(15),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(15),
    [anon_sym_BSLASHndx] = ACTIONS(15),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(15),
    [anon_sym_BSLASHpro] = ACTIONS(15),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(15),
    [anon_sym_BSLASHrb] = ACTIONS(15),
    [anon_sym_BSLASHw] = ACTIONS(15),
    [anon_sym_BSLASHw_STAR] = ACTIONS(15),
    [anon_sym_BSLASHwg] = ACTIONS(15),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(15),
    [anon_sym_BSLASHwh] = ACTIONS(15),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(15),
    [anon_sym_BSLASHwa] = ACTIONS(15),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(15),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(15),
    [anon_sym_BSLASHfig] = ACTIONS(15),
    [anon_sym_BSLASHjmp] = ACTIONS(15),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(15),
    [anon_sym_BSLASHpb] = ACTIONS(15),
    [anon_sym_BSLASH] = ACTIONS(15),
    [sym_milestoneStartTag] = ACTIONS(15),
    [sym_milestoneEndTag] = ACTIONS(15),
    [sym_zSpaceTag] = ACTIONS(15),
    [anon_sym_BSLASHesbe] = ACTIONS(15),
    [anon_sym_BSLASHcat] = ACTIONS(15),
    [anon_sym_PIPE] = ACTIONS(15),
  },
  [5] = {
    [aux_sym_text_token1] = ACTIONS(17),
    [anon_sym_BSLASHref] = ACTIONS(19),
    [anon_sym_BSLASHsts] = ACTIONS(19),
    [anon_sym_BSLASHrem] = ACTIONS(19),
    [anon_sym_BSLASHrestore] = ACTIONS(19),
    [anon_sym_BSLASHlit] = ACTIONS(19),
    [anon_sym_BSLASHiqt] = ACTIONS(19),
    [anon_sym_BSLASHip] = ACTIONS(19),
    [anon_sym_BSLASHv] = ACTIONS(19),
    [anon_sym_BSLASHva] = ACTIONS(19),
    [anon_sym_BSLASHvp] = ACTIONS(19),
    [anon_sym_BSLASHmte] = ACTIONS(19),
    [anon_sym_BSLASHms] = ACTIONS(19),
    [anon_sym_BSLASHmr] = ACTIONS(19),
    [anon_sym_BSLASHs] = ACTIONS(19),
    [anon_sym_BSLASHsr] = ACTIONS(19),
    [anon_sym_BSLASHr] = ACTIONS(19),
    [anon_sym_BSLASHsp] = ACTIONS(19),
    [anon_sym_BSLASHd] = ACTIONS(19),
    [anon_sym_BSLASHsd] = ACTIONS(19),
    [anon_sym_BSLASHp] = ACTIONS(19),
    [anon_sym_BSLASHm] = ACTIONS(19),
    [anon_sym_BSLASHpo] = ACTIONS(19),
    [anon_sym_BSLASHpr] = ACTIONS(19),
    [anon_sym_BSLASHcls] = ACTIONS(19),
    [anon_sym_BSLASHpmo] = ACTIONS(19),
    [anon_sym_BSLASHpm] = ACTIONS(19),
    [anon_sym_BSLASHpmc] = ACTIONS(19),
    [anon_sym_BSLASHpmr] = ACTIONS(19),
    [anon_sym_BSLASHpi] = ACTIONS(19),
    [anon_sym_BSLASHmi] = ACTIONS(19),
    [anon_sym_BSLASHnb] = ACTIONS(19),
    [anon_sym_BSLASHpc] = ACTIONS(19),
    [anon_sym_BSLASHph] = ACTIONS(19),
    [anon_sym_BSLASHb] = ACTIONS(19),
    [anon_sym_BSLASHq] = ACTIONS(19),
    [anon_sym_BSLASHqr] = ACTIONS(19),
    [anon_sym_BSLASHqc] = ACTIONS(19),
    [anon_sym_BSLASHqa] = ACTIONS(19),
    [anon_sym_BSLASHqm] = ACTIONS(19),
    [anon_sym_BSLASHqd] = ACTIONS(19),
    [anon_sym_BSLASHlh] = ACTIONS(19),
    [anon_sym_BSLASHlf] = ACTIONS(19),
    [anon_sym_BSLASHli] = ACTIONS(19),
    [anon_sym_BSLASHlim] = ACTIONS(19),
    [anon_sym_BSLASHliv] = ACTIONS(19),
    [anon_sym_BSLASHlik] = ACTIONS(19),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(19),
    [anon_sym_BSLASHlitl] = ACTIONS(19),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(19),
    [anon_sym_BSLASHtr] = ACTIONS(19),
    [anon_sym_BSLASHf] = ACTIONS(19),
    [anon_sym_BSLASHf_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfe] = ACTIONS(19),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(19),
    [anon_sym_BSLASHef] = ACTIONS(19),
    [anon_sym_BSLASHef_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfr] = ACTIONS(19),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfq] = ACTIONS(19),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfqa] = ACTIONS(19),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfk] = ACTIONS(19),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfl] = ACTIONS(19),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfw] = ACTIONS(19),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfp] = ACTIONS(19),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(19),
    [anon_sym_BSLASHft] = ACTIONS(19),
    [anon_sym_BSLASHft_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfdc] = ACTIONS(19),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfv] = ACTIONS(19),
    [anon_sym_BSLASHfm] = ACTIONS(19),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(19),
    [anon_sym_BSLASHx] = ACTIONS(19),
    [anon_sym_BSLASHx_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxo] = ACTIONS(19),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxk] = ACTIONS(19),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxq] = ACTIONS(19),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxt] = ACTIONS(19),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxta] = ACTIONS(19),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxop] = ACTIONS(19),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxot] = ACTIONS(19),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxnt] = ACTIONS(19),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(19),
    [anon_sym_BSLASHxdc] = ACTIONS(19),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(19),
    [anon_sym_BSLASHrq] = ACTIONS(19),
    [anon_sym_BSLASHadd] = ACTIONS(19),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(19),
    [anon_sym_BSLASHbk] = ACTIONS(19),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(19),
    [anon_sym_BSLASHdc] = ACTIONS(19),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(19),
    [anon_sym_BSLASHk] = ACTIONS(19),
    [anon_sym_BSLASHnd] = ACTIONS(19),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(19),
    [anon_sym_BSLASHord] = ACTIONS(19),
    [anon_sym_BSLASHord_STAR] = ACTIONS(19),
    [anon_sym_BSLASHpn] = ACTIONS(19),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(19),
    [anon_sym_BSLASHpng] = ACTIONS(19),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddpn] = ACTIONS(19),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(19),
    [anon_sym_BSLASHqt] = ACTIONS(19),
    [anon_sym_BSLASHsig] = ACTIONS(19),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsls] = ACTIONS(19),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(19),
    [anon_sym_BSLASHtl] = ACTIONS(19),
    [anon_sym_BSLASHwj] = ACTIONS(19),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(19),
    [anon_sym_BSLASHem] = ACTIONS(19),
    [anon_sym_BSLASHem_STAR] = ACTIONS(19),
    [anon_sym_BSLASHbd] = ACTIONS(19),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(19),
    [anon_sym_BSLASHit] = ACTIONS(19),
    [anon_sym_BSLASHit_STAR] = ACTIONS(19),
    [anon_sym_BSLASHbdit] = ACTIONS(19),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(19),
    [anon_sym_BSLASHno] = ACTIONS(19),
    [anon_sym_BSLASHno_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsc] = ACTIONS(19),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsup] = ACTIONS(19),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(19),
    [anon_sym_BSLASHndx] = ACTIONS(19),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(19),
    [anon_sym_BSLASHpro] = ACTIONS(19),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(19),
    [anon_sym_BSLASHrb] = ACTIONS(19),
    [anon_sym_BSLASHw] = ACTIONS(19),
    [anon_sym_BSLASHw_STAR] = ACTIONS(19),
    [anon_sym_BSLASHwg] = ACTIONS(19),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(19),
    [anon_sym_BSLASHwh] = ACTIONS(19),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(19),
    [anon_sym_BSLASHwa] = ACTIONS(19),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(19),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(19),
    [anon_sym_BSLASHfig] = ACTIONS(19),
    [anon_sym_BSLASHjmp] = ACTIONS(19),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(19),
    [anon_sym_BSLASHpb] = ACTIONS(19),
    [anon_sym_BSLASH] = ACTIONS(19),
    [sym_milestoneStartTag] = ACTIONS(19),
    [sym_milestoneEndTag] = ACTIONS(19),
    [sym_zSpaceTag] = ACTIONS(19),
    [anon_sym_BSLASHesbe] = ACTIONS(19),
    [anon_sym_BSLASHcat] = ACTIONS(19),
    [anon_sym_PIPE] = ACTIONS(19),
  },
  [6] = {
    [aux_sym_text_token1] = ACTIONS(21),
    [anon_sym_BSLASHref] = ACTIONS(23),
    [anon_sym_BSLASHsts] = ACTIONS(23),
    [anon_sym_BSLASHrem] = ACTIONS(23),
    [anon_sym_BSLASHrestore] = ACTIONS(23),
    [anon_sym_BSLASHlit] = ACTIONS(23),
    [anon_sym_BSLASHiqt] = ACTIONS(23),
    [anon_sym_BSLASHip] = ACTIONS(23),
    [anon_sym_BSLASHv] = ACTIONS(23),
    [anon_sym_BSLASHva] = ACTIONS(23),
    [anon_sym_BSLASHvp] = ACTIONS(23),
    [anon_sym_BSLASHmte] = ACTIONS(23),
    [anon_sym_BSLASHms] = ACTIONS(23),
    [anon_sym_BSLASHmr] = ACTIONS(23),
    [anon_sym_BSLASHs] = ACTIONS(23),
    [anon_sym_BSLASHsr] = ACTIONS(23),
    [anon_sym_BSLASHr] = ACTIONS(23),
    [anon_sym_BSLASHsp] = ACTIONS(23),
    [anon_sym_BSLASHd] = ACTIONS(23),
    [anon_sym_BSLASHsd] = ACTIONS(23),
    [anon_sym_BSLASHp] = ACTIONS(23),
    [anon_sym_BSLASHm] = ACTIONS(23),
    [anon_sym_BSLASHpo] = ACTIONS(23),
    [anon_sym_BSLASHpr] = ACTIONS(23),
    [anon_sym_BSLASHcls] = ACTIONS(23),
    [anon_sym_BSLASHpmo] = ACTIONS(23),
    [anon_sym_BSLASHpm] = ACTIONS(23),
    [anon_sym_BSLASHpmc] = ACTIONS(23),
    [anon_sym_BSLASHpmr] = ACTIONS(23),
    [anon_sym_BSLASHpi] = ACTIONS(23),
    [anon_sym_BSLASHmi] = ACTIONS(23),
    [anon_sym_BSLASHnb] = ACTIONS(23),
    [anon_sym_BSLASHpc] = ACTIONS(23),
    [anon_sym_BSLASHph] = ACTIONS(23),
    [anon_sym_BSLASHb] = ACTIONS(23),
    [anon_sym_BSLASHq] = ACTIONS(23),
    [anon_sym_BSLASHqr] = ACTIONS(23),
    [anon_sym_BSLASHqc] = ACTIONS(23),
    [anon_sym_BSLASHqa] = ACTIONS(23),
    [anon_sym_BSLASHqm] = ACTIONS(23),
    [anon_sym_BSLASHqd] = ACTIONS(23),
    [anon_sym_BSLASHlh] = ACTIONS(23),
    [anon_sym_BSLASHlf] = ACTIONS(23),
    [anon_sym_BSLASHli] = ACTIONS(23),
    [anon_sym_BSLASHlim] = ACTIONS(23),
    [anon_sym_BSLASHliv] = ACTIONS(23),
    [anon_sym_BSLASHlik] = ACTIONS(23),
    [anon_sym_BSLASHlitl] = ACTIONS(23),
    [anon_sym_BSLASHtr] = ACTIONS(23),
    [anon_sym_BSLASHf] = ACTIONS(23),
    [anon_sym_BSLASHf_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfe] = ACTIONS(23),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(23),
    [anon_sym_BSLASHef] = ACTIONS(23),
    [anon_sym_BSLASHef_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfr] = ACTIONS(23),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfq] = ACTIONS(23),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfqa] = ACTIONS(23),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfk] = ACTIONS(23),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfl] = ACTIONS(23),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfw] = ACTIONS(23),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfp] = ACTIONS(23),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(23),
    [anon_sym_BSLASHft] = ACTIONS(23),
    [anon_sym_BSLASHft_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfdc] = ACTIONS(23),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfv] = ACTIONS(23),
    [anon_sym_BSLASHfm] = ACTIONS(23),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(23),
    [anon_sym_BSLASHxt] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(23),
    [anon_sym_BSLASHrq] = ACTIONS(23),
    [anon_sym_BSLASHadd] = ACTIONS(23),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(23),
    [anon_sym_BSLASHbk] = ACTIONS(23),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(23),
    [anon_sym_BSLASHdc] = ACTIONS(23),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(23),
    [anon_sym_BSLASHk] = ACTIONS(23),
    [anon_sym_BSLASHnd] = ACTIONS(23),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(23),
    [anon_sym_BSLASHord] = ACTIONS(23),
    [anon_sym_BSLASHord_STAR] = ACTIONS(23),
    [anon_sym_BSLASHpn] = ACTIONS(23),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(23),
    [anon_sym_BSLASHpng] = ACTIONS(23),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddpn] = ACTIONS(23),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(23),
    [anon_sym_BSLASHqt] = ACTIONS(23),
    [anon_sym_BSLASHsig] = ACTIONS(23),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsls] = ACTIONS(23),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(23),
    [anon_sym_BSLASHtl] = ACTIONS(23),
    [anon_sym_BSLASHwj] = ACTIONS(23),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(23),
    [anon_sym_BSLASHem] = ACTIONS(23),
    [anon_sym_BSLASHem_STAR] = ACTIONS(23),
    [anon_sym_BSLASHbd] = ACTIONS(23),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(23),
    [anon_sym_BSLASHit] = ACTIONS(23),
    [anon_sym_BSLASHit_STAR] = ACTIONS(23),
    [anon_sym_BSLASHbdit] = ACTIONS(23),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(23),
    [anon_sym_BSLASHno] = ACTIONS(23),
    [anon_sym_BSLASHno_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsc] = ACTIONS(23),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsup] = ACTIONS(23),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(23),
    [anon_sym_BSLASHndx] = ACTIONS(23),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(23),
    [anon_sym_BSLASHpro] = ACTIONS(23),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(23),
    [anon_sym_BSLASHrb] = ACTIONS(23),
    [anon_sym_BSLASHw] = ACTIONS(23),
    [anon_sym_BSLASHw_STAR] = ACTIONS(23),
    [anon_sym_BSLASHwg] = ACTIONS(23),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(23),
    [anon_sym_BSLASHwh] = ACTIONS(23),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(23),
    [anon_sym_BSLASHwa] = ACTIONS(23),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(23),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(23),
    [anon_sym_BSLASHfig] = ACTIONS(23),
    [anon_sym_BSLASHjmp] = ACTIONS(23),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(23),
    [anon_sym_BSLASHpb] = ACTIONS(23),
    [anon_sym_BSLASH] = ACTIONS(23),
    [sym_milestoneStartTag] = ACTIONS(23),
    [sym_milestoneEndTag] = ACTIONS(23),
    [sym_zSpaceTag] = ACTIONS(23),
    [anon_sym_BSLASHesbe] = ACTIONS(23),
    [anon_sym_BSLASHcat] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(23),
  },
  [7] = {
    [aux_sym_text_token1] = ACTIONS(25),
    [anon_sym_BSLASHref] = ACTIONS(27),
    [anon_sym_BSLASHsts] = ACTIONS(27),
    [anon_sym_BSLASHrem] = ACTIONS(27),
    [anon_sym_BSLASHrestore] = ACTIONS(27),
    [anon_sym_BSLASHlit] = ACTIONS(27),
    [anon_sym_BSLASHiqt] = ACTIONS(27),
    [anon_sym_BSLASHip] = ACTIONS(27),
    [anon_sym_BSLASHv] = ACTIONS(27),
    [anon_sym_BSLASHva] = ACTIONS(27),
    [anon_sym_BSLASHvp] = ACTIONS(27),
    [anon_sym_BSLASHmte] = ACTIONS(27),
    [anon_sym_BSLASHms] = ACTIONS(27),
    [anon_sym_BSLASHmr] = ACTIONS(27),
    [anon_sym_BSLASHs] = ACTIONS(27),
    [anon_sym_BSLASHsr] = ACTIONS(27),
    [anon_sym_BSLASHr] = ACTIONS(27),
    [anon_sym_BSLASHsp] = ACTIONS(27),
    [anon_sym_BSLASHd] = ACTIONS(27),
    [anon_sym_BSLASHsd] = ACTIONS(27),
    [anon_sym_BSLASHp] = ACTIONS(27),
    [anon_sym_BSLASHm] = ACTIONS(27),
    [anon_sym_BSLASHpo] = ACTIONS(27),
    [anon_sym_BSLASHpr] = ACTIONS(27),
    [anon_sym_BSLASHcls] = ACTIONS(27),
    [anon_sym_BSLASHpmo] = ACTIONS(27),
    [anon_sym_BSLASHpm] = ACTIONS(27),
    [anon_sym_BSLASHpmc] = ACTIONS(27),
    [anon_sym_BSLASHpmr] = ACTIONS(27),
    [anon_sym_BSLASHpi] = ACTIONS(27),
    [anon_sym_BSLASHmi] = ACTIONS(27),
    [anon_sym_BSLASHnb] = ACTIONS(27),
    [anon_sym_BSLASHpc] = ACTIONS(27),
    [anon_sym_BSLASHph] = ACTIONS(27),
    [anon_sym_BSLASHb] = ACTIONS(27),
    [anon_sym_BSLASHq] = ACTIONS(27),
    [anon_sym_BSLASHqr] = ACTIONS(27),
    [anon_sym_BSLASHqc] = ACTIONS(27),
    [anon_sym_BSLASHqa] = ACTIONS(27),
    [anon_sym_BSLASHqm] = ACTIONS(27),
    [anon_sym_BSLASHqd] = ACTIONS(27),
    [anon_sym_BSLASHlh] = ACTIONS(27),
    [anon_sym_BSLASHlf] = ACTIONS(27),
    [anon_sym_BSLASHli] = ACTIONS(27),
    [anon_sym_BSLASHlim] = ACTIONS(27),
    [anon_sym_BSLASHliv] = ACTIONS(27),
    [anon_sym_BSLASHlik] = ACTIONS(27),
    [anon_sym_BSLASHlitl] = ACTIONS(27),
    [anon_sym_BSLASHtr] = ACTIONS(27),
    [anon_sym_BSLASHf] = ACTIONS(27),
    [anon_sym_BSLASHf_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfe] = ACTIONS(27),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(27),
    [anon_sym_BSLASHef] = ACTIONS(27),
    [anon_sym_BSLASHef_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfr] = ACTIONS(27),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfq] = ACTIONS(27),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfqa] = ACTIONS(27),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfk] = ACTIONS(27),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfl] = ACTIONS(27),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfw] = ACTIONS(27),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfp] = ACTIONS(27),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(27),
    [anon_sym_BSLASHft] = ACTIONS(27),
    [anon_sym_BSLASHft_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfdc] = ACTIONS(27),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfv] = ACTIONS(27),
    [anon_sym_BSLASHfm] = ACTIONS(27),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(27),
    [anon_sym_BSLASHx] = ACTIONS(27),
    [anon_sym_BSLASHxt] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(27),
    [anon_sym_BSLASHrq] = ACTIONS(27),
    [anon_sym_BSLASHadd] = ACTIONS(27),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(27),
    [anon_sym_BSLASHbk] = ACTIONS(27),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(27),
    [anon_sym_BSLASHdc] = ACTIONS(27),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(27),
    [anon_sym_BSLASHk] = ACTIONS(27),
    [anon_sym_BSLASHnd] = ACTIONS(27),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(27),
    [anon_sym_BSLASHord] = ACTIONS(27),
    [anon_sym_BSLASHord_STAR] = ACTIONS(27),
    [anon_sym_BSLASHpn] = ACTIONS(27),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(27),
    [anon_sym_BSLASHpng] = ACTIONS(27),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(27),
    [anon_sym_BSLASHaddpn] = ACTIONS(27),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(27),
    [anon_sym_BSLASHqt] = ACTIONS(27),
    [anon_sym_BSLASHsig] = ACTIONS(27),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsls] = ACTIONS(27),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(27),
    [anon_sym_BSLASHtl] = ACTIONS(27),
    [anon_sym_BSLASHwj] = ACTIONS(27),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(27),
    [anon_sym_BSLASHem] = ACTIONS(27),
    [anon_sym_BSLASHem_STAR] = ACTIONS(27),
    [anon_sym_BSLASHbd] = ACTIONS(27),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(27),
    [anon_sym_BSLASHit] = ACTIONS(27),
    [anon_sym_BSLASHit_STAR] = ACTIONS(27),
    [anon_sym_BSLASHbdit] = ACTIONS(27),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(27),
    [anon_sym_BSLASHno] = ACTIONS(27),
    [anon_sym_BSLASHno_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsc] = ACTIONS(27),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsup] = ACTIONS(27),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(27),
    [anon_sym_BSLASHndx] = ACTIONS(27),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(27),
    [anon_sym_BSLASHpro] = ACTIONS(27),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(27),
    [anon_sym_BSLASHrb] = ACTIONS(27),
    [anon_sym_BSLASHw] = ACTIONS(27),
    [anon_sym_BSLASHw_STAR] = ACTIONS(27),
    [anon_sym_BSLASHwg] = ACTIONS(27),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(27),
    [anon_sym_BSLASHwh] = ACTIONS(27),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(27),
    [anon_sym_BSLASHwa] = ACTIONS(27),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(27),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(27),
    [anon_sym_BSLASHfig] = ACTIONS(27),
    [anon_sym_BSLASHjmp] = ACTIONS(27),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(27),
    [anon_sym_BSLASHpb] = ACTIONS(27),
    [anon_sym_BSLASH] = ACTIONS(27),
    [sym_milestoneStartTag] = ACTIONS(27),
    [sym_milestoneEndTag] = ACTIONS(27),
    [sym_zSpaceTag] = ACTIONS(27),
    [anon_sym_BSLASHesbe] = ACTIONS(27),
    [anon_sym_BSLASHcat] = ACTIONS(27),
    [anon_sym_PIPE] = ACTIONS(27),
  },
  [8] = {
    [aux_sym_text_token1] = ACTIONS(29),
    [anon_sym_BSLASHref] = ACTIONS(31),
    [anon_sym_BSLASHsts] = ACTIONS(31),
    [anon_sym_BSLASHrem] = ACTIONS(31),
    [anon_sym_BSLASHrestore] = ACTIONS(31),
    [anon_sym_BSLASHlit] = ACTIONS(31),
    [anon_sym_BSLASHip] = ACTIONS(31),
    [anon_sym_BSLASHv] = ACTIONS(31),
    [anon_sym_BSLASHva] = ACTIONS(31),
    [anon_sym_BSLASHvp] = ACTIONS(31),
    [anon_sym_BSLASHmte] = ACTIONS(31),
    [anon_sym_BSLASHms] = ACTIONS(31),
    [anon_sym_BSLASHmr] = ACTIONS(31),
    [anon_sym_BSLASHs] = ACTIONS(31),
    [anon_sym_BSLASHsr] = ACTIONS(31),
    [anon_sym_BSLASHr] = ACTIONS(31),
    [anon_sym_BSLASHsp] = ACTIONS(31),
    [anon_sym_BSLASHd] = ACTIONS(31),
    [anon_sym_BSLASHsd] = ACTIONS(31),
    [anon_sym_BSLASHp] = ACTIONS(31),
    [anon_sym_BSLASHm] = ACTIONS(31),
    [anon_sym_BSLASHpo] = ACTIONS(31),
    [anon_sym_BSLASHpr] = ACTIONS(31),
    [anon_sym_BSLASHcls] = ACTIONS(31),
    [anon_sym_BSLASHpmo] = ACTIONS(31),
    [anon_sym_BSLASHpm] = ACTIONS(31),
    [anon_sym_BSLASHpmc] = ACTIONS(31),
    [anon_sym_BSLASHpmr] = ACTIONS(31),
    [anon_sym_BSLASHpi] = ACTIONS(31),
    [anon_sym_BSLASHmi] = ACTIONS(31),
    [anon_sym_BSLASHnb] = ACTIONS(31),
    [anon_sym_BSLASHpc] = ACTIONS(31),
    [anon_sym_BSLASHph] = ACTIONS(31),
    [anon_sym_BSLASHb] = ACTIONS(31),
    [anon_sym_BSLASHq] = ACTIONS(31),
    [anon_sym_BSLASHqr] = ACTIONS(31),
    [anon_sym_BSLASHqc] = ACTIONS(31),
    [anon_sym_BSLASHqa] = ACTIONS(31),
    [anon_sym_BSLASHqm] = ACTIONS(31),
    [anon_sym_BSLASHqd] = ACTIONS(31),
    [anon_sym_BSLASHlh] = ACTIONS(31),
    [anon_sym_BSLASHlf] = ACTIONS(31),
    [anon_sym_BSLASHli] = ACTIONS(31),
    [anon_sym_BSLASHlim] = ACTIONS(31),
    [anon_sym_BSLASHliv] = ACTIONS(31),
    [anon_sym_BSLASHlik] = ACTIONS(31),
    [anon_sym_BSLASHlitl] = ACTIONS(31),
    [anon_sym_BSLASHtr] = ACTIONS(31),
    [anon_sym_BSLASHf] = ACTIONS(31),
    [anon_sym_BSLASHfe] = ACTIONS(31),
    [anon_sym_BSLASHef] = ACTIONS(31),
    [anon_sym_BSLASHfm] = ACTIONS(31),
    [anon_sym_BSLASHx] = ACTIONS(31),
    [anon_sym_BSLASHxt] = ACTIONS(31),
    [anon_sym_BSLASHrq] = ACTIONS(31),
    [anon_sym_BSLASHadd] = ACTIONS(31),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(31),
    [anon_sym_BSLASHbk] = ACTIONS(31),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(31),
    [anon_sym_BSLASHdc] = ACTIONS(31),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(31),
    [anon_sym_BSLASHk] = ACTIONS(31),
    [anon_sym_BSLASHnd] = ACTIONS(31),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(31),
    [anon_sym_BSLASHord] = ACTIONS(31),
    [anon_sym_BSLASHord_STAR] = ACTIONS(31),
    [anon_sym_BSLASHpn] = ACTIONS(31),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(31),
    [anon_sym_BSLASHpng] = ACTIONS(31),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(31),
    [anon_sym_BSLASHaddpn] = ACTIONS(31),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(31),
    [anon_sym_BSLASHqt] = ACTIONS(31),
    [anon_sym_BSLASHsig] = ACTIONS(31),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(31),
    [anon_sym_BSLASHsls] = ACTIONS(31),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(31),
    [anon_sym_BSLASHtl] = ACTIONS(31),
    [anon_sym_BSLASHwj] = ACTIONS(31),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(31),
    [anon_sym_BSLASHem] = ACTIONS(31),
    [anon_sym_BSLASHem_STAR] = ACTIONS(31),
    [anon_sym_BSLASHbd] = ACTIONS(31),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(31),
    [anon_sym_BSLASHit] = ACTIONS(31),
    [anon_sym_BSLASHit_STAR] = ACTIONS(31),
    [anon_sym_BSLASHbdit] = ACTIONS(31),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(31),
    [anon_sym_BSLASHno] = ACTIONS(31),
    [anon_sym_BSLASHno_STAR] = ACTIONS(31),
    [anon_sym_BSLASHsc] = ACTIONS(31),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(31),
    [anon_sym_BSLASHsup] = ACTIONS(31),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(31),
    [anon_sym_BSLASHndx] = ACTIONS(31),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(31),
    [anon_sym_BSLASHpro] = ACTIONS(31),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(31),
    [anon_sym_BSLASHrb] = ACTIONS(31),
    [anon_sym_BSLASHw] = ACTIONS(31),
    [anon_sym_BSLASHw_STAR] = ACTIONS(31),
    [anon_sym_BSLASHwg] = ACTIONS(31),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(31),
    [anon_sym_BSLASHwh] = ACTIONS(31),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(31),
    [anon_sym_BSLASHwa] = ACTIONS(31),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(31),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(31),
    [anon_sym_BSLASHfig] = ACTIONS(31),
    [anon_sym_BSLASHjmp] = ACTIONS(31),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(31),
    [anon_sym_BSLASHpb] = ACTIONS(31),
    [anon_sym_BSLASH] = ACTIONS(31),
    [sym_milestoneStartTag] = ACTIONS(31),
    [sym_milestoneEndTag] = ACTIONS(31),
    [sym_zSpaceTag] = ACTIONS(31),
    [anon_sym_BSLASHesbe] = ACTIONS(31),
    [anon_sym_BSLASHcat] = ACTIONS(31),
    [anon_sym_PIPE] = ACTIONS(31),
  },
  [9] = {
    [aux_sym_text_token1] = ACTIONS(33),
    [anon_sym_BSLASHref] = ACTIONS(35),
    [anon_sym_BSLASHsts] = ACTIONS(35),
    [anon_sym_BSLASHrem] = ACTIONS(35),
    [anon_sym_BSLASHrestore] = ACTIONS(35),
    [anon_sym_BSLASHlit] = ACTIONS(35),
    [anon_sym_BSLASHip] = ACTIONS(35),
    [anon_sym_BSLASHv] = ACTIONS(35),
    [anon_sym_BSLASHva] = ACTIONS(35),
    [anon_sym_BSLASHvp] = ACTIONS(35),
    [anon_sym_BSLASHmte] = ACTIONS(35),
    [anon_sym_BSLASHms] = ACTIONS(35),
    [anon_sym_BSLASHmr] = ACTIONS(35),
    [anon_sym_BSLASHs] = ACTIONS(35),
    [anon_sym_BSLASHsr] = ACTIONS(35),
    [anon_sym_BSLASHr] = ACTIONS(35),
    [anon_sym_BSLASHsp] = ACTIONS(35),
    [anon_sym_BSLASHd] = ACTIONS(35),
    [anon_sym_BSLASHsd] = ACTIONS(35),
    [anon_sym_BSLASHp] = ACTIONS(35),
    [anon_sym_BSLASHm] = ACTIONS(35),
    [anon_sym_BSLASHpo] = ACTIONS(35),
    [anon_sym_BSLASHpr] = ACTIONS(35),
    [anon_sym_BSLASHcls] = ACTIONS(35),
    [anon_sym_BSLASHpmo] = ACTIONS(35),
    [anon_sym_BSLASHpm] = ACTIONS(35),
    [anon_sym_BSLASHpmc] = ACTIONS(35),
    [anon_sym_BSLASHpmr] = ACTIONS(35),
    [anon_sym_BSLASHpi] = ACTIONS(35),
    [anon_sym_BSLASHmi] = ACTIONS(35),
    [anon_sym_BSLASHnb] = ACTIONS(35),
    [anon_sym_BSLASHpc] = ACTIONS(35),
    [anon_sym_BSLASHph] = ACTIONS(35),
    [anon_sym_BSLASHb] = ACTIONS(35),
    [anon_sym_BSLASHq] = ACTIONS(35),
    [anon_sym_BSLASHqr] = ACTIONS(35),
    [anon_sym_BSLASHqc] = ACTIONS(35),
    [anon_sym_BSLASHqa] = ACTIONS(35),
    [anon_sym_BSLASHqm] = ACTIONS(35),
    [anon_sym_BSLASHqd] = ACTIONS(35),
    [anon_sym_BSLASHlh] = ACTIONS(35),
    [anon_sym_BSLASHlf] = ACTIONS(35),
    [anon_sym_BSLASHli] = ACTIONS(35),
    [anon_sym_BSLASHlim] = ACTIONS(35),
    [anon_sym_BSLASHliv] = ACTIONS(35),
    [anon_sym_BSLASHlik] = ACTIONS(35),
    [anon_sym_BSLASHlitl] = ACTIONS(35),
    [anon_sym_BSLASHtr] = ACTIONS(35),
    [anon_sym_BSLASHf] = ACTIONS(35),
    [anon_sym_BSLASHfe] = ACTIONS(35),
    [anon_sym_BSLASHef] = ACTIONS(35),
    [anon_sym_BSLASHfm] = ACTIONS(35),
    [anon_sym_BSLASHx] = ACTIONS(35),
    [anon_sym_BSLASHxt] = ACTIONS(35),
    [anon_sym_BSLASHrq] = ACTIONS(35),
    [anon_sym_BSLASHadd] = ACTIONS(35),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(35),
    [anon_sym_BSLASHbk] = ACTIONS(35),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(35),
    [anon_sym_BSLASHdc] = ACTIONS(35),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(35),
    [anon_sym_BSLASHk] = ACTIONS(35),
    [anon_sym_BSLASHnd] = ACTIONS(35),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(35),
    [anon_sym_BSLASHord] = ACTIONS(35),
    [anon_sym_BSLASHord_STAR] = ACTIONS(35),
    [anon_sym_BSLASHpn] = ACTIONS(35),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(35),
    [anon_sym_BSLASHpng] = ACTIONS(35),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(35),
    [anon_sym_BSLASHaddpn] = ACTIONS(35),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(35),
    [anon_sym_BSLASHqt] = ACTIONS(35),
    [anon_sym_BSLASHsig] = ACTIONS(35),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsls] = ACTIONS(35),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(35),
    [anon_sym_BSLASHtl] = ACTIONS(35),
    [anon_sym_BSLASHwj] = ACTIONS(35),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(35),
    [anon_sym_BSLASHem] = ACTIONS(35),
    [anon_sym_BSLASHem_STAR] = ACTIONS(35),
    [anon_sym_BSLASHbd] = ACTIONS(35),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(35),
    [anon_sym_BSLASHit] = ACTIONS(35),
    [anon_sym_BSLASHit_STAR] = ACTIONS(35),
    [anon_sym_BSLASHbdit] = ACTIONS(35),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(35),
    [anon_sym_BSLASHno] = ACTIONS(35),
    [anon_sym_BSLASHno_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsc] = ACTIONS(35),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsup] = ACTIONS(35),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(35),
    [anon_sym_BSLASHndx] = ACTIONS(35),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(35),
    [anon_sym_BSLASHpro] = ACTIONS(35),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(35),
    [anon_sym_BSLASHrb] = ACTIONS(35),
    [anon_sym_BSLASHw] = ACTIONS(35),
    [anon_sym_BSLASHw_STAR] = ACTIONS(35),
    [anon_sym_BSLASHwg] = ACTIONS(35),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(35),
    [anon_sym_BSLASHwh] = ACTIONS(35),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(35),
    [anon_sym_BSLASHwa] = ACTIONS(35),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(35),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(35),
    [anon_sym_BSLASHfig] = ACTIONS(35),
    [anon_sym_BSLASHjmp] = ACTIONS(35),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(35),
    [anon_sym_BSLASHpb] = ACTIONS(35),
    [anon_sym_BSLASH] = ACTIONS(35),
    [sym_milestoneStartTag] = ACTIONS(35),
    [sym_milestoneEndTag] = ACTIONS(35),
    [sym_zSpaceTag] = ACTIONS(35),
    [anon_sym_BSLASHesbe] = ACTIONS(35),
    [anon_sym_BSLASHcat] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
  },
  [10] = {
    [aux_sym_text_token1] = ACTIONS(37),
    [anon_sym_BSLASHref] = ACTIONS(39),
    [anon_sym_BSLASHsts] = ACTIONS(39),
    [anon_sym_BSLASHrem] = ACTIONS(39),
    [anon_sym_BSLASHrestore] = ACTIONS(39),
    [anon_sym_BSLASHlit] = ACTIONS(39),
    [anon_sym_BSLASHip] = ACTIONS(39),
    [anon_sym_BSLASHv] = ACTIONS(39),
    [anon_sym_BSLASHva] = ACTIONS(39),
    [anon_sym_BSLASHvp] = ACTIONS(39),
    [anon_sym_BSLASHmte] = ACTIONS(39),
    [anon_sym_BSLASHms] = ACTIONS(39),
    [anon_sym_BSLASHmr] = ACTIONS(39),
    [anon_sym_BSLASHs] = ACTIONS(39),
    [anon_sym_BSLASHsr] = ACTIONS(39),
    [anon_sym_BSLASHr] = ACTIONS(39),
    [anon_sym_BSLASHsp] = ACTIONS(39),
    [anon_sym_BSLASHd] = ACTIONS(39),
    [anon_sym_BSLASHsd] = ACTIONS(39),
    [anon_sym_BSLASHp] = ACTIONS(39),
    [anon_sym_BSLASHm] = ACTIONS(39),
    [anon_sym_BSLASHpo] = ACTIONS(39),
    [anon_sym_BSLASHpr] = ACTIONS(39),
    [anon_sym_BSLASHcls] = ACTIONS(39),
    [anon_sym_BSLASHpmo] = ACTIONS(39),
    [anon_sym_BSLASHpm] = ACTIONS(39),
    [anon_sym_BSLASHpmc] = ACTIONS(39),
    [anon_sym_BSLASHpmr] = ACTIONS(39),
    [anon_sym_BSLASHpi] = ACTIONS(39),
    [anon_sym_BSLASHmi] = ACTIONS(39),
    [anon_sym_BSLASHnb] = ACTIONS(39),
    [anon_sym_BSLASHpc] = ACTIONS(39),
    [anon_sym_BSLASHph] = ACTIONS(39),
    [anon_sym_BSLASHb] = ACTIONS(39),
    [anon_sym_BSLASHq] = ACTIONS(39),
    [anon_sym_BSLASHqr] = ACTIONS(39),
    [anon_sym_BSLASHqc] = ACTIONS(39),
    [anon_sym_BSLASHqa] = ACTIONS(39),
    [anon_sym_BSLASHqm] = ACTIONS(39),
    [anon_sym_BSLASHqd] = ACTIONS(39),
    [anon_sym_BSLASHlh] = ACTIONS(39),
    [anon_sym_BSLASHlf] = ACTIONS(39),
    [anon_sym_BSLASHli] = ACTIONS(39),
    [anon_sym_BSLASHlim] = ACTIONS(39),
    [anon_sym_BSLASHliv] = ACTIONS(39),
    [anon_sym_BSLASHlik] = ACTIONS(39),
    [anon_sym_BSLASHlitl] = ACTIONS(39),
    [anon_sym_BSLASHtr] = ACTIONS(39),
    [anon_sym_BSLASHf] = ACTIONS(39),
    [anon_sym_BSLASHfe] = ACTIONS(39),
    [anon_sym_BSLASHef] = ACTIONS(39),
    [anon_sym_BSLASHfm] = ACTIONS(39),
    [anon_sym_BSLASHx] = ACTIONS(39),
    [anon_sym_BSLASHxt] = ACTIONS(39),
    [anon_sym_BSLASHrq] = ACTIONS(39),
    [anon_sym_BSLASHadd] = ACTIONS(39),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(39),
    [anon_sym_BSLASHbk] = ACTIONS(39),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(39),
    [anon_sym_BSLASHdc] = ACTIONS(39),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(39),
    [anon_sym_BSLASHk] = ACTIONS(39),
    [anon_sym_BSLASHnd] = ACTIONS(39),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(39),
    [anon_sym_BSLASHord] = ACTIONS(39),
    [anon_sym_BSLASHord_STAR] = ACTIONS(39),
    [anon_sym_BSLASHpn] = ACTIONS(39),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(39),
    [anon_sym_BSLASHpng] = ACTIONS(39),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(39),
    [anon_sym_BSLASHaddpn] = ACTIONS(39),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(39),
    [anon_sym_BSLASHqt] = ACTIONS(39),
    [anon_sym_BSLASHsig] = ACTIONS(39),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(39),
    [anon_sym_BSLASHsls] = ACTIONS(39),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(39),
    [anon_sym_BSLASHtl] = ACTIONS(39),
    [anon_sym_BSLASHwj] = ACTIONS(39),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(39),
    [anon_sym_BSLASHem] = ACTIONS(39),
    [anon_sym_BSLASHem_STAR] = ACTIONS(39),
    [anon_sym_BSLASHbd] = ACTIONS(39),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(39),
    [anon_sym_BSLASHit] = ACTIONS(39),
    [anon_sym_BSLASHit_STAR] = ACTIONS(39),
    [anon_sym_BSLASHbdit] = ACTIONS(39),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(39),
    [anon_sym_BSLASHno] = ACTIONS(39),
    [anon_sym_BSLASHno_STAR] = ACTIONS(39),
    [anon_sym_BSLASHsc] = ACTIONS(39),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(39),
    [anon_sym_BSLASHsup] = ACTIONS(39),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(39),
    [anon_sym_BSLASHndx] = ACTIONS(39),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(39),
    [anon_sym_BSLASHpro] = ACTIONS(39),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(39),
    [anon_sym_BSLASHrb] = ACTIONS(39),
    [anon_sym_BSLASHw] = ACTIONS(39),
    [anon_sym_BSLASHw_STAR] = ACTIONS(39),
    [anon_sym_BSLASHwg] = ACTIONS(39),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(39),
    [anon_sym_BSLASHwh] = ACTIONS(39),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(39),
    [anon_sym_BSLASHwa] = ACTIONS(39),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(39),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(39),
    [anon_sym_BSLASHfig] = ACTIONS(39),
    [anon_sym_BSLASHjmp] = ACTIONS(39),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(39),
    [anon_sym_BSLASHpb] = ACTIONS(39),
    [anon_sym_BSLASH] = ACTIONS(39),
    [sym_milestoneStartTag] = ACTIONS(39),
    [sym_milestoneEndTag] = ACTIONS(39),
    [sym_zSpaceTag] = ACTIONS(39),
    [anon_sym_BSLASHesbe] = ACTIONS(39),
    [anon_sym_BSLASHcat] = ACTIONS(39),
    [anon_sym_PIPE] = ACTIONS(39),
  },
  [11] = {
    [aux_sym_text_token1] = ACTIONS(41),
    [anon_sym_BSLASHref] = ACTIONS(43),
    [anon_sym_BSLASHsts] = ACTIONS(43),
    [anon_sym_BSLASHrem] = ACTIONS(43),
    [anon_sym_BSLASHrestore] = ACTIONS(43),
    [anon_sym_BSLASHlit] = ACTIONS(43),
    [anon_sym_BSLASHip] = ACTIONS(43),
    [anon_sym_BSLASHv] = ACTIONS(43),
    [anon_sym_BSLASHva] = ACTIONS(43),
    [anon_sym_BSLASHvp] = ACTIONS(43),
    [anon_sym_BSLASHmte] = ACTIONS(43),
    [anon_sym_BSLASHms] = ACTIONS(43),
    [anon_sym_BSLASHmr] = ACTIONS(43),
    [anon_sym_BSLASHs] = ACTIONS(43),
    [anon_sym_BSLASHsr] = ACTIONS(43),
    [anon_sym_BSLASHr] = ACTIONS(43),
    [anon_sym_BSLASHsp] = ACTIONS(43),
    [anon_sym_BSLASHd] = ACTIONS(43),
    [anon_sym_BSLASHsd] = ACTIONS(43),
    [anon_sym_BSLASHp] = ACTIONS(43),
    [anon_sym_BSLASHm] = ACTIONS(43),
    [anon_sym_BSLASHpo] = ACTIONS(43),
    [anon_sym_BSLASHpr] = ACTIONS(43),
    [anon_sym_BSLASHcls] = ACTIONS(43),
    [anon_sym_BSLASHpmo] = ACTIONS(43),
    [anon_sym_BSLASHpm] = ACTIONS(43),
    [anon_sym_BSLASHpmc] = ACTIONS(43),
    [anon_sym_BSLASHpmr] = ACTIONS(43),
    [anon_sym_BSLASHpi] = ACTIONS(43),
    [anon_sym_BSLASHmi] = ACTIONS(43),
    [anon_sym_BSLASHnb] = ACTIONS(43),
    [anon_sym_BSLASHpc] = ACTIONS(43),
    [anon_sym_BSLASHph] = ACTIONS(43),
    [anon_sym_BSLASHb] = ACTIONS(43),
    [anon_sym_BSLASHq] = ACTIONS(43),
    [anon_sym_BSLASHqr] = ACTIONS(43),
    [anon_sym_BSLASHqc] = ACTIONS(43),
    [anon_sym_BSLASHqa] = ACTIONS(43),
    [anon_sym_BSLASHqm] = ACTIONS(43),
    [anon_sym_BSLASHqd] = ACTIONS(43),
    [anon_sym_BSLASHlh] = ACTIONS(43),
    [anon_sym_BSLASHlf] = ACTIONS(43),
    [anon_sym_BSLASHli] = ACTIONS(43),
    [anon_sym_BSLASHlim] = ACTIONS(43),
    [anon_sym_BSLASHliv] = ACTIONS(43),
    [anon_sym_BSLASHlik] = ACTIONS(43),
    [anon_sym_BSLASHlitl] = ACTIONS(43),
    [anon_sym_BSLASHtr] = ACTIONS(43),
    [anon_sym_BSLASHf] = ACTIONS(43),
    [anon_sym_BSLASHfe] = ACTIONS(43),
    [anon_sym_BSLASHef] = ACTIONS(43),
    [anon_sym_BSLASHfm] = ACTIONS(43),
    [anon_sym_BSLASHx] = ACTIONS(43),
    [anon_sym_BSLASHxt] = ACTIONS(43),
    [anon_sym_BSLASHrq] = ACTIONS(43),
    [anon_sym_BSLASHadd] = ACTIONS(43),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(43),
    [anon_sym_BSLASHbk] = ACTIONS(43),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(43),
    [anon_sym_BSLASHdc] = ACTIONS(43),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(43),
    [anon_sym_BSLASHk] = ACTIONS(43),
    [anon_sym_BSLASHnd] = ACTIONS(43),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(43),
    [anon_sym_BSLASHord] = ACTIONS(43),
    [anon_sym_BSLASHord_STAR] = ACTIONS(43),
    [anon_sym_BSLASHpn] = ACTIONS(43),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(43),
    [anon_sym_BSLASHpng] = ACTIONS(43),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(43),
    [anon_sym_BSLASHaddpn] = ACTIONS(43),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(43),
    [anon_sym_BSLASHqt] = ACTIONS(43),
    [anon_sym_BSLASHsig] = ACTIONS(43),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(43),
    [anon_sym_BSLASHsls] = ACTIONS(43),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(43),
    [anon_sym_BSLASHtl] = ACTIONS(43),
    [anon_sym_BSLASHwj] = ACTIONS(43),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(43),
    [anon_sym_BSLASHem] = ACTIONS(43),
    [anon_sym_BSLASHem_STAR] = ACTIONS(43),
    [anon_sym_BSLASHbd] = ACTIONS(43),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(43),
    [anon_sym_BSLASHit] = ACTIONS(43),
    [anon_sym_BSLASHit_STAR] = ACTIONS(43),
    [anon_sym_BSLASHbdit] = ACTIONS(43),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(43),
    [anon_sym_BSLASHno] = ACTIONS(43),
    [anon_sym_BSLASHno_STAR] = ACTIONS(43),
    [anon_sym_BSLASHsc] = ACTIONS(43),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(43),
    [anon_sym_BSLASHsup] = ACTIONS(43),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(43),
    [anon_sym_BSLASHndx] = ACTIONS(43),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(43),
    [anon_sym_BSLASHpro] = ACTIONS(43),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(43),
    [anon_sym_BSLASHrb] = ACTIONS(43),
    [anon_sym_BSLASHw] = ACTIONS(43),
    [anon_sym_BSLASHw_STAR] = ACTIONS(43),
    [anon_sym_BSLASHwg] = ACTIONS(43),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(43),
    [anon_sym_BSLASHwh] = ACTIONS(43),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(43),
    [anon_sym_BSLASHwa] = ACTIONS(43),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(43),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(43),
    [anon_sym_BSLASHfig] = ACTIONS(43),
    [anon_sym_BSLASHjmp] = ACTIONS(43),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(43),
    [anon_sym_BSLASHpb] = ACTIONS(43),
    [anon_sym_BSLASH] = ACTIONS(43),
    [sym_milestoneStartTag] = ACTIONS(43),
    [sym_milestoneEndTag] = ACTIONS(43),
    [sym_zSpaceTag] = ACTIONS(43),
    [anon_sym_BSLASHesbe] = ACTIONS(43),
    [anon_sym_BSLASHcat] = ACTIONS(43),
    [anon_sym_PIPE] = ACTIONS(43),
  },
  [12] = {
    [aux_sym_text_token1] = ACTIONS(45),
    [anon_sym_BSLASHref] = ACTIONS(47),
    [anon_sym_BSLASHsts] = ACTIONS(47),
    [anon_sym_BSLASHrem] = ACTIONS(47),
    [anon_sym_BSLASHrestore] = ACTIONS(47),
    [anon_sym_BSLASHlit] = ACTIONS(47),
    [anon_sym_BSLASHip] = ACTIONS(47),
    [anon_sym_BSLASHv] = ACTIONS(47),
    [anon_sym_BSLASHva] = ACTIONS(47),
    [anon_sym_BSLASHvp] = ACTIONS(47),
    [anon_sym_BSLASHmte] = ACTIONS(47),
    [anon_sym_BSLASHms] = ACTIONS(47),
    [anon_sym_BSLASHmr] = ACTIONS(47),
    [anon_sym_BSLASHs] = ACTIONS(47),
    [anon_sym_BSLASHsr] = ACTIONS(47),
    [anon_sym_BSLASHr] = ACTIONS(47),
    [anon_sym_BSLASHsp] = ACTIONS(47),
    [anon_sym_BSLASHd] = ACTIONS(47),
    [anon_sym_BSLASHsd] = ACTIONS(47),
    [anon_sym_BSLASHp] = ACTIONS(47),
    [anon_sym_BSLASHm] = ACTIONS(47),
    [anon_sym_BSLASHpo] = ACTIONS(47),
    [anon_sym_BSLASHpr] = ACTIONS(47),
    [anon_sym_BSLASHcls] = ACTIONS(47),
    [anon_sym_BSLASHpmo] = ACTIONS(47),
    [anon_sym_BSLASHpm] = ACTIONS(47),
    [anon_sym_BSLASHpmc] = ACTIONS(47),
    [anon_sym_BSLASHpmr] = ACTIONS(47),
    [anon_sym_BSLASHpi] = ACTIONS(47),
    [anon_sym_BSLASHmi] = ACTIONS(47),
    [anon_sym_BSLASHnb] = ACTIONS(47),
    [anon_sym_BSLASHpc] = ACTIONS(47),
    [anon_sym_BSLASHph] = ACTIONS(47),
    [anon_sym_BSLASHb] = ACTIONS(47),
    [anon_sym_BSLASHq] = ACTIONS(47),
    [anon_sym_BSLASHqr] = ACTIONS(47),
    [anon_sym_BSLASHqc] = ACTIONS(47),
    [anon_sym_BSLASHqa] = ACTIONS(47),
    [anon_sym_BSLASHqm] = ACTIONS(47),
    [anon_sym_BSLASHqd] = ACTIONS(47),
    [anon_sym_BSLASHlh] = ACTIONS(47),
    [anon_sym_BSLASHlf] = ACTIONS(47),
    [anon_sym_BSLASHli] = ACTIONS(47),
    [anon_sym_BSLASHlim] = ACTIONS(47),
    [anon_sym_BSLASHliv] = ACTIONS(47),
    [anon_sym_BSLASHlik] = ACTIONS(47),
    [anon_sym_BSLASHlitl] = ACTIONS(47),
    [anon_sym_BSLASHtr] = ACTIONS(47),
    [anon_sym_BSLASHf] = ACTIONS(47),
    [anon_sym_BSLASHfe] = ACTIONS(47),
    [anon_sym_BSLASHef] = ACTIONS(47),
    [anon_sym_BSLASHfm] = ACTIONS(47),
    [anon_sym_BSLASHx] = ACTIONS(47),
    [anon_sym_BSLASHxt] = ACTIONS(47),
    [anon_sym_BSLASHrq] = ACTIONS(47),
    [anon_sym_BSLASHadd] = ACTIONS(47),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(47),
    [anon_sym_BSLASHbk] = ACTIONS(47),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(47),
    [anon_sym_BSLASHdc] = ACTIONS(47),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(47),
    [anon_sym_BSLASHk] = ACTIONS(47),
    [anon_sym_BSLASHnd] = ACTIONS(47),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(47),
    [anon_sym_BSLASHord] = ACTIONS(47),
    [anon_sym_BSLASHord_STAR] = ACTIONS(47),
    [anon_sym_BSLASHpn] = ACTIONS(47),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(47),
    [anon_sym_BSLASHpng] = ACTIONS(47),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(47),
    [anon_sym_BSLASHaddpn] = ACTIONS(47),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(47),
    [anon_sym_BSLASHqt] = ACTIONS(47),
    [anon_sym_BSLASHsig] = ACTIONS(47),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(47),
    [anon_sym_BSLASHsls] = ACTIONS(47),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(47),
    [anon_sym_BSLASHtl] = ACTIONS(47),
    [anon_sym_BSLASHwj] = ACTIONS(47),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(47),
    [anon_sym_BSLASHem] = ACTIONS(47),
    [anon_sym_BSLASHem_STAR] = ACTIONS(47),
    [anon_sym_BSLASHbd] = ACTIONS(47),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(47),
    [anon_sym_BSLASHit] = ACTIONS(47),
    [anon_sym_BSLASHit_STAR] = ACTIONS(47),
    [anon_sym_BSLASHbdit] = ACTIONS(47),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(47),
    [anon_sym_BSLASHno] = ACTIONS(47),
    [anon_sym_BSLASHno_STAR] = ACTIONS(47),
    [anon_sym_BSLASHsc] = ACTIONS(47),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(47),
    [anon_sym_BSLASHsup] = ACTIONS(47),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(47),
    [anon_sym_BSLASHndx] = ACTIONS(47),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(47),
    [anon_sym_BSLASHpro] = ACTIONS(47),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(47),
    [anon_sym_BSLASHrb] = ACTIONS(47),
    [anon_sym_BSLASHw] = ACTIONS(47),
    [anon_sym_BSLASHw_STAR] = ACTIONS(47),
    [anon_sym_BSLASHwg] = ACTIONS(47),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(47),
    [anon_sym_BSLASHwh] = ACTIONS(47),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(47),
    [anon_sym_BSLASHwa] = ACTIONS(47),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(47),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(47),
    [anon_sym_BSLASHfig] = ACTIONS(47),
    [anon_sym_BSLASHjmp] = ACTIONS(47),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(47),
    [anon_sym_BSLASHpb] = ACTIONS(47),
    [anon_sym_BSLASH] = ACTIONS(47),
    [sym_milestoneStartTag] = ACTIONS(47),
    [sym_milestoneEndTag] = ACTIONS(47),
    [sym_zSpaceTag] = ACTIONS(47),
    [anon_sym_BSLASHesbe] = ACTIONS(47),
    [anon_sym_BSLASHcat] = ACTIONS(47),
    [anon_sym_PIPE] = ACTIONS(47),
  },
  [13] = {
    [aux_sym_text_token1] = ACTIONS(49),
    [anon_sym_BSLASHref] = ACTIONS(51),
    [anon_sym_BSLASHsts] = ACTIONS(51),
    [anon_sym_BSLASHrem] = ACTIONS(51),
    [anon_sym_BSLASHrestore] = ACTIONS(51),
    [anon_sym_BSLASHlit] = ACTIONS(51),
    [anon_sym_BSLASHip] = ACTIONS(51),
    [anon_sym_BSLASHv] = ACTIONS(51),
    [anon_sym_BSLASHva] = ACTIONS(51),
    [anon_sym_BSLASHvp] = ACTIONS(51),
    [anon_sym_BSLASHmte] = ACTIONS(51),
    [anon_sym_BSLASHms] = ACTIONS(51),
    [anon_sym_BSLASHmr] = ACTIONS(51),
    [anon_sym_BSLASHs] = ACTIONS(51),
    [anon_sym_BSLASHsr] = ACTIONS(51),
    [anon_sym_BSLASHr] = ACTIONS(51),
    [anon_sym_BSLASHsp] = ACTIONS(51),
    [anon_sym_BSLASHd] = ACTIONS(51),
    [anon_sym_BSLASHsd] = ACTIONS(51),
    [anon_sym_BSLASHp] = ACTIONS(51),
    [anon_sym_BSLASHm] = ACTIONS(51),
    [anon_sym_BSLASHpo] = ACTIONS(51),
    [anon_sym_BSLASHpr] = ACTIONS(51),
    [anon_sym_BSLASHcls] = ACTIONS(51),
    [anon_sym_BSLASHpmo] = ACTIONS(51),
    [anon_sym_BSLASHpm] = ACTIONS(51),
    [anon_sym_BSLASHpmc] = ACTIONS(51),
    [anon_sym_BSLASHpmr] = ACTIONS(51),
    [anon_sym_BSLASHpi] = ACTIONS(51),
    [anon_sym_BSLASHmi] = ACTIONS(51),
    [anon_sym_BSLASHnb] = ACTIONS(51),
    [anon_sym_BSLASHpc] = ACTIONS(51),
    [anon_sym_BSLASHph] = ACTIONS(51),
    [anon_sym_BSLASHb] = ACTIONS(51),
    [anon_sym_BSLASHq] = ACTIONS(51),
    [anon_sym_BSLASHqr] = ACTIONS(51),
    [anon_sym_BSLASHqc] = ACTIONS(51),
    [anon_sym_BSLASHqa] = ACTIONS(51),
    [anon_sym_BSLASHqm] = ACTIONS(51),
    [anon_sym_BSLASHqd] = ACTIONS(51),
    [anon_sym_BSLASHlh] = ACTIONS(51),
    [anon_sym_BSLASHlf] = ACTIONS(51),
    [anon_sym_BSLASHli] = ACTIONS(51),
    [anon_sym_BSLASHlim] = ACTIONS(51),
    [anon_sym_BSLASHliv] = ACTIONS(51),
    [anon_sym_BSLASHlik] = ACTIONS(51),
    [anon_sym_BSLASHlitl] = ACTIONS(51),
    [anon_sym_BSLASHtr] = ACTIONS(51),
    [anon_sym_BSLASHf] = ACTIONS(51),
    [anon_sym_BSLASHfe] = ACTIONS(51),
    [anon_sym_BSLASHef] = ACTIONS(51),
    [anon_sym_BSLASHfm] = ACTIONS(51),
    [anon_sym_BSLASHx] = ACTIONS(51),
    [anon_sym_BSLASHxt] = ACTIONS(51),
    [anon_sym_BSLASHrq] = ACTIONS(51),
    [anon_sym_BSLASHadd] = ACTIONS(51),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(51),
    [anon_sym_BSLASHbk] = ACTIONS(51),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(51),
    [anon_sym_BSLASHdc] = ACTIONS(51),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(51),
    [anon_sym_BSLASHk] = ACTIONS(51),
    [anon_sym_BSLASHnd] = ACTIONS(51),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(51),
    [anon_sym_BSLASHord] = ACTIONS(51),
    [anon_sym_BSLASHord_STAR] = ACTIONS(51),
    [anon_sym_BSLASHpn] = ACTIONS(51),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(51),
    [anon_sym_BSLASHpng] = ACTIONS(51),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(51),
    [anon_sym_BSLASHaddpn] = ACTIONS(51),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(51),
    [anon_sym_BSLASHqt] = ACTIONS(51),
    [anon_sym_BSLASHsig] = ACTIONS(51),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(51),
    [anon_sym_BSLASHsls] = ACTIONS(51),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(51),
    [anon_sym_BSLASHtl] = ACTIONS(51),
    [anon_sym_BSLASHwj] = ACTIONS(51),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(51),
    [anon_sym_BSLASHem] = ACTIONS(51),
    [anon_sym_BSLASHem_STAR] = ACTIONS(51),
    [anon_sym_BSLASHbd] = ACTIONS(51),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(51),
    [anon_sym_BSLASHit] = ACTIONS(51),
    [anon_sym_BSLASHit_STAR] = ACTIONS(51),
    [anon_sym_BSLASHbdit] = ACTIONS(51),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(51),
    [anon_sym_BSLASHno] = ACTIONS(51),
    [anon_sym_BSLASHno_STAR] = ACTIONS(51),
    [anon_sym_BSLASHsc] = ACTIONS(51),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(51),
    [anon_sym_BSLASHsup] = ACTIONS(51),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(51),
    [anon_sym_BSLASHndx] = ACTIONS(51),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(51),
    [anon_sym_BSLASHpro] = ACTIONS(51),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(51),
    [anon_sym_BSLASHrb] = ACTIONS(51),
    [anon_sym_BSLASHw] = ACTIONS(51),
    [anon_sym_BSLASHw_STAR] = ACTIONS(51),
    [anon_sym_BSLASHwg] = ACTIONS(51),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(51),
    [anon_sym_BSLASHwh] = ACTIONS(51),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(51),
    [anon_sym_BSLASHwa] = ACTIONS(51),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(51),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(51),
    [anon_sym_BSLASHfig] = ACTIONS(51),
    [anon_sym_BSLASHjmp] = ACTIONS(51),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(51),
    [anon_sym_BSLASHpb] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(51),
    [sym_milestoneStartTag] = ACTIONS(51),
    [sym_milestoneEndTag] = ACTIONS(51),
    [sym_zSpaceTag] = ACTIONS(51),
    [anon_sym_BSLASHesbe] = ACTIONS(51),
    [anon_sym_BSLASHcat] = ACTIONS(51),
    [anon_sym_PIPE] = ACTIONS(51),
  },
  [14] = {
    [aux_sym_text_token1] = ACTIONS(53),
    [anon_sym_BSLASHref] = ACTIONS(55),
    [anon_sym_BSLASHsts] = ACTIONS(55),
    [anon_sym_BSLASHrem] = ACTIONS(55),
    [anon_sym_BSLASHrestore] = ACTIONS(55),
    [anon_sym_BSLASHlit] = ACTIONS(55),
    [anon_sym_BSLASHip] = ACTIONS(55),
    [anon_sym_BSLASHv] = ACTIONS(55),
    [anon_sym_BSLASHva] = ACTIONS(55),
    [anon_sym_BSLASHvp] = ACTIONS(55),
    [anon_sym_BSLASHmte] = ACTIONS(55),
    [anon_sym_BSLASHms] = ACTIONS(55),
    [anon_sym_BSLASHmr] = ACTIONS(55),
    [anon_sym_BSLASHs] = ACTIONS(55),
    [anon_sym_BSLASHsr] = ACTIONS(55),
    [anon_sym_BSLASHr] = ACTIONS(55),
    [anon_sym_BSLASHsp] = ACTIONS(55),
    [anon_sym_BSLASHd] = ACTIONS(55),
    [anon_sym_BSLASHsd] = ACTIONS(55),
    [anon_sym_BSLASHp] = ACTIONS(55),
    [anon_sym_BSLASHm] = ACTIONS(55),
    [anon_sym_BSLASHpo] = ACTIONS(55),
    [anon_sym_BSLASHpr] = ACTIONS(55),
    [anon_sym_BSLASHcls] = ACTIONS(55),
    [anon_sym_BSLASHpmo] = ACTIONS(55),
    [anon_sym_BSLASHpm] = ACTIONS(55),
    [anon_sym_BSLASHpmc] = ACTIONS(55),
    [anon_sym_BSLASHpmr] = ACTIONS(55),
    [anon_sym_BSLASHpi] = ACTIONS(55),
    [anon_sym_BSLASHmi] = ACTIONS(55),
    [anon_sym_BSLASHnb] = ACTIONS(55),
    [anon_sym_BSLASHpc] = ACTIONS(55),
    [anon_sym_BSLASHph] = ACTIONS(55),
    [anon_sym_BSLASHb] = ACTIONS(55),
    [anon_sym_BSLASHq] = ACTIONS(55),
    [anon_sym_BSLASHqr] = ACTIONS(55),
    [anon_sym_BSLASHqc] = ACTIONS(55),
    [anon_sym_BSLASHqa] = ACTIONS(55),
    [anon_sym_BSLASHqm] = ACTIONS(55),
    [anon_sym_BSLASHqd] = ACTIONS(55),
    [anon_sym_BSLASHlh] = ACTIONS(55),
    [anon_sym_BSLASHlf] = ACTIONS(55),
    [anon_sym_BSLASHli] = ACTIONS(55),
    [anon_sym_BSLASHlim] = ACTIONS(55),
    [anon_sym_BSLASHliv] = ACTIONS(55),
    [anon_sym_BSLASHlik] = ACTIONS(55),
    [anon_sym_BSLASHlitl] = ACTIONS(55),
    [anon_sym_BSLASHtr] = ACTIONS(55),
    [anon_sym_BSLASHf] = ACTIONS(55),
    [anon_sym_BSLASHfe] = ACTIONS(55),
    [anon_sym_BSLASHef] = ACTIONS(55),
    [anon_sym_BSLASHfm] = ACTIONS(55),
    [anon_sym_BSLASHx] = ACTIONS(55),
    [anon_sym_BSLASHxt] = ACTIONS(55),
    [anon_sym_BSLASHrq] = ACTIONS(55),
    [anon_sym_BSLASHadd] = ACTIONS(55),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(55),
    [anon_sym_BSLASHbk] = ACTIONS(55),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(55),
    [anon_sym_BSLASHdc] = ACTIONS(55),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(55),
    [anon_sym_BSLASHk] = ACTIONS(55),
    [anon_sym_BSLASHnd] = ACTIONS(55),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(55),
    [anon_sym_BSLASHord] = ACTIONS(55),
    [anon_sym_BSLASHord_STAR] = ACTIONS(55),
    [anon_sym_BSLASHpn] = ACTIONS(55),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(55),
    [anon_sym_BSLASHpng] = ACTIONS(55),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(55),
    [anon_sym_BSLASHaddpn] = ACTIONS(55),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(55),
    [anon_sym_BSLASHqt] = ACTIONS(55),
    [anon_sym_BSLASHsig] = ACTIONS(55),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(55),
    [anon_sym_BSLASHsls] = ACTIONS(55),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(55),
    [anon_sym_BSLASHtl] = ACTIONS(55),
    [anon_sym_BSLASHwj] = ACTIONS(55),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(55),
    [anon_sym_BSLASHem] = ACTIONS(55),
    [anon_sym_BSLASHem_STAR] = ACTIONS(55),
    [anon_sym_BSLASHbd] = ACTIONS(55),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(55),
    [anon_sym_BSLASHit] = ACTIONS(55),
    [anon_sym_BSLASHit_STAR] = ACTIONS(55),
    [anon_sym_BSLASHbdit] = ACTIONS(55),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(55),
    [anon_sym_BSLASHno] = ACTIONS(55),
    [anon_sym_BSLASHno_STAR] = ACTIONS(55),
    [anon_sym_BSLASHsc] = ACTIONS(55),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(55),
    [anon_sym_BSLASHsup] = ACTIONS(55),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(55),
    [anon_sym_BSLASHndx] = ACTIONS(55),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(55),
    [anon_sym_BSLASHpro] = ACTIONS(55),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(55),
    [anon_sym_BSLASHrb] = ACTIONS(55),
    [anon_sym_BSLASHw] = ACTIONS(55),
    [anon_sym_BSLASHw_STAR] = ACTIONS(55),
    [anon_sym_BSLASHwg] = ACTIONS(55),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(55),
    [anon_sym_BSLASHwh] = ACTIONS(55),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(55),
    [anon_sym_BSLASHwa] = ACTIONS(55),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(55),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(55),
    [anon_sym_BSLASHfig] = ACTIONS(55),
    [anon_sym_BSLASHjmp] = ACTIONS(55),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(55),
    [anon_sym_BSLASHpb] = ACTIONS(55),
    [anon_sym_BSLASH] = ACTIONS(55),
    [sym_milestoneStartTag] = ACTIONS(55),
    [sym_milestoneEndTag] = ACTIONS(55),
    [sym_zSpaceTag] = ACTIONS(55),
    [anon_sym_BSLASHesbe] = ACTIONS(55),
    [anon_sym_BSLASHcat] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(55),
  },
  [15] = {
    [aux_sym_text_token1] = ACTIONS(57),
    [anon_sym_BSLASHref] = ACTIONS(59),
    [anon_sym_BSLASHsts] = ACTIONS(59),
    [anon_sym_BSLASHrem] = ACTIONS(59),
    [anon_sym_BSLASHrestore] = ACTIONS(59),
    [anon_sym_BSLASHlit] = ACTIONS(59),
    [anon_sym_BSLASHip] = ACTIONS(59),
    [anon_sym_BSLASHv] = ACTIONS(59),
    [anon_sym_BSLASHva] = ACTIONS(59),
    [anon_sym_BSLASHvp] = ACTIONS(59),
    [anon_sym_BSLASHmte] = ACTIONS(59),
    [anon_sym_BSLASHms] = ACTIONS(59),
    [anon_sym_BSLASHmr] = ACTIONS(59),
    [anon_sym_BSLASHs] = ACTIONS(59),
    [anon_sym_BSLASHsr] = ACTIONS(59),
    [anon_sym_BSLASHr] = ACTIONS(59),
    [anon_sym_BSLASHsp] = ACTIONS(59),
    [anon_sym_BSLASHd] = ACTIONS(59),
    [anon_sym_BSLASHsd] = ACTIONS(59),
    [anon_sym_BSLASHp] = ACTIONS(59),
    [anon_sym_BSLASHm] = ACTIONS(59),
    [anon_sym_BSLASHpo] = ACTIONS(59),
    [anon_sym_BSLASHpr] = ACTIONS(59),
    [anon_sym_BSLASHcls] = ACTIONS(59),
    [anon_sym_BSLASHpmo] = ACTIONS(59),
    [anon_sym_BSLASHpm] = ACTIONS(59),
    [anon_sym_BSLASHpmc] = ACTIONS(59),
    [anon_sym_BSLASHpmr] = ACTIONS(59),
    [anon_sym_BSLASHpi] = ACTIONS(59),
    [anon_sym_BSLASHmi] = ACTIONS(59),
    [anon_sym_BSLASHnb] = ACTIONS(59),
    [anon_sym_BSLASHpc] = ACTIONS(59),
    [anon_sym_BSLASHph] = ACTIONS(59),
    [anon_sym_BSLASHb] = ACTIONS(59),
    [anon_sym_BSLASHq] = ACTIONS(59),
    [anon_sym_BSLASHqr] = ACTIONS(59),
    [anon_sym_BSLASHqc] = ACTIONS(59),
    [anon_sym_BSLASHqa] = ACTIONS(59),
    [anon_sym_BSLASHqm] = ACTIONS(59),
    [anon_sym_BSLASHqd] = ACTIONS(59),
    [anon_sym_BSLASHlh] = ACTIONS(59),
    [anon_sym_BSLASHlf] = ACTIONS(59),
    [anon_sym_BSLASHli] = ACTIONS(59),
    [anon_sym_BSLASHlim] = ACTIONS(59),
    [anon_sym_BSLASHliv] = ACTIONS(59),
    [anon_sym_BSLASHlik] = ACTIONS(59),
    [anon_sym_BSLASHlitl] = ACTIONS(59),
    [anon_sym_BSLASHtr] = ACTIONS(59),
    [anon_sym_BSLASHf] = ACTIONS(59),
    [anon_sym_BSLASHfe] = ACTIONS(59),
    [anon_sym_BSLASHef] = ACTIONS(59),
    [anon_sym_BSLASHfm] = ACTIONS(59),
    [anon_sym_BSLASHx] = ACTIONS(59),
    [anon_sym_BSLASHxt] = ACTIONS(59),
    [anon_sym_BSLASHrq] = ACTIONS(59),
    [anon_sym_BSLASHadd] = ACTIONS(59),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(59),
    [anon_sym_BSLASHbk] = ACTIONS(59),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(59),
    [anon_sym_BSLASHdc] = ACTIONS(59),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(59),
    [anon_sym_BSLASHk] = ACTIONS(59),
    [anon_sym_BSLASHnd] = ACTIONS(59),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(59),
    [anon_sym_BSLASHord] = ACTIONS(59),
    [anon_sym_BSLASHord_STAR] = ACTIONS(59),
    [anon_sym_BSLASHpn] = ACTIONS(59),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(59),
    [anon_sym_BSLASHpng] = ACTIONS(59),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(59),
    [anon_sym_BSLASHaddpn] = ACTIONS(59),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(59),
    [anon_sym_BSLASHqt] = ACTIONS(59),
    [anon_sym_BSLASHsig] = ACTIONS(59),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(59),
    [anon_sym_BSLASHsls] = ACTIONS(59),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(59),
    [anon_sym_BSLASHtl] = ACTIONS(59),
    [anon_sym_BSLASHwj] = ACTIONS(59),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(59),
    [anon_sym_BSLASHem] = ACTIONS(59),
    [anon_sym_BSLASHem_STAR] = ACTIONS(59),
    [anon_sym_BSLASHbd] = ACTIONS(59),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(59),
    [anon_sym_BSLASHit] = ACTIONS(59),
    [anon_sym_BSLASHit_STAR] = ACTIONS(59),
    [anon_sym_BSLASHbdit] = ACTIONS(59),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(59),
    [anon_sym_BSLASHno] = ACTIONS(59),
    [anon_sym_BSLASHno_STAR] = ACTIONS(59),
    [anon_sym_BSLASHsc] = ACTIONS(59),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(59),
    [anon_sym_BSLASHsup] = ACTIONS(59),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(59),
    [anon_sym_BSLASHndx] = ACTIONS(59),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(59),
    [anon_sym_BSLASHpro] = ACTIONS(59),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(59),
    [anon_sym_BSLASHrb] = ACTIONS(59),
    [anon_sym_BSLASHw] = ACTIONS(59),
    [anon_sym_BSLASHw_STAR] = ACTIONS(59),
    [anon_sym_BSLASHwg] = ACTIONS(59),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(59),
    [anon_sym_BSLASHwh] = ACTIONS(59),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(59),
    [anon_sym_BSLASHwa] = ACTIONS(59),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(59),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(59),
    [anon_sym_BSLASHfig] = ACTIONS(59),
    [anon_sym_BSLASHjmp] = ACTIONS(59),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(59),
    [anon_sym_BSLASHpb] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(59),
    [sym_milestoneStartTag] = ACTIONS(59),
    [sym_milestoneEndTag] = ACTIONS(59),
    [sym_zSpaceTag] = ACTIONS(59),
    [anon_sym_BSLASHesbe] = ACTIONS(59),
    [anon_sym_BSLASHcat] = ACTIONS(59),
    [anon_sym_PIPE] = ACTIONS(59),
  },
  [16] = {
    [aux_sym_text_token1] = ACTIONS(61),
    [anon_sym_BSLASHref] = ACTIONS(63),
    [anon_sym_BSLASHsts] = ACTIONS(63),
    [anon_sym_BSLASHrem] = ACTIONS(63),
    [anon_sym_BSLASHrestore] = ACTIONS(63),
    [anon_sym_BSLASHlit] = ACTIONS(63),
    [anon_sym_BSLASHip] = ACTIONS(63),
    [anon_sym_BSLASHv] = ACTIONS(63),
    [anon_sym_BSLASHva] = ACTIONS(63),
    [anon_sym_BSLASHvp] = ACTIONS(63),
    [anon_sym_BSLASHmte] = ACTIONS(63),
    [anon_sym_BSLASHms] = ACTIONS(63),
    [anon_sym_BSLASHmr] = ACTIONS(63),
    [anon_sym_BSLASHs] = ACTIONS(63),
    [anon_sym_BSLASHsr] = ACTIONS(63),
    [anon_sym_BSLASHr] = ACTIONS(63),
    [anon_sym_BSLASHsp] = ACTIONS(63),
    [anon_sym_BSLASHd] = ACTIONS(63),
    [anon_sym_BSLASHsd] = ACTIONS(63),
    [anon_sym_BSLASHp] = ACTIONS(63),
    [anon_sym_BSLASHm] = ACTIONS(63),
    [anon_sym_BSLASHpo] = ACTIONS(63),
    [anon_sym_BSLASHpr] = ACTIONS(63),
    [anon_sym_BSLASHcls] = ACTIONS(63),
    [anon_sym_BSLASHpmo] = ACTIONS(63),
    [anon_sym_BSLASHpm] = ACTIONS(63),
    [anon_sym_BSLASHpmc] = ACTIONS(63),
    [anon_sym_BSLASHpmr] = ACTIONS(63),
    [anon_sym_BSLASHpi] = ACTIONS(63),
    [anon_sym_BSLASHmi] = ACTIONS(63),
    [anon_sym_BSLASHnb] = ACTIONS(63),
    [anon_sym_BSLASHpc] = ACTIONS(63),
    [anon_sym_BSLASHph] = ACTIONS(63),
    [anon_sym_BSLASHb] = ACTIONS(63),
    [anon_sym_BSLASHq] = ACTIONS(63),
    [anon_sym_BSLASHqr] = ACTIONS(63),
    [anon_sym_BSLASHqc] = ACTIONS(63),
    [anon_sym_BSLASHqa] = ACTIONS(63),
    [anon_sym_BSLASHqm] = ACTIONS(63),
    [anon_sym_BSLASHqd] = ACTIONS(63),
    [anon_sym_BSLASHlh] = ACTIONS(63),
    [anon_sym_BSLASHlf] = ACTIONS(63),
    [anon_sym_BSLASHli] = ACTIONS(63),
    [anon_sym_BSLASHlim] = ACTIONS(63),
    [anon_sym_BSLASHliv] = ACTIONS(63),
    [anon_sym_BSLASHlik] = ACTIONS(63),
    [anon_sym_BSLASHlitl] = ACTIONS(63),
    [anon_sym_BSLASHtr] = ACTIONS(63),
    [anon_sym_BSLASHf] = ACTIONS(63),
    [anon_sym_BSLASHfe] = ACTIONS(63),
    [anon_sym_BSLASHef] = ACTIONS(63),
    [anon_sym_BSLASHfm] = ACTIONS(63),
    [anon_sym_BSLASHx] = ACTIONS(63),
    [anon_sym_BSLASHxt] = ACTIONS(63),
    [anon_sym_BSLASHrq] = ACTIONS(63),
    [anon_sym_BSLASHadd] = ACTIONS(63),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(63),
    [anon_sym_BSLASHbk] = ACTIONS(63),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(63),
    [anon_sym_BSLASHdc] = ACTIONS(63),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(63),
    [anon_sym_BSLASHk] = ACTIONS(63),
    [anon_sym_BSLASHnd] = ACTIONS(63),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(63),
    [anon_sym_BSLASHord] = ACTIONS(63),
    [anon_sym_BSLASHord_STAR] = ACTIONS(63),
    [anon_sym_BSLASHpn] = ACTIONS(63),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(63),
    [anon_sym_BSLASHpng] = ACTIONS(63),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(63),
    [anon_sym_BSLASHaddpn] = ACTIONS(63),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(63),
    [anon_sym_BSLASHqt] = ACTIONS(63),
    [anon_sym_BSLASHsig] = ACTIONS(63),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(63),
    [anon_sym_BSLASHsls] = ACTIONS(63),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(63),
    [anon_sym_BSLASHtl] = ACTIONS(63),
    [anon_sym_BSLASHwj] = ACTIONS(63),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(63),
    [anon_sym_BSLASHem] = ACTIONS(63),
    [anon_sym_BSLASHem_STAR] = ACTIONS(63),
    [anon_sym_BSLASHbd] = ACTIONS(63),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(63),
    [anon_sym_BSLASHit] = ACTIONS(63),
    [anon_sym_BSLASHit_STAR] = ACTIONS(63),
    [anon_sym_BSLASHbdit] = ACTIONS(63),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(63),
    [anon_sym_BSLASHno] = ACTIONS(63),
    [anon_sym_BSLASHno_STAR] = ACTIONS(63),
    [anon_sym_BSLASHsc] = ACTIONS(63),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(63),
    [anon_sym_BSLASHsup] = ACTIONS(63),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(63),
    [anon_sym_BSLASHndx] = ACTIONS(63),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(63),
    [anon_sym_BSLASHpro] = ACTIONS(63),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(63),
    [anon_sym_BSLASHrb] = ACTIONS(63),
    [anon_sym_BSLASHw] = ACTIONS(63),
    [anon_sym_BSLASHw_STAR] = ACTIONS(63),
    [anon_sym_BSLASHwg] = ACTIONS(63),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(63),
    [anon_sym_BSLASHwh] = ACTIONS(63),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(63),
    [anon_sym_BSLASHwa] = ACTIONS(63),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(63),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(63),
    [anon_sym_BSLASHfig] = ACTIONS(63),
    [anon_sym_BSLASHjmp] = ACTIONS(63),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(63),
    [anon_sym_BSLASHpb] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(63),
    [sym_milestoneStartTag] = ACTIONS(63),
    [sym_milestoneEndTag] = ACTIONS(63),
    [sym_zSpaceTag] = ACTIONS(63),
    [anon_sym_BSLASHesbe] = ACTIONS(63),
    [anon_sym_BSLASHcat] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(63),
  },
  [17] = {
    [aux_sym_text_token1] = ACTIONS(65),
    [anon_sym_BSLASHref] = ACTIONS(67),
    [anon_sym_BSLASHsts] = ACTIONS(67),
    [anon_sym_BSLASHrem] = ACTIONS(67),
    [anon_sym_BSLASHrestore] = ACTIONS(67),
    [anon_sym_BSLASHlit] = ACTIONS(67),
    [anon_sym_BSLASHip] = ACTIONS(67),
    [anon_sym_BSLASHv] = ACTIONS(67),
    [anon_sym_BSLASHva] = ACTIONS(67),
    [anon_sym_BSLASHvp] = ACTIONS(67),
    [anon_sym_BSLASHmte] = ACTIONS(67),
    [anon_sym_BSLASHms] = ACTIONS(67),
    [anon_sym_BSLASHmr] = ACTIONS(67),
    [anon_sym_BSLASHs] = ACTIONS(67),
    [anon_sym_BSLASHsr] = ACTIONS(67),
    [anon_sym_BSLASHr] = ACTIONS(67),
    [anon_sym_BSLASHsp] = ACTIONS(67),
    [anon_sym_BSLASHd] = ACTIONS(67),
    [anon_sym_BSLASHsd] = ACTIONS(67),
    [anon_sym_BSLASHp] = ACTIONS(67),
    [anon_sym_BSLASHm] = ACTIONS(67),
    [anon_sym_BSLASHpo] = ACTIONS(67),
    [anon_sym_BSLASHpr] = ACTIONS(67),
    [anon_sym_BSLASHcls] = ACTIONS(67),
    [anon_sym_BSLASHpmo] = ACTIONS(67),
    [anon_sym_BSLASHpm] = ACTIONS(67),
    [anon_sym_BSLASHpmc] = ACTIONS(67),
    [anon_sym_BSLASHpmr] = ACTIONS(67),
    [anon_sym_BSLASHpi] = ACTIONS(67),
    [anon_sym_BSLASHmi] = ACTIONS(67),
    [anon_sym_BSLASHnb] = ACTIONS(67),
    [anon_sym_BSLASHpc] = ACTIONS(67),
    [anon_sym_BSLASHph] = ACTIONS(67),
    [anon_sym_BSLASHb] = ACTIONS(67),
    [anon_sym_BSLASHq] = ACTIONS(67),
    [anon_sym_BSLASHqr] = ACTIONS(67),
    [anon_sym_BSLASHqc] = ACTIONS(67),
    [anon_sym_BSLASHqa] = ACTIONS(67),
    [anon_sym_BSLASHqm] = ACTIONS(67),
    [anon_sym_BSLASHqd] = ACTIONS(67),
    [anon_sym_BSLASHlh] = ACTIONS(67),
    [anon_sym_BSLASHlf] = ACTIONS(67),
    [anon_sym_BSLASHli] = ACTIONS(67),
    [anon_sym_BSLASHlim] = ACTIONS(67),
    [anon_sym_BSLASHliv] = ACTIONS(67),
    [anon_sym_BSLASHlik] = ACTIONS(67),
    [anon_sym_BSLASHlitl] = ACTIONS(67),
    [anon_sym_BSLASHtr] = ACTIONS(67),
    [anon_sym_BSLASHf] = ACTIONS(67),
    [anon_sym_BSLASHfe] = ACTIONS(67),
    [anon_sym_BSLASHef] = ACTIONS(67),
    [anon_sym_BSLASHfm] = ACTIONS(67),
    [anon_sym_BSLASHx] = ACTIONS(67),
    [anon_sym_BSLASHxt] = ACTIONS(67),
    [anon_sym_BSLASHrq] = ACTIONS(67),
    [anon_sym_BSLASHadd] = ACTIONS(67),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(67),
    [anon_sym_BSLASHbk] = ACTIONS(67),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(67),
    [anon_sym_BSLASHdc] = ACTIONS(67),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(67),
    [anon_sym_BSLASHk] = ACTIONS(67),
    [anon_sym_BSLASHnd] = ACTIONS(67),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(67),
    [anon_sym_BSLASHord] = ACTIONS(67),
    [anon_sym_BSLASHord_STAR] = ACTIONS(67),
    [anon_sym_BSLASHpn] = ACTIONS(67),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(67),
    [anon_sym_BSLASHpng] = ACTIONS(67),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(67),
    [anon_sym_BSLASHaddpn] = ACTIONS(67),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(67),
    [anon_sym_BSLASHqt] = ACTIONS(67),
    [anon_sym_BSLASHsig] = ACTIONS(67),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(67),
    [anon_sym_BSLASHsls] = ACTIONS(67),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(67),
    [anon_sym_BSLASHtl] = ACTIONS(67),
    [anon_sym_BSLASHwj] = ACTIONS(67),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(67),
    [anon_sym_BSLASHem] = ACTIONS(67),
    [anon_sym_BSLASHem_STAR] = ACTIONS(67),
    [anon_sym_BSLASHbd] = ACTIONS(67),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(67),
    [anon_sym_BSLASHit] = ACTIONS(67),
    [anon_sym_BSLASHit_STAR] = ACTIONS(67),
    [anon_sym_BSLASHbdit] = ACTIONS(67),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(67),
    [anon_sym_BSLASHno] = ACTIONS(67),
    [anon_sym_BSLASHno_STAR] = ACTIONS(67),
    [anon_sym_BSLASHsc] = ACTIONS(67),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(67),
    [anon_sym_BSLASHsup] = ACTIONS(67),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(67),
    [anon_sym_BSLASHndx] = ACTIONS(67),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(67),
    [anon_sym_BSLASHpro] = ACTIONS(67),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(67),
    [anon_sym_BSLASHrb] = ACTIONS(67),
    [anon_sym_BSLASHw] = ACTIONS(67),
    [anon_sym_BSLASHw_STAR] = ACTIONS(67),
    [anon_sym_BSLASHwg] = ACTIONS(67),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(67),
    [anon_sym_BSLASHwh] = ACTIONS(67),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(67),
    [anon_sym_BSLASHwa] = ACTIONS(67),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(67),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(67),
    [anon_sym_BSLASHfig] = ACTIONS(67),
    [anon_sym_BSLASHjmp] = ACTIONS(67),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(67),
    [anon_sym_BSLASHpb] = ACTIONS(67),
    [anon_sym_BSLASH] = ACTIONS(67),
    [sym_milestoneStartTag] = ACTIONS(67),
    [sym_milestoneEndTag] = ACTIONS(67),
    [sym_zSpaceTag] = ACTIONS(67),
    [anon_sym_BSLASHesbe] = ACTIONS(67),
    [anon_sym_BSLASHcat] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(67),
  },
  [18] = {
    [aux_sym_text_token1] = ACTIONS(69),
    [anon_sym_BSLASHref] = ACTIONS(71),
    [anon_sym_BSLASHsts] = ACTIONS(71),
    [anon_sym_BSLASHrem] = ACTIONS(71),
    [anon_sym_BSLASHrestore] = ACTIONS(71),
    [anon_sym_BSLASHlit] = ACTIONS(71),
    [anon_sym_BSLASHip] = ACTIONS(71),
    [anon_sym_BSLASHv] = ACTIONS(71),
    [anon_sym_BSLASHva] = ACTIONS(71),
    [anon_sym_BSLASHvp] = ACTIONS(71),
    [anon_sym_BSLASHmte] = ACTIONS(71),
    [anon_sym_BSLASHms] = ACTIONS(71),
    [anon_sym_BSLASHmr] = ACTIONS(71),
    [anon_sym_BSLASHs] = ACTIONS(71),
    [anon_sym_BSLASHsr] = ACTIONS(71),
    [anon_sym_BSLASHr] = ACTIONS(71),
    [anon_sym_BSLASHsp] = ACTIONS(71),
    [anon_sym_BSLASHd] = ACTIONS(71),
    [anon_sym_BSLASHsd] = ACTIONS(71),
    [anon_sym_BSLASHp] = ACTIONS(71),
    [anon_sym_BSLASHm] = ACTIONS(71),
    [anon_sym_BSLASHpo] = ACTIONS(71),
    [anon_sym_BSLASHpr] = ACTIONS(71),
    [anon_sym_BSLASHcls] = ACTIONS(71),
    [anon_sym_BSLASHpmo] = ACTIONS(71),
    [anon_sym_BSLASHpm] = ACTIONS(71),
    [anon_sym_BSLASHpmc] = ACTIONS(71),
    [anon_sym_BSLASHpmr] = ACTIONS(71),
    [anon_sym_BSLASHpi] = ACTIONS(71),
    [anon_sym_BSLASHmi] = ACTIONS(71),
    [anon_sym_BSLASHnb] = ACTIONS(71),
    [anon_sym_BSLASHpc] = ACTIONS(71),
    [anon_sym_BSLASHph] = ACTIONS(71),
    [anon_sym_BSLASHb] = ACTIONS(71),
    [anon_sym_BSLASHq] = ACTIONS(71),
    [anon_sym_BSLASHqr] = ACTIONS(71),
    [anon_sym_BSLASHqc] = ACTIONS(71),
    [anon_sym_BSLASHqa] = ACTIONS(71),
    [anon_sym_BSLASHqm] = ACTIONS(71),
    [anon_sym_BSLASHqd] = ACTIONS(71),
    [anon_sym_BSLASHlh] = ACTIONS(71),
    [anon_sym_BSLASHlf] = ACTIONS(71),
    [anon_sym_BSLASHli] = ACTIONS(71),
    [anon_sym_BSLASHlim] = ACTIONS(71),
    [anon_sym_BSLASHliv] = ACTIONS(71),
    [anon_sym_BSLASHlik] = ACTIONS(71),
    [anon_sym_BSLASHlitl] = ACTIONS(71),
    [anon_sym_BSLASHtr] = ACTIONS(71),
    [anon_sym_BSLASHf] = ACTIONS(71),
    [anon_sym_BSLASHfe] = ACTIONS(71),
    [anon_sym_BSLASHef] = ACTIONS(71),
    [anon_sym_BSLASHfm] = ACTIONS(71),
    [anon_sym_BSLASHx] = ACTIONS(71),
    [anon_sym_BSLASHxt] = ACTIONS(71),
    [anon_sym_BSLASHrq] = ACTIONS(71),
    [anon_sym_BSLASHadd] = ACTIONS(71),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(71),
    [anon_sym_BSLASHbk] = ACTIONS(71),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(71),
    [anon_sym_BSLASHdc] = ACTIONS(71),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(71),
    [anon_sym_BSLASHk] = ACTIONS(71),
    [anon_sym_BSLASHnd] = ACTIONS(71),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(71),
    [anon_sym_BSLASHord] = ACTIONS(71),
    [anon_sym_BSLASHord_STAR] = ACTIONS(71),
    [anon_sym_BSLASHpn] = ACTIONS(71),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(71),
    [anon_sym_BSLASHpng] = ACTIONS(71),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(71),
    [anon_sym_BSLASHaddpn] = ACTIONS(71),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(71),
    [anon_sym_BSLASHqt] = ACTIONS(71),
    [anon_sym_BSLASHsig] = ACTIONS(71),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(71),
    [anon_sym_BSLASHsls] = ACTIONS(71),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(71),
    [anon_sym_BSLASHtl] = ACTIONS(71),
    [anon_sym_BSLASHwj] = ACTIONS(71),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(71),
    [anon_sym_BSLASHem] = ACTIONS(71),
    [anon_sym_BSLASHem_STAR] = ACTIONS(71),
    [anon_sym_BSLASHbd] = ACTIONS(71),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(71),
    [anon_sym_BSLASHit] = ACTIONS(71),
    [anon_sym_BSLASHit_STAR] = ACTIONS(71),
    [anon_sym_BSLASHbdit] = ACTIONS(71),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(71),
    [anon_sym_BSLASHno] = ACTIONS(71),
    [anon_sym_BSLASHno_STAR] = ACTIONS(71),
    [anon_sym_BSLASHsc] = ACTIONS(71),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(71),
    [anon_sym_BSLASHsup] = ACTIONS(71),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(71),
    [anon_sym_BSLASHndx] = ACTIONS(71),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(71),
    [anon_sym_BSLASHpro] = ACTIONS(71),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(71),
    [anon_sym_BSLASHrb] = ACTIONS(71),
    [anon_sym_BSLASHw] = ACTIONS(71),
    [anon_sym_BSLASHw_STAR] = ACTIONS(71),
    [anon_sym_BSLASHwg] = ACTIONS(71),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(71),
    [anon_sym_BSLASHwh] = ACTIONS(71),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(71),
    [anon_sym_BSLASHwa] = ACTIONS(71),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(71),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(71),
    [anon_sym_BSLASHfig] = ACTIONS(71),
    [anon_sym_BSLASHjmp] = ACTIONS(71),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(71),
    [anon_sym_BSLASHpb] = ACTIONS(71),
    [anon_sym_BSLASH] = ACTIONS(71),
    [sym_milestoneStartTag] = ACTIONS(71),
    [sym_milestoneEndTag] = ACTIONS(71),
    [sym_zSpaceTag] = ACTIONS(71),
    [anon_sym_BSLASHesbe] = ACTIONS(71),
    [anon_sym_BSLASHcat] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
  },
  [19] = {
    [aux_sym_text_token1] = ACTIONS(73),
    [anon_sym_BSLASHref] = ACTIONS(75),
    [anon_sym_BSLASHsts] = ACTIONS(75),
    [anon_sym_BSLASHrem] = ACTIONS(75),
    [anon_sym_BSLASHrestore] = ACTIONS(75),
    [anon_sym_BSLASHlit] = ACTIONS(75),
    [anon_sym_BSLASHip] = ACTIONS(75),
    [anon_sym_BSLASHv] = ACTIONS(75),
    [anon_sym_BSLASHva] = ACTIONS(75),
    [anon_sym_BSLASHvp] = ACTIONS(75),
    [anon_sym_BSLASHmte] = ACTIONS(75),
    [anon_sym_BSLASHms] = ACTIONS(75),
    [anon_sym_BSLASHmr] = ACTIONS(75),
    [anon_sym_BSLASHs] = ACTIONS(75),
    [anon_sym_BSLASHsr] = ACTIONS(75),
    [anon_sym_BSLASHr] = ACTIONS(75),
    [anon_sym_BSLASHsp] = ACTIONS(75),
    [anon_sym_BSLASHd] = ACTIONS(75),
    [anon_sym_BSLASHsd] = ACTIONS(75),
    [anon_sym_BSLASHp] = ACTIONS(75),
    [anon_sym_BSLASHm] = ACTIONS(75),
    [anon_sym_BSLASHpo] = ACTIONS(75),
    [anon_sym_BSLASHpr] = ACTIONS(75),
    [anon_sym_BSLASHcls] = ACTIONS(75),
    [anon_sym_BSLASHpmo] = ACTIONS(75),
    [anon_sym_BSLASHpm] = ACTIONS(75),
    [anon_sym_BSLASHpmc] = ACTIONS(75),
    [anon_sym_BSLASHpmr] = ACTIONS(75),
    [anon_sym_BSLASHpi] = ACTIONS(75),
    [anon_sym_BSLASHmi] = ACTIONS(75),
    [anon_sym_BSLASHnb] = ACTIONS(75),
    [anon_sym_BSLASHpc] = ACTIONS(75),
    [anon_sym_BSLASHph] = ACTIONS(75),
    [anon_sym_BSLASHb] = ACTIONS(75),
    [anon_sym_BSLASHq] = ACTIONS(75),
    [anon_sym_BSLASHqr] = ACTIONS(75),
    [anon_sym_BSLASHqc] = ACTIONS(75),
    [anon_sym_BSLASHqa] = ACTIONS(75),
    [anon_sym_BSLASHqm] = ACTIONS(75),
    [anon_sym_BSLASHqd] = ACTIONS(75),
    [anon_sym_BSLASHlh] = ACTIONS(75),
    [anon_sym_BSLASHlf] = ACTIONS(75),
    [anon_sym_BSLASHli] = ACTIONS(75),
    [anon_sym_BSLASHlim] = ACTIONS(75),
    [anon_sym_BSLASHliv] = ACTIONS(75),
    [anon_sym_BSLASHlik] = ACTIONS(75),
    [anon_sym_BSLASHlitl] = ACTIONS(75),
    [anon_sym_BSLASHtr] = ACTIONS(75),
    [anon_sym_BSLASHf] = ACTIONS(75),
    [anon_sym_BSLASHfe] = ACTIONS(75),
    [anon_sym_BSLASHef] = ACTIONS(75),
    [anon_sym_BSLASHfm] = ACTIONS(75),
    [anon_sym_BSLASHx] = ACTIONS(75),
    [anon_sym_BSLASHxt] = ACTIONS(75),
    [anon_sym_BSLASHrq] = ACTIONS(75),
    [anon_sym_BSLASHadd] = ACTIONS(75),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(75),
    [anon_sym_BSLASHbk] = ACTIONS(75),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(75),
    [anon_sym_BSLASHdc] = ACTIONS(75),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(75),
    [anon_sym_BSLASHk] = ACTIONS(75),
    [anon_sym_BSLASHnd] = ACTIONS(75),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(75),
    [anon_sym_BSLASHord] = ACTIONS(75),
    [anon_sym_BSLASHord_STAR] = ACTIONS(75),
    [anon_sym_BSLASHpn] = ACTIONS(75),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(75),
    [anon_sym_BSLASHpng] = ACTIONS(75),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(75),
    [anon_sym_BSLASHaddpn] = ACTIONS(75),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(75),
    [anon_sym_BSLASHqt] = ACTIONS(75),
    [anon_sym_BSLASHsig] = ACTIONS(75),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(75),
    [anon_sym_BSLASHsls] = ACTIONS(75),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(75),
    [anon_sym_BSLASHtl] = ACTIONS(75),
    [anon_sym_BSLASHwj] = ACTIONS(75),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(75),
    [anon_sym_BSLASHem] = ACTIONS(75),
    [anon_sym_BSLASHem_STAR] = ACTIONS(75),
    [anon_sym_BSLASHbd] = ACTIONS(75),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(75),
    [anon_sym_BSLASHit] = ACTIONS(75),
    [anon_sym_BSLASHit_STAR] = ACTIONS(75),
    [anon_sym_BSLASHbdit] = ACTIONS(75),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(75),
    [anon_sym_BSLASHno] = ACTIONS(75),
    [anon_sym_BSLASHno_STAR] = ACTIONS(75),
    [anon_sym_BSLASHsc] = ACTIONS(75),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(75),
    [anon_sym_BSLASHsup] = ACTIONS(75),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(75),
    [anon_sym_BSLASHndx] = ACTIONS(75),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(75),
    [anon_sym_BSLASHpro] = ACTIONS(75),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(75),
    [anon_sym_BSLASHrb] = ACTIONS(75),
    [anon_sym_BSLASHw] = ACTIONS(75),
    [anon_sym_BSLASHw_STAR] = ACTIONS(75),
    [anon_sym_BSLASHwg] = ACTIONS(75),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(75),
    [anon_sym_BSLASHwh] = ACTIONS(75),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(75),
    [anon_sym_BSLASHwa] = ACTIONS(75),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(75),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(75),
    [anon_sym_BSLASHfig] = ACTIONS(75),
    [anon_sym_BSLASHjmp] = ACTIONS(75),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(75),
    [anon_sym_BSLASHpb] = ACTIONS(75),
    [anon_sym_BSLASH] = ACTIONS(75),
    [sym_milestoneStartTag] = ACTIONS(75),
    [sym_milestoneEndTag] = ACTIONS(75),
    [sym_zSpaceTag] = ACTIONS(75),
    [anon_sym_BSLASHesbe] = ACTIONS(75),
    [anon_sym_BSLASHcat] = ACTIONS(75),
    [anon_sym_PIPE] = ACTIONS(75),
  },
  [20] = {
    [aux_sym_text_token1] = ACTIONS(77),
    [anon_sym_BSLASHref] = ACTIONS(79),
    [anon_sym_BSLASHf] = ACTIONS(79),
    [anon_sym_BSLASHf_STAR] = ACTIONS(79),
    [anon_sym_BSLASHfe] = ACTIONS(79),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(79),
    [anon_sym_BSLASHef] = ACTIONS(79),
    [anon_sym_BSLASHef_STAR] = ACTIONS(79),
    [anon_sym_BSLASHfr] = ACTIONS(79),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(79),
    [anon_sym_BSLASHfq] = ACTIONS(79),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(79),
    [anon_sym_BSLASHfqa] = ACTIONS(79),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(79),
    [anon_sym_BSLASHfk] = ACTIONS(79),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(79),
    [anon_sym_BSLASHfl] = ACTIONS(79),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(79),
    [anon_sym_BSLASHfw] = ACTIONS(79),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(79),
    [anon_sym_BSLASHfp] = ACTIONS(79),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(79),
    [anon_sym_BSLASHft] = ACTIONS(79),
    [anon_sym_BSLASHft_STAR] = ACTIONS(79),
    [anon_sym_BSLASHfdc] = ACTIONS(79),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(79),
    [anon_sym_BSLASHfv] = ACTIONS(79),
    [anon_sym_BSLASHfm] = ACTIONS(79),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(79),
    [anon_sym_BSLASHx] = ACTIONS(79),
    [anon_sym_BSLASHx_STAR] = ACTIONS(79),
    [anon_sym_BSLASHxo] = ACTIONS(79),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(79),
    [anon_sym_BSLASHxk] = ACTIONS(79),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(79),
    [anon_sym_BSLASHxq] = ACTIONS(79),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(79),
    [anon_sym_BSLASHxt] = ACTIONS(79),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(79),
    [anon_sym_BSLASHxta] = ACTIONS(79),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(79),
    [anon_sym_BSLASHxop] = ACTIONS(79),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(79),
    [anon_sym_BSLASHxot] = ACTIONS(79),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(79),
    [anon_sym_BSLASHxnt] = ACTIONS(79),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(79),
    [anon_sym_BSLASHxdc] = ACTIONS(79),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(79),
    [anon_sym_BSLASHrq] = ACTIONS(79),
    [anon_sym_BSLASHadd] = ACTIONS(79),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(79),
    [anon_sym_BSLASHbk] = ACTIONS(79),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(79),
    [anon_sym_BSLASHdc] = ACTIONS(79),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(79),
    [anon_sym_BSLASHk] = ACTIONS(79),
    [anon_sym_BSLASHnd] = ACTIONS(79),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(79),
    [anon_sym_BSLASHord] = ACTIONS(79),
    [anon_sym_BSLASHord_STAR] = ACTIONS(79),
    [anon_sym_BSLASHpn] = ACTIONS(79),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(79),
    [anon_sym_BSLASHpng] = ACTIONS(79),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(79),
    [anon_sym_BSLASHaddpn] = ACTIONS(79),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(79),
    [anon_sym_BSLASHqt] = ACTIONS(79),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(79),
    [anon_sym_BSLASHsig] = ACTIONS(79),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(79),
    [anon_sym_BSLASHsls] = ACTIONS(79),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(79),
    [anon_sym_BSLASHtl] = ACTIONS(79),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(79),
    [anon_sym_BSLASHwj] = ACTIONS(79),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(79),
    [anon_sym_BSLASHem] = ACTIONS(79),
    [anon_sym_BSLASHem_STAR] = ACTIONS(79),
    [anon_sym_BSLASHbd] = ACTIONS(79),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(79),
    [anon_sym_BSLASHit] = ACTIONS(79),
    [anon_sym_BSLASHit_STAR] = ACTIONS(79),
    [anon_sym_BSLASHbdit] = ACTIONS(79),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(79),
    [anon_sym_BSLASHno] = ACTIONS(79),
    [anon_sym_BSLASHno_STAR] = ACTIONS(79),
    [anon_sym_BSLASHsc] = ACTIONS(79),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(79),
    [anon_sym_BSLASHsup] = ACTIONS(79),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(79),
    [anon_sym_BSLASHndx] = ACTIONS(79),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(79),
    [anon_sym_BSLASHpro] = ACTIONS(79),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(79),
    [anon_sym_BSLASHrb] = ACTIONS(79),
    [anon_sym_BSLASHw] = ACTIONS(79),
    [anon_sym_BSLASHw_STAR] = ACTIONS(79),
    [anon_sym_BSLASHwg] = ACTIONS(79),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(79),
    [anon_sym_BSLASHwh] = ACTIONS(79),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(79),
    [anon_sym_BSLASHwa] = ACTIONS(79),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(79),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(79),
    [anon_sym_BSLASHfig] = ACTIONS(79),
    [anon_sym_BSLASHjmp] = ACTIONS(79),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(79),
    [anon_sym_BSLASHcat] = ACTIONS(79),
    [anon_sym_PIPE] = ACTIONS(79),
  },
  [21] = {
    [aux_sym_text_token1] = ACTIONS(81),
    [anon_sym_BSLASHref] = ACTIONS(83),
    [anon_sym_BSLASHf] = ACTIONS(83),
    [anon_sym_BSLASHf_STAR] = ACTIONS(83),
    [anon_sym_BSLASHfe] = ACTIONS(83),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(83),
    [anon_sym_BSLASHef] = ACTIONS(83),
    [anon_sym_BSLASHef_STAR] = ACTIONS(83),
    [anon_sym_BSLASHfr] = ACTIONS(83),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(83),
    [anon_sym_BSLASHfq] = ACTIONS(83),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(83),
    [anon_sym_BSLASHfqa] = ACTIONS(83),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(83),
    [anon_sym_BSLASHfk] = ACTIONS(83),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(83),
    [anon_sym_BSLASHfl] = ACTIONS(83),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(83),
    [anon_sym_BSLASHfw] = ACTIONS(83),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(83),
    [anon_sym_BSLASHfp] = ACTIONS(83),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(83),
    [anon_sym_BSLASHft] = ACTIONS(83),
    [anon_sym_BSLASHft_STAR] = ACTIONS(83),
    [anon_sym_BSLASHfdc] = ACTIONS(83),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(83),
    [anon_sym_BSLASHfv] = ACTIONS(83),
    [anon_sym_BSLASHfm] = ACTIONS(83),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(83),
    [anon_sym_BSLASHx] = ACTIONS(83),
    [anon_sym_BSLASHx_STAR] = ACTIONS(83),
    [anon_sym_BSLASHxo] = ACTIONS(83),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(83),
    [anon_sym_BSLASHxk] = ACTIONS(83),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(83),
    [anon_sym_BSLASHxq] = ACTIONS(83),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(83),
    [anon_sym_BSLASHxt] = ACTIONS(83),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(83),
    [anon_sym_BSLASHxta] = ACTIONS(83),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(83),
    [anon_sym_BSLASHxop] = ACTIONS(83),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(83),
    [anon_sym_BSLASHxot] = ACTIONS(83),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(83),
    [anon_sym_BSLASHxnt] = ACTIONS(83),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(83),
    [anon_sym_BSLASHxdc] = ACTIONS(83),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(83),
    [anon_sym_BSLASHrq] = ACTIONS(83),
    [anon_sym_BSLASHadd] = ACTIONS(83),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(83),
    [anon_sym_BSLASHbk] = ACTIONS(83),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(83),
    [anon_sym_BSLASHdc] = ACTIONS(83),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(83),
    [anon_sym_BSLASHk] = ACTIONS(83),
    [anon_sym_BSLASHnd] = ACTIONS(83),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(83),
    [anon_sym_BSLASHord] = ACTIONS(83),
    [anon_sym_BSLASHord_STAR] = ACTIONS(83),
    [anon_sym_BSLASHpn] = ACTIONS(83),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(83),
    [anon_sym_BSLASHpng] = ACTIONS(83),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(83),
    [anon_sym_BSLASHaddpn] = ACTIONS(83),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(83),
    [anon_sym_BSLASHqt] = ACTIONS(83),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(83),
    [anon_sym_BSLASHsig] = ACTIONS(83),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(83),
    [anon_sym_BSLASHsls] = ACTIONS(83),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(83),
    [anon_sym_BSLASHtl] = ACTIONS(83),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(83),
    [anon_sym_BSLASHwj] = ACTIONS(83),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(83),
    [anon_sym_BSLASHem] = ACTIONS(83),
    [anon_sym_BSLASHem_STAR] = ACTIONS(83),
    [anon_sym_BSLASHbd] = ACTIONS(83),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(83),
    [anon_sym_BSLASHit] = ACTIONS(83),
    [anon_sym_BSLASHit_STAR] = ACTIONS(83),
    [anon_sym_BSLASHbdit] = ACTIONS(83),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(83),
    [anon_sym_BSLASHno] = ACTIONS(83),
    [anon_sym_BSLASHno_STAR] = ACTIONS(83),
    [anon_sym_BSLASHsc] = ACTIONS(83),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(83),
    [anon_sym_BSLASHsup] = ACTIONS(83),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(83),
    [anon_sym_BSLASHndx] = ACTIONS(83),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(83),
    [anon_sym_BSLASHpro] = ACTIONS(83),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(83),
    [anon_sym_BSLASHrb] = ACTIONS(83),
    [anon_sym_BSLASHw] = ACTIONS(83),
    [anon_sym_BSLASHw_STAR] = ACTIONS(83),
    [anon_sym_BSLASHwg] = ACTIONS(83),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(83),
    [anon_sym_BSLASHwh] = ACTIONS(83),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(83),
    [anon_sym_BSLASHwa] = ACTIONS(83),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(83),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(83),
    [anon_sym_BSLASHfig] = ACTIONS(83),
    [anon_sym_BSLASHjmp] = ACTIONS(83),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(83),
    [anon_sym_BSLASHcat] = ACTIONS(83),
    [anon_sym_PIPE] = ACTIONS(83),
  },
  [22] = {
    [aux_sym_text_token1] = ACTIONS(85),
    [anon_sym_BSLASHref] = ACTIONS(87),
    [anon_sym_BSLASHf] = ACTIONS(87),
    [anon_sym_BSLASHf_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfe] = ACTIONS(87),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(87),
    [anon_sym_BSLASHef] = ACTIONS(87),
    [anon_sym_BSLASHef_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfr] = ACTIONS(87),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfq] = ACTIONS(87),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfqa] = ACTIONS(87),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfk] = ACTIONS(87),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfl] = ACTIONS(87),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfw] = ACTIONS(87),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfp] = ACTIONS(87),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(87),
    [anon_sym_BSLASHft] = ACTIONS(87),
    [anon_sym_BSLASHft_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfdc] = ACTIONS(87),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfv] = ACTIONS(87),
    [anon_sym_BSLASHfm] = ACTIONS(87),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(87),
    [anon_sym_BSLASHx] = ACTIONS(87),
    [anon_sym_BSLASHx_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxo] = ACTIONS(87),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxk] = ACTIONS(87),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxq] = ACTIONS(87),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxt] = ACTIONS(87),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxta] = ACTIONS(87),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxop] = ACTIONS(87),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxot] = ACTIONS(87),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxnt] = ACTIONS(87),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(87),
    [anon_sym_BSLASHxdc] = ACTIONS(87),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(87),
    [anon_sym_BSLASHrq] = ACTIONS(87),
    [anon_sym_BSLASHadd] = ACTIONS(87),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(87),
    [anon_sym_BSLASHbk] = ACTIONS(87),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(87),
    [anon_sym_BSLASHdc] = ACTIONS(87),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(87),
    [anon_sym_BSLASHk] = ACTIONS(87),
    [anon_sym_BSLASHnd] = ACTIONS(87),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(87),
    [anon_sym_BSLASHord] = ACTIONS(87),
    [anon_sym_BSLASHord_STAR] = ACTIONS(87),
    [anon_sym_BSLASHpn] = ACTIONS(87),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(87),
    [anon_sym_BSLASHpng] = ACTIONS(87),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(87),
    [anon_sym_BSLASHaddpn] = ACTIONS(87),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(87),
    [anon_sym_BSLASHqt] = ACTIONS(87),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(87),
    [anon_sym_BSLASHsig] = ACTIONS(87),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(87),
    [anon_sym_BSLASHsls] = ACTIONS(87),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(87),
    [anon_sym_BSLASHtl] = ACTIONS(87),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(87),
    [anon_sym_BSLASHwj] = ACTIONS(87),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(87),
    [anon_sym_BSLASHem] = ACTIONS(87),
    [anon_sym_BSLASHem_STAR] = ACTIONS(87),
    [anon_sym_BSLASHbd] = ACTIONS(87),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(87),
    [anon_sym_BSLASHit] = ACTIONS(87),
    [anon_sym_BSLASHit_STAR] = ACTIONS(87),
    [anon_sym_BSLASHbdit] = ACTIONS(87),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(87),
    [anon_sym_BSLASHno] = ACTIONS(87),
    [anon_sym_BSLASHno_STAR] = ACTIONS(87),
    [anon_sym_BSLASHsc] = ACTIONS(87),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(87),
    [anon_sym_BSLASHsup] = ACTIONS(87),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(87),
    [anon_sym_BSLASHndx] = ACTIONS(87),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(87),
    [anon_sym_BSLASHpro] = ACTIONS(87),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(87),
    [anon_sym_BSLASHrb] = ACTIONS(87),
    [anon_sym_BSLASHw] = ACTIONS(87),
    [anon_sym_BSLASHw_STAR] = ACTIONS(87),
    [anon_sym_BSLASHwg] = ACTIONS(87),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(87),
    [anon_sym_BSLASHwh] = ACTIONS(87),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(87),
    [anon_sym_BSLASHwa] = ACTIONS(87),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(87),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(87),
    [anon_sym_BSLASHfig] = ACTIONS(87),
    [anon_sym_BSLASHjmp] = ACTIONS(87),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(87),
    [anon_sym_BSLASHcat] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(87),
  },
  [23] = {
    [aux_sym_text_token1] = ACTIONS(89),
    [anon_sym_BSLASHref] = ACTIONS(91),
    [anon_sym_BSLASHf] = ACTIONS(91),
    [anon_sym_BSLASHf_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfe] = ACTIONS(91),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(91),
    [anon_sym_BSLASHef] = ACTIONS(91),
    [anon_sym_BSLASHef_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfr] = ACTIONS(91),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfq] = ACTIONS(91),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfqa] = ACTIONS(91),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfk] = ACTIONS(91),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfl] = ACTIONS(91),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfw] = ACTIONS(91),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfp] = ACTIONS(91),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(91),
    [anon_sym_BSLASHft] = ACTIONS(91),
    [anon_sym_BSLASHft_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfdc] = ACTIONS(91),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfv] = ACTIONS(91),
    [anon_sym_BSLASHfm] = ACTIONS(91),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(91),
    [anon_sym_BSLASHx] = ACTIONS(91),
    [anon_sym_BSLASHx_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxo] = ACTIONS(91),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxk] = ACTIONS(91),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxq] = ACTIONS(91),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxt] = ACTIONS(91),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxta] = ACTIONS(91),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxop] = ACTIONS(91),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxot] = ACTIONS(91),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxnt] = ACTIONS(91),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(91),
    [anon_sym_BSLASHxdc] = ACTIONS(91),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(91),
    [anon_sym_BSLASHrq] = ACTIONS(91),
    [anon_sym_BSLASHadd] = ACTIONS(91),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(91),
    [anon_sym_BSLASHbk] = ACTIONS(91),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(91),
    [anon_sym_BSLASHdc] = ACTIONS(91),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(91),
    [anon_sym_BSLASHk] = ACTIONS(91),
    [anon_sym_BSLASHnd] = ACTIONS(91),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(91),
    [anon_sym_BSLASHord] = ACTIONS(91),
    [anon_sym_BSLASHord_STAR] = ACTIONS(91),
    [anon_sym_BSLASHpn] = ACTIONS(91),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(91),
    [anon_sym_BSLASHpng] = ACTIONS(91),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(91),
    [anon_sym_BSLASHaddpn] = ACTIONS(91),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(91),
    [anon_sym_BSLASHqt] = ACTIONS(91),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(91),
    [anon_sym_BSLASHsig] = ACTIONS(91),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(91),
    [anon_sym_BSLASHsls] = ACTIONS(91),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(91),
    [anon_sym_BSLASHtl] = ACTIONS(91),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(91),
    [anon_sym_BSLASHwj] = ACTIONS(91),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(91),
    [anon_sym_BSLASHem] = ACTIONS(91),
    [anon_sym_BSLASHem_STAR] = ACTIONS(91),
    [anon_sym_BSLASHbd] = ACTIONS(91),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(91),
    [anon_sym_BSLASHit] = ACTIONS(91),
    [anon_sym_BSLASHit_STAR] = ACTIONS(91),
    [anon_sym_BSLASHbdit] = ACTIONS(91),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(91),
    [anon_sym_BSLASHno] = ACTIONS(91),
    [anon_sym_BSLASHno_STAR] = ACTIONS(91),
    [anon_sym_BSLASHsc] = ACTIONS(91),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(91),
    [anon_sym_BSLASHsup] = ACTIONS(91),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(91),
    [anon_sym_BSLASHndx] = ACTIONS(91),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(91),
    [anon_sym_BSLASHpro] = ACTIONS(91),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(91),
    [anon_sym_BSLASHrb] = ACTIONS(91),
    [anon_sym_BSLASHw] = ACTIONS(91),
    [anon_sym_BSLASHw_STAR] = ACTIONS(91),
    [anon_sym_BSLASHwg] = ACTIONS(91),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(91),
    [anon_sym_BSLASHwh] = ACTIONS(91),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(91),
    [anon_sym_BSLASHwa] = ACTIONS(91),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(91),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(91),
    [anon_sym_BSLASHfig] = ACTIONS(91),
    [anon_sym_BSLASHjmp] = ACTIONS(91),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(91),
    [anon_sym_BSLASHcat] = ACTIONS(91),
    [anon_sym_PIPE] = ACTIONS(91),
  },
  [24] = {
    [aux_sym_text_token1] = ACTIONS(93),
    [anon_sym_BSLASHref] = ACTIONS(95),
    [anon_sym_BSLASHf] = ACTIONS(95),
    [anon_sym_BSLASHf_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfe] = ACTIONS(95),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(95),
    [anon_sym_BSLASHef] = ACTIONS(95),
    [anon_sym_BSLASHef_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfr] = ACTIONS(95),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfq] = ACTIONS(95),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfqa] = ACTIONS(95),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfk] = ACTIONS(95),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfl] = ACTIONS(95),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfw] = ACTIONS(95),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfp] = ACTIONS(95),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(95),
    [anon_sym_BSLASHft] = ACTIONS(95),
    [anon_sym_BSLASHft_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfdc] = ACTIONS(95),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfv] = ACTIONS(95),
    [anon_sym_BSLASHfm] = ACTIONS(95),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(95),
    [anon_sym_BSLASHx] = ACTIONS(95),
    [anon_sym_BSLASHx_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxo] = ACTIONS(95),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxk] = ACTIONS(95),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxq] = ACTIONS(95),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxt] = ACTIONS(95),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxta] = ACTIONS(95),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxop] = ACTIONS(95),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxot] = ACTIONS(95),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxnt] = ACTIONS(95),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(95),
    [anon_sym_BSLASHxdc] = ACTIONS(95),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(95),
    [anon_sym_BSLASHrq] = ACTIONS(95),
    [anon_sym_BSLASHadd] = ACTIONS(95),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(95),
    [anon_sym_BSLASHbk] = ACTIONS(95),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(95),
    [anon_sym_BSLASHdc] = ACTIONS(95),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(95),
    [anon_sym_BSLASHk] = ACTIONS(95),
    [anon_sym_BSLASHnd] = ACTIONS(95),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(95),
    [anon_sym_BSLASHord] = ACTIONS(95),
    [anon_sym_BSLASHord_STAR] = ACTIONS(95),
    [anon_sym_BSLASHpn] = ACTIONS(95),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(95),
    [anon_sym_BSLASHpng] = ACTIONS(95),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(95),
    [anon_sym_BSLASHaddpn] = ACTIONS(95),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(95),
    [anon_sym_BSLASHqt] = ACTIONS(95),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(95),
    [anon_sym_BSLASHsig] = ACTIONS(95),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(95),
    [anon_sym_BSLASHsls] = ACTIONS(95),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(95),
    [anon_sym_BSLASHtl] = ACTIONS(95),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(95),
    [anon_sym_BSLASHwj] = ACTIONS(95),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(95),
    [anon_sym_BSLASHem] = ACTIONS(95),
    [anon_sym_BSLASHem_STAR] = ACTIONS(95),
    [anon_sym_BSLASHbd] = ACTIONS(95),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(95),
    [anon_sym_BSLASHit] = ACTIONS(95),
    [anon_sym_BSLASHit_STAR] = ACTIONS(95),
    [anon_sym_BSLASHbdit] = ACTIONS(95),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(95),
    [anon_sym_BSLASHno] = ACTIONS(95),
    [anon_sym_BSLASHno_STAR] = ACTIONS(95),
    [anon_sym_BSLASHsc] = ACTIONS(95),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(95),
    [anon_sym_BSLASHsup] = ACTIONS(95),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(95),
    [anon_sym_BSLASHndx] = ACTIONS(95),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(95),
    [anon_sym_BSLASHpro] = ACTIONS(95),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(95),
    [anon_sym_BSLASHrb] = ACTIONS(95),
    [anon_sym_BSLASHw] = ACTIONS(95),
    [anon_sym_BSLASHw_STAR] = ACTIONS(95),
    [anon_sym_BSLASHwg] = ACTIONS(95),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(95),
    [anon_sym_BSLASHwh] = ACTIONS(95),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(95),
    [anon_sym_BSLASHwa] = ACTIONS(95),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(95),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(95),
    [anon_sym_BSLASHfig] = ACTIONS(95),
    [anon_sym_BSLASHjmp] = ACTIONS(95),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(95),
    [anon_sym_BSLASHcat] = ACTIONS(95),
    [anon_sym_PIPE] = ACTIONS(95),
  },
  [25] = {
    [aux_sym_text_token1] = ACTIONS(97),
    [anon_sym_BSLASHref] = ACTIONS(99),
    [anon_sym_BSLASHf] = ACTIONS(99),
    [anon_sym_BSLASHf_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfe] = ACTIONS(99),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(99),
    [anon_sym_BSLASHef] = ACTIONS(99),
    [anon_sym_BSLASHef_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfr] = ACTIONS(99),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfq] = ACTIONS(99),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfqa] = ACTIONS(99),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfk] = ACTIONS(99),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfl] = ACTIONS(99),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfw] = ACTIONS(99),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfp] = ACTIONS(99),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(99),
    [anon_sym_BSLASHft] = ACTIONS(99),
    [anon_sym_BSLASHft_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfdc] = ACTIONS(99),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfv] = ACTIONS(99),
    [anon_sym_BSLASHfm] = ACTIONS(99),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(99),
    [anon_sym_BSLASHx] = ACTIONS(99),
    [anon_sym_BSLASHx_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxo] = ACTIONS(99),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxk] = ACTIONS(99),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxq] = ACTIONS(99),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxt] = ACTIONS(99),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxta] = ACTIONS(99),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxop] = ACTIONS(99),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxot] = ACTIONS(99),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxnt] = ACTIONS(99),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(99),
    [anon_sym_BSLASHxdc] = ACTIONS(99),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(99),
    [anon_sym_BSLASHrq] = ACTIONS(99),
    [anon_sym_BSLASHadd] = ACTIONS(99),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(99),
    [anon_sym_BSLASHbk] = ACTIONS(99),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(99),
    [anon_sym_BSLASHdc] = ACTIONS(99),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(99),
    [anon_sym_BSLASHk] = ACTIONS(99),
    [anon_sym_BSLASHnd] = ACTIONS(99),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(99),
    [anon_sym_BSLASHord] = ACTIONS(99),
    [anon_sym_BSLASHord_STAR] = ACTIONS(99),
    [anon_sym_BSLASHpn] = ACTIONS(99),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(99),
    [anon_sym_BSLASHpng] = ACTIONS(99),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(99),
    [anon_sym_BSLASHaddpn] = ACTIONS(99),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(99),
    [anon_sym_BSLASHqt] = ACTIONS(99),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(99),
    [anon_sym_BSLASHsig] = ACTIONS(99),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(99),
    [anon_sym_BSLASHsls] = ACTIONS(99),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(99),
    [anon_sym_BSLASHtl] = ACTIONS(99),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(99),
    [anon_sym_BSLASHwj] = ACTIONS(99),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(99),
    [anon_sym_BSLASHem] = ACTIONS(99),
    [anon_sym_BSLASHem_STAR] = ACTIONS(99),
    [anon_sym_BSLASHbd] = ACTIONS(99),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(99),
    [anon_sym_BSLASHit] = ACTIONS(99),
    [anon_sym_BSLASHit_STAR] = ACTIONS(99),
    [anon_sym_BSLASHbdit] = ACTIONS(99),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(99),
    [anon_sym_BSLASHno] = ACTIONS(99),
    [anon_sym_BSLASHno_STAR] = ACTIONS(99),
    [anon_sym_BSLASHsc] = ACTIONS(99),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(99),
    [anon_sym_BSLASHsup] = ACTIONS(99),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(99),
    [anon_sym_BSLASHndx] = ACTIONS(99),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(99),
    [anon_sym_BSLASHpro] = ACTIONS(99),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(99),
    [anon_sym_BSLASHrb] = ACTIONS(99),
    [anon_sym_BSLASHw] = ACTIONS(99),
    [anon_sym_BSLASHw_STAR] = ACTIONS(99),
    [anon_sym_BSLASHwg] = ACTIONS(99),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(99),
    [anon_sym_BSLASHwh] = ACTIONS(99),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(99),
    [anon_sym_BSLASHwa] = ACTIONS(99),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(99),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(99),
    [anon_sym_BSLASHfig] = ACTIONS(99),
    [anon_sym_BSLASHjmp] = ACTIONS(99),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(99),
    [anon_sym_BSLASHcat] = ACTIONS(99),
    [anon_sym_PIPE] = ACTIONS(99),
  },
  [26] = {
    [aux_sym_text_token1] = ACTIONS(101),
    [anon_sym_BSLASHref] = ACTIONS(103),
    [anon_sym_BSLASHf] = ACTIONS(103),
    [anon_sym_BSLASHf_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfe] = ACTIONS(103),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(103),
    [anon_sym_BSLASHef] = ACTIONS(103),
    [anon_sym_BSLASHef_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfr] = ACTIONS(103),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfq] = ACTIONS(103),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfqa] = ACTIONS(103),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfk] = ACTIONS(103),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfl] = ACTIONS(103),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfw] = ACTIONS(103),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfp] = ACTIONS(103),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(103),
    [anon_sym_BSLASHft] = ACTIONS(103),
    [anon_sym_BSLASHft_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfdc] = ACTIONS(103),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfv] = ACTIONS(103),
    [anon_sym_BSLASHfm] = ACTIONS(103),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(103),
    [anon_sym_BSLASHx] = ACTIONS(103),
    [anon_sym_BSLASHx_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxo] = ACTIONS(103),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxk] = ACTIONS(103),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxq] = ACTIONS(103),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxt] = ACTIONS(103),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxta] = ACTIONS(103),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxop] = ACTIONS(103),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxot] = ACTIONS(103),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxnt] = ACTIONS(103),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(103),
    [anon_sym_BSLASHxdc] = ACTIONS(103),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(103),
    [anon_sym_BSLASHrq] = ACTIONS(103),
    [anon_sym_BSLASHadd] = ACTIONS(103),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(103),
    [anon_sym_BSLASHbk] = ACTIONS(103),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(103),
    [anon_sym_BSLASHdc] = ACTIONS(103),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(103),
    [anon_sym_BSLASHk] = ACTIONS(103),
    [anon_sym_BSLASHnd] = ACTIONS(103),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(103),
    [anon_sym_BSLASHord] = ACTIONS(103),
    [anon_sym_BSLASHord_STAR] = ACTIONS(103),
    [anon_sym_BSLASHpn] = ACTIONS(103),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(103),
    [anon_sym_BSLASHpng] = ACTIONS(103),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(103),
    [anon_sym_BSLASHaddpn] = ACTIONS(103),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(103),
    [anon_sym_BSLASHqt] = ACTIONS(103),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(103),
    [anon_sym_BSLASHsig] = ACTIONS(103),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(103),
    [anon_sym_BSLASHsls] = ACTIONS(103),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(103),
    [anon_sym_BSLASHtl] = ACTIONS(103),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(103),
    [anon_sym_BSLASHwj] = ACTIONS(103),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(103),
    [anon_sym_BSLASHem] = ACTIONS(103),
    [anon_sym_BSLASHem_STAR] = ACTIONS(103),
    [anon_sym_BSLASHbd] = ACTIONS(103),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(103),
    [anon_sym_BSLASHit] = ACTIONS(103),
    [anon_sym_BSLASHit_STAR] = ACTIONS(103),
    [anon_sym_BSLASHbdit] = ACTIONS(103),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(103),
    [anon_sym_BSLASHno] = ACTIONS(103),
    [anon_sym_BSLASHno_STAR] = ACTIONS(103),
    [anon_sym_BSLASHsc] = ACTIONS(103),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(103),
    [anon_sym_BSLASHsup] = ACTIONS(103),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(103),
    [anon_sym_BSLASHndx] = ACTIONS(103),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(103),
    [anon_sym_BSLASHpro] = ACTIONS(103),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(103),
    [anon_sym_BSLASHrb] = ACTIONS(103),
    [anon_sym_BSLASHw] = ACTIONS(103),
    [anon_sym_BSLASHw_STAR] = ACTIONS(103),
    [anon_sym_BSLASHwg] = ACTIONS(103),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(103),
    [anon_sym_BSLASHwh] = ACTIONS(103),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(103),
    [anon_sym_BSLASHwa] = ACTIONS(103),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(103),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(103),
    [anon_sym_BSLASHfig] = ACTIONS(103),
    [anon_sym_BSLASHjmp] = ACTIONS(103),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(103),
    [anon_sym_BSLASHcat] = ACTIONS(103),
    [anon_sym_PIPE] = ACTIONS(103),
  },
  [27] = {
    [aux_sym_text_token1] = ACTIONS(105),
    [anon_sym_BSLASHref] = ACTIONS(107),
    [anon_sym_BSLASHf] = ACTIONS(107),
    [anon_sym_BSLASHf_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfe] = ACTIONS(107),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(107),
    [anon_sym_BSLASHef] = ACTIONS(107),
    [anon_sym_BSLASHef_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfr] = ACTIONS(107),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfq] = ACTIONS(107),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfqa] = ACTIONS(107),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfk] = ACTIONS(107),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfl] = ACTIONS(107),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfw] = ACTIONS(107),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfp] = ACTIONS(107),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(107),
    [anon_sym_BSLASHft] = ACTIONS(107),
    [anon_sym_BSLASHft_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfdc] = ACTIONS(107),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfv] = ACTIONS(107),
    [anon_sym_BSLASHfm] = ACTIONS(107),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(107),
    [anon_sym_BSLASHx] = ACTIONS(107),
    [anon_sym_BSLASHx_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxo] = ACTIONS(107),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxk] = ACTIONS(107),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxq] = ACTIONS(107),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxt] = ACTIONS(107),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxta] = ACTIONS(107),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxop] = ACTIONS(107),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxot] = ACTIONS(107),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxnt] = ACTIONS(107),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(107),
    [anon_sym_BSLASHxdc] = ACTIONS(107),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(107),
    [anon_sym_BSLASHrq] = ACTIONS(107),
    [anon_sym_BSLASHadd] = ACTIONS(107),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(107),
    [anon_sym_BSLASHbk] = ACTIONS(107),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(107),
    [anon_sym_BSLASHdc] = ACTIONS(107),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(107),
    [anon_sym_BSLASHk] = ACTIONS(107),
    [anon_sym_BSLASHnd] = ACTIONS(107),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(107),
    [anon_sym_BSLASHord] = ACTIONS(107),
    [anon_sym_BSLASHord_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpn] = ACTIONS(107),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpng] = ACTIONS(107),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(107),
    [anon_sym_BSLASHaddpn] = ACTIONS(107),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(107),
    [anon_sym_BSLASHqt] = ACTIONS(107),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(107),
    [anon_sym_BSLASHsig] = ACTIONS(107),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(107),
    [anon_sym_BSLASHsls] = ACTIONS(107),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(107),
    [anon_sym_BSLASHtl] = ACTIONS(107),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(107),
    [anon_sym_BSLASHwj] = ACTIONS(107),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(107),
    [anon_sym_BSLASHem] = ACTIONS(107),
    [anon_sym_BSLASHem_STAR] = ACTIONS(107),
    [anon_sym_BSLASHbd] = ACTIONS(107),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(107),
    [anon_sym_BSLASHit] = ACTIONS(107),
    [anon_sym_BSLASHit_STAR] = ACTIONS(107),
    [anon_sym_BSLASHbdit] = ACTIONS(107),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(107),
    [anon_sym_BSLASHno] = ACTIONS(107),
    [anon_sym_BSLASHno_STAR] = ACTIONS(107),
    [anon_sym_BSLASHsc] = ACTIONS(107),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(107),
    [anon_sym_BSLASHsup] = ACTIONS(107),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(107),
    [anon_sym_BSLASHndx] = ACTIONS(107),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpro] = ACTIONS(107),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(107),
    [anon_sym_BSLASHrb] = ACTIONS(107),
    [anon_sym_BSLASHw] = ACTIONS(107),
    [anon_sym_BSLASHw_STAR] = ACTIONS(107),
    [anon_sym_BSLASHwg] = ACTIONS(107),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(107),
    [anon_sym_BSLASHwh] = ACTIONS(107),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(107),
    [anon_sym_BSLASHwa] = ACTIONS(107),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(107),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(107),
    [anon_sym_BSLASHfig] = ACTIONS(107),
    [anon_sym_BSLASHjmp] = ACTIONS(107),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(107),
    [anon_sym_BSLASHcat] = ACTIONS(107),
    [anon_sym_PIPE] = ACTIONS(107),
  },
  [28] = {
    [aux_sym_text_token1] = ACTIONS(109),
    [anon_sym_BSLASHref] = ACTIONS(111),
    [anon_sym_BSLASHf] = ACTIONS(111),
    [anon_sym_BSLASHf_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfe] = ACTIONS(111),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(111),
    [anon_sym_BSLASHef] = ACTIONS(111),
    [anon_sym_BSLASHef_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfr] = ACTIONS(111),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfq] = ACTIONS(111),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfqa] = ACTIONS(111),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfk] = ACTIONS(111),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfl] = ACTIONS(111),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfw] = ACTIONS(111),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfp] = ACTIONS(111),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(111),
    [anon_sym_BSLASHft] = ACTIONS(111),
    [anon_sym_BSLASHft_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfdc] = ACTIONS(111),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfv] = ACTIONS(111),
    [anon_sym_BSLASHfm] = ACTIONS(111),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(111),
    [anon_sym_BSLASHx] = ACTIONS(111),
    [anon_sym_BSLASHx_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxo] = ACTIONS(111),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxk] = ACTIONS(111),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxq] = ACTIONS(111),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxt] = ACTIONS(111),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxta] = ACTIONS(111),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxop] = ACTIONS(111),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxot] = ACTIONS(111),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxnt] = ACTIONS(111),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(111),
    [anon_sym_BSLASHxdc] = ACTIONS(111),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(111),
    [anon_sym_BSLASHrq] = ACTIONS(111),
    [anon_sym_BSLASHadd] = ACTIONS(111),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(111),
    [anon_sym_BSLASHbk] = ACTIONS(111),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(111),
    [anon_sym_BSLASHdc] = ACTIONS(111),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(111),
    [anon_sym_BSLASHk] = ACTIONS(111),
    [anon_sym_BSLASHnd] = ACTIONS(111),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(111),
    [anon_sym_BSLASHord] = ACTIONS(111),
    [anon_sym_BSLASHord_STAR] = ACTIONS(111),
    [anon_sym_BSLASHpn] = ACTIONS(111),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(111),
    [anon_sym_BSLASHpng] = ACTIONS(111),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(111),
    [anon_sym_BSLASHaddpn] = ACTIONS(111),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(111),
    [anon_sym_BSLASHqt] = ACTIONS(111),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(111),
    [anon_sym_BSLASHsig] = ACTIONS(111),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(111),
    [anon_sym_BSLASHsls] = ACTIONS(111),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(111),
    [anon_sym_BSLASHtl] = ACTIONS(111),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(111),
    [anon_sym_BSLASHwj] = ACTIONS(111),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(111),
    [anon_sym_BSLASHem] = ACTIONS(111),
    [anon_sym_BSLASHem_STAR] = ACTIONS(111),
    [anon_sym_BSLASHbd] = ACTIONS(111),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(111),
    [anon_sym_BSLASHit] = ACTIONS(111),
    [anon_sym_BSLASHit_STAR] = ACTIONS(111),
    [anon_sym_BSLASHbdit] = ACTIONS(111),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(111),
    [anon_sym_BSLASHno] = ACTIONS(111),
    [anon_sym_BSLASHno_STAR] = ACTIONS(111),
    [anon_sym_BSLASHsc] = ACTIONS(111),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(111),
    [anon_sym_BSLASHsup] = ACTIONS(111),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(111),
    [anon_sym_BSLASHndx] = ACTIONS(111),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(111),
    [anon_sym_BSLASHpro] = ACTIONS(111),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(111),
    [anon_sym_BSLASHrb] = ACTIONS(111),
    [anon_sym_BSLASHw] = ACTIONS(111),
    [anon_sym_BSLASHw_STAR] = ACTIONS(111),
    [anon_sym_BSLASHwg] = ACTIONS(111),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(111),
    [anon_sym_BSLASHwh] = ACTIONS(111),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(111),
    [anon_sym_BSLASHwa] = ACTIONS(111),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(111),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(111),
    [anon_sym_BSLASHfig] = ACTIONS(111),
    [anon_sym_BSLASHjmp] = ACTIONS(111),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(111),
    [anon_sym_BSLASHcat] = ACTIONS(111),
    [anon_sym_PIPE] = ACTIONS(111),
  },
  [29] = {
    [aux_sym_text_token1] = ACTIONS(113),
    [anon_sym_BSLASHref] = ACTIONS(115),
    [anon_sym_BSLASHf] = ACTIONS(115),
    [anon_sym_BSLASHf_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfe] = ACTIONS(115),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(115),
    [anon_sym_BSLASHef] = ACTIONS(115),
    [anon_sym_BSLASHef_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfr] = ACTIONS(115),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfq] = ACTIONS(115),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfqa] = ACTIONS(115),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfk] = ACTIONS(115),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfl] = ACTIONS(115),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfw] = ACTIONS(115),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfp] = ACTIONS(115),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(115),
    [anon_sym_BSLASHft] = ACTIONS(115),
    [anon_sym_BSLASHft_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfdc] = ACTIONS(115),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfv] = ACTIONS(115),
    [anon_sym_BSLASHfm] = ACTIONS(115),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(115),
    [anon_sym_BSLASHx] = ACTIONS(115),
    [anon_sym_BSLASHx_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxo] = ACTIONS(115),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxk] = ACTIONS(115),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxq] = ACTIONS(115),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxt] = ACTIONS(115),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxta] = ACTIONS(115),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxop] = ACTIONS(115),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxot] = ACTIONS(115),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxnt] = ACTIONS(115),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(115),
    [anon_sym_BSLASHxdc] = ACTIONS(115),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(115),
    [anon_sym_BSLASHrq] = ACTIONS(115),
    [anon_sym_BSLASHadd] = ACTIONS(115),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(115),
    [anon_sym_BSLASHbk] = ACTIONS(115),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(115),
    [anon_sym_BSLASHdc] = ACTIONS(115),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(115),
    [anon_sym_BSLASHk] = ACTIONS(115),
    [anon_sym_BSLASHnd] = ACTIONS(115),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(115),
    [anon_sym_BSLASHord] = ACTIONS(115),
    [anon_sym_BSLASHord_STAR] = ACTIONS(115),
    [anon_sym_BSLASHpn] = ACTIONS(115),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(115),
    [anon_sym_BSLASHpng] = ACTIONS(115),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(115),
    [anon_sym_BSLASHaddpn] = ACTIONS(115),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(115),
    [anon_sym_BSLASHqt] = ACTIONS(115),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(115),
    [anon_sym_BSLASHsig] = ACTIONS(115),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(115),
    [anon_sym_BSLASHsls] = ACTIONS(115),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(115),
    [anon_sym_BSLASHtl] = ACTIONS(115),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(115),
    [anon_sym_BSLASHwj] = ACTIONS(115),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(115),
    [anon_sym_BSLASHem] = ACTIONS(115),
    [anon_sym_BSLASHem_STAR] = ACTIONS(115),
    [anon_sym_BSLASHbd] = ACTIONS(115),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(115),
    [anon_sym_BSLASHit] = ACTIONS(115),
    [anon_sym_BSLASHit_STAR] = ACTIONS(115),
    [anon_sym_BSLASHbdit] = ACTIONS(115),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(115),
    [anon_sym_BSLASHno] = ACTIONS(115),
    [anon_sym_BSLASHno_STAR] = ACTIONS(115),
    [anon_sym_BSLASHsc] = ACTIONS(115),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(115),
    [anon_sym_BSLASHsup] = ACTIONS(115),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(115),
    [anon_sym_BSLASHndx] = ACTIONS(115),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(115),
    [anon_sym_BSLASHpro] = ACTIONS(115),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(115),
    [anon_sym_BSLASHrb] = ACTIONS(115),
    [anon_sym_BSLASHw] = ACTIONS(115),
    [anon_sym_BSLASHw_STAR] = ACTIONS(115),
    [anon_sym_BSLASHwg] = ACTIONS(115),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(115),
    [anon_sym_BSLASHwh] = ACTIONS(115),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(115),
    [anon_sym_BSLASHwa] = ACTIONS(115),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(115),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(115),
    [anon_sym_BSLASHfig] = ACTIONS(115),
    [anon_sym_BSLASHjmp] = ACTIONS(115),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(115),
    [anon_sym_BSLASHcat] = ACTIONS(115),
    [anon_sym_PIPE] = ACTIONS(115),
  },
  [30] = {
    [aux_sym_text_token1] = ACTIONS(117),
    [anon_sym_BSLASHref] = ACTIONS(119),
    [anon_sym_BSLASHf] = ACTIONS(119),
    [anon_sym_BSLASHf_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfe] = ACTIONS(119),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(119),
    [anon_sym_BSLASHef] = ACTIONS(119),
    [anon_sym_BSLASHef_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfr] = ACTIONS(119),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfq] = ACTIONS(119),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfqa] = ACTIONS(119),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfk] = ACTIONS(119),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfl] = ACTIONS(119),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfw] = ACTIONS(119),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfp] = ACTIONS(119),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(119),
    [anon_sym_BSLASHft] = ACTIONS(119),
    [anon_sym_BSLASHft_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfdc] = ACTIONS(119),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfv] = ACTIONS(119),
    [anon_sym_BSLASHfm] = ACTIONS(119),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(119),
    [anon_sym_BSLASHx] = ACTIONS(119),
    [anon_sym_BSLASHx_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxo] = ACTIONS(119),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxk] = ACTIONS(119),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxq] = ACTIONS(119),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxt] = ACTIONS(119),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxta] = ACTIONS(119),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxop] = ACTIONS(119),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxot] = ACTIONS(119),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxnt] = ACTIONS(119),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(119),
    [anon_sym_BSLASHxdc] = ACTIONS(119),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(119),
    [anon_sym_BSLASHrq] = ACTIONS(119),
    [anon_sym_BSLASHadd] = ACTIONS(119),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(119),
    [anon_sym_BSLASHbk] = ACTIONS(119),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(119),
    [anon_sym_BSLASHdc] = ACTIONS(119),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(119),
    [anon_sym_BSLASHk] = ACTIONS(119),
    [anon_sym_BSLASHnd] = ACTIONS(119),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(119),
    [anon_sym_BSLASHord] = ACTIONS(119),
    [anon_sym_BSLASHord_STAR] = ACTIONS(119),
    [anon_sym_BSLASHpn] = ACTIONS(119),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(119),
    [anon_sym_BSLASHpng] = ACTIONS(119),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(119),
    [anon_sym_BSLASHaddpn] = ACTIONS(119),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(119),
    [anon_sym_BSLASHqt] = ACTIONS(119),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(119),
    [anon_sym_BSLASHsig] = ACTIONS(119),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(119),
    [anon_sym_BSLASHsls] = ACTIONS(119),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(119),
    [anon_sym_BSLASHtl] = ACTIONS(119),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(119),
    [anon_sym_BSLASHwj] = ACTIONS(119),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(119),
    [anon_sym_BSLASHem] = ACTIONS(119),
    [anon_sym_BSLASHem_STAR] = ACTIONS(119),
    [anon_sym_BSLASHbd] = ACTIONS(119),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(119),
    [anon_sym_BSLASHit] = ACTIONS(119),
    [anon_sym_BSLASHit_STAR] = ACTIONS(119),
    [anon_sym_BSLASHbdit] = ACTIONS(119),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(119),
    [anon_sym_BSLASHno] = ACTIONS(119),
    [anon_sym_BSLASHno_STAR] = ACTIONS(119),
    [anon_sym_BSLASHsc] = ACTIONS(119),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(119),
    [anon_sym_BSLASHsup] = ACTIONS(119),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(119),
    [anon_sym_BSLASHndx] = ACTIONS(119),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(119),
    [anon_sym_BSLASHpro] = ACTIONS(119),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(119),
    [anon_sym_BSLASHrb] = ACTIONS(119),
    [anon_sym_BSLASHw] = ACTIONS(119),
    [anon_sym_BSLASHw_STAR] = ACTIONS(119),
    [anon_sym_BSLASHwg] = ACTIONS(119),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(119),
    [anon_sym_BSLASHwh] = ACTIONS(119),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(119),
    [anon_sym_BSLASHwa] = ACTIONS(119),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(119),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(119),
    [anon_sym_BSLASHfig] = ACTIONS(119),
    [anon_sym_BSLASHjmp] = ACTIONS(119),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(119),
    [anon_sym_BSLASHcat] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(119),
  },
  [31] = {
    [aux_sym_text_token1] = ACTIONS(121),
    [anon_sym_BSLASHref] = ACTIONS(123),
    [anon_sym_BSLASHf] = ACTIONS(123),
    [anon_sym_BSLASHf_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfe] = ACTIONS(123),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(123),
    [anon_sym_BSLASHef] = ACTIONS(123),
    [anon_sym_BSLASHef_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfr] = ACTIONS(123),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfq] = ACTIONS(123),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfqa] = ACTIONS(123),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfk] = ACTIONS(123),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfl] = ACTIONS(123),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfw] = ACTIONS(123),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfp] = ACTIONS(123),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(123),
    [anon_sym_BSLASHft] = ACTIONS(123),
    [anon_sym_BSLASHft_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfdc] = ACTIONS(123),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfv] = ACTIONS(123),
    [anon_sym_BSLASHfm] = ACTIONS(123),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(123),
    [anon_sym_BSLASHx] = ACTIONS(123),
    [anon_sym_BSLASHx_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxo] = ACTIONS(123),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxk] = ACTIONS(123),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxq] = ACTIONS(123),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxt] = ACTIONS(123),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxta] = ACTIONS(123),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxop] = ACTIONS(123),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxot] = ACTIONS(123),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxnt] = ACTIONS(123),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(123),
    [anon_sym_BSLASHxdc] = ACTIONS(123),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(123),
    [anon_sym_BSLASHrq] = ACTIONS(123),
    [anon_sym_BSLASHadd] = ACTIONS(123),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(123),
    [anon_sym_BSLASHbk] = ACTIONS(123),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(123),
    [anon_sym_BSLASHdc] = ACTIONS(123),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(123),
    [anon_sym_BSLASHk] = ACTIONS(123),
    [anon_sym_BSLASHnd] = ACTIONS(123),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(123),
    [anon_sym_BSLASHord] = ACTIONS(123),
    [anon_sym_BSLASHord_STAR] = ACTIONS(123),
    [anon_sym_BSLASHpn] = ACTIONS(123),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(123),
    [anon_sym_BSLASHpng] = ACTIONS(123),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(123),
    [anon_sym_BSLASHaddpn] = ACTIONS(123),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(123),
    [anon_sym_BSLASHqt] = ACTIONS(123),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(123),
    [anon_sym_BSLASHsig] = ACTIONS(123),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(123),
    [anon_sym_BSLASHsls] = ACTIONS(123),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(123),
    [anon_sym_BSLASHtl] = ACTIONS(123),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(123),
    [anon_sym_BSLASHwj] = ACTIONS(123),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(123),
    [anon_sym_BSLASHem] = ACTIONS(123),
    [anon_sym_BSLASHem_STAR] = ACTIONS(123),
    [anon_sym_BSLASHbd] = ACTIONS(123),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(123),
    [anon_sym_BSLASHit] = ACTIONS(123),
    [anon_sym_BSLASHit_STAR] = ACTIONS(123),
    [anon_sym_BSLASHbdit] = ACTIONS(123),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(123),
    [anon_sym_BSLASHno] = ACTIONS(123),
    [anon_sym_BSLASHno_STAR] = ACTIONS(123),
    [anon_sym_BSLASHsc] = ACTIONS(123),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(123),
    [anon_sym_BSLASHsup] = ACTIONS(123),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(123),
    [anon_sym_BSLASHndx] = ACTIONS(123),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(123),
    [anon_sym_BSLASHpro] = ACTIONS(123),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(123),
    [anon_sym_BSLASHrb] = ACTIONS(123),
    [anon_sym_BSLASHw] = ACTIONS(123),
    [anon_sym_BSLASHw_STAR] = ACTIONS(123),
    [anon_sym_BSLASHwg] = ACTIONS(123),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(123),
    [anon_sym_BSLASHwh] = ACTIONS(123),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(123),
    [anon_sym_BSLASHwa] = ACTIONS(123),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(123),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(123),
    [anon_sym_BSLASHfig] = ACTIONS(123),
    [anon_sym_BSLASHjmp] = ACTIONS(123),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(123),
    [anon_sym_BSLASHcat] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(123),
  },
  [32] = {
    [aux_sym_text_token1] = ACTIONS(125),
    [anon_sym_BSLASHref] = ACTIONS(127),
    [anon_sym_BSLASHf] = ACTIONS(127),
    [anon_sym_BSLASHf_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfe] = ACTIONS(127),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(127),
    [anon_sym_BSLASHef] = ACTIONS(127),
    [anon_sym_BSLASHef_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfr] = ACTIONS(127),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfq] = ACTIONS(127),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfqa] = ACTIONS(127),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfk] = ACTIONS(127),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfl] = ACTIONS(127),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfw] = ACTIONS(127),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfp] = ACTIONS(127),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(127),
    [anon_sym_BSLASHft] = ACTIONS(127),
    [anon_sym_BSLASHft_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfdc] = ACTIONS(127),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfv] = ACTIONS(127),
    [anon_sym_BSLASHfm] = ACTIONS(127),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(127),
    [anon_sym_BSLASHx] = ACTIONS(127),
    [anon_sym_BSLASHx_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxo] = ACTIONS(127),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxk] = ACTIONS(127),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxq] = ACTIONS(127),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxt] = ACTIONS(127),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxta] = ACTIONS(127),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxop] = ACTIONS(127),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxot] = ACTIONS(127),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxnt] = ACTIONS(127),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(127),
    [anon_sym_BSLASHxdc] = ACTIONS(127),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(127),
    [anon_sym_BSLASHrq] = ACTIONS(127),
    [anon_sym_BSLASHadd] = ACTIONS(127),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(127),
    [anon_sym_BSLASHbk] = ACTIONS(127),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(127),
    [anon_sym_BSLASHdc] = ACTIONS(127),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(127),
    [anon_sym_BSLASHk] = ACTIONS(127),
    [anon_sym_BSLASHnd] = ACTIONS(127),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(127),
    [anon_sym_BSLASHord] = ACTIONS(127),
    [anon_sym_BSLASHord_STAR] = ACTIONS(127),
    [anon_sym_BSLASHpn] = ACTIONS(127),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(127),
    [anon_sym_BSLASHpng] = ACTIONS(127),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(127),
    [anon_sym_BSLASHaddpn] = ACTIONS(127),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(127),
    [anon_sym_BSLASHqt] = ACTIONS(127),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(127),
    [anon_sym_BSLASHsig] = ACTIONS(127),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(127),
    [anon_sym_BSLASHsls] = ACTIONS(127),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(127),
    [anon_sym_BSLASHtl] = ACTIONS(127),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(127),
    [anon_sym_BSLASHwj] = ACTIONS(127),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(127),
    [anon_sym_BSLASHem] = ACTIONS(127),
    [anon_sym_BSLASHem_STAR] = ACTIONS(127),
    [anon_sym_BSLASHbd] = ACTIONS(127),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(127),
    [anon_sym_BSLASHit] = ACTIONS(127),
    [anon_sym_BSLASHit_STAR] = ACTIONS(127),
    [anon_sym_BSLASHbdit] = ACTIONS(127),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(127),
    [anon_sym_BSLASHno] = ACTIONS(127),
    [anon_sym_BSLASHno_STAR] = ACTIONS(127),
    [anon_sym_BSLASHsc] = ACTIONS(127),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(127),
    [anon_sym_BSLASHsup] = ACTIONS(127),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(127),
    [anon_sym_BSLASHndx] = ACTIONS(127),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(127),
    [anon_sym_BSLASHpro] = ACTIONS(127),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(127),
    [anon_sym_BSLASHrb] = ACTIONS(127),
    [anon_sym_BSLASHw] = ACTIONS(127),
    [anon_sym_BSLASHw_STAR] = ACTIONS(127),
    [anon_sym_BSLASHwg] = ACTIONS(127),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(127),
    [anon_sym_BSLASHwh] = ACTIONS(127),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(127),
    [anon_sym_BSLASHwa] = ACTIONS(127),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(127),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(127),
    [anon_sym_BSLASHfig] = ACTIONS(127),
    [anon_sym_BSLASHjmp] = ACTIONS(127),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(127),
    [anon_sym_BSLASHcat] = ACTIONS(127),
    [anon_sym_PIPE] = ACTIONS(127),
  },
  [33] = {
    [aux_sym_text_token1] = ACTIONS(129),
    [anon_sym_BSLASHref] = ACTIONS(131),
    [anon_sym_BSLASHf] = ACTIONS(131),
    [anon_sym_BSLASHf_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfe] = ACTIONS(131),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(131),
    [anon_sym_BSLASHef] = ACTIONS(131),
    [anon_sym_BSLASHef_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfr] = ACTIONS(131),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfq] = ACTIONS(131),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfqa] = ACTIONS(131),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfk] = ACTIONS(131),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfl] = ACTIONS(131),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfw] = ACTIONS(131),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfp] = ACTIONS(131),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(131),
    [anon_sym_BSLASHft] = ACTIONS(131),
    [anon_sym_BSLASHft_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfdc] = ACTIONS(131),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfv] = ACTIONS(131),
    [anon_sym_BSLASHfm] = ACTIONS(131),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(131),
    [anon_sym_BSLASHx] = ACTIONS(131),
    [anon_sym_BSLASHx_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxo] = ACTIONS(131),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxk] = ACTIONS(131),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxq] = ACTIONS(131),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxt] = ACTIONS(131),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxta] = ACTIONS(131),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxop] = ACTIONS(131),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxot] = ACTIONS(131),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxnt] = ACTIONS(131),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(131),
    [anon_sym_BSLASHxdc] = ACTIONS(131),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(131),
    [anon_sym_BSLASHrq] = ACTIONS(131),
    [anon_sym_BSLASHadd] = ACTIONS(131),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(131),
    [anon_sym_BSLASHbk] = ACTIONS(131),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(131),
    [anon_sym_BSLASHdc] = ACTIONS(131),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(131),
    [anon_sym_BSLASHk] = ACTIONS(131),
    [anon_sym_BSLASHnd] = ACTIONS(131),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(131),
    [anon_sym_BSLASHord] = ACTIONS(131),
    [anon_sym_BSLASHord_STAR] = ACTIONS(131),
    [anon_sym_BSLASHpn] = ACTIONS(131),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(131),
    [anon_sym_BSLASHpng] = ACTIONS(131),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(131),
    [anon_sym_BSLASHaddpn] = ACTIONS(131),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(131),
    [anon_sym_BSLASHqt] = ACTIONS(131),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(131),
    [anon_sym_BSLASHsig] = ACTIONS(131),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(131),
    [anon_sym_BSLASHsls] = ACTIONS(131),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(131),
    [anon_sym_BSLASHtl] = ACTIONS(131),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(131),
    [anon_sym_BSLASHwj] = ACTIONS(131),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(131),
    [anon_sym_BSLASHem] = ACTIONS(131),
    [anon_sym_BSLASHem_STAR] = ACTIONS(131),
    [anon_sym_BSLASHbd] = ACTIONS(131),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(131),
    [anon_sym_BSLASHit] = ACTIONS(131),
    [anon_sym_BSLASHit_STAR] = ACTIONS(131),
    [anon_sym_BSLASHbdit] = ACTIONS(131),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(131),
    [anon_sym_BSLASHno] = ACTIONS(131),
    [anon_sym_BSLASHno_STAR] = ACTIONS(131),
    [anon_sym_BSLASHsc] = ACTIONS(131),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(131),
    [anon_sym_BSLASHsup] = ACTIONS(131),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(131),
    [anon_sym_BSLASHndx] = ACTIONS(131),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(131),
    [anon_sym_BSLASHpro] = ACTIONS(131),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(131),
    [anon_sym_BSLASHrb] = ACTIONS(131),
    [anon_sym_BSLASHw] = ACTIONS(131),
    [anon_sym_BSLASHw_STAR] = ACTIONS(131),
    [anon_sym_BSLASHwg] = ACTIONS(131),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(131),
    [anon_sym_BSLASHwh] = ACTIONS(131),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(131),
    [anon_sym_BSLASHwa] = ACTIONS(131),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(131),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(131),
    [anon_sym_BSLASHfig] = ACTIONS(131),
    [anon_sym_BSLASHjmp] = ACTIONS(131),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(131),
    [anon_sym_BSLASHcat] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(131),
  },
  [34] = {
    [aux_sym_text_token1] = ACTIONS(133),
    [anon_sym_BSLASHref] = ACTIONS(135),
    [anon_sym_BSLASHf] = ACTIONS(135),
    [anon_sym_BSLASHf_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfe] = ACTIONS(135),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(135),
    [anon_sym_BSLASHef] = ACTIONS(135),
    [anon_sym_BSLASHef_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfr] = ACTIONS(135),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfq] = ACTIONS(135),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfqa] = ACTIONS(135),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfk] = ACTIONS(135),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfl] = ACTIONS(135),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfw] = ACTIONS(135),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfp] = ACTIONS(135),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(135),
    [anon_sym_BSLASHft] = ACTIONS(135),
    [anon_sym_BSLASHft_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfdc] = ACTIONS(135),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfv] = ACTIONS(135),
    [anon_sym_BSLASHfm] = ACTIONS(135),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(135),
    [anon_sym_BSLASHx] = ACTIONS(135),
    [anon_sym_BSLASHx_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxo] = ACTIONS(135),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxk] = ACTIONS(135),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxq] = ACTIONS(135),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxt] = ACTIONS(135),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxta] = ACTIONS(135),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxop] = ACTIONS(135),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxot] = ACTIONS(135),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxnt] = ACTIONS(135),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(135),
    [anon_sym_BSLASHxdc] = ACTIONS(135),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(135),
    [anon_sym_BSLASHrq] = ACTIONS(135),
    [anon_sym_BSLASHadd] = ACTIONS(135),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(135),
    [anon_sym_BSLASHbk] = ACTIONS(135),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(135),
    [anon_sym_BSLASHdc] = ACTIONS(135),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(135),
    [anon_sym_BSLASHk] = ACTIONS(135),
    [anon_sym_BSLASHnd] = ACTIONS(135),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(135),
    [anon_sym_BSLASHord] = ACTIONS(135),
    [anon_sym_BSLASHord_STAR] = ACTIONS(135),
    [anon_sym_BSLASHpn] = ACTIONS(135),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(135),
    [anon_sym_BSLASHpng] = ACTIONS(135),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(135),
    [anon_sym_BSLASHaddpn] = ACTIONS(135),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(135),
    [anon_sym_BSLASHqt] = ACTIONS(135),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(135),
    [anon_sym_BSLASHsig] = ACTIONS(135),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(135),
    [anon_sym_BSLASHsls] = ACTIONS(135),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(135),
    [anon_sym_BSLASHtl] = ACTIONS(135),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(135),
    [anon_sym_BSLASHwj] = ACTIONS(135),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(135),
    [anon_sym_BSLASHem] = ACTIONS(135),
    [anon_sym_BSLASHem_STAR] = ACTIONS(135),
    [anon_sym_BSLASHbd] = ACTIONS(135),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(135),
    [anon_sym_BSLASHit] = ACTIONS(135),
    [anon_sym_BSLASHit_STAR] = ACTIONS(135),
    [anon_sym_BSLASHbdit] = ACTIONS(135),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(135),
    [anon_sym_BSLASHno] = ACTIONS(135),
    [anon_sym_BSLASHno_STAR] = ACTIONS(135),
    [anon_sym_BSLASHsc] = ACTIONS(135),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(135),
    [anon_sym_BSLASHsup] = ACTIONS(135),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(135),
    [anon_sym_BSLASHndx] = ACTIONS(135),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(135),
    [anon_sym_BSLASHpro] = ACTIONS(135),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(135),
    [anon_sym_BSLASHrb] = ACTIONS(135),
    [anon_sym_BSLASHw] = ACTIONS(135),
    [anon_sym_BSLASHw_STAR] = ACTIONS(135),
    [anon_sym_BSLASHwg] = ACTIONS(135),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(135),
    [anon_sym_BSLASHwh] = ACTIONS(135),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(135),
    [anon_sym_BSLASHwa] = ACTIONS(135),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(135),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(135),
    [anon_sym_BSLASHfig] = ACTIONS(135),
    [anon_sym_BSLASHjmp] = ACTIONS(135),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(135),
    [anon_sym_BSLASHcat] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(135),
  },
  [35] = {
    [aux_sym_text_token1] = ACTIONS(137),
    [anon_sym_BSLASHref] = ACTIONS(139),
    [anon_sym_BSLASHf] = ACTIONS(139),
    [anon_sym_BSLASHf_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfe] = ACTIONS(139),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(139),
    [anon_sym_BSLASHef] = ACTIONS(139),
    [anon_sym_BSLASHef_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfr] = ACTIONS(139),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfq] = ACTIONS(139),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfqa] = ACTIONS(139),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfk] = ACTIONS(139),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfl] = ACTIONS(139),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfw] = ACTIONS(139),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfp] = ACTIONS(139),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(139),
    [anon_sym_BSLASHft] = ACTIONS(139),
    [anon_sym_BSLASHft_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfdc] = ACTIONS(139),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfv] = ACTIONS(139),
    [anon_sym_BSLASHfm] = ACTIONS(139),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(139),
    [anon_sym_BSLASHx] = ACTIONS(139),
    [anon_sym_BSLASHx_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxo] = ACTIONS(139),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxk] = ACTIONS(139),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxq] = ACTIONS(139),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxt] = ACTIONS(139),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxta] = ACTIONS(139),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxop] = ACTIONS(139),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxot] = ACTIONS(139),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxnt] = ACTIONS(139),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(139),
    [anon_sym_BSLASHxdc] = ACTIONS(139),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(139),
    [anon_sym_BSLASHrq] = ACTIONS(139),
    [anon_sym_BSLASHadd] = ACTIONS(139),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(139),
    [anon_sym_BSLASHbk] = ACTIONS(139),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(139),
    [anon_sym_BSLASHdc] = ACTIONS(139),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(139),
    [anon_sym_BSLASHk] = ACTIONS(139),
    [anon_sym_BSLASHnd] = ACTIONS(139),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(139),
    [anon_sym_BSLASHord] = ACTIONS(139),
    [anon_sym_BSLASHord_STAR] = ACTIONS(139),
    [anon_sym_BSLASHpn] = ACTIONS(139),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(139),
    [anon_sym_BSLASHpng] = ACTIONS(139),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(139),
    [anon_sym_BSLASHaddpn] = ACTIONS(139),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(139),
    [anon_sym_BSLASHqt] = ACTIONS(139),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(139),
    [anon_sym_BSLASHsig] = ACTIONS(139),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(139),
    [anon_sym_BSLASHsls] = ACTIONS(139),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(139),
    [anon_sym_BSLASHtl] = ACTIONS(139),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(139),
    [anon_sym_BSLASHwj] = ACTIONS(139),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(139),
    [anon_sym_BSLASHem] = ACTIONS(139),
    [anon_sym_BSLASHem_STAR] = ACTIONS(139),
    [anon_sym_BSLASHbd] = ACTIONS(139),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(139),
    [anon_sym_BSLASHit] = ACTIONS(139),
    [anon_sym_BSLASHit_STAR] = ACTIONS(139),
    [anon_sym_BSLASHbdit] = ACTIONS(139),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(139),
    [anon_sym_BSLASHno] = ACTIONS(139),
    [anon_sym_BSLASHno_STAR] = ACTIONS(139),
    [anon_sym_BSLASHsc] = ACTIONS(139),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(139),
    [anon_sym_BSLASHsup] = ACTIONS(139),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(139),
    [anon_sym_BSLASHndx] = ACTIONS(139),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(139),
    [anon_sym_BSLASHpro] = ACTIONS(139),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(139),
    [anon_sym_BSLASHrb] = ACTIONS(139),
    [anon_sym_BSLASHw] = ACTIONS(139),
    [anon_sym_BSLASHw_STAR] = ACTIONS(139),
    [anon_sym_BSLASHwg] = ACTIONS(139),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(139),
    [anon_sym_BSLASHwh] = ACTIONS(139),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(139),
    [anon_sym_BSLASHwa] = ACTIONS(139),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(139),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(139),
    [anon_sym_BSLASHfig] = ACTIONS(139),
    [anon_sym_BSLASHjmp] = ACTIONS(139),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(139),
    [anon_sym_BSLASHcat] = ACTIONS(139),
    [anon_sym_PIPE] = ACTIONS(139),
  },
  [36] = {
    [aux_sym_text_token1] = ACTIONS(141),
    [anon_sym_BSLASHref] = ACTIONS(143),
    [anon_sym_BSLASHf] = ACTIONS(143),
    [anon_sym_BSLASHf_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfe] = ACTIONS(143),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(143),
    [anon_sym_BSLASHef] = ACTIONS(143),
    [anon_sym_BSLASHef_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfr] = ACTIONS(143),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfq] = ACTIONS(143),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfqa] = ACTIONS(143),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfk] = ACTIONS(143),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfl] = ACTIONS(143),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfw] = ACTIONS(143),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfp] = ACTIONS(143),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(143),
    [anon_sym_BSLASHft] = ACTIONS(143),
    [anon_sym_BSLASHft_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfdc] = ACTIONS(143),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfv] = ACTIONS(143),
    [anon_sym_BSLASHfm] = ACTIONS(143),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(143),
    [anon_sym_BSLASHx] = ACTIONS(143),
    [anon_sym_BSLASHx_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxo] = ACTIONS(143),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxk] = ACTIONS(143),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxq] = ACTIONS(143),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxt] = ACTIONS(143),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxta] = ACTIONS(143),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxop] = ACTIONS(143),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxot] = ACTIONS(143),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxnt] = ACTIONS(143),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(143),
    [anon_sym_BSLASHxdc] = ACTIONS(143),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(143),
    [anon_sym_BSLASHrq] = ACTIONS(143),
    [anon_sym_BSLASHadd] = ACTIONS(143),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(143),
    [anon_sym_BSLASHbk] = ACTIONS(143),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(143),
    [anon_sym_BSLASHdc] = ACTIONS(143),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(143),
    [anon_sym_BSLASHk] = ACTIONS(143),
    [anon_sym_BSLASHnd] = ACTIONS(143),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(143),
    [anon_sym_BSLASHord] = ACTIONS(143),
    [anon_sym_BSLASHord_STAR] = ACTIONS(143),
    [anon_sym_BSLASHpn] = ACTIONS(143),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(143),
    [anon_sym_BSLASHpng] = ACTIONS(143),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(143),
    [anon_sym_BSLASHaddpn] = ACTIONS(143),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(143),
    [anon_sym_BSLASHqt] = ACTIONS(143),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(143),
    [anon_sym_BSLASHsig] = ACTIONS(143),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(143),
    [anon_sym_BSLASHsls] = ACTIONS(143),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(143),
    [anon_sym_BSLASHtl] = ACTIONS(143),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(143),
    [anon_sym_BSLASHwj] = ACTIONS(143),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(143),
    [anon_sym_BSLASHem] = ACTIONS(143),
    [anon_sym_BSLASHem_STAR] = ACTIONS(143),
    [anon_sym_BSLASHbd] = ACTIONS(143),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(143),
    [anon_sym_BSLASHit] = ACTIONS(143),
    [anon_sym_BSLASHit_STAR] = ACTIONS(143),
    [anon_sym_BSLASHbdit] = ACTIONS(143),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(143),
    [anon_sym_BSLASHno] = ACTIONS(143),
    [anon_sym_BSLASHno_STAR] = ACTIONS(143),
    [anon_sym_BSLASHsc] = ACTIONS(143),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(143),
    [anon_sym_BSLASHsup] = ACTIONS(143),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(143),
    [anon_sym_BSLASHndx] = ACTIONS(143),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(143),
    [anon_sym_BSLASHpro] = ACTIONS(143),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(143),
    [anon_sym_BSLASHrb] = ACTIONS(143),
    [anon_sym_BSLASHw] = ACTIONS(143),
    [anon_sym_BSLASHw_STAR] = ACTIONS(143),
    [anon_sym_BSLASHwg] = ACTIONS(143),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(143),
    [anon_sym_BSLASHwh] = ACTIONS(143),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(143),
    [anon_sym_BSLASHwa] = ACTIONS(143),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(143),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(143),
    [anon_sym_BSLASHfig] = ACTIONS(143),
    [anon_sym_BSLASHjmp] = ACTIONS(143),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(143),
    [anon_sym_BSLASHcat] = ACTIONS(143),
    [anon_sym_PIPE] = ACTIONS(143),
  },
  [37] = {
    [aux_sym_text_token1] = ACTIONS(145),
    [anon_sym_BSLASHref] = ACTIONS(147),
    [anon_sym_BSLASHf] = ACTIONS(147),
    [anon_sym_BSLASHf_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfe] = ACTIONS(147),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(147),
    [anon_sym_BSLASHef] = ACTIONS(147),
    [anon_sym_BSLASHef_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfr] = ACTIONS(147),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfq] = ACTIONS(147),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfqa] = ACTIONS(147),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfk] = ACTIONS(147),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfl] = ACTIONS(147),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfw] = ACTIONS(147),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfp] = ACTIONS(147),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(147),
    [anon_sym_BSLASHft] = ACTIONS(147),
    [anon_sym_BSLASHft_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfdc] = ACTIONS(147),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfv] = ACTIONS(147),
    [anon_sym_BSLASHfm] = ACTIONS(147),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(147),
    [anon_sym_BSLASHx] = ACTIONS(147),
    [anon_sym_BSLASHx_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxo] = ACTIONS(147),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxk] = ACTIONS(147),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxq] = ACTIONS(147),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxt] = ACTIONS(147),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxta] = ACTIONS(147),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxop] = ACTIONS(147),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxot] = ACTIONS(147),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxnt] = ACTIONS(147),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(147),
    [anon_sym_BSLASHxdc] = ACTIONS(147),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(147),
    [anon_sym_BSLASHrq] = ACTIONS(147),
    [anon_sym_BSLASHadd] = ACTIONS(147),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(147),
    [anon_sym_BSLASHbk] = ACTIONS(147),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(147),
    [anon_sym_BSLASHdc] = ACTIONS(147),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(147),
    [anon_sym_BSLASHk] = ACTIONS(147),
    [anon_sym_BSLASHnd] = ACTIONS(147),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(147),
    [anon_sym_BSLASHord] = ACTIONS(147),
    [anon_sym_BSLASHord_STAR] = ACTIONS(147),
    [anon_sym_BSLASHpn] = ACTIONS(147),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(147),
    [anon_sym_BSLASHpng] = ACTIONS(147),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(147),
    [anon_sym_BSLASHaddpn] = ACTIONS(147),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(147),
    [anon_sym_BSLASHqt] = ACTIONS(147),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(147),
    [anon_sym_BSLASHsig] = ACTIONS(147),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(147),
    [anon_sym_BSLASHsls] = ACTIONS(147),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(147),
    [anon_sym_BSLASHtl] = ACTIONS(147),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(147),
    [anon_sym_BSLASHwj] = ACTIONS(147),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(147),
    [anon_sym_BSLASHem] = ACTIONS(147),
    [anon_sym_BSLASHem_STAR] = ACTIONS(147),
    [anon_sym_BSLASHbd] = ACTIONS(147),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(147),
    [anon_sym_BSLASHit] = ACTIONS(147),
    [anon_sym_BSLASHit_STAR] = ACTIONS(147),
    [anon_sym_BSLASHbdit] = ACTIONS(147),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(147),
    [anon_sym_BSLASHno] = ACTIONS(147),
    [anon_sym_BSLASHno_STAR] = ACTIONS(147),
    [anon_sym_BSLASHsc] = ACTIONS(147),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(147),
    [anon_sym_BSLASHsup] = ACTIONS(147),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(147),
    [anon_sym_BSLASHndx] = ACTIONS(147),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(147),
    [anon_sym_BSLASHpro] = ACTIONS(147),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(147),
    [anon_sym_BSLASHrb] = ACTIONS(147),
    [anon_sym_BSLASHw] = ACTIONS(147),
    [anon_sym_BSLASHw_STAR] = ACTIONS(147),
    [anon_sym_BSLASHwg] = ACTIONS(147),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(147),
    [anon_sym_BSLASHwh] = ACTIONS(147),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(147),
    [anon_sym_BSLASHwa] = ACTIONS(147),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(147),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(147),
    [anon_sym_BSLASHfig] = ACTIONS(147),
    [anon_sym_BSLASHjmp] = ACTIONS(147),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(147),
    [anon_sym_BSLASHcat] = ACTIONS(147),
    [anon_sym_PIPE] = ACTIONS(147),
  },
  [38] = {
    [aux_sym_text_token1] = ACTIONS(149),
    [anon_sym_BSLASHref] = ACTIONS(151),
    [anon_sym_BSLASHf] = ACTIONS(151),
    [anon_sym_BSLASHf_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfe] = ACTIONS(151),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(151),
    [anon_sym_BSLASHef] = ACTIONS(151),
    [anon_sym_BSLASHef_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfr] = ACTIONS(151),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfq] = ACTIONS(151),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfqa] = ACTIONS(151),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfk] = ACTIONS(151),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfl] = ACTIONS(151),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfw] = ACTIONS(151),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfp] = ACTIONS(151),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(151),
    [anon_sym_BSLASHft] = ACTIONS(151),
    [anon_sym_BSLASHft_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfdc] = ACTIONS(151),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfv] = ACTIONS(151),
    [anon_sym_BSLASHfm] = ACTIONS(151),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(151),
    [anon_sym_BSLASHx] = ACTIONS(151),
    [anon_sym_BSLASHx_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxo] = ACTIONS(151),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxk] = ACTIONS(151),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxq] = ACTIONS(151),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxt] = ACTIONS(151),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxta] = ACTIONS(151),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxop] = ACTIONS(151),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxot] = ACTIONS(151),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxnt] = ACTIONS(151),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(151),
    [anon_sym_BSLASHxdc] = ACTIONS(151),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(151),
    [anon_sym_BSLASHrq] = ACTIONS(151),
    [anon_sym_BSLASHadd] = ACTIONS(151),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(151),
    [anon_sym_BSLASHbk] = ACTIONS(151),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(151),
    [anon_sym_BSLASHdc] = ACTIONS(151),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(151),
    [anon_sym_BSLASHk] = ACTIONS(151),
    [anon_sym_BSLASHnd] = ACTIONS(151),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(151),
    [anon_sym_BSLASHord] = ACTIONS(151),
    [anon_sym_BSLASHord_STAR] = ACTIONS(151),
    [anon_sym_BSLASHpn] = ACTIONS(151),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(151),
    [anon_sym_BSLASHpng] = ACTIONS(151),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(151),
    [anon_sym_BSLASHaddpn] = ACTIONS(151),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(151),
    [anon_sym_BSLASHqt] = ACTIONS(151),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(151),
    [anon_sym_BSLASHsig] = ACTIONS(151),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(151),
    [anon_sym_BSLASHsls] = ACTIONS(151),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(151),
    [anon_sym_BSLASHtl] = ACTIONS(151),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(151),
    [anon_sym_BSLASHwj] = ACTIONS(151),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(151),
    [anon_sym_BSLASHem] = ACTIONS(151),
    [anon_sym_BSLASHem_STAR] = ACTIONS(151),
    [anon_sym_BSLASHbd] = ACTIONS(151),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(151),
    [anon_sym_BSLASHit] = ACTIONS(151),
    [anon_sym_BSLASHit_STAR] = ACTIONS(151),
    [anon_sym_BSLASHbdit] = ACTIONS(151),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(151),
    [anon_sym_BSLASHno] = ACTIONS(151),
    [anon_sym_BSLASHno_STAR] = ACTIONS(151),
    [anon_sym_BSLASHsc] = ACTIONS(151),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(151),
    [anon_sym_BSLASHsup] = ACTIONS(151),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(151),
    [anon_sym_BSLASHndx] = ACTIONS(151),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(151),
    [anon_sym_BSLASHpro] = ACTIONS(151),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(151),
    [anon_sym_BSLASHrb] = ACTIONS(151),
    [anon_sym_BSLASHw] = ACTIONS(151),
    [anon_sym_BSLASHw_STAR] = ACTIONS(151),
    [anon_sym_BSLASHwg] = ACTIONS(151),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(151),
    [anon_sym_BSLASHwh] = ACTIONS(151),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(151),
    [anon_sym_BSLASHwa] = ACTIONS(151),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(151),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(151),
    [anon_sym_BSLASHfig] = ACTIONS(151),
    [anon_sym_BSLASHjmp] = ACTIONS(151),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(151),
    [anon_sym_BSLASHcat] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(151),
  },
  [39] = {
    [aux_sym_text_token1] = ACTIONS(153),
    [anon_sym_BSLASHref] = ACTIONS(155),
    [anon_sym_BSLASHf] = ACTIONS(155),
    [anon_sym_BSLASHf_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfe] = ACTIONS(155),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(155),
    [anon_sym_BSLASHef] = ACTIONS(155),
    [anon_sym_BSLASHef_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfr] = ACTIONS(155),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfq] = ACTIONS(155),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfqa] = ACTIONS(155),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfk] = ACTIONS(155),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfl] = ACTIONS(155),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfw] = ACTIONS(155),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfp] = ACTIONS(155),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(155),
    [anon_sym_BSLASHft] = ACTIONS(155),
    [anon_sym_BSLASHft_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfdc] = ACTIONS(155),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfv] = ACTIONS(155),
    [anon_sym_BSLASHfm] = ACTIONS(155),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(155),
    [anon_sym_BSLASHx] = ACTIONS(155),
    [anon_sym_BSLASHx_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxo] = ACTIONS(155),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxk] = ACTIONS(155),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxq] = ACTIONS(155),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxt] = ACTIONS(155),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxta] = ACTIONS(155),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxop] = ACTIONS(155),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxot] = ACTIONS(155),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxnt] = ACTIONS(155),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(155),
    [anon_sym_BSLASHxdc] = ACTIONS(155),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(155),
    [anon_sym_BSLASHrq] = ACTIONS(155),
    [anon_sym_BSLASHadd] = ACTIONS(155),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(155),
    [anon_sym_BSLASHbk] = ACTIONS(155),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(155),
    [anon_sym_BSLASHdc] = ACTIONS(155),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(155),
    [anon_sym_BSLASHk] = ACTIONS(155),
    [anon_sym_BSLASHnd] = ACTIONS(155),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(155),
    [anon_sym_BSLASHord] = ACTIONS(155),
    [anon_sym_BSLASHord_STAR] = ACTIONS(155),
    [anon_sym_BSLASHpn] = ACTIONS(155),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(155),
    [anon_sym_BSLASHpng] = ACTIONS(155),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(155),
    [anon_sym_BSLASHaddpn] = ACTIONS(155),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(155),
    [anon_sym_BSLASHqt] = ACTIONS(155),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(155),
    [anon_sym_BSLASHsig] = ACTIONS(155),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(155),
    [anon_sym_BSLASHsls] = ACTIONS(155),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(155),
    [anon_sym_BSLASHtl] = ACTIONS(155),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(155),
    [anon_sym_BSLASHwj] = ACTIONS(155),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(155),
    [anon_sym_BSLASHem] = ACTIONS(155),
    [anon_sym_BSLASHem_STAR] = ACTIONS(155),
    [anon_sym_BSLASHbd] = ACTIONS(155),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(155),
    [anon_sym_BSLASHit] = ACTIONS(155),
    [anon_sym_BSLASHit_STAR] = ACTIONS(155),
    [anon_sym_BSLASHbdit] = ACTIONS(155),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(155),
    [anon_sym_BSLASHno] = ACTIONS(155),
    [anon_sym_BSLASHno_STAR] = ACTIONS(155),
    [anon_sym_BSLASHsc] = ACTIONS(155),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(155),
    [anon_sym_BSLASHsup] = ACTIONS(155),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(155),
    [anon_sym_BSLASHndx] = ACTIONS(155),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(155),
    [anon_sym_BSLASHpro] = ACTIONS(155),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(155),
    [anon_sym_BSLASHrb] = ACTIONS(155),
    [anon_sym_BSLASHw] = ACTIONS(155),
    [anon_sym_BSLASHw_STAR] = ACTIONS(155),
    [anon_sym_BSLASHwg] = ACTIONS(155),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(155),
    [anon_sym_BSLASHwh] = ACTIONS(155),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(155),
    [anon_sym_BSLASHwa] = ACTIONS(155),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(155),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(155),
    [anon_sym_BSLASHfig] = ACTIONS(155),
    [anon_sym_BSLASHjmp] = ACTIONS(155),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(155),
    [anon_sym_BSLASHcat] = ACTIONS(155),
    [anon_sym_PIPE] = ACTIONS(155),
  },
  [40] = {
    [aux_sym_text_token1] = ACTIONS(157),
    [anon_sym_BSLASHref] = ACTIONS(159),
    [anon_sym_BSLASHf] = ACTIONS(159),
    [anon_sym_BSLASHf_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfe] = ACTIONS(159),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(159),
    [anon_sym_BSLASHef] = ACTIONS(159),
    [anon_sym_BSLASHef_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfr] = ACTIONS(159),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfq] = ACTIONS(159),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfqa] = ACTIONS(159),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfk] = ACTIONS(159),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfl] = ACTIONS(159),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfw] = ACTIONS(159),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfp] = ACTIONS(159),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(159),
    [anon_sym_BSLASHft] = ACTIONS(159),
    [anon_sym_BSLASHft_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfdc] = ACTIONS(159),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfv] = ACTIONS(159),
    [anon_sym_BSLASHfm] = ACTIONS(159),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(159),
    [anon_sym_BSLASHx] = ACTIONS(159),
    [anon_sym_BSLASHx_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxo] = ACTIONS(159),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxk] = ACTIONS(159),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxq] = ACTIONS(159),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxt] = ACTIONS(159),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxta] = ACTIONS(159),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxop] = ACTIONS(159),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxot] = ACTIONS(159),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxnt] = ACTIONS(159),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(159),
    [anon_sym_BSLASHxdc] = ACTIONS(159),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrq] = ACTIONS(159),
    [anon_sym_BSLASHadd] = ACTIONS(159),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(159),
    [anon_sym_BSLASHbk] = ACTIONS(159),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdc] = ACTIONS(159),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(159),
    [anon_sym_BSLASHk] = ACTIONS(159),
    [anon_sym_BSLASHnd] = ACTIONS(159),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(159),
    [anon_sym_BSLASHord] = ACTIONS(159),
    [anon_sym_BSLASHord_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpn] = ACTIONS(159),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpng] = ACTIONS(159),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddpn] = ACTIONS(159),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(159),
    [anon_sym_BSLASHqt] = ACTIONS(159),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsig] = ACTIONS(159),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsls] = ACTIONS(159),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(159),
    [anon_sym_BSLASHtl] = ACTIONS(159),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(159),
    [anon_sym_BSLASHwj] = ACTIONS(159),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(159),
    [anon_sym_BSLASHem] = ACTIONS(159),
    [anon_sym_BSLASHem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHbd] = ACTIONS(159),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(159),
    [anon_sym_BSLASHit] = ACTIONS(159),
    [anon_sym_BSLASHit_STAR] = ACTIONS(159),
    [anon_sym_BSLASHbdit] = ACTIONS(159),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(159),
    [anon_sym_BSLASHno] = ACTIONS(159),
    [anon_sym_BSLASHno_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsc] = ACTIONS(159),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsup] = ACTIONS(159),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(159),
    [anon_sym_BSLASHndx] = ACTIONS(159),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpro] = ACTIONS(159),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrb] = ACTIONS(159),
    [anon_sym_BSLASHw] = ACTIONS(159),
    [anon_sym_BSLASHw_STAR] = ACTIONS(159),
    [anon_sym_BSLASHwg] = ACTIONS(159),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(159),
    [anon_sym_BSLASHwh] = ACTIONS(159),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(159),
    [anon_sym_BSLASHwa] = ACTIONS(159),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(159),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(159),
    [anon_sym_BSLASHfig] = ACTIONS(159),
    [anon_sym_BSLASHjmp] = ACTIONS(159),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(159),
    [anon_sym_BSLASHcat] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(159),
  },
  [41] = {
    [aux_sym_text_token1] = ACTIONS(161),
    [anon_sym_BSLASHref] = ACTIONS(163),
    [anon_sym_BSLASHf] = ACTIONS(163),
    [anon_sym_BSLASHf_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfe] = ACTIONS(163),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(163),
    [anon_sym_BSLASHef] = ACTIONS(163),
    [anon_sym_BSLASHef_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfr] = ACTIONS(163),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfq] = ACTIONS(163),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfqa] = ACTIONS(163),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfk] = ACTIONS(163),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfl] = ACTIONS(163),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfw] = ACTIONS(163),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfp] = ACTIONS(163),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(163),
    [anon_sym_BSLASHft] = ACTIONS(163),
    [anon_sym_BSLASHft_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfdc] = ACTIONS(163),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfv] = ACTIONS(163),
    [anon_sym_BSLASHfm] = ACTIONS(163),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(163),
    [anon_sym_BSLASHx] = ACTIONS(163),
    [anon_sym_BSLASHx_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxo] = ACTIONS(163),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxk] = ACTIONS(163),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxq] = ACTIONS(163),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxt] = ACTIONS(163),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxta] = ACTIONS(163),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxop] = ACTIONS(163),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxot] = ACTIONS(163),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxnt] = ACTIONS(163),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(163),
    [anon_sym_BSLASHxdc] = ACTIONS(163),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(163),
    [anon_sym_BSLASHrq] = ACTIONS(163),
    [anon_sym_BSLASHadd] = ACTIONS(163),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(163),
    [anon_sym_BSLASHbk] = ACTIONS(163),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(163),
    [anon_sym_BSLASHdc] = ACTIONS(163),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(163),
    [anon_sym_BSLASHk] = ACTIONS(163),
    [anon_sym_BSLASHnd] = ACTIONS(163),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(163),
    [anon_sym_BSLASHord] = ACTIONS(163),
    [anon_sym_BSLASHord_STAR] = ACTIONS(163),
    [anon_sym_BSLASHpn] = ACTIONS(163),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(163),
    [anon_sym_BSLASHpng] = ACTIONS(163),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(163),
    [anon_sym_BSLASHaddpn] = ACTIONS(163),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(163),
    [anon_sym_BSLASHqt] = ACTIONS(163),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(163),
    [anon_sym_BSLASHsig] = ACTIONS(163),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(163),
    [anon_sym_BSLASHsls] = ACTIONS(163),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(163),
    [anon_sym_BSLASHtl] = ACTIONS(163),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(163),
    [anon_sym_BSLASHwj] = ACTIONS(163),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(163),
    [anon_sym_BSLASHem] = ACTIONS(163),
    [anon_sym_BSLASHem_STAR] = ACTIONS(163),
    [anon_sym_BSLASHbd] = ACTIONS(163),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(163),
    [anon_sym_BSLASHit] = ACTIONS(163),
    [anon_sym_BSLASHit_STAR] = ACTIONS(163),
    [anon_sym_BSLASHbdit] = ACTIONS(163),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(163),
    [anon_sym_BSLASHno] = ACTIONS(163),
    [anon_sym_BSLASHno_STAR] = ACTIONS(163),
    [anon_sym_BSLASHsc] = ACTIONS(163),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(163),
    [anon_sym_BSLASHsup] = ACTIONS(163),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(163),
    [anon_sym_BSLASHndx] = ACTIONS(163),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(163),
    [anon_sym_BSLASHpro] = ACTIONS(163),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(163),
    [anon_sym_BSLASHrb] = ACTIONS(163),
    [anon_sym_BSLASHw] = ACTIONS(163),
    [anon_sym_BSLASHw_STAR] = ACTIONS(163),
    [anon_sym_BSLASHwg] = ACTIONS(163),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(163),
    [anon_sym_BSLASHwh] = ACTIONS(163),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(163),
    [anon_sym_BSLASHwa] = ACTIONS(163),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(163),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(163),
    [anon_sym_BSLASHfig] = ACTIONS(163),
    [anon_sym_BSLASHjmp] = ACTIONS(163),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(163),
    [anon_sym_BSLASHcat] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
  },
  [42] = {
    [aux_sym_text_token1] = ACTIONS(165),
    [anon_sym_BSLASHref] = ACTIONS(167),
    [anon_sym_BSLASHf] = ACTIONS(167),
    [anon_sym_BSLASHf_STAR] = ACTIONS(167),
    [anon_sym_BSLASHfe] = ACTIONS(167),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(167),
    [anon_sym_BSLASHef] = ACTIONS(167),
    [anon_sym_BSLASHef_STAR] = ACTIONS(167),
    [anon_sym_BSLASHfr] = ACTIONS(167),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(167),
    [anon_sym_BSLASHfq] = ACTIONS(167),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(167),
    [anon_sym_BSLASHfqa] = ACTIONS(167),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(167),
    [anon_sym_BSLASHfk] = ACTIONS(167),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(167),
    [anon_sym_BSLASHfl] = ACTIONS(167),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(167),
    [anon_sym_BSLASHfw] = ACTIONS(167),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(167),
    [anon_sym_BSLASHfp] = ACTIONS(167),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(167),
    [anon_sym_BSLASHft] = ACTIONS(167),
    [anon_sym_BSLASHft_STAR] = ACTIONS(167),
    [anon_sym_BSLASHfdc] = ACTIONS(167),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(167),
    [anon_sym_BSLASHfv] = ACTIONS(167),
    [anon_sym_BSLASHfm] = ACTIONS(167),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(167),
    [anon_sym_BSLASHx] = ACTIONS(167),
    [anon_sym_BSLASHx_STAR] = ACTIONS(167),
    [anon_sym_BSLASHxo] = ACTIONS(167),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(167),
    [anon_sym_BSLASHxk] = ACTIONS(167),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(167),
    [anon_sym_BSLASHxq] = ACTIONS(167),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(167),
    [anon_sym_BSLASHxt] = ACTIONS(167),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(167),
    [anon_sym_BSLASHxta] = ACTIONS(167),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(167),
    [anon_sym_BSLASHxop] = ACTIONS(167),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(167),
    [anon_sym_BSLASHxot] = ACTIONS(167),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(167),
    [anon_sym_BSLASHxnt] = ACTIONS(167),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(167),
    [anon_sym_BSLASHxdc] = ACTIONS(167),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(167),
    [anon_sym_BSLASHrq] = ACTIONS(167),
    [anon_sym_BSLASHadd] = ACTIONS(167),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(167),
    [anon_sym_BSLASHbk] = ACTIONS(167),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(167),
    [anon_sym_BSLASHdc] = ACTIONS(167),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(167),
    [anon_sym_BSLASHk] = ACTIONS(167),
    [anon_sym_BSLASHnd] = ACTIONS(167),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(167),
    [anon_sym_BSLASHord] = ACTIONS(167),
    [anon_sym_BSLASHord_STAR] = ACTIONS(167),
    [anon_sym_BSLASHpn] = ACTIONS(167),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(167),
    [anon_sym_BSLASHpng] = ACTIONS(167),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(167),
    [anon_sym_BSLASHaddpn] = ACTIONS(167),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(167),
    [anon_sym_BSLASHqt] = ACTIONS(167),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(167),
    [anon_sym_BSLASHsig] = ACTIONS(167),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(167),
    [anon_sym_BSLASHsls] = ACTIONS(167),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(167),
    [anon_sym_BSLASHtl] = ACTIONS(167),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(167),
    [anon_sym_BSLASHwj] = ACTIONS(167),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(167),
    [anon_sym_BSLASHem] = ACTIONS(167),
    [anon_sym_BSLASHem_STAR] = ACTIONS(167),
    [anon_sym_BSLASHbd] = ACTIONS(167),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(167),
    [anon_sym_BSLASHit] = ACTIONS(167),
    [anon_sym_BSLASHit_STAR] = ACTIONS(167),
    [anon_sym_BSLASHbdit] = ACTIONS(167),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(167),
    [anon_sym_BSLASHno] = ACTIONS(167),
    [anon_sym_BSLASHno_STAR] = ACTIONS(167),
    [anon_sym_BSLASHsc] = ACTIONS(167),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(167),
    [anon_sym_BSLASHsup] = ACTIONS(167),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(167),
    [anon_sym_BSLASHndx] = ACTIONS(167),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(167),
    [anon_sym_BSLASHpro] = ACTIONS(167),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(167),
    [anon_sym_BSLASHrb] = ACTIONS(167),
    [anon_sym_BSLASHw] = ACTIONS(167),
    [anon_sym_BSLASHw_STAR] = ACTIONS(167),
    [anon_sym_BSLASHwg] = ACTIONS(167),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(167),
    [anon_sym_BSLASHwh] = ACTIONS(167),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(167),
    [anon_sym_BSLASHwa] = ACTIONS(167),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(167),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(167),
    [anon_sym_BSLASHfig] = ACTIONS(167),
    [anon_sym_BSLASHjmp] = ACTIONS(167),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(167),
    [anon_sym_BSLASHcat] = ACTIONS(167),
    [anon_sym_PIPE] = ACTIONS(167),
  },
  [43] = {
    [aux_sym_text_token1] = ACTIONS(169),
    [anon_sym_BSLASHref] = ACTIONS(171),
    [anon_sym_BSLASHf] = ACTIONS(171),
    [anon_sym_BSLASHf_STAR] = ACTIONS(171),
    [anon_sym_BSLASHfe] = ACTIONS(171),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(171),
    [anon_sym_BSLASHef] = ACTIONS(171),
    [anon_sym_BSLASHef_STAR] = ACTIONS(171),
    [anon_sym_BSLASHfr] = ACTIONS(171),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(171),
    [anon_sym_BSLASHfq] = ACTIONS(171),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(171),
    [anon_sym_BSLASHfqa] = ACTIONS(171),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(171),
    [anon_sym_BSLASHfk] = ACTIONS(171),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(171),
    [anon_sym_BSLASHfl] = ACTIONS(171),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(171),
    [anon_sym_BSLASHfw] = ACTIONS(171),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(171),
    [anon_sym_BSLASHfp] = ACTIONS(171),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(171),
    [anon_sym_BSLASHft] = ACTIONS(171),
    [anon_sym_BSLASHft_STAR] = ACTIONS(171),
    [anon_sym_BSLASHfdc] = ACTIONS(171),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(171),
    [anon_sym_BSLASHfv] = ACTIONS(171),
    [anon_sym_BSLASHfm] = ACTIONS(171),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(171),
    [anon_sym_BSLASHx] = ACTIONS(171),
    [anon_sym_BSLASHx_STAR] = ACTIONS(171),
    [anon_sym_BSLASHxo] = ACTIONS(171),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(171),
    [anon_sym_BSLASHxk] = ACTIONS(171),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(171),
    [anon_sym_BSLASHxq] = ACTIONS(171),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(171),
    [anon_sym_BSLASHxt] = ACTIONS(171),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(171),
    [anon_sym_BSLASHxta] = ACTIONS(171),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(171),
    [anon_sym_BSLASHxop] = ACTIONS(171),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(171),
    [anon_sym_BSLASHxot] = ACTIONS(171),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(171),
    [anon_sym_BSLASHxnt] = ACTIONS(171),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(171),
    [anon_sym_BSLASHxdc] = ACTIONS(171),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(171),
    [anon_sym_BSLASHrq] = ACTIONS(171),
    [anon_sym_BSLASHadd] = ACTIONS(171),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(171),
    [anon_sym_BSLASHbk] = ACTIONS(171),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdc] = ACTIONS(171),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(171),
    [anon_sym_BSLASHk] = ACTIONS(171),
    [anon_sym_BSLASHnd] = ACTIONS(171),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(171),
    [anon_sym_BSLASHord] = ACTIONS(171),
    [anon_sym_BSLASHord_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpn] = ACTIONS(171),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpng] = ACTIONS(171),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddpn] = ACTIONS(171),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(171),
    [anon_sym_BSLASHqt] = ACTIONS(171),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsig] = ACTIONS(171),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsls] = ACTIONS(171),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(171),
    [anon_sym_BSLASHtl] = ACTIONS(171),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(171),
    [anon_sym_BSLASHwj] = ACTIONS(171),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(171),
    [anon_sym_BSLASHem] = ACTIONS(171),
    [anon_sym_BSLASHem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHbd] = ACTIONS(171),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(171),
    [anon_sym_BSLASHit] = ACTIONS(171),
    [anon_sym_BSLASHit_STAR] = ACTIONS(171),
    [anon_sym_BSLASHbdit] = ACTIONS(171),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(171),
    [anon_sym_BSLASHno] = ACTIONS(171),
    [anon_sym_BSLASHno_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsc] = ACTIONS(171),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsup] = ACTIONS(171),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(171),
    [anon_sym_BSLASHndx] = ACTIONS(171),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpro] = ACTIONS(171),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(171),
    [anon_sym_BSLASHrb] = ACTIONS(171),
    [anon_sym_BSLASHw] = ACTIONS(171),
    [anon_sym_BSLASHw_STAR] = ACTIONS(171),
    [anon_sym_BSLASHwg] = ACTIONS(171),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(171),
    [anon_sym_BSLASHwh] = ACTIONS(171),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(171),
    [anon_sym_BSLASHwa] = ACTIONS(171),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(171),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(171),
    [anon_sym_BSLASHfig] = ACTIONS(171),
    [anon_sym_BSLASHjmp] = ACTIONS(171),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(171),
    [anon_sym_BSLASHcat] = ACTIONS(171),
    [anon_sym_PIPE] = ACTIONS(171),
  },
  [44] = {
    [aux_sym_text_token1] = ACTIONS(173),
    [anon_sym_BSLASHref] = ACTIONS(175),
    [anon_sym_BSLASHf] = ACTIONS(175),
    [anon_sym_BSLASHf_STAR] = ACTIONS(175),
    [anon_sym_BSLASHfe] = ACTIONS(175),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(175),
    [anon_sym_BSLASHef] = ACTIONS(175),
    [anon_sym_BSLASHef_STAR] = ACTIONS(175),
    [anon_sym_BSLASHfr] = ACTIONS(175),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(175),
    [anon_sym_BSLASHfq] = ACTIONS(175),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(175),
    [anon_sym_BSLASHfqa] = ACTIONS(175),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(175),
    [anon_sym_BSLASHfk] = ACTIONS(175),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(175),
    [anon_sym_BSLASHfl] = ACTIONS(175),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(175),
    [anon_sym_BSLASHfw] = ACTIONS(175),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(175),
    [anon_sym_BSLASHfp] = ACTIONS(175),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(175),
    [anon_sym_BSLASHft] = ACTIONS(175),
    [anon_sym_BSLASHft_STAR] = ACTIONS(175),
    [anon_sym_BSLASHfdc] = ACTIONS(175),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(175),
    [anon_sym_BSLASHfv] = ACTIONS(175),
    [anon_sym_BSLASHfm] = ACTIONS(175),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(175),
    [anon_sym_BSLASHx] = ACTIONS(175),
    [anon_sym_BSLASHx_STAR] = ACTIONS(175),
    [anon_sym_BSLASHxo] = ACTIONS(175),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(175),
    [anon_sym_BSLASHxk] = ACTIONS(175),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(175),
    [anon_sym_BSLASHxq] = ACTIONS(175),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(175),
    [anon_sym_BSLASHxt] = ACTIONS(175),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(175),
    [anon_sym_BSLASHxta] = ACTIONS(175),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(175),
    [anon_sym_BSLASHxop] = ACTIONS(175),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(175),
    [anon_sym_BSLASHxot] = ACTIONS(175),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(175),
    [anon_sym_BSLASHxnt] = ACTIONS(175),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(175),
    [anon_sym_BSLASHxdc] = ACTIONS(175),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(175),
    [anon_sym_BSLASHrq] = ACTIONS(175),
    [anon_sym_BSLASHadd] = ACTIONS(175),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(175),
    [anon_sym_BSLASHbk] = ACTIONS(175),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdc] = ACTIONS(175),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(175),
    [anon_sym_BSLASHk] = ACTIONS(175),
    [anon_sym_BSLASHnd] = ACTIONS(175),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(175),
    [anon_sym_BSLASHord] = ACTIONS(175),
    [anon_sym_BSLASHord_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpn] = ACTIONS(175),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpng] = ACTIONS(175),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddpn] = ACTIONS(175),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(175),
    [anon_sym_BSLASHqt] = ACTIONS(175),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsig] = ACTIONS(175),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsls] = ACTIONS(175),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(175),
    [anon_sym_BSLASHtl] = ACTIONS(175),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(175),
    [anon_sym_BSLASHwj] = ACTIONS(175),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(175),
    [anon_sym_BSLASHem] = ACTIONS(175),
    [anon_sym_BSLASHem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHbd] = ACTIONS(175),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(175),
    [anon_sym_BSLASHit] = ACTIONS(175),
    [anon_sym_BSLASHit_STAR] = ACTIONS(175),
    [anon_sym_BSLASHbdit] = ACTIONS(175),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(175),
    [anon_sym_BSLASHno] = ACTIONS(175),
    [anon_sym_BSLASHno_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsc] = ACTIONS(175),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsup] = ACTIONS(175),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(175),
    [anon_sym_BSLASHndx] = ACTIONS(175),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpro] = ACTIONS(175),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(175),
    [anon_sym_BSLASHrb] = ACTIONS(175),
    [anon_sym_BSLASHw] = ACTIONS(175),
    [anon_sym_BSLASHw_STAR] = ACTIONS(175),
    [anon_sym_BSLASHwg] = ACTIONS(175),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(175),
    [anon_sym_BSLASHwh] = ACTIONS(175),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(175),
    [anon_sym_BSLASHwa] = ACTIONS(175),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(175),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(175),
    [anon_sym_BSLASHfig] = ACTIONS(175),
    [anon_sym_BSLASHjmp] = ACTIONS(175),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(175),
    [anon_sym_BSLASHcat] = ACTIONS(175),
    [anon_sym_PIPE] = ACTIONS(175),
  },
  [45] = {
    [aux_sym_text_token1] = ACTIONS(177),
    [anon_sym_BSLASHref] = ACTIONS(179),
    [anon_sym_BSLASHf] = ACTIONS(179),
    [anon_sym_BSLASHf_STAR] = ACTIONS(179),
    [anon_sym_BSLASHfe] = ACTIONS(179),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(179),
    [anon_sym_BSLASHef] = ACTIONS(179),
    [anon_sym_BSLASHef_STAR] = ACTIONS(179),
    [anon_sym_BSLASHfr] = ACTIONS(179),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(179),
    [anon_sym_BSLASHfq] = ACTIONS(179),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(179),
    [anon_sym_BSLASHfqa] = ACTIONS(179),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(179),
    [anon_sym_BSLASHfk] = ACTIONS(179),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(179),
    [anon_sym_BSLASHfl] = ACTIONS(179),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(179),
    [anon_sym_BSLASHfw] = ACTIONS(179),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(179),
    [anon_sym_BSLASHfp] = ACTIONS(179),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(179),
    [anon_sym_BSLASHft] = ACTIONS(179),
    [anon_sym_BSLASHft_STAR] = ACTIONS(179),
    [anon_sym_BSLASHfdc] = ACTIONS(179),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(179),
    [anon_sym_BSLASHfv] = ACTIONS(179),
    [anon_sym_BSLASHfm] = ACTIONS(179),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(179),
    [anon_sym_BSLASHx] = ACTIONS(179),
    [anon_sym_BSLASHx_STAR] = ACTIONS(179),
    [anon_sym_BSLASHxo] = ACTIONS(179),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(179),
    [anon_sym_BSLASHxk] = ACTIONS(179),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(179),
    [anon_sym_BSLASHxq] = ACTIONS(179),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(179),
    [anon_sym_BSLASHxt] = ACTIONS(179),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(179),
    [anon_sym_BSLASHxta] = ACTIONS(179),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(179),
    [anon_sym_BSLASHxop] = ACTIONS(179),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(179),
    [anon_sym_BSLASHxot] = ACTIONS(179),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(179),
    [anon_sym_BSLASHxnt] = ACTIONS(179),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(179),
    [anon_sym_BSLASHxdc] = ACTIONS(179),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(179),
    [anon_sym_BSLASHrq] = ACTIONS(179),
    [anon_sym_BSLASHadd] = ACTIONS(179),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(179),
    [anon_sym_BSLASHbk] = ACTIONS(179),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(179),
    [anon_sym_BSLASHdc] = ACTIONS(179),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(179),
    [anon_sym_BSLASHk] = ACTIONS(179),
    [anon_sym_BSLASHnd] = ACTIONS(179),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(179),
    [anon_sym_BSLASHord] = ACTIONS(179),
    [anon_sym_BSLASHord_STAR] = ACTIONS(179),
    [anon_sym_BSLASHpn] = ACTIONS(179),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(179),
    [anon_sym_BSLASHpng] = ACTIONS(179),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(179),
    [anon_sym_BSLASHaddpn] = ACTIONS(179),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(179),
    [anon_sym_BSLASHqt] = ACTIONS(179),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(179),
    [anon_sym_BSLASHsig] = ACTIONS(179),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(179),
    [anon_sym_BSLASHsls] = ACTIONS(179),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(179),
    [anon_sym_BSLASHtl] = ACTIONS(179),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(179),
    [anon_sym_BSLASHwj] = ACTIONS(179),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(179),
    [anon_sym_BSLASHem] = ACTIONS(179),
    [anon_sym_BSLASHem_STAR] = ACTIONS(179),
    [anon_sym_BSLASHbd] = ACTIONS(179),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(179),
    [anon_sym_BSLASHit] = ACTIONS(179),
    [anon_sym_BSLASHit_STAR] = ACTIONS(179),
    [anon_sym_BSLASHbdit] = ACTIONS(179),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(179),
    [anon_sym_BSLASHno] = ACTIONS(179),
    [anon_sym_BSLASHno_STAR] = ACTIONS(179),
    [anon_sym_BSLASHsc] = ACTIONS(179),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(179),
    [anon_sym_BSLASHsup] = ACTIONS(179),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(179),
    [anon_sym_BSLASHndx] = ACTIONS(179),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(179),
    [anon_sym_BSLASHpro] = ACTIONS(179),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(179),
    [anon_sym_BSLASHrb] = ACTIONS(179),
    [anon_sym_BSLASHw] = ACTIONS(179),
    [anon_sym_BSLASHw_STAR] = ACTIONS(179),
    [anon_sym_BSLASHwg] = ACTIONS(179),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(179),
    [anon_sym_BSLASHwh] = ACTIONS(179),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(179),
    [anon_sym_BSLASHwa] = ACTIONS(179),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(179),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(179),
    [anon_sym_BSLASHfig] = ACTIONS(179),
    [anon_sym_BSLASHjmp] = ACTIONS(179),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(179),
    [anon_sym_BSLASHcat] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(179),
  },
  [46] = {
    [aux_sym_text_token1] = ACTIONS(181),
    [anon_sym_BSLASHref] = ACTIONS(183),
    [anon_sym_BSLASHf] = ACTIONS(183),
    [anon_sym_BSLASHf_STAR] = ACTIONS(183),
    [anon_sym_BSLASHfe] = ACTIONS(183),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(183),
    [anon_sym_BSLASHef] = ACTIONS(183),
    [anon_sym_BSLASHef_STAR] = ACTIONS(183),
    [anon_sym_BSLASHfr] = ACTIONS(183),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(183),
    [anon_sym_BSLASHfq] = ACTIONS(183),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(183),
    [anon_sym_BSLASHfqa] = ACTIONS(183),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(183),
    [anon_sym_BSLASHfk] = ACTIONS(183),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(183),
    [anon_sym_BSLASHfl] = ACTIONS(183),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(183),
    [anon_sym_BSLASHfw] = ACTIONS(183),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(183),
    [anon_sym_BSLASHfp] = ACTIONS(183),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(183),
    [anon_sym_BSLASHft] = ACTIONS(183),
    [anon_sym_BSLASHft_STAR] = ACTIONS(183),
    [anon_sym_BSLASHfdc] = ACTIONS(183),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(183),
    [anon_sym_BSLASHfv] = ACTIONS(183),
    [anon_sym_BSLASHfm] = ACTIONS(183),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(183),
    [anon_sym_BSLASHx] = ACTIONS(183),
    [anon_sym_BSLASHx_STAR] = ACTIONS(183),
    [anon_sym_BSLASHxo] = ACTIONS(183),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(183),
    [anon_sym_BSLASHxk] = ACTIONS(183),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(183),
    [anon_sym_BSLASHxq] = ACTIONS(183),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(183),
    [anon_sym_BSLASHxt] = ACTIONS(183),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(183),
    [anon_sym_BSLASHxta] = ACTIONS(183),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(183),
    [anon_sym_BSLASHxop] = ACTIONS(183),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(183),
    [anon_sym_BSLASHxot] = ACTIONS(183),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(183),
    [anon_sym_BSLASHxnt] = ACTIONS(183),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(183),
    [anon_sym_BSLASHxdc] = ACTIONS(183),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(183),
    [anon_sym_BSLASHrq] = ACTIONS(183),
    [anon_sym_BSLASHadd] = ACTIONS(183),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(183),
    [anon_sym_BSLASHbk] = ACTIONS(183),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(183),
    [anon_sym_BSLASHdc] = ACTIONS(183),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(183),
    [anon_sym_BSLASHk] = ACTIONS(183),
    [anon_sym_BSLASHnd] = ACTIONS(183),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(183),
    [anon_sym_BSLASHord] = ACTIONS(183),
    [anon_sym_BSLASHord_STAR] = ACTIONS(183),
    [anon_sym_BSLASHpn] = ACTIONS(183),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(183),
    [anon_sym_BSLASHpng] = ACTIONS(183),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(183),
    [anon_sym_BSLASHaddpn] = ACTIONS(183),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(183),
    [anon_sym_BSLASHqt] = ACTIONS(183),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(183),
    [anon_sym_BSLASHsig] = ACTIONS(183),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(183),
    [anon_sym_BSLASHsls] = ACTIONS(183),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(183),
    [anon_sym_BSLASHtl] = ACTIONS(183),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(183),
    [anon_sym_BSLASHwj] = ACTIONS(183),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(183),
    [anon_sym_BSLASHem] = ACTIONS(183),
    [anon_sym_BSLASHem_STAR] = ACTIONS(183),
    [anon_sym_BSLASHbd] = ACTIONS(183),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(183),
    [anon_sym_BSLASHit] = ACTIONS(183),
    [anon_sym_BSLASHit_STAR] = ACTIONS(183),
    [anon_sym_BSLASHbdit] = ACTIONS(183),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(183),
    [anon_sym_BSLASHno] = ACTIONS(183),
    [anon_sym_BSLASHno_STAR] = ACTIONS(183),
    [anon_sym_BSLASHsc] = ACTIONS(183),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(183),
    [anon_sym_BSLASHsup] = ACTIONS(183),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(183),
    [anon_sym_BSLASHndx] = ACTIONS(183),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(183),
    [anon_sym_BSLASHpro] = ACTIONS(183),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(183),
    [anon_sym_BSLASHrb] = ACTIONS(183),
    [anon_sym_BSLASHw] = ACTIONS(183),
    [anon_sym_BSLASHw_STAR] = ACTIONS(183),
    [anon_sym_BSLASHwg] = ACTIONS(183),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(183),
    [anon_sym_BSLASHwh] = ACTIONS(183),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(183),
    [anon_sym_BSLASHwa] = ACTIONS(183),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(183),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(183),
    [anon_sym_BSLASHfig] = ACTIONS(183),
    [anon_sym_BSLASHjmp] = ACTIONS(183),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(183),
    [anon_sym_BSLASHcat] = ACTIONS(183),
    [anon_sym_PIPE] = ACTIONS(183),
  },
  [47] = {
    [aux_sym_text_token1] = ACTIONS(185),
    [anon_sym_BSLASHref] = ACTIONS(187),
    [anon_sym_BSLASHf] = ACTIONS(187),
    [anon_sym_BSLASHf_STAR] = ACTIONS(187),
    [anon_sym_BSLASHfe] = ACTIONS(187),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(187),
    [anon_sym_BSLASHef] = ACTIONS(187),
    [anon_sym_BSLASHef_STAR] = ACTIONS(187),
    [anon_sym_BSLASHfr] = ACTIONS(187),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(187),
    [anon_sym_BSLASHfq] = ACTIONS(187),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(187),
    [anon_sym_BSLASHfqa] = ACTIONS(187),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(187),
    [anon_sym_BSLASHfk] = ACTIONS(187),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(187),
    [anon_sym_BSLASHfl] = ACTIONS(187),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(187),
    [anon_sym_BSLASHfw] = ACTIONS(187),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(187),
    [anon_sym_BSLASHfp] = ACTIONS(187),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(187),
    [anon_sym_BSLASHft] = ACTIONS(187),
    [anon_sym_BSLASHft_STAR] = ACTIONS(187),
    [anon_sym_BSLASHfdc] = ACTIONS(187),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(187),
    [anon_sym_BSLASHfv] = ACTIONS(187),
    [anon_sym_BSLASHfm] = ACTIONS(187),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(187),
    [anon_sym_BSLASHx] = ACTIONS(187),
    [anon_sym_BSLASHx_STAR] = ACTIONS(187),
    [anon_sym_BSLASHxo] = ACTIONS(187),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(187),
    [anon_sym_BSLASHxk] = ACTIONS(187),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(187),
    [anon_sym_BSLASHxq] = ACTIONS(187),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(187),
    [anon_sym_BSLASHxt] = ACTIONS(187),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(187),
    [anon_sym_BSLASHxta] = ACTIONS(187),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(187),
    [anon_sym_BSLASHxop] = ACTIONS(187),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(187),
    [anon_sym_BSLASHxot] = ACTIONS(187),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(187),
    [anon_sym_BSLASHxnt] = ACTIONS(187),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(187),
    [anon_sym_BSLASHxdc] = ACTIONS(187),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(187),
    [anon_sym_BSLASHrq] = ACTIONS(187),
    [anon_sym_BSLASHadd] = ACTIONS(187),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(187),
    [anon_sym_BSLASHbk] = ACTIONS(187),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(187),
    [anon_sym_BSLASHdc] = ACTIONS(187),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(187),
    [anon_sym_BSLASHk] = ACTIONS(187),
    [anon_sym_BSLASHnd] = ACTIONS(187),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(187),
    [anon_sym_BSLASHord] = ACTIONS(187),
    [anon_sym_BSLASHord_STAR] = ACTIONS(187),
    [anon_sym_BSLASHpn] = ACTIONS(187),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(187),
    [anon_sym_BSLASHpng] = ACTIONS(187),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(187),
    [anon_sym_BSLASHaddpn] = ACTIONS(187),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(187),
    [anon_sym_BSLASHqt] = ACTIONS(187),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(187),
    [anon_sym_BSLASHsig] = ACTIONS(187),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(187),
    [anon_sym_BSLASHsls] = ACTIONS(187),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(187),
    [anon_sym_BSLASHtl] = ACTIONS(187),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(187),
    [anon_sym_BSLASHwj] = ACTIONS(187),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(187),
    [anon_sym_BSLASHem] = ACTIONS(187),
    [anon_sym_BSLASHem_STAR] = ACTIONS(187),
    [anon_sym_BSLASHbd] = ACTIONS(187),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(187),
    [anon_sym_BSLASHit] = ACTIONS(187),
    [anon_sym_BSLASHit_STAR] = ACTIONS(187),
    [anon_sym_BSLASHbdit] = ACTIONS(187),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(187),
    [anon_sym_BSLASHno] = ACTIONS(187),
    [anon_sym_BSLASHno_STAR] = ACTIONS(187),
    [anon_sym_BSLASHsc] = ACTIONS(187),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(187),
    [anon_sym_BSLASHsup] = ACTIONS(187),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(187),
    [anon_sym_BSLASHndx] = ACTIONS(187),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(187),
    [anon_sym_BSLASHpro] = ACTIONS(187),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(187),
    [anon_sym_BSLASHrb] = ACTIONS(187),
    [anon_sym_BSLASHw] = ACTIONS(187),
    [anon_sym_BSLASHw_STAR] = ACTIONS(187),
    [anon_sym_BSLASHwg] = ACTIONS(187),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(187),
    [anon_sym_BSLASHwh] = ACTIONS(187),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(187),
    [anon_sym_BSLASHwa] = ACTIONS(187),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(187),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(187),
    [anon_sym_BSLASHfig] = ACTIONS(187),
    [anon_sym_BSLASHjmp] = ACTIONS(187),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(187),
    [anon_sym_BSLASHcat] = ACTIONS(187),
    [anon_sym_PIPE] = ACTIONS(187),
  },
  [48] = {
    [aux_sym_text_token1] = ACTIONS(189),
    [anon_sym_BSLASHref] = ACTIONS(191),
    [anon_sym_BSLASHf] = ACTIONS(191),
    [anon_sym_BSLASHf_STAR] = ACTIONS(191),
    [anon_sym_BSLASHfe] = ACTIONS(191),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(191),
    [anon_sym_BSLASHef] = ACTIONS(191),
    [anon_sym_BSLASHef_STAR] = ACTIONS(191),
    [anon_sym_BSLASHfr] = ACTIONS(191),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(191),
    [anon_sym_BSLASHfq] = ACTIONS(191),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(191),
    [anon_sym_BSLASHfqa] = ACTIONS(191),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(191),
    [anon_sym_BSLASHfk] = ACTIONS(191),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(191),
    [anon_sym_BSLASHfl] = ACTIONS(191),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(191),
    [anon_sym_BSLASHfw] = ACTIONS(191),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(191),
    [anon_sym_BSLASHfp] = ACTIONS(191),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(191),
    [anon_sym_BSLASHft] = ACTIONS(191),
    [anon_sym_BSLASHft_STAR] = ACTIONS(191),
    [anon_sym_BSLASHfdc] = ACTIONS(191),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(191),
    [anon_sym_BSLASHfv] = ACTIONS(191),
    [anon_sym_BSLASHfm] = ACTIONS(191),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(191),
    [anon_sym_BSLASHx] = ACTIONS(191),
    [anon_sym_BSLASHx_STAR] = ACTIONS(191),
    [anon_sym_BSLASHxo] = ACTIONS(191),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(191),
    [anon_sym_BSLASHxk] = ACTIONS(191),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(191),
    [anon_sym_BSLASHxq] = ACTIONS(191),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(191),
    [anon_sym_BSLASHxt] = ACTIONS(191),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(191),
    [anon_sym_BSLASHxta] = ACTIONS(191),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(191),
    [anon_sym_BSLASHxop] = ACTIONS(191),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(191),
    [anon_sym_BSLASHxot] = ACTIONS(191),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(191),
    [anon_sym_BSLASHxnt] = ACTIONS(191),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(191),
    [anon_sym_BSLASHxdc] = ACTIONS(191),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(191),
    [anon_sym_BSLASHrq] = ACTIONS(191),
    [anon_sym_BSLASHadd] = ACTIONS(191),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(191),
    [anon_sym_BSLASHbk] = ACTIONS(191),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(191),
    [anon_sym_BSLASHdc] = ACTIONS(191),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(191),
    [anon_sym_BSLASHk] = ACTIONS(191),
    [anon_sym_BSLASHnd] = ACTIONS(191),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(191),
    [anon_sym_BSLASHord] = ACTIONS(191),
    [anon_sym_BSLASHord_STAR] = ACTIONS(191),
    [anon_sym_BSLASHpn] = ACTIONS(191),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(191),
    [anon_sym_BSLASHpng] = ACTIONS(191),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(191),
    [anon_sym_BSLASHaddpn] = ACTIONS(191),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(191),
    [anon_sym_BSLASHqt] = ACTIONS(191),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(191),
    [anon_sym_BSLASHsig] = ACTIONS(191),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(191),
    [anon_sym_BSLASHsls] = ACTIONS(191),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(191),
    [anon_sym_BSLASHtl] = ACTIONS(191),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(191),
    [anon_sym_BSLASHwj] = ACTIONS(191),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(191),
    [anon_sym_BSLASHem] = ACTIONS(191),
    [anon_sym_BSLASHem_STAR] = ACTIONS(191),
    [anon_sym_BSLASHbd] = ACTIONS(191),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(191),
    [anon_sym_BSLASHit] = ACTIONS(191),
    [anon_sym_BSLASHit_STAR] = ACTIONS(191),
    [anon_sym_BSLASHbdit] = ACTIONS(191),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(191),
    [anon_sym_BSLASHno] = ACTIONS(191),
    [anon_sym_BSLASHno_STAR] = ACTIONS(191),
    [anon_sym_BSLASHsc] = ACTIONS(191),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(191),
    [anon_sym_BSLASHsup] = ACTIONS(191),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(191),
    [anon_sym_BSLASHndx] = ACTIONS(191),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(191),
    [anon_sym_BSLASHpro] = ACTIONS(191),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(191),
    [anon_sym_BSLASHrb] = ACTIONS(191),
    [anon_sym_BSLASHw] = ACTIONS(191),
    [anon_sym_BSLASHw_STAR] = ACTIONS(191),
    [anon_sym_BSLASHwg] = ACTIONS(191),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(191),
    [anon_sym_BSLASHwh] = ACTIONS(191),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(191),
    [anon_sym_BSLASHwa] = ACTIONS(191),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(191),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(191),
    [anon_sym_BSLASHfig] = ACTIONS(191),
    [anon_sym_BSLASHjmp] = ACTIONS(191),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(191),
    [anon_sym_BSLASHcat] = ACTIONS(191),
    [anon_sym_PIPE] = ACTIONS(191),
  },
  [49] = {
    [aux_sym_text_token1] = ACTIONS(193),
    [anon_sym_BSLASHref] = ACTIONS(195),
    [anon_sym_BSLASHf] = ACTIONS(195),
    [anon_sym_BSLASHf_STAR] = ACTIONS(195),
    [anon_sym_BSLASHfe] = ACTIONS(195),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(195),
    [anon_sym_BSLASHef] = ACTIONS(195),
    [anon_sym_BSLASHef_STAR] = ACTIONS(195),
    [anon_sym_BSLASHfr] = ACTIONS(195),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(195),
    [anon_sym_BSLASHfq] = ACTIONS(195),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(195),
    [anon_sym_BSLASHfqa] = ACTIONS(195),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(195),
    [anon_sym_BSLASHfk] = ACTIONS(195),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(195),
    [anon_sym_BSLASHfl] = ACTIONS(195),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(195),
    [anon_sym_BSLASHfw] = ACTIONS(195),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(195),
    [anon_sym_BSLASHfp] = ACTIONS(195),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(195),
    [anon_sym_BSLASHft] = ACTIONS(195),
    [anon_sym_BSLASHft_STAR] = ACTIONS(195),
    [anon_sym_BSLASHfdc] = ACTIONS(195),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(195),
    [anon_sym_BSLASHfv] = ACTIONS(195),
    [anon_sym_BSLASHfm] = ACTIONS(195),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(195),
    [anon_sym_BSLASHx] = ACTIONS(195),
    [anon_sym_BSLASHx_STAR] = ACTIONS(195),
    [anon_sym_BSLASHxo] = ACTIONS(195),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(195),
    [anon_sym_BSLASHxk] = ACTIONS(195),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(195),
    [anon_sym_BSLASHxq] = ACTIONS(195),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(195),
    [anon_sym_BSLASHxt] = ACTIONS(195),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(195),
    [anon_sym_BSLASHxta] = ACTIONS(195),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(195),
    [anon_sym_BSLASHxop] = ACTIONS(195),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(195),
    [anon_sym_BSLASHxot] = ACTIONS(195),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(195),
    [anon_sym_BSLASHxnt] = ACTIONS(195),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(195),
    [anon_sym_BSLASHxdc] = ACTIONS(195),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(195),
    [anon_sym_BSLASHrq] = ACTIONS(195),
    [anon_sym_BSLASHadd] = ACTIONS(195),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(195),
    [anon_sym_BSLASHbk] = ACTIONS(195),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(195),
    [anon_sym_BSLASHdc] = ACTIONS(195),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(195),
    [anon_sym_BSLASHk] = ACTIONS(195),
    [anon_sym_BSLASHnd] = ACTIONS(195),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(195),
    [anon_sym_BSLASHord] = ACTIONS(195),
    [anon_sym_BSLASHord_STAR] = ACTIONS(195),
    [anon_sym_BSLASHpn] = ACTIONS(195),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(195),
    [anon_sym_BSLASHpng] = ACTIONS(195),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(195),
    [anon_sym_BSLASHaddpn] = ACTIONS(195),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(195),
    [anon_sym_BSLASHqt] = ACTIONS(195),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(195),
    [anon_sym_BSLASHsig] = ACTIONS(195),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(195),
    [anon_sym_BSLASHsls] = ACTIONS(195),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(195),
    [anon_sym_BSLASHtl] = ACTIONS(195),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(195),
    [anon_sym_BSLASHwj] = ACTIONS(195),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(195),
    [anon_sym_BSLASHem] = ACTIONS(195),
    [anon_sym_BSLASHem_STAR] = ACTIONS(195),
    [anon_sym_BSLASHbd] = ACTIONS(195),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(195),
    [anon_sym_BSLASHit] = ACTIONS(195),
    [anon_sym_BSLASHit_STAR] = ACTIONS(195),
    [anon_sym_BSLASHbdit] = ACTIONS(195),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(195),
    [anon_sym_BSLASHno] = ACTIONS(195),
    [anon_sym_BSLASHno_STAR] = ACTIONS(195),
    [anon_sym_BSLASHsc] = ACTIONS(195),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(195),
    [anon_sym_BSLASHsup] = ACTIONS(195),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(195),
    [anon_sym_BSLASHndx] = ACTIONS(195),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(195),
    [anon_sym_BSLASHpro] = ACTIONS(195),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(195),
    [anon_sym_BSLASHrb] = ACTIONS(195),
    [anon_sym_BSLASHw] = ACTIONS(195),
    [anon_sym_BSLASHw_STAR] = ACTIONS(195),
    [anon_sym_BSLASHwg] = ACTIONS(195),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(195),
    [anon_sym_BSLASHwh] = ACTIONS(195),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(195),
    [anon_sym_BSLASHwa] = ACTIONS(195),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(195),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(195),
    [anon_sym_BSLASHfig] = ACTIONS(195),
    [anon_sym_BSLASHjmp] = ACTIONS(195),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(195),
    [anon_sym_BSLASHcat] = ACTIONS(195),
    [anon_sym_PIPE] = ACTIONS(195),
  },
  [50] = {
    [aux_sym_text_token1] = ACTIONS(197),
    [anon_sym_BSLASHref] = ACTIONS(199),
    [anon_sym_BSLASHf] = ACTIONS(199),
    [anon_sym_BSLASHf_STAR] = ACTIONS(199),
    [anon_sym_BSLASHfe] = ACTIONS(199),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(199),
    [anon_sym_BSLASHef] = ACTIONS(199),
    [anon_sym_BSLASHef_STAR] = ACTIONS(199),
    [anon_sym_BSLASHfr] = ACTIONS(199),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(199),
    [anon_sym_BSLASHfq] = ACTIONS(199),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(199),
    [anon_sym_BSLASHfqa] = ACTIONS(199),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(199),
    [anon_sym_BSLASHfk] = ACTIONS(199),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(199),
    [anon_sym_BSLASHfl] = ACTIONS(199),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(199),
    [anon_sym_BSLASHfw] = ACTIONS(199),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(199),
    [anon_sym_BSLASHfp] = ACTIONS(199),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(199),
    [anon_sym_BSLASHft] = ACTIONS(199),
    [anon_sym_BSLASHft_STAR] = ACTIONS(199),
    [anon_sym_BSLASHfdc] = ACTIONS(199),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(199),
    [anon_sym_BSLASHfv] = ACTIONS(199),
    [anon_sym_BSLASHfm] = ACTIONS(199),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(199),
    [anon_sym_BSLASHx] = ACTIONS(199),
    [anon_sym_BSLASHx_STAR] = ACTIONS(199),
    [anon_sym_BSLASHxo] = ACTIONS(199),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(199),
    [anon_sym_BSLASHxk] = ACTIONS(199),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(199),
    [anon_sym_BSLASHxq] = ACTIONS(199),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(199),
    [anon_sym_BSLASHxt] = ACTIONS(199),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(199),
    [anon_sym_BSLASHxta] = ACTIONS(199),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(199),
    [anon_sym_BSLASHxop] = ACTIONS(199),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(199),
    [anon_sym_BSLASHxot] = ACTIONS(199),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(199),
    [anon_sym_BSLASHxnt] = ACTIONS(199),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(199),
    [anon_sym_BSLASHxdc] = ACTIONS(199),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(199),
    [anon_sym_BSLASHrq] = ACTIONS(199),
    [anon_sym_BSLASHadd] = ACTIONS(199),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(199),
    [anon_sym_BSLASHbk] = ACTIONS(199),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(199),
    [anon_sym_BSLASHdc] = ACTIONS(199),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(199),
    [anon_sym_BSLASHk] = ACTIONS(199),
    [anon_sym_BSLASHnd] = ACTIONS(199),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(199),
    [anon_sym_BSLASHord] = ACTIONS(199),
    [anon_sym_BSLASHord_STAR] = ACTIONS(199),
    [anon_sym_BSLASHpn] = ACTIONS(199),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(199),
    [anon_sym_BSLASHpng] = ACTIONS(199),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(199),
    [anon_sym_BSLASHaddpn] = ACTIONS(199),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(199),
    [anon_sym_BSLASHqt] = ACTIONS(199),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(199),
    [anon_sym_BSLASHsig] = ACTIONS(199),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(199),
    [anon_sym_BSLASHsls] = ACTIONS(199),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(199),
    [anon_sym_BSLASHtl] = ACTIONS(199),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(199),
    [anon_sym_BSLASHwj] = ACTIONS(199),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(199),
    [anon_sym_BSLASHem] = ACTIONS(199),
    [anon_sym_BSLASHem_STAR] = ACTIONS(199),
    [anon_sym_BSLASHbd] = ACTIONS(199),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(199),
    [anon_sym_BSLASHit] = ACTIONS(199),
    [anon_sym_BSLASHit_STAR] = ACTIONS(199),
    [anon_sym_BSLASHbdit] = ACTIONS(199),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(199),
    [anon_sym_BSLASHno] = ACTIONS(199),
    [anon_sym_BSLASHno_STAR] = ACTIONS(199),
    [anon_sym_BSLASHsc] = ACTIONS(199),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(199),
    [anon_sym_BSLASHsup] = ACTIONS(199),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(199),
    [anon_sym_BSLASHndx] = ACTIONS(199),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(199),
    [anon_sym_BSLASHpro] = ACTIONS(199),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(199),
    [anon_sym_BSLASHrb] = ACTIONS(199),
    [anon_sym_BSLASHw] = ACTIONS(199),
    [anon_sym_BSLASHw_STAR] = ACTIONS(199),
    [anon_sym_BSLASHwg] = ACTIONS(199),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(199),
    [anon_sym_BSLASHwh] = ACTIONS(199),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(199),
    [anon_sym_BSLASHwa] = ACTIONS(199),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(199),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(199),
    [anon_sym_BSLASHfig] = ACTIONS(199),
    [anon_sym_BSLASHjmp] = ACTIONS(199),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(199),
    [anon_sym_BSLASHcat] = ACTIONS(199),
    [anon_sym_PIPE] = ACTIONS(199),
  },
  [51] = {
    [aux_sym_text_token1] = ACTIONS(201),
    [anon_sym_BSLASHref] = ACTIONS(203),
    [anon_sym_BSLASHf] = ACTIONS(203),
    [anon_sym_BSLASHf_STAR] = ACTIONS(203),
    [anon_sym_BSLASHfe] = ACTIONS(203),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(203),
    [anon_sym_BSLASHef] = ACTIONS(203),
    [anon_sym_BSLASHef_STAR] = ACTIONS(203),
    [anon_sym_BSLASHfr] = ACTIONS(203),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(203),
    [anon_sym_BSLASHfq] = ACTIONS(203),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(203),
    [anon_sym_BSLASHfqa] = ACTIONS(203),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(203),
    [anon_sym_BSLASHfk] = ACTIONS(203),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(203),
    [anon_sym_BSLASHfl] = ACTIONS(203),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(203),
    [anon_sym_BSLASHfw] = ACTIONS(203),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(203),
    [anon_sym_BSLASHfp] = ACTIONS(203),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(203),
    [anon_sym_BSLASHft] = ACTIONS(203),
    [anon_sym_BSLASHft_STAR] = ACTIONS(203),
    [anon_sym_BSLASHfdc] = ACTIONS(203),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(203),
    [anon_sym_BSLASHfv] = ACTIONS(203),
    [anon_sym_BSLASHfm] = ACTIONS(203),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(203),
    [anon_sym_BSLASHx] = ACTIONS(203),
    [anon_sym_BSLASHx_STAR] = ACTIONS(203),
    [anon_sym_BSLASHxo] = ACTIONS(203),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(203),
    [anon_sym_BSLASHxk] = ACTIONS(203),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(203),
    [anon_sym_BSLASHxq] = ACTIONS(203),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(203),
    [anon_sym_BSLASHxt] = ACTIONS(203),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(203),
    [anon_sym_BSLASHxta] = ACTIONS(203),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(203),
    [anon_sym_BSLASHxop] = ACTIONS(203),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(203),
    [anon_sym_BSLASHxot] = ACTIONS(203),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(203),
    [anon_sym_BSLASHxnt] = ACTIONS(203),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(203),
    [anon_sym_BSLASHxdc] = ACTIONS(203),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(203),
    [anon_sym_BSLASHrq] = ACTIONS(203),
    [anon_sym_BSLASHadd] = ACTIONS(203),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(203),
    [anon_sym_BSLASHbk] = ACTIONS(203),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(203),
    [anon_sym_BSLASHdc] = ACTIONS(203),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(203),
    [anon_sym_BSLASHk] = ACTIONS(203),
    [anon_sym_BSLASHnd] = ACTIONS(203),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(203),
    [anon_sym_BSLASHord] = ACTIONS(203),
    [anon_sym_BSLASHord_STAR] = ACTIONS(203),
    [anon_sym_BSLASHpn] = ACTIONS(203),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(203),
    [anon_sym_BSLASHpng] = ACTIONS(203),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(203),
    [anon_sym_BSLASHaddpn] = ACTIONS(203),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(203),
    [anon_sym_BSLASHqt] = ACTIONS(203),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(203),
    [anon_sym_BSLASHsig] = ACTIONS(203),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(203),
    [anon_sym_BSLASHsls] = ACTIONS(203),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(203),
    [anon_sym_BSLASHtl] = ACTIONS(203),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(203),
    [anon_sym_BSLASHwj] = ACTIONS(203),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(203),
    [anon_sym_BSLASHem] = ACTIONS(203),
    [anon_sym_BSLASHem_STAR] = ACTIONS(203),
    [anon_sym_BSLASHbd] = ACTIONS(203),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(203),
    [anon_sym_BSLASHit] = ACTIONS(203),
    [anon_sym_BSLASHit_STAR] = ACTIONS(203),
    [anon_sym_BSLASHbdit] = ACTIONS(203),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(203),
    [anon_sym_BSLASHno] = ACTIONS(203),
    [anon_sym_BSLASHno_STAR] = ACTIONS(203),
    [anon_sym_BSLASHsc] = ACTIONS(203),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(203),
    [anon_sym_BSLASHsup] = ACTIONS(203),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(203),
    [anon_sym_BSLASHndx] = ACTIONS(203),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(203),
    [anon_sym_BSLASHpro] = ACTIONS(203),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(203),
    [anon_sym_BSLASHrb] = ACTIONS(203),
    [anon_sym_BSLASHw] = ACTIONS(203),
    [anon_sym_BSLASHw_STAR] = ACTIONS(203),
    [anon_sym_BSLASHwg] = ACTIONS(203),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(203),
    [anon_sym_BSLASHwh] = ACTIONS(203),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(203),
    [anon_sym_BSLASHwa] = ACTIONS(203),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(203),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(203),
    [anon_sym_BSLASHfig] = ACTIONS(203),
    [anon_sym_BSLASHjmp] = ACTIONS(203),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(203),
    [anon_sym_BSLASHcat] = ACTIONS(203),
    [anon_sym_PIPE] = ACTIONS(203),
  },
  [52] = {
    [aux_sym_text_token1] = ACTIONS(205),
    [anon_sym_BSLASHref] = ACTIONS(207),
    [anon_sym_BSLASHf] = ACTIONS(207),
    [anon_sym_BSLASHf_STAR] = ACTIONS(207),
    [anon_sym_BSLASHfe] = ACTIONS(207),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(207),
    [anon_sym_BSLASHef] = ACTIONS(207),
    [anon_sym_BSLASHef_STAR] = ACTIONS(207),
    [anon_sym_BSLASHfr] = ACTIONS(207),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(207),
    [anon_sym_BSLASHfq] = ACTIONS(207),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(207),
    [anon_sym_BSLASHfqa] = ACTIONS(207),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(207),
    [anon_sym_BSLASHfk] = ACTIONS(207),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(207),
    [anon_sym_BSLASHfl] = ACTIONS(207),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(207),
    [anon_sym_BSLASHfw] = ACTIONS(207),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(207),
    [anon_sym_BSLASHfp] = ACTIONS(207),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(207),
    [anon_sym_BSLASHft] = ACTIONS(207),
    [anon_sym_BSLASHft_STAR] = ACTIONS(207),
    [anon_sym_BSLASHfdc] = ACTIONS(207),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(207),
    [anon_sym_BSLASHfv] = ACTIONS(207),
    [anon_sym_BSLASHfm] = ACTIONS(207),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(207),
    [anon_sym_BSLASHx] = ACTIONS(207),
    [anon_sym_BSLASHx_STAR] = ACTIONS(207),
    [anon_sym_BSLASHxo] = ACTIONS(207),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(207),
    [anon_sym_BSLASHxk] = ACTIONS(207),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(207),
    [anon_sym_BSLASHxq] = ACTIONS(207),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(207),
    [anon_sym_BSLASHxt] = ACTIONS(207),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(207),
    [anon_sym_BSLASHxta] = ACTIONS(207),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(207),
    [anon_sym_BSLASHxop] = ACTIONS(207),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(207),
    [anon_sym_BSLASHxot] = ACTIONS(207),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(207),
    [anon_sym_BSLASHxnt] = ACTIONS(207),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(207),
    [anon_sym_BSLASHxdc] = ACTIONS(207),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(207),
    [anon_sym_BSLASHrq] = ACTIONS(207),
    [anon_sym_BSLASHadd] = ACTIONS(207),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(207),
    [anon_sym_BSLASHbk] = ACTIONS(207),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(207),
    [anon_sym_BSLASHdc] = ACTIONS(207),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(207),
    [anon_sym_BSLASHk] = ACTIONS(207),
    [anon_sym_BSLASHnd] = ACTIONS(207),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(207),
    [anon_sym_BSLASHord] = ACTIONS(207),
    [anon_sym_BSLASHord_STAR] = ACTIONS(207),
    [anon_sym_BSLASHpn] = ACTIONS(207),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(207),
    [anon_sym_BSLASHpng] = ACTIONS(207),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(207),
    [anon_sym_BSLASHaddpn] = ACTIONS(207),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(207),
    [anon_sym_BSLASHqt] = ACTIONS(207),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(207),
    [anon_sym_BSLASHsig] = ACTIONS(207),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(207),
    [anon_sym_BSLASHsls] = ACTIONS(207),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(207),
    [anon_sym_BSLASHtl] = ACTIONS(207),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(207),
    [anon_sym_BSLASHwj] = ACTIONS(207),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(207),
    [anon_sym_BSLASHem] = ACTIONS(207),
    [anon_sym_BSLASHem_STAR] = ACTIONS(207),
    [anon_sym_BSLASHbd] = ACTIONS(207),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(207),
    [anon_sym_BSLASHit] = ACTIONS(207),
    [anon_sym_BSLASHit_STAR] = ACTIONS(207),
    [anon_sym_BSLASHbdit] = ACTIONS(207),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(207),
    [anon_sym_BSLASHno] = ACTIONS(207),
    [anon_sym_BSLASHno_STAR] = ACTIONS(207),
    [anon_sym_BSLASHsc] = ACTIONS(207),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(207),
    [anon_sym_BSLASHsup] = ACTIONS(207),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(207),
    [anon_sym_BSLASHndx] = ACTIONS(207),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(207),
    [anon_sym_BSLASHpro] = ACTIONS(207),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(207),
    [anon_sym_BSLASHrb] = ACTIONS(207),
    [anon_sym_BSLASHw] = ACTIONS(207),
    [anon_sym_BSLASHw_STAR] = ACTIONS(207),
    [anon_sym_BSLASHwg] = ACTIONS(207),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(207),
    [anon_sym_BSLASHwh] = ACTIONS(207),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(207),
    [anon_sym_BSLASHwa] = ACTIONS(207),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(207),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(207),
    [anon_sym_BSLASHfig] = ACTIONS(207),
    [anon_sym_BSLASHjmp] = ACTIONS(207),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(207),
    [anon_sym_BSLASHcat] = ACTIONS(207),
    [anon_sym_PIPE] = ACTIONS(207),
  },
  [53] = {
    [aux_sym_text_token1] = ACTIONS(209),
    [anon_sym_BSLASHref] = ACTIONS(211),
    [anon_sym_BSLASHf] = ACTIONS(211),
    [anon_sym_BSLASHf_STAR] = ACTIONS(211),
    [anon_sym_BSLASHfe] = ACTIONS(211),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(211),
    [anon_sym_BSLASHef] = ACTIONS(211),
    [anon_sym_BSLASHef_STAR] = ACTIONS(211),
    [anon_sym_BSLASHfr] = ACTIONS(211),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(211),
    [anon_sym_BSLASHfq] = ACTIONS(211),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(211),
    [anon_sym_BSLASHfqa] = ACTIONS(211),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(211),
    [anon_sym_BSLASHfk] = ACTIONS(211),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(211),
    [anon_sym_BSLASHfl] = ACTIONS(211),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(211),
    [anon_sym_BSLASHfw] = ACTIONS(211),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(211),
    [anon_sym_BSLASHfp] = ACTIONS(211),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(211),
    [anon_sym_BSLASHft] = ACTIONS(211),
    [anon_sym_BSLASHft_STAR] = ACTIONS(211),
    [anon_sym_BSLASHfdc] = ACTIONS(211),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(211),
    [anon_sym_BSLASHfv] = ACTIONS(211),
    [anon_sym_BSLASHfm] = ACTIONS(211),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(211),
    [anon_sym_BSLASHx] = ACTIONS(211),
    [anon_sym_BSLASHx_STAR] = ACTIONS(211),
    [anon_sym_BSLASHxo] = ACTIONS(211),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(211),
    [anon_sym_BSLASHxk] = ACTIONS(211),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(211),
    [anon_sym_BSLASHxq] = ACTIONS(211),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(211),
    [anon_sym_BSLASHxt] = ACTIONS(211),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(211),
    [anon_sym_BSLASHxta] = ACTIONS(211),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(211),
    [anon_sym_BSLASHxop] = ACTIONS(211),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(211),
    [anon_sym_BSLASHxot] = ACTIONS(211),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(211),
    [anon_sym_BSLASHxnt] = ACTIONS(211),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(211),
    [anon_sym_BSLASHxdc] = ACTIONS(211),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(211),
    [anon_sym_BSLASHrq] = ACTIONS(211),
    [anon_sym_BSLASHadd] = ACTIONS(211),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(211),
    [anon_sym_BSLASHbk] = ACTIONS(211),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(211),
    [anon_sym_BSLASHdc] = ACTIONS(211),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(211),
    [anon_sym_BSLASHk] = ACTIONS(211),
    [anon_sym_BSLASHnd] = ACTIONS(211),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(211),
    [anon_sym_BSLASHord] = ACTIONS(211),
    [anon_sym_BSLASHord_STAR] = ACTIONS(211),
    [anon_sym_BSLASHpn] = ACTIONS(211),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(211),
    [anon_sym_BSLASHpng] = ACTIONS(211),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(211),
    [anon_sym_BSLASHaddpn] = ACTIONS(211),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(211),
    [anon_sym_BSLASHqt] = ACTIONS(211),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(211),
    [anon_sym_BSLASHsig] = ACTIONS(211),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(211),
    [anon_sym_BSLASHsls] = ACTIONS(211),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(211),
    [anon_sym_BSLASHtl] = ACTIONS(211),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(211),
    [anon_sym_BSLASHwj] = ACTIONS(211),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(211),
    [anon_sym_BSLASHem] = ACTIONS(211),
    [anon_sym_BSLASHem_STAR] = ACTIONS(211),
    [anon_sym_BSLASHbd] = ACTIONS(211),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(211),
    [anon_sym_BSLASHit] = ACTIONS(211),
    [anon_sym_BSLASHit_STAR] = ACTIONS(211),
    [anon_sym_BSLASHbdit] = ACTIONS(211),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(211),
    [anon_sym_BSLASHno] = ACTIONS(211),
    [anon_sym_BSLASHno_STAR] = ACTIONS(211),
    [anon_sym_BSLASHsc] = ACTIONS(211),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(211),
    [anon_sym_BSLASHsup] = ACTIONS(211),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(211),
    [anon_sym_BSLASHndx] = ACTIONS(211),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(211),
    [anon_sym_BSLASHpro] = ACTIONS(211),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(211),
    [anon_sym_BSLASHrb] = ACTIONS(211),
    [anon_sym_BSLASHw] = ACTIONS(211),
    [anon_sym_BSLASHw_STAR] = ACTIONS(211),
    [anon_sym_BSLASHwg] = ACTIONS(211),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(211),
    [anon_sym_BSLASHwh] = ACTIONS(211),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(211),
    [anon_sym_BSLASHwa] = ACTIONS(211),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(211),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(211),
    [anon_sym_BSLASHfig] = ACTIONS(211),
    [anon_sym_BSLASHjmp] = ACTIONS(211),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(211),
    [anon_sym_BSLASHcat] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(211),
  },
  [54] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(58),
    [sym__comments] = STATE(58),
    [sym_sts] = STATE(58),
    [sym_rem] = STATE(58),
    [sym_restore] = STATE(58),
    [sym_lit] = STATE(58),
    [sym_verseText] = STATE(58),
    [sym_v] = STATE(58),
    [sym__verseMeta] = STATE(58),
    [sym_va] = STATE(58),
    [sym_vp] = STATE(58),
    [sym__paragraphContent] = STATE(58),
    [sym_liv] = STATE(58),
    [sym_livTag] = STATE(2908),
    [sym_lik] = STATE(58),
    [sym_litl] = STATE(58),
    [sym__listTextContent] = STATE(58),
    [sym_footnote] = STATE(58),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(58),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(58),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(58),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_li_repeat1] = STATE(58),
    [ts_builtin_sym_end] = ACTIONS(213),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(227),
    [anon_sym_BSLASHiex] = ACTIONS(227),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(227),
    [anon_sym_BSLASHcl] = ACTIONS(227),
    [anon_sym_BSLASHca] = ACTIONS(227),
    [anon_sym_BSLASHcp] = ACTIONS(227),
    [anon_sym_BSLASHcd] = ACTIONS(227),
    [anon_sym_BSLASHmte] = ACTIONS(227),
    [anon_sym_BSLASHms] = ACTIONS(227),
    [anon_sym_BSLASHs] = ACTIONS(227),
    [anon_sym_BSLASHr] = ACTIONS(227),
    [anon_sym_BSLASHsp] = ACTIONS(227),
    [anon_sym_BSLASHd] = ACTIONS(227),
    [anon_sym_BSLASHsd] = ACTIONS(227),
    [anon_sym_BSLASHp] = ACTIONS(227),
    [anon_sym_BSLASHm] = ACTIONS(227),
    [anon_sym_BSLASHpo] = ACTIONS(227),
    [anon_sym_BSLASHpr] = ACTIONS(227),
    [anon_sym_BSLASHcls] = ACTIONS(227),
    [anon_sym_BSLASHpmo] = ACTIONS(227),
    [anon_sym_BSLASHpm] = ACTIONS(227),
    [anon_sym_BSLASHpmc] = ACTIONS(227),
    [anon_sym_BSLASHpmr] = ACTIONS(227),
    [anon_sym_BSLASHpi] = ACTIONS(227),
    [anon_sym_BSLASHmi] = ACTIONS(227),
    [anon_sym_BSLASHnb] = ACTIONS(227),
    [anon_sym_BSLASHpc] = ACTIONS(227),
    [anon_sym_BSLASHph] = ACTIONS(227),
    [anon_sym_BSLASHb] = ACTIONS(227),
    [anon_sym_BSLASHq] = ACTIONS(227),
    [anon_sym_BSLASHqr] = ACTIONS(227),
    [anon_sym_BSLASHqc] = ACTIONS(227),
    [anon_sym_BSLASHqa] = ACTIONS(227),
    [anon_sym_BSLASHqm] = ACTIONS(227),
    [anon_sym_BSLASHqd] = ACTIONS(227),
    [anon_sym_BSLASHlh] = ACTIONS(227),
    [anon_sym_BSLASHlf] = ACTIONS(227),
    [anon_sym_BSLASHli] = ACTIONS(227),
    [anon_sym_BSLASHlim] = ACTIONS(227),
    [anon_sym_BSLASHliv] = ACTIONS(235),
    [anon_sym_BSLASHlik] = ACTIONS(237),
    [anon_sym_BSLASHlitl] = ACTIONS(239),
    [anon_sym_BSLASHtr] = ACTIONS(227),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(227),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(227),
  },
  [55] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(54),
    [sym__comments] = STATE(54),
    [sym_sts] = STATE(54),
    [sym_rem] = STATE(54),
    [sym_restore] = STATE(54),
    [sym_lit] = STATE(54),
    [sym_verseText] = STATE(54),
    [sym_v] = STATE(54),
    [sym__verseMeta] = STATE(54),
    [sym_va] = STATE(54),
    [sym_vp] = STATE(54),
    [sym__paragraphContent] = STATE(54),
    [sym_liv] = STATE(54),
    [sym_livTag] = STATE(2908),
    [sym_lik] = STATE(54),
    [sym_litl] = STATE(54),
    [sym__listTextContent] = STATE(54),
    [sym_footnote] = STATE(54),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(54),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(54),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(54),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_li_repeat1] = STATE(54),
    [ts_builtin_sym_end] = ACTIONS(323),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(325),
    [anon_sym_BSLASHiex] = ACTIONS(325),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(325),
    [anon_sym_BSLASHcl] = ACTIONS(325),
    [anon_sym_BSLASHca] = ACTIONS(325),
    [anon_sym_BSLASHcp] = ACTIONS(325),
    [anon_sym_BSLASHcd] = ACTIONS(325),
    [anon_sym_BSLASHmte] = ACTIONS(325),
    [anon_sym_BSLASHms] = ACTIONS(325),
    [anon_sym_BSLASHs] = ACTIONS(325),
    [anon_sym_BSLASHr] = ACTIONS(325),
    [anon_sym_BSLASHsp] = ACTIONS(325),
    [anon_sym_BSLASHd] = ACTIONS(325),
    [anon_sym_BSLASHsd] = ACTIONS(325),
    [anon_sym_BSLASHp] = ACTIONS(325),
    [anon_sym_BSLASHm] = ACTIONS(325),
    [anon_sym_BSLASHpo] = ACTIONS(325),
    [anon_sym_BSLASHpr] = ACTIONS(325),
    [anon_sym_BSLASHcls] = ACTIONS(325),
    [anon_sym_BSLASHpmo] = ACTIONS(325),
    [anon_sym_BSLASHpm] = ACTIONS(325),
    [anon_sym_BSLASHpmc] = ACTIONS(325),
    [anon_sym_BSLASHpmr] = ACTIONS(325),
    [anon_sym_BSLASHpi] = ACTIONS(325),
    [anon_sym_BSLASHmi] = ACTIONS(325),
    [anon_sym_BSLASHnb] = ACTIONS(325),
    [anon_sym_BSLASHpc] = ACTIONS(325),
    [anon_sym_BSLASHph] = ACTIONS(325),
    [anon_sym_BSLASHb] = ACTIONS(325),
    [anon_sym_BSLASHq] = ACTIONS(325),
    [anon_sym_BSLASHqr] = ACTIONS(325),
    [anon_sym_BSLASHqc] = ACTIONS(325),
    [anon_sym_BSLASHqa] = ACTIONS(325),
    [anon_sym_BSLASHqm] = ACTIONS(325),
    [anon_sym_BSLASHqd] = ACTIONS(325),
    [anon_sym_BSLASHlh] = ACTIONS(325),
    [anon_sym_BSLASHlf] = ACTIONS(325),
    [anon_sym_BSLASHli] = ACTIONS(325),
    [anon_sym_BSLASHlim] = ACTIONS(325),
    [anon_sym_BSLASHliv] = ACTIONS(235),
    [anon_sym_BSLASHlik] = ACTIONS(237),
    [anon_sym_BSLASHlitl] = ACTIONS(239),
    [anon_sym_BSLASHtr] = ACTIONS(325),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(325),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(325),
  },
  [56] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(57),
    [sym__comments] = STATE(57),
    [sym_sts] = STATE(57),
    [sym_rem] = STATE(57),
    [sym_restore] = STATE(57),
    [sym_lit] = STATE(57),
    [sym_verseText] = STATE(57),
    [sym_v] = STATE(57),
    [sym__verseMeta] = STATE(57),
    [sym_va] = STATE(57),
    [sym_vp] = STATE(57),
    [sym__paragraphContent] = STATE(57),
    [sym_liv] = STATE(57),
    [sym_livTag] = STATE(2908),
    [sym_lik] = STATE(57),
    [sym_litl] = STATE(57),
    [sym__listTextContent] = STATE(57),
    [sym_footnote] = STATE(57),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(57),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(57),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(57),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_li_repeat1] = STATE(57),
    [ts_builtin_sym_end] = ACTIONS(327),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(329),
    [anon_sym_BSLASHiex] = ACTIONS(329),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(329),
    [anon_sym_BSLASHcl] = ACTIONS(329),
    [anon_sym_BSLASHca] = ACTIONS(329),
    [anon_sym_BSLASHcp] = ACTIONS(329),
    [anon_sym_BSLASHcd] = ACTIONS(329),
    [anon_sym_BSLASHmte] = ACTIONS(329),
    [anon_sym_BSLASHms] = ACTIONS(329),
    [anon_sym_BSLASHs] = ACTIONS(329),
    [anon_sym_BSLASHr] = ACTIONS(329),
    [anon_sym_BSLASHsp] = ACTIONS(329),
    [anon_sym_BSLASHd] = ACTIONS(329),
    [anon_sym_BSLASHsd] = ACTIONS(329),
    [anon_sym_BSLASHp] = ACTIONS(329),
    [anon_sym_BSLASHm] = ACTIONS(329),
    [anon_sym_BSLASHpo] = ACTIONS(329),
    [anon_sym_BSLASHpr] = ACTIONS(329),
    [anon_sym_BSLASHcls] = ACTIONS(329),
    [anon_sym_BSLASHpmo] = ACTIONS(329),
    [anon_sym_BSLASHpm] = ACTIONS(329),
    [anon_sym_BSLASHpmc] = ACTIONS(329),
    [anon_sym_BSLASHpmr] = ACTIONS(329),
    [anon_sym_BSLASHpi] = ACTIONS(329),
    [anon_sym_BSLASHmi] = ACTIONS(329),
    [anon_sym_BSLASHnb] = ACTIONS(329),
    [anon_sym_BSLASHpc] = ACTIONS(329),
    [anon_sym_BSLASHph] = ACTIONS(329),
    [anon_sym_BSLASHb] = ACTIONS(329),
    [anon_sym_BSLASHq] = ACTIONS(329),
    [anon_sym_BSLASHqr] = ACTIONS(329),
    [anon_sym_BSLASHqc] = ACTIONS(329),
    [anon_sym_BSLASHqa] = ACTIONS(329),
    [anon_sym_BSLASHqm] = ACTIONS(329),
    [anon_sym_BSLASHqd] = ACTIONS(329),
    [anon_sym_BSLASHlh] = ACTIONS(329),
    [anon_sym_BSLASHlf] = ACTIONS(329),
    [anon_sym_BSLASHli] = ACTIONS(329),
    [anon_sym_BSLASHlim] = ACTIONS(329),
    [anon_sym_BSLASHliv] = ACTIONS(235),
    [anon_sym_BSLASHlik] = ACTIONS(237),
    [anon_sym_BSLASHlitl] = ACTIONS(239),
    [anon_sym_BSLASHtr] = ACTIONS(329),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(329),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(329),
  },
  [57] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(58),
    [sym__comments] = STATE(58),
    [sym_sts] = STATE(58),
    [sym_rem] = STATE(58),
    [sym_restore] = STATE(58),
    [sym_lit] = STATE(58),
    [sym_verseText] = STATE(58),
    [sym_v] = STATE(58),
    [sym__verseMeta] = STATE(58),
    [sym_va] = STATE(58),
    [sym_vp] = STATE(58),
    [sym__paragraphContent] = STATE(58),
    [sym_liv] = STATE(58),
    [sym_livTag] = STATE(2908),
    [sym_lik] = STATE(58),
    [sym_litl] = STATE(58),
    [sym__listTextContent] = STATE(58),
    [sym_footnote] = STATE(58),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(58),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(58),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(58),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_li_repeat1] = STATE(58),
    [ts_builtin_sym_end] = ACTIONS(331),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(333),
    [anon_sym_BSLASHiex] = ACTIONS(333),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(333),
    [anon_sym_BSLASHcl] = ACTIONS(333),
    [anon_sym_BSLASHca] = ACTIONS(333),
    [anon_sym_BSLASHcp] = ACTIONS(333),
    [anon_sym_BSLASHcd] = ACTIONS(333),
    [anon_sym_BSLASHmte] = ACTIONS(333),
    [anon_sym_BSLASHms] = ACTIONS(333),
    [anon_sym_BSLASHs] = ACTIONS(333),
    [anon_sym_BSLASHr] = ACTIONS(333),
    [anon_sym_BSLASHsp] = ACTIONS(333),
    [anon_sym_BSLASHd] = ACTIONS(333),
    [anon_sym_BSLASHsd] = ACTIONS(333),
    [anon_sym_BSLASHp] = ACTIONS(333),
    [anon_sym_BSLASHm] = ACTIONS(333),
    [anon_sym_BSLASHpo] = ACTIONS(333),
    [anon_sym_BSLASHpr] = ACTIONS(333),
    [anon_sym_BSLASHcls] = ACTIONS(333),
    [anon_sym_BSLASHpmo] = ACTIONS(333),
    [anon_sym_BSLASHpm] = ACTIONS(333),
    [anon_sym_BSLASHpmc] = ACTIONS(333),
    [anon_sym_BSLASHpmr] = ACTIONS(333),
    [anon_sym_BSLASHpi] = ACTIONS(333),
    [anon_sym_BSLASHmi] = ACTIONS(333),
    [anon_sym_BSLASHnb] = ACTIONS(333),
    [anon_sym_BSLASHpc] = ACTIONS(333),
    [anon_sym_BSLASHph] = ACTIONS(333),
    [anon_sym_BSLASHb] = ACTIONS(333),
    [anon_sym_BSLASHq] = ACTIONS(333),
    [anon_sym_BSLASHqr] = ACTIONS(333),
    [anon_sym_BSLASHqc] = ACTIONS(333),
    [anon_sym_BSLASHqa] = ACTIONS(333),
    [anon_sym_BSLASHqm] = ACTIONS(333),
    [anon_sym_BSLASHqd] = ACTIONS(333),
    [anon_sym_BSLASHlh] = ACTIONS(333),
    [anon_sym_BSLASHlf] = ACTIONS(333),
    [anon_sym_BSLASHli] = ACTIONS(333),
    [anon_sym_BSLASHlim] = ACTIONS(333),
    [anon_sym_BSLASHliv] = ACTIONS(235),
    [anon_sym_BSLASHlik] = ACTIONS(237),
    [anon_sym_BSLASHlitl] = ACTIONS(239),
    [anon_sym_BSLASHtr] = ACTIONS(333),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(333),
  },
  [58] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(58),
    [sym__comments] = STATE(58),
    [sym_sts] = STATE(58),
    [sym_rem] = STATE(58),
    [sym_restore] = STATE(58),
    [sym_lit] = STATE(58),
    [sym_verseText] = STATE(58),
    [sym_v] = STATE(58),
    [sym__verseMeta] = STATE(58),
    [sym_va] = STATE(58),
    [sym_vp] = STATE(58),
    [sym__paragraphContent] = STATE(58),
    [sym_liv] = STATE(58),
    [sym_livTag] = STATE(2908),
    [sym_lik] = STATE(58),
    [sym_litl] = STATE(58),
    [sym__listTextContent] = STATE(58),
    [sym_footnote] = STATE(58),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(58),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(58),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(58),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_li_repeat1] = STATE(58),
    [ts_builtin_sym_end] = ACTIONS(335),
    [aux_sym_text_token1] = ACTIONS(337),
    [anon_sym_BSLASHref] = ACTIONS(340),
    [anon_sym_BSLASHsts] = ACTIONS(343),
    [anon_sym_BSLASHrem] = ACTIONS(346),
    [anon_sym_BSLASHrestore] = ACTIONS(349),
    [anon_sym_BSLASHlit] = ACTIONS(352),
    [anon_sym_BSLASHip] = ACTIONS(355),
    [anon_sym_BSLASHiex] = ACTIONS(355),
    [anon_sym_BSLASHv] = ACTIONS(357),
    [anon_sym_BSLASHva] = ACTIONS(360),
    [anon_sym_BSLASHvp] = ACTIONS(363),
    [anon_sym_BSLASHc] = ACTIONS(355),
    [anon_sym_BSLASHcl] = ACTIONS(355),
    [anon_sym_BSLASHca] = ACTIONS(355),
    [anon_sym_BSLASHcp] = ACTIONS(355),
    [anon_sym_BSLASHcd] = ACTIONS(355),
    [anon_sym_BSLASHmte] = ACTIONS(355),
    [anon_sym_BSLASHms] = ACTIONS(355),
    [anon_sym_BSLASHs] = ACTIONS(355),
    [anon_sym_BSLASHr] = ACTIONS(355),
    [anon_sym_BSLASHsp] = ACTIONS(355),
    [anon_sym_BSLASHd] = ACTIONS(355),
    [anon_sym_BSLASHsd] = ACTIONS(355),
    [anon_sym_BSLASHp] = ACTIONS(355),
    [anon_sym_BSLASHm] = ACTIONS(355),
    [anon_sym_BSLASHpo] = ACTIONS(355),
    [anon_sym_BSLASHpr] = ACTIONS(355),
    [anon_sym_BSLASHcls] = ACTIONS(355),
    [anon_sym_BSLASHpmo] = ACTIONS(355),
    [anon_sym_BSLASHpm] = ACTIONS(355),
    [anon_sym_BSLASHpmc] = ACTIONS(355),
    [anon_sym_BSLASHpmr] = ACTIONS(355),
    [anon_sym_BSLASHpi] = ACTIONS(355),
    [anon_sym_BSLASHmi] = ACTIONS(355),
    [anon_sym_BSLASHnb] = ACTIONS(355),
    [anon_sym_BSLASHpc] = ACTIONS(355),
    [anon_sym_BSLASHph] = ACTIONS(355),
    [anon_sym_BSLASHb] = ACTIONS(355),
    [anon_sym_BSLASHq] = ACTIONS(355),
    [anon_sym_BSLASHqr] = ACTIONS(355),
    [anon_sym_BSLASHqc] = ACTIONS(355),
    [anon_sym_BSLASHqa] = ACTIONS(355),
    [anon_sym_BSLASHqm] = ACTIONS(355),
    [anon_sym_BSLASHqd] = ACTIONS(355),
    [anon_sym_BSLASHlh] = ACTIONS(355),
    [anon_sym_BSLASHlf] = ACTIONS(355),
    [anon_sym_BSLASHli] = ACTIONS(355),
    [anon_sym_BSLASHlim] = ACTIONS(355),
    [anon_sym_BSLASHliv] = ACTIONS(366),
    [anon_sym_BSLASHlik] = ACTIONS(369),
    [anon_sym_BSLASHlitl] = ACTIONS(372),
    [anon_sym_BSLASHtr] = ACTIONS(355),
    [anon_sym_BSLASHf] = ACTIONS(375),
    [anon_sym_BSLASHfe] = ACTIONS(378),
    [anon_sym_BSLASHef] = ACTIONS(381),
    [anon_sym_BSLASHfm] = ACTIONS(384),
    [anon_sym_BSLASHx] = ACTIONS(387),
    [anon_sym_BSLASHxt] = ACTIONS(390),
    [anon_sym_BSLASHrq] = ACTIONS(393),
    [anon_sym_BSLASHadd] = ACTIONS(396),
    [anon_sym_BSLASHbk] = ACTIONS(399),
    [anon_sym_BSLASHdc] = ACTIONS(402),
    [anon_sym_BSLASHk] = ACTIONS(405),
    [anon_sym_BSLASHnd] = ACTIONS(408),
    [anon_sym_BSLASHord] = ACTIONS(411),
    [anon_sym_BSLASHpn] = ACTIONS(414),
    [anon_sym_BSLASHpng] = ACTIONS(417),
    [anon_sym_BSLASHaddpn] = ACTIONS(420),
    [anon_sym_BSLASHqt] = ACTIONS(423),
    [anon_sym_BSLASHsig] = ACTIONS(426),
    [anon_sym_BSLASHsls] = ACTIONS(429),
    [anon_sym_BSLASHtl] = ACTIONS(432),
    [anon_sym_BSLASHwj] = ACTIONS(435),
    [anon_sym_BSLASHem] = ACTIONS(438),
    [anon_sym_BSLASHbd] = ACTIONS(441),
    [anon_sym_BSLASHit] = ACTIONS(444),
    [anon_sym_BSLASHbdit] = ACTIONS(447),
    [anon_sym_BSLASHno] = ACTIONS(450),
    [anon_sym_BSLASHsc] = ACTIONS(453),
    [anon_sym_BSLASHsup] = ACTIONS(456),
    [anon_sym_BSLASHndx] = ACTIONS(459),
    [anon_sym_BSLASHpro] = ACTIONS(462),
    [anon_sym_BSLASHrb] = ACTIONS(465),
    [anon_sym_BSLASHw] = ACTIONS(468),
    [anon_sym_BSLASHwg] = ACTIONS(471),
    [anon_sym_BSLASHwh] = ACTIONS(474),
    [anon_sym_BSLASHwa] = ACTIONS(477),
    [anon_sym_BSLASHfig] = ACTIONS(480),
    [anon_sym_BSLASHjmp] = ACTIONS(483),
    [anon_sym_BSLASHpb] = ACTIONS(355),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(489),
    [sym_milestoneEndTag] = ACTIONS(492),
    [sym_zSpaceTag] = ACTIONS(495),
    [anon_sym_BSLASHesb] = ACTIONS(355),
  },
  [59] = {
    [aux_sym_text_token1] = ACTIONS(498),
    [anon_sym_BSLASHref] = ACTIONS(500),
    [anon_sym_BSLASHsts] = ACTIONS(500),
    [anon_sym_BSLASHrem] = ACTIONS(500),
    [anon_sym_BSLASHrestore] = ACTIONS(500),
    [anon_sym_BSLASHlit] = ACTIONS(500),
    [anon_sym_BSLASHiqt] = ACTIONS(500),
    [anon_sym_BSLASHip] = ACTIONS(500),
    [anon_sym_BSLASHv] = ACTIONS(500),
    [anon_sym_BSLASHva] = ACTIONS(500),
    [anon_sym_BSLASHvp] = ACTIONS(500),
    [anon_sym_BSLASHmte] = ACTIONS(500),
    [anon_sym_BSLASHms] = ACTIONS(500),
    [anon_sym_BSLASHs] = ACTIONS(500),
    [anon_sym_BSLASHr] = ACTIONS(500),
    [anon_sym_BSLASHsp] = ACTIONS(500),
    [anon_sym_BSLASHd] = ACTIONS(500),
    [anon_sym_BSLASHsd] = ACTIONS(500),
    [anon_sym_BSLASHp] = ACTIONS(500),
    [anon_sym_BSLASHm] = ACTIONS(500),
    [anon_sym_BSLASHpo] = ACTIONS(500),
    [anon_sym_BSLASHpr] = ACTIONS(500),
    [anon_sym_BSLASHcls] = ACTIONS(500),
    [anon_sym_BSLASHpmo] = ACTIONS(500),
    [anon_sym_BSLASHpm] = ACTIONS(500),
    [anon_sym_BSLASHpmc] = ACTIONS(500),
    [anon_sym_BSLASHpmr] = ACTIONS(500),
    [anon_sym_BSLASHpi] = ACTIONS(500),
    [anon_sym_BSLASHmi] = ACTIONS(500),
    [anon_sym_BSLASHnb] = ACTIONS(500),
    [anon_sym_BSLASHpc] = ACTIONS(500),
    [anon_sym_BSLASHph] = ACTIONS(500),
    [anon_sym_BSLASHb] = ACTIONS(500),
    [anon_sym_BSLASHq] = ACTIONS(500),
    [anon_sym_BSLASHqr] = ACTIONS(500),
    [anon_sym_BSLASHqc] = ACTIONS(500),
    [anon_sym_BSLASHqa] = ACTIONS(500),
    [anon_sym_BSLASHqm] = ACTIONS(500),
    [anon_sym_BSLASHqd] = ACTIONS(500),
    [anon_sym_BSLASHlh] = ACTIONS(500),
    [anon_sym_BSLASHlf] = ACTIONS(500),
    [anon_sym_BSLASHli] = ACTIONS(500),
    [anon_sym_BSLASHlim] = ACTIONS(500),
    [anon_sym_BSLASHliv] = ACTIONS(500),
    [anon_sym_BSLASHlik] = ACTIONS(500),
    [anon_sym_BSLASHlitl] = ACTIONS(500),
    [anon_sym_BSLASHtr] = ACTIONS(500),
    [anon_sym_BSLASHf] = ACTIONS(500),
    [anon_sym_BSLASHf_STAR] = ACTIONS(500),
    [anon_sym_BSLASHfe] = ACTIONS(500),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(500),
    [anon_sym_BSLASHef] = ACTIONS(500),
    [anon_sym_BSLASHef_STAR] = ACTIONS(500),
    [anon_sym_BSLASHfr] = ACTIONS(500),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(500),
    [anon_sym_BSLASHfq] = ACTIONS(500),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(500),
    [anon_sym_BSLASHfqa] = ACTIONS(500),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(500),
    [anon_sym_BSLASHfk] = ACTIONS(500),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(500),
    [anon_sym_BSLASHfl] = ACTIONS(500),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(500),
    [anon_sym_BSLASHfw] = ACTIONS(500),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(500),
    [anon_sym_BSLASHfp] = ACTIONS(500),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(500),
    [anon_sym_BSLASHft] = ACTIONS(500),
    [anon_sym_BSLASHft_STAR] = ACTIONS(500),
    [anon_sym_BSLASHfdc] = ACTIONS(500),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(500),
    [anon_sym_BSLASHfv] = ACTIONS(500),
    [anon_sym_BSLASHfm] = ACTIONS(500),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(500),
    [anon_sym_BSLASHx] = ACTIONS(500),
    [anon_sym_BSLASHx_STAR] = ACTIONS(500),
    [anon_sym_BSLASHxo] = ACTIONS(500),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(500),
    [anon_sym_BSLASHxk] = ACTIONS(500),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(500),
    [anon_sym_BSLASHxq] = ACTIONS(500),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(500),
    [anon_sym_BSLASHxt] = ACTIONS(500),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(500),
    [anon_sym_BSLASHxta] = ACTIONS(500),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(500),
    [anon_sym_BSLASHxop] = ACTIONS(500),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(500),
    [anon_sym_BSLASHxot] = ACTIONS(500),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(500),
    [anon_sym_BSLASHxnt] = ACTIONS(500),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(500),
    [anon_sym_BSLASHxdc] = ACTIONS(500),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(500),
    [anon_sym_BSLASHrq] = ACTIONS(500),
    [anon_sym_BSLASHadd] = ACTIONS(500),
    [anon_sym_BSLASHbk] = ACTIONS(500),
    [anon_sym_BSLASHdc] = ACTIONS(500),
    [anon_sym_BSLASHk] = ACTIONS(500),
    [anon_sym_BSLASHnd] = ACTIONS(500),
    [anon_sym_BSLASHord] = ACTIONS(500),
    [anon_sym_BSLASHpn] = ACTIONS(500),
    [anon_sym_BSLASHpng] = ACTIONS(500),
    [anon_sym_BSLASHaddpn] = ACTIONS(500),
    [anon_sym_BSLASHqt] = ACTIONS(500),
    [anon_sym_BSLASHsig] = ACTIONS(500),
    [anon_sym_BSLASHsls] = ACTIONS(500),
    [anon_sym_BSLASHtl] = ACTIONS(500),
    [anon_sym_BSLASHwj] = ACTIONS(500),
    [anon_sym_BSLASHem] = ACTIONS(500),
    [anon_sym_BSLASHbd] = ACTIONS(500),
    [anon_sym_BSLASHit] = ACTIONS(500),
    [anon_sym_BSLASHbdit] = ACTIONS(500),
    [anon_sym_BSLASHno] = ACTIONS(500),
    [anon_sym_BSLASHsc] = ACTIONS(500),
    [anon_sym_BSLASHsup] = ACTIONS(500),
    [anon_sym_BSLASHndx] = ACTIONS(500),
    [anon_sym_BSLASHpro] = ACTIONS(500),
    [anon_sym_BSLASHrb] = ACTIONS(500),
    [anon_sym_BSLASHw] = ACTIONS(500),
    [anon_sym_BSLASHwg] = ACTIONS(500),
    [anon_sym_BSLASHwh] = ACTIONS(500),
    [anon_sym_BSLASHwa] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(500),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(500),
    [anon_sym_BSLASHfig] = ACTIONS(500),
    [anon_sym_BSLASHjmp] = ACTIONS(500),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(500),
    [anon_sym_BSLASHpb] = ACTIONS(500),
    [anon_sym_BSLASH] = ACTIONS(500),
    [sym_milestoneStartTag] = ACTIONS(500),
    [sym_milestoneEndTag] = ACTIONS(500),
    [sym_zSpaceTag] = ACTIONS(500),
    [anon_sym_BSLASHesbe] = ACTIONS(500),
    [anon_sym_BSLASHcat] = ACTIONS(500),
    [anon_sym_PIPE] = ACTIONS(500),
  },
  [60] = {
    [aux_sym_text_token1] = ACTIONS(502),
    [anon_sym_BSLASHref] = ACTIONS(504),
    [anon_sym_BSLASHsts] = ACTIONS(504),
    [anon_sym_BSLASHrem] = ACTIONS(504),
    [anon_sym_BSLASHrestore] = ACTIONS(504),
    [anon_sym_BSLASHlit] = ACTIONS(504),
    [anon_sym_BSLASHiqt] = ACTIONS(504),
    [anon_sym_BSLASHip] = ACTIONS(504),
    [anon_sym_BSLASHv] = ACTIONS(504),
    [anon_sym_BSLASHva] = ACTIONS(504),
    [anon_sym_BSLASHvp] = ACTIONS(504),
    [anon_sym_BSLASHmte] = ACTIONS(504),
    [anon_sym_BSLASHms] = ACTIONS(504),
    [anon_sym_BSLASHs] = ACTIONS(504),
    [anon_sym_BSLASHr] = ACTIONS(504),
    [anon_sym_BSLASHsp] = ACTIONS(504),
    [anon_sym_BSLASHd] = ACTIONS(504),
    [anon_sym_BSLASHsd] = ACTIONS(504),
    [anon_sym_BSLASHp] = ACTIONS(504),
    [anon_sym_BSLASHm] = ACTIONS(504),
    [anon_sym_BSLASHpo] = ACTIONS(504),
    [anon_sym_BSLASHpr] = ACTIONS(504),
    [anon_sym_BSLASHcls] = ACTIONS(504),
    [anon_sym_BSLASHpmo] = ACTIONS(504),
    [anon_sym_BSLASHpm] = ACTIONS(504),
    [anon_sym_BSLASHpmc] = ACTIONS(504),
    [anon_sym_BSLASHpmr] = ACTIONS(504),
    [anon_sym_BSLASHpi] = ACTIONS(504),
    [anon_sym_BSLASHmi] = ACTIONS(504),
    [anon_sym_BSLASHnb] = ACTIONS(504),
    [anon_sym_BSLASHpc] = ACTIONS(504),
    [anon_sym_BSLASHph] = ACTIONS(504),
    [anon_sym_BSLASHb] = ACTIONS(504),
    [anon_sym_BSLASHq] = ACTIONS(504),
    [anon_sym_BSLASHqr] = ACTIONS(504),
    [anon_sym_BSLASHqc] = ACTIONS(504),
    [anon_sym_BSLASHqa] = ACTIONS(504),
    [anon_sym_BSLASHqm] = ACTIONS(504),
    [anon_sym_BSLASHqd] = ACTIONS(504),
    [anon_sym_BSLASHlh] = ACTIONS(504),
    [anon_sym_BSLASHlf] = ACTIONS(504),
    [anon_sym_BSLASHli] = ACTIONS(504),
    [anon_sym_BSLASHlim] = ACTIONS(504),
    [anon_sym_BSLASHliv] = ACTIONS(504),
    [anon_sym_BSLASHlik] = ACTIONS(504),
    [anon_sym_BSLASHlitl] = ACTIONS(504),
    [anon_sym_BSLASHtr] = ACTIONS(504),
    [anon_sym_BSLASHf] = ACTIONS(504),
    [anon_sym_BSLASHf_STAR] = ACTIONS(504),
    [anon_sym_BSLASHfe] = ACTIONS(504),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(504),
    [anon_sym_BSLASHef] = ACTIONS(504),
    [anon_sym_BSLASHef_STAR] = ACTIONS(504),
    [anon_sym_BSLASHfr] = ACTIONS(504),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(504),
    [anon_sym_BSLASHfq] = ACTIONS(504),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(504),
    [anon_sym_BSLASHfqa] = ACTIONS(504),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(504),
    [anon_sym_BSLASHfk] = ACTIONS(504),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(504),
    [anon_sym_BSLASHfl] = ACTIONS(504),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(504),
    [anon_sym_BSLASHfw] = ACTIONS(504),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(504),
    [anon_sym_BSLASHfp] = ACTIONS(504),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(504),
    [anon_sym_BSLASHft] = ACTIONS(504),
    [anon_sym_BSLASHft_STAR] = ACTIONS(504),
    [anon_sym_BSLASHfdc] = ACTIONS(504),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(504),
    [anon_sym_BSLASHfv] = ACTIONS(504),
    [anon_sym_BSLASHfm] = ACTIONS(504),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(504),
    [anon_sym_BSLASHx] = ACTIONS(504),
    [anon_sym_BSLASHx_STAR] = ACTIONS(504),
    [anon_sym_BSLASHxo] = ACTIONS(504),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(504),
    [anon_sym_BSLASHxk] = ACTIONS(504),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(504),
    [anon_sym_BSLASHxq] = ACTIONS(504),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(504),
    [anon_sym_BSLASHxt] = ACTIONS(504),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(504),
    [anon_sym_BSLASHxta] = ACTIONS(504),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(504),
    [anon_sym_BSLASHxop] = ACTIONS(504),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(504),
    [anon_sym_BSLASHxot] = ACTIONS(504),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(504),
    [anon_sym_BSLASHxnt] = ACTIONS(504),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(504),
    [anon_sym_BSLASHxdc] = ACTIONS(504),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(504),
    [anon_sym_BSLASHrq] = ACTIONS(504),
    [anon_sym_BSLASHadd] = ACTIONS(504),
    [anon_sym_BSLASHbk] = ACTIONS(504),
    [anon_sym_BSLASHdc] = ACTIONS(504),
    [anon_sym_BSLASHk] = ACTIONS(504),
    [anon_sym_BSLASHnd] = ACTIONS(504),
    [anon_sym_BSLASHord] = ACTIONS(504),
    [anon_sym_BSLASHpn] = ACTIONS(504),
    [anon_sym_BSLASHpng] = ACTIONS(504),
    [anon_sym_BSLASHaddpn] = ACTIONS(504),
    [anon_sym_BSLASHqt] = ACTIONS(504),
    [anon_sym_BSLASHsig] = ACTIONS(504),
    [anon_sym_BSLASHsls] = ACTIONS(504),
    [anon_sym_BSLASHtl] = ACTIONS(504),
    [anon_sym_BSLASHwj] = ACTIONS(504),
    [anon_sym_BSLASHem] = ACTIONS(504),
    [anon_sym_BSLASHbd] = ACTIONS(504),
    [anon_sym_BSLASHit] = ACTIONS(504),
    [anon_sym_BSLASHbdit] = ACTIONS(504),
    [anon_sym_BSLASHno] = ACTIONS(504),
    [anon_sym_BSLASHsc] = ACTIONS(504),
    [anon_sym_BSLASHsup] = ACTIONS(504),
    [anon_sym_BSLASHndx] = ACTIONS(504),
    [anon_sym_BSLASHpro] = ACTIONS(504),
    [anon_sym_BSLASHrb] = ACTIONS(504),
    [anon_sym_BSLASHw] = ACTIONS(504),
    [anon_sym_BSLASHwg] = ACTIONS(504),
    [anon_sym_BSLASHwh] = ACTIONS(504),
    [anon_sym_BSLASHwa] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(504),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(504),
    [anon_sym_BSLASHfig] = ACTIONS(504),
    [anon_sym_BSLASHjmp] = ACTIONS(504),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(504),
    [anon_sym_BSLASHpb] = ACTIONS(504),
    [anon_sym_BSLASH] = ACTIONS(504),
    [sym_milestoneStartTag] = ACTIONS(504),
    [sym_milestoneEndTag] = ACTIONS(504),
    [sym_zSpaceTag] = ACTIONS(504),
    [anon_sym_BSLASHesbe] = ACTIONS(504),
    [anon_sym_BSLASHcat] = ACTIONS(504),
    [anon_sym_PIPE] = ACTIONS(504),
  },
  [61] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(70),
    [sym__comments] = STATE(70),
    [sym_sts] = STATE(70),
    [sym_rem] = STATE(70),
    [sym_restore] = STATE(70),
    [sym_lit] = STATE(70),
    [sym_verseText] = STATE(70),
    [sym_v] = STATE(70),
    [sym__verseMeta] = STATE(70),
    [sym_va] = STATE(70),
    [sym_vp] = STATE(70),
    [sym__paragraphContent] = STATE(70),
    [sym__poetryContent] = STATE(70),
    [sym_qs] = STATE(70),
    [sym_qac] = STATE(70),
    [sym_footnote] = STATE(70),
    [sym_f] = STATE(495),
    [sym_fe] = STATE(495),
    [sym_ef] = STATE(495),
    [sym_fm] = STATE(495),
    [sym_crossref] = STATE(70),
    [sym_x] = STATE(530),
    [sym_xt_standalone] = STATE(530),
    [sym_rq] = STATE(530),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(1959),
    [sym__milestoneStandaloneMarker] = STATE(473),
    [sym__milestoneStart] = STATE(473),
    [sym__milestoneEnd] = STATE(473),
    [sym_milestone] = STATE(70),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(70),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_q_repeat1] = STATE(70),
    [ts_builtin_sym_end] = ACTIONS(506),
    [aux_sym_text_token1] = ACTIONS(508),
    [anon_sym_BSLASHref] = ACTIONS(510),
    [anon_sym_BSLASHsts] = ACTIONS(512),
    [anon_sym_BSLASHrem] = ACTIONS(514),
    [anon_sym_BSLASHrestore] = ACTIONS(516),
    [anon_sym_BSLASHlit] = ACTIONS(518),
    [anon_sym_BSLASHip] = ACTIONS(520),
    [anon_sym_BSLASHiex] = ACTIONS(520),
    [anon_sym_BSLASHv] = ACTIONS(522),
    [anon_sym_BSLASHva] = ACTIONS(524),
    [anon_sym_BSLASHvp] = ACTIONS(526),
    [anon_sym_BSLASHc] = ACTIONS(520),
    [anon_sym_BSLASHcl] = ACTIONS(520),
    [anon_sym_BSLASHca] = ACTIONS(520),
    [anon_sym_BSLASHcp] = ACTIONS(520),
    [anon_sym_BSLASHcd] = ACTIONS(520),
    [anon_sym_BSLASHmte] = ACTIONS(520),
    [anon_sym_BSLASHms] = ACTIONS(520),
    [anon_sym_BSLASHs] = ACTIONS(520),
    [anon_sym_BSLASHr] = ACTIONS(520),
    [anon_sym_BSLASHsp] = ACTIONS(520),
    [anon_sym_BSLASHd] = ACTIONS(520),
    [anon_sym_BSLASHsd] = ACTIONS(520),
    [anon_sym_BSLASHp] = ACTIONS(520),
    [anon_sym_BSLASHm] = ACTIONS(520),
    [anon_sym_BSLASHpo] = ACTIONS(520),
    [anon_sym_BSLASHpr] = ACTIONS(520),
    [anon_sym_BSLASHcls] = ACTIONS(520),
    [anon_sym_BSLASHpmo] = ACTIONS(520),
    [anon_sym_BSLASHpm] = ACTIONS(520),
    [anon_sym_BSLASHpmc] = ACTIONS(520),
    [anon_sym_BSLASHpmr] = ACTIONS(520),
    [anon_sym_BSLASHpi] = ACTIONS(520),
    [anon_sym_BSLASHmi] = ACTIONS(520),
    [anon_sym_BSLASHnb] = ACTIONS(520),
    [anon_sym_BSLASHpc] = ACTIONS(520),
    [anon_sym_BSLASHph] = ACTIONS(520),
    [anon_sym_BSLASHb] = ACTIONS(520),
    [anon_sym_BSLASHq] = ACTIONS(520),
    [anon_sym_BSLASHqr] = ACTIONS(520),
    [anon_sym_BSLASHqc] = ACTIONS(520),
    [anon_sym_BSLASHqs] = ACTIONS(528),
    [anon_sym_BSLASHqa] = ACTIONS(520),
    [anon_sym_BSLASHqac] = ACTIONS(530),
    [anon_sym_BSLASHqm] = ACTIONS(520),
    [anon_sym_BSLASHqd] = ACTIONS(520),
    [anon_sym_BSLASHlh] = ACTIONS(520),
    [anon_sym_BSLASHli] = ACTIONS(520),
    [anon_sym_BSLASHlim] = ACTIONS(520),
    [anon_sym_BSLASHtr] = ACTIONS(520),
    [anon_sym_BSLASHf] = ACTIONS(532),
    [anon_sym_BSLASHfe] = ACTIONS(534),
    [anon_sym_BSLASHef] = ACTIONS(536),
    [anon_sym_BSLASHfm] = ACTIONS(538),
    [anon_sym_BSLASHx] = ACTIONS(540),
    [anon_sym_BSLASHxt] = ACTIONS(542),
    [anon_sym_BSLASHrq] = ACTIONS(544),
    [anon_sym_BSLASHadd] = ACTIONS(546),
    [anon_sym_BSLASHbk] = ACTIONS(548),
    [anon_sym_BSLASHdc] = ACTIONS(550),
    [anon_sym_BSLASHk] = ACTIONS(552),
    [anon_sym_BSLASHnd] = ACTIONS(554),
    [anon_sym_BSLASHord] = ACTIONS(556),
    [anon_sym_BSLASHpn] = ACTIONS(558),
    [anon_sym_BSLASHpng] = ACTIONS(560),
    [anon_sym_BSLASHaddpn] = ACTIONS(562),
    [anon_sym_BSLASHqt] = ACTIONS(564),
    [anon_sym_BSLASHsig] = ACTIONS(566),
    [anon_sym_BSLASHsls] = ACTIONS(568),
    [anon_sym_BSLASHtl] = ACTIONS(570),
    [anon_sym_BSLASHwj] = ACTIONS(572),
    [anon_sym_BSLASHem] = ACTIONS(574),
    [anon_sym_BSLASHbd] = ACTIONS(576),
    [anon_sym_BSLASHit] = ACTIONS(578),
    [anon_sym_BSLASHbdit] = ACTIONS(580),
    [anon_sym_BSLASHno] = ACTIONS(582),
    [anon_sym_BSLASHsc] = ACTIONS(584),
    [anon_sym_BSLASHsup] = ACTIONS(586),
    [anon_sym_BSLASHndx] = ACTIONS(588),
    [anon_sym_BSLASHpro] = ACTIONS(590),
    [anon_sym_BSLASHrb] = ACTIONS(592),
    [anon_sym_BSLASHw] = ACTIONS(594),
    [anon_sym_BSLASHwg] = ACTIONS(596),
    [anon_sym_BSLASHwh] = ACTIONS(598),
    [anon_sym_BSLASHwa] = ACTIONS(600),
    [anon_sym_BSLASHfig] = ACTIONS(602),
    [anon_sym_BSLASHjmp] = ACTIONS(604),
    [anon_sym_BSLASHpb] = ACTIONS(520),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(606),
    [sym_milestoneEndTag] = ACTIONS(608),
    [sym_zSpaceTag] = ACTIONS(610),
    [anon_sym_BSLASHesb] = ACTIONS(520),
  },
  [62] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(68),
    [sym__comments] = STATE(68),
    [sym_sts] = STATE(68),
    [sym_rem] = STATE(68),
    [sym_restore] = STATE(68),
    [sym_lit] = STATE(68),
    [sym_verseText] = STATE(68),
    [sym_v] = STATE(68),
    [sym__verseMeta] = STATE(68),
    [sym_va] = STATE(68),
    [sym_vp] = STATE(68),
    [sym__paragraphContent] = STATE(68),
    [sym__poetryContent] = STATE(68),
    [sym_qs] = STATE(68),
    [sym_qac] = STATE(68),
    [sym_footnote] = STATE(68),
    [sym_f] = STATE(495),
    [sym_fe] = STATE(495),
    [sym_ef] = STATE(495),
    [sym_fm] = STATE(495),
    [sym_crossref] = STATE(68),
    [sym_x] = STATE(530),
    [sym_xt_standalone] = STATE(530),
    [sym_rq] = STATE(530),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(1959),
    [sym__milestoneStandaloneMarker] = STATE(473),
    [sym__milestoneStart] = STATE(473),
    [sym__milestoneEnd] = STATE(473),
    [sym_milestone] = STATE(68),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(68),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_q_repeat1] = STATE(68),
    [ts_builtin_sym_end] = ACTIONS(612),
    [aux_sym_text_token1] = ACTIONS(508),
    [anon_sym_BSLASHref] = ACTIONS(510),
    [anon_sym_BSLASHsts] = ACTIONS(512),
    [anon_sym_BSLASHrem] = ACTIONS(514),
    [anon_sym_BSLASHrestore] = ACTIONS(516),
    [anon_sym_BSLASHlit] = ACTIONS(518),
    [anon_sym_BSLASHip] = ACTIONS(614),
    [anon_sym_BSLASHiex] = ACTIONS(614),
    [anon_sym_BSLASHv] = ACTIONS(522),
    [anon_sym_BSLASHva] = ACTIONS(524),
    [anon_sym_BSLASHvp] = ACTIONS(526),
    [anon_sym_BSLASHc] = ACTIONS(614),
    [anon_sym_BSLASHcl] = ACTIONS(614),
    [anon_sym_BSLASHca] = ACTIONS(614),
    [anon_sym_BSLASHcp] = ACTIONS(614),
    [anon_sym_BSLASHcd] = ACTIONS(614),
    [anon_sym_BSLASHmte] = ACTIONS(614),
    [anon_sym_BSLASHms] = ACTIONS(614),
    [anon_sym_BSLASHs] = ACTIONS(614),
    [anon_sym_BSLASHr] = ACTIONS(614),
    [anon_sym_BSLASHsp] = ACTIONS(614),
    [anon_sym_BSLASHd] = ACTIONS(614),
    [anon_sym_BSLASHsd] = ACTIONS(614),
    [anon_sym_BSLASHp] = ACTIONS(614),
    [anon_sym_BSLASHm] = ACTIONS(614),
    [anon_sym_BSLASHpo] = ACTIONS(614),
    [anon_sym_BSLASHpr] = ACTIONS(614),
    [anon_sym_BSLASHcls] = ACTIONS(614),
    [anon_sym_BSLASHpmo] = ACTIONS(614),
    [anon_sym_BSLASHpm] = ACTIONS(614),
    [anon_sym_BSLASHpmc] = ACTIONS(614),
    [anon_sym_BSLASHpmr] = ACTIONS(614),
    [anon_sym_BSLASHpi] = ACTIONS(614),
    [anon_sym_BSLASHmi] = ACTIONS(614),
    [anon_sym_BSLASHnb] = ACTIONS(614),
    [anon_sym_BSLASHpc] = ACTIONS(614),
    [anon_sym_BSLASHph] = ACTIONS(614),
    [anon_sym_BSLASHb] = ACTIONS(614),
    [anon_sym_BSLASHq] = ACTIONS(614),
    [anon_sym_BSLASHqr] = ACTIONS(614),
    [anon_sym_BSLASHqc] = ACTIONS(614),
    [anon_sym_BSLASHqs] = ACTIONS(528),
    [anon_sym_BSLASHqa] = ACTIONS(614),
    [anon_sym_BSLASHqac] = ACTIONS(530),
    [anon_sym_BSLASHqm] = ACTIONS(614),
    [anon_sym_BSLASHqd] = ACTIONS(614),
    [anon_sym_BSLASHlh] = ACTIONS(614),
    [anon_sym_BSLASHli] = ACTIONS(614),
    [anon_sym_BSLASHlim] = ACTIONS(614),
    [anon_sym_BSLASHtr] = ACTIONS(614),
    [anon_sym_BSLASHf] = ACTIONS(532),
    [anon_sym_BSLASHfe] = ACTIONS(534),
    [anon_sym_BSLASHef] = ACTIONS(536),
    [anon_sym_BSLASHfm] = ACTIONS(538),
    [anon_sym_BSLASHx] = ACTIONS(540),
    [anon_sym_BSLASHxt] = ACTIONS(542),
    [anon_sym_BSLASHrq] = ACTIONS(544),
    [anon_sym_BSLASHadd] = ACTIONS(546),
    [anon_sym_BSLASHbk] = ACTIONS(548),
    [anon_sym_BSLASHdc] = ACTIONS(550),
    [anon_sym_BSLASHk] = ACTIONS(552),
    [anon_sym_BSLASHnd] = ACTIONS(554),
    [anon_sym_BSLASHord] = ACTIONS(556),
    [anon_sym_BSLASHpn] = ACTIONS(558),
    [anon_sym_BSLASHpng] = ACTIONS(560),
    [anon_sym_BSLASHaddpn] = ACTIONS(562),
    [anon_sym_BSLASHqt] = ACTIONS(564),
    [anon_sym_BSLASHsig] = ACTIONS(566),
    [anon_sym_BSLASHsls] = ACTIONS(568),
    [anon_sym_BSLASHtl] = ACTIONS(570),
    [anon_sym_BSLASHwj] = ACTIONS(572),
    [anon_sym_BSLASHem] = ACTIONS(574),
    [anon_sym_BSLASHbd] = ACTIONS(576),
    [anon_sym_BSLASHit] = ACTIONS(578),
    [anon_sym_BSLASHbdit] = ACTIONS(580),
    [anon_sym_BSLASHno] = ACTIONS(582),
    [anon_sym_BSLASHsc] = ACTIONS(584),
    [anon_sym_BSLASHsup] = ACTIONS(586),
    [anon_sym_BSLASHndx] = ACTIONS(588),
    [anon_sym_BSLASHpro] = ACTIONS(590),
    [anon_sym_BSLASHrb] = ACTIONS(592),
    [anon_sym_BSLASHw] = ACTIONS(594),
    [anon_sym_BSLASHwg] = ACTIONS(596),
    [anon_sym_BSLASHwh] = ACTIONS(598),
    [anon_sym_BSLASHwa] = ACTIONS(600),
    [anon_sym_BSLASHfig] = ACTIONS(602),
    [anon_sym_BSLASHjmp] = ACTIONS(604),
    [anon_sym_BSLASHpb] = ACTIONS(614),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(606),
    [sym_milestoneEndTag] = ACTIONS(608),
    [sym_zSpaceTag] = ACTIONS(610),
    [anon_sym_BSLASHesb] = ACTIONS(614),
  },
  [63] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(71),
    [sym__comments] = STATE(71),
    [sym_sts] = STATE(71),
    [sym_rem] = STATE(71),
    [sym_restore] = STATE(71),
    [sym_lit] = STATE(71),
    [sym_verseText] = STATE(71),
    [sym_v] = STATE(71),
    [sym__verseMeta] = STATE(71),
    [sym_va] = STATE(71),
    [sym_vp] = STATE(71),
    [sym__paragraphContent] = STATE(71),
    [sym__poetryContent] = STATE(71),
    [sym_qs] = STATE(71),
    [sym_qac] = STATE(71),
    [sym_footnote] = STATE(71),
    [sym_f] = STATE(495),
    [sym_fe] = STATE(495),
    [sym_ef] = STATE(495),
    [sym_fm] = STATE(495),
    [sym_crossref] = STATE(71),
    [sym_x] = STATE(530),
    [sym_xt_standalone] = STATE(530),
    [sym_rq] = STATE(530),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(1959),
    [sym__milestoneStandaloneMarker] = STATE(473),
    [sym__milestoneStart] = STATE(473),
    [sym__milestoneEnd] = STATE(473),
    [sym_milestone] = STATE(71),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(71),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_q_repeat1] = STATE(71),
    [ts_builtin_sym_end] = ACTIONS(616),
    [aux_sym_text_token1] = ACTIONS(508),
    [anon_sym_BSLASHref] = ACTIONS(510),
    [anon_sym_BSLASHsts] = ACTIONS(512),
    [anon_sym_BSLASHrem] = ACTIONS(514),
    [anon_sym_BSLASHrestore] = ACTIONS(516),
    [anon_sym_BSLASHlit] = ACTIONS(518),
    [anon_sym_BSLASHip] = ACTIONS(618),
    [anon_sym_BSLASHiex] = ACTIONS(618),
    [anon_sym_BSLASHv] = ACTIONS(522),
    [anon_sym_BSLASHva] = ACTIONS(524),
    [anon_sym_BSLASHvp] = ACTIONS(526),
    [anon_sym_BSLASHc] = ACTIONS(618),
    [anon_sym_BSLASHcl] = ACTIONS(618),
    [anon_sym_BSLASHca] = ACTIONS(618),
    [anon_sym_BSLASHcp] = ACTIONS(618),
    [anon_sym_BSLASHcd] = ACTIONS(618),
    [anon_sym_BSLASHmte] = ACTIONS(618),
    [anon_sym_BSLASHms] = ACTIONS(618),
    [anon_sym_BSLASHs] = ACTIONS(618),
    [anon_sym_BSLASHr] = ACTIONS(618),
    [anon_sym_BSLASHsp] = ACTIONS(618),
    [anon_sym_BSLASHd] = ACTIONS(618),
    [anon_sym_BSLASHsd] = ACTIONS(618),
    [anon_sym_BSLASHp] = ACTIONS(618),
    [anon_sym_BSLASHm] = ACTIONS(618),
    [anon_sym_BSLASHpo] = ACTIONS(618),
    [anon_sym_BSLASHpr] = ACTIONS(618),
    [anon_sym_BSLASHcls] = ACTIONS(618),
    [anon_sym_BSLASHpmo] = ACTIONS(618),
    [anon_sym_BSLASHpm] = ACTIONS(618),
    [anon_sym_BSLASHpmc] = ACTIONS(618),
    [anon_sym_BSLASHpmr] = ACTIONS(618),
    [anon_sym_BSLASHpi] = ACTIONS(618),
    [anon_sym_BSLASHmi] = ACTIONS(618),
    [anon_sym_BSLASHnb] = ACTIONS(618),
    [anon_sym_BSLASHpc] = ACTIONS(618),
    [anon_sym_BSLASHph] = ACTIONS(618),
    [anon_sym_BSLASHb] = ACTIONS(618),
    [anon_sym_BSLASHq] = ACTIONS(618),
    [anon_sym_BSLASHqr] = ACTIONS(618),
    [anon_sym_BSLASHqc] = ACTIONS(618),
    [anon_sym_BSLASHqs] = ACTIONS(528),
    [anon_sym_BSLASHqa] = ACTIONS(618),
    [anon_sym_BSLASHqac] = ACTIONS(530),
    [anon_sym_BSLASHqm] = ACTIONS(618),
    [anon_sym_BSLASHqd] = ACTIONS(618),
    [anon_sym_BSLASHlh] = ACTIONS(618),
    [anon_sym_BSLASHli] = ACTIONS(618),
    [anon_sym_BSLASHlim] = ACTIONS(618),
    [anon_sym_BSLASHtr] = ACTIONS(618),
    [anon_sym_BSLASHf] = ACTIONS(532),
    [anon_sym_BSLASHfe] = ACTIONS(534),
    [anon_sym_BSLASHef] = ACTIONS(536),
    [anon_sym_BSLASHfm] = ACTIONS(538),
    [anon_sym_BSLASHx] = ACTIONS(540),
    [anon_sym_BSLASHxt] = ACTIONS(542),
    [anon_sym_BSLASHrq] = ACTIONS(544),
    [anon_sym_BSLASHadd] = ACTIONS(546),
    [anon_sym_BSLASHbk] = ACTIONS(548),
    [anon_sym_BSLASHdc] = ACTIONS(550),
    [anon_sym_BSLASHk] = ACTIONS(552),
    [anon_sym_BSLASHnd] = ACTIONS(554),
    [anon_sym_BSLASHord] = ACTIONS(556),
    [anon_sym_BSLASHpn] = ACTIONS(558),
    [anon_sym_BSLASHpng] = ACTIONS(560),
    [anon_sym_BSLASHaddpn] = ACTIONS(562),
    [anon_sym_BSLASHqt] = ACTIONS(564),
    [anon_sym_BSLASHsig] = ACTIONS(566),
    [anon_sym_BSLASHsls] = ACTIONS(568),
    [anon_sym_BSLASHtl] = ACTIONS(570),
    [anon_sym_BSLASHwj] = ACTIONS(572),
    [anon_sym_BSLASHem] = ACTIONS(574),
    [anon_sym_BSLASHbd] = ACTIONS(576),
    [anon_sym_BSLASHit] = ACTIONS(578),
    [anon_sym_BSLASHbdit] = ACTIONS(580),
    [anon_sym_BSLASHno] = ACTIONS(582),
    [anon_sym_BSLASHsc] = ACTIONS(584),
    [anon_sym_BSLASHsup] = ACTIONS(586),
    [anon_sym_BSLASHndx] = ACTIONS(588),
    [anon_sym_BSLASHpro] = ACTIONS(590),
    [anon_sym_BSLASHrb] = ACTIONS(592),
    [anon_sym_BSLASHw] = ACTIONS(594),
    [anon_sym_BSLASHwg] = ACTIONS(596),
    [anon_sym_BSLASHwh] = ACTIONS(598),
    [anon_sym_BSLASHwa] = ACTIONS(600),
    [anon_sym_BSLASHfig] = ACTIONS(602),
    [anon_sym_BSLASHjmp] = ACTIONS(604),
    [anon_sym_BSLASHpb] = ACTIONS(618),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(606),
    [sym_milestoneEndTag] = ACTIONS(608),
    [sym_zSpaceTag] = ACTIONS(610),
    [anon_sym_BSLASHesb] = ACTIONS(618),
  },
  [64] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(71),
    [sym__comments] = STATE(71),
    [sym_sts] = STATE(71),
    [sym_rem] = STATE(71),
    [sym_restore] = STATE(71),
    [sym_lit] = STATE(71),
    [sym_verseText] = STATE(71),
    [sym_v] = STATE(71),
    [sym__verseMeta] = STATE(71),
    [sym_va] = STATE(71),
    [sym_vp] = STATE(71),
    [sym__paragraphContent] = STATE(71),
    [sym__poetryContent] = STATE(71),
    [sym_qs] = STATE(71),
    [sym_qac] = STATE(71),
    [sym_footnote] = STATE(71),
    [sym_f] = STATE(495),
    [sym_fe] = STATE(495),
    [sym_ef] = STATE(495),
    [sym_fm] = STATE(495),
    [sym_crossref] = STATE(71),
    [sym_x] = STATE(530),
    [sym_xt_standalone] = STATE(530),
    [sym_rq] = STATE(530),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(1959),
    [sym__milestoneStandaloneMarker] = STATE(473),
    [sym__milestoneStart] = STATE(473),
    [sym__milestoneEnd] = STATE(473),
    [sym_milestone] = STATE(71),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(71),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_q_repeat1] = STATE(71),
    [ts_builtin_sym_end] = ACTIONS(620),
    [aux_sym_text_token1] = ACTIONS(508),
    [anon_sym_BSLASHref] = ACTIONS(510),
    [anon_sym_BSLASHsts] = ACTIONS(512),
    [anon_sym_BSLASHrem] = ACTIONS(514),
    [anon_sym_BSLASHrestore] = ACTIONS(516),
    [anon_sym_BSLASHlit] = ACTIONS(518),
    [anon_sym_BSLASHip] = ACTIONS(622),
    [anon_sym_BSLASHiex] = ACTIONS(622),
    [anon_sym_BSLASHv] = ACTIONS(522),
    [anon_sym_BSLASHva] = ACTIONS(524),
    [anon_sym_BSLASHvp] = ACTIONS(526),
    [anon_sym_BSLASHc] = ACTIONS(622),
    [anon_sym_BSLASHcl] = ACTIONS(622),
    [anon_sym_BSLASHca] = ACTIONS(622),
    [anon_sym_BSLASHcp] = ACTIONS(622),
    [anon_sym_BSLASHcd] = ACTIONS(622),
    [anon_sym_BSLASHmte] = ACTIONS(622),
    [anon_sym_BSLASHms] = ACTIONS(622),
    [anon_sym_BSLASHs] = ACTIONS(622),
    [anon_sym_BSLASHr] = ACTIONS(622),
    [anon_sym_BSLASHsp] = ACTIONS(622),
    [anon_sym_BSLASHd] = ACTIONS(622),
    [anon_sym_BSLASHsd] = ACTIONS(622),
    [anon_sym_BSLASHp] = ACTIONS(622),
    [anon_sym_BSLASHm] = ACTIONS(622),
    [anon_sym_BSLASHpo] = ACTIONS(622),
    [anon_sym_BSLASHpr] = ACTIONS(622),
    [anon_sym_BSLASHcls] = ACTIONS(622),
    [anon_sym_BSLASHpmo] = ACTIONS(622),
    [anon_sym_BSLASHpm] = ACTIONS(622),
    [anon_sym_BSLASHpmc] = ACTIONS(622),
    [anon_sym_BSLASHpmr] = ACTIONS(622),
    [anon_sym_BSLASHpi] = ACTIONS(622),
    [anon_sym_BSLASHmi] = ACTIONS(622),
    [anon_sym_BSLASHnb] = ACTIONS(622),
    [anon_sym_BSLASHpc] = ACTIONS(622),
    [anon_sym_BSLASHph] = ACTIONS(622),
    [anon_sym_BSLASHb] = ACTIONS(622),
    [anon_sym_BSLASHq] = ACTIONS(622),
    [anon_sym_BSLASHqr] = ACTIONS(622),
    [anon_sym_BSLASHqc] = ACTIONS(622),
    [anon_sym_BSLASHqs] = ACTIONS(528),
    [anon_sym_BSLASHqa] = ACTIONS(622),
    [anon_sym_BSLASHqac] = ACTIONS(530),
    [anon_sym_BSLASHqm] = ACTIONS(622),
    [anon_sym_BSLASHqd] = ACTIONS(622),
    [anon_sym_BSLASHlh] = ACTIONS(622),
    [anon_sym_BSLASHli] = ACTIONS(622),
    [anon_sym_BSLASHlim] = ACTIONS(622),
    [anon_sym_BSLASHtr] = ACTIONS(622),
    [anon_sym_BSLASHf] = ACTIONS(532),
    [anon_sym_BSLASHfe] = ACTIONS(534),
    [anon_sym_BSLASHef] = ACTIONS(536),
    [anon_sym_BSLASHfm] = ACTIONS(538),
    [anon_sym_BSLASHx] = ACTIONS(540),
    [anon_sym_BSLASHxt] = ACTIONS(542),
    [anon_sym_BSLASHrq] = ACTIONS(544),
    [anon_sym_BSLASHadd] = ACTIONS(546),
    [anon_sym_BSLASHbk] = ACTIONS(548),
    [anon_sym_BSLASHdc] = ACTIONS(550),
    [anon_sym_BSLASHk] = ACTIONS(552),
    [anon_sym_BSLASHnd] = ACTIONS(554),
    [anon_sym_BSLASHord] = ACTIONS(556),
    [anon_sym_BSLASHpn] = ACTIONS(558),
    [anon_sym_BSLASHpng] = ACTIONS(560),
    [anon_sym_BSLASHaddpn] = ACTIONS(562),
    [anon_sym_BSLASHqt] = ACTIONS(564),
    [anon_sym_BSLASHsig] = ACTIONS(566),
    [anon_sym_BSLASHsls] = ACTIONS(568),
    [anon_sym_BSLASHtl] = ACTIONS(570),
    [anon_sym_BSLASHwj] = ACTIONS(572),
    [anon_sym_BSLASHem] = ACTIONS(574),
    [anon_sym_BSLASHbd] = ACTIONS(576),
    [anon_sym_BSLASHit] = ACTIONS(578),
    [anon_sym_BSLASHbdit] = ACTIONS(580),
    [anon_sym_BSLASHno] = ACTIONS(582),
    [anon_sym_BSLASHsc] = ACTIONS(584),
    [anon_sym_BSLASHsup] = ACTIONS(586),
    [anon_sym_BSLASHndx] = ACTIONS(588),
    [anon_sym_BSLASHpro] = ACTIONS(590),
    [anon_sym_BSLASHrb] = ACTIONS(592),
    [anon_sym_BSLASHw] = ACTIONS(594),
    [anon_sym_BSLASHwg] = ACTIONS(596),
    [anon_sym_BSLASHwh] = ACTIONS(598),
    [anon_sym_BSLASHwa] = ACTIONS(600),
    [anon_sym_BSLASHfig] = ACTIONS(602),
    [anon_sym_BSLASHjmp] = ACTIONS(604),
    [anon_sym_BSLASHpb] = ACTIONS(622),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(606),
    [sym_milestoneEndTag] = ACTIONS(608),
    [sym_zSpaceTag] = ACTIONS(610),
    [anon_sym_BSLASHesb] = ACTIONS(622),
  },
  [65] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(69),
    [sym__comments] = STATE(69),
    [sym_sts] = STATE(69),
    [sym_rem] = STATE(69),
    [sym_restore] = STATE(69),
    [sym_lit] = STATE(69),
    [sym_verseText] = STATE(69),
    [sym_v] = STATE(69),
    [sym__verseMeta] = STATE(69),
    [sym_va] = STATE(69),
    [sym_vp] = STATE(69),
    [sym__paragraphContent] = STATE(69),
    [sym__poetryContent] = STATE(69),
    [sym_qs] = STATE(69),
    [sym_qac] = STATE(69),
    [sym_footnote] = STATE(69),
    [sym_f] = STATE(495),
    [sym_fe] = STATE(495),
    [sym_ef] = STATE(495),
    [sym_fm] = STATE(495),
    [sym_crossref] = STATE(69),
    [sym_x] = STATE(530),
    [sym_xt_standalone] = STATE(530),
    [sym_rq] = STATE(530),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(1959),
    [sym__milestoneStandaloneMarker] = STATE(473),
    [sym__milestoneStart] = STATE(473),
    [sym__milestoneEnd] = STATE(473),
    [sym_milestone] = STATE(69),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(69),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_q_repeat1] = STATE(69),
    [ts_builtin_sym_end] = ACTIONS(624),
    [aux_sym_text_token1] = ACTIONS(508),
    [anon_sym_BSLASHref] = ACTIONS(510),
    [anon_sym_BSLASHsts] = ACTIONS(512),
    [anon_sym_BSLASHrem] = ACTIONS(514),
    [anon_sym_BSLASHrestore] = ACTIONS(516),
    [anon_sym_BSLASHlit] = ACTIONS(518),
    [anon_sym_BSLASHip] = ACTIONS(626),
    [anon_sym_BSLASHiex] = ACTIONS(626),
    [anon_sym_BSLASHv] = ACTIONS(522),
    [anon_sym_BSLASHva] = ACTIONS(524),
    [anon_sym_BSLASHvp] = ACTIONS(526),
    [anon_sym_BSLASHc] = ACTIONS(626),
    [anon_sym_BSLASHcl] = ACTIONS(626),
    [anon_sym_BSLASHca] = ACTIONS(626),
    [anon_sym_BSLASHcp] = ACTIONS(626),
    [anon_sym_BSLASHcd] = ACTIONS(626),
    [anon_sym_BSLASHmte] = ACTIONS(626),
    [anon_sym_BSLASHms] = ACTIONS(626),
    [anon_sym_BSLASHs] = ACTIONS(626),
    [anon_sym_BSLASHr] = ACTIONS(626),
    [anon_sym_BSLASHsp] = ACTIONS(626),
    [anon_sym_BSLASHd] = ACTIONS(626),
    [anon_sym_BSLASHsd] = ACTIONS(626),
    [anon_sym_BSLASHp] = ACTIONS(626),
    [anon_sym_BSLASHm] = ACTIONS(626),
    [anon_sym_BSLASHpo] = ACTIONS(626),
    [anon_sym_BSLASHpr] = ACTIONS(626),
    [anon_sym_BSLASHcls] = ACTIONS(626),
    [anon_sym_BSLASHpmo] = ACTIONS(626),
    [anon_sym_BSLASHpm] = ACTIONS(626),
    [anon_sym_BSLASHpmc] = ACTIONS(626),
    [anon_sym_BSLASHpmr] = ACTIONS(626),
    [anon_sym_BSLASHpi] = ACTIONS(626),
    [anon_sym_BSLASHmi] = ACTIONS(626),
    [anon_sym_BSLASHnb] = ACTIONS(626),
    [anon_sym_BSLASHpc] = ACTIONS(626),
    [anon_sym_BSLASHph] = ACTIONS(626),
    [anon_sym_BSLASHb] = ACTIONS(626),
    [anon_sym_BSLASHq] = ACTIONS(626),
    [anon_sym_BSLASHqr] = ACTIONS(626),
    [anon_sym_BSLASHqc] = ACTIONS(626),
    [anon_sym_BSLASHqs] = ACTIONS(528),
    [anon_sym_BSLASHqa] = ACTIONS(626),
    [anon_sym_BSLASHqac] = ACTIONS(530),
    [anon_sym_BSLASHqm] = ACTIONS(626),
    [anon_sym_BSLASHqd] = ACTIONS(626),
    [anon_sym_BSLASHlh] = ACTIONS(626),
    [anon_sym_BSLASHli] = ACTIONS(626),
    [anon_sym_BSLASHlim] = ACTIONS(626),
    [anon_sym_BSLASHtr] = ACTIONS(626),
    [anon_sym_BSLASHf] = ACTIONS(532),
    [anon_sym_BSLASHfe] = ACTIONS(534),
    [anon_sym_BSLASHef] = ACTIONS(536),
    [anon_sym_BSLASHfm] = ACTIONS(538),
    [anon_sym_BSLASHx] = ACTIONS(540),
    [anon_sym_BSLASHxt] = ACTIONS(542),
    [anon_sym_BSLASHrq] = ACTIONS(544),
    [anon_sym_BSLASHadd] = ACTIONS(546),
    [anon_sym_BSLASHbk] = ACTIONS(548),
    [anon_sym_BSLASHdc] = ACTIONS(550),
    [anon_sym_BSLASHk] = ACTIONS(552),
    [anon_sym_BSLASHnd] = ACTIONS(554),
    [anon_sym_BSLASHord] = ACTIONS(556),
    [anon_sym_BSLASHpn] = ACTIONS(558),
    [anon_sym_BSLASHpng] = ACTIONS(560),
    [anon_sym_BSLASHaddpn] = ACTIONS(562),
    [anon_sym_BSLASHqt] = ACTIONS(564),
    [anon_sym_BSLASHsig] = ACTIONS(566),
    [anon_sym_BSLASHsls] = ACTIONS(568),
    [anon_sym_BSLASHtl] = ACTIONS(570),
    [anon_sym_BSLASHwj] = ACTIONS(572),
    [anon_sym_BSLASHem] = ACTIONS(574),
    [anon_sym_BSLASHbd] = ACTIONS(576),
    [anon_sym_BSLASHit] = ACTIONS(578),
    [anon_sym_BSLASHbdit] = ACTIONS(580),
    [anon_sym_BSLASHno] = ACTIONS(582),
    [anon_sym_BSLASHsc] = ACTIONS(584),
    [anon_sym_BSLASHsup] = ACTIONS(586),
    [anon_sym_BSLASHndx] = ACTIONS(588),
    [anon_sym_BSLASHpro] = ACTIONS(590),
    [anon_sym_BSLASHrb] = ACTIONS(592),
    [anon_sym_BSLASHw] = ACTIONS(594),
    [anon_sym_BSLASHwg] = ACTIONS(596),
    [anon_sym_BSLASHwh] = ACTIONS(598),
    [anon_sym_BSLASHwa] = ACTIONS(600),
    [anon_sym_BSLASHfig] = ACTIONS(602),
    [anon_sym_BSLASHjmp] = ACTIONS(604),
    [anon_sym_BSLASHpb] = ACTIONS(626),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(606),
    [sym_milestoneEndTag] = ACTIONS(608),
    [sym_zSpaceTag] = ACTIONS(610),
    [anon_sym_BSLASHesb] = ACTIONS(626),
  },
  [66] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(64),
    [sym__comments] = STATE(64),
    [sym_sts] = STATE(64),
    [sym_rem] = STATE(64),
    [sym_restore] = STATE(64),
    [sym_lit] = STATE(64),
    [sym_verseText] = STATE(64),
    [sym_v] = STATE(64),
    [sym__verseMeta] = STATE(64),
    [sym_va] = STATE(64),
    [sym_vp] = STATE(64),
    [sym__paragraphContent] = STATE(64),
    [sym__poetryContent] = STATE(64),
    [sym_qs] = STATE(64),
    [sym_qac] = STATE(64),
    [sym_footnote] = STATE(64),
    [sym_f] = STATE(495),
    [sym_fe] = STATE(495),
    [sym_ef] = STATE(495),
    [sym_fm] = STATE(495),
    [sym_crossref] = STATE(64),
    [sym_x] = STATE(530),
    [sym_xt_standalone] = STATE(530),
    [sym_rq] = STATE(530),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(1959),
    [sym__milestoneStandaloneMarker] = STATE(473),
    [sym__milestoneStart] = STATE(473),
    [sym__milestoneEnd] = STATE(473),
    [sym_milestone] = STATE(64),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(64),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_q_repeat1] = STATE(64),
    [ts_builtin_sym_end] = ACTIONS(628),
    [aux_sym_text_token1] = ACTIONS(508),
    [anon_sym_BSLASHref] = ACTIONS(510),
    [anon_sym_BSLASHsts] = ACTIONS(512),
    [anon_sym_BSLASHrem] = ACTIONS(514),
    [anon_sym_BSLASHrestore] = ACTIONS(516),
    [anon_sym_BSLASHlit] = ACTIONS(518),
    [anon_sym_BSLASHip] = ACTIONS(630),
    [anon_sym_BSLASHiex] = ACTIONS(630),
    [anon_sym_BSLASHv] = ACTIONS(522),
    [anon_sym_BSLASHva] = ACTIONS(524),
    [anon_sym_BSLASHvp] = ACTIONS(526),
    [anon_sym_BSLASHc] = ACTIONS(630),
    [anon_sym_BSLASHcl] = ACTIONS(630),
    [anon_sym_BSLASHca] = ACTIONS(630),
    [anon_sym_BSLASHcp] = ACTIONS(630),
    [anon_sym_BSLASHcd] = ACTIONS(630),
    [anon_sym_BSLASHmte] = ACTIONS(630),
    [anon_sym_BSLASHms] = ACTIONS(630),
    [anon_sym_BSLASHs] = ACTIONS(630),
    [anon_sym_BSLASHr] = ACTIONS(630),
    [anon_sym_BSLASHsp] = ACTIONS(630),
    [anon_sym_BSLASHd] = ACTIONS(630),
    [anon_sym_BSLASHsd] = ACTIONS(630),
    [anon_sym_BSLASHp] = ACTIONS(630),
    [anon_sym_BSLASHm] = ACTIONS(630),
    [anon_sym_BSLASHpo] = ACTIONS(630),
    [anon_sym_BSLASHpr] = ACTIONS(630),
    [anon_sym_BSLASHcls] = ACTIONS(630),
    [anon_sym_BSLASHpmo] = ACTIONS(630),
    [anon_sym_BSLASHpm] = ACTIONS(630),
    [anon_sym_BSLASHpmc] = ACTIONS(630),
    [anon_sym_BSLASHpmr] = ACTIONS(630),
    [anon_sym_BSLASHpi] = ACTIONS(630),
    [anon_sym_BSLASHmi] = ACTIONS(630),
    [anon_sym_BSLASHnb] = ACTIONS(630),
    [anon_sym_BSLASHpc] = ACTIONS(630),
    [anon_sym_BSLASHph] = ACTIONS(630),
    [anon_sym_BSLASHb] = ACTIONS(630),
    [anon_sym_BSLASHq] = ACTIONS(630),
    [anon_sym_BSLASHqr] = ACTIONS(630),
    [anon_sym_BSLASHqc] = ACTIONS(630),
    [anon_sym_BSLASHqs] = ACTIONS(528),
    [anon_sym_BSLASHqa] = ACTIONS(630),
    [anon_sym_BSLASHqac] = ACTIONS(530),
    [anon_sym_BSLASHqm] = ACTIONS(630),
    [anon_sym_BSLASHqd] = ACTIONS(630),
    [anon_sym_BSLASHlh] = ACTIONS(630),
    [anon_sym_BSLASHli] = ACTIONS(630),
    [anon_sym_BSLASHlim] = ACTIONS(630),
    [anon_sym_BSLASHtr] = ACTIONS(630),
    [anon_sym_BSLASHf] = ACTIONS(532),
    [anon_sym_BSLASHfe] = ACTIONS(534),
    [anon_sym_BSLASHef] = ACTIONS(536),
    [anon_sym_BSLASHfm] = ACTIONS(538),
    [anon_sym_BSLASHx] = ACTIONS(540),
    [anon_sym_BSLASHxt] = ACTIONS(542),
    [anon_sym_BSLASHrq] = ACTIONS(544),
    [anon_sym_BSLASHadd] = ACTIONS(546),
    [anon_sym_BSLASHbk] = ACTIONS(548),
    [anon_sym_BSLASHdc] = ACTIONS(550),
    [anon_sym_BSLASHk] = ACTIONS(552),
    [anon_sym_BSLASHnd] = ACTIONS(554),
    [anon_sym_BSLASHord] = ACTIONS(556),
    [anon_sym_BSLASHpn] = ACTIONS(558),
    [anon_sym_BSLASHpng] = ACTIONS(560),
    [anon_sym_BSLASHaddpn] = ACTIONS(562),
    [anon_sym_BSLASHqt] = ACTIONS(564),
    [anon_sym_BSLASHsig] = ACTIONS(566),
    [anon_sym_BSLASHsls] = ACTIONS(568),
    [anon_sym_BSLASHtl] = ACTIONS(570),
    [anon_sym_BSLASHwj] = ACTIONS(572),
    [anon_sym_BSLASHem] = ACTIONS(574),
    [anon_sym_BSLASHbd] = ACTIONS(576),
    [anon_sym_BSLASHit] = ACTIONS(578),
    [anon_sym_BSLASHbdit] = ACTIONS(580),
    [anon_sym_BSLASHno] = ACTIONS(582),
    [anon_sym_BSLASHsc] = ACTIONS(584),
    [anon_sym_BSLASHsup] = ACTIONS(586),
    [anon_sym_BSLASHndx] = ACTIONS(588),
    [anon_sym_BSLASHpro] = ACTIONS(590),
    [anon_sym_BSLASHrb] = ACTIONS(592),
    [anon_sym_BSLASHw] = ACTIONS(594),
    [anon_sym_BSLASHwg] = ACTIONS(596),
    [anon_sym_BSLASHwh] = ACTIONS(598),
    [anon_sym_BSLASHwa] = ACTIONS(600),
    [anon_sym_BSLASHfig] = ACTIONS(602),
    [anon_sym_BSLASHjmp] = ACTIONS(604),
    [anon_sym_BSLASHpb] = ACTIONS(630),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(606),
    [sym_milestoneEndTag] = ACTIONS(608),
    [sym_zSpaceTag] = ACTIONS(610),
    [anon_sym_BSLASHesb] = ACTIONS(630),
  },
  [67] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(63),
    [sym__comments] = STATE(63),
    [sym_sts] = STATE(63),
    [sym_rem] = STATE(63),
    [sym_restore] = STATE(63),
    [sym_lit] = STATE(63),
    [sym_verseText] = STATE(63),
    [sym_v] = STATE(63),
    [sym__verseMeta] = STATE(63),
    [sym_va] = STATE(63),
    [sym_vp] = STATE(63),
    [sym__paragraphContent] = STATE(63),
    [sym__poetryContent] = STATE(63),
    [sym_qs] = STATE(63),
    [sym_qac] = STATE(63),
    [sym_footnote] = STATE(63),
    [sym_f] = STATE(495),
    [sym_fe] = STATE(495),
    [sym_ef] = STATE(495),
    [sym_fm] = STATE(495),
    [sym_crossref] = STATE(63),
    [sym_x] = STATE(530),
    [sym_xt_standalone] = STATE(530),
    [sym_rq] = STATE(530),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(1959),
    [sym__milestoneStandaloneMarker] = STATE(473),
    [sym__milestoneStart] = STATE(473),
    [sym__milestoneEnd] = STATE(473),
    [sym_milestone] = STATE(63),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(63),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_q_repeat1] = STATE(63),
    [ts_builtin_sym_end] = ACTIONS(632),
    [aux_sym_text_token1] = ACTIONS(508),
    [anon_sym_BSLASHref] = ACTIONS(510),
    [anon_sym_BSLASHsts] = ACTIONS(512),
    [anon_sym_BSLASHrem] = ACTIONS(514),
    [anon_sym_BSLASHrestore] = ACTIONS(516),
    [anon_sym_BSLASHlit] = ACTIONS(518),
    [anon_sym_BSLASHip] = ACTIONS(634),
    [anon_sym_BSLASHiex] = ACTIONS(634),
    [anon_sym_BSLASHv] = ACTIONS(522),
    [anon_sym_BSLASHva] = ACTIONS(524),
    [anon_sym_BSLASHvp] = ACTIONS(526),
    [anon_sym_BSLASHc] = ACTIONS(634),
    [anon_sym_BSLASHcl] = ACTIONS(634),
    [anon_sym_BSLASHca] = ACTIONS(634),
    [anon_sym_BSLASHcp] = ACTIONS(634),
    [anon_sym_BSLASHcd] = ACTIONS(634),
    [anon_sym_BSLASHmte] = ACTIONS(634),
    [anon_sym_BSLASHms] = ACTIONS(634),
    [anon_sym_BSLASHs] = ACTIONS(634),
    [anon_sym_BSLASHr] = ACTIONS(634),
    [anon_sym_BSLASHsp] = ACTIONS(634),
    [anon_sym_BSLASHd] = ACTIONS(634),
    [anon_sym_BSLASHsd] = ACTIONS(634),
    [anon_sym_BSLASHp] = ACTIONS(634),
    [anon_sym_BSLASHm] = ACTIONS(634),
    [anon_sym_BSLASHpo] = ACTIONS(634),
    [anon_sym_BSLASHpr] = ACTIONS(634),
    [anon_sym_BSLASHcls] = ACTIONS(634),
    [anon_sym_BSLASHpmo] = ACTIONS(634),
    [anon_sym_BSLASHpm] = ACTIONS(634),
    [anon_sym_BSLASHpmc] = ACTIONS(634),
    [anon_sym_BSLASHpmr] = ACTIONS(634),
    [anon_sym_BSLASHpi] = ACTIONS(634),
    [anon_sym_BSLASHmi] = ACTIONS(634),
    [anon_sym_BSLASHnb] = ACTIONS(634),
    [anon_sym_BSLASHpc] = ACTIONS(634),
    [anon_sym_BSLASHph] = ACTIONS(634),
    [anon_sym_BSLASHb] = ACTIONS(634),
    [anon_sym_BSLASHq] = ACTIONS(634),
    [anon_sym_BSLASHqr] = ACTIONS(634),
    [anon_sym_BSLASHqc] = ACTIONS(634),
    [anon_sym_BSLASHqs] = ACTIONS(528),
    [anon_sym_BSLASHqa] = ACTIONS(634),
    [anon_sym_BSLASHqac] = ACTIONS(530),
    [anon_sym_BSLASHqm] = ACTIONS(634),
    [anon_sym_BSLASHqd] = ACTIONS(634),
    [anon_sym_BSLASHlh] = ACTIONS(634),
    [anon_sym_BSLASHli] = ACTIONS(634),
    [anon_sym_BSLASHlim] = ACTIONS(634),
    [anon_sym_BSLASHtr] = ACTIONS(634),
    [anon_sym_BSLASHf] = ACTIONS(532),
    [anon_sym_BSLASHfe] = ACTIONS(534),
    [anon_sym_BSLASHef] = ACTIONS(536),
    [anon_sym_BSLASHfm] = ACTIONS(538),
    [anon_sym_BSLASHx] = ACTIONS(540),
    [anon_sym_BSLASHxt] = ACTIONS(542),
    [anon_sym_BSLASHrq] = ACTIONS(544),
    [anon_sym_BSLASHadd] = ACTIONS(546),
    [anon_sym_BSLASHbk] = ACTIONS(548),
    [anon_sym_BSLASHdc] = ACTIONS(550),
    [anon_sym_BSLASHk] = ACTIONS(552),
    [anon_sym_BSLASHnd] = ACTIONS(554),
    [anon_sym_BSLASHord] = ACTIONS(556),
    [anon_sym_BSLASHpn] = ACTIONS(558),
    [anon_sym_BSLASHpng] = ACTIONS(560),
    [anon_sym_BSLASHaddpn] = ACTIONS(562),
    [anon_sym_BSLASHqt] = ACTIONS(564),
    [anon_sym_BSLASHsig] = ACTIONS(566),
    [anon_sym_BSLASHsls] = ACTIONS(568),
    [anon_sym_BSLASHtl] = ACTIONS(570),
    [anon_sym_BSLASHwj] = ACTIONS(572),
    [anon_sym_BSLASHem] = ACTIONS(574),
    [anon_sym_BSLASHbd] = ACTIONS(576),
    [anon_sym_BSLASHit] = ACTIONS(578),
    [anon_sym_BSLASHbdit] = ACTIONS(580),
    [anon_sym_BSLASHno] = ACTIONS(582),
    [anon_sym_BSLASHsc] = ACTIONS(584),
    [anon_sym_BSLASHsup] = ACTIONS(586),
    [anon_sym_BSLASHndx] = ACTIONS(588),
    [anon_sym_BSLASHpro] = ACTIONS(590),
    [anon_sym_BSLASHrb] = ACTIONS(592),
    [anon_sym_BSLASHw] = ACTIONS(594),
    [anon_sym_BSLASHwg] = ACTIONS(596),
    [anon_sym_BSLASHwh] = ACTIONS(598),
    [anon_sym_BSLASHwa] = ACTIONS(600),
    [anon_sym_BSLASHfig] = ACTIONS(602),
    [anon_sym_BSLASHjmp] = ACTIONS(604),
    [anon_sym_BSLASHpb] = ACTIONS(634),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(606),
    [sym_milestoneEndTag] = ACTIONS(608),
    [sym_zSpaceTag] = ACTIONS(610),
    [anon_sym_BSLASHesb] = ACTIONS(634),
  },
  [68] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(71),
    [sym__comments] = STATE(71),
    [sym_sts] = STATE(71),
    [sym_rem] = STATE(71),
    [sym_restore] = STATE(71),
    [sym_lit] = STATE(71),
    [sym_verseText] = STATE(71),
    [sym_v] = STATE(71),
    [sym__verseMeta] = STATE(71),
    [sym_va] = STATE(71),
    [sym_vp] = STATE(71),
    [sym__paragraphContent] = STATE(71),
    [sym__poetryContent] = STATE(71),
    [sym_qs] = STATE(71),
    [sym_qac] = STATE(71),
    [sym_footnote] = STATE(71),
    [sym_f] = STATE(495),
    [sym_fe] = STATE(495),
    [sym_ef] = STATE(495),
    [sym_fm] = STATE(495),
    [sym_crossref] = STATE(71),
    [sym_x] = STATE(530),
    [sym_xt_standalone] = STATE(530),
    [sym_rq] = STATE(530),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(1959),
    [sym__milestoneStandaloneMarker] = STATE(473),
    [sym__milestoneStart] = STATE(473),
    [sym__milestoneEnd] = STATE(473),
    [sym_milestone] = STATE(71),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(71),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_q_repeat1] = STATE(71),
    [ts_builtin_sym_end] = ACTIONS(636),
    [aux_sym_text_token1] = ACTIONS(508),
    [anon_sym_BSLASHref] = ACTIONS(510),
    [anon_sym_BSLASHsts] = ACTIONS(512),
    [anon_sym_BSLASHrem] = ACTIONS(514),
    [anon_sym_BSLASHrestore] = ACTIONS(516),
    [anon_sym_BSLASHlit] = ACTIONS(518),
    [anon_sym_BSLASHip] = ACTIONS(638),
    [anon_sym_BSLASHiex] = ACTIONS(638),
    [anon_sym_BSLASHv] = ACTIONS(522),
    [anon_sym_BSLASHva] = ACTIONS(524),
    [anon_sym_BSLASHvp] = ACTIONS(526),
    [anon_sym_BSLASHc] = ACTIONS(638),
    [anon_sym_BSLASHcl] = ACTIONS(638),
    [anon_sym_BSLASHca] = ACTIONS(638),
    [anon_sym_BSLASHcp] = ACTIONS(638),
    [anon_sym_BSLASHcd] = ACTIONS(638),
    [anon_sym_BSLASHmte] = ACTIONS(638),
    [anon_sym_BSLASHms] = ACTIONS(638),
    [anon_sym_BSLASHs] = ACTIONS(638),
    [anon_sym_BSLASHr] = ACTIONS(638),
    [anon_sym_BSLASHsp] = ACTIONS(638),
    [anon_sym_BSLASHd] = ACTIONS(638),
    [anon_sym_BSLASHsd] = ACTIONS(638),
    [anon_sym_BSLASHp] = ACTIONS(638),
    [anon_sym_BSLASHm] = ACTIONS(638),
    [anon_sym_BSLASHpo] = ACTIONS(638),
    [anon_sym_BSLASHpr] = ACTIONS(638),
    [anon_sym_BSLASHcls] = ACTIONS(638),
    [anon_sym_BSLASHpmo] = ACTIONS(638),
    [anon_sym_BSLASHpm] = ACTIONS(638),
    [anon_sym_BSLASHpmc] = ACTIONS(638),
    [anon_sym_BSLASHpmr] = ACTIONS(638),
    [anon_sym_BSLASHpi] = ACTIONS(638),
    [anon_sym_BSLASHmi] = ACTIONS(638),
    [anon_sym_BSLASHnb] = ACTIONS(638),
    [anon_sym_BSLASHpc] = ACTIONS(638),
    [anon_sym_BSLASHph] = ACTIONS(638),
    [anon_sym_BSLASHb] = ACTIONS(638),
    [anon_sym_BSLASHq] = ACTIONS(638),
    [anon_sym_BSLASHqr] = ACTIONS(638),
    [anon_sym_BSLASHqc] = ACTIONS(638),
    [anon_sym_BSLASHqs] = ACTIONS(528),
    [anon_sym_BSLASHqa] = ACTIONS(638),
    [anon_sym_BSLASHqac] = ACTIONS(530),
    [anon_sym_BSLASHqm] = ACTIONS(638),
    [anon_sym_BSLASHqd] = ACTIONS(638),
    [anon_sym_BSLASHlh] = ACTIONS(638),
    [anon_sym_BSLASHli] = ACTIONS(638),
    [anon_sym_BSLASHlim] = ACTIONS(638),
    [anon_sym_BSLASHtr] = ACTIONS(638),
    [anon_sym_BSLASHf] = ACTIONS(532),
    [anon_sym_BSLASHfe] = ACTIONS(534),
    [anon_sym_BSLASHef] = ACTIONS(536),
    [anon_sym_BSLASHfm] = ACTIONS(538),
    [anon_sym_BSLASHx] = ACTIONS(540),
    [anon_sym_BSLASHxt] = ACTIONS(542),
    [anon_sym_BSLASHrq] = ACTIONS(544),
    [anon_sym_BSLASHadd] = ACTIONS(546),
    [anon_sym_BSLASHbk] = ACTIONS(548),
    [anon_sym_BSLASHdc] = ACTIONS(550),
    [anon_sym_BSLASHk] = ACTIONS(552),
    [anon_sym_BSLASHnd] = ACTIONS(554),
    [anon_sym_BSLASHord] = ACTIONS(556),
    [anon_sym_BSLASHpn] = ACTIONS(558),
    [anon_sym_BSLASHpng] = ACTIONS(560),
    [anon_sym_BSLASHaddpn] = ACTIONS(562),
    [anon_sym_BSLASHqt] = ACTIONS(564),
    [anon_sym_BSLASHsig] = ACTIONS(566),
    [anon_sym_BSLASHsls] = ACTIONS(568),
    [anon_sym_BSLASHtl] = ACTIONS(570),
    [anon_sym_BSLASHwj] = ACTIONS(572),
    [anon_sym_BSLASHem] = ACTIONS(574),
    [anon_sym_BSLASHbd] = ACTIONS(576),
    [anon_sym_BSLASHit] = ACTIONS(578),
    [anon_sym_BSLASHbdit] = ACTIONS(580),
    [anon_sym_BSLASHno] = ACTIONS(582),
    [anon_sym_BSLASHsc] = ACTIONS(584),
    [anon_sym_BSLASHsup] = ACTIONS(586),
    [anon_sym_BSLASHndx] = ACTIONS(588),
    [anon_sym_BSLASHpro] = ACTIONS(590),
    [anon_sym_BSLASHrb] = ACTIONS(592),
    [anon_sym_BSLASHw] = ACTIONS(594),
    [anon_sym_BSLASHwg] = ACTIONS(596),
    [anon_sym_BSLASHwh] = ACTIONS(598),
    [anon_sym_BSLASHwa] = ACTIONS(600),
    [anon_sym_BSLASHfig] = ACTIONS(602),
    [anon_sym_BSLASHjmp] = ACTIONS(604),
    [anon_sym_BSLASHpb] = ACTIONS(638),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(606),
    [sym_milestoneEndTag] = ACTIONS(608),
    [sym_zSpaceTag] = ACTIONS(610),
    [anon_sym_BSLASHesb] = ACTIONS(638),
  },
  [69] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(71),
    [sym__comments] = STATE(71),
    [sym_sts] = STATE(71),
    [sym_rem] = STATE(71),
    [sym_restore] = STATE(71),
    [sym_lit] = STATE(71),
    [sym_verseText] = STATE(71),
    [sym_v] = STATE(71),
    [sym__verseMeta] = STATE(71),
    [sym_va] = STATE(71),
    [sym_vp] = STATE(71),
    [sym__paragraphContent] = STATE(71),
    [sym__poetryContent] = STATE(71),
    [sym_qs] = STATE(71),
    [sym_qac] = STATE(71),
    [sym_footnote] = STATE(71),
    [sym_f] = STATE(495),
    [sym_fe] = STATE(495),
    [sym_ef] = STATE(495),
    [sym_fm] = STATE(495),
    [sym_crossref] = STATE(71),
    [sym_x] = STATE(530),
    [sym_xt_standalone] = STATE(530),
    [sym_rq] = STATE(530),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(1959),
    [sym__milestoneStandaloneMarker] = STATE(473),
    [sym__milestoneStart] = STATE(473),
    [sym__milestoneEnd] = STATE(473),
    [sym_milestone] = STATE(71),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(71),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_q_repeat1] = STATE(71),
    [ts_builtin_sym_end] = ACTIONS(640),
    [aux_sym_text_token1] = ACTIONS(508),
    [anon_sym_BSLASHref] = ACTIONS(510),
    [anon_sym_BSLASHsts] = ACTIONS(512),
    [anon_sym_BSLASHrem] = ACTIONS(514),
    [anon_sym_BSLASHrestore] = ACTIONS(516),
    [anon_sym_BSLASHlit] = ACTIONS(518),
    [anon_sym_BSLASHip] = ACTIONS(642),
    [anon_sym_BSLASHiex] = ACTIONS(642),
    [anon_sym_BSLASHv] = ACTIONS(522),
    [anon_sym_BSLASHva] = ACTIONS(524),
    [anon_sym_BSLASHvp] = ACTIONS(526),
    [anon_sym_BSLASHc] = ACTIONS(642),
    [anon_sym_BSLASHcl] = ACTIONS(642),
    [anon_sym_BSLASHca] = ACTIONS(642),
    [anon_sym_BSLASHcp] = ACTIONS(642),
    [anon_sym_BSLASHcd] = ACTIONS(642),
    [anon_sym_BSLASHmte] = ACTIONS(642),
    [anon_sym_BSLASHms] = ACTIONS(642),
    [anon_sym_BSLASHs] = ACTIONS(642),
    [anon_sym_BSLASHr] = ACTIONS(642),
    [anon_sym_BSLASHsp] = ACTIONS(642),
    [anon_sym_BSLASHd] = ACTIONS(642),
    [anon_sym_BSLASHsd] = ACTIONS(642),
    [anon_sym_BSLASHp] = ACTIONS(642),
    [anon_sym_BSLASHm] = ACTIONS(642),
    [anon_sym_BSLASHpo] = ACTIONS(642),
    [anon_sym_BSLASHpr] = ACTIONS(642),
    [anon_sym_BSLASHcls] = ACTIONS(642),
    [anon_sym_BSLASHpmo] = ACTIONS(642),
    [anon_sym_BSLASHpm] = ACTIONS(642),
    [anon_sym_BSLASHpmc] = ACTIONS(642),
    [anon_sym_BSLASHpmr] = ACTIONS(642),
    [anon_sym_BSLASHpi] = ACTIONS(642),
    [anon_sym_BSLASHmi] = ACTIONS(642),
    [anon_sym_BSLASHnb] = ACTIONS(642),
    [anon_sym_BSLASHpc] = ACTIONS(642),
    [anon_sym_BSLASHph] = ACTIONS(642),
    [anon_sym_BSLASHb] = ACTIONS(642),
    [anon_sym_BSLASHq] = ACTIONS(642),
    [anon_sym_BSLASHqr] = ACTIONS(642),
    [anon_sym_BSLASHqc] = ACTIONS(642),
    [anon_sym_BSLASHqs] = ACTIONS(528),
    [anon_sym_BSLASHqa] = ACTIONS(642),
    [anon_sym_BSLASHqac] = ACTIONS(530),
    [anon_sym_BSLASHqm] = ACTIONS(642),
    [anon_sym_BSLASHqd] = ACTIONS(642),
    [anon_sym_BSLASHlh] = ACTIONS(642),
    [anon_sym_BSLASHli] = ACTIONS(642),
    [anon_sym_BSLASHlim] = ACTIONS(642),
    [anon_sym_BSLASHtr] = ACTIONS(642),
    [anon_sym_BSLASHf] = ACTIONS(532),
    [anon_sym_BSLASHfe] = ACTIONS(534),
    [anon_sym_BSLASHef] = ACTIONS(536),
    [anon_sym_BSLASHfm] = ACTIONS(538),
    [anon_sym_BSLASHx] = ACTIONS(540),
    [anon_sym_BSLASHxt] = ACTIONS(542),
    [anon_sym_BSLASHrq] = ACTIONS(544),
    [anon_sym_BSLASHadd] = ACTIONS(546),
    [anon_sym_BSLASHbk] = ACTIONS(548),
    [anon_sym_BSLASHdc] = ACTIONS(550),
    [anon_sym_BSLASHk] = ACTIONS(552),
    [anon_sym_BSLASHnd] = ACTIONS(554),
    [anon_sym_BSLASHord] = ACTIONS(556),
    [anon_sym_BSLASHpn] = ACTIONS(558),
    [anon_sym_BSLASHpng] = ACTIONS(560),
    [anon_sym_BSLASHaddpn] = ACTIONS(562),
    [anon_sym_BSLASHqt] = ACTIONS(564),
    [anon_sym_BSLASHsig] = ACTIONS(566),
    [anon_sym_BSLASHsls] = ACTIONS(568),
    [anon_sym_BSLASHtl] = ACTIONS(570),
    [anon_sym_BSLASHwj] = ACTIONS(572),
    [anon_sym_BSLASHem] = ACTIONS(574),
    [anon_sym_BSLASHbd] = ACTIONS(576),
    [anon_sym_BSLASHit] = ACTIONS(578),
    [anon_sym_BSLASHbdit] = ACTIONS(580),
    [anon_sym_BSLASHno] = ACTIONS(582),
    [anon_sym_BSLASHsc] = ACTIONS(584),
    [anon_sym_BSLASHsup] = ACTIONS(586),
    [anon_sym_BSLASHndx] = ACTIONS(588),
    [anon_sym_BSLASHpro] = ACTIONS(590),
    [anon_sym_BSLASHrb] = ACTIONS(592),
    [anon_sym_BSLASHw] = ACTIONS(594),
    [anon_sym_BSLASHwg] = ACTIONS(596),
    [anon_sym_BSLASHwh] = ACTIONS(598),
    [anon_sym_BSLASHwa] = ACTIONS(600),
    [anon_sym_BSLASHfig] = ACTIONS(602),
    [anon_sym_BSLASHjmp] = ACTIONS(604),
    [anon_sym_BSLASHpb] = ACTIONS(642),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(606),
    [sym_milestoneEndTag] = ACTIONS(608),
    [sym_zSpaceTag] = ACTIONS(610),
    [anon_sym_BSLASHesb] = ACTIONS(642),
  },
  [70] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(71),
    [sym__comments] = STATE(71),
    [sym_sts] = STATE(71),
    [sym_rem] = STATE(71),
    [sym_restore] = STATE(71),
    [sym_lit] = STATE(71),
    [sym_verseText] = STATE(71),
    [sym_v] = STATE(71),
    [sym__verseMeta] = STATE(71),
    [sym_va] = STATE(71),
    [sym_vp] = STATE(71),
    [sym__paragraphContent] = STATE(71),
    [sym__poetryContent] = STATE(71),
    [sym_qs] = STATE(71),
    [sym_qac] = STATE(71),
    [sym_footnote] = STATE(71),
    [sym_f] = STATE(495),
    [sym_fe] = STATE(495),
    [sym_ef] = STATE(495),
    [sym_fm] = STATE(495),
    [sym_crossref] = STATE(71),
    [sym_x] = STATE(530),
    [sym_xt_standalone] = STATE(530),
    [sym_rq] = STATE(530),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(1959),
    [sym__milestoneStandaloneMarker] = STATE(473),
    [sym__milestoneStart] = STATE(473),
    [sym__milestoneEnd] = STATE(473),
    [sym_milestone] = STATE(71),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(71),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_q_repeat1] = STATE(71),
    [ts_builtin_sym_end] = ACTIONS(644),
    [aux_sym_text_token1] = ACTIONS(508),
    [anon_sym_BSLASHref] = ACTIONS(510),
    [anon_sym_BSLASHsts] = ACTIONS(512),
    [anon_sym_BSLASHrem] = ACTIONS(514),
    [anon_sym_BSLASHrestore] = ACTIONS(516),
    [anon_sym_BSLASHlit] = ACTIONS(518),
    [anon_sym_BSLASHip] = ACTIONS(646),
    [anon_sym_BSLASHiex] = ACTIONS(646),
    [anon_sym_BSLASHv] = ACTIONS(522),
    [anon_sym_BSLASHva] = ACTIONS(524),
    [anon_sym_BSLASHvp] = ACTIONS(526),
    [anon_sym_BSLASHc] = ACTIONS(646),
    [anon_sym_BSLASHcl] = ACTIONS(646),
    [anon_sym_BSLASHca] = ACTIONS(646),
    [anon_sym_BSLASHcp] = ACTIONS(646),
    [anon_sym_BSLASHcd] = ACTIONS(646),
    [anon_sym_BSLASHmte] = ACTIONS(646),
    [anon_sym_BSLASHms] = ACTIONS(646),
    [anon_sym_BSLASHs] = ACTIONS(646),
    [anon_sym_BSLASHr] = ACTIONS(646),
    [anon_sym_BSLASHsp] = ACTIONS(646),
    [anon_sym_BSLASHd] = ACTIONS(646),
    [anon_sym_BSLASHsd] = ACTIONS(646),
    [anon_sym_BSLASHp] = ACTIONS(646),
    [anon_sym_BSLASHm] = ACTIONS(646),
    [anon_sym_BSLASHpo] = ACTIONS(646),
    [anon_sym_BSLASHpr] = ACTIONS(646),
    [anon_sym_BSLASHcls] = ACTIONS(646),
    [anon_sym_BSLASHpmo] = ACTIONS(646),
    [anon_sym_BSLASHpm] = ACTIONS(646),
    [anon_sym_BSLASHpmc] = ACTIONS(646),
    [anon_sym_BSLASHpmr] = ACTIONS(646),
    [anon_sym_BSLASHpi] = ACTIONS(646),
    [anon_sym_BSLASHmi] = ACTIONS(646),
    [anon_sym_BSLASHnb] = ACTIONS(646),
    [anon_sym_BSLASHpc] = ACTIONS(646),
    [anon_sym_BSLASHph] = ACTIONS(646),
    [anon_sym_BSLASHb] = ACTIONS(646),
    [anon_sym_BSLASHq] = ACTIONS(646),
    [anon_sym_BSLASHqr] = ACTIONS(646),
    [anon_sym_BSLASHqc] = ACTIONS(646),
    [anon_sym_BSLASHqs] = ACTIONS(528),
    [anon_sym_BSLASHqa] = ACTIONS(646),
    [anon_sym_BSLASHqac] = ACTIONS(530),
    [anon_sym_BSLASHqm] = ACTIONS(646),
    [anon_sym_BSLASHqd] = ACTIONS(646),
    [anon_sym_BSLASHlh] = ACTIONS(646),
    [anon_sym_BSLASHli] = ACTIONS(646),
    [anon_sym_BSLASHlim] = ACTIONS(646),
    [anon_sym_BSLASHtr] = ACTIONS(646),
    [anon_sym_BSLASHf] = ACTIONS(532),
    [anon_sym_BSLASHfe] = ACTIONS(534),
    [anon_sym_BSLASHef] = ACTIONS(536),
    [anon_sym_BSLASHfm] = ACTIONS(538),
    [anon_sym_BSLASHx] = ACTIONS(540),
    [anon_sym_BSLASHxt] = ACTIONS(542),
    [anon_sym_BSLASHrq] = ACTIONS(544),
    [anon_sym_BSLASHadd] = ACTIONS(546),
    [anon_sym_BSLASHbk] = ACTIONS(548),
    [anon_sym_BSLASHdc] = ACTIONS(550),
    [anon_sym_BSLASHk] = ACTIONS(552),
    [anon_sym_BSLASHnd] = ACTIONS(554),
    [anon_sym_BSLASHord] = ACTIONS(556),
    [anon_sym_BSLASHpn] = ACTIONS(558),
    [anon_sym_BSLASHpng] = ACTIONS(560),
    [anon_sym_BSLASHaddpn] = ACTIONS(562),
    [anon_sym_BSLASHqt] = ACTIONS(564),
    [anon_sym_BSLASHsig] = ACTIONS(566),
    [anon_sym_BSLASHsls] = ACTIONS(568),
    [anon_sym_BSLASHtl] = ACTIONS(570),
    [anon_sym_BSLASHwj] = ACTIONS(572),
    [anon_sym_BSLASHem] = ACTIONS(574),
    [anon_sym_BSLASHbd] = ACTIONS(576),
    [anon_sym_BSLASHit] = ACTIONS(578),
    [anon_sym_BSLASHbdit] = ACTIONS(580),
    [anon_sym_BSLASHno] = ACTIONS(582),
    [anon_sym_BSLASHsc] = ACTIONS(584),
    [anon_sym_BSLASHsup] = ACTIONS(586),
    [anon_sym_BSLASHndx] = ACTIONS(588),
    [anon_sym_BSLASHpro] = ACTIONS(590),
    [anon_sym_BSLASHrb] = ACTIONS(592),
    [anon_sym_BSLASHw] = ACTIONS(594),
    [anon_sym_BSLASHwg] = ACTIONS(596),
    [anon_sym_BSLASHwh] = ACTIONS(598),
    [anon_sym_BSLASHwa] = ACTIONS(600),
    [anon_sym_BSLASHfig] = ACTIONS(602),
    [anon_sym_BSLASHjmp] = ACTIONS(604),
    [anon_sym_BSLASHpb] = ACTIONS(646),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(606),
    [sym_milestoneEndTag] = ACTIONS(608),
    [sym_zSpaceTag] = ACTIONS(610),
    [anon_sym_BSLASHesb] = ACTIONS(646),
  },
  [71] = {
    [sym_text] = STATE(310),
    [sym_ref] = STATE(71),
    [sym__comments] = STATE(71),
    [sym_sts] = STATE(71),
    [sym_rem] = STATE(71),
    [sym_restore] = STATE(71),
    [sym_lit] = STATE(71),
    [sym_verseText] = STATE(71),
    [sym_v] = STATE(71),
    [sym__verseMeta] = STATE(71),
    [sym_va] = STATE(71),
    [sym_vp] = STATE(71),
    [sym__paragraphContent] = STATE(71),
    [sym__poetryContent] = STATE(71),
    [sym_qs] = STATE(71),
    [sym_qac] = STATE(71),
    [sym_footnote] = STATE(71),
    [sym_f] = STATE(495),
    [sym_fe] = STATE(495),
    [sym_ef] = STATE(495),
    [sym_fm] = STATE(495),
    [sym_crossref] = STATE(71),
    [sym_x] = STATE(530),
    [sym_xt_standalone] = STATE(530),
    [sym_rq] = STATE(530),
    [sym_add] = STATE(310),
    [sym_bk] = STATE(310),
    [sym_dc] = STATE(310),
    [sym_k] = STATE(310),
    [sym_nd] = STATE(310),
    [sym_ord] = STATE(310),
    [sym_pn] = STATE(310),
    [sym_png] = STATE(310),
    [sym_addpn] = STATE(310),
    [sym_qt] = STATE(310),
    [sym_sig] = STATE(310),
    [sym_sls] = STATE(310),
    [sym_tl] = STATE(310),
    [sym_wj] = STATE(310),
    [sym_em] = STATE(310),
    [sym_bd] = STATE(310),
    [sym_it] = STATE(310),
    [sym_bdit] = STATE(310),
    [sym_no] = STATE(310),
    [sym_sc] = STATE(310),
    [sym_sup] = STATE(310),
    [sym_ndx] = STATE(310),
    [sym_pro] = STATE(310),
    [sym_rb] = STATE(310),
    [sym_w] = STATE(310),
    [sym_wg] = STATE(310),
    [sym_wh] = STATE(310),
    [sym_wa] = STATE(310),
    [sym__characterMarker] = STATE(310),
    [sym_fig] = STATE(310),
    [sym_jmp] = STATE(310),
    [sym_milestoneTag] = STATE(1959),
    [sym__milestoneStandaloneMarker] = STATE(473),
    [sym__milestoneStart] = STATE(473),
    [sym__milestoneEnd] = STATE(473),
    [sym_milestone] = STATE(71),
    [sym__zNameSpaceRegular] = STATE(467),
    [sym__zNameSpaceClosed] = STATE(467),
    [sym__zNameSpaceStandaloneMarker] = STATE(467),
    [sym_zNameSpace] = STATE(71),
    [aux_sym_verseText_repeat1] = STATE(310),
    [aux_sym_q_repeat1] = STATE(71),
    [ts_builtin_sym_end] = ACTIONS(648),
    [aux_sym_text_token1] = ACTIONS(650),
    [anon_sym_BSLASHref] = ACTIONS(653),
    [anon_sym_BSLASHsts] = ACTIONS(656),
    [anon_sym_BSLASHrem] = ACTIONS(659),
    [anon_sym_BSLASHrestore] = ACTIONS(662),
    [anon_sym_BSLASHlit] = ACTIONS(665),
    [anon_sym_BSLASHip] = ACTIONS(668),
    [anon_sym_BSLASHiex] = ACTIONS(668),
    [anon_sym_BSLASHv] = ACTIONS(670),
    [anon_sym_BSLASHva] = ACTIONS(673),
    [anon_sym_BSLASHvp] = ACTIONS(676),
    [anon_sym_BSLASHc] = ACTIONS(668),
    [anon_sym_BSLASHcl] = ACTIONS(668),
    [anon_sym_BSLASHca] = ACTIONS(668),
    [anon_sym_BSLASHcp] = ACTIONS(668),
    [anon_sym_BSLASHcd] = ACTIONS(668),
    [anon_sym_BSLASHmte] = ACTIONS(668),
    [anon_sym_BSLASHms] = ACTIONS(668),
    [anon_sym_BSLASHs] = ACTIONS(668),
    [anon_sym_BSLASHr] = ACTIONS(668),
    [anon_sym_BSLASHsp] = ACTIONS(668),
    [anon_sym_BSLASHd] = ACTIONS(668),
    [anon_sym_BSLASHsd] = ACTIONS(668),
    [anon_sym_BSLASHp] = ACTIONS(668),
    [anon_sym_BSLASHm] = ACTIONS(668),
    [anon_sym_BSLASHpo] = ACTIONS(668),
    [anon_sym_BSLASHpr] = ACTIONS(668),
    [anon_sym_BSLASHcls] = ACTIONS(668),
    [anon_sym_BSLASHpmo] = ACTIONS(668),
    [anon_sym_BSLASHpm] = ACTIONS(668),
    [anon_sym_BSLASHpmc] = ACTIONS(668),
    [anon_sym_BSLASHpmr] = ACTIONS(668),
    [anon_sym_BSLASHpi] = ACTIONS(668),
    [anon_sym_BSLASHmi] = ACTIONS(668),
    [anon_sym_BSLASHnb] = ACTIONS(668),
    [anon_sym_BSLASHpc] = ACTIONS(668),
    [anon_sym_BSLASHph] = ACTIONS(668),
    [anon_sym_BSLASHb] = ACTIONS(668),
    [anon_sym_BSLASHq] = ACTIONS(668),
    [anon_sym_BSLASHqr] = ACTIONS(668),
    [anon_sym_BSLASHqc] = ACTIONS(668),
    [anon_sym_BSLASHqs] = ACTIONS(679),
    [anon_sym_BSLASHqa] = ACTIONS(668),
    [anon_sym_BSLASHqac] = ACTIONS(682),
    [anon_sym_BSLASHqm] = ACTIONS(668),
    [anon_sym_BSLASHqd] = ACTIONS(668),
    [anon_sym_BSLASHlh] = ACTIONS(668),
    [anon_sym_BSLASHli] = ACTIONS(668),
    [anon_sym_BSLASHlim] = ACTIONS(668),
    [anon_sym_BSLASHtr] = ACTIONS(668),
    [anon_sym_BSLASHf] = ACTIONS(685),
    [anon_sym_BSLASHfe] = ACTIONS(688),
    [anon_sym_BSLASHef] = ACTIONS(691),
    [anon_sym_BSLASHfm] = ACTIONS(694),
    [anon_sym_BSLASHx] = ACTIONS(697),
    [anon_sym_BSLASHxt] = ACTIONS(700),
    [anon_sym_BSLASHrq] = ACTIONS(703),
    [anon_sym_BSLASHadd] = ACTIONS(706),
    [anon_sym_BSLASHbk] = ACTIONS(709),
    [anon_sym_BSLASHdc] = ACTIONS(712),
    [anon_sym_BSLASHk] = ACTIONS(715),
    [anon_sym_BSLASHnd] = ACTIONS(718),
    [anon_sym_BSLASHord] = ACTIONS(721),
    [anon_sym_BSLASHpn] = ACTIONS(724),
    [anon_sym_BSLASHpng] = ACTIONS(727),
    [anon_sym_BSLASHaddpn] = ACTIONS(730),
    [anon_sym_BSLASHqt] = ACTIONS(733),
    [anon_sym_BSLASHsig] = ACTIONS(736),
    [anon_sym_BSLASHsls] = ACTIONS(739),
    [anon_sym_BSLASHtl] = ACTIONS(742),
    [anon_sym_BSLASHwj] = ACTIONS(745),
    [anon_sym_BSLASHem] = ACTIONS(748),
    [anon_sym_BSLASHbd] = ACTIONS(751),
    [anon_sym_BSLASHit] = ACTIONS(754),
    [anon_sym_BSLASHbdit] = ACTIONS(757),
    [anon_sym_BSLASHno] = ACTIONS(760),
    [anon_sym_BSLASHsc] = ACTIONS(763),
    [anon_sym_BSLASHsup] = ACTIONS(766),
    [anon_sym_BSLASHndx] = ACTIONS(769),
    [anon_sym_BSLASHpro] = ACTIONS(772),
    [anon_sym_BSLASHrb] = ACTIONS(775),
    [anon_sym_BSLASHw] = ACTIONS(778),
    [anon_sym_BSLASHwg] = ACTIONS(781),
    [anon_sym_BSLASHwh] = ACTIONS(784),
    [anon_sym_BSLASHwa] = ACTIONS(787),
    [anon_sym_BSLASHfig] = ACTIONS(790),
    [anon_sym_BSLASHjmp] = ACTIONS(793),
    [anon_sym_BSLASHpb] = ACTIONS(668),
    [anon_sym_BSLASH] = ACTIONS(796),
    [sym_milestoneStartTag] = ACTIONS(799),
    [sym_milestoneEndTag] = ACTIONS(802),
    [sym_zSpaceTag] = ACTIONS(805),
    [anon_sym_BSLASHesb] = ACTIONS(668),
  },
  [72] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(76),
    [sym__comments] = STATE(76),
    [sym_sts] = STATE(76),
    [sym_rem] = STATE(76),
    [sym_restore] = STATE(76),
    [sym_lit] = STATE(76),
    [sym_verseText] = STATE(76),
    [sym_v] = STATE(76),
    [sym__verseMeta] = STATE(76),
    [sym_va] = STATE(76),
    [sym_vp] = STATE(76),
    [sym__paragraphContent] = STATE(76),
    [sym_liv] = STATE(76),
    [sym_livTag] = STATE(2492),
    [sym_lik] = STATE(76),
    [sym_litl] = STATE(76),
    [sym__listTextContent] = STATE(76),
    [sym_footnote] = STATE(76),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(76),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(76),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(76),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_li_repeat1] = STATE(76),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(227),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(227),
    [anon_sym_BSLASHms] = ACTIONS(227),
    [anon_sym_BSLASHs] = ACTIONS(227),
    [anon_sym_BSLASHr] = ACTIONS(227),
    [anon_sym_BSLASHsp] = ACTIONS(227),
    [anon_sym_BSLASHd] = ACTIONS(227),
    [anon_sym_BSLASHsd] = ACTIONS(227),
    [anon_sym_BSLASHp] = ACTIONS(227),
    [anon_sym_BSLASHm] = ACTIONS(227),
    [anon_sym_BSLASHpo] = ACTIONS(227),
    [anon_sym_BSLASHpr] = ACTIONS(227),
    [anon_sym_BSLASHcls] = ACTIONS(227),
    [anon_sym_BSLASHpmo] = ACTIONS(227),
    [anon_sym_BSLASHpm] = ACTIONS(227),
    [anon_sym_BSLASHpmc] = ACTIONS(227),
    [anon_sym_BSLASHpmr] = ACTIONS(227),
    [anon_sym_BSLASHpi] = ACTIONS(227),
    [anon_sym_BSLASHmi] = ACTIONS(227),
    [anon_sym_BSLASHnb] = ACTIONS(227),
    [anon_sym_BSLASHpc] = ACTIONS(227),
    [anon_sym_BSLASHph] = ACTIONS(227),
    [anon_sym_BSLASHb] = ACTIONS(227),
    [anon_sym_BSLASHq] = ACTIONS(227),
    [anon_sym_BSLASHqr] = ACTIONS(227),
    [anon_sym_BSLASHqc] = ACTIONS(227),
    [anon_sym_BSLASHqa] = ACTIONS(227),
    [anon_sym_BSLASHqm] = ACTIONS(227),
    [anon_sym_BSLASHqd] = ACTIONS(227),
    [anon_sym_BSLASHlh] = ACTIONS(227),
    [anon_sym_BSLASHlf] = ACTIONS(227),
    [anon_sym_BSLASHli] = ACTIONS(227),
    [anon_sym_BSLASHlim] = ACTIONS(227),
    [anon_sym_BSLASHliv] = ACTIONS(235),
    [anon_sym_BSLASHlik] = ACTIONS(826),
    [anon_sym_BSLASHlitl] = ACTIONS(828),
    [anon_sym_BSLASHtr] = ACTIONS(227),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(227),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(227),
    [anon_sym_BSLASHcat] = ACTIONS(227),
  },
  [73] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(76),
    [sym__comments] = STATE(76),
    [sym_sts] = STATE(76),
    [sym_rem] = STATE(76),
    [sym_restore] = STATE(76),
    [sym_lit] = STATE(76),
    [sym_verseText] = STATE(76),
    [sym_v] = STATE(76),
    [sym__verseMeta] = STATE(76),
    [sym_va] = STATE(76),
    [sym_vp] = STATE(76),
    [sym__paragraphContent] = STATE(76),
    [sym_liv] = STATE(76),
    [sym_livTag] = STATE(2492),
    [sym_lik] = STATE(76),
    [sym_litl] = STATE(76),
    [sym__listTextContent] = STATE(76),
    [sym_footnote] = STATE(76),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(76),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(76),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(76),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_li_repeat1] = STATE(76),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(333),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(333),
    [anon_sym_BSLASHms] = ACTIONS(333),
    [anon_sym_BSLASHs] = ACTIONS(333),
    [anon_sym_BSLASHr] = ACTIONS(333),
    [anon_sym_BSLASHsp] = ACTIONS(333),
    [anon_sym_BSLASHd] = ACTIONS(333),
    [anon_sym_BSLASHsd] = ACTIONS(333),
    [anon_sym_BSLASHp] = ACTIONS(333),
    [anon_sym_BSLASHm] = ACTIONS(333),
    [anon_sym_BSLASHpo] = ACTIONS(333),
    [anon_sym_BSLASHpr] = ACTIONS(333),
    [anon_sym_BSLASHcls] = ACTIONS(333),
    [anon_sym_BSLASHpmo] = ACTIONS(333),
    [anon_sym_BSLASHpm] = ACTIONS(333),
    [anon_sym_BSLASHpmc] = ACTIONS(333),
    [anon_sym_BSLASHpmr] = ACTIONS(333),
    [anon_sym_BSLASHpi] = ACTIONS(333),
    [anon_sym_BSLASHmi] = ACTIONS(333),
    [anon_sym_BSLASHnb] = ACTIONS(333),
    [anon_sym_BSLASHpc] = ACTIONS(333),
    [anon_sym_BSLASHph] = ACTIONS(333),
    [anon_sym_BSLASHb] = ACTIONS(333),
    [anon_sym_BSLASHq] = ACTIONS(333),
    [anon_sym_BSLASHqr] = ACTIONS(333),
    [anon_sym_BSLASHqc] = ACTIONS(333),
    [anon_sym_BSLASHqa] = ACTIONS(333),
    [anon_sym_BSLASHqm] = ACTIONS(333),
    [anon_sym_BSLASHqd] = ACTIONS(333),
    [anon_sym_BSLASHlh] = ACTIONS(333),
    [anon_sym_BSLASHlf] = ACTIONS(333),
    [anon_sym_BSLASHli] = ACTIONS(333),
    [anon_sym_BSLASHlim] = ACTIONS(333),
    [anon_sym_BSLASHliv] = ACTIONS(235),
    [anon_sym_BSLASHlik] = ACTIONS(826),
    [anon_sym_BSLASHlitl] = ACTIONS(828),
    [anon_sym_BSLASHtr] = ACTIONS(333),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(333),
    [anon_sym_BSLASHcat] = ACTIONS(333),
  },
  [74] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(72),
    [sym__comments] = STATE(72),
    [sym_sts] = STATE(72),
    [sym_rem] = STATE(72),
    [sym_restore] = STATE(72),
    [sym_lit] = STATE(72),
    [sym_verseText] = STATE(72),
    [sym_v] = STATE(72),
    [sym__verseMeta] = STATE(72),
    [sym_va] = STATE(72),
    [sym_vp] = STATE(72),
    [sym__paragraphContent] = STATE(72),
    [sym_liv] = STATE(72),
    [sym_livTag] = STATE(2492),
    [sym_lik] = STATE(72),
    [sym_litl] = STATE(72),
    [sym__listTextContent] = STATE(72),
    [sym_footnote] = STATE(72),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(72),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(72),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(72),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_li_repeat1] = STATE(72),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(325),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(325),
    [anon_sym_BSLASHms] = ACTIONS(325),
    [anon_sym_BSLASHs] = ACTIONS(325),
    [anon_sym_BSLASHr] = ACTIONS(325),
    [anon_sym_BSLASHsp] = ACTIONS(325),
    [anon_sym_BSLASHd] = ACTIONS(325),
    [anon_sym_BSLASHsd] = ACTIONS(325),
    [anon_sym_BSLASHp] = ACTIONS(325),
    [anon_sym_BSLASHm] = ACTIONS(325),
    [anon_sym_BSLASHpo] = ACTIONS(325),
    [anon_sym_BSLASHpr] = ACTIONS(325),
    [anon_sym_BSLASHcls] = ACTIONS(325),
    [anon_sym_BSLASHpmo] = ACTIONS(325),
    [anon_sym_BSLASHpm] = ACTIONS(325),
    [anon_sym_BSLASHpmc] = ACTIONS(325),
    [anon_sym_BSLASHpmr] = ACTIONS(325),
    [anon_sym_BSLASHpi] = ACTIONS(325),
    [anon_sym_BSLASHmi] = ACTIONS(325),
    [anon_sym_BSLASHnb] = ACTIONS(325),
    [anon_sym_BSLASHpc] = ACTIONS(325),
    [anon_sym_BSLASHph] = ACTIONS(325),
    [anon_sym_BSLASHb] = ACTIONS(325),
    [anon_sym_BSLASHq] = ACTIONS(325),
    [anon_sym_BSLASHqr] = ACTIONS(325),
    [anon_sym_BSLASHqc] = ACTIONS(325),
    [anon_sym_BSLASHqa] = ACTIONS(325),
    [anon_sym_BSLASHqm] = ACTIONS(325),
    [anon_sym_BSLASHqd] = ACTIONS(325),
    [anon_sym_BSLASHlh] = ACTIONS(325),
    [anon_sym_BSLASHlf] = ACTIONS(325),
    [anon_sym_BSLASHli] = ACTIONS(325),
    [anon_sym_BSLASHlim] = ACTIONS(325),
    [anon_sym_BSLASHliv] = ACTIONS(235),
    [anon_sym_BSLASHlik] = ACTIONS(826),
    [anon_sym_BSLASHlitl] = ACTIONS(828),
    [anon_sym_BSLASHtr] = ACTIONS(325),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(325),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(325),
    [anon_sym_BSLASHcat] = ACTIONS(325),
  },
  [75] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(73),
    [sym__comments] = STATE(73),
    [sym_sts] = STATE(73),
    [sym_rem] = STATE(73),
    [sym_restore] = STATE(73),
    [sym_lit] = STATE(73),
    [sym_verseText] = STATE(73),
    [sym_v] = STATE(73),
    [sym__verseMeta] = STATE(73),
    [sym_va] = STATE(73),
    [sym_vp] = STATE(73),
    [sym__paragraphContent] = STATE(73),
    [sym_liv] = STATE(73),
    [sym_livTag] = STATE(2492),
    [sym_lik] = STATE(73),
    [sym_litl] = STATE(73),
    [sym__listTextContent] = STATE(73),
    [sym_footnote] = STATE(73),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(73),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(73),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(73),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_li_repeat1] = STATE(73),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(329),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(329),
    [anon_sym_BSLASHms] = ACTIONS(329),
    [anon_sym_BSLASHs] = ACTIONS(329),
    [anon_sym_BSLASHr] = ACTIONS(329),
    [anon_sym_BSLASHsp] = ACTIONS(329),
    [anon_sym_BSLASHd] = ACTIONS(329),
    [anon_sym_BSLASHsd] = ACTIONS(329),
    [anon_sym_BSLASHp] = ACTIONS(329),
    [anon_sym_BSLASHm] = ACTIONS(329),
    [anon_sym_BSLASHpo] = ACTIONS(329),
    [anon_sym_BSLASHpr] = ACTIONS(329),
    [anon_sym_BSLASHcls] = ACTIONS(329),
    [anon_sym_BSLASHpmo] = ACTIONS(329),
    [anon_sym_BSLASHpm] = ACTIONS(329),
    [anon_sym_BSLASHpmc] = ACTIONS(329),
    [anon_sym_BSLASHpmr] = ACTIONS(329),
    [anon_sym_BSLASHpi] = ACTIONS(329),
    [anon_sym_BSLASHmi] = ACTIONS(329),
    [anon_sym_BSLASHnb] = ACTIONS(329),
    [anon_sym_BSLASHpc] = ACTIONS(329),
    [anon_sym_BSLASHph] = ACTIONS(329),
    [anon_sym_BSLASHb] = ACTIONS(329),
    [anon_sym_BSLASHq] = ACTIONS(329),
    [anon_sym_BSLASHqr] = ACTIONS(329),
    [anon_sym_BSLASHqc] = ACTIONS(329),
    [anon_sym_BSLASHqa] = ACTIONS(329),
    [anon_sym_BSLASHqm] = ACTIONS(329),
    [anon_sym_BSLASHqd] = ACTIONS(329),
    [anon_sym_BSLASHlh] = ACTIONS(329),
    [anon_sym_BSLASHlf] = ACTIONS(329),
    [anon_sym_BSLASHli] = ACTIONS(329),
    [anon_sym_BSLASHlim] = ACTIONS(329),
    [anon_sym_BSLASHliv] = ACTIONS(235),
    [anon_sym_BSLASHlik] = ACTIONS(826),
    [anon_sym_BSLASHlitl] = ACTIONS(828),
    [anon_sym_BSLASHtr] = ACTIONS(329),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(329),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(329),
    [anon_sym_BSLASHcat] = ACTIONS(329),
  },
  [76] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(76),
    [sym__comments] = STATE(76),
    [sym_sts] = STATE(76),
    [sym_rem] = STATE(76),
    [sym_restore] = STATE(76),
    [sym_lit] = STATE(76),
    [sym_verseText] = STATE(76),
    [sym_v] = STATE(76),
    [sym__verseMeta] = STATE(76),
    [sym_va] = STATE(76),
    [sym_vp] = STATE(76),
    [sym__paragraphContent] = STATE(76),
    [sym_liv] = STATE(76),
    [sym_livTag] = STATE(2492),
    [sym_lik] = STATE(76),
    [sym_litl] = STATE(76),
    [sym__listTextContent] = STATE(76),
    [sym_footnote] = STATE(76),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(76),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(76),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(76),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_li_repeat1] = STATE(76),
    [aux_sym_text_token1] = ACTIONS(910),
    [anon_sym_BSLASHref] = ACTIONS(913),
    [anon_sym_BSLASHsts] = ACTIONS(916),
    [anon_sym_BSLASHrem] = ACTIONS(919),
    [anon_sym_BSLASHrestore] = ACTIONS(922),
    [anon_sym_BSLASHlit] = ACTIONS(925),
    [anon_sym_BSLASHip] = ACTIONS(355),
    [anon_sym_BSLASHv] = ACTIONS(928),
    [anon_sym_BSLASHva] = ACTIONS(931),
    [anon_sym_BSLASHvp] = ACTIONS(934),
    [anon_sym_BSLASHmte] = ACTIONS(355),
    [anon_sym_BSLASHms] = ACTIONS(355),
    [anon_sym_BSLASHs] = ACTIONS(355),
    [anon_sym_BSLASHr] = ACTIONS(355),
    [anon_sym_BSLASHsp] = ACTIONS(355),
    [anon_sym_BSLASHd] = ACTIONS(355),
    [anon_sym_BSLASHsd] = ACTIONS(355),
    [anon_sym_BSLASHp] = ACTIONS(355),
    [anon_sym_BSLASHm] = ACTIONS(355),
    [anon_sym_BSLASHpo] = ACTIONS(355),
    [anon_sym_BSLASHpr] = ACTIONS(355),
    [anon_sym_BSLASHcls] = ACTIONS(355),
    [anon_sym_BSLASHpmo] = ACTIONS(355),
    [anon_sym_BSLASHpm] = ACTIONS(355),
    [anon_sym_BSLASHpmc] = ACTIONS(355),
    [anon_sym_BSLASHpmr] = ACTIONS(355),
    [anon_sym_BSLASHpi] = ACTIONS(355),
    [anon_sym_BSLASHmi] = ACTIONS(355),
    [anon_sym_BSLASHnb] = ACTIONS(355),
    [anon_sym_BSLASHpc] = ACTIONS(355),
    [anon_sym_BSLASHph] = ACTIONS(355),
    [anon_sym_BSLASHb] = ACTIONS(355),
    [anon_sym_BSLASHq] = ACTIONS(355),
    [anon_sym_BSLASHqr] = ACTIONS(355),
    [anon_sym_BSLASHqc] = ACTIONS(355),
    [anon_sym_BSLASHqa] = ACTIONS(355),
    [anon_sym_BSLASHqm] = ACTIONS(355),
    [anon_sym_BSLASHqd] = ACTIONS(355),
    [anon_sym_BSLASHlh] = ACTIONS(355),
    [anon_sym_BSLASHlf] = ACTIONS(355),
    [anon_sym_BSLASHli] = ACTIONS(355),
    [anon_sym_BSLASHlim] = ACTIONS(355),
    [anon_sym_BSLASHliv] = ACTIONS(366),
    [anon_sym_BSLASHlik] = ACTIONS(937),
    [anon_sym_BSLASHlitl] = ACTIONS(940),
    [anon_sym_BSLASHtr] = ACTIONS(355),
    [anon_sym_BSLASHf] = ACTIONS(943),
    [anon_sym_BSLASHfe] = ACTIONS(946),
    [anon_sym_BSLASHef] = ACTIONS(949),
    [anon_sym_BSLASHfm] = ACTIONS(952),
    [anon_sym_BSLASHx] = ACTIONS(955),
    [anon_sym_BSLASHxt] = ACTIONS(958),
    [anon_sym_BSLASHrq] = ACTIONS(961),
    [anon_sym_BSLASHadd] = ACTIONS(964),
    [anon_sym_BSLASHbk] = ACTIONS(967),
    [anon_sym_BSLASHdc] = ACTIONS(970),
    [anon_sym_BSLASHk] = ACTIONS(973),
    [anon_sym_BSLASHnd] = ACTIONS(976),
    [anon_sym_BSLASHord] = ACTIONS(979),
    [anon_sym_BSLASHpn] = ACTIONS(982),
    [anon_sym_BSLASHpng] = ACTIONS(985),
    [anon_sym_BSLASHaddpn] = ACTIONS(988),
    [anon_sym_BSLASHqt] = ACTIONS(991),
    [anon_sym_BSLASHsig] = ACTIONS(994),
    [anon_sym_BSLASHsls] = ACTIONS(997),
    [anon_sym_BSLASHtl] = ACTIONS(1000),
    [anon_sym_BSLASHwj] = ACTIONS(1003),
    [anon_sym_BSLASHem] = ACTIONS(1006),
    [anon_sym_BSLASHbd] = ACTIONS(1009),
    [anon_sym_BSLASHit] = ACTIONS(1012),
    [anon_sym_BSLASHbdit] = ACTIONS(1015),
    [anon_sym_BSLASHno] = ACTIONS(1018),
    [anon_sym_BSLASHsc] = ACTIONS(1021),
    [anon_sym_BSLASHsup] = ACTIONS(1024),
    [anon_sym_BSLASHndx] = ACTIONS(1027),
    [anon_sym_BSLASHpro] = ACTIONS(1030),
    [anon_sym_BSLASHrb] = ACTIONS(1033),
    [anon_sym_BSLASHw] = ACTIONS(1036),
    [anon_sym_BSLASHwg] = ACTIONS(1039),
    [anon_sym_BSLASHwh] = ACTIONS(1042),
    [anon_sym_BSLASHwa] = ACTIONS(1045),
    [anon_sym_BSLASHfig] = ACTIONS(1048),
    [anon_sym_BSLASHjmp] = ACTIONS(1051),
    [anon_sym_BSLASHpb] = ACTIONS(355),
    [anon_sym_BSLASH] = ACTIONS(486),
    [sym_milestoneStartTag] = ACTIONS(1054),
    [sym_milestoneEndTag] = ACTIONS(1057),
    [sym_zSpaceTag] = ACTIONS(1060),
    [anon_sym_BSLASHesbe] = ACTIONS(355),
    [anon_sym_BSLASHcat] = ACTIONS(355),
  },
  [77] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(1063),
    [anon_sym_BSLASHref] = ACTIONS(1066),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1069),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1069),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1069),
    [anon_sym_BSLASHfr] = ACTIONS(1071),
    [anon_sym_BSLASHfq] = ACTIONS(1074),
    [anon_sym_BSLASHfqa] = ACTIONS(1077),
    [anon_sym_BSLASHfk] = ACTIONS(1080),
    [anon_sym_BSLASHfl] = ACTIONS(1083),
    [anon_sym_BSLASHfw] = ACTIONS(1086),
    [anon_sym_BSLASHfp] = ACTIONS(1089),
    [anon_sym_BSLASHft] = ACTIONS(1092),
    [anon_sym_BSLASHfdc] = ACTIONS(1095),
    [anon_sym_BSLASHfv] = ACTIONS(1098),
    [anon_sym_BSLASHxt] = ACTIONS(1101),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1104),
    [anon_sym_BSLASHadd] = ACTIONS(1107),
    [anon_sym_BSLASHbk] = ACTIONS(1110),
    [anon_sym_BSLASHdc] = ACTIONS(1113),
    [anon_sym_BSLASHk] = ACTIONS(1116),
    [anon_sym_BSLASHnd] = ACTIONS(1119),
    [anon_sym_BSLASHord] = ACTIONS(1122),
    [anon_sym_BSLASHpn] = ACTIONS(1125),
    [anon_sym_BSLASHpng] = ACTIONS(1128),
    [anon_sym_BSLASHaddpn] = ACTIONS(1131),
    [anon_sym_BSLASHqt] = ACTIONS(1134),
    [anon_sym_BSLASHsig] = ACTIONS(1137),
    [anon_sym_BSLASHsls] = ACTIONS(1140),
    [anon_sym_BSLASHtl] = ACTIONS(1143),
    [anon_sym_BSLASHwj] = ACTIONS(1146),
    [anon_sym_BSLASHem] = ACTIONS(1149),
    [anon_sym_BSLASHbd] = ACTIONS(1152),
    [anon_sym_BSLASHit] = ACTIONS(1155),
    [anon_sym_BSLASHbdit] = ACTIONS(1158),
    [anon_sym_BSLASHno] = ACTIONS(1161),
    [anon_sym_BSLASHsc] = ACTIONS(1164),
    [anon_sym_BSLASHsup] = ACTIONS(1167),
    [anon_sym_BSLASHndx] = ACTIONS(1170),
    [anon_sym_BSLASHpro] = ACTIONS(1173),
    [anon_sym_BSLASHrb] = ACTIONS(1176),
    [anon_sym_BSLASHw] = ACTIONS(1179),
    [anon_sym_BSLASHwg] = ACTIONS(1182),
    [anon_sym_BSLASHwh] = ACTIONS(1185),
    [anon_sym_BSLASHwa] = ACTIONS(1188),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1191),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1194),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1197),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1200),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1203),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1206),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1209),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1212),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1215),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1218),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1221),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1224),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1227),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1230),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1233),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1236),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1239),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1242),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1245),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1248),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1251),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1254),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1257),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1260),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1263),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1266),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1269),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1272),
    [anon_sym_BSLASHfig] = ACTIONS(1275),
    [anon_sym_BSLASHjmp] = ACTIONS(1278),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1281),
    [anon_sym_BSLASHcat] = ACTIONS(1284),
  },
  [78] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(79),
    [sym__comments] = STATE(79),
    [sym_sts] = STATE(79),
    [sym_rem] = STATE(79),
    [sym_restore] = STATE(79),
    [sym_lit] = STATE(79),
    [sym_verseText] = STATE(79),
    [sym_v] = STATE(79),
    [sym__verseMeta] = STATE(79),
    [sym_va] = STATE(79),
    [sym_vp] = STATE(79),
    [sym__paragraphContent] = STATE(79),
    [sym_footnote] = STATE(79),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(79),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(79),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(79),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(79),
    [ts_builtin_sym_end] = ACTIONS(1287),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1289),
    [anon_sym_BSLASHiex] = ACTIONS(1289),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1289),
    [anon_sym_BSLASHcl] = ACTIONS(1289),
    [anon_sym_BSLASHca] = ACTIONS(1289),
    [anon_sym_BSLASHcp] = ACTIONS(1289),
    [anon_sym_BSLASHcd] = ACTIONS(1289),
    [anon_sym_BSLASHmte] = ACTIONS(1289),
    [anon_sym_BSLASHms] = ACTIONS(1289),
    [anon_sym_BSLASHs] = ACTIONS(1289),
    [anon_sym_BSLASHr] = ACTIONS(1289),
    [anon_sym_BSLASHsp] = ACTIONS(1289),
    [anon_sym_BSLASHd] = ACTIONS(1289),
    [anon_sym_BSLASHsd] = ACTIONS(1289),
    [anon_sym_BSLASHp] = ACTIONS(1289),
    [anon_sym_BSLASHm] = ACTIONS(1289),
    [anon_sym_BSLASHpo] = ACTIONS(1289),
    [anon_sym_BSLASHpr] = ACTIONS(1289),
    [anon_sym_BSLASHcls] = ACTIONS(1289),
    [anon_sym_BSLASHpmo] = ACTIONS(1289),
    [anon_sym_BSLASHpm] = ACTIONS(1289),
    [anon_sym_BSLASHpmc] = ACTIONS(1289),
    [anon_sym_BSLASHpmr] = ACTIONS(1289),
    [anon_sym_BSLASHpi] = ACTIONS(1289),
    [anon_sym_BSLASHmi] = ACTIONS(1289),
    [anon_sym_BSLASHnb] = ACTIONS(1289),
    [anon_sym_BSLASHpc] = ACTIONS(1289),
    [anon_sym_BSLASHph] = ACTIONS(1289),
    [anon_sym_BSLASHb] = ACTIONS(1289),
    [anon_sym_BSLASHq] = ACTIONS(1289),
    [anon_sym_BSLASHqr] = ACTIONS(1289),
    [anon_sym_BSLASHqc] = ACTIONS(1289),
    [anon_sym_BSLASHqa] = ACTIONS(1289),
    [anon_sym_BSLASHqm] = ACTIONS(1289),
    [anon_sym_BSLASHqd] = ACTIONS(1289),
    [anon_sym_BSLASHlh] = ACTIONS(1289),
    [anon_sym_BSLASHli] = ACTIONS(1289),
    [anon_sym_BSLASHlim] = ACTIONS(1289),
    [anon_sym_BSLASHtr] = ACTIONS(1289),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1289),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1289),
  },
  [79] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(86),
    [sym__comments] = STATE(86),
    [sym_sts] = STATE(86),
    [sym_rem] = STATE(86),
    [sym_restore] = STATE(86),
    [sym_lit] = STATE(86),
    [sym_verseText] = STATE(86),
    [sym_v] = STATE(86),
    [sym__verseMeta] = STATE(86),
    [sym_va] = STATE(86),
    [sym_vp] = STATE(86),
    [sym__paragraphContent] = STATE(86),
    [sym_footnote] = STATE(86),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(86),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(86),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(86),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(86),
    [ts_builtin_sym_end] = ACTIONS(1291),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1293),
    [anon_sym_BSLASHiex] = ACTIONS(1293),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1293),
    [anon_sym_BSLASHcl] = ACTIONS(1293),
    [anon_sym_BSLASHca] = ACTIONS(1293),
    [anon_sym_BSLASHcp] = ACTIONS(1293),
    [anon_sym_BSLASHcd] = ACTIONS(1293),
    [anon_sym_BSLASHmte] = ACTIONS(1293),
    [anon_sym_BSLASHms] = ACTIONS(1293),
    [anon_sym_BSLASHs] = ACTIONS(1293),
    [anon_sym_BSLASHr] = ACTIONS(1293),
    [anon_sym_BSLASHsp] = ACTIONS(1293),
    [anon_sym_BSLASHd] = ACTIONS(1293),
    [anon_sym_BSLASHsd] = ACTIONS(1293),
    [anon_sym_BSLASHp] = ACTIONS(1293),
    [anon_sym_BSLASHm] = ACTIONS(1293),
    [anon_sym_BSLASHpo] = ACTIONS(1293),
    [anon_sym_BSLASHpr] = ACTIONS(1293),
    [anon_sym_BSLASHcls] = ACTIONS(1293),
    [anon_sym_BSLASHpmo] = ACTIONS(1293),
    [anon_sym_BSLASHpm] = ACTIONS(1293),
    [anon_sym_BSLASHpmc] = ACTIONS(1293),
    [anon_sym_BSLASHpmr] = ACTIONS(1293),
    [anon_sym_BSLASHpi] = ACTIONS(1293),
    [anon_sym_BSLASHmi] = ACTIONS(1293),
    [anon_sym_BSLASHnb] = ACTIONS(1293),
    [anon_sym_BSLASHpc] = ACTIONS(1293),
    [anon_sym_BSLASHph] = ACTIONS(1293),
    [anon_sym_BSLASHb] = ACTIONS(1293),
    [anon_sym_BSLASHq] = ACTIONS(1293),
    [anon_sym_BSLASHqr] = ACTIONS(1293),
    [anon_sym_BSLASHqc] = ACTIONS(1293),
    [anon_sym_BSLASHqa] = ACTIONS(1293),
    [anon_sym_BSLASHqm] = ACTIONS(1293),
    [anon_sym_BSLASHqd] = ACTIONS(1293),
    [anon_sym_BSLASHlh] = ACTIONS(1293),
    [anon_sym_BSLASHli] = ACTIONS(1293),
    [anon_sym_BSLASHlim] = ACTIONS(1293),
    [anon_sym_BSLASHtr] = ACTIONS(1293),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1293),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1293),
  },
  [80] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(86),
    [sym__comments] = STATE(86),
    [sym_sts] = STATE(86),
    [sym_rem] = STATE(86),
    [sym_restore] = STATE(86),
    [sym_lit] = STATE(86),
    [sym_verseText] = STATE(86),
    [sym_v] = STATE(86),
    [sym__verseMeta] = STATE(86),
    [sym_va] = STATE(86),
    [sym_vp] = STATE(86),
    [sym__paragraphContent] = STATE(86),
    [sym_footnote] = STATE(86),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(86),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(86),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(86),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(86),
    [ts_builtin_sym_end] = ACTIONS(1295),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1297),
    [anon_sym_BSLASHiex] = ACTIONS(1297),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1297),
    [anon_sym_BSLASHcl] = ACTIONS(1297),
    [anon_sym_BSLASHca] = ACTIONS(1297),
    [anon_sym_BSLASHcp] = ACTIONS(1297),
    [anon_sym_BSLASHcd] = ACTIONS(1297),
    [anon_sym_BSLASHmte] = ACTIONS(1297),
    [anon_sym_BSLASHms] = ACTIONS(1297),
    [anon_sym_BSLASHs] = ACTIONS(1297),
    [anon_sym_BSLASHr] = ACTIONS(1297),
    [anon_sym_BSLASHsp] = ACTIONS(1297),
    [anon_sym_BSLASHd] = ACTIONS(1297),
    [anon_sym_BSLASHsd] = ACTIONS(1297),
    [anon_sym_BSLASHp] = ACTIONS(1297),
    [anon_sym_BSLASHm] = ACTIONS(1297),
    [anon_sym_BSLASHpo] = ACTIONS(1297),
    [anon_sym_BSLASHpr] = ACTIONS(1297),
    [anon_sym_BSLASHcls] = ACTIONS(1297),
    [anon_sym_BSLASHpmo] = ACTIONS(1297),
    [anon_sym_BSLASHpm] = ACTIONS(1297),
    [anon_sym_BSLASHpmc] = ACTIONS(1297),
    [anon_sym_BSLASHpmr] = ACTIONS(1297),
    [anon_sym_BSLASHpi] = ACTIONS(1297),
    [anon_sym_BSLASHmi] = ACTIONS(1297),
    [anon_sym_BSLASHnb] = ACTIONS(1297),
    [anon_sym_BSLASHpc] = ACTIONS(1297),
    [anon_sym_BSLASHph] = ACTIONS(1297),
    [anon_sym_BSLASHb] = ACTIONS(1297),
    [anon_sym_BSLASHq] = ACTIONS(1297),
    [anon_sym_BSLASHqr] = ACTIONS(1297),
    [anon_sym_BSLASHqc] = ACTIONS(1297),
    [anon_sym_BSLASHqa] = ACTIONS(1297),
    [anon_sym_BSLASHqm] = ACTIONS(1297),
    [anon_sym_BSLASHqd] = ACTIONS(1297),
    [anon_sym_BSLASHlh] = ACTIONS(1297),
    [anon_sym_BSLASHli] = ACTIONS(1297),
    [anon_sym_BSLASHlim] = ACTIONS(1297),
    [anon_sym_BSLASHtr] = ACTIONS(1297),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1297),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1297),
  },
  [81] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(86),
    [sym__comments] = STATE(86),
    [sym_sts] = STATE(86),
    [sym_rem] = STATE(86),
    [sym_restore] = STATE(86),
    [sym_lit] = STATE(86),
    [sym_verseText] = STATE(86),
    [sym_v] = STATE(86),
    [sym__verseMeta] = STATE(86),
    [sym_va] = STATE(86),
    [sym_vp] = STATE(86),
    [sym__paragraphContent] = STATE(86),
    [sym_footnote] = STATE(86),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(86),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(86),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(86),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(86),
    [ts_builtin_sym_end] = ACTIONS(1299),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1301),
    [anon_sym_BSLASHiex] = ACTIONS(1301),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1301),
    [anon_sym_BSLASHcl] = ACTIONS(1301),
    [anon_sym_BSLASHca] = ACTIONS(1301),
    [anon_sym_BSLASHcp] = ACTIONS(1301),
    [anon_sym_BSLASHcd] = ACTIONS(1301),
    [anon_sym_BSLASHmte] = ACTIONS(1301),
    [anon_sym_BSLASHms] = ACTIONS(1301),
    [anon_sym_BSLASHs] = ACTIONS(1301),
    [anon_sym_BSLASHr] = ACTIONS(1301),
    [anon_sym_BSLASHsp] = ACTIONS(1301),
    [anon_sym_BSLASHd] = ACTIONS(1301),
    [anon_sym_BSLASHsd] = ACTIONS(1301),
    [anon_sym_BSLASHp] = ACTIONS(1301),
    [anon_sym_BSLASHm] = ACTIONS(1301),
    [anon_sym_BSLASHpo] = ACTIONS(1301),
    [anon_sym_BSLASHpr] = ACTIONS(1301),
    [anon_sym_BSLASHcls] = ACTIONS(1301),
    [anon_sym_BSLASHpmo] = ACTIONS(1301),
    [anon_sym_BSLASHpm] = ACTIONS(1301),
    [anon_sym_BSLASHpmc] = ACTIONS(1301),
    [anon_sym_BSLASHpmr] = ACTIONS(1301),
    [anon_sym_BSLASHpi] = ACTIONS(1301),
    [anon_sym_BSLASHmi] = ACTIONS(1301),
    [anon_sym_BSLASHnb] = ACTIONS(1301),
    [anon_sym_BSLASHpc] = ACTIONS(1301),
    [anon_sym_BSLASHph] = ACTIONS(1301),
    [anon_sym_BSLASHb] = ACTIONS(1301),
    [anon_sym_BSLASHq] = ACTIONS(1301),
    [anon_sym_BSLASHqr] = ACTIONS(1301),
    [anon_sym_BSLASHqc] = ACTIONS(1301),
    [anon_sym_BSLASHqa] = ACTIONS(1301),
    [anon_sym_BSLASHqm] = ACTIONS(1301),
    [anon_sym_BSLASHqd] = ACTIONS(1301),
    [anon_sym_BSLASHlh] = ACTIONS(1301),
    [anon_sym_BSLASHli] = ACTIONS(1301),
    [anon_sym_BSLASHlim] = ACTIONS(1301),
    [anon_sym_BSLASHtr] = ACTIONS(1301),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1301),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1301),
  },
  [82] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(86),
    [sym__comments] = STATE(86),
    [sym_sts] = STATE(86),
    [sym_rem] = STATE(86),
    [sym_restore] = STATE(86),
    [sym_lit] = STATE(86),
    [sym_verseText] = STATE(86),
    [sym_v] = STATE(86),
    [sym__verseMeta] = STATE(86),
    [sym_va] = STATE(86),
    [sym_vp] = STATE(86),
    [sym__paragraphContent] = STATE(86),
    [sym_footnote] = STATE(86),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(86),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(86),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(86),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(86),
    [ts_builtin_sym_end] = ACTIONS(1303),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1305),
    [anon_sym_BSLASHiex] = ACTIONS(1305),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1305),
    [anon_sym_BSLASHcl] = ACTIONS(1305),
    [anon_sym_BSLASHca] = ACTIONS(1305),
    [anon_sym_BSLASHcp] = ACTIONS(1305),
    [anon_sym_BSLASHcd] = ACTIONS(1305),
    [anon_sym_BSLASHmte] = ACTIONS(1305),
    [anon_sym_BSLASHms] = ACTIONS(1305),
    [anon_sym_BSLASHs] = ACTIONS(1305),
    [anon_sym_BSLASHr] = ACTIONS(1305),
    [anon_sym_BSLASHsp] = ACTIONS(1305),
    [anon_sym_BSLASHd] = ACTIONS(1305),
    [anon_sym_BSLASHsd] = ACTIONS(1305),
    [anon_sym_BSLASHp] = ACTIONS(1305),
    [anon_sym_BSLASHm] = ACTIONS(1305),
    [anon_sym_BSLASHpo] = ACTIONS(1305),
    [anon_sym_BSLASHpr] = ACTIONS(1305),
    [anon_sym_BSLASHcls] = ACTIONS(1305),
    [anon_sym_BSLASHpmo] = ACTIONS(1305),
    [anon_sym_BSLASHpm] = ACTIONS(1305),
    [anon_sym_BSLASHpmc] = ACTIONS(1305),
    [anon_sym_BSLASHpmr] = ACTIONS(1305),
    [anon_sym_BSLASHpi] = ACTIONS(1305),
    [anon_sym_BSLASHmi] = ACTIONS(1305),
    [anon_sym_BSLASHnb] = ACTIONS(1305),
    [anon_sym_BSLASHpc] = ACTIONS(1305),
    [anon_sym_BSLASHph] = ACTIONS(1305),
    [anon_sym_BSLASHb] = ACTIONS(1305),
    [anon_sym_BSLASHq] = ACTIONS(1305),
    [anon_sym_BSLASHqr] = ACTIONS(1305),
    [anon_sym_BSLASHqc] = ACTIONS(1305),
    [anon_sym_BSLASHqa] = ACTIONS(1305),
    [anon_sym_BSLASHqm] = ACTIONS(1305),
    [anon_sym_BSLASHqd] = ACTIONS(1305),
    [anon_sym_BSLASHlh] = ACTIONS(1305),
    [anon_sym_BSLASHli] = ACTIONS(1305),
    [anon_sym_BSLASHlim] = ACTIONS(1305),
    [anon_sym_BSLASHtr] = ACTIONS(1305),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1305),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1305),
  },
  [83] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(86),
    [sym__comments] = STATE(86),
    [sym_sts] = STATE(86),
    [sym_rem] = STATE(86),
    [sym_restore] = STATE(86),
    [sym_lit] = STATE(86),
    [sym_verseText] = STATE(86),
    [sym_v] = STATE(86),
    [sym__verseMeta] = STATE(86),
    [sym_va] = STATE(86),
    [sym_vp] = STATE(86),
    [sym__paragraphContent] = STATE(86),
    [sym_footnote] = STATE(86),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(86),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(86),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(86),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(86),
    [ts_builtin_sym_end] = ACTIONS(1307),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1309),
    [anon_sym_BSLASHiex] = ACTIONS(1309),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1309),
    [anon_sym_BSLASHcl] = ACTIONS(1309),
    [anon_sym_BSLASHca] = ACTIONS(1309),
    [anon_sym_BSLASHcp] = ACTIONS(1309),
    [anon_sym_BSLASHcd] = ACTIONS(1309),
    [anon_sym_BSLASHmte] = ACTIONS(1309),
    [anon_sym_BSLASHms] = ACTIONS(1309),
    [anon_sym_BSLASHs] = ACTIONS(1309),
    [anon_sym_BSLASHr] = ACTIONS(1309),
    [anon_sym_BSLASHsp] = ACTIONS(1309),
    [anon_sym_BSLASHd] = ACTIONS(1309),
    [anon_sym_BSLASHsd] = ACTIONS(1309),
    [anon_sym_BSLASHp] = ACTIONS(1309),
    [anon_sym_BSLASHm] = ACTIONS(1309),
    [anon_sym_BSLASHpo] = ACTIONS(1309),
    [anon_sym_BSLASHpr] = ACTIONS(1309),
    [anon_sym_BSLASHcls] = ACTIONS(1309),
    [anon_sym_BSLASHpmo] = ACTIONS(1309),
    [anon_sym_BSLASHpm] = ACTIONS(1309),
    [anon_sym_BSLASHpmc] = ACTIONS(1309),
    [anon_sym_BSLASHpmr] = ACTIONS(1309),
    [anon_sym_BSLASHpi] = ACTIONS(1309),
    [anon_sym_BSLASHmi] = ACTIONS(1309),
    [anon_sym_BSLASHnb] = ACTIONS(1309),
    [anon_sym_BSLASHpc] = ACTIONS(1309),
    [anon_sym_BSLASHph] = ACTIONS(1309),
    [anon_sym_BSLASHb] = ACTIONS(1309),
    [anon_sym_BSLASHq] = ACTIONS(1309),
    [anon_sym_BSLASHqr] = ACTIONS(1309),
    [anon_sym_BSLASHqc] = ACTIONS(1309),
    [anon_sym_BSLASHqa] = ACTIONS(1309),
    [anon_sym_BSLASHqm] = ACTIONS(1309),
    [anon_sym_BSLASHqd] = ACTIONS(1309),
    [anon_sym_BSLASHlh] = ACTIONS(1309),
    [anon_sym_BSLASHli] = ACTIONS(1309),
    [anon_sym_BSLASHlim] = ACTIONS(1309),
    [anon_sym_BSLASHtr] = ACTIONS(1309),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1309),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1309),
  },
  [84] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(86),
    [sym__comments] = STATE(86),
    [sym_sts] = STATE(86),
    [sym_rem] = STATE(86),
    [sym_restore] = STATE(86),
    [sym_lit] = STATE(86),
    [sym_verseText] = STATE(86),
    [sym_v] = STATE(86),
    [sym__verseMeta] = STATE(86),
    [sym_va] = STATE(86),
    [sym_vp] = STATE(86),
    [sym__paragraphContent] = STATE(86),
    [sym_footnote] = STATE(86),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(86),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(86),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(86),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(86),
    [ts_builtin_sym_end] = ACTIONS(1311),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1313),
    [anon_sym_BSLASHiex] = ACTIONS(1313),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1313),
    [anon_sym_BSLASHcl] = ACTIONS(1313),
    [anon_sym_BSLASHca] = ACTIONS(1313),
    [anon_sym_BSLASHcp] = ACTIONS(1313),
    [anon_sym_BSLASHcd] = ACTIONS(1313),
    [anon_sym_BSLASHmte] = ACTIONS(1313),
    [anon_sym_BSLASHms] = ACTIONS(1313),
    [anon_sym_BSLASHs] = ACTIONS(1313),
    [anon_sym_BSLASHr] = ACTIONS(1313),
    [anon_sym_BSLASHsp] = ACTIONS(1313),
    [anon_sym_BSLASHd] = ACTIONS(1313),
    [anon_sym_BSLASHsd] = ACTIONS(1313),
    [anon_sym_BSLASHp] = ACTIONS(1313),
    [anon_sym_BSLASHm] = ACTIONS(1313),
    [anon_sym_BSLASHpo] = ACTIONS(1313),
    [anon_sym_BSLASHpr] = ACTIONS(1313),
    [anon_sym_BSLASHcls] = ACTIONS(1313),
    [anon_sym_BSLASHpmo] = ACTIONS(1313),
    [anon_sym_BSLASHpm] = ACTIONS(1313),
    [anon_sym_BSLASHpmc] = ACTIONS(1313),
    [anon_sym_BSLASHpmr] = ACTIONS(1313),
    [anon_sym_BSLASHpi] = ACTIONS(1313),
    [anon_sym_BSLASHmi] = ACTIONS(1313),
    [anon_sym_BSLASHnb] = ACTIONS(1313),
    [anon_sym_BSLASHpc] = ACTIONS(1313),
    [anon_sym_BSLASHph] = ACTIONS(1313),
    [anon_sym_BSLASHb] = ACTIONS(1313),
    [anon_sym_BSLASHq] = ACTIONS(1313),
    [anon_sym_BSLASHqr] = ACTIONS(1313),
    [anon_sym_BSLASHqc] = ACTIONS(1313),
    [anon_sym_BSLASHqa] = ACTIONS(1313),
    [anon_sym_BSLASHqm] = ACTIONS(1313),
    [anon_sym_BSLASHqd] = ACTIONS(1313),
    [anon_sym_BSLASHlh] = ACTIONS(1313),
    [anon_sym_BSLASHli] = ACTIONS(1313),
    [anon_sym_BSLASHlim] = ACTIONS(1313),
    [anon_sym_BSLASHtr] = ACTIONS(1313),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1313),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1313),
  },
  [85] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(86),
    [sym__comments] = STATE(86),
    [sym_sts] = STATE(86),
    [sym_rem] = STATE(86),
    [sym_restore] = STATE(86),
    [sym_lit] = STATE(86),
    [sym_verseText] = STATE(86),
    [sym_v] = STATE(86),
    [sym__verseMeta] = STATE(86),
    [sym_va] = STATE(86),
    [sym_vp] = STATE(86),
    [sym__paragraphContent] = STATE(86),
    [sym_footnote] = STATE(86),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(86),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(86),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(86),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(86),
    [ts_builtin_sym_end] = ACTIONS(1315),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1317),
    [anon_sym_BSLASHiex] = ACTIONS(1317),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1317),
    [anon_sym_BSLASHcl] = ACTIONS(1317),
    [anon_sym_BSLASHca] = ACTIONS(1317),
    [anon_sym_BSLASHcp] = ACTIONS(1317),
    [anon_sym_BSLASHcd] = ACTIONS(1317),
    [anon_sym_BSLASHmte] = ACTIONS(1317),
    [anon_sym_BSLASHms] = ACTIONS(1317),
    [anon_sym_BSLASHs] = ACTIONS(1317),
    [anon_sym_BSLASHr] = ACTIONS(1317),
    [anon_sym_BSLASHsp] = ACTIONS(1317),
    [anon_sym_BSLASHd] = ACTIONS(1317),
    [anon_sym_BSLASHsd] = ACTIONS(1317),
    [anon_sym_BSLASHp] = ACTIONS(1317),
    [anon_sym_BSLASHm] = ACTIONS(1317),
    [anon_sym_BSLASHpo] = ACTIONS(1317),
    [anon_sym_BSLASHpr] = ACTIONS(1317),
    [anon_sym_BSLASHcls] = ACTIONS(1317),
    [anon_sym_BSLASHpmo] = ACTIONS(1317),
    [anon_sym_BSLASHpm] = ACTIONS(1317),
    [anon_sym_BSLASHpmc] = ACTIONS(1317),
    [anon_sym_BSLASHpmr] = ACTIONS(1317),
    [anon_sym_BSLASHpi] = ACTIONS(1317),
    [anon_sym_BSLASHmi] = ACTIONS(1317),
    [anon_sym_BSLASHnb] = ACTIONS(1317),
    [anon_sym_BSLASHpc] = ACTIONS(1317),
    [anon_sym_BSLASHph] = ACTIONS(1317),
    [anon_sym_BSLASHb] = ACTIONS(1317),
    [anon_sym_BSLASHq] = ACTIONS(1317),
    [anon_sym_BSLASHqr] = ACTIONS(1317),
    [anon_sym_BSLASHqc] = ACTIONS(1317),
    [anon_sym_BSLASHqa] = ACTIONS(1317),
    [anon_sym_BSLASHqm] = ACTIONS(1317),
    [anon_sym_BSLASHqd] = ACTIONS(1317),
    [anon_sym_BSLASHlh] = ACTIONS(1317),
    [anon_sym_BSLASHli] = ACTIONS(1317),
    [anon_sym_BSLASHlim] = ACTIONS(1317),
    [anon_sym_BSLASHtr] = ACTIONS(1317),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1317),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1317),
  },
  [86] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(86),
    [sym__comments] = STATE(86),
    [sym_sts] = STATE(86),
    [sym_rem] = STATE(86),
    [sym_restore] = STATE(86),
    [sym_lit] = STATE(86),
    [sym_verseText] = STATE(86),
    [sym_v] = STATE(86),
    [sym__verseMeta] = STATE(86),
    [sym_va] = STATE(86),
    [sym_vp] = STATE(86),
    [sym__paragraphContent] = STATE(86),
    [sym_footnote] = STATE(86),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(86),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(86),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(86),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(86),
    [ts_builtin_sym_end] = ACTIONS(1319),
    [aux_sym_text_token1] = ACTIONS(1321),
    [anon_sym_BSLASHref] = ACTIONS(1324),
    [anon_sym_BSLASHsts] = ACTIONS(1327),
    [anon_sym_BSLASHrem] = ACTIONS(1330),
    [anon_sym_BSLASHrestore] = ACTIONS(1333),
    [anon_sym_BSLASHlit] = ACTIONS(1336),
    [anon_sym_BSLASHip] = ACTIONS(1339),
    [anon_sym_BSLASHiex] = ACTIONS(1339),
    [anon_sym_BSLASHv] = ACTIONS(1341),
    [anon_sym_BSLASHva] = ACTIONS(1344),
    [anon_sym_BSLASHvp] = ACTIONS(1347),
    [anon_sym_BSLASHc] = ACTIONS(1339),
    [anon_sym_BSLASHcl] = ACTIONS(1339),
    [anon_sym_BSLASHca] = ACTIONS(1339),
    [anon_sym_BSLASHcp] = ACTIONS(1339),
    [anon_sym_BSLASHcd] = ACTIONS(1339),
    [anon_sym_BSLASHmte] = ACTIONS(1339),
    [anon_sym_BSLASHms] = ACTIONS(1339),
    [anon_sym_BSLASHs] = ACTIONS(1339),
    [anon_sym_BSLASHr] = ACTIONS(1339),
    [anon_sym_BSLASHsp] = ACTIONS(1339),
    [anon_sym_BSLASHd] = ACTIONS(1339),
    [anon_sym_BSLASHsd] = ACTIONS(1339),
    [anon_sym_BSLASHp] = ACTIONS(1339),
    [anon_sym_BSLASHm] = ACTIONS(1339),
    [anon_sym_BSLASHpo] = ACTIONS(1339),
    [anon_sym_BSLASHpr] = ACTIONS(1339),
    [anon_sym_BSLASHcls] = ACTIONS(1339),
    [anon_sym_BSLASHpmo] = ACTIONS(1339),
    [anon_sym_BSLASHpm] = ACTIONS(1339),
    [anon_sym_BSLASHpmc] = ACTIONS(1339),
    [anon_sym_BSLASHpmr] = ACTIONS(1339),
    [anon_sym_BSLASHpi] = ACTIONS(1339),
    [anon_sym_BSLASHmi] = ACTIONS(1339),
    [anon_sym_BSLASHnb] = ACTIONS(1339),
    [anon_sym_BSLASHpc] = ACTIONS(1339),
    [anon_sym_BSLASHph] = ACTIONS(1339),
    [anon_sym_BSLASHb] = ACTIONS(1339),
    [anon_sym_BSLASHq] = ACTIONS(1339),
    [anon_sym_BSLASHqr] = ACTIONS(1339),
    [anon_sym_BSLASHqc] = ACTIONS(1339),
    [anon_sym_BSLASHqa] = ACTIONS(1339),
    [anon_sym_BSLASHqm] = ACTIONS(1339),
    [anon_sym_BSLASHqd] = ACTIONS(1339),
    [anon_sym_BSLASHlh] = ACTIONS(1339),
    [anon_sym_BSLASHli] = ACTIONS(1339),
    [anon_sym_BSLASHlim] = ACTIONS(1339),
    [anon_sym_BSLASHtr] = ACTIONS(1339),
    [anon_sym_BSLASHf] = ACTIONS(1350),
    [anon_sym_BSLASHfe] = ACTIONS(1353),
    [anon_sym_BSLASHef] = ACTIONS(1356),
    [anon_sym_BSLASHfm] = ACTIONS(1359),
    [anon_sym_BSLASHx] = ACTIONS(1362),
    [anon_sym_BSLASHxt] = ACTIONS(1365),
    [anon_sym_BSLASHrq] = ACTIONS(1368),
    [anon_sym_BSLASHadd] = ACTIONS(1371),
    [anon_sym_BSLASHbk] = ACTIONS(1374),
    [anon_sym_BSLASHdc] = ACTIONS(1377),
    [anon_sym_BSLASHk] = ACTIONS(1380),
    [anon_sym_BSLASHnd] = ACTIONS(1383),
    [anon_sym_BSLASHord] = ACTIONS(1386),
    [anon_sym_BSLASHpn] = ACTIONS(1389),
    [anon_sym_BSLASHpng] = ACTIONS(1392),
    [anon_sym_BSLASHaddpn] = ACTIONS(1395),
    [anon_sym_BSLASHqt] = ACTIONS(1398),
    [anon_sym_BSLASHsig] = ACTIONS(1401),
    [anon_sym_BSLASHsls] = ACTIONS(1404),
    [anon_sym_BSLASHtl] = ACTIONS(1407),
    [anon_sym_BSLASHwj] = ACTIONS(1410),
    [anon_sym_BSLASHem] = ACTIONS(1413),
    [anon_sym_BSLASHbd] = ACTIONS(1416),
    [anon_sym_BSLASHit] = ACTIONS(1419),
    [anon_sym_BSLASHbdit] = ACTIONS(1422),
    [anon_sym_BSLASHno] = ACTIONS(1425),
    [anon_sym_BSLASHsc] = ACTIONS(1428),
    [anon_sym_BSLASHsup] = ACTIONS(1431),
    [anon_sym_BSLASHndx] = ACTIONS(1434),
    [anon_sym_BSLASHpro] = ACTIONS(1437),
    [anon_sym_BSLASHrb] = ACTIONS(1440),
    [anon_sym_BSLASHw] = ACTIONS(1443),
    [anon_sym_BSLASHwg] = ACTIONS(1446),
    [anon_sym_BSLASHwh] = ACTIONS(1449),
    [anon_sym_BSLASHwa] = ACTIONS(1452),
    [anon_sym_BSLASHfig] = ACTIONS(1455),
    [anon_sym_BSLASHjmp] = ACTIONS(1458),
    [anon_sym_BSLASHpb] = ACTIONS(1339),
    [anon_sym_BSLASH] = ACTIONS(1461),
    [sym_milestoneStartTag] = ACTIONS(1464),
    [sym_milestoneEndTag] = ACTIONS(1467),
    [sym_zSpaceTag] = ACTIONS(1470),
    [anon_sym_BSLASHesb] = ACTIONS(1339),
  },
  [87] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(86),
    [sym__comments] = STATE(86),
    [sym_sts] = STATE(86),
    [sym_rem] = STATE(86),
    [sym_restore] = STATE(86),
    [sym_lit] = STATE(86),
    [sym_verseText] = STATE(86),
    [sym_v] = STATE(86),
    [sym__verseMeta] = STATE(86),
    [sym_va] = STATE(86),
    [sym_vp] = STATE(86),
    [sym__paragraphContent] = STATE(86),
    [sym_footnote] = STATE(86),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(86),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(86),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(86),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(86),
    [ts_builtin_sym_end] = ACTIONS(1473),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1475),
    [anon_sym_BSLASHiex] = ACTIONS(1475),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1475),
    [anon_sym_BSLASHcl] = ACTIONS(1475),
    [anon_sym_BSLASHca] = ACTIONS(1475),
    [anon_sym_BSLASHcp] = ACTIONS(1475),
    [anon_sym_BSLASHcd] = ACTIONS(1475),
    [anon_sym_BSLASHmte] = ACTIONS(1475),
    [anon_sym_BSLASHms] = ACTIONS(1475),
    [anon_sym_BSLASHs] = ACTIONS(1475),
    [anon_sym_BSLASHr] = ACTIONS(1475),
    [anon_sym_BSLASHsp] = ACTIONS(1475),
    [anon_sym_BSLASHd] = ACTIONS(1475),
    [anon_sym_BSLASHsd] = ACTIONS(1475),
    [anon_sym_BSLASHp] = ACTIONS(1475),
    [anon_sym_BSLASHm] = ACTIONS(1475),
    [anon_sym_BSLASHpo] = ACTIONS(1475),
    [anon_sym_BSLASHpr] = ACTIONS(1475),
    [anon_sym_BSLASHcls] = ACTIONS(1475),
    [anon_sym_BSLASHpmo] = ACTIONS(1475),
    [anon_sym_BSLASHpm] = ACTIONS(1475),
    [anon_sym_BSLASHpmc] = ACTIONS(1475),
    [anon_sym_BSLASHpmr] = ACTIONS(1475),
    [anon_sym_BSLASHpi] = ACTIONS(1475),
    [anon_sym_BSLASHmi] = ACTIONS(1475),
    [anon_sym_BSLASHnb] = ACTIONS(1475),
    [anon_sym_BSLASHpc] = ACTIONS(1475),
    [anon_sym_BSLASHph] = ACTIONS(1475),
    [anon_sym_BSLASHb] = ACTIONS(1475),
    [anon_sym_BSLASHq] = ACTIONS(1475),
    [anon_sym_BSLASHqr] = ACTIONS(1475),
    [anon_sym_BSLASHqc] = ACTIONS(1475),
    [anon_sym_BSLASHqa] = ACTIONS(1475),
    [anon_sym_BSLASHqm] = ACTIONS(1475),
    [anon_sym_BSLASHqd] = ACTIONS(1475),
    [anon_sym_BSLASHlh] = ACTIONS(1475),
    [anon_sym_BSLASHli] = ACTIONS(1475),
    [anon_sym_BSLASHlim] = ACTIONS(1475),
    [anon_sym_BSLASHtr] = ACTIONS(1475),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1475),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1475),
  },
  [88] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(86),
    [sym__comments] = STATE(86),
    [sym_sts] = STATE(86),
    [sym_rem] = STATE(86),
    [sym_restore] = STATE(86),
    [sym_lit] = STATE(86),
    [sym_verseText] = STATE(86),
    [sym_v] = STATE(86),
    [sym__verseMeta] = STATE(86),
    [sym_va] = STATE(86),
    [sym_vp] = STATE(86),
    [sym__paragraphContent] = STATE(86),
    [sym_footnote] = STATE(86),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(86),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(86),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(86),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(86),
    [ts_builtin_sym_end] = ACTIONS(1477),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1479),
    [anon_sym_BSLASHiex] = ACTIONS(1479),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1479),
    [anon_sym_BSLASHcl] = ACTIONS(1479),
    [anon_sym_BSLASHca] = ACTIONS(1479),
    [anon_sym_BSLASHcp] = ACTIONS(1479),
    [anon_sym_BSLASHcd] = ACTIONS(1479),
    [anon_sym_BSLASHmte] = ACTIONS(1479),
    [anon_sym_BSLASHms] = ACTIONS(1479),
    [anon_sym_BSLASHs] = ACTIONS(1479),
    [anon_sym_BSLASHr] = ACTIONS(1479),
    [anon_sym_BSLASHsp] = ACTIONS(1479),
    [anon_sym_BSLASHd] = ACTIONS(1479),
    [anon_sym_BSLASHsd] = ACTIONS(1479),
    [anon_sym_BSLASHp] = ACTIONS(1479),
    [anon_sym_BSLASHm] = ACTIONS(1479),
    [anon_sym_BSLASHpo] = ACTIONS(1479),
    [anon_sym_BSLASHpr] = ACTIONS(1479),
    [anon_sym_BSLASHcls] = ACTIONS(1479),
    [anon_sym_BSLASHpmo] = ACTIONS(1479),
    [anon_sym_BSLASHpm] = ACTIONS(1479),
    [anon_sym_BSLASHpmc] = ACTIONS(1479),
    [anon_sym_BSLASHpmr] = ACTIONS(1479),
    [anon_sym_BSLASHpi] = ACTIONS(1479),
    [anon_sym_BSLASHmi] = ACTIONS(1479),
    [anon_sym_BSLASHnb] = ACTIONS(1479),
    [anon_sym_BSLASHpc] = ACTIONS(1479),
    [anon_sym_BSLASHph] = ACTIONS(1479),
    [anon_sym_BSLASHb] = ACTIONS(1479),
    [anon_sym_BSLASHq] = ACTIONS(1479),
    [anon_sym_BSLASHqr] = ACTIONS(1479),
    [anon_sym_BSLASHqc] = ACTIONS(1479),
    [anon_sym_BSLASHqa] = ACTIONS(1479),
    [anon_sym_BSLASHqm] = ACTIONS(1479),
    [anon_sym_BSLASHqd] = ACTIONS(1479),
    [anon_sym_BSLASHlh] = ACTIONS(1479),
    [anon_sym_BSLASHli] = ACTIONS(1479),
    [anon_sym_BSLASHlim] = ACTIONS(1479),
    [anon_sym_BSLASHtr] = ACTIONS(1479),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1479),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1479),
  },
  [89] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(93),
    [sym__comments] = STATE(93),
    [sym_sts] = STATE(93),
    [sym_rem] = STATE(93),
    [sym_restore] = STATE(93),
    [sym_lit] = STATE(93),
    [sym_verseText] = STATE(93),
    [sym_v] = STATE(93),
    [sym__verseMeta] = STATE(93),
    [sym_va] = STATE(93),
    [sym_vp] = STATE(93),
    [sym__paragraphContent] = STATE(93),
    [sym_footnote] = STATE(93),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(93),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(93),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(93),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(93),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1483),
    [anon_sym_BSLASHiex] = ACTIONS(1483),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1483),
    [anon_sym_BSLASHcl] = ACTIONS(1483),
    [anon_sym_BSLASHca] = ACTIONS(1483),
    [anon_sym_BSLASHcp] = ACTIONS(1483),
    [anon_sym_BSLASHcd] = ACTIONS(1483),
    [anon_sym_BSLASHmte] = ACTIONS(1483),
    [anon_sym_BSLASHms] = ACTIONS(1483),
    [anon_sym_BSLASHs] = ACTIONS(1483),
    [anon_sym_BSLASHr] = ACTIONS(1483),
    [anon_sym_BSLASHsp] = ACTIONS(1483),
    [anon_sym_BSLASHd] = ACTIONS(1483),
    [anon_sym_BSLASHsd] = ACTIONS(1483),
    [anon_sym_BSLASHp] = ACTIONS(1483),
    [anon_sym_BSLASHm] = ACTIONS(1483),
    [anon_sym_BSLASHpo] = ACTIONS(1483),
    [anon_sym_BSLASHpr] = ACTIONS(1483),
    [anon_sym_BSLASHcls] = ACTIONS(1483),
    [anon_sym_BSLASHpmo] = ACTIONS(1483),
    [anon_sym_BSLASHpm] = ACTIONS(1483),
    [anon_sym_BSLASHpmc] = ACTIONS(1483),
    [anon_sym_BSLASHpmr] = ACTIONS(1483),
    [anon_sym_BSLASHpi] = ACTIONS(1483),
    [anon_sym_BSLASHmi] = ACTIONS(1483),
    [anon_sym_BSLASHnb] = ACTIONS(1483),
    [anon_sym_BSLASHpc] = ACTIONS(1483),
    [anon_sym_BSLASHph] = ACTIONS(1483),
    [anon_sym_BSLASHb] = ACTIONS(1483),
    [anon_sym_BSLASHq] = ACTIONS(1483),
    [anon_sym_BSLASHqr] = ACTIONS(1483),
    [anon_sym_BSLASHqc] = ACTIONS(1483),
    [anon_sym_BSLASHqa] = ACTIONS(1483),
    [anon_sym_BSLASHqm] = ACTIONS(1483),
    [anon_sym_BSLASHqd] = ACTIONS(1483),
    [anon_sym_BSLASHlh] = ACTIONS(1483),
    [anon_sym_BSLASHli] = ACTIONS(1483),
    [anon_sym_BSLASHlim] = ACTIONS(1483),
    [anon_sym_BSLASHtr] = ACTIONS(1483),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1483),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1483),
  },
  [90] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(86),
    [sym__comments] = STATE(86),
    [sym_sts] = STATE(86),
    [sym_rem] = STATE(86),
    [sym_restore] = STATE(86),
    [sym_lit] = STATE(86),
    [sym_verseText] = STATE(86),
    [sym_v] = STATE(86),
    [sym__verseMeta] = STATE(86),
    [sym_va] = STATE(86),
    [sym_vp] = STATE(86),
    [sym__paragraphContent] = STATE(86),
    [sym_footnote] = STATE(86),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(86),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(86),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(86),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(86),
    [ts_builtin_sym_end] = ACTIONS(1485),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1487),
    [anon_sym_BSLASHiex] = ACTIONS(1487),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1487),
    [anon_sym_BSLASHcl] = ACTIONS(1487),
    [anon_sym_BSLASHca] = ACTIONS(1487),
    [anon_sym_BSLASHcp] = ACTIONS(1487),
    [anon_sym_BSLASHcd] = ACTIONS(1487),
    [anon_sym_BSLASHmte] = ACTIONS(1487),
    [anon_sym_BSLASHms] = ACTIONS(1487),
    [anon_sym_BSLASHs] = ACTIONS(1487),
    [anon_sym_BSLASHr] = ACTIONS(1487),
    [anon_sym_BSLASHsp] = ACTIONS(1487),
    [anon_sym_BSLASHd] = ACTIONS(1487),
    [anon_sym_BSLASHsd] = ACTIONS(1487),
    [anon_sym_BSLASHp] = ACTIONS(1487),
    [anon_sym_BSLASHm] = ACTIONS(1487),
    [anon_sym_BSLASHpo] = ACTIONS(1487),
    [anon_sym_BSLASHpr] = ACTIONS(1487),
    [anon_sym_BSLASHcls] = ACTIONS(1487),
    [anon_sym_BSLASHpmo] = ACTIONS(1487),
    [anon_sym_BSLASHpm] = ACTIONS(1487),
    [anon_sym_BSLASHpmc] = ACTIONS(1487),
    [anon_sym_BSLASHpmr] = ACTIONS(1487),
    [anon_sym_BSLASHpi] = ACTIONS(1487),
    [anon_sym_BSLASHmi] = ACTIONS(1487),
    [anon_sym_BSLASHnb] = ACTIONS(1487),
    [anon_sym_BSLASHpc] = ACTIONS(1487),
    [anon_sym_BSLASHph] = ACTIONS(1487),
    [anon_sym_BSLASHb] = ACTIONS(1487),
    [anon_sym_BSLASHq] = ACTIONS(1487),
    [anon_sym_BSLASHqr] = ACTIONS(1487),
    [anon_sym_BSLASHqc] = ACTIONS(1487),
    [anon_sym_BSLASHqa] = ACTIONS(1487),
    [anon_sym_BSLASHqm] = ACTIONS(1487),
    [anon_sym_BSLASHqd] = ACTIONS(1487),
    [anon_sym_BSLASHlh] = ACTIONS(1487),
    [anon_sym_BSLASHli] = ACTIONS(1487),
    [anon_sym_BSLASHlim] = ACTIONS(1487),
    [anon_sym_BSLASHtr] = ACTIONS(1487),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1487),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1487),
  },
  [91] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(96),
    [sym__comments] = STATE(96),
    [sym_sts] = STATE(96),
    [sym_rem] = STATE(96),
    [sym_restore] = STATE(96),
    [sym_lit] = STATE(96),
    [sym_verseText] = STATE(96),
    [sym_v] = STATE(96),
    [sym__verseMeta] = STATE(96),
    [sym_va] = STATE(96),
    [sym_vp] = STATE(96),
    [sym__paragraphContent] = STATE(96),
    [sym_footnote] = STATE(96),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(96),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(96),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(96),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(96),
    [ts_builtin_sym_end] = ACTIONS(1489),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1491),
    [anon_sym_BSLASHiex] = ACTIONS(1491),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1491),
    [anon_sym_BSLASHcl] = ACTIONS(1491),
    [anon_sym_BSLASHca] = ACTIONS(1491),
    [anon_sym_BSLASHcp] = ACTIONS(1491),
    [anon_sym_BSLASHcd] = ACTIONS(1491),
    [anon_sym_BSLASHmte] = ACTIONS(1491),
    [anon_sym_BSLASHms] = ACTIONS(1491),
    [anon_sym_BSLASHs] = ACTIONS(1491),
    [anon_sym_BSLASHr] = ACTIONS(1491),
    [anon_sym_BSLASHsp] = ACTIONS(1491),
    [anon_sym_BSLASHd] = ACTIONS(1491),
    [anon_sym_BSLASHsd] = ACTIONS(1491),
    [anon_sym_BSLASHp] = ACTIONS(1491),
    [anon_sym_BSLASHm] = ACTIONS(1491),
    [anon_sym_BSLASHpo] = ACTIONS(1491),
    [anon_sym_BSLASHpr] = ACTIONS(1491),
    [anon_sym_BSLASHcls] = ACTIONS(1491),
    [anon_sym_BSLASHpmo] = ACTIONS(1491),
    [anon_sym_BSLASHpm] = ACTIONS(1491),
    [anon_sym_BSLASHpmc] = ACTIONS(1491),
    [anon_sym_BSLASHpmr] = ACTIONS(1491),
    [anon_sym_BSLASHpi] = ACTIONS(1491),
    [anon_sym_BSLASHmi] = ACTIONS(1491),
    [anon_sym_BSLASHnb] = ACTIONS(1491),
    [anon_sym_BSLASHpc] = ACTIONS(1491),
    [anon_sym_BSLASHph] = ACTIONS(1491),
    [anon_sym_BSLASHb] = ACTIONS(1491),
    [anon_sym_BSLASHq] = ACTIONS(1491),
    [anon_sym_BSLASHqr] = ACTIONS(1491),
    [anon_sym_BSLASHqc] = ACTIONS(1491),
    [anon_sym_BSLASHqa] = ACTIONS(1491),
    [anon_sym_BSLASHqm] = ACTIONS(1491),
    [anon_sym_BSLASHqd] = ACTIONS(1491),
    [anon_sym_BSLASHlh] = ACTIONS(1491),
    [anon_sym_BSLASHli] = ACTIONS(1491),
    [anon_sym_BSLASHlim] = ACTIONS(1491),
    [anon_sym_BSLASHtr] = ACTIONS(1491),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1491),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1491),
  },
  [92] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(86),
    [sym__comments] = STATE(86),
    [sym_sts] = STATE(86),
    [sym_rem] = STATE(86),
    [sym_restore] = STATE(86),
    [sym_lit] = STATE(86),
    [sym_verseText] = STATE(86),
    [sym_v] = STATE(86),
    [sym__verseMeta] = STATE(86),
    [sym_va] = STATE(86),
    [sym_vp] = STATE(86),
    [sym__paragraphContent] = STATE(86),
    [sym_footnote] = STATE(86),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(86),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(86),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(86),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(86),
    [ts_builtin_sym_end] = ACTIONS(1493),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1495),
    [anon_sym_BSLASHiex] = ACTIONS(1495),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1495),
    [anon_sym_BSLASHcl] = ACTIONS(1495),
    [anon_sym_BSLASHca] = ACTIONS(1495),
    [anon_sym_BSLASHcp] = ACTIONS(1495),
    [anon_sym_BSLASHcd] = ACTIONS(1495),
    [anon_sym_BSLASHmte] = ACTIONS(1495),
    [anon_sym_BSLASHms] = ACTIONS(1495),
    [anon_sym_BSLASHs] = ACTIONS(1495),
    [anon_sym_BSLASHr] = ACTIONS(1495),
    [anon_sym_BSLASHsp] = ACTIONS(1495),
    [anon_sym_BSLASHd] = ACTIONS(1495),
    [anon_sym_BSLASHsd] = ACTIONS(1495),
    [anon_sym_BSLASHp] = ACTIONS(1495),
    [anon_sym_BSLASHm] = ACTIONS(1495),
    [anon_sym_BSLASHpo] = ACTIONS(1495),
    [anon_sym_BSLASHpr] = ACTIONS(1495),
    [anon_sym_BSLASHcls] = ACTIONS(1495),
    [anon_sym_BSLASHpmo] = ACTIONS(1495),
    [anon_sym_BSLASHpm] = ACTIONS(1495),
    [anon_sym_BSLASHpmc] = ACTIONS(1495),
    [anon_sym_BSLASHpmr] = ACTIONS(1495),
    [anon_sym_BSLASHpi] = ACTIONS(1495),
    [anon_sym_BSLASHmi] = ACTIONS(1495),
    [anon_sym_BSLASHnb] = ACTIONS(1495),
    [anon_sym_BSLASHpc] = ACTIONS(1495),
    [anon_sym_BSLASHph] = ACTIONS(1495),
    [anon_sym_BSLASHb] = ACTIONS(1495),
    [anon_sym_BSLASHq] = ACTIONS(1495),
    [anon_sym_BSLASHqr] = ACTIONS(1495),
    [anon_sym_BSLASHqc] = ACTIONS(1495),
    [anon_sym_BSLASHqa] = ACTIONS(1495),
    [anon_sym_BSLASHqm] = ACTIONS(1495),
    [anon_sym_BSLASHqd] = ACTIONS(1495),
    [anon_sym_BSLASHlh] = ACTIONS(1495),
    [anon_sym_BSLASHli] = ACTIONS(1495),
    [anon_sym_BSLASHlim] = ACTIONS(1495),
    [anon_sym_BSLASHtr] = ACTIONS(1495),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1495),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1495),
  },
  [93] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(86),
    [sym__comments] = STATE(86),
    [sym_sts] = STATE(86),
    [sym_rem] = STATE(86),
    [sym_restore] = STATE(86),
    [sym_lit] = STATE(86),
    [sym_verseText] = STATE(86),
    [sym_v] = STATE(86),
    [sym__verseMeta] = STATE(86),
    [sym_va] = STATE(86),
    [sym_vp] = STATE(86),
    [sym__paragraphContent] = STATE(86),
    [sym_footnote] = STATE(86),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(86),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(86),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(86),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(86),
    [ts_builtin_sym_end] = ACTIONS(1497),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1499),
    [anon_sym_BSLASHiex] = ACTIONS(1499),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1499),
    [anon_sym_BSLASHcl] = ACTIONS(1499),
    [anon_sym_BSLASHca] = ACTIONS(1499),
    [anon_sym_BSLASHcp] = ACTIONS(1499),
    [anon_sym_BSLASHcd] = ACTIONS(1499),
    [anon_sym_BSLASHmte] = ACTIONS(1499),
    [anon_sym_BSLASHms] = ACTIONS(1499),
    [anon_sym_BSLASHs] = ACTIONS(1499),
    [anon_sym_BSLASHr] = ACTIONS(1499),
    [anon_sym_BSLASHsp] = ACTIONS(1499),
    [anon_sym_BSLASHd] = ACTIONS(1499),
    [anon_sym_BSLASHsd] = ACTIONS(1499),
    [anon_sym_BSLASHp] = ACTIONS(1499),
    [anon_sym_BSLASHm] = ACTIONS(1499),
    [anon_sym_BSLASHpo] = ACTIONS(1499),
    [anon_sym_BSLASHpr] = ACTIONS(1499),
    [anon_sym_BSLASHcls] = ACTIONS(1499),
    [anon_sym_BSLASHpmo] = ACTIONS(1499),
    [anon_sym_BSLASHpm] = ACTIONS(1499),
    [anon_sym_BSLASHpmc] = ACTIONS(1499),
    [anon_sym_BSLASHpmr] = ACTIONS(1499),
    [anon_sym_BSLASHpi] = ACTIONS(1499),
    [anon_sym_BSLASHmi] = ACTIONS(1499),
    [anon_sym_BSLASHnb] = ACTIONS(1499),
    [anon_sym_BSLASHpc] = ACTIONS(1499),
    [anon_sym_BSLASHph] = ACTIONS(1499),
    [anon_sym_BSLASHb] = ACTIONS(1499),
    [anon_sym_BSLASHq] = ACTIONS(1499),
    [anon_sym_BSLASHqr] = ACTIONS(1499),
    [anon_sym_BSLASHqc] = ACTIONS(1499),
    [anon_sym_BSLASHqa] = ACTIONS(1499),
    [anon_sym_BSLASHqm] = ACTIONS(1499),
    [anon_sym_BSLASHqd] = ACTIONS(1499),
    [anon_sym_BSLASHlh] = ACTIONS(1499),
    [anon_sym_BSLASHli] = ACTIONS(1499),
    [anon_sym_BSLASHlim] = ACTIONS(1499),
    [anon_sym_BSLASHtr] = ACTIONS(1499),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1499),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1499),
  },
  [94] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(86),
    [sym__comments] = STATE(86),
    [sym_sts] = STATE(86),
    [sym_rem] = STATE(86),
    [sym_restore] = STATE(86),
    [sym_lit] = STATE(86),
    [sym_verseText] = STATE(86),
    [sym_v] = STATE(86),
    [sym__verseMeta] = STATE(86),
    [sym_va] = STATE(86),
    [sym_vp] = STATE(86),
    [sym__paragraphContent] = STATE(86),
    [sym_footnote] = STATE(86),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(86),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(86),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(86),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(86),
    [ts_builtin_sym_end] = ACTIONS(1501),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1503),
    [anon_sym_BSLASHiex] = ACTIONS(1503),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1503),
    [anon_sym_BSLASHcl] = ACTIONS(1503),
    [anon_sym_BSLASHca] = ACTIONS(1503),
    [anon_sym_BSLASHcp] = ACTIONS(1503),
    [anon_sym_BSLASHcd] = ACTIONS(1503),
    [anon_sym_BSLASHmte] = ACTIONS(1503),
    [anon_sym_BSLASHms] = ACTIONS(1503),
    [anon_sym_BSLASHs] = ACTIONS(1503),
    [anon_sym_BSLASHr] = ACTIONS(1503),
    [anon_sym_BSLASHsp] = ACTIONS(1503),
    [anon_sym_BSLASHd] = ACTIONS(1503),
    [anon_sym_BSLASHsd] = ACTIONS(1503),
    [anon_sym_BSLASHp] = ACTIONS(1503),
    [anon_sym_BSLASHm] = ACTIONS(1503),
    [anon_sym_BSLASHpo] = ACTIONS(1503),
    [anon_sym_BSLASHpr] = ACTIONS(1503),
    [anon_sym_BSLASHcls] = ACTIONS(1503),
    [anon_sym_BSLASHpmo] = ACTIONS(1503),
    [anon_sym_BSLASHpm] = ACTIONS(1503),
    [anon_sym_BSLASHpmc] = ACTIONS(1503),
    [anon_sym_BSLASHpmr] = ACTIONS(1503),
    [anon_sym_BSLASHpi] = ACTIONS(1503),
    [anon_sym_BSLASHmi] = ACTIONS(1503),
    [anon_sym_BSLASHnb] = ACTIONS(1503),
    [anon_sym_BSLASHpc] = ACTIONS(1503),
    [anon_sym_BSLASHph] = ACTIONS(1503),
    [anon_sym_BSLASHb] = ACTIONS(1503),
    [anon_sym_BSLASHq] = ACTIONS(1503),
    [anon_sym_BSLASHqr] = ACTIONS(1503),
    [anon_sym_BSLASHqc] = ACTIONS(1503),
    [anon_sym_BSLASHqa] = ACTIONS(1503),
    [anon_sym_BSLASHqm] = ACTIONS(1503),
    [anon_sym_BSLASHqd] = ACTIONS(1503),
    [anon_sym_BSLASHlh] = ACTIONS(1503),
    [anon_sym_BSLASHli] = ACTIONS(1503),
    [anon_sym_BSLASHlim] = ACTIONS(1503),
    [anon_sym_BSLASHtr] = ACTIONS(1503),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1503),
  },
  [95] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(86),
    [sym__comments] = STATE(86),
    [sym_sts] = STATE(86),
    [sym_rem] = STATE(86),
    [sym_restore] = STATE(86),
    [sym_lit] = STATE(86),
    [sym_verseText] = STATE(86),
    [sym_v] = STATE(86),
    [sym__verseMeta] = STATE(86),
    [sym_va] = STATE(86),
    [sym_vp] = STATE(86),
    [sym__paragraphContent] = STATE(86),
    [sym_footnote] = STATE(86),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(86),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(86),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(86),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(86),
    [ts_builtin_sym_end] = ACTIONS(1505),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1507),
    [anon_sym_BSLASHiex] = ACTIONS(1507),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1507),
    [anon_sym_BSLASHcl] = ACTIONS(1507),
    [anon_sym_BSLASHca] = ACTIONS(1507),
    [anon_sym_BSLASHcp] = ACTIONS(1507),
    [anon_sym_BSLASHcd] = ACTIONS(1507),
    [anon_sym_BSLASHmte] = ACTIONS(1507),
    [anon_sym_BSLASHms] = ACTIONS(1507),
    [anon_sym_BSLASHs] = ACTIONS(1507),
    [anon_sym_BSLASHr] = ACTIONS(1507),
    [anon_sym_BSLASHsp] = ACTIONS(1507),
    [anon_sym_BSLASHd] = ACTIONS(1507),
    [anon_sym_BSLASHsd] = ACTIONS(1507),
    [anon_sym_BSLASHp] = ACTIONS(1507),
    [anon_sym_BSLASHm] = ACTIONS(1507),
    [anon_sym_BSLASHpo] = ACTIONS(1507),
    [anon_sym_BSLASHpr] = ACTIONS(1507),
    [anon_sym_BSLASHcls] = ACTIONS(1507),
    [anon_sym_BSLASHpmo] = ACTIONS(1507),
    [anon_sym_BSLASHpm] = ACTIONS(1507),
    [anon_sym_BSLASHpmc] = ACTIONS(1507),
    [anon_sym_BSLASHpmr] = ACTIONS(1507),
    [anon_sym_BSLASHpi] = ACTIONS(1507),
    [anon_sym_BSLASHmi] = ACTIONS(1507),
    [anon_sym_BSLASHnb] = ACTIONS(1507),
    [anon_sym_BSLASHpc] = ACTIONS(1507),
    [anon_sym_BSLASHph] = ACTIONS(1507),
    [anon_sym_BSLASHb] = ACTIONS(1507),
    [anon_sym_BSLASHq] = ACTIONS(1507),
    [anon_sym_BSLASHqr] = ACTIONS(1507),
    [anon_sym_BSLASHqc] = ACTIONS(1507),
    [anon_sym_BSLASHqa] = ACTIONS(1507),
    [anon_sym_BSLASHqm] = ACTIONS(1507),
    [anon_sym_BSLASHqd] = ACTIONS(1507),
    [anon_sym_BSLASHlh] = ACTIONS(1507),
    [anon_sym_BSLASHli] = ACTIONS(1507),
    [anon_sym_BSLASHlim] = ACTIONS(1507),
    [anon_sym_BSLASHtr] = ACTIONS(1507),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1507),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1507),
  },
  [96] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(86),
    [sym__comments] = STATE(86),
    [sym_sts] = STATE(86),
    [sym_rem] = STATE(86),
    [sym_restore] = STATE(86),
    [sym_lit] = STATE(86),
    [sym_verseText] = STATE(86),
    [sym_v] = STATE(86),
    [sym__verseMeta] = STATE(86),
    [sym_va] = STATE(86),
    [sym_vp] = STATE(86),
    [sym__paragraphContent] = STATE(86),
    [sym_footnote] = STATE(86),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(86),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(86),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(86),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(86),
    [ts_builtin_sym_end] = ACTIONS(1509),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1511),
    [anon_sym_BSLASHiex] = ACTIONS(1511),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1511),
    [anon_sym_BSLASHcl] = ACTIONS(1511),
    [anon_sym_BSLASHca] = ACTIONS(1511),
    [anon_sym_BSLASHcp] = ACTIONS(1511),
    [anon_sym_BSLASHcd] = ACTIONS(1511),
    [anon_sym_BSLASHmte] = ACTIONS(1511),
    [anon_sym_BSLASHms] = ACTIONS(1511),
    [anon_sym_BSLASHs] = ACTIONS(1511),
    [anon_sym_BSLASHr] = ACTIONS(1511),
    [anon_sym_BSLASHsp] = ACTIONS(1511),
    [anon_sym_BSLASHd] = ACTIONS(1511),
    [anon_sym_BSLASHsd] = ACTIONS(1511),
    [anon_sym_BSLASHp] = ACTIONS(1511),
    [anon_sym_BSLASHm] = ACTIONS(1511),
    [anon_sym_BSLASHpo] = ACTIONS(1511),
    [anon_sym_BSLASHpr] = ACTIONS(1511),
    [anon_sym_BSLASHcls] = ACTIONS(1511),
    [anon_sym_BSLASHpmo] = ACTIONS(1511),
    [anon_sym_BSLASHpm] = ACTIONS(1511),
    [anon_sym_BSLASHpmc] = ACTIONS(1511),
    [anon_sym_BSLASHpmr] = ACTIONS(1511),
    [anon_sym_BSLASHpi] = ACTIONS(1511),
    [anon_sym_BSLASHmi] = ACTIONS(1511),
    [anon_sym_BSLASHnb] = ACTIONS(1511),
    [anon_sym_BSLASHpc] = ACTIONS(1511),
    [anon_sym_BSLASHph] = ACTIONS(1511),
    [anon_sym_BSLASHb] = ACTIONS(1511),
    [anon_sym_BSLASHq] = ACTIONS(1511),
    [anon_sym_BSLASHqr] = ACTIONS(1511),
    [anon_sym_BSLASHqc] = ACTIONS(1511),
    [anon_sym_BSLASHqa] = ACTIONS(1511),
    [anon_sym_BSLASHqm] = ACTIONS(1511),
    [anon_sym_BSLASHqd] = ACTIONS(1511),
    [anon_sym_BSLASHlh] = ACTIONS(1511),
    [anon_sym_BSLASHli] = ACTIONS(1511),
    [anon_sym_BSLASHlim] = ACTIONS(1511),
    [anon_sym_BSLASHtr] = ACTIONS(1511),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1511),
  },
  [97] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(82),
    [sym__comments] = STATE(82),
    [sym_sts] = STATE(82),
    [sym_rem] = STATE(82),
    [sym_restore] = STATE(82),
    [sym_lit] = STATE(82),
    [sym_verseText] = STATE(82),
    [sym_v] = STATE(82),
    [sym__verseMeta] = STATE(82),
    [sym_va] = STATE(82),
    [sym_vp] = STATE(82),
    [sym__paragraphContent] = STATE(82),
    [sym_footnote] = STATE(82),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(82),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(82),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(82),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(82),
    [ts_builtin_sym_end] = ACTIONS(1513),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1515),
    [anon_sym_BSLASHiex] = ACTIONS(1515),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1515),
    [anon_sym_BSLASHcl] = ACTIONS(1515),
    [anon_sym_BSLASHca] = ACTIONS(1515),
    [anon_sym_BSLASHcp] = ACTIONS(1515),
    [anon_sym_BSLASHcd] = ACTIONS(1515),
    [anon_sym_BSLASHmte] = ACTIONS(1515),
    [anon_sym_BSLASHms] = ACTIONS(1515),
    [anon_sym_BSLASHs] = ACTIONS(1515),
    [anon_sym_BSLASHr] = ACTIONS(1515),
    [anon_sym_BSLASHsp] = ACTIONS(1515),
    [anon_sym_BSLASHd] = ACTIONS(1515),
    [anon_sym_BSLASHsd] = ACTIONS(1515),
    [anon_sym_BSLASHp] = ACTIONS(1515),
    [anon_sym_BSLASHm] = ACTIONS(1515),
    [anon_sym_BSLASHpo] = ACTIONS(1515),
    [anon_sym_BSLASHpr] = ACTIONS(1515),
    [anon_sym_BSLASHcls] = ACTIONS(1515),
    [anon_sym_BSLASHpmo] = ACTIONS(1515),
    [anon_sym_BSLASHpm] = ACTIONS(1515),
    [anon_sym_BSLASHpmc] = ACTIONS(1515),
    [anon_sym_BSLASHpmr] = ACTIONS(1515),
    [anon_sym_BSLASHpi] = ACTIONS(1515),
    [anon_sym_BSLASHmi] = ACTIONS(1515),
    [anon_sym_BSLASHnb] = ACTIONS(1515),
    [anon_sym_BSLASHpc] = ACTIONS(1515),
    [anon_sym_BSLASHph] = ACTIONS(1515),
    [anon_sym_BSLASHb] = ACTIONS(1515),
    [anon_sym_BSLASHq] = ACTIONS(1515),
    [anon_sym_BSLASHqr] = ACTIONS(1515),
    [anon_sym_BSLASHqc] = ACTIONS(1515),
    [anon_sym_BSLASHqa] = ACTIONS(1515),
    [anon_sym_BSLASHqm] = ACTIONS(1515),
    [anon_sym_BSLASHqd] = ACTIONS(1515),
    [anon_sym_BSLASHlh] = ACTIONS(1515),
    [anon_sym_BSLASHli] = ACTIONS(1515),
    [anon_sym_BSLASHlim] = ACTIONS(1515),
    [anon_sym_BSLASHtr] = ACTIONS(1515),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1515),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1515),
  },
  [98] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(81),
    [sym__comments] = STATE(81),
    [sym_sts] = STATE(81),
    [sym_rem] = STATE(81),
    [sym_restore] = STATE(81),
    [sym_lit] = STATE(81),
    [sym_verseText] = STATE(81),
    [sym_v] = STATE(81),
    [sym__verseMeta] = STATE(81),
    [sym_va] = STATE(81),
    [sym_vp] = STATE(81),
    [sym__paragraphContent] = STATE(81),
    [sym_footnote] = STATE(81),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(81),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(81),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(81),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(81),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1519),
    [anon_sym_BSLASHiex] = ACTIONS(1519),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1519),
    [anon_sym_BSLASHcl] = ACTIONS(1519),
    [anon_sym_BSLASHca] = ACTIONS(1519),
    [anon_sym_BSLASHcp] = ACTIONS(1519),
    [anon_sym_BSLASHcd] = ACTIONS(1519),
    [anon_sym_BSLASHmte] = ACTIONS(1519),
    [anon_sym_BSLASHms] = ACTIONS(1519),
    [anon_sym_BSLASHs] = ACTIONS(1519),
    [anon_sym_BSLASHr] = ACTIONS(1519),
    [anon_sym_BSLASHsp] = ACTIONS(1519),
    [anon_sym_BSLASHd] = ACTIONS(1519),
    [anon_sym_BSLASHsd] = ACTIONS(1519),
    [anon_sym_BSLASHp] = ACTIONS(1519),
    [anon_sym_BSLASHm] = ACTIONS(1519),
    [anon_sym_BSLASHpo] = ACTIONS(1519),
    [anon_sym_BSLASHpr] = ACTIONS(1519),
    [anon_sym_BSLASHcls] = ACTIONS(1519),
    [anon_sym_BSLASHpmo] = ACTIONS(1519),
    [anon_sym_BSLASHpm] = ACTIONS(1519),
    [anon_sym_BSLASHpmc] = ACTIONS(1519),
    [anon_sym_BSLASHpmr] = ACTIONS(1519),
    [anon_sym_BSLASHpi] = ACTIONS(1519),
    [anon_sym_BSLASHmi] = ACTIONS(1519),
    [anon_sym_BSLASHnb] = ACTIONS(1519),
    [anon_sym_BSLASHpc] = ACTIONS(1519),
    [anon_sym_BSLASHph] = ACTIONS(1519),
    [anon_sym_BSLASHb] = ACTIONS(1519),
    [anon_sym_BSLASHq] = ACTIONS(1519),
    [anon_sym_BSLASHqr] = ACTIONS(1519),
    [anon_sym_BSLASHqc] = ACTIONS(1519),
    [anon_sym_BSLASHqa] = ACTIONS(1519),
    [anon_sym_BSLASHqm] = ACTIONS(1519),
    [anon_sym_BSLASHqd] = ACTIONS(1519),
    [anon_sym_BSLASHlh] = ACTIONS(1519),
    [anon_sym_BSLASHli] = ACTIONS(1519),
    [anon_sym_BSLASHlim] = ACTIONS(1519),
    [anon_sym_BSLASHtr] = ACTIONS(1519),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1519),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1519),
  },
  [99] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(80),
    [sym__comments] = STATE(80),
    [sym_sts] = STATE(80),
    [sym_rem] = STATE(80),
    [sym_restore] = STATE(80),
    [sym_lit] = STATE(80),
    [sym_verseText] = STATE(80),
    [sym_v] = STATE(80),
    [sym__verseMeta] = STATE(80),
    [sym_va] = STATE(80),
    [sym_vp] = STATE(80),
    [sym__paragraphContent] = STATE(80),
    [sym_footnote] = STATE(80),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(80),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(80),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(80),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(80),
    [ts_builtin_sym_end] = ACTIONS(1521),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1523),
    [anon_sym_BSLASHiex] = ACTIONS(1523),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1523),
    [anon_sym_BSLASHcl] = ACTIONS(1523),
    [anon_sym_BSLASHca] = ACTIONS(1523),
    [anon_sym_BSLASHcp] = ACTIONS(1523),
    [anon_sym_BSLASHcd] = ACTIONS(1523),
    [anon_sym_BSLASHmte] = ACTIONS(1523),
    [anon_sym_BSLASHms] = ACTIONS(1523),
    [anon_sym_BSLASHs] = ACTIONS(1523),
    [anon_sym_BSLASHr] = ACTIONS(1523),
    [anon_sym_BSLASHsp] = ACTIONS(1523),
    [anon_sym_BSLASHd] = ACTIONS(1523),
    [anon_sym_BSLASHsd] = ACTIONS(1523),
    [anon_sym_BSLASHp] = ACTIONS(1523),
    [anon_sym_BSLASHm] = ACTIONS(1523),
    [anon_sym_BSLASHpo] = ACTIONS(1523),
    [anon_sym_BSLASHpr] = ACTIONS(1523),
    [anon_sym_BSLASHcls] = ACTIONS(1523),
    [anon_sym_BSLASHpmo] = ACTIONS(1523),
    [anon_sym_BSLASHpm] = ACTIONS(1523),
    [anon_sym_BSLASHpmc] = ACTIONS(1523),
    [anon_sym_BSLASHpmr] = ACTIONS(1523),
    [anon_sym_BSLASHpi] = ACTIONS(1523),
    [anon_sym_BSLASHmi] = ACTIONS(1523),
    [anon_sym_BSLASHnb] = ACTIONS(1523),
    [anon_sym_BSLASHpc] = ACTIONS(1523),
    [anon_sym_BSLASHph] = ACTIONS(1523),
    [anon_sym_BSLASHb] = ACTIONS(1523),
    [anon_sym_BSLASHq] = ACTIONS(1523),
    [anon_sym_BSLASHqr] = ACTIONS(1523),
    [anon_sym_BSLASHqc] = ACTIONS(1523),
    [anon_sym_BSLASHqa] = ACTIONS(1523),
    [anon_sym_BSLASHqm] = ACTIONS(1523),
    [anon_sym_BSLASHqd] = ACTIONS(1523),
    [anon_sym_BSLASHlh] = ACTIONS(1523),
    [anon_sym_BSLASHli] = ACTIONS(1523),
    [anon_sym_BSLASHlim] = ACTIONS(1523),
    [anon_sym_BSLASHtr] = ACTIONS(1523),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1523),
  },
  [100] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(90),
    [sym__comments] = STATE(90),
    [sym_sts] = STATE(90),
    [sym_rem] = STATE(90),
    [sym_restore] = STATE(90),
    [sym_lit] = STATE(90),
    [sym_verseText] = STATE(90),
    [sym_v] = STATE(90),
    [sym__verseMeta] = STATE(90),
    [sym_va] = STATE(90),
    [sym_vp] = STATE(90),
    [sym__paragraphContent] = STATE(90),
    [sym_footnote] = STATE(90),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(90),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(90),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(90),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(90),
    [ts_builtin_sym_end] = ACTIONS(1525),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1527),
    [anon_sym_BSLASHiex] = ACTIONS(1527),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1527),
    [anon_sym_BSLASHcl] = ACTIONS(1527),
    [anon_sym_BSLASHca] = ACTIONS(1527),
    [anon_sym_BSLASHcp] = ACTIONS(1527),
    [anon_sym_BSLASHcd] = ACTIONS(1527),
    [anon_sym_BSLASHmte] = ACTIONS(1527),
    [anon_sym_BSLASHms] = ACTIONS(1527),
    [anon_sym_BSLASHs] = ACTIONS(1527),
    [anon_sym_BSLASHr] = ACTIONS(1527),
    [anon_sym_BSLASHsp] = ACTIONS(1527),
    [anon_sym_BSLASHd] = ACTIONS(1527),
    [anon_sym_BSLASHsd] = ACTIONS(1527),
    [anon_sym_BSLASHp] = ACTIONS(1527),
    [anon_sym_BSLASHm] = ACTIONS(1527),
    [anon_sym_BSLASHpo] = ACTIONS(1527),
    [anon_sym_BSLASHpr] = ACTIONS(1527),
    [anon_sym_BSLASHcls] = ACTIONS(1527),
    [anon_sym_BSLASHpmo] = ACTIONS(1527),
    [anon_sym_BSLASHpm] = ACTIONS(1527),
    [anon_sym_BSLASHpmc] = ACTIONS(1527),
    [anon_sym_BSLASHpmr] = ACTIONS(1527),
    [anon_sym_BSLASHpi] = ACTIONS(1527),
    [anon_sym_BSLASHmi] = ACTIONS(1527),
    [anon_sym_BSLASHnb] = ACTIONS(1527),
    [anon_sym_BSLASHpc] = ACTIONS(1527),
    [anon_sym_BSLASHph] = ACTIONS(1527),
    [anon_sym_BSLASHb] = ACTIONS(1527),
    [anon_sym_BSLASHq] = ACTIONS(1527),
    [anon_sym_BSLASHqr] = ACTIONS(1527),
    [anon_sym_BSLASHqc] = ACTIONS(1527),
    [anon_sym_BSLASHqa] = ACTIONS(1527),
    [anon_sym_BSLASHqm] = ACTIONS(1527),
    [anon_sym_BSLASHqd] = ACTIONS(1527),
    [anon_sym_BSLASHlh] = ACTIONS(1527),
    [anon_sym_BSLASHli] = ACTIONS(1527),
    [anon_sym_BSLASHlim] = ACTIONS(1527),
    [anon_sym_BSLASHtr] = ACTIONS(1527),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1527),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1527),
  },
  [101] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(88),
    [sym__comments] = STATE(88),
    [sym_sts] = STATE(88),
    [sym_rem] = STATE(88),
    [sym_restore] = STATE(88),
    [sym_lit] = STATE(88),
    [sym_verseText] = STATE(88),
    [sym_v] = STATE(88),
    [sym__verseMeta] = STATE(88),
    [sym_va] = STATE(88),
    [sym_vp] = STATE(88),
    [sym__paragraphContent] = STATE(88),
    [sym_footnote] = STATE(88),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(88),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(88),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(88),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(88),
    [ts_builtin_sym_end] = ACTIONS(1529),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1531),
    [anon_sym_BSLASHiex] = ACTIONS(1531),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1531),
    [anon_sym_BSLASHcl] = ACTIONS(1531),
    [anon_sym_BSLASHca] = ACTIONS(1531),
    [anon_sym_BSLASHcp] = ACTIONS(1531),
    [anon_sym_BSLASHcd] = ACTIONS(1531),
    [anon_sym_BSLASHmte] = ACTIONS(1531),
    [anon_sym_BSLASHms] = ACTIONS(1531),
    [anon_sym_BSLASHs] = ACTIONS(1531),
    [anon_sym_BSLASHr] = ACTIONS(1531),
    [anon_sym_BSLASHsp] = ACTIONS(1531),
    [anon_sym_BSLASHd] = ACTIONS(1531),
    [anon_sym_BSLASHsd] = ACTIONS(1531),
    [anon_sym_BSLASHp] = ACTIONS(1531),
    [anon_sym_BSLASHm] = ACTIONS(1531),
    [anon_sym_BSLASHpo] = ACTIONS(1531),
    [anon_sym_BSLASHpr] = ACTIONS(1531),
    [anon_sym_BSLASHcls] = ACTIONS(1531),
    [anon_sym_BSLASHpmo] = ACTIONS(1531),
    [anon_sym_BSLASHpm] = ACTIONS(1531),
    [anon_sym_BSLASHpmc] = ACTIONS(1531),
    [anon_sym_BSLASHpmr] = ACTIONS(1531),
    [anon_sym_BSLASHpi] = ACTIONS(1531),
    [anon_sym_BSLASHmi] = ACTIONS(1531),
    [anon_sym_BSLASHnb] = ACTIONS(1531),
    [anon_sym_BSLASHpc] = ACTIONS(1531),
    [anon_sym_BSLASHph] = ACTIONS(1531),
    [anon_sym_BSLASHb] = ACTIONS(1531),
    [anon_sym_BSLASHq] = ACTIONS(1531),
    [anon_sym_BSLASHqr] = ACTIONS(1531),
    [anon_sym_BSLASHqc] = ACTIONS(1531),
    [anon_sym_BSLASHqa] = ACTIONS(1531),
    [anon_sym_BSLASHqm] = ACTIONS(1531),
    [anon_sym_BSLASHqd] = ACTIONS(1531),
    [anon_sym_BSLASHlh] = ACTIONS(1531),
    [anon_sym_BSLASHli] = ACTIONS(1531),
    [anon_sym_BSLASHlim] = ACTIONS(1531),
    [anon_sym_BSLASHtr] = ACTIONS(1531),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1531),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1531),
  },
  [102] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(87),
    [sym__comments] = STATE(87),
    [sym_sts] = STATE(87),
    [sym_rem] = STATE(87),
    [sym_restore] = STATE(87),
    [sym_lit] = STATE(87),
    [sym_verseText] = STATE(87),
    [sym_v] = STATE(87),
    [sym__verseMeta] = STATE(87),
    [sym_va] = STATE(87),
    [sym_vp] = STATE(87),
    [sym__paragraphContent] = STATE(87),
    [sym_footnote] = STATE(87),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(87),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(87),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(87),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(87),
    [ts_builtin_sym_end] = ACTIONS(1533),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1535),
    [anon_sym_BSLASHiex] = ACTIONS(1535),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1535),
    [anon_sym_BSLASHcl] = ACTIONS(1535),
    [anon_sym_BSLASHca] = ACTIONS(1535),
    [anon_sym_BSLASHcp] = ACTIONS(1535),
    [anon_sym_BSLASHcd] = ACTIONS(1535),
    [anon_sym_BSLASHmte] = ACTIONS(1535),
    [anon_sym_BSLASHms] = ACTIONS(1535),
    [anon_sym_BSLASHs] = ACTIONS(1535),
    [anon_sym_BSLASHr] = ACTIONS(1535),
    [anon_sym_BSLASHsp] = ACTIONS(1535),
    [anon_sym_BSLASHd] = ACTIONS(1535),
    [anon_sym_BSLASHsd] = ACTIONS(1535),
    [anon_sym_BSLASHp] = ACTIONS(1535),
    [anon_sym_BSLASHm] = ACTIONS(1535),
    [anon_sym_BSLASHpo] = ACTIONS(1535),
    [anon_sym_BSLASHpr] = ACTIONS(1535),
    [anon_sym_BSLASHcls] = ACTIONS(1535),
    [anon_sym_BSLASHpmo] = ACTIONS(1535),
    [anon_sym_BSLASHpm] = ACTIONS(1535),
    [anon_sym_BSLASHpmc] = ACTIONS(1535),
    [anon_sym_BSLASHpmr] = ACTIONS(1535),
    [anon_sym_BSLASHpi] = ACTIONS(1535),
    [anon_sym_BSLASHmi] = ACTIONS(1535),
    [anon_sym_BSLASHnb] = ACTIONS(1535),
    [anon_sym_BSLASHpc] = ACTIONS(1535),
    [anon_sym_BSLASHph] = ACTIONS(1535),
    [anon_sym_BSLASHb] = ACTIONS(1535),
    [anon_sym_BSLASHq] = ACTIONS(1535),
    [anon_sym_BSLASHqr] = ACTIONS(1535),
    [anon_sym_BSLASHqc] = ACTIONS(1535),
    [anon_sym_BSLASHqa] = ACTIONS(1535),
    [anon_sym_BSLASHqm] = ACTIONS(1535),
    [anon_sym_BSLASHqd] = ACTIONS(1535),
    [anon_sym_BSLASHlh] = ACTIONS(1535),
    [anon_sym_BSLASHli] = ACTIONS(1535),
    [anon_sym_BSLASHlim] = ACTIONS(1535),
    [anon_sym_BSLASHtr] = ACTIONS(1535),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1535),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1535),
  },
  [103] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(85),
    [sym__comments] = STATE(85),
    [sym_sts] = STATE(85),
    [sym_rem] = STATE(85),
    [sym_restore] = STATE(85),
    [sym_lit] = STATE(85),
    [sym_verseText] = STATE(85),
    [sym_v] = STATE(85),
    [sym__verseMeta] = STATE(85),
    [sym_va] = STATE(85),
    [sym_vp] = STATE(85),
    [sym__paragraphContent] = STATE(85),
    [sym_footnote] = STATE(85),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(85),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(85),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(85),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(85),
    [ts_builtin_sym_end] = ACTIONS(1537),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1539),
    [anon_sym_BSLASHiex] = ACTIONS(1539),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1539),
    [anon_sym_BSLASHcl] = ACTIONS(1539),
    [anon_sym_BSLASHca] = ACTIONS(1539),
    [anon_sym_BSLASHcp] = ACTIONS(1539),
    [anon_sym_BSLASHcd] = ACTIONS(1539),
    [anon_sym_BSLASHmte] = ACTIONS(1539),
    [anon_sym_BSLASHms] = ACTIONS(1539),
    [anon_sym_BSLASHs] = ACTIONS(1539),
    [anon_sym_BSLASHr] = ACTIONS(1539),
    [anon_sym_BSLASHsp] = ACTIONS(1539),
    [anon_sym_BSLASHd] = ACTIONS(1539),
    [anon_sym_BSLASHsd] = ACTIONS(1539),
    [anon_sym_BSLASHp] = ACTIONS(1539),
    [anon_sym_BSLASHm] = ACTIONS(1539),
    [anon_sym_BSLASHpo] = ACTIONS(1539),
    [anon_sym_BSLASHpr] = ACTIONS(1539),
    [anon_sym_BSLASHcls] = ACTIONS(1539),
    [anon_sym_BSLASHpmo] = ACTIONS(1539),
    [anon_sym_BSLASHpm] = ACTIONS(1539),
    [anon_sym_BSLASHpmc] = ACTIONS(1539),
    [anon_sym_BSLASHpmr] = ACTIONS(1539),
    [anon_sym_BSLASHpi] = ACTIONS(1539),
    [anon_sym_BSLASHmi] = ACTIONS(1539),
    [anon_sym_BSLASHnb] = ACTIONS(1539),
    [anon_sym_BSLASHpc] = ACTIONS(1539),
    [anon_sym_BSLASHph] = ACTIONS(1539),
    [anon_sym_BSLASHb] = ACTIONS(1539),
    [anon_sym_BSLASHq] = ACTIONS(1539),
    [anon_sym_BSLASHqr] = ACTIONS(1539),
    [anon_sym_BSLASHqc] = ACTIONS(1539),
    [anon_sym_BSLASHqa] = ACTIONS(1539),
    [anon_sym_BSLASHqm] = ACTIONS(1539),
    [anon_sym_BSLASHqd] = ACTIONS(1539),
    [anon_sym_BSLASHlh] = ACTIONS(1539),
    [anon_sym_BSLASHli] = ACTIONS(1539),
    [anon_sym_BSLASHlim] = ACTIONS(1539),
    [anon_sym_BSLASHtr] = ACTIONS(1539),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1539),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1539),
  },
  [104] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(84),
    [sym__comments] = STATE(84),
    [sym_sts] = STATE(84),
    [sym_rem] = STATE(84),
    [sym_restore] = STATE(84),
    [sym_lit] = STATE(84),
    [sym_verseText] = STATE(84),
    [sym_v] = STATE(84),
    [sym__verseMeta] = STATE(84),
    [sym_va] = STATE(84),
    [sym_vp] = STATE(84),
    [sym__paragraphContent] = STATE(84),
    [sym_footnote] = STATE(84),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(84),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(84),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(84),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(84),
    [ts_builtin_sym_end] = ACTIONS(1541),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1543),
    [anon_sym_BSLASHiex] = ACTIONS(1543),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1543),
    [anon_sym_BSLASHcl] = ACTIONS(1543),
    [anon_sym_BSLASHca] = ACTIONS(1543),
    [anon_sym_BSLASHcp] = ACTIONS(1543),
    [anon_sym_BSLASHcd] = ACTIONS(1543),
    [anon_sym_BSLASHmte] = ACTIONS(1543),
    [anon_sym_BSLASHms] = ACTIONS(1543),
    [anon_sym_BSLASHs] = ACTIONS(1543),
    [anon_sym_BSLASHr] = ACTIONS(1543),
    [anon_sym_BSLASHsp] = ACTIONS(1543),
    [anon_sym_BSLASHd] = ACTIONS(1543),
    [anon_sym_BSLASHsd] = ACTIONS(1543),
    [anon_sym_BSLASHp] = ACTIONS(1543),
    [anon_sym_BSLASHm] = ACTIONS(1543),
    [anon_sym_BSLASHpo] = ACTIONS(1543),
    [anon_sym_BSLASHpr] = ACTIONS(1543),
    [anon_sym_BSLASHcls] = ACTIONS(1543),
    [anon_sym_BSLASHpmo] = ACTIONS(1543),
    [anon_sym_BSLASHpm] = ACTIONS(1543),
    [anon_sym_BSLASHpmc] = ACTIONS(1543),
    [anon_sym_BSLASHpmr] = ACTIONS(1543),
    [anon_sym_BSLASHpi] = ACTIONS(1543),
    [anon_sym_BSLASHmi] = ACTIONS(1543),
    [anon_sym_BSLASHnb] = ACTIONS(1543),
    [anon_sym_BSLASHpc] = ACTIONS(1543),
    [anon_sym_BSLASHph] = ACTIONS(1543),
    [anon_sym_BSLASHb] = ACTIONS(1543),
    [anon_sym_BSLASHq] = ACTIONS(1543),
    [anon_sym_BSLASHqr] = ACTIONS(1543),
    [anon_sym_BSLASHqc] = ACTIONS(1543),
    [anon_sym_BSLASHqa] = ACTIONS(1543),
    [anon_sym_BSLASHqm] = ACTIONS(1543),
    [anon_sym_BSLASHqd] = ACTIONS(1543),
    [anon_sym_BSLASHlh] = ACTIONS(1543),
    [anon_sym_BSLASHli] = ACTIONS(1543),
    [anon_sym_BSLASHlim] = ACTIONS(1543),
    [anon_sym_BSLASHtr] = ACTIONS(1543),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1543),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1543),
  },
  [105] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(83),
    [sym__comments] = STATE(83),
    [sym_sts] = STATE(83),
    [sym_rem] = STATE(83),
    [sym_restore] = STATE(83),
    [sym_lit] = STATE(83),
    [sym_verseText] = STATE(83),
    [sym_v] = STATE(83),
    [sym__verseMeta] = STATE(83),
    [sym_va] = STATE(83),
    [sym_vp] = STATE(83),
    [sym__paragraphContent] = STATE(83),
    [sym_footnote] = STATE(83),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(83),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(83),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(83),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(83),
    [ts_builtin_sym_end] = ACTIONS(1545),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1547),
    [anon_sym_BSLASHiex] = ACTIONS(1547),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1547),
    [anon_sym_BSLASHcl] = ACTIONS(1547),
    [anon_sym_BSLASHca] = ACTIONS(1547),
    [anon_sym_BSLASHcp] = ACTIONS(1547),
    [anon_sym_BSLASHcd] = ACTIONS(1547),
    [anon_sym_BSLASHmte] = ACTIONS(1547),
    [anon_sym_BSLASHms] = ACTIONS(1547),
    [anon_sym_BSLASHs] = ACTIONS(1547),
    [anon_sym_BSLASHr] = ACTIONS(1547),
    [anon_sym_BSLASHsp] = ACTIONS(1547),
    [anon_sym_BSLASHd] = ACTIONS(1547),
    [anon_sym_BSLASHsd] = ACTIONS(1547),
    [anon_sym_BSLASHp] = ACTIONS(1547),
    [anon_sym_BSLASHm] = ACTIONS(1547),
    [anon_sym_BSLASHpo] = ACTIONS(1547),
    [anon_sym_BSLASHpr] = ACTIONS(1547),
    [anon_sym_BSLASHcls] = ACTIONS(1547),
    [anon_sym_BSLASHpmo] = ACTIONS(1547),
    [anon_sym_BSLASHpm] = ACTIONS(1547),
    [anon_sym_BSLASHpmc] = ACTIONS(1547),
    [anon_sym_BSLASHpmr] = ACTIONS(1547),
    [anon_sym_BSLASHpi] = ACTIONS(1547),
    [anon_sym_BSLASHmi] = ACTIONS(1547),
    [anon_sym_BSLASHnb] = ACTIONS(1547),
    [anon_sym_BSLASHpc] = ACTIONS(1547),
    [anon_sym_BSLASHph] = ACTIONS(1547),
    [anon_sym_BSLASHb] = ACTIONS(1547),
    [anon_sym_BSLASHq] = ACTIONS(1547),
    [anon_sym_BSLASHqr] = ACTIONS(1547),
    [anon_sym_BSLASHqc] = ACTIONS(1547),
    [anon_sym_BSLASHqa] = ACTIONS(1547),
    [anon_sym_BSLASHqm] = ACTIONS(1547),
    [anon_sym_BSLASHqd] = ACTIONS(1547),
    [anon_sym_BSLASHlh] = ACTIONS(1547),
    [anon_sym_BSLASHli] = ACTIONS(1547),
    [anon_sym_BSLASHlim] = ACTIONS(1547),
    [anon_sym_BSLASHtr] = ACTIONS(1547),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1547),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1547),
  },
  [106] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(92),
    [sym__comments] = STATE(92),
    [sym_sts] = STATE(92),
    [sym_rem] = STATE(92),
    [sym_restore] = STATE(92),
    [sym_lit] = STATE(92),
    [sym_verseText] = STATE(92),
    [sym_v] = STATE(92),
    [sym__verseMeta] = STATE(92),
    [sym_va] = STATE(92),
    [sym_vp] = STATE(92),
    [sym__paragraphContent] = STATE(92),
    [sym_footnote] = STATE(92),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(92),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(92),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(92),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(92),
    [ts_builtin_sym_end] = ACTIONS(1549),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1551),
    [anon_sym_BSLASHiex] = ACTIONS(1551),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1551),
    [anon_sym_BSLASHcl] = ACTIONS(1551),
    [anon_sym_BSLASHca] = ACTIONS(1551),
    [anon_sym_BSLASHcp] = ACTIONS(1551),
    [anon_sym_BSLASHcd] = ACTIONS(1551),
    [anon_sym_BSLASHmte] = ACTIONS(1551),
    [anon_sym_BSLASHms] = ACTIONS(1551),
    [anon_sym_BSLASHs] = ACTIONS(1551),
    [anon_sym_BSLASHr] = ACTIONS(1551),
    [anon_sym_BSLASHsp] = ACTIONS(1551),
    [anon_sym_BSLASHd] = ACTIONS(1551),
    [anon_sym_BSLASHsd] = ACTIONS(1551),
    [anon_sym_BSLASHp] = ACTIONS(1551),
    [anon_sym_BSLASHm] = ACTIONS(1551),
    [anon_sym_BSLASHpo] = ACTIONS(1551),
    [anon_sym_BSLASHpr] = ACTIONS(1551),
    [anon_sym_BSLASHcls] = ACTIONS(1551),
    [anon_sym_BSLASHpmo] = ACTIONS(1551),
    [anon_sym_BSLASHpm] = ACTIONS(1551),
    [anon_sym_BSLASHpmc] = ACTIONS(1551),
    [anon_sym_BSLASHpmr] = ACTIONS(1551),
    [anon_sym_BSLASHpi] = ACTIONS(1551),
    [anon_sym_BSLASHmi] = ACTIONS(1551),
    [anon_sym_BSLASHnb] = ACTIONS(1551),
    [anon_sym_BSLASHpc] = ACTIONS(1551),
    [anon_sym_BSLASHph] = ACTIONS(1551),
    [anon_sym_BSLASHb] = ACTIONS(1551),
    [anon_sym_BSLASHq] = ACTIONS(1551),
    [anon_sym_BSLASHqr] = ACTIONS(1551),
    [anon_sym_BSLASHqc] = ACTIONS(1551),
    [anon_sym_BSLASHqa] = ACTIONS(1551),
    [anon_sym_BSLASHqm] = ACTIONS(1551),
    [anon_sym_BSLASHqd] = ACTIONS(1551),
    [anon_sym_BSLASHlh] = ACTIONS(1551),
    [anon_sym_BSLASHli] = ACTIONS(1551),
    [anon_sym_BSLASHlim] = ACTIONS(1551),
    [anon_sym_BSLASHtr] = ACTIONS(1551),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1551),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1551),
  },
  [107] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(94),
    [sym__comments] = STATE(94),
    [sym_sts] = STATE(94),
    [sym_rem] = STATE(94),
    [sym_restore] = STATE(94),
    [sym_lit] = STATE(94),
    [sym_verseText] = STATE(94),
    [sym_v] = STATE(94),
    [sym__verseMeta] = STATE(94),
    [sym_va] = STATE(94),
    [sym_vp] = STATE(94),
    [sym__paragraphContent] = STATE(94),
    [sym_footnote] = STATE(94),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(94),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(94),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(94),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(94),
    [ts_builtin_sym_end] = ACTIONS(1553),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1555),
    [anon_sym_BSLASHiex] = ACTIONS(1555),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1555),
    [anon_sym_BSLASHcl] = ACTIONS(1555),
    [anon_sym_BSLASHca] = ACTIONS(1555),
    [anon_sym_BSLASHcp] = ACTIONS(1555),
    [anon_sym_BSLASHcd] = ACTIONS(1555),
    [anon_sym_BSLASHmte] = ACTIONS(1555),
    [anon_sym_BSLASHms] = ACTIONS(1555),
    [anon_sym_BSLASHs] = ACTIONS(1555),
    [anon_sym_BSLASHr] = ACTIONS(1555),
    [anon_sym_BSLASHsp] = ACTIONS(1555),
    [anon_sym_BSLASHd] = ACTIONS(1555),
    [anon_sym_BSLASHsd] = ACTIONS(1555),
    [anon_sym_BSLASHp] = ACTIONS(1555),
    [anon_sym_BSLASHm] = ACTIONS(1555),
    [anon_sym_BSLASHpo] = ACTIONS(1555),
    [anon_sym_BSLASHpr] = ACTIONS(1555),
    [anon_sym_BSLASHcls] = ACTIONS(1555),
    [anon_sym_BSLASHpmo] = ACTIONS(1555),
    [anon_sym_BSLASHpm] = ACTIONS(1555),
    [anon_sym_BSLASHpmc] = ACTIONS(1555),
    [anon_sym_BSLASHpmr] = ACTIONS(1555),
    [anon_sym_BSLASHpi] = ACTIONS(1555),
    [anon_sym_BSLASHmi] = ACTIONS(1555),
    [anon_sym_BSLASHnb] = ACTIONS(1555),
    [anon_sym_BSLASHpc] = ACTIONS(1555),
    [anon_sym_BSLASHph] = ACTIONS(1555),
    [anon_sym_BSLASHb] = ACTIONS(1555),
    [anon_sym_BSLASHq] = ACTIONS(1555),
    [anon_sym_BSLASHqr] = ACTIONS(1555),
    [anon_sym_BSLASHqc] = ACTIONS(1555),
    [anon_sym_BSLASHqa] = ACTIONS(1555),
    [anon_sym_BSLASHqm] = ACTIONS(1555),
    [anon_sym_BSLASHqd] = ACTIONS(1555),
    [anon_sym_BSLASHlh] = ACTIONS(1555),
    [anon_sym_BSLASHli] = ACTIONS(1555),
    [anon_sym_BSLASHlim] = ACTIONS(1555),
    [anon_sym_BSLASHtr] = ACTIONS(1555),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1555),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1555),
  },
  [108] = {
    [sym_text] = STATE(309),
    [sym_ref] = STATE(95),
    [sym__comments] = STATE(95),
    [sym_sts] = STATE(95),
    [sym_rem] = STATE(95),
    [sym_restore] = STATE(95),
    [sym_lit] = STATE(95),
    [sym_verseText] = STATE(95),
    [sym_v] = STATE(95),
    [sym__verseMeta] = STATE(95),
    [sym_va] = STATE(95),
    [sym_vp] = STATE(95),
    [sym__paragraphContent] = STATE(95),
    [sym_footnote] = STATE(95),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(95),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(309),
    [sym_bk] = STATE(309),
    [sym_dc] = STATE(309),
    [sym_k] = STATE(309),
    [sym_nd] = STATE(309),
    [sym_ord] = STATE(309),
    [sym_pn] = STATE(309),
    [sym_png] = STATE(309),
    [sym_addpn] = STATE(309),
    [sym_qt] = STATE(309),
    [sym_sig] = STATE(309),
    [sym_sls] = STATE(309),
    [sym_tl] = STATE(309),
    [sym_wj] = STATE(309),
    [sym_em] = STATE(309),
    [sym_bd] = STATE(309),
    [sym_it] = STATE(309),
    [sym_bdit] = STATE(309),
    [sym_no] = STATE(309),
    [sym_sc] = STATE(309),
    [sym_sup] = STATE(309),
    [sym_ndx] = STATE(309),
    [sym_pro] = STATE(309),
    [sym_rb] = STATE(309),
    [sym_w] = STATE(309),
    [sym_wg] = STATE(309),
    [sym_wh] = STATE(309),
    [sym_wa] = STATE(309),
    [sym__characterMarker] = STATE(309),
    [sym_fig] = STATE(309),
    [sym_jmp] = STATE(309),
    [sym_milestoneTag] = STATE(1950),
    [sym__milestoneStandaloneMarker] = STATE(437),
    [sym__milestoneStart] = STATE(437),
    [sym__milestoneEnd] = STATE(437),
    [sym_milestone] = STATE(95),
    [sym__zNameSpaceRegular] = STATE(438),
    [sym__zNameSpaceClosed] = STATE(438),
    [sym__zNameSpaceStandaloneMarker] = STATE(438),
    [sym_zNameSpace] = STATE(95),
    [aux_sym_verseText_repeat1] = STATE(309),
    [aux_sym_p_repeat1] = STATE(95),
    [ts_builtin_sym_end] = ACTIONS(1557),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(219),
    [anon_sym_BSLASHrem] = ACTIONS(221),
    [anon_sym_BSLASHrestore] = ACTIONS(223),
    [anon_sym_BSLASHlit] = ACTIONS(225),
    [anon_sym_BSLASHip] = ACTIONS(1559),
    [anon_sym_BSLASHiex] = ACTIONS(1559),
    [anon_sym_BSLASHv] = ACTIONS(229),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(1559),
    [anon_sym_BSLASHcl] = ACTIONS(1559),
    [anon_sym_BSLASHca] = ACTIONS(1559),
    [anon_sym_BSLASHcp] = ACTIONS(1559),
    [anon_sym_BSLASHcd] = ACTIONS(1559),
    [anon_sym_BSLASHmte] = ACTIONS(1559),
    [anon_sym_BSLASHms] = ACTIONS(1559),
    [anon_sym_BSLASHs] = ACTIONS(1559),
    [anon_sym_BSLASHr] = ACTIONS(1559),
    [anon_sym_BSLASHsp] = ACTIONS(1559),
    [anon_sym_BSLASHd] = ACTIONS(1559),
    [anon_sym_BSLASHsd] = ACTIONS(1559),
    [anon_sym_BSLASHp] = ACTIONS(1559),
    [anon_sym_BSLASHm] = ACTIONS(1559),
    [anon_sym_BSLASHpo] = ACTIONS(1559),
    [anon_sym_BSLASHpr] = ACTIONS(1559),
    [anon_sym_BSLASHcls] = ACTIONS(1559),
    [anon_sym_BSLASHpmo] = ACTIONS(1559),
    [anon_sym_BSLASHpm] = ACTIONS(1559),
    [anon_sym_BSLASHpmc] = ACTIONS(1559),
    [anon_sym_BSLASHpmr] = ACTIONS(1559),
    [anon_sym_BSLASHpi] = ACTIONS(1559),
    [anon_sym_BSLASHmi] = ACTIONS(1559),
    [anon_sym_BSLASHnb] = ACTIONS(1559),
    [anon_sym_BSLASHpc] = ACTIONS(1559),
    [anon_sym_BSLASHph] = ACTIONS(1559),
    [anon_sym_BSLASHb] = ACTIONS(1559),
    [anon_sym_BSLASHq] = ACTIONS(1559),
    [anon_sym_BSLASHqr] = ACTIONS(1559),
    [anon_sym_BSLASHqc] = ACTIONS(1559),
    [anon_sym_BSLASHqa] = ACTIONS(1559),
    [anon_sym_BSLASHqm] = ACTIONS(1559),
    [anon_sym_BSLASHqd] = ACTIONS(1559),
    [anon_sym_BSLASHlh] = ACTIONS(1559),
    [anon_sym_BSLASHli] = ACTIONS(1559),
    [anon_sym_BSLASHlim] = ACTIONS(1559),
    [anon_sym_BSLASHtr] = ACTIONS(1559),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(1559),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(317),
    [sym_milestoneEndTag] = ACTIONS(319),
    [sym_zSpaceTag] = ACTIONS(321),
    [anon_sym_BSLASHesb] = ACTIONS(1559),
  },
  [109] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(118),
    [sym__comments] = STATE(118),
    [sym_sts] = STATE(118),
    [sym_rem] = STATE(118),
    [sym_restore] = STATE(118),
    [sym_lit] = STATE(118),
    [sym_verseText] = STATE(118),
    [sym_v] = STATE(118),
    [sym__verseMeta] = STATE(118),
    [sym_va] = STATE(118),
    [sym_vp] = STATE(118),
    [sym__paragraphContent] = STATE(118),
    [sym__poetryContent] = STATE(118),
    [sym_qs] = STATE(118),
    [sym_qac] = STATE(118),
    [sym_footnote] = STATE(118),
    [sym_f] = STATE(643),
    [sym_fe] = STATE(643),
    [sym_ef] = STATE(643),
    [sym_fm] = STATE(643),
    [sym_crossref] = STATE(118),
    [sym_x] = STATE(684),
    [sym_xt_standalone] = STATE(684),
    [sym_rq] = STATE(684),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(1954),
    [sym__milestoneStandaloneMarker] = STATE(637),
    [sym__milestoneStart] = STATE(637),
    [sym__milestoneEnd] = STATE(637),
    [sym_milestone] = STATE(118),
    [sym__zNameSpaceRegular] = STATE(706),
    [sym__zNameSpaceClosed] = STATE(706),
    [sym__zNameSpaceStandaloneMarker] = STATE(706),
    [sym_zNameSpace] = STATE(118),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_q_repeat1] = STATE(118),
    [aux_sym_text_token1] = ACTIONS(1561),
    [anon_sym_BSLASHref] = ACTIONS(1563),
    [anon_sym_BSLASHsts] = ACTIONS(1565),
    [anon_sym_BSLASHrem] = ACTIONS(1567),
    [anon_sym_BSLASHrestore] = ACTIONS(1569),
    [anon_sym_BSLASHlit] = ACTIONS(1571),
    [anon_sym_BSLASHip] = ACTIONS(630),
    [anon_sym_BSLASHv] = ACTIONS(1573),
    [anon_sym_BSLASHva] = ACTIONS(1575),
    [anon_sym_BSLASHvp] = ACTIONS(1577),
    [anon_sym_BSLASHmte] = ACTIONS(630),
    [anon_sym_BSLASHms] = ACTIONS(630),
    [anon_sym_BSLASHs] = ACTIONS(630),
    [anon_sym_BSLASHr] = ACTIONS(630),
    [anon_sym_BSLASHsp] = ACTIONS(630),
    [anon_sym_BSLASHd] = ACTIONS(630),
    [anon_sym_BSLASHsd] = ACTIONS(630),
    [anon_sym_BSLASHp] = ACTIONS(630),
    [anon_sym_BSLASHm] = ACTIONS(630),
    [anon_sym_BSLASHpo] = ACTIONS(630),
    [anon_sym_BSLASHpr] = ACTIONS(630),
    [anon_sym_BSLASHcls] = ACTIONS(630),
    [anon_sym_BSLASHpmo] = ACTIONS(630),
    [anon_sym_BSLASHpm] = ACTIONS(630),
    [anon_sym_BSLASHpmc] = ACTIONS(630),
    [anon_sym_BSLASHpmr] = ACTIONS(630),
    [anon_sym_BSLASHpi] = ACTIONS(630),
    [anon_sym_BSLASHmi] = ACTIONS(630),
    [anon_sym_BSLASHnb] = ACTIONS(630),
    [anon_sym_BSLASHpc] = ACTIONS(630),
    [anon_sym_BSLASHph] = ACTIONS(630),
    [anon_sym_BSLASHb] = ACTIONS(630),
    [anon_sym_BSLASHq] = ACTIONS(630),
    [anon_sym_BSLASHqr] = ACTIONS(630),
    [anon_sym_BSLASHqc] = ACTIONS(630),
    [anon_sym_BSLASHqs] = ACTIONS(1579),
    [anon_sym_BSLASHqa] = ACTIONS(630),
    [anon_sym_BSLASHqac] = ACTIONS(1581),
    [anon_sym_BSLASHqm] = ACTIONS(630),
    [anon_sym_BSLASHqd] = ACTIONS(630),
    [anon_sym_BSLASHlh] = ACTIONS(630),
    [anon_sym_BSLASHli] = ACTIONS(630),
    [anon_sym_BSLASHlim] = ACTIONS(630),
    [anon_sym_BSLASHtr] = ACTIONS(630),
    [anon_sym_BSLASHf] = ACTIONS(1583),
    [anon_sym_BSLASHfe] = ACTIONS(1585),
    [anon_sym_BSLASHef] = ACTIONS(1587),
    [anon_sym_BSLASHfm] = ACTIONS(1589),
    [anon_sym_BSLASHx] = ACTIONS(1591),
    [anon_sym_BSLASHxt] = ACTIONS(1593),
    [anon_sym_BSLASHrq] = ACTIONS(1595),
    [anon_sym_BSLASHadd] = ACTIONS(1597),
    [anon_sym_BSLASHbk] = ACTIONS(1599),
    [anon_sym_BSLASHdc] = ACTIONS(1601),
    [anon_sym_BSLASHk] = ACTIONS(1603),
    [anon_sym_BSLASHnd] = ACTIONS(1605),
    [anon_sym_BSLASHord] = ACTIONS(1607),
    [anon_sym_BSLASHpn] = ACTIONS(1609),
    [anon_sym_BSLASHpng] = ACTIONS(1611),
    [anon_sym_BSLASHaddpn] = ACTIONS(1613),
    [anon_sym_BSLASHqt] = ACTIONS(1615),
    [anon_sym_BSLASHsig] = ACTIONS(1617),
    [anon_sym_BSLASHsls] = ACTIONS(1619),
    [anon_sym_BSLASHtl] = ACTIONS(1621),
    [anon_sym_BSLASHwj] = ACTIONS(1623),
    [anon_sym_BSLASHem] = ACTIONS(1625),
    [anon_sym_BSLASHbd] = ACTIONS(1627),
    [anon_sym_BSLASHit] = ACTIONS(1629),
    [anon_sym_BSLASHbdit] = ACTIONS(1631),
    [anon_sym_BSLASHno] = ACTIONS(1633),
    [anon_sym_BSLASHsc] = ACTIONS(1635),
    [anon_sym_BSLASHsup] = ACTIONS(1637),
    [anon_sym_BSLASHndx] = ACTIONS(1639),
    [anon_sym_BSLASHpro] = ACTIONS(1641),
    [anon_sym_BSLASHrb] = ACTIONS(1643),
    [anon_sym_BSLASHw] = ACTIONS(1645),
    [anon_sym_BSLASHwg] = ACTIONS(1647),
    [anon_sym_BSLASHwh] = ACTIONS(1649),
    [anon_sym_BSLASHwa] = ACTIONS(1651),
    [anon_sym_BSLASHfig] = ACTIONS(1653),
    [anon_sym_BSLASHjmp] = ACTIONS(1655),
    [anon_sym_BSLASHpb] = ACTIONS(630),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(1657),
    [sym_milestoneEndTag] = ACTIONS(1659),
    [sym_zSpaceTag] = ACTIONS(1661),
    [anon_sym_BSLASHesbe] = ACTIONS(630),
    [anon_sym_BSLASHcat] = ACTIONS(630),
  },
  [110] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(138),
    [sym_fr] = STATE(138),
    [sym_fq] = STATE(138),
    [sym_fqa] = STATE(138),
    [sym_fk] = STATE(138),
    [sym_fl] = STATE(138),
    [sym_fw] = STATE(138),
    [sym_fp] = STATE(138),
    [sym_ft] = STATE(138),
    [sym_fdc] = STATE(138),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(138),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(138),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(138),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1663),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [111] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(146),
    [sym__comments] = STATE(146),
    [sym_sts] = STATE(146),
    [sym_rem] = STATE(146),
    [sym_restore] = STATE(146),
    [sym_lit] = STATE(146),
    [sym_verseText] = STATE(146),
    [sym_v] = STATE(146),
    [sym__verseMeta] = STATE(146),
    [sym_va] = STATE(146),
    [sym_vp] = STATE(146),
    [sym__paragraphContent] = STATE(146),
    [sym__poetryContent] = STATE(146),
    [sym_qs] = STATE(146),
    [sym_qac] = STATE(146),
    [sym_footnote] = STATE(146),
    [sym_f] = STATE(643),
    [sym_fe] = STATE(643),
    [sym_ef] = STATE(643),
    [sym_fm] = STATE(643),
    [sym_crossref] = STATE(146),
    [sym_x] = STATE(684),
    [sym_xt_standalone] = STATE(684),
    [sym_rq] = STATE(684),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(1954),
    [sym__milestoneStandaloneMarker] = STATE(637),
    [sym__milestoneStart] = STATE(637),
    [sym__milestoneEnd] = STATE(637),
    [sym_milestone] = STATE(146),
    [sym__zNameSpaceRegular] = STATE(706),
    [sym__zNameSpaceClosed] = STATE(706),
    [sym__zNameSpaceStandaloneMarker] = STATE(706),
    [sym_zNameSpace] = STATE(146),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_q_repeat1] = STATE(146),
    [aux_sym_text_token1] = ACTIONS(1561),
    [anon_sym_BSLASHref] = ACTIONS(1563),
    [anon_sym_BSLASHsts] = ACTIONS(1565),
    [anon_sym_BSLASHrem] = ACTIONS(1567),
    [anon_sym_BSLASHrestore] = ACTIONS(1569),
    [anon_sym_BSLASHlit] = ACTIONS(1571),
    [anon_sym_BSLASHip] = ACTIONS(614),
    [anon_sym_BSLASHv] = ACTIONS(1573),
    [anon_sym_BSLASHva] = ACTIONS(1575),
    [anon_sym_BSLASHvp] = ACTIONS(1577),
    [anon_sym_BSLASHmte] = ACTIONS(614),
    [anon_sym_BSLASHms] = ACTIONS(614),
    [anon_sym_BSLASHs] = ACTIONS(614),
    [anon_sym_BSLASHr] = ACTIONS(614),
    [anon_sym_BSLASHsp] = ACTIONS(614),
    [anon_sym_BSLASHd] = ACTIONS(614),
    [anon_sym_BSLASHsd] = ACTIONS(614),
    [anon_sym_BSLASHp] = ACTIONS(614),
    [anon_sym_BSLASHm] = ACTIONS(614),
    [anon_sym_BSLASHpo] = ACTIONS(614),
    [anon_sym_BSLASHpr] = ACTIONS(614),
    [anon_sym_BSLASHcls] = ACTIONS(614),
    [anon_sym_BSLASHpmo] = ACTIONS(614),
    [anon_sym_BSLASHpm] = ACTIONS(614),
    [anon_sym_BSLASHpmc] = ACTIONS(614),
    [anon_sym_BSLASHpmr] = ACTIONS(614),
    [anon_sym_BSLASHpi] = ACTIONS(614),
    [anon_sym_BSLASHmi] = ACTIONS(614),
    [anon_sym_BSLASHnb] = ACTIONS(614),
    [anon_sym_BSLASHpc] = ACTIONS(614),
    [anon_sym_BSLASHph] = ACTIONS(614),
    [anon_sym_BSLASHb] = ACTIONS(614),
    [anon_sym_BSLASHq] = ACTIONS(614),
    [anon_sym_BSLASHqr] = ACTIONS(614),
    [anon_sym_BSLASHqc] = ACTIONS(614),
    [anon_sym_BSLASHqs] = ACTIONS(1579),
    [anon_sym_BSLASHqa] = ACTIONS(614),
    [anon_sym_BSLASHqac] = ACTIONS(1581),
    [anon_sym_BSLASHqm] = ACTIONS(614),
    [anon_sym_BSLASHqd] = ACTIONS(614),
    [anon_sym_BSLASHlh] = ACTIONS(614),
    [anon_sym_BSLASHli] = ACTIONS(614),
    [anon_sym_BSLASHlim] = ACTIONS(614),
    [anon_sym_BSLASHtr] = ACTIONS(614),
    [anon_sym_BSLASHf] = ACTIONS(1583),
    [anon_sym_BSLASHfe] = ACTIONS(1585),
    [anon_sym_BSLASHef] = ACTIONS(1587),
    [anon_sym_BSLASHfm] = ACTIONS(1589),
    [anon_sym_BSLASHx] = ACTIONS(1591),
    [anon_sym_BSLASHxt] = ACTIONS(1593),
    [anon_sym_BSLASHrq] = ACTIONS(1595),
    [anon_sym_BSLASHadd] = ACTIONS(1597),
    [anon_sym_BSLASHbk] = ACTIONS(1599),
    [anon_sym_BSLASHdc] = ACTIONS(1601),
    [anon_sym_BSLASHk] = ACTIONS(1603),
    [anon_sym_BSLASHnd] = ACTIONS(1605),
    [anon_sym_BSLASHord] = ACTIONS(1607),
    [anon_sym_BSLASHpn] = ACTIONS(1609),
    [anon_sym_BSLASHpng] = ACTIONS(1611),
    [anon_sym_BSLASHaddpn] = ACTIONS(1613),
    [anon_sym_BSLASHqt] = ACTIONS(1615),
    [anon_sym_BSLASHsig] = ACTIONS(1617),
    [anon_sym_BSLASHsls] = ACTIONS(1619),
    [anon_sym_BSLASHtl] = ACTIONS(1621),
    [anon_sym_BSLASHwj] = ACTIONS(1623),
    [anon_sym_BSLASHem] = ACTIONS(1625),
    [anon_sym_BSLASHbd] = ACTIONS(1627),
    [anon_sym_BSLASHit] = ACTIONS(1629),
    [anon_sym_BSLASHbdit] = ACTIONS(1631),
    [anon_sym_BSLASHno] = ACTIONS(1633),
    [anon_sym_BSLASHsc] = ACTIONS(1635),
    [anon_sym_BSLASHsup] = ACTIONS(1637),
    [anon_sym_BSLASHndx] = ACTIONS(1639),
    [anon_sym_BSLASHpro] = ACTIONS(1641),
    [anon_sym_BSLASHrb] = ACTIONS(1643),
    [anon_sym_BSLASHw] = ACTIONS(1645),
    [anon_sym_BSLASHwg] = ACTIONS(1647),
    [anon_sym_BSLASHwh] = ACTIONS(1649),
    [anon_sym_BSLASHwa] = ACTIONS(1651),
    [anon_sym_BSLASHfig] = ACTIONS(1653),
    [anon_sym_BSLASHjmp] = ACTIONS(1655),
    [anon_sym_BSLASHpb] = ACTIONS(614),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(1657),
    [sym_milestoneEndTag] = ACTIONS(1659),
    [sym_zSpaceTag] = ACTIONS(1661),
    [anon_sym_BSLASHesbe] = ACTIONS(614),
    [anon_sym_BSLASHcat] = ACTIONS(614),
  },
  [112] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(145),
    [sym__comments] = STATE(145),
    [sym_sts] = STATE(145),
    [sym_rem] = STATE(145),
    [sym_restore] = STATE(145),
    [sym_lit] = STATE(145),
    [sym_verseText] = STATE(145),
    [sym_v] = STATE(145),
    [sym__verseMeta] = STATE(145),
    [sym_va] = STATE(145),
    [sym_vp] = STATE(145),
    [sym__paragraphContent] = STATE(145),
    [sym__poetryContent] = STATE(145),
    [sym_qs] = STATE(145),
    [sym_qac] = STATE(145),
    [sym_footnote] = STATE(145),
    [sym_f] = STATE(643),
    [sym_fe] = STATE(643),
    [sym_ef] = STATE(643),
    [sym_fm] = STATE(643),
    [sym_crossref] = STATE(145),
    [sym_x] = STATE(684),
    [sym_xt_standalone] = STATE(684),
    [sym_rq] = STATE(684),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(1954),
    [sym__milestoneStandaloneMarker] = STATE(637),
    [sym__milestoneStart] = STATE(637),
    [sym__milestoneEnd] = STATE(637),
    [sym_milestone] = STATE(145),
    [sym__zNameSpaceRegular] = STATE(706),
    [sym__zNameSpaceClosed] = STATE(706),
    [sym__zNameSpaceStandaloneMarker] = STATE(706),
    [sym_zNameSpace] = STATE(145),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_q_repeat1] = STATE(145),
    [aux_sym_text_token1] = ACTIONS(1561),
    [anon_sym_BSLASHref] = ACTIONS(1563),
    [anon_sym_BSLASHsts] = ACTIONS(1565),
    [anon_sym_BSLASHrem] = ACTIONS(1567),
    [anon_sym_BSLASHrestore] = ACTIONS(1569),
    [anon_sym_BSLASHlit] = ACTIONS(1571),
    [anon_sym_BSLASHip] = ACTIONS(626),
    [anon_sym_BSLASHv] = ACTIONS(1573),
    [anon_sym_BSLASHva] = ACTIONS(1575),
    [anon_sym_BSLASHvp] = ACTIONS(1577),
    [anon_sym_BSLASHmte] = ACTIONS(626),
    [anon_sym_BSLASHms] = ACTIONS(626),
    [anon_sym_BSLASHs] = ACTIONS(626),
    [anon_sym_BSLASHr] = ACTIONS(626),
    [anon_sym_BSLASHsp] = ACTIONS(626),
    [anon_sym_BSLASHd] = ACTIONS(626),
    [anon_sym_BSLASHsd] = ACTIONS(626),
    [anon_sym_BSLASHp] = ACTIONS(626),
    [anon_sym_BSLASHm] = ACTIONS(626),
    [anon_sym_BSLASHpo] = ACTIONS(626),
    [anon_sym_BSLASHpr] = ACTIONS(626),
    [anon_sym_BSLASHcls] = ACTIONS(626),
    [anon_sym_BSLASHpmo] = ACTIONS(626),
    [anon_sym_BSLASHpm] = ACTIONS(626),
    [anon_sym_BSLASHpmc] = ACTIONS(626),
    [anon_sym_BSLASHpmr] = ACTIONS(626),
    [anon_sym_BSLASHpi] = ACTIONS(626),
    [anon_sym_BSLASHmi] = ACTIONS(626),
    [anon_sym_BSLASHnb] = ACTIONS(626),
    [anon_sym_BSLASHpc] = ACTIONS(626),
    [anon_sym_BSLASHph] = ACTIONS(626),
    [anon_sym_BSLASHb] = ACTIONS(626),
    [anon_sym_BSLASHq] = ACTIONS(626),
    [anon_sym_BSLASHqr] = ACTIONS(626),
    [anon_sym_BSLASHqc] = ACTIONS(626),
    [anon_sym_BSLASHqs] = ACTIONS(1579),
    [anon_sym_BSLASHqa] = ACTIONS(626),
    [anon_sym_BSLASHqac] = ACTIONS(1581),
    [anon_sym_BSLASHqm] = ACTIONS(626),
    [anon_sym_BSLASHqd] = ACTIONS(626),
    [anon_sym_BSLASHlh] = ACTIONS(626),
    [anon_sym_BSLASHli] = ACTIONS(626),
    [anon_sym_BSLASHlim] = ACTIONS(626),
    [anon_sym_BSLASHtr] = ACTIONS(626),
    [anon_sym_BSLASHf] = ACTIONS(1583),
    [anon_sym_BSLASHfe] = ACTIONS(1585),
    [anon_sym_BSLASHef] = ACTIONS(1587),
    [anon_sym_BSLASHfm] = ACTIONS(1589),
    [anon_sym_BSLASHx] = ACTIONS(1591),
    [anon_sym_BSLASHxt] = ACTIONS(1593),
    [anon_sym_BSLASHrq] = ACTIONS(1595),
    [anon_sym_BSLASHadd] = ACTIONS(1597),
    [anon_sym_BSLASHbk] = ACTIONS(1599),
    [anon_sym_BSLASHdc] = ACTIONS(1601),
    [anon_sym_BSLASHk] = ACTIONS(1603),
    [anon_sym_BSLASHnd] = ACTIONS(1605),
    [anon_sym_BSLASHord] = ACTIONS(1607),
    [anon_sym_BSLASHpn] = ACTIONS(1609),
    [anon_sym_BSLASHpng] = ACTIONS(1611),
    [anon_sym_BSLASHaddpn] = ACTIONS(1613),
    [anon_sym_BSLASHqt] = ACTIONS(1615),
    [anon_sym_BSLASHsig] = ACTIONS(1617),
    [anon_sym_BSLASHsls] = ACTIONS(1619),
    [anon_sym_BSLASHtl] = ACTIONS(1621),
    [anon_sym_BSLASHwj] = ACTIONS(1623),
    [anon_sym_BSLASHem] = ACTIONS(1625),
    [anon_sym_BSLASHbd] = ACTIONS(1627),
    [anon_sym_BSLASHit] = ACTIONS(1629),
    [anon_sym_BSLASHbdit] = ACTIONS(1631),
    [anon_sym_BSLASHno] = ACTIONS(1633),
    [anon_sym_BSLASHsc] = ACTIONS(1635),
    [anon_sym_BSLASHsup] = ACTIONS(1637),
    [anon_sym_BSLASHndx] = ACTIONS(1639),
    [anon_sym_BSLASHpro] = ACTIONS(1641),
    [anon_sym_BSLASHrb] = ACTIONS(1643),
    [anon_sym_BSLASHw] = ACTIONS(1645),
    [anon_sym_BSLASHwg] = ACTIONS(1647),
    [anon_sym_BSLASHwh] = ACTIONS(1649),
    [anon_sym_BSLASHwa] = ACTIONS(1651),
    [anon_sym_BSLASHfig] = ACTIONS(1653),
    [anon_sym_BSLASHjmp] = ACTIONS(1655),
    [anon_sym_BSLASHpb] = ACTIONS(626),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(1657),
    [sym_milestoneEndTag] = ACTIONS(1659),
    [sym_zSpaceTag] = ACTIONS(1661),
    [anon_sym_BSLASHesbe] = ACTIONS(626),
    [anon_sym_BSLASHcat] = ACTIONS(626),
  },
  [113] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(144),
    [sym__comments] = STATE(144),
    [sym_sts] = STATE(144),
    [sym_rem] = STATE(144),
    [sym_restore] = STATE(144),
    [sym_lit] = STATE(144),
    [sym_verseText] = STATE(144),
    [sym_v] = STATE(144),
    [sym__verseMeta] = STATE(144),
    [sym_va] = STATE(144),
    [sym_vp] = STATE(144),
    [sym__paragraphContent] = STATE(144),
    [sym__poetryContent] = STATE(144),
    [sym_qs] = STATE(144),
    [sym_qac] = STATE(144),
    [sym_footnote] = STATE(144),
    [sym_f] = STATE(643),
    [sym_fe] = STATE(643),
    [sym_ef] = STATE(643),
    [sym_fm] = STATE(643),
    [sym_crossref] = STATE(144),
    [sym_x] = STATE(684),
    [sym_xt_standalone] = STATE(684),
    [sym_rq] = STATE(684),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(1954),
    [sym__milestoneStandaloneMarker] = STATE(637),
    [sym__milestoneStart] = STATE(637),
    [sym__milestoneEnd] = STATE(637),
    [sym_milestone] = STATE(144),
    [sym__zNameSpaceRegular] = STATE(706),
    [sym__zNameSpaceClosed] = STATE(706),
    [sym__zNameSpaceStandaloneMarker] = STATE(706),
    [sym_zNameSpace] = STATE(144),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_q_repeat1] = STATE(144),
    [aux_sym_text_token1] = ACTIONS(1561),
    [anon_sym_BSLASHref] = ACTIONS(1563),
    [anon_sym_BSLASHsts] = ACTIONS(1565),
    [anon_sym_BSLASHrem] = ACTIONS(1567),
    [anon_sym_BSLASHrestore] = ACTIONS(1569),
    [anon_sym_BSLASHlit] = ACTIONS(1571),
    [anon_sym_BSLASHip] = ACTIONS(520),
    [anon_sym_BSLASHv] = ACTIONS(1573),
    [anon_sym_BSLASHva] = ACTIONS(1575),
    [anon_sym_BSLASHvp] = ACTIONS(1577),
    [anon_sym_BSLASHmte] = ACTIONS(520),
    [anon_sym_BSLASHms] = ACTIONS(520),
    [anon_sym_BSLASHs] = ACTIONS(520),
    [anon_sym_BSLASHr] = ACTIONS(520),
    [anon_sym_BSLASHsp] = ACTIONS(520),
    [anon_sym_BSLASHd] = ACTIONS(520),
    [anon_sym_BSLASHsd] = ACTIONS(520),
    [anon_sym_BSLASHp] = ACTIONS(520),
    [anon_sym_BSLASHm] = ACTIONS(520),
    [anon_sym_BSLASHpo] = ACTIONS(520),
    [anon_sym_BSLASHpr] = ACTIONS(520),
    [anon_sym_BSLASHcls] = ACTIONS(520),
    [anon_sym_BSLASHpmo] = ACTIONS(520),
    [anon_sym_BSLASHpm] = ACTIONS(520),
    [anon_sym_BSLASHpmc] = ACTIONS(520),
    [anon_sym_BSLASHpmr] = ACTIONS(520),
    [anon_sym_BSLASHpi] = ACTIONS(520),
    [anon_sym_BSLASHmi] = ACTIONS(520),
    [anon_sym_BSLASHnb] = ACTIONS(520),
    [anon_sym_BSLASHpc] = ACTIONS(520),
    [anon_sym_BSLASHph] = ACTIONS(520),
    [anon_sym_BSLASHb] = ACTIONS(520),
    [anon_sym_BSLASHq] = ACTIONS(520),
    [anon_sym_BSLASHqr] = ACTIONS(520),
    [anon_sym_BSLASHqc] = ACTIONS(520),
    [anon_sym_BSLASHqs] = ACTIONS(1579),
    [anon_sym_BSLASHqa] = ACTIONS(520),
    [anon_sym_BSLASHqac] = ACTIONS(1581),
    [anon_sym_BSLASHqm] = ACTIONS(520),
    [anon_sym_BSLASHqd] = ACTIONS(520),
    [anon_sym_BSLASHlh] = ACTIONS(520),
    [anon_sym_BSLASHli] = ACTIONS(520),
    [anon_sym_BSLASHlim] = ACTIONS(520),
    [anon_sym_BSLASHtr] = ACTIONS(520),
    [anon_sym_BSLASHf] = ACTIONS(1583),
    [anon_sym_BSLASHfe] = ACTIONS(1585),
    [anon_sym_BSLASHef] = ACTIONS(1587),
    [anon_sym_BSLASHfm] = ACTIONS(1589),
    [anon_sym_BSLASHx] = ACTIONS(1591),
    [anon_sym_BSLASHxt] = ACTIONS(1593),
    [anon_sym_BSLASHrq] = ACTIONS(1595),
    [anon_sym_BSLASHadd] = ACTIONS(1597),
    [anon_sym_BSLASHbk] = ACTIONS(1599),
    [anon_sym_BSLASHdc] = ACTIONS(1601),
    [anon_sym_BSLASHk] = ACTIONS(1603),
    [anon_sym_BSLASHnd] = ACTIONS(1605),
    [anon_sym_BSLASHord] = ACTIONS(1607),
    [anon_sym_BSLASHpn] = ACTIONS(1609),
    [anon_sym_BSLASHpng] = ACTIONS(1611),
    [anon_sym_BSLASHaddpn] = ACTIONS(1613),
    [anon_sym_BSLASHqt] = ACTIONS(1615),
    [anon_sym_BSLASHsig] = ACTIONS(1617),
    [anon_sym_BSLASHsls] = ACTIONS(1619),
    [anon_sym_BSLASHtl] = ACTIONS(1621),
    [anon_sym_BSLASHwj] = ACTIONS(1623),
    [anon_sym_BSLASHem] = ACTIONS(1625),
    [anon_sym_BSLASHbd] = ACTIONS(1627),
    [anon_sym_BSLASHit] = ACTIONS(1629),
    [anon_sym_BSLASHbdit] = ACTIONS(1631),
    [anon_sym_BSLASHno] = ACTIONS(1633),
    [anon_sym_BSLASHsc] = ACTIONS(1635),
    [anon_sym_BSLASHsup] = ACTIONS(1637),
    [anon_sym_BSLASHndx] = ACTIONS(1639),
    [anon_sym_BSLASHpro] = ACTIONS(1641),
    [anon_sym_BSLASHrb] = ACTIONS(1643),
    [anon_sym_BSLASHw] = ACTIONS(1645),
    [anon_sym_BSLASHwg] = ACTIONS(1647),
    [anon_sym_BSLASHwh] = ACTIONS(1649),
    [anon_sym_BSLASHwa] = ACTIONS(1651),
    [anon_sym_BSLASHfig] = ACTIONS(1653),
    [anon_sym_BSLASHjmp] = ACTIONS(1655),
    [anon_sym_BSLASHpb] = ACTIONS(520),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(1657),
    [sym_milestoneEndTag] = ACTIONS(1659),
    [sym_zSpaceTag] = ACTIONS(1661),
    [anon_sym_BSLASHesbe] = ACTIONS(520),
    [anon_sym_BSLASHcat] = ACTIONS(520),
  },
  [114] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(132),
    [sym_fr] = STATE(132),
    [sym_fq] = STATE(132),
    [sym_fqa] = STATE(132),
    [sym_fk] = STATE(132),
    [sym_fl] = STATE(132),
    [sym_fw] = STATE(132),
    [sym_fp] = STATE(132),
    [sym_ft] = STATE(132),
    [sym_fdc] = STATE(132),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(132),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(132),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(132),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1747),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [115] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(131),
    [sym_fr] = STATE(131),
    [sym_fq] = STATE(131),
    [sym_fqa] = STATE(131),
    [sym_fk] = STATE(131),
    [sym_fl] = STATE(131),
    [sym_fw] = STATE(131),
    [sym_fp] = STATE(131),
    [sym_ft] = STATE(131),
    [sym_fdc] = STATE(131),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(131),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(131),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(131),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1749),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [116] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(130),
    [sym_fr] = STATE(130),
    [sym_fq] = STATE(130),
    [sym_fqa] = STATE(130),
    [sym_fk] = STATE(130),
    [sym_fl] = STATE(130),
    [sym_fw] = STATE(130),
    [sym_fp] = STATE(130),
    [sym_ft] = STATE(130),
    [sym_fdc] = STATE(130),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(130),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(130),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(130),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1751),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [117] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(124),
    [sym__comments] = STATE(124),
    [sym_sts] = STATE(124),
    [sym_rem] = STATE(124),
    [sym_restore] = STATE(124),
    [sym_lit] = STATE(124),
    [sym_verseText] = STATE(124),
    [sym_v] = STATE(124),
    [sym__verseMeta] = STATE(124),
    [sym_va] = STATE(124),
    [sym_vp] = STATE(124),
    [sym__paragraphContent] = STATE(124),
    [sym__poetryContent] = STATE(124),
    [sym_qs] = STATE(124),
    [sym_qac] = STATE(124),
    [sym_footnote] = STATE(124),
    [sym_f] = STATE(643),
    [sym_fe] = STATE(643),
    [sym_ef] = STATE(643),
    [sym_fm] = STATE(643),
    [sym_crossref] = STATE(124),
    [sym_x] = STATE(684),
    [sym_xt_standalone] = STATE(684),
    [sym_rq] = STATE(684),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(1954),
    [sym__milestoneStandaloneMarker] = STATE(637),
    [sym__milestoneStart] = STATE(637),
    [sym__milestoneEnd] = STATE(637),
    [sym_milestone] = STATE(124),
    [sym__zNameSpaceRegular] = STATE(706),
    [sym__zNameSpaceClosed] = STATE(706),
    [sym__zNameSpaceStandaloneMarker] = STATE(706),
    [sym_zNameSpace] = STATE(124),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_q_repeat1] = STATE(124),
    [aux_sym_text_token1] = ACTIONS(1561),
    [anon_sym_BSLASHref] = ACTIONS(1563),
    [anon_sym_BSLASHsts] = ACTIONS(1565),
    [anon_sym_BSLASHrem] = ACTIONS(1567),
    [anon_sym_BSLASHrestore] = ACTIONS(1569),
    [anon_sym_BSLASHlit] = ACTIONS(1571),
    [anon_sym_BSLASHip] = ACTIONS(618),
    [anon_sym_BSLASHv] = ACTIONS(1573),
    [anon_sym_BSLASHva] = ACTIONS(1575),
    [anon_sym_BSLASHvp] = ACTIONS(1577),
    [anon_sym_BSLASHmte] = ACTIONS(618),
    [anon_sym_BSLASHms] = ACTIONS(618),
    [anon_sym_BSLASHs] = ACTIONS(618),
    [anon_sym_BSLASHr] = ACTIONS(618),
    [anon_sym_BSLASHsp] = ACTIONS(618),
    [anon_sym_BSLASHd] = ACTIONS(618),
    [anon_sym_BSLASHsd] = ACTIONS(618),
    [anon_sym_BSLASHp] = ACTIONS(618),
    [anon_sym_BSLASHm] = ACTIONS(618),
    [anon_sym_BSLASHpo] = ACTIONS(618),
    [anon_sym_BSLASHpr] = ACTIONS(618),
    [anon_sym_BSLASHcls] = ACTIONS(618),
    [anon_sym_BSLASHpmo] = ACTIONS(618),
    [anon_sym_BSLASHpm] = ACTIONS(618),
    [anon_sym_BSLASHpmc] = ACTIONS(618),
    [anon_sym_BSLASHpmr] = ACTIONS(618),
    [anon_sym_BSLASHpi] = ACTIONS(618),
    [anon_sym_BSLASHmi] = ACTIONS(618),
    [anon_sym_BSLASHnb] = ACTIONS(618),
    [anon_sym_BSLASHpc] = ACTIONS(618),
    [anon_sym_BSLASHph] = ACTIONS(618),
    [anon_sym_BSLASHb] = ACTIONS(618),
    [anon_sym_BSLASHq] = ACTIONS(618),
    [anon_sym_BSLASHqr] = ACTIONS(618),
    [anon_sym_BSLASHqc] = ACTIONS(618),
    [anon_sym_BSLASHqs] = ACTIONS(1579),
    [anon_sym_BSLASHqa] = ACTIONS(618),
    [anon_sym_BSLASHqac] = ACTIONS(1581),
    [anon_sym_BSLASHqm] = ACTIONS(618),
    [anon_sym_BSLASHqd] = ACTIONS(618),
    [anon_sym_BSLASHlh] = ACTIONS(618),
    [anon_sym_BSLASHli] = ACTIONS(618),
    [anon_sym_BSLASHlim] = ACTIONS(618),
    [anon_sym_BSLASHtr] = ACTIONS(618),
    [anon_sym_BSLASHf] = ACTIONS(1583),
    [anon_sym_BSLASHfe] = ACTIONS(1585),
    [anon_sym_BSLASHef] = ACTIONS(1587),
    [anon_sym_BSLASHfm] = ACTIONS(1589),
    [anon_sym_BSLASHx] = ACTIONS(1591),
    [anon_sym_BSLASHxt] = ACTIONS(1593),
    [anon_sym_BSLASHrq] = ACTIONS(1595),
    [anon_sym_BSLASHadd] = ACTIONS(1597),
    [anon_sym_BSLASHbk] = ACTIONS(1599),
    [anon_sym_BSLASHdc] = ACTIONS(1601),
    [anon_sym_BSLASHk] = ACTIONS(1603),
    [anon_sym_BSLASHnd] = ACTIONS(1605),
    [anon_sym_BSLASHord] = ACTIONS(1607),
    [anon_sym_BSLASHpn] = ACTIONS(1609),
    [anon_sym_BSLASHpng] = ACTIONS(1611),
    [anon_sym_BSLASHaddpn] = ACTIONS(1613),
    [anon_sym_BSLASHqt] = ACTIONS(1615),
    [anon_sym_BSLASHsig] = ACTIONS(1617),
    [anon_sym_BSLASHsls] = ACTIONS(1619),
    [anon_sym_BSLASHtl] = ACTIONS(1621),
    [anon_sym_BSLASHwj] = ACTIONS(1623),
    [anon_sym_BSLASHem] = ACTIONS(1625),
    [anon_sym_BSLASHbd] = ACTIONS(1627),
    [anon_sym_BSLASHit] = ACTIONS(1629),
    [anon_sym_BSLASHbdit] = ACTIONS(1631),
    [anon_sym_BSLASHno] = ACTIONS(1633),
    [anon_sym_BSLASHsc] = ACTIONS(1635),
    [anon_sym_BSLASHsup] = ACTIONS(1637),
    [anon_sym_BSLASHndx] = ACTIONS(1639),
    [anon_sym_BSLASHpro] = ACTIONS(1641),
    [anon_sym_BSLASHrb] = ACTIONS(1643),
    [anon_sym_BSLASHw] = ACTIONS(1645),
    [anon_sym_BSLASHwg] = ACTIONS(1647),
    [anon_sym_BSLASHwh] = ACTIONS(1649),
    [anon_sym_BSLASHwa] = ACTIONS(1651),
    [anon_sym_BSLASHfig] = ACTIONS(1653),
    [anon_sym_BSLASHjmp] = ACTIONS(1655),
    [anon_sym_BSLASHpb] = ACTIONS(618),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(1657),
    [sym_milestoneEndTag] = ACTIONS(1659),
    [sym_zSpaceTag] = ACTIONS(1661),
    [anon_sym_BSLASHesbe] = ACTIONS(618),
    [anon_sym_BSLASHcat] = ACTIONS(618),
  },
  [118] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(124),
    [sym__comments] = STATE(124),
    [sym_sts] = STATE(124),
    [sym_rem] = STATE(124),
    [sym_restore] = STATE(124),
    [sym_lit] = STATE(124),
    [sym_verseText] = STATE(124),
    [sym_v] = STATE(124),
    [sym__verseMeta] = STATE(124),
    [sym_va] = STATE(124),
    [sym_vp] = STATE(124),
    [sym__paragraphContent] = STATE(124),
    [sym__poetryContent] = STATE(124),
    [sym_qs] = STATE(124),
    [sym_qac] = STATE(124),
    [sym_footnote] = STATE(124),
    [sym_f] = STATE(643),
    [sym_fe] = STATE(643),
    [sym_ef] = STATE(643),
    [sym_fm] = STATE(643),
    [sym_crossref] = STATE(124),
    [sym_x] = STATE(684),
    [sym_xt_standalone] = STATE(684),
    [sym_rq] = STATE(684),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(1954),
    [sym__milestoneStandaloneMarker] = STATE(637),
    [sym__milestoneStart] = STATE(637),
    [sym__milestoneEnd] = STATE(637),
    [sym_milestone] = STATE(124),
    [sym__zNameSpaceRegular] = STATE(706),
    [sym__zNameSpaceClosed] = STATE(706),
    [sym__zNameSpaceStandaloneMarker] = STATE(706),
    [sym_zNameSpace] = STATE(124),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_q_repeat1] = STATE(124),
    [aux_sym_text_token1] = ACTIONS(1561),
    [anon_sym_BSLASHref] = ACTIONS(1563),
    [anon_sym_BSLASHsts] = ACTIONS(1565),
    [anon_sym_BSLASHrem] = ACTIONS(1567),
    [anon_sym_BSLASHrestore] = ACTIONS(1569),
    [anon_sym_BSLASHlit] = ACTIONS(1571),
    [anon_sym_BSLASHip] = ACTIONS(622),
    [anon_sym_BSLASHv] = ACTIONS(1573),
    [anon_sym_BSLASHva] = ACTIONS(1575),
    [anon_sym_BSLASHvp] = ACTIONS(1577),
    [anon_sym_BSLASHmte] = ACTIONS(622),
    [anon_sym_BSLASHms] = ACTIONS(622),
    [anon_sym_BSLASHs] = ACTIONS(622),
    [anon_sym_BSLASHr] = ACTIONS(622),
    [anon_sym_BSLASHsp] = ACTIONS(622),
    [anon_sym_BSLASHd] = ACTIONS(622),
    [anon_sym_BSLASHsd] = ACTIONS(622),
    [anon_sym_BSLASHp] = ACTIONS(622),
    [anon_sym_BSLASHm] = ACTIONS(622),
    [anon_sym_BSLASHpo] = ACTIONS(622),
    [anon_sym_BSLASHpr] = ACTIONS(622),
    [anon_sym_BSLASHcls] = ACTIONS(622),
    [anon_sym_BSLASHpmo] = ACTIONS(622),
    [anon_sym_BSLASHpm] = ACTIONS(622),
    [anon_sym_BSLASHpmc] = ACTIONS(622),
    [anon_sym_BSLASHpmr] = ACTIONS(622),
    [anon_sym_BSLASHpi] = ACTIONS(622),
    [anon_sym_BSLASHmi] = ACTIONS(622),
    [anon_sym_BSLASHnb] = ACTIONS(622),
    [anon_sym_BSLASHpc] = ACTIONS(622),
    [anon_sym_BSLASHph] = ACTIONS(622),
    [anon_sym_BSLASHb] = ACTIONS(622),
    [anon_sym_BSLASHq] = ACTIONS(622),
    [anon_sym_BSLASHqr] = ACTIONS(622),
    [anon_sym_BSLASHqc] = ACTIONS(622),
    [anon_sym_BSLASHqs] = ACTIONS(1579),
    [anon_sym_BSLASHqa] = ACTIONS(622),
    [anon_sym_BSLASHqac] = ACTIONS(1581),
    [anon_sym_BSLASHqm] = ACTIONS(622),
    [anon_sym_BSLASHqd] = ACTIONS(622),
    [anon_sym_BSLASHlh] = ACTIONS(622),
    [anon_sym_BSLASHli] = ACTIONS(622),
    [anon_sym_BSLASHlim] = ACTIONS(622),
    [anon_sym_BSLASHtr] = ACTIONS(622),
    [anon_sym_BSLASHf] = ACTIONS(1583),
    [anon_sym_BSLASHfe] = ACTIONS(1585),
    [anon_sym_BSLASHef] = ACTIONS(1587),
    [anon_sym_BSLASHfm] = ACTIONS(1589),
    [anon_sym_BSLASHx] = ACTIONS(1591),
    [anon_sym_BSLASHxt] = ACTIONS(1593),
    [anon_sym_BSLASHrq] = ACTIONS(1595),
    [anon_sym_BSLASHadd] = ACTIONS(1597),
    [anon_sym_BSLASHbk] = ACTIONS(1599),
    [anon_sym_BSLASHdc] = ACTIONS(1601),
    [anon_sym_BSLASHk] = ACTIONS(1603),
    [anon_sym_BSLASHnd] = ACTIONS(1605),
    [anon_sym_BSLASHord] = ACTIONS(1607),
    [anon_sym_BSLASHpn] = ACTIONS(1609),
    [anon_sym_BSLASHpng] = ACTIONS(1611),
    [anon_sym_BSLASHaddpn] = ACTIONS(1613),
    [anon_sym_BSLASHqt] = ACTIONS(1615),
    [anon_sym_BSLASHsig] = ACTIONS(1617),
    [anon_sym_BSLASHsls] = ACTIONS(1619),
    [anon_sym_BSLASHtl] = ACTIONS(1621),
    [anon_sym_BSLASHwj] = ACTIONS(1623),
    [anon_sym_BSLASHem] = ACTIONS(1625),
    [anon_sym_BSLASHbd] = ACTIONS(1627),
    [anon_sym_BSLASHit] = ACTIONS(1629),
    [anon_sym_BSLASHbdit] = ACTIONS(1631),
    [anon_sym_BSLASHno] = ACTIONS(1633),
    [anon_sym_BSLASHsc] = ACTIONS(1635),
    [anon_sym_BSLASHsup] = ACTIONS(1637),
    [anon_sym_BSLASHndx] = ACTIONS(1639),
    [anon_sym_BSLASHpro] = ACTIONS(1641),
    [anon_sym_BSLASHrb] = ACTIONS(1643),
    [anon_sym_BSLASHw] = ACTIONS(1645),
    [anon_sym_BSLASHwg] = ACTIONS(1647),
    [anon_sym_BSLASHwh] = ACTIONS(1649),
    [anon_sym_BSLASHwa] = ACTIONS(1651),
    [anon_sym_BSLASHfig] = ACTIONS(1653),
    [anon_sym_BSLASHjmp] = ACTIONS(1655),
    [anon_sym_BSLASHpb] = ACTIONS(622),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(1657),
    [sym_milestoneEndTag] = ACTIONS(1659),
    [sym_zSpaceTag] = ACTIONS(1661),
    [anon_sym_BSLASHesbe] = ACTIONS(622),
    [anon_sym_BSLASHcat] = ACTIONS(622),
  },
  [119] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1753),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [120] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(125),
    [sym_fr] = STATE(125),
    [sym_fq] = STATE(125),
    [sym_fqa] = STATE(125),
    [sym_fk] = STATE(125),
    [sym_fl] = STATE(125),
    [sym_fw] = STATE(125),
    [sym_fp] = STATE(125),
    [sym_ft] = STATE(125),
    [sym_fdc] = STATE(125),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(125),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(125),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(125),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1755),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [121] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(127),
    [sym_fr] = STATE(127),
    [sym_fq] = STATE(127),
    [sym_fqa] = STATE(127),
    [sym_fk] = STATE(127),
    [sym_fl] = STATE(127),
    [sym_fw] = STATE(127),
    [sym_fp] = STATE(127),
    [sym_ft] = STATE(127),
    [sym_fdc] = STATE(127),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(127),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(127),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(127),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1757),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [122] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(128),
    [sym_fr] = STATE(128),
    [sym_fq] = STATE(128),
    [sym_fqa] = STATE(128),
    [sym_fk] = STATE(128),
    [sym_fl] = STATE(128),
    [sym_fw] = STATE(128),
    [sym_fp] = STATE(128),
    [sym_ft] = STATE(128),
    [sym_fdc] = STATE(128),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(128),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(128),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(128),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1759),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [123] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1761),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [124] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(124),
    [sym__comments] = STATE(124),
    [sym_sts] = STATE(124),
    [sym_rem] = STATE(124),
    [sym_restore] = STATE(124),
    [sym_lit] = STATE(124),
    [sym_verseText] = STATE(124),
    [sym_v] = STATE(124),
    [sym__verseMeta] = STATE(124),
    [sym_va] = STATE(124),
    [sym_vp] = STATE(124),
    [sym__paragraphContent] = STATE(124),
    [sym__poetryContent] = STATE(124),
    [sym_qs] = STATE(124),
    [sym_qac] = STATE(124),
    [sym_footnote] = STATE(124),
    [sym_f] = STATE(643),
    [sym_fe] = STATE(643),
    [sym_ef] = STATE(643),
    [sym_fm] = STATE(643),
    [sym_crossref] = STATE(124),
    [sym_x] = STATE(684),
    [sym_xt_standalone] = STATE(684),
    [sym_rq] = STATE(684),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(1954),
    [sym__milestoneStandaloneMarker] = STATE(637),
    [sym__milestoneStart] = STATE(637),
    [sym__milestoneEnd] = STATE(637),
    [sym_milestone] = STATE(124),
    [sym__zNameSpaceRegular] = STATE(706),
    [sym__zNameSpaceClosed] = STATE(706),
    [sym__zNameSpaceStandaloneMarker] = STATE(706),
    [sym_zNameSpace] = STATE(124),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_q_repeat1] = STATE(124),
    [aux_sym_text_token1] = ACTIONS(1763),
    [anon_sym_BSLASHref] = ACTIONS(1766),
    [anon_sym_BSLASHsts] = ACTIONS(1769),
    [anon_sym_BSLASHrem] = ACTIONS(1772),
    [anon_sym_BSLASHrestore] = ACTIONS(1775),
    [anon_sym_BSLASHlit] = ACTIONS(1778),
    [anon_sym_BSLASHip] = ACTIONS(668),
    [anon_sym_BSLASHv] = ACTIONS(1781),
    [anon_sym_BSLASHva] = ACTIONS(1784),
    [anon_sym_BSLASHvp] = ACTIONS(1787),
    [anon_sym_BSLASHmte] = ACTIONS(668),
    [anon_sym_BSLASHms] = ACTIONS(668),
    [anon_sym_BSLASHs] = ACTIONS(668),
    [anon_sym_BSLASHr] = ACTIONS(668),
    [anon_sym_BSLASHsp] = ACTIONS(668),
    [anon_sym_BSLASHd] = ACTIONS(668),
    [anon_sym_BSLASHsd] = ACTIONS(668),
    [anon_sym_BSLASHp] = ACTIONS(668),
    [anon_sym_BSLASHm] = ACTIONS(668),
    [anon_sym_BSLASHpo] = ACTIONS(668),
    [anon_sym_BSLASHpr] = ACTIONS(668),
    [anon_sym_BSLASHcls] = ACTIONS(668),
    [anon_sym_BSLASHpmo] = ACTIONS(668),
    [anon_sym_BSLASHpm] = ACTIONS(668),
    [anon_sym_BSLASHpmc] = ACTIONS(668),
    [anon_sym_BSLASHpmr] = ACTIONS(668),
    [anon_sym_BSLASHpi] = ACTIONS(668),
    [anon_sym_BSLASHmi] = ACTIONS(668),
    [anon_sym_BSLASHnb] = ACTIONS(668),
    [anon_sym_BSLASHpc] = ACTIONS(668),
    [anon_sym_BSLASHph] = ACTIONS(668),
    [anon_sym_BSLASHb] = ACTIONS(668),
    [anon_sym_BSLASHq] = ACTIONS(668),
    [anon_sym_BSLASHqr] = ACTIONS(668),
    [anon_sym_BSLASHqc] = ACTIONS(668),
    [anon_sym_BSLASHqs] = ACTIONS(1790),
    [anon_sym_BSLASHqa] = ACTIONS(668),
    [anon_sym_BSLASHqac] = ACTIONS(1793),
    [anon_sym_BSLASHqm] = ACTIONS(668),
    [anon_sym_BSLASHqd] = ACTIONS(668),
    [anon_sym_BSLASHlh] = ACTIONS(668),
    [anon_sym_BSLASHli] = ACTIONS(668),
    [anon_sym_BSLASHlim] = ACTIONS(668),
    [anon_sym_BSLASHtr] = ACTIONS(668),
    [anon_sym_BSLASHf] = ACTIONS(1796),
    [anon_sym_BSLASHfe] = ACTIONS(1799),
    [anon_sym_BSLASHef] = ACTIONS(1802),
    [anon_sym_BSLASHfm] = ACTIONS(1805),
    [anon_sym_BSLASHx] = ACTIONS(1808),
    [anon_sym_BSLASHxt] = ACTIONS(1811),
    [anon_sym_BSLASHrq] = ACTIONS(1814),
    [anon_sym_BSLASHadd] = ACTIONS(1817),
    [anon_sym_BSLASHbk] = ACTIONS(1820),
    [anon_sym_BSLASHdc] = ACTIONS(1823),
    [anon_sym_BSLASHk] = ACTIONS(1826),
    [anon_sym_BSLASHnd] = ACTIONS(1829),
    [anon_sym_BSLASHord] = ACTIONS(1832),
    [anon_sym_BSLASHpn] = ACTIONS(1835),
    [anon_sym_BSLASHpng] = ACTIONS(1838),
    [anon_sym_BSLASHaddpn] = ACTIONS(1841),
    [anon_sym_BSLASHqt] = ACTIONS(1844),
    [anon_sym_BSLASHsig] = ACTIONS(1847),
    [anon_sym_BSLASHsls] = ACTIONS(1850),
    [anon_sym_BSLASHtl] = ACTIONS(1853),
    [anon_sym_BSLASHwj] = ACTIONS(1856),
    [anon_sym_BSLASHem] = ACTIONS(1859),
    [anon_sym_BSLASHbd] = ACTIONS(1862),
    [anon_sym_BSLASHit] = ACTIONS(1865),
    [anon_sym_BSLASHbdit] = ACTIONS(1868),
    [anon_sym_BSLASHno] = ACTIONS(1871),
    [anon_sym_BSLASHsc] = ACTIONS(1874),
    [anon_sym_BSLASHsup] = ACTIONS(1877),
    [anon_sym_BSLASHndx] = ACTIONS(1880),
    [anon_sym_BSLASHpro] = ACTIONS(1883),
    [anon_sym_BSLASHrb] = ACTIONS(1886),
    [anon_sym_BSLASHw] = ACTIONS(1889),
    [anon_sym_BSLASHwg] = ACTIONS(1892),
    [anon_sym_BSLASHwh] = ACTIONS(1895),
    [anon_sym_BSLASHwa] = ACTIONS(1898),
    [anon_sym_BSLASHfig] = ACTIONS(1901),
    [anon_sym_BSLASHjmp] = ACTIONS(1904),
    [anon_sym_BSLASHpb] = ACTIONS(668),
    [anon_sym_BSLASH] = ACTIONS(796),
    [sym_milestoneStartTag] = ACTIONS(1907),
    [sym_milestoneEndTag] = ACTIONS(1910),
    [sym_zSpaceTag] = ACTIONS(1913),
    [anon_sym_BSLASHesbe] = ACTIONS(668),
    [anon_sym_BSLASHcat] = ACTIONS(668),
  },
  [125] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1916),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [126] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1918),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [127] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1920),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [128] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1922),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [129] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(119),
    [sym_fr] = STATE(119),
    [sym_fq] = STATE(119),
    [sym_fqa] = STATE(119),
    [sym_fk] = STATE(119),
    [sym_fl] = STATE(119),
    [sym_fw] = STATE(119),
    [sym_fp] = STATE(119),
    [sym_ft] = STATE(119),
    [sym_fdc] = STATE(119),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(119),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(119),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(119),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1924),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [130] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(1926),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [131] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1928),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [132] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1930),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [133] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(123),
    [sym_fr] = STATE(123),
    [sym_fq] = STATE(123),
    [sym_fqa] = STATE(123),
    [sym_fk] = STATE(123),
    [sym_fl] = STATE(123),
    [sym_fw] = STATE(123),
    [sym_fp] = STATE(123),
    [sym_ft] = STATE(123),
    [sym_fdc] = STATE(123),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(123),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(123),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(123),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(1932),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [134] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(126),
    [sym_fr] = STATE(126),
    [sym_fq] = STATE(126),
    [sym_fqa] = STATE(126),
    [sym_fk] = STATE(126),
    [sym_fl] = STATE(126),
    [sym_fw] = STATE(126),
    [sym_fp] = STATE(126),
    [sym_ft] = STATE(126),
    [sym_fdc] = STATE(126),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(126),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(126),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(126),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(1934),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [135] = {
    [sym__comments] = STATE(135),
    [sym_sts] = STATE(135),
    [sym_rem] = STATE(135),
    [sym_restore] = STATE(135),
    [sym_lit] = STATE(135),
    [sym_ip] = STATE(135),
    [sym_iex] = STATE(135),
    [sym__chapterContent] = STATE(135),
    [sym__chapterMeta] = STATE(135),
    [sym_cl] = STATE(135),
    [sym_ca] = STATE(135),
    [sym_cp] = STATE(135),
    [sym_cd] = STATE(135),
    [sym_title] = STATE(135),
    [sym_mteBlock] = STATE(1332),
    [sym_mte] = STATE(1302),
    [sym_mteTag] = STATE(1772),
    [sym_msBlock] = STATE(1332),
    [sym_ms] = STATE(1282),
    [sym_msTag] = STATE(1091),
    [sym_sBlock] = STATE(1332),
    [sym_s] = STATE(1300),
    [sym_sTag] = STATE(281),
    [sym_r] = STATE(1332),
    [sym_sp] = STATE(1332),
    [sym_d] = STATE(1332),
    [sym_sdBlock] = STATE(1332),
    [sym_sd] = STATE(1254),
    [sym_sdTag] = STATE(1333),
    [sym_paragraph] = STATE(135),
    [sym_p] = STATE(1351),
    [sym_m] = STATE(1351),
    [sym_po] = STATE(1351),
    [sym_pr] = STATE(1351),
    [sym_cls] = STATE(1351),
    [sym_pmo] = STATE(1351),
    [sym_pm] = STATE(1351),
    [sym_pmc] = STATE(1351),
    [sym_pmr] = STATE(1351),
    [sym_piBlock] = STATE(1351),
    [sym_pi] = STATE(1294),
    [sym_piTag] = STATE(91),
    [sym_mi] = STATE(1351),
    [sym_nb] = STATE(1351),
    [sym_pc] = STATE(1351),
    [sym_phBlock] = STATE(1351),
    [sym_ph] = STATE(1276),
    [sym_phTag] = STATE(108),
    [sym_b] = STATE(1351),
    [sym_poetry] = STATE(135),
    [sym_qBlock] = STATE(1168),
    [sym_q] = STATE(1287),
    [sym_qTag] = STATE(67),
    [sym_qr] = STATE(1168),
    [sym_qc] = STATE(1168),
    [sym_qa] = STATE(1332),
    [sym_qmBlock] = STATE(1168),
    [sym_qm] = STATE(1285),
    [sym_qmTag] = STATE(66),
    [sym_qd] = STATE(1168),
    [sym_list] = STATE(135),
    [sym_lh] = STATE(1805),
    [sym__listMarker] = STATE(1165),
    [sym_liBlock] = STATE(1165),
    [sym_li] = STATE(1271),
    [sym_liTag] = STATE(56),
    [sym_limBlock] = STATE(1165),
    [sym_lim] = STATE(1275),
    [sym_limTag] = STATE(55),
    [sym_table] = STATE(135),
    [sym_tr] = STATE(1308),
    [sym_footnote] = STATE(135),
    [sym_f] = STATE(1349),
    [sym_fe] = STATE(1349),
    [sym_ef] = STATE(1349),
    [sym_fm] = STATE(1349),
    [sym_pb] = STATE(135),
    [sym_milestoneTag] = STATE(1946),
    [sym__milestoneStandaloneMarker] = STATE(1304),
    [sym__milestoneStart] = STATE(1304),
    [sym__milestoneEnd] = STATE(1304),
    [sym_milestone] = STATE(135),
    [sym__zNameSpaceRegular] = STATE(1331),
    [sym__zNameSpaceClosed] = STATE(1331),
    [sym__zNameSpaceStandaloneMarker] = STATE(1331),
    [sym_zNameSpace] = STATE(135),
    [sym_esb] = STATE(135),
    [aux_sym_chapter_repeat1] = STATE(135),
    [aux_sym_mteBlock_repeat1] = STATE(1302),
    [aux_sym_msBlock_repeat1] = STATE(1282),
    [aux_sym_sBlock_repeat1] = STATE(1300),
    [aux_sym_sdBlock_repeat1] = STATE(1254),
    [aux_sym_piBlock_repeat1] = STATE(1294),
    [aux_sym_phBlock_repeat1] = STATE(1276),
    [aux_sym_poetry_repeat1] = STATE(1168),
    [aux_sym_qBlock_repeat1] = STATE(1287),
    [aux_sym_qmBlock_repeat1] = STATE(1285),
    [aux_sym_list_repeat1] = STATE(1165),
    [aux_sym_liBlock_repeat1] = STATE(1271),
    [aux_sym_limBlock_repeat1] = STATE(1275),
    [aux_sym_table_repeat1] = STATE(1308),
    [ts_builtin_sym_end] = ACTIONS(1936),
    [anon_sym_BSLASHsts] = ACTIONS(1938),
    [anon_sym_BSLASHrem] = ACTIONS(1941),
    [anon_sym_BSLASHrestore] = ACTIONS(1944),
    [anon_sym_BSLASHlit] = ACTIONS(1947),
    [anon_sym_BSLASHip] = ACTIONS(1950),
    [anon_sym_BSLASHiex] = ACTIONS(1953),
    [anon_sym_BSLASHc] = ACTIONS(1936),
    [anon_sym_BSLASHcl] = ACTIONS(1956),
    [anon_sym_BSLASHca] = ACTIONS(1959),
    [anon_sym_BSLASHcp] = ACTIONS(1962),
    [anon_sym_BSLASHcd] = ACTIONS(1965),
    [anon_sym_BSLASHmte] = ACTIONS(1968),
    [anon_sym_BSLASHms] = ACTIONS(1971),
    [anon_sym_BSLASHs] = ACTIONS(1974),
    [anon_sym_BSLASHr] = ACTIONS(1977),
    [anon_sym_BSLASHsp] = ACTIONS(1980),
    [anon_sym_BSLASHd] = ACTIONS(1983),
    [anon_sym_BSLASHsd] = ACTIONS(1986),
    [anon_sym_BSLASHp] = ACTIONS(1989),
    [anon_sym_BSLASHm] = ACTIONS(1992),
    [anon_sym_BSLASHpo] = ACTIONS(1995),
    [anon_sym_BSLASHpr] = ACTIONS(1998),
    [anon_sym_BSLASHcls] = ACTIONS(2001),
    [anon_sym_BSLASHpmo] = ACTIONS(2004),
    [anon_sym_BSLASHpm] = ACTIONS(2007),
    [anon_sym_BSLASHpmc] = ACTIONS(2010),
    [anon_sym_BSLASHpmr] = ACTIONS(2013),
    [anon_sym_BSLASHpi] = ACTIONS(2016),
    [anon_sym_BSLASHmi] = ACTIONS(2019),
    [anon_sym_BSLASHnb] = ACTIONS(2022),
    [anon_sym_BSLASHpc] = ACTIONS(2025),
    [anon_sym_BSLASHph] = ACTIONS(2028),
    [anon_sym_BSLASHb] = ACTIONS(2031),
    [anon_sym_BSLASHq] = ACTIONS(2034),
    [anon_sym_BSLASHqr] = ACTIONS(2037),
    [anon_sym_BSLASHqc] = ACTIONS(2040),
    [anon_sym_BSLASHqa] = ACTIONS(2043),
    [anon_sym_BSLASHqm] = ACTIONS(2046),
    [anon_sym_BSLASHqd] = ACTIONS(2049),
    [anon_sym_BSLASHlh] = ACTIONS(2052),
    [anon_sym_BSLASHli] = ACTIONS(2055),
    [anon_sym_BSLASHlim] = ACTIONS(2058),
    [anon_sym_BSLASHtr] = ACTIONS(2061),
    [anon_sym_BSLASHf] = ACTIONS(2064),
    [anon_sym_BSLASHfe] = ACTIONS(2067),
    [anon_sym_BSLASHef] = ACTIONS(2070),
    [anon_sym_BSLASHfm] = ACTIONS(2073),
    [anon_sym_BSLASHpb] = ACTIONS(2076),
    [anon_sym_BSLASH] = ACTIONS(2079),
    [sym_milestoneStartTag] = ACTIONS(2082),
    [sym_milestoneEndTag] = ACTIONS(2085),
    [sym_zSpaceTag] = ACTIONS(2088),
    [anon_sym_BSLASHesb] = ACTIONS(2091),
  },
  [136] = {
    [sym__comments] = STATE(135),
    [sym_sts] = STATE(135),
    [sym_rem] = STATE(135),
    [sym_restore] = STATE(135),
    [sym_lit] = STATE(135),
    [sym_ip] = STATE(135),
    [sym_iex] = STATE(135),
    [sym__chapterContent] = STATE(135),
    [sym__chapterMeta] = STATE(135),
    [sym_cl] = STATE(135),
    [sym_ca] = STATE(135),
    [sym_cp] = STATE(135),
    [sym_cd] = STATE(135),
    [sym_title] = STATE(135),
    [sym_mteBlock] = STATE(1332),
    [sym_mte] = STATE(1302),
    [sym_mteTag] = STATE(1772),
    [sym_msBlock] = STATE(1332),
    [sym_ms] = STATE(1282),
    [sym_msTag] = STATE(1091),
    [sym_sBlock] = STATE(1332),
    [sym_s] = STATE(1300),
    [sym_sTag] = STATE(281),
    [sym_r] = STATE(1332),
    [sym_sp] = STATE(1332),
    [sym_d] = STATE(1332),
    [sym_sdBlock] = STATE(1332),
    [sym_sd] = STATE(1254),
    [sym_sdTag] = STATE(1333),
    [sym_paragraph] = STATE(135),
    [sym_p] = STATE(1351),
    [sym_m] = STATE(1351),
    [sym_po] = STATE(1351),
    [sym_pr] = STATE(1351),
    [sym_cls] = STATE(1351),
    [sym_pmo] = STATE(1351),
    [sym_pm] = STATE(1351),
    [sym_pmc] = STATE(1351),
    [sym_pmr] = STATE(1351),
    [sym_piBlock] = STATE(1351),
    [sym_pi] = STATE(1294),
    [sym_piTag] = STATE(91),
    [sym_mi] = STATE(1351),
    [sym_nb] = STATE(1351),
    [sym_pc] = STATE(1351),
    [sym_phBlock] = STATE(1351),
    [sym_ph] = STATE(1276),
    [sym_phTag] = STATE(108),
    [sym_b] = STATE(1351),
    [sym_poetry] = STATE(135),
    [sym_qBlock] = STATE(1168),
    [sym_q] = STATE(1287),
    [sym_qTag] = STATE(67),
    [sym_qr] = STATE(1168),
    [sym_qc] = STATE(1168),
    [sym_qa] = STATE(1332),
    [sym_qmBlock] = STATE(1168),
    [sym_qm] = STATE(1285),
    [sym_qmTag] = STATE(66),
    [sym_qd] = STATE(1168),
    [sym_list] = STATE(135),
    [sym_lh] = STATE(1805),
    [sym__listMarker] = STATE(1165),
    [sym_liBlock] = STATE(1165),
    [sym_li] = STATE(1271),
    [sym_liTag] = STATE(56),
    [sym_limBlock] = STATE(1165),
    [sym_lim] = STATE(1275),
    [sym_limTag] = STATE(55),
    [sym_table] = STATE(135),
    [sym_tr] = STATE(1308),
    [sym_footnote] = STATE(135),
    [sym_f] = STATE(1349),
    [sym_fe] = STATE(1349),
    [sym_ef] = STATE(1349),
    [sym_fm] = STATE(1349),
    [sym_pb] = STATE(135),
    [sym_milestoneTag] = STATE(1946),
    [sym__milestoneStandaloneMarker] = STATE(1304),
    [sym__milestoneStart] = STATE(1304),
    [sym__milestoneEnd] = STATE(1304),
    [sym_milestone] = STATE(135),
    [sym__zNameSpaceRegular] = STATE(1331),
    [sym__zNameSpaceClosed] = STATE(1331),
    [sym__zNameSpaceStandaloneMarker] = STATE(1331),
    [sym_zNameSpace] = STATE(135),
    [sym_esb] = STATE(135),
    [aux_sym_chapter_repeat1] = STATE(135),
    [aux_sym_mteBlock_repeat1] = STATE(1302),
    [aux_sym_msBlock_repeat1] = STATE(1282),
    [aux_sym_sBlock_repeat1] = STATE(1300),
    [aux_sym_sdBlock_repeat1] = STATE(1254),
    [aux_sym_piBlock_repeat1] = STATE(1294),
    [aux_sym_phBlock_repeat1] = STATE(1276),
    [aux_sym_poetry_repeat1] = STATE(1168),
    [aux_sym_qBlock_repeat1] = STATE(1287),
    [aux_sym_qmBlock_repeat1] = STATE(1285),
    [aux_sym_list_repeat1] = STATE(1165),
    [aux_sym_liBlock_repeat1] = STATE(1271),
    [aux_sym_limBlock_repeat1] = STATE(1275),
    [aux_sym_table_repeat1] = STATE(1308),
    [ts_builtin_sym_end] = ACTIONS(2094),
    [anon_sym_BSLASHsts] = ACTIONS(2096),
    [anon_sym_BSLASHrem] = ACTIONS(2098),
    [anon_sym_BSLASHrestore] = ACTIONS(2100),
    [anon_sym_BSLASHlit] = ACTIONS(2102),
    [anon_sym_BSLASHip] = ACTIONS(2104),
    [anon_sym_BSLASHiex] = ACTIONS(2106),
    [anon_sym_BSLASHc] = ACTIONS(2094),
    [anon_sym_BSLASHcl] = ACTIONS(2108),
    [anon_sym_BSLASHca] = ACTIONS(2110),
    [anon_sym_BSLASHcp] = ACTIONS(2112),
    [anon_sym_BSLASHcd] = ACTIONS(2114),
    [anon_sym_BSLASHmte] = ACTIONS(2116),
    [anon_sym_BSLASHms] = ACTIONS(2118),
    [anon_sym_BSLASHs] = ACTIONS(2120),
    [anon_sym_BSLASHr] = ACTIONS(2122),
    [anon_sym_BSLASHsp] = ACTIONS(2124),
    [anon_sym_BSLASHd] = ACTIONS(2126),
    [anon_sym_BSLASHsd] = ACTIONS(2128),
    [anon_sym_BSLASHp] = ACTIONS(2130),
    [anon_sym_BSLASHm] = ACTIONS(2132),
    [anon_sym_BSLASHpo] = ACTIONS(2134),
    [anon_sym_BSLASHpr] = ACTIONS(2136),
    [anon_sym_BSLASHcls] = ACTIONS(2138),
    [anon_sym_BSLASHpmo] = ACTIONS(2140),
    [anon_sym_BSLASHpm] = ACTIONS(2142),
    [anon_sym_BSLASHpmc] = ACTIONS(2144),
    [anon_sym_BSLASHpmr] = ACTIONS(2146),
    [anon_sym_BSLASHpi] = ACTIONS(2148),
    [anon_sym_BSLASHmi] = ACTIONS(2150),
    [anon_sym_BSLASHnb] = ACTIONS(2152),
    [anon_sym_BSLASHpc] = ACTIONS(2154),
    [anon_sym_BSLASHph] = ACTIONS(2156),
    [anon_sym_BSLASHb] = ACTIONS(2158),
    [anon_sym_BSLASHq] = ACTIONS(2160),
    [anon_sym_BSLASHqr] = ACTIONS(2162),
    [anon_sym_BSLASHqc] = ACTIONS(2164),
    [anon_sym_BSLASHqa] = ACTIONS(2166),
    [anon_sym_BSLASHqm] = ACTIONS(2168),
    [anon_sym_BSLASHqd] = ACTIONS(2170),
    [anon_sym_BSLASHlh] = ACTIONS(2172),
    [anon_sym_BSLASHli] = ACTIONS(2174),
    [anon_sym_BSLASHlim] = ACTIONS(2176),
    [anon_sym_BSLASHtr] = ACTIONS(2178),
    [anon_sym_BSLASHf] = ACTIONS(2180),
    [anon_sym_BSLASHfe] = ACTIONS(2182),
    [anon_sym_BSLASHef] = ACTIONS(2184),
    [anon_sym_BSLASHfm] = ACTIONS(2186),
    [anon_sym_BSLASHpb] = ACTIONS(2188),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(2190),
    [sym_milestoneEndTag] = ACTIONS(2192),
    [sym_zSpaceTag] = ACTIONS(2194),
    [anon_sym_BSLASHesb] = ACTIONS(2196),
  },
  [137] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2198),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [138] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2200),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [139] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2202),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [140] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(137),
    [sym_fr] = STATE(137),
    [sym_fq] = STATE(137),
    [sym_fqa] = STATE(137),
    [sym_fk] = STATE(137),
    [sym_fl] = STATE(137),
    [sym_fw] = STATE(137),
    [sym_fp] = STATE(137),
    [sym_ft] = STATE(137),
    [sym_fdc] = STATE(137),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(137),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(137),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(137),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2204),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [141] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(139),
    [sym_fr] = STATE(139),
    [sym_fq] = STATE(139),
    [sym_fqa] = STATE(139),
    [sym_fk] = STATE(139),
    [sym_fl] = STATE(139),
    [sym_fw] = STATE(139),
    [sym_fp] = STATE(139),
    [sym_ft] = STATE(139),
    [sym_fdc] = STATE(139),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(139),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(139),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(139),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2206),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [142] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2208),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [143] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2210),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [144] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(124),
    [sym__comments] = STATE(124),
    [sym_sts] = STATE(124),
    [sym_rem] = STATE(124),
    [sym_restore] = STATE(124),
    [sym_lit] = STATE(124),
    [sym_verseText] = STATE(124),
    [sym_v] = STATE(124),
    [sym__verseMeta] = STATE(124),
    [sym_va] = STATE(124),
    [sym_vp] = STATE(124),
    [sym__paragraphContent] = STATE(124),
    [sym__poetryContent] = STATE(124),
    [sym_qs] = STATE(124),
    [sym_qac] = STATE(124),
    [sym_footnote] = STATE(124),
    [sym_f] = STATE(643),
    [sym_fe] = STATE(643),
    [sym_ef] = STATE(643),
    [sym_fm] = STATE(643),
    [sym_crossref] = STATE(124),
    [sym_x] = STATE(684),
    [sym_xt_standalone] = STATE(684),
    [sym_rq] = STATE(684),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(1954),
    [sym__milestoneStandaloneMarker] = STATE(637),
    [sym__milestoneStart] = STATE(637),
    [sym__milestoneEnd] = STATE(637),
    [sym_milestone] = STATE(124),
    [sym__zNameSpaceRegular] = STATE(706),
    [sym__zNameSpaceClosed] = STATE(706),
    [sym__zNameSpaceStandaloneMarker] = STATE(706),
    [sym_zNameSpace] = STATE(124),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_q_repeat1] = STATE(124),
    [aux_sym_text_token1] = ACTIONS(1561),
    [anon_sym_BSLASHref] = ACTIONS(1563),
    [anon_sym_BSLASHsts] = ACTIONS(1565),
    [anon_sym_BSLASHrem] = ACTIONS(1567),
    [anon_sym_BSLASHrestore] = ACTIONS(1569),
    [anon_sym_BSLASHlit] = ACTIONS(1571),
    [anon_sym_BSLASHip] = ACTIONS(646),
    [anon_sym_BSLASHv] = ACTIONS(1573),
    [anon_sym_BSLASHva] = ACTIONS(1575),
    [anon_sym_BSLASHvp] = ACTIONS(1577),
    [anon_sym_BSLASHmte] = ACTIONS(646),
    [anon_sym_BSLASHms] = ACTIONS(646),
    [anon_sym_BSLASHs] = ACTIONS(646),
    [anon_sym_BSLASHr] = ACTIONS(646),
    [anon_sym_BSLASHsp] = ACTIONS(646),
    [anon_sym_BSLASHd] = ACTIONS(646),
    [anon_sym_BSLASHsd] = ACTIONS(646),
    [anon_sym_BSLASHp] = ACTIONS(646),
    [anon_sym_BSLASHm] = ACTIONS(646),
    [anon_sym_BSLASHpo] = ACTIONS(646),
    [anon_sym_BSLASHpr] = ACTIONS(646),
    [anon_sym_BSLASHcls] = ACTIONS(646),
    [anon_sym_BSLASHpmo] = ACTIONS(646),
    [anon_sym_BSLASHpm] = ACTIONS(646),
    [anon_sym_BSLASHpmc] = ACTIONS(646),
    [anon_sym_BSLASHpmr] = ACTIONS(646),
    [anon_sym_BSLASHpi] = ACTIONS(646),
    [anon_sym_BSLASHmi] = ACTIONS(646),
    [anon_sym_BSLASHnb] = ACTIONS(646),
    [anon_sym_BSLASHpc] = ACTIONS(646),
    [anon_sym_BSLASHph] = ACTIONS(646),
    [anon_sym_BSLASHb] = ACTIONS(646),
    [anon_sym_BSLASHq] = ACTIONS(646),
    [anon_sym_BSLASHqr] = ACTIONS(646),
    [anon_sym_BSLASHqc] = ACTIONS(646),
    [anon_sym_BSLASHqs] = ACTIONS(1579),
    [anon_sym_BSLASHqa] = ACTIONS(646),
    [anon_sym_BSLASHqac] = ACTIONS(1581),
    [anon_sym_BSLASHqm] = ACTIONS(646),
    [anon_sym_BSLASHqd] = ACTIONS(646),
    [anon_sym_BSLASHlh] = ACTIONS(646),
    [anon_sym_BSLASHli] = ACTIONS(646),
    [anon_sym_BSLASHlim] = ACTIONS(646),
    [anon_sym_BSLASHtr] = ACTIONS(646),
    [anon_sym_BSLASHf] = ACTIONS(1583),
    [anon_sym_BSLASHfe] = ACTIONS(1585),
    [anon_sym_BSLASHef] = ACTIONS(1587),
    [anon_sym_BSLASHfm] = ACTIONS(1589),
    [anon_sym_BSLASHx] = ACTIONS(1591),
    [anon_sym_BSLASHxt] = ACTIONS(1593),
    [anon_sym_BSLASHrq] = ACTIONS(1595),
    [anon_sym_BSLASHadd] = ACTIONS(1597),
    [anon_sym_BSLASHbk] = ACTIONS(1599),
    [anon_sym_BSLASHdc] = ACTIONS(1601),
    [anon_sym_BSLASHk] = ACTIONS(1603),
    [anon_sym_BSLASHnd] = ACTIONS(1605),
    [anon_sym_BSLASHord] = ACTIONS(1607),
    [anon_sym_BSLASHpn] = ACTIONS(1609),
    [anon_sym_BSLASHpng] = ACTIONS(1611),
    [anon_sym_BSLASHaddpn] = ACTIONS(1613),
    [anon_sym_BSLASHqt] = ACTIONS(1615),
    [anon_sym_BSLASHsig] = ACTIONS(1617),
    [anon_sym_BSLASHsls] = ACTIONS(1619),
    [anon_sym_BSLASHtl] = ACTIONS(1621),
    [anon_sym_BSLASHwj] = ACTIONS(1623),
    [anon_sym_BSLASHem] = ACTIONS(1625),
    [anon_sym_BSLASHbd] = ACTIONS(1627),
    [anon_sym_BSLASHit] = ACTIONS(1629),
    [anon_sym_BSLASHbdit] = ACTIONS(1631),
    [anon_sym_BSLASHno] = ACTIONS(1633),
    [anon_sym_BSLASHsc] = ACTIONS(1635),
    [anon_sym_BSLASHsup] = ACTIONS(1637),
    [anon_sym_BSLASHndx] = ACTIONS(1639),
    [anon_sym_BSLASHpro] = ACTIONS(1641),
    [anon_sym_BSLASHrb] = ACTIONS(1643),
    [anon_sym_BSLASHw] = ACTIONS(1645),
    [anon_sym_BSLASHwg] = ACTIONS(1647),
    [anon_sym_BSLASHwh] = ACTIONS(1649),
    [anon_sym_BSLASHwa] = ACTIONS(1651),
    [anon_sym_BSLASHfig] = ACTIONS(1653),
    [anon_sym_BSLASHjmp] = ACTIONS(1655),
    [anon_sym_BSLASHpb] = ACTIONS(646),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(1657),
    [sym_milestoneEndTag] = ACTIONS(1659),
    [sym_zSpaceTag] = ACTIONS(1661),
    [anon_sym_BSLASHesbe] = ACTIONS(646),
    [anon_sym_BSLASHcat] = ACTIONS(646),
  },
  [145] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(124),
    [sym__comments] = STATE(124),
    [sym_sts] = STATE(124),
    [sym_rem] = STATE(124),
    [sym_restore] = STATE(124),
    [sym_lit] = STATE(124),
    [sym_verseText] = STATE(124),
    [sym_v] = STATE(124),
    [sym__verseMeta] = STATE(124),
    [sym_va] = STATE(124),
    [sym_vp] = STATE(124),
    [sym__paragraphContent] = STATE(124),
    [sym__poetryContent] = STATE(124),
    [sym_qs] = STATE(124),
    [sym_qac] = STATE(124),
    [sym_footnote] = STATE(124),
    [sym_f] = STATE(643),
    [sym_fe] = STATE(643),
    [sym_ef] = STATE(643),
    [sym_fm] = STATE(643),
    [sym_crossref] = STATE(124),
    [sym_x] = STATE(684),
    [sym_xt_standalone] = STATE(684),
    [sym_rq] = STATE(684),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(1954),
    [sym__milestoneStandaloneMarker] = STATE(637),
    [sym__milestoneStart] = STATE(637),
    [sym__milestoneEnd] = STATE(637),
    [sym_milestone] = STATE(124),
    [sym__zNameSpaceRegular] = STATE(706),
    [sym__zNameSpaceClosed] = STATE(706),
    [sym__zNameSpaceStandaloneMarker] = STATE(706),
    [sym_zNameSpace] = STATE(124),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_q_repeat1] = STATE(124),
    [aux_sym_text_token1] = ACTIONS(1561),
    [anon_sym_BSLASHref] = ACTIONS(1563),
    [anon_sym_BSLASHsts] = ACTIONS(1565),
    [anon_sym_BSLASHrem] = ACTIONS(1567),
    [anon_sym_BSLASHrestore] = ACTIONS(1569),
    [anon_sym_BSLASHlit] = ACTIONS(1571),
    [anon_sym_BSLASHip] = ACTIONS(642),
    [anon_sym_BSLASHv] = ACTIONS(1573),
    [anon_sym_BSLASHva] = ACTIONS(1575),
    [anon_sym_BSLASHvp] = ACTIONS(1577),
    [anon_sym_BSLASHmte] = ACTIONS(642),
    [anon_sym_BSLASHms] = ACTIONS(642),
    [anon_sym_BSLASHs] = ACTIONS(642),
    [anon_sym_BSLASHr] = ACTIONS(642),
    [anon_sym_BSLASHsp] = ACTIONS(642),
    [anon_sym_BSLASHd] = ACTIONS(642),
    [anon_sym_BSLASHsd] = ACTIONS(642),
    [anon_sym_BSLASHp] = ACTIONS(642),
    [anon_sym_BSLASHm] = ACTIONS(642),
    [anon_sym_BSLASHpo] = ACTIONS(642),
    [anon_sym_BSLASHpr] = ACTIONS(642),
    [anon_sym_BSLASHcls] = ACTIONS(642),
    [anon_sym_BSLASHpmo] = ACTIONS(642),
    [anon_sym_BSLASHpm] = ACTIONS(642),
    [anon_sym_BSLASHpmc] = ACTIONS(642),
    [anon_sym_BSLASHpmr] = ACTIONS(642),
    [anon_sym_BSLASHpi] = ACTIONS(642),
    [anon_sym_BSLASHmi] = ACTIONS(642),
    [anon_sym_BSLASHnb] = ACTIONS(642),
    [anon_sym_BSLASHpc] = ACTIONS(642),
    [anon_sym_BSLASHph] = ACTIONS(642),
    [anon_sym_BSLASHb] = ACTIONS(642),
    [anon_sym_BSLASHq] = ACTIONS(642),
    [anon_sym_BSLASHqr] = ACTIONS(642),
    [anon_sym_BSLASHqc] = ACTIONS(642),
    [anon_sym_BSLASHqs] = ACTIONS(1579),
    [anon_sym_BSLASHqa] = ACTIONS(642),
    [anon_sym_BSLASHqac] = ACTIONS(1581),
    [anon_sym_BSLASHqm] = ACTIONS(642),
    [anon_sym_BSLASHqd] = ACTIONS(642),
    [anon_sym_BSLASHlh] = ACTIONS(642),
    [anon_sym_BSLASHli] = ACTIONS(642),
    [anon_sym_BSLASHlim] = ACTIONS(642),
    [anon_sym_BSLASHtr] = ACTIONS(642),
    [anon_sym_BSLASHf] = ACTIONS(1583),
    [anon_sym_BSLASHfe] = ACTIONS(1585),
    [anon_sym_BSLASHef] = ACTIONS(1587),
    [anon_sym_BSLASHfm] = ACTIONS(1589),
    [anon_sym_BSLASHx] = ACTIONS(1591),
    [anon_sym_BSLASHxt] = ACTIONS(1593),
    [anon_sym_BSLASHrq] = ACTIONS(1595),
    [anon_sym_BSLASHadd] = ACTIONS(1597),
    [anon_sym_BSLASHbk] = ACTIONS(1599),
    [anon_sym_BSLASHdc] = ACTIONS(1601),
    [anon_sym_BSLASHk] = ACTIONS(1603),
    [anon_sym_BSLASHnd] = ACTIONS(1605),
    [anon_sym_BSLASHord] = ACTIONS(1607),
    [anon_sym_BSLASHpn] = ACTIONS(1609),
    [anon_sym_BSLASHpng] = ACTIONS(1611),
    [anon_sym_BSLASHaddpn] = ACTIONS(1613),
    [anon_sym_BSLASHqt] = ACTIONS(1615),
    [anon_sym_BSLASHsig] = ACTIONS(1617),
    [anon_sym_BSLASHsls] = ACTIONS(1619),
    [anon_sym_BSLASHtl] = ACTIONS(1621),
    [anon_sym_BSLASHwj] = ACTIONS(1623),
    [anon_sym_BSLASHem] = ACTIONS(1625),
    [anon_sym_BSLASHbd] = ACTIONS(1627),
    [anon_sym_BSLASHit] = ACTIONS(1629),
    [anon_sym_BSLASHbdit] = ACTIONS(1631),
    [anon_sym_BSLASHno] = ACTIONS(1633),
    [anon_sym_BSLASHsc] = ACTIONS(1635),
    [anon_sym_BSLASHsup] = ACTIONS(1637),
    [anon_sym_BSLASHndx] = ACTIONS(1639),
    [anon_sym_BSLASHpro] = ACTIONS(1641),
    [anon_sym_BSLASHrb] = ACTIONS(1643),
    [anon_sym_BSLASHw] = ACTIONS(1645),
    [anon_sym_BSLASHwg] = ACTIONS(1647),
    [anon_sym_BSLASHwh] = ACTIONS(1649),
    [anon_sym_BSLASHwa] = ACTIONS(1651),
    [anon_sym_BSLASHfig] = ACTIONS(1653),
    [anon_sym_BSLASHjmp] = ACTIONS(1655),
    [anon_sym_BSLASHpb] = ACTIONS(642),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(1657),
    [sym_milestoneEndTag] = ACTIONS(1659),
    [sym_zSpaceTag] = ACTIONS(1661),
    [anon_sym_BSLASHesbe] = ACTIONS(642),
    [anon_sym_BSLASHcat] = ACTIONS(642),
  },
  [146] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(124),
    [sym__comments] = STATE(124),
    [sym_sts] = STATE(124),
    [sym_rem] = STATE(124),
    [sym_restore] = STATE(124),
    [sym_lit] = STATE(124),
    [sym_verseText] = STATE(124),
    [sym_v] = STATE(124),
    [sym__verseMeta] = STATE(124),
    [sym_va] = STATE(124),
    [sym_vp] = STATE(124),
    [sym__paragraphContent] = STATE(124),
    [sym__poetryContent] = STATE(124),
    [sym_qs] = STATE(124),
    [sym_qac] = STATE(124),
    [sym_footnote] = STATE(124),
    [sym_f] = STATE(643),
    [sym_fe] = STATE(643),
    [sym_ef] = STATE(643),
    [sym_fm] = STATE(643),
    [sym_crossref] = STATE(124),
    [sym_x] = STATE(684),
    [sym_xt_standalone] = STATE(684),
    [sym_rq] = STATE(684),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(1954),
    [sym__milestoneStandaloneMarker] = STATE(637),
    [sym__milestoneStart] = STATE(637),
    [sym__milestoneEnd] = STATE(637),
    [sym_milestone] = STATE(124),
    [sym__zNameSpaceRegular] = STATE(706),
    [sym__zNameSpaceClosed] = STATE(706),
    [sym__zNameSpaceStandaloneMarker] = STATE(706),
    [sym_zNameSpace] = STATE(124),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_q_repeat1] = STATE(124),
    [aux_sym_text_token1] = ACTIONS(1561),
    [anon_sym_BSLASHref] = ACTIONS(1563),
    [anon_sym_BSLASHsts] = ACTIONS(1565),
    [anon_sym_BSLASHrem] = ACTIONS(1567),
    [anon_sym_BSLASHrestore] = ACTIONS(1569),
    [anon_sym_BSLASHlit] = ACTIONS(1571),
    [anon_sym_BSLASHip] = ACTIONS(638),
    [anon_sym_BSLASHv] = ACTIONS(1573),
    [anon_sym_BSLASHva] = ACTIONS(1575),
    [anon_sym_BSLASHvp] = ACTIONS(1577),
    [anon_sym_BSLASHmte] = ACTIONS(638),
    [anon_sym_BSLASHms] = ACTIONS(638),
    [anon_sym_BSLASHs] = ACTIONS(638),
    [anon_sym_BSLASHr] = ACTIONS(638),
    [anon_sym_BSLASHsp] = ACTIONS(638),
    [anon_sym_BSLASHd] = ACTIONS(638),
    [anon_sym_BSLASHsd] = ACTIONS(638),
    [anon_sym_BSLASHp] = ACTIONS(638),
    [anon_sym_BSLASHm] = ACTIONS(638),
    [anon_sym_BSLASHpo] = ACTIONS(638),
    [anon_sym_BSLASHpr] = ACTIONS(638),
    [anon_sym_BSLASHcls] = ACTIONS(638),
    [anon_sym_BSLASHpmo] = ACTIONS(638),
    [anon_sym_BSLASHpm] = ACTIONS(638),
    [anon_sym_BSLASHpmc] = ACTIONS(638),
    [anon_sym_BSLASHpmr] = ACTIONS(638),
    [anon_sym_BSLASHpi] = ACTIONS(638),
    [anon_sym_BSLASHmi] = ACTIONS(638),
    [anon_sym_BSLASHnb] = ACTIONS(638),
    [anon_sym_BSLASHpc] = ACTIONS(638),
    [anon_sym_BSLASHph] = ACTIONS(638),
    [anon_sym_BSLASHb] = ACTIONS(638),
    [anon_sym_BSLASHq] = ACTIONS(638),
    [anon_sym_BSLASHqr] = ACTIONS(638),
    [anon_sym_BSLASHqc] = ACTIONS(638),
    [anon_sym_BSLASHqs] = ACTIONS(1579),
    [anon_sym_BSLASHqa] = ACTIONS(638),
    [anon_sym_BSLASHqac] = ACTIONS(1581),
    [anon_sym_BSLASHqm] = ACTIONS(638),
    [anon_sym_BSLASHqd] = ACTIONS(638),
    [anon_sym_BSLASHlh] = ACTIONS(638),
    [anon_sym_BSLASHli] = ACTIONS(638),
    [anon_sym_BSLASHlim] = ACTIONS(638),
    [anon_sym_BSLASHtr] = ACTIONS(638),
    [anon_sym_BSLASHf] = ACTIONS(1583),
    [anon_sym_BSLASHfe] = ACTIONS(1585),
    [anon_sym_BSLASHef] = ACTIONS(1587),
    [anon_sym_BSLASHfm] = ACTIONS(1589),
    [anon_sym_BSLASHx] = ACTIONS(1591),
    [anon_sym_BSLASHxt] = ACTIONS(1593),
    [anon_sym_BSLASHrq] = ACTIONS(1595),
    [anon_sym_BSLASHadd] = ACTIONS(1597),
    [anon_sym_BSLASHbk] = ACTIONS(1599),
    [anon_sym_BSLASHdc] = ACTIONS(1601),
    [anon_sym_BSLASHk] = ACTIONS(1603),
    [anon_sym_BSLASHnd] = ACTIONS(1605),
    [anon_sym_BSLASHord] = ACTIONS(1607),
    [anon_sym_BSLASHpn] = ACTIONS(1609),
    [anon_sym_BSLASHpng] = ACTIONS(1611),
    [anon_sym_BSLASHaddpn] = ACTIONS(1613),
    [anon_sym_BSLASHqt] = ACTIONS(1615),
    [anon_sym_BSLASHsig] = ACTIONS(1617),
    [anon_sym_BSLASHsls] = ACTIONS(1619),
    [anon_sym_BSLASHtl] = ACTIONS(1621),
    [anon_sym_BSLASHwj] = ACTIONS(1623),
    [anon_sym_BSLASHem] = ACTIONS(1625),
    [anon_sym_BSLASHbd] = ACTIONS(1627),
    [anon_sym_BSLASHit] = ACTIONS(1629),
    [anon_sym_BSLASHbdit] = ACTIONS(1631),
    [anon_sym_BSLASHno] = ACTIONS(1633),
    [anon_sym_BSLASHsc] = ACTIONS(1635),
    [anon_sym_BSLASHsup] = ACTIONS(1637),
    [anon_sym_BSLASHndx] = ACTIONS(1639),
    [anon_sym_BSLASHpro] = ACTIONS(1641),
    [anon_sym_BSLASHrb] = ACTIONS(1643),
    [anon_sym_BSLASHw] = ACTIONS(1645),
    [anon_sym_BSLASHwg] = ACTIONS(1647),
    [anon_sym_BSLASHwh] = ACTIONS(1649),
    [anon_sym_BSLASHwa] = ACTIONS(1651),
    [anon_sym_BSLASHfig] = ACTIONS(1653),
    [anon_sym_BSLASHjmp] = ACTIONS(1655),
    [anon_sym_BSLASHpb] = ACTIONS(638),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(1657),
    [sym_milestoneEndTag] = ACTIONS(1659),
    [sym_zSpaceTag] = ACTIONS(1661),
    [anon_sym_BSLASHesbe] = ACTIONS(638),
    [anon_sym_BSLASHcat] = ACTIONS(638),
  },
  [147] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2212),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [148] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(142),
    [sym_fr] = STATE(142),
    [sym_fq] = STATE(142),
    [sym_fqa] = STATE(142),
    [sym_fk] = STATE(142),
    [sym_fl] = STATE(142),
    [sym_fw] = STATE(142),
    [sym_fp] = STATE(142),
    [sym_ft] = STATE(142),
    [sym_fdc] = STATE(142),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(142),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(142),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(142),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2214),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [149] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(143),
    [sym_fr] = STATE(143),
    [sym_fq] = STATE(143),
    [sym_fqa] = STATE(143),
    [sym_fk] = STATE(143),
    [sym_fl] = STATE(143),
    [sym_fw] = STATE(143),
    [sym_fp] = STATE(143),
    [sym_ft] = STATE(143),
    [sym_fdc] = STATE(143),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(143),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(143),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(143),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2216),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [150] = {
    [sym__comments] = STATE(136),
    [sym_sts] = STATE(136),
    [sym_rem] = STATE(136),
    [sym_restore] = STATE(136),
    [sym_lit] = STATE(136),
    [sym_ip] = STATE(136),
    [sym_iex] = STATE(136),
    [sym__chapterContent] = STATE(136),
    [sym__chapterMeta] = STATE(136),
    [sym_cl] = STATE(136),
    [sym_ca] = STATE(136),
    [sym_cp] = STATE(136),
    [sym_cd] = STATE(136),
    [sym_title] = STATE(136),
    [sym_mteBlock] = STATE(1332),
    [sym_mte] = STATE(1302),
    [sym_mteTag] = STATE(1772),
    [sym_msBlock] = STATE(1332),
    [sym_ms] = STATE(1282),
    [sym_msTag] = STATE(1091),
    [sym_sBlock] = STATE(1332),
    [sym_s] = STATE(1300),
    [sym_sTag] = STATE(281),
    [sym_r] = STATE(1332),
    [sym_sp] = STATE(1332),
    [sym_d] = STATE(1332),
    [sym_sdBlock] = STATE(1332),
    [sym_sd] = STATE(1254),
    [sym_sdTag] = STATE(1333),
    [sym_paragraph] = STATE(136),
    [sym_p] = STATE(1351),
    [sym_m] = STATE(1351),
    [sym_po] = STATE(1351),
    [sym_pr] = STATE(1351),
    [sym_cls] = STATE(1351),
    [sym_pmo] = STATE(1351),
    [sym_pm] = STATE(1351),
    [sym_pmc] = STATE(1351),
    [sym_pmr] = STATE(1351),
    [sym_piBlock] = STATE(1351),
    [sym_pi] = STATE(1294),
    [sym_piTag] = STATE(91),
    [sym_mi] = STATE(1351),
    [sym_nb] = STATE(1351),
    [sym_pc] = STATE(1351),
    [sym_phBlock] = STATE(1351),
    [sym_ph] = STATE(1276),
    [sym_phTag] = STATE(108),
    [sym_b] = STATE(1351),
    [sym_poetry] = STATE(136),
    [sym_qBlock] = STATE(1168),
    [sym_q] = STATE(1287),
    [sym_qTag] = STATE(67),
    [sym_qr] = STATE(1168),
    [sym_qc] = STATE(1168),
    [sym_qa] = STATE(1332),
    [sym_qmBlock] = STATE(1168),
    [sym_qm] = STATE(1285),
    [sym_qmTag] = STATE(66),
    [sym_qd] = STATE(1168),
    [sym_list] = STATE(136),
    [sym_lh] = STATE(1805),
    [sym__listMarker] = STATE(1165),
    [sym_liBlock] = STATE(1165),
    [sym_li] = STATE(1271),
    [sym_liTag] = STATE(56),
    [sym_limBlock] = STATE(1165),
    [sym_lim] = STATE(1275),
    [sym_limTag] = STATE(55),
    [sym_table] = STATE(136),
    [sym_tr] = STATE(1308),
    [sym_footnote] = STATE(136),
    [sym_f] = STATE(1349),
    [sym_fe] = STATE(1349),
    [sym_ef] = STATE(1349),
    [sym_fm] = STATE(1349),
    [sym_pb] = STATE(136),
    [sym_milestoneTag] = STATE(1946),
    [sym__milestoneStandaloneMarker] = STATE(1304),
    [sym__milestoneStart] = STATE(1304),
    [sym__milestoneEnd] = STATE(1304),
    [sym_milestone] = STATE(136),
    [sym__zNameSpaceRegular] = STATE(1331),
    [sym__zNameSpaceClosed] = STATE(1331),
    [sym__zNameSpaceStandaloneMarker] = STATE(1331),
    [sym_zNameSpace] = STATE(136),
    [sym_esb] = STATE(136),
    [aux_sym_chapter_repeat1] = STATE(136),
    [aux_sym_mteBlock_repeat1] = STATE(1302),
    [aux_sym_msBlock_repeat1] = STATE(1282),
    [aux_sym_sBlock_repeat1] = STATE(1300),
    [aux_sym_sdBlock_repeat1] = STATE(1254),
    [aux_sym_piBlock_repeat1] = STATE(1294),
    [aux_sym_phBlock_repeat1] = STATE(1276),
    [aux_sym_poetry_repeat1] = STATE(1168),
    [aux_sym_qBlock_repeat1] = STATE(1287),
    [aux_sym_qmBlock_repeat1] = STATE(1285),
    [aux_sym_list_repeat1] = STATE(1165),
    [aux_sym_liBlock_repeat1] = STATE(1271),
    [aux_sym_limBlock_repeat1] = STATE(1275),
    [aux_sym_table_repeat1] = STATE(1308),
    [ts_builtin_sym_end] = ACTIONS(2218),
    [anon_sym_BSLASHsts] = ACTIONS(2096),
    [anon_sym_BSLASHrem] = ACTIONS(2098),
    [anon_sym_BSLASHrestore] = ACTIONS(2100),
    [anon_sym_BSLASHlit] = ACTIONS(2102),
    [anon_sym_BSLASHip] = ACTIONS(2104),
    [anon_sym_BSLASHiex] = ACTIONS(2106),
    [anon_sym_BSLASHc] = ACTIONS(2218),
    [anon_sym_BSLASHcl] = ACTIONS(2108),
    [anon_sym_BSLASHca] = ACTIONS(2110),
    [anon_sym_BSLASHcp] = ACTIONS(2112),
    [anon_sym_BSLASHcd] = ACTIONS(2114),
    [anon_sym_BSLASHmte] = ACTIONS(2116),
    [anon_sym_BSLASHms] = ACTIONS(2118),
    [anon_sym_BSLASHs] = ACTIONS(2120),
    [anon_sym_BSLASHr] = ACTIONS(2122),
    [anon_sym_BSLASHsp] = ACTIONS(2124),
    [anon_sym_BSLASHd] = ACTIONS(2126),
    [anon_sym_BSLASHsd] = ACTIONS(2128),
    [anon_sym_BSLASHp] = ACTIONS(2130),
    [anon_sym_BSLASHm] = ACTIONS(2132),
    [anon_sym_BSLASHpo] = ACTIONS(2134),
    [anon_sym_BSLASHpr] = ACTIONS(2136),
    [anon_sym_BSLASHcls] = ACTIONS(2138),
    [anon_sym_BSLASHpmo] = ACTIONS(2140),
    [anon_sym_BSLASHpm] = ACTIONS(2142),
    [anon_sym_BSLASHpmc] = ACTIONS(2144),
    [anon_sym_BSLASHpmr] = ACTIONS(2146),
    [anon_sym_BSLASHpi] = ACTIONS(2148),
    [anon_sym_BSLASHmi] = ACTIONS(2150),
    [anon_sym_BSLASHnb] = ACTIONS(2152),
    [anon_sym_BSLASHpc] = ACTIONS(2154),
    [anon_sym_BSLASHph] = ACTIONS(2156),
    [anon_sym_BSLASHb] = ACTIONS(2158),
    [anon_sym_BSLASHq] = ACTIONS(2160),
    [anon_sym_BSLASHqr] = ACTIONS(2162),
    [anon_sym_BSLASHqc] = ACTIONS(2164),
    [anon_sym_BSLASHqa] = ACTIONS(2166),
    [anon_sym_BSLASHqm] = ACTIONS(2168),
    [anon_sym_BSLASHqd] = ACTIONS(2170),
    [anon_sym_BSLASHlh] = ACTIONS(2172),
    [anon_sym_BSLASHli] = ACTIONS(2174),
    [anon_sym_BSLASHlim] = ACTIONS(2176),
    [anon_sym_BSLASHtr] = ACTIONS(2178),
    [anon_sym_BSLASHf] = ACTIONS(2180),
    [anon_sym_BSLASHfe] = ACTIONS(2182),
    [anon_sym_BSLASHef] = ACTIONS(2184),
    [anon_sym_BSLASHfm] = ACTIONS(2186),
    [anon_sym_BSLASHpb] = ACTIONS(2188),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(2190),
    [sym_milestoneEndTag] = ACTIONS(2192),
    [sym_zSpaceTag] = ACTIONS(2194),
    [anon_sym_BSLASHesb] = ACTIONS(2196),
  },
  [151] = {
    [sym__comments] = STATE(135),
    [sym_sts] = STATE(135),
    [sym_rem] = STATE(135),
    [sym_restore] = STATE(135),
    [sym_lit] = STATE(135),
    [sym_ip] = STATE(135),
    [sym_iex] = STATE(135),
    [sym__chapterContent] = STATE(135),
    [sym__chapterMeta] = STATE(135),
    [sym_cl] = STATE(135),
    [sym_ca] = STATE(135),
    [sym_cp] = STATE(135),
    [sym_cd] = STATE(135),
    [sym_title] = STATE(135),
    [sym_mteBlock] = STATE(1332),
    [sym_mte] = STATE(1302),
    [sym_mteTag] = STATE(1772),
    [sym_msBlock] = STATE(1332),
    [sym_ms] = STATE(1282),
    [sym_msTag] = STATE(1091),
    [sym_sBlock] = STATE(1332),
    [sym_s] = STATE(1300),
    [sym_sTag] = STATE(281),
    [sym_r] = STATE(1332),
    [sym_sp] = STATE(1332),
    [sym_d] = STATE(1332),
    [sym_sdBlock] = STATE(1332),
    [sym_sd] = STATE(1254),
    [sym_sdTag] = STATE(1333),
    [sym_paragraph] = STATE(135),
    [sym_p] = STATE(1351),
    [sym_m] = STATE(1351),
    [sym_po] = STATE(1351),
    [sym_pr] = STATE(1351),
    [sym_cls] = STATE(1351),
    [sym_pmo] = STATE(1351),
    [sym_pm] = STATE(1351),
    [sym_pmc] = STATE(1351),
    [sym_pmr] = STATE(1351),
    [sym_piBlock] = STATE(1351),
    [sym_pi] = STATE(1294),
    [sym_piTag] = STATE(91),
    [sym_mi] = STATE(1351),
    [sym_nb] = STATE(1351),
    [sym_pc] = STATE(1351),
    [sym_phBlock] = STATE(1351),
    [sym_ph] = STATE(1276),
    [sym_phTag] = STATE(108),
    [sym_b] = STATE(1351),
    [sym_poetry] = STATE(135),
    [sym_qBlock] = STATE(1168),
    [sym_q] = STATE(1287),
    [sym_qTag] = STATE(67),
    [sym_qr] = STATE(1168),
    [sym_qc] = STATE(1168),
    [sym_qa] = STATE(1332),
    [sym_qmBlock] = STATE(1168),
    [sym_qm] = STATE(1285),
    [sym_qmTag] = STATE(66),
    [sym_qd] = STATE(1168),
    [sym_list] = STATE(135),
    [sym_lh] = STATE(1805),
    [sym__listMarker] = STATE(1165),
    [sym_liBlock] = STATE(1165),
    [sym_li] = STATE(1271),
    [sym_liTag] = STATE(56),
    [sym_limBlock] = STATE(1165),
    [sym_lim] = STATE(1275),
    [sym_limTag] = STATE(55),
    [sym_table] = STATE(135),
    [sym_tr] = STATE(1308),
    [sym_footnote] = STATE(135),
    [sym_f] = STATE(1349),
    [sym_fe] = STATE(1349),
    [sym_ef] = STATE(1349),
    [sym_fm] = STATE(1349),
    [sym_pb] = STATE(135),
    [sym_milestoneTag] = STATE(1946),
    [sym__milestoneStandaloneMarker] = STATE(1304),
    [sym__milestoneStart] = STATE(1304),
    [sym__milestoneEnd] = STATE(1304),
    [sym_milestone] = STATE(135),
    [sym__zNameSpaceRegular] = STATE(1331),
    [sym__zNameSpaceClosed] = STATE(1331),
    [sym__zNameSpaceStandaloneMarker] = STATE(1331),
    [sym_zNameSpace] = STATE(135),
    [sym_esb] = STATE(135),
    [aux_sym_chapter_repeat1] = STATE(135),
    [aux_sym_mteBlock_repeat1] = STATE(1302),
    [aux_sym_msBlock_repeat1] = STATE(1282),
    [aux_sym_sBlock_repeat1] = STATE(1300),
    [aux_sym_sdBlock_repeat1] = STATE(1254),
    [aux_sym_piBlock_repeat1] = STATE(1294),
    [aux_sym_phBlock_repeat1] = STATE(1276),
    [aux_sym_poetry_repeat1] = STATE(1168),
    [aux_sym_qBlock_repeat1] = STATE(1287),
    [aux_sym_qmBlock_repeat1] = STATE(1285),
    [aux_sym_list_repeat1] = STATE(1165),
    [aux_sym_liBlock_repeat1] = STATE(1271),
    [aux_sym_limBlock_repeat1] = STATE(1275),
    [aux_sym_table_repeat1] = STATE(1308),
    [ts_builtin_sym_end] = ACTIONS(2218),
    [anon_sym_BSLASHsts] = ACTIONS(2096),
    [anon_sym_BSLASHrem] = ACTIONS(2098),
    [anon_sym_BSLASHrestore] = ACTIONS(2100),
    [anon_sym_BSLASHlit] = ACTIONS(2102),
    [anon_sym_BSLASHip] = ACTIONS(2104),
    [anon_sym_BSLASHiex] = ACTIONS(2106),
    [anon_sym_BSLASHc] = ACTIONS(2218),
    [anon_sym_BSLASHcl] = ACTIONS(2108),
    [anon_sym_BSLASHca] = ACTIONS(2110),
    [anon_sym_BSLASHcp] = ACTIONS(2112),
    [anon_sym_BSLASHcd] = ACTIONS(2114),
    [anon_sym_BSLASHmte] = ACTIONS(2116),
    [anon_sym_BSLASHms] = ACTIONS(2118),
    [anon_sym_BSLASHs] = ACTIONS(2120),
    [anon_sym_BSLASHr] = ACTIONS(2122),
    [anon_sym_BSLASHsp] = ACTIONS(2124),
    [anon_sym_BSLASHd] = ACTIONS(2126),
    [anon_sym_BSLASHsd] = ACTIONS(2128),
    [anon_sym_BSLASHp] = ACTIONS(2130),
    [anon_sym_BSLASHm] = ACTIONS(2132),
    [anon_sym_BSLASHpo] = ACTIONS(2134),
    [anon_sym_BSLASHpr] = ACTIONS(2136),
    [anon_sym_BSLASHcls] = ACTIONS(2138),
    [anon_sym_BSLASHpmo] = ACTIONS(2140),
    [anon_sym_BSLASHpm] = ACTIONS(2142),
    [anon_sym_BSLASHpmc] = ACTIONS(2144),
    [anon_sym_BSLASHpmr] = ACTIONS(2146),
    [anon_sym_BSLASHpi] = ACTIONS(2148),
    [anon_sym_BSLASHmi] = ACTIONS(2150),
    [anon_sym_BSLASHnb] = ACTIONS(2152),
    [anon_sym_BSLASHpc] = ACTIONS(2154),
    [anon_sym_BSLASHph] = ACTIONS(2156),
    [anon_sym_BSLASHb] = ACTIONS(2158),
    [anon_sym_BSLASHq] = ACTIONS(2160),
    [anon_sym_BSLASHqr] = ACTIONS(2162),
    [anon_sym_BSLASHqc] = ACTIONS(2164),
    [anon_sym_BSLASHqa] = ACTIONS(2166),
    [anon_sym_BSLASHqm] = ACTIONS(2168),
    [anon_sym_BSLASHqd] = ACTIONS(2170),
    [anon_sym_BSLASHlh] = ACTIONS(2172),
    [anon_sym_BSLASHli] = ACTIONS(2174),
    [anon_sym_BSLASHlim] = ACTIONS(2176),
    [anon_sym_BSLASHtr] = ACTIONS(2178),
    [anon_sym_BSLASHf] = ACTIONS(2180),
    [anon_sym_BSLASHfe] = ACTIONS(2182),
    [anon_sym_BSLASHef] = ACTIONS(2184),
    [anon_sym_BSLASHfm] = ACTIONS(2186),
    [anon_sym_BSLASHpb] = ACTIONS(2188),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(2190),
    [sym_milestoneEndTag] = ACTIONS(2192),
    [sym_zSpaceTag] = ACTIONS(2194),
    [anon_sym_BSLASHesb] = ACTIONS(2196),
  },
  [152] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(147),
    [sym_fr] = STATE(147),
    [sym_fq] = STATE(147),
    [sym_fqa] = STATE(147),
    [sym_fk] = STATE(147),
    [sym_fl] = STATE(147),
    [sym_fw] = STATE(147),
    [sym_fp] = STATE(147),
    [sym_ft] = STATE(147),
    [sym_fdc] = STATE(147),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(147),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(147),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(147),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2220),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [153] = {
    [sym__comments] = STATE(151),
    [sym_sts] = STATE(151),
    [sym_rem] = STATE(151),
    [sym_restore] = STATE(151),
    [sym_lit] = STATE(151),
    [sym_ip] = STATE(151),
    [sym_iex] = STATE(151),
    [sym__chapterContent] = STATE(151),
    [sym__chapterMeta] = STATE(151),
    [sym_cl] = STATE(151),
    [sym_ca] = STATE(151),
    [sym_cp] = STATE(151),
    [sym_cd] = STATE(151),
    [sym_title] = STATE(151),
    [sym_mteBlock] = STATE(1332),
    [sym_mte] = STATE(1302),
    [sym_mteTag] = STATE(1772),
    [sym_msBlock] = STATE(1332),
    [sym_ms] = STATE(1282),
    [sym_msTag] = STATE(1091),
    [sym_sBlock] = STATE(1332),
    [sym_s] = STATE(1300),
    [sym_sTag] = STATE(281),
    [sym_r] = STATE(1332),
    [sym_sp] = STATE(1332),
    [sym_d] = STATE(1332),
    [sym_sdBlock] = STATE(1332),
    [sym_sd] = STATE(1254),
    [sym_sdTag] = STATE(1333),
    [sym_paragraph] = STATE(151),
    [sym_p] = STATE(1351),
    [sym_m] = STATE(1351),
    [sym_po] = STATE(1351),
    [sym_pr] = STATE(1351),
    [sym_cls] = STATE(1351),
    [sym_pmo] = STATE(1351),
    [sym_pm] = STATE(1351),
    [sym_pmc] = STATE(1351),
    [sym_pmr] = STATE(1351),
    [sym_piBlock] = STATE(1351),
    [sym_pi] = STATE(1294),
    [sym_piTag] = STATE(91),
    [sym_mi] = STATE(1351),
    [sym_nb] = STATE(1351),
    [sym_pc] = STATE(1351),
    [sym_phBlock] = STATE(1351),
    [sym_ph] = STATE(1276),
    [sym_phTag] = STATE(108),
    [sym_b] = STATE(1351),
    [sym_poetry] = STATE(151),
    [sym_qBlock] = STATE(1168),
    [sym_q] = STATE(1287),
    [sym_qTag] = STATE(67),
    [sym_qr] = STATE(1168),
    [sym_qc] = STATE(1168),
    [sym_qa] = STATE(1332),
    [sym_qmBlock] = STATE(1168),
    [sym_qm] = STATE(1285),
    [sym_qmTag] = STATE(66),
    [sym_qd] = STATE(1168),
    [sym_list] = STATE(151),
    [sym_lh] = STATE(1805),
    [sym__listMarker] = STATE(1165),
    [sym_liBlock] = STATE(1165),
    [sym_li] = STATE(1271),
    [sym_liTag] = STATE(56),
    [sym_limBlock] = STATE(1165),
    [sym_lim] = STATE(1275),
    [sym_limTag] = STATE(55),
    [sym_table] = STATE(151),
    [sym_tr] = STATE(1308),
    [sym_footnote] = STATE(151),
    [sym_f] = STATE(1349),
    [sym_fe] = STATE(1349),
    [sym_ef] = STATE(1349),
    [sym_fm] = STATE(1349),
    [sym_pb] = STATE(151),
    [sym_milestoneTag] = STATE(1946),
    [sym__milestoneStandaloneMarker] = STATE(1304),
    [sym__milestoneStart] = STATE(1304),
    [sym__milestoneEnd] = STATE(1304),
    [sym_milestone] = STATE(151),
    [sym__zNameSpaceRegular] = STATE(1331),
    [sym__zNameSpaceClosed] = STATE(1331),
    [sym__zNameSpaceStandaloneMarker] = STATE(1331),
    [sym_zNameSpace] = STATE(151),
    [sym_esb] = STATE(151),
    [aux_sym_chapter_repeat1] = STATE(151),
    [aux_sym_mteBlock_repeat1] = STATE(1302),
    [aux_sym_msBlock_repeat1] = STATE(1282),
    [aux_sym_sBlock_repeat1] = STATE(1300),
    [aux_sym_sdBlock_repeat1] = STATE(1254),
    [aux_sym_piBlock_repeat1] = STATE(1294),
    [aux_sym_phBlock_repeat1] = STATE(1276),
    [aux_sym_poetry_repeat1] = STATE(1168),
    [aux_sym_qBlock_repeat1] = STATE(1287),
    [aux_sym_qmBlock_repeat1] = STATE(1285),
    [aux_sym_list_repeat1] = STATE(1165),
    [aux_sym_liBlock_repeat1] = STATE(1271),
    [aux_sym_limBlock_repeat1] = STATE(1275),
    [aux_sym_table_repeat1] = STATE(1308),
    [ts_builtin_sym_end] = ACTIONS(2222),
    [anon_sym_BSLASHsts] = ACTIONS(2096),
    [anon_sym_BSLASHrem] = ACTIONS(2098),
    [anon_sym_BSLASHrestore] = ACTIONS(2100),
    [anon_sym_BSLASHlit] = ACTIONS(2102),
    [anon_sym_BSLASHip] = ACTIONS(2104),
    [anon_sym_BSLASHiex] = ACTIONS(2106),
    [anon_sym_BSLASHc] = ACTIONS(2222),
    [anon_sym_BSLASHcl] = ACTIONS(2108),
    [anon_sym_BSLASHca] = ACTIONS(2110),
    [anon_sym_BSLASHcp] = ACTIONS(2112),
    [anon_sym_BSLASHcd] = ACTIONS(2114),
    [anon_sym_BSLASHmte] = ACTIONS(2116),
    [anon_sym_BSLASHms] = ACTIONS(2118),
    [anon_sym_BSLASHs] = ACTIONS(2120),
    [anon_sym_BSLASHr] = ACTIONS(2122),
    [anon_sym_BSLASHsp] = ACTIONS(2124),
    [anon_sym_BSLASHd] = ACTIONS(2126),
    [anon_sym_BSLASHsd] = ACTIONS(2128),
    [anon_sym_BSLASHp] = ACTIONS(2130),
    [anon_sym_BSLASHm] = ACTIONS(2132),
    [anon_sym_BSLASHpo] = ACTIONS(2134),
    [anon_sym_BSLASHpr] = ACTIONS(2136),
    [anon_sym_BSLASHcls] = ACTIONS(2138),
    [anon_sym_BSLASHpmo] = ACTIONS(2140),
    [anon_sym_BSLASHpm] = ACTIONS(2142),
    [anon_sym_BSLASHpmc] = ACTIONS(2144),
    [anon_sym_BSLASHpmr] = ACTIONS(2146),
    [anon_sym_BSLASHpi] = ACTIONS(2148),
    [anon_sym_BSLASHmi] = ACTIONS(2150),
    [anon_sym_BSLASHnb] = ACTIONS(2152),
    [anon_sym_BSLASHpc] = ACTIONS(2154),
    [anon_sym_BSLASHph] = ACTIONS(2156),
    [anon_sym_BSLASHb] = ACTIONS(2158),
    [anon_sym_BSLASHq] = ACTIONS(2160),
    [anon_sym_BSLASHqr] = ACTIONS(2162),
    [anon_sym_BSLASHqc] = ACTIONS(2164),
    [anon_sym_BSLASHqa] = ACTIONS(2166),
    [anon_sym_BSLASHqm] = ACTIONS(2168),
    [anon_sym_BSLASHqd] = ACTIONS(2170),
    [anon_sym_BSLASHlh] = ACTIONS(2172),
    [anon_sym_BSLASHli] = ACTIONS(2174),
    [anon_sym_BSLASHlim] = ACTIONS(2176),
    [anon_sym_BSLASHtr] = ACTIONS(2178),
    [anon_sym_BSLASHf] = ACTIONS(2180),
    [anon_sym_BSLASHfe] = ACTIONS(2182),
    [anon_sym_BSLASHef] = ACTIONS(2184),
    [anon_sym_BSLASHfm] = ACTIONS(2186),
    [anon_sym_BSLASHpb] = ACTIONS(2188),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(2190),
    [sym_milestoneEndTag] = ACTIONS(2192),
    [sym_zSpaceTag] = ACTIONS(2194),
    [anon_sym_BSLASHesb] = ACTIONS(2196),
  },
  [154] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2224),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [155] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2226),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [156] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2228),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [157] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(154),
    [sym_fr] = STATE(154),
    [sym_fq] = STATE(154),
    [sym_fqa] = STATE(154),
    [sym_fk] = STATE(154),
    [sym_fl] = STATE(154),
    [sym_fw] = STATE(154),
    [sym_fp] = STATE(154),
    [sym_ft] = STATE(154),
    [sym_fdc] = STATE(154),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(154),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(154),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(154),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2230),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [158] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(155),
    [sym_fr] = STATE(155),
    [sym_fq] = STATE(155),
    [sym_fqa] = STATE(155),
    [sym_fk] = STATE(155),
    [sym_fl] = STATE(155),
    [sym_fw] = STATE(155),
    [sym_fp] = STATE(155),
    [sym_ft] = STATE(155),
    [sym_fdc] = STATE(155),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(155),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(155),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(155),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2232),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [159] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(156),
    [sym_fr] = STATE(156),
    [sym_fq] = STATE(156),
    [sym_fqa] = STATE(156),
    [sym_fk] = STATE(156),
    [sym_fl] = STATE(156),
    [sym_fw] = STATE(156),
    [sym_fp] = STATE(156),
    [sym_ft] = STATE(156),
    [sym_fdc] = STATE(156),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(156),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(156),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(156),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2234),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [160] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2236),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [161] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2238),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [162] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2240),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [163] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(166),
    [sym_fr] = STATE(166),
    [sym_fq] = STATE(166),
    [sym_fqa] = STATE(166),
    [sym_fk] = STATE(166),
    [sym_fl] = STATE(166),
    [sym_fw] = STATE(166),
    [sym_fp] = STATE(166),
    [sym_ft] = STATE(166),
    [sym_fdc] = STATE(166),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(166),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(166),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(166),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2242),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [164] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(167),
    [sym_fr] = STATE(167),
    [sym_fq] = STATE(167),
    [sym_fqa] = STATE(167),
    [sym_fk] = STATE(167),
    [sym_fl] = STATE(167),
    [sym_fw] = STATE(167),
    [sym_fp] = STATE(167),
    [sym_ft] = STATE(167),
    [sym_fdc] = STATE(167),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(167),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(167),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(167),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2244),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [165] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(168),
    [sym_fr] = STATE(168),
    [sym_fq] = STATE(168),
    [sym_fqa] = STATE(168),
    [sym_fk] = STATE(168),
    [sym_fl] = STATE(168),
    [sym_fw] = STATE(168),
    [sym_fp] = STATE(168),
    [sym_ft] = STATE(168),
    [sym_fdc] = STATE(168),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(168),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(168),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(168),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [166] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2248),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [167] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2250),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [168] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2252),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [169] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(174),
    [sym_fr] = STATE(174),
    [sym_fq] = STATE(174),
    [sym_fqa] = STATE(174),
    [sym_fk] = STATE(174),
    [sym_fl] = STATE(174),
    [sym_fw] = STATE(174),
    [sym_fp] = STATE(174),
    [sym_ft] = STATE(174),
    [sym_fdc] = STATE(174),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(174),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(174),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(174),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2254),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [170] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(160),
    [sym_fr] = STATE(160),
    [sym_fq] = STATE(160),
    [sym_fqa] = STATE(160),
    [sym_fk] = STATE(160),
    [sym_fl] = STATE(160),
    [sym_fw] = STATE(160),
    [sym_fp] = STATE(160),
    [sym_ft] = STATE(160),
    [sym_fdc] = STATE(160),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(160),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(160),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(160),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2256),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [171] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(175),
    [sym_fr] = STATE(175),
    [sym_fq] = STATE(175),
    [sym_fqa] = STATE(175),
    [sym_fk] = STATE(175),
    [sym_fl] = STATE(175),
    [sym_fw] = STATE(175),
    [sym_fp] = STATE(175),
    [sym_ft] = STATE(175),
    [sym_fdc] = STATE(175),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(175),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(175),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(175),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2258),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [172] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(161),
    [sym_fr] = STATE(161),
    [sym_fq] = STATE(161),
    [sym_fqa] = STATE(161),
    [sym_fk] = STATE(161),
    [sym_fl] = STATE(161),
    [sym_fw] = STATE(161),
    [sym_fp] = STATE(161),
    [sym_ft] = STATE(161),
    [sym_fdc] = STATE(161),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(161),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(161),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(161),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2260),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [173] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(176),
    [sym_fr] = STATE(176),
    [sym_fq] = STATE(176),
    [sym_fqa] = STATE(176),
    [sym_fk] = STATE(176),
    [sym_fl] = STATE(176),
    [sym_fw] = STATE(176),
    [sym_fp] = STATE(176),
    [sym_ft] = STATE(176),
    [sym_fdc] = STATE(176),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(176),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(176),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(176),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [174] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2264),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [175] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2266),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [176] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2268),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [177] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(180),
    [sym_fr] = STATE(180),
    [sym_fq] = STATE(180),
    [sym_fqa] = STATE(180),
    [sym_fk] = STATE(180),
    [sym_fl] = STATE(180),
    [sym_fw] = STATE(180),
    [sym_fp] = STATE(180),
    [sym_ft] = STATE(180),
    [sym_fdc] = STATE(180),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(180),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(180),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(180),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2270),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [178] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(181),
    [sym_fr] = STATE(181),
    [sym_fq] = STATE(181),
    [sym_fqa] = STATE(181),
    [sym_fk] = STATE(181),
    [sym_fl] = STATE(181),
    [sym_fw] = STATE(181),
    [sym_fp] = STATE(181),
    [sym_ft] = STATE(181),
    [sym_fdc] = STATE(181),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(181),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(181),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(181),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2272),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [179] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(182),
    [sym_fr] = STATE(182),
    [sym_fq] = STATE(182),
    [sym_fqa] = STATE(182),
    [sym_fk] = STATE(182),
    [sym_fl] = STATE(182),
    [sym_fw] = STATE(182),
    [sym_fp] = STATE(182),
    [sym_ft] = STATE(182),
    [sym_fdc] = STATE(182),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(182),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(182),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(182),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2274),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [180] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2276),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [181] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2278),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [182] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2280),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [183] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(162),
    [sym_fr] = STATE(162),
    [sym_fq] = STATE(162),
    [sym_fqa] = STATE(162),
    [sym_fk] = STATE(162),
    [sym_fl] = STATE(162),
    [sym_fw] = STATE(162),
    [sym_fp] = STATE(162),
    [sym_ft] = STATE(162),
    [sym_fdc] = STATE(162),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(162),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(162),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(162),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2282),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [184] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(187),
    [sym_fr] = STATE(187),
    [sym_fq] = STATE(187),
    [sym_fqa] = STATE(187),
    [sym_fk] = STATE(187),
    [sym_fl] = STATE(187),
    [sym_fw] = STATE(187),
    [sym_fp] = STATE(187),
    [sym_ft] = STATE(187),
    [sym_fdc] = STATE(187),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(187),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(187),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(187),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2284),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [185] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(188),
    [sym_fr] = STATE(188),
    [sym_fq] = STATE(188),
    [sym_fqa] = STATE(188),
    [sym_fk] = STATE(188),
    [sym_fl] = STATE(188),
    [sym_fw] = STATE(188),
    [sym_fp] = STATE(188),
    [sym_ft] = STATE(188),
    [sym_fdc] = STATE(188),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(188),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(188),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(188),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [186] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(189),
    [sym_fr] = STATE(189),
    [sym_fq] = STATE(189),
    [sym_fqa] = STATE(189),
    [sym_fk] = STATE(189),
    [sym_fl] = STATE(189),
    [sym_fw] = STATE(189),
    [sym_fp] = STATE(189),
    [sym_ft] = STATE(189),
    [sym_fdc] = STATE(189),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(189),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(189),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(189),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2288),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [187] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2290),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [188] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [189] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2294),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [190] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2296),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [191] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(197),
    [sym_fr] = STATE(197),
    [sym_fq] = STATE(197),
    [sym_fqa] = STATE(197),
    [sym_fk] = STATE(197),
    [sym_fl] = STATE(197),
    [sym_fw] = STATE(197),
    [sym_fp] = STATE(197),
    [sym_ft] = STATE(197),
    [sym_fdc] = STATE(197),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(197),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(197),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(197),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2298),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [192] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(198),
    [sym_fr] = STATE(198),
    [sym_fq] = STATE(198),
    [sym_fqa] = STATE(198),
    [sym_fk] = STATE(198),
    [sym_fl] = STATE(198),
    [sym_fw] = STATE(198),
    [sym_fp] = STATE(198),
    [sym_ft] = STATE(198),
    [sym_fdc] = STATE(198),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(198),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(198),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(198),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2300),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [193] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2302),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [194] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2304),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [195] = {
    [sym_text] = STATE(324),
    [sym_ref] = STATE(117),
    [sym__comments] = STATE(117),
    [sym_sts] = STATE(117),
    [sym_rem] = STATE(117),
    [sym_restore] = STATE(117),
    [sym_lit] = STATE(117),
    [sym_verseText] = STATE(117),
    [sym_v] = STATE(117),
    [sym__verseMeta] = STATE(117),
    [sym_va] = STATE(117),
    [sym_vp] = STATE(117),
    [sym__paragraphContent] = STATE(117),
    [sym__poetryContent] = STATE(117),
    [sym_qs] = STATE(117),
    [sym_qac] = STATE(117),
    [sym_footnote] = STATE(117),
    [sym_f] = STATE(643),
    [sym_fe] = STATE(643),
    [sym_ef] = STATE(643),
    [sym_fm] = STATE(643),
    [sym_crossref] = STATE(117),
    [sym_x] = STATE(684),
    [sym_xt_standalone] = STATE(684),
    [sym_rq] = STATE(684),
    [sym_add] = STATE(324),
    [sym_bk] = STATE(324),
    [sym_dc] = STATE(324),
    [sym_k] = STATE(324),
    [sym_nd] = STATE(324),
    [sym_ord] = STATE(324),
    [sym_pn] = STATE(324),
    [sym_png] = STATE(324),
    [sym_addpn] = STATE(324),
    [sym_qt] = STATE(324),
    [sym_sig] = STATE(324),
    [sym_sls] = STATE(324),
    [sym_tl] = STATE(324),
    [sym_wj] = STATE(324),
    [sym_em] = STATE(324),
    [sym_bd] = STATE(324),
    [sym_it] = STATE(324),
    [sym_bdit] = STATE(324),
    [sym_no] = STATE(324),
    [sym_sc] = STATE(324),
    [sym_sup] = STATE(324),
    [sym_ndx] = STATE(324),
    [sym_pro] = STATE(324),
    [sym_rb] = STATE(324),
    [sym_w] = STATE(324),
    [sym_wg] = STATE(324),
    [sym_wh] = STATE(324),
    [sym_wa] = STATE(324),
    [sym__characterMarker] = STATE(324),
    [sym_fig] = STATE(324),
    [sym_jmp] = STATE(324),
    [sym_milestoneTag] = STATE(1954),
    [sym__milestoneStandaloneMarker] = STATE(637),
    [sym__milestoneStart] = STATE(637),
    [sym__milestoneEnd] = STATE(637),
    [sym_milestone] = STATE(117),
    [sym__zNameSpaceRegular] = STATE(706),
    [sym__zNameSpaceClosed] = STATE(706),
    [sym__zNameSpaceStandaloneMarker] = STATE(706),
    [sym_zNameSpace] = STATE(117),
    [aux_sym_verseText_repeat1] = STATE(324),
    [aux_sym_q_repeat1] = STATE(117),
    [aux_sym_text_token1] = ACTIONS(1561),
    [anon_sym_BSLASHref] = ACTIONS(1563),
    [anon_sym_BSLASHsts] = ACTIONS(1565),
    [anon_sym_BSLASHrem] = ACTIONS(1567),
    [anon_sym_BSLASHrestore] = ACTIONS(1569),
    [anon_sym_BSLASHlit] = ACTIONS(1571),
    [anon_sym_BSLASHip] = ACTIONS(634),
    [anon_sym_BSLASHv] = ACTIONS(1573),
    [anon_sym_BSLASHva] = ACTIONS(1575),
    [anon_sym_BSLASHvp] = ACTIONS(1577),
    [anon_sym_BSLASHmte] = ACTIONS(634),
    [anon_sym_BSLASHms] = ACTIONS(634),
    [anon_sym_BSLASHs] = ACTIONS(634),
    [anon_sym_BSLASHr] = ACTIONS(634),
    [anon_sym_BSLASHsp] = ACTIONS(634),
    [anon_sym_BSLASHd] = ACTIONS(634),
    [anon_sym_BSLASHsd] = ACTIONS(634),
    [anon_sym_BSLASHp] = ACTIONS(634),
    [anon_sym_BSLASHm] = ACTIONS(634),
    [anon_sym_BSLASHpo] = ACTIONS(634),
    [anon_sym_BSLASHpr] = ACTIONS(634),
    [anon_sym_BSLASHcls] = ACTIONS(634),
    [anon_sym_BSLASHpmo] = ACTIONS(634),
    [anon_sym_BSLASHpm] = ACTIONS(634),
    [anon_sym_BSLASHpmc] = ACTIONS(634),
    [anon_sym_BSLASHpmr] = ACTIONS(634),
    [anon_sym_BSLASHpi] = ACTIONS(634),
    [anon_sym_BSLASHmi] = ACTIONS(634),
    [anon_sym_BSLASHnb] = ACTIONS(634),
    [anon_sym_BSLASHpc] = ACTIONS(634),
    [anon_sym_BSLASHph] = ACTIONS(634),
    [anon_sym_BSLASHb] = ACTIONS(634),
    [anon_sym_BSLASHq] = ACTIONS(634),
    [anon_sym_BSLASHqr] = ACTIONS(634),
    [anon_sym_BSLASHqc] = ACTIONS(634),
    [anon_sym_BSLASHqs] = ACTIONS(1579),
    [anon_sym_BSLASHqa] = ACTIONS(634),
    [anon_sym_BSLASHqac] = ACTIONS(1581),
    [anon_sym_BSLASHqm] = ACTIONS(634),
    [anon_sym_BSLASHqd] = ACTIONS(634),
    [anon_sym_BSLASHlh] = ACTIONS(634),
    [anon_sym_BSLASHli] = ACTIONS(634),
    [anon_sym_BSLASHlim] = ACTIONS(634),
    [anon_sym_BSLASHtr] = ACTIONS(634),
    [anon_sym_BSLASHf] = ACTIONS(1583),
    [anon_sym_BSLASHfe] = ACTIONS(1585),
    [anon_sym_BSLASHef] = ACTIONS(1587),
    [anon_sym_BSLASHfm] = ACTIONS(1589),
    [anon_sym_BSLASHx] = ACTIONS(1591),
    [anon_sym_BSLASHxt] = ACTIONS(1593),
    [anon_sym_BSLASHrq] = ACTIONS(1595),
    [anon_sym_BSLASHadd] = ACTIONS(1597),
    [anon_sym_BSLASHbk] = ACTIONS(1599),
    [anon_sym_BSLASHdc] = ACTIONS(1601),
    [anon_sym_BSLASHk] = ACTIONS(1603),
    [anon_sym_BSLASHnd] = ACTIONS(1605),
    [anon_sym_BSLASHord] = ACTIONS(1607),
    [anon_sym_BSLASHpn] = ACTIONS(1609),
    [anon_sym_BSLASHpng] = ACTIONS(1611),
    [anon_sym_BSLASHaddpn] = ACTIONS(1613),
    [anon_sym_BSLASHqt] = ACTIONS(1615),
    [anon_sym_BSLASHsig] = ACTIONS(1617),
    [anon_sym_BSLASHsls] = ACTIONS(1619),
    [anon_sym_BSLASHtl] = ACTIONS(1621),
    [anon_sym_BSLASHwj] = ACTIONS(1623),
    [anon_sym_BSLASHem] = ACTIONS(1625),
    [anon_sym_BSLASHbd] = ACTIONS(1627),
    [anon_sym_BSLASHit] = ACTIONS(1629),
    [anon_sym_BSLASHbdit] = ACTIONS(1631),
    [anon_sym_BSLASHno] = ACTIONS(1633),
    [anon_sym_BSLASHsc] = ACTIONS(1635),
    [anon_sym_BSLASHsup] = ACTIONS(1637),
    [anon_sym_BSLASHndx] = ACTIONS(1639),
    [anon_sym_BSLASHpro] = ACTIONS(1641),
    [anon_sym_BSLASHrb] = ACTIONS(1643),
    [anon_sym_BSLASHw] = ACTIONS(1645),
    [anon_sym_BSLASHwg] = ACTIONS(1647),
    [anon_sym_BSLASHwh] = ACTIONS(1649),
    [anon_sym_BSLASHwa] = ACTIONS(1651),
    [anon_sym_BSLASHfig] = ACTIONS(1653),
    [anon_sym_BSLASHjmp] = ACTIONS(1655),
    [anon_sym_BSLASHpb] = ACTIONS(634),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(1657),
    [sym_milestoneEndTag] = ACTIONS(1659),
    [sym_zSpaceTag] = ACTIONS(1661),
    [anon_sym_BSLASHesbe] = ACTIONS(634),
    [anon_sym_BSLASHcat] = ACTIONS(634),
  },
  [196] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(199),
    [sym_fr] = STATE(199),
    [sym_fq] = STATE(199),
    [sym_fqa] = STATE(199),
    [sym_fk] = STATE(199),
    [sym_fl] = STATE(199),
    [sym_fw] = STATE(199),
    [sym_fp] = STATE(199),
    [sym_ft] = STATE(199),
    [sym_fdc] = STATE(199),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(199),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(199),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(199),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [197] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2308),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [198] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [199] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(77),
    [sym_fr] = STATE(77),
    [sym_fq] = STATE(77),
    [sym_fqa] = STATE(77),
    [sym_fk] = STATE(77),
    [sym_fl] = STATE(77),
    [sym_fw] = STATE(77),
    [sym_fp] = STATE(77),
    [sym_ft] = STATE(77),
    [sym_fdc] = STATE(77),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(77),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(77),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(77),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2312),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [200] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(194),
    [sym_fr] = STATE(194),
    [sym_fq] = STATE(194),
    [sym_fqa] = STATE(194),
    [sym_fk] = STATE(194),
    [sym_fl] = STATE(194),
    [sym_fw] = STATE(194),
    [sym_fp] = STATE(194),
    [sym_ft] = STATE(194),
    [sym_fdc] = STATE(194),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(194),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(194),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(194),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2314),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [201] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(193),
    [sym_fr] = STATE(193),
    [sym_fq] = STATE(193),
    [sym_fqa] = STATE(193),
    [sym_fk] = STATE(193),
    [sym_fl] = STATE(193),
    [sym_fw] = STATE(193),
    [sym_fp] = STATE(193),
    [sym_ft] = STATE(193),
    [sym_fdc] = STATE(193),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(193),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(193),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(193),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2316),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [202] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(190),
    [sym_fr] = STATE(190),
    [sym_fq] = STATE(190),
    [sym_fqa] = STATE(190),
    [sym_fk] = STATE(190),
    [sym_fl] = STATE(190),
    [sym_fw] = STATE(190),
    [sym_fp] = STATE(190),
    [sym_ft] = STATE(190),
    [sym_fdc] = STATE(190),
    [sym_fv] = STATE(204),
    [sym__footnoteContents] = STATE(190),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [sym_cat] = STATE(190),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_f_repeat1] = STATE(190),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2318),
    [anon_sym_BSLASHfr] = ACTIONS(1665),
    [anon_sym_BSLASHfq] = ACTIONS(1667),
    [anon_sym_BSLASHfqa] = ACTIONS(1669),
    [anon_sym_BSLASHfk] = ACTIONS(1671),
    [anon_sym_BSLASHfl] = ACTIONS(1673),
    [anon_sym_BSLASHfw] = ACTIONS(1675),
    [anon_sym_BSLASHfp] = ACTIONS(1677),
    [anon_sym_BSLASHft] = ACTIONS(1679),
    [anon_sym_BSLASHfdc] = ACTIONS(1681),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(1745),
  },
  [203] = {
    [sym_text] = STATE(203),
    [sym_ref] = STATE(203),
    [sym_fv] = STATE(203),
    [sym_xtNested] = STATE(203),
    [sym_xt_standalone] = STATE(203),
    [sym_add] = STATE(203),
    [sym_bk] = STATE(203),
    [sym_dc] = STATE(203),
    [sym_k] = STATE(203),
    [sym_nd] = STATE(203),
    [sym_ord] = STATE(203),
    [sym_pn] = STATE(203),
    [sym_png] = STATE(203),
    [sym_addpn] = STATE(203),
    [sym_qt] = STATE(203),
    [sym_sig] = STATE(203),
    [sym_sls] = STATE(203),
    [sym_tl] = STATE(203),
    [sym_wj] = STATE(203),
    [sym_em] = STATE(203),
    [sym_bd] = STATE(203),
    [sym_it] = STATE(203),
    [sym_bdit] = STATE(203),
    [sym_no] = STATE(203),
    [sym_sc] = STATE(203),
    [sym_sup] = STATE(203),
    [sym_ndx] = STATE(203),
    [sym_pro] = STATE(203),
    [sym_rb] = STATE(203),
    [sym_w] = STATE(203),
    [sym_wg] = STATE(203),
    [sym_wh] = STATE(203),
    [sym_wa] = STATE(203),
    [sym__characterMarker] = STATE(203),
    [sym_addNested] = STATE(203),
    [sym_bkNested] = STATE(203),
    [sym_dcNested] = STATE(203),
    [sym_kNested] = STATE(203),
    [sym_ndNested] = STATE(203),
    [sym_ordNested] = STATE(203),
    [sym_pnNested] = STATE(203),
    [sym_pngNested] = STATE(203),
    [sym_addpnNested] = STATE(203),
    [sym_qtNested] = STATE(203),
    [sym_sigNested] = STATE(203),
    [sym_slsNested] = STATE(203),
    [sym_tlNested] = STATE(203),
    [sym_wjNested] = STATE(203),
    [sym_emNested] = STATE(203),
    [sym_bdNested] = STATE(203),
    [sym_itNested] = STATE(203),
    [sym_bditNested] = STATE(203),
    [sym_noNested] = STATE(203),
    [sym_scNested] = STATE(203),
    [sym_supNested] = STATE(203),
    [sym_ndxNested] = STATE(203),
    [sym_proNested] = STATE(203),
    [sym_rbNested] = STATE(203),
    [sym_wNested] = STATE(203),
    [sym_wgNested] = STATE(203),
    [sym_whNested] = STATE(203),
    [sym_waNested] = STATE(203),
    [sym__nestedCharacterMarker] = STATE(203),
    [sym_fig] = STATE(203),
    [sym_jmp] = STATE(203),
    [sym_jmpNested] = STATE(203),
    [aux_sym_footnoteText_repeat1] = STATE(203),
    [aux_sym_text_token1] = ACTIONS(2320),
    [anon_sym_BSLASHref] = ACTIONS(2323),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2326),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2326),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2326),
    [anon_sym_BSLASHfr] = ACTIONS(2326),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2326),
    [anon_sym_BSLASHfq] = ACTIONS(2326),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2326),
    [anon_sym_BSLASHfqa] = ACTIONS(2326),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2326),
    [anon_sym_BSLASHfk] = ACTIONS(2326),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2326),
    [anon_sym_BSLASHfl] = ACTIONS(2326),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2326),
    [anon_sym_BSLASHfw] = ACTIONS(2326),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2326),
    [anon_sym_BSLASHfp] = ACTIONS(2326),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2326),
    [anon_sym_BSLASHft] = ACTIONS(2326),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2326),
    [anon_sym_BSLASHfdc] = ACTIONS(2326),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2326),
    [anon_sym_BSLASHfv] = ACTIONS(2328),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2326),
    [anon_sym_BSLASHxt] = ACTIONS(2331),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2334),
    [anon_sym_BSLASHadd] = ACTIONS(2337),
    [anon_sym_BSLASHbk] = ACTIONS(2340),
    [anon_sym_BSLASHdc] = ACTIONS(2343),
    [anon_sym_BSLASHk] = ACTIONS(2346),
    [anon_sym_BSLASHnd] = ACTIONS(2349),
    [anon_sym_BSLASHord] = ACTIONS(2352),
    [anon_sym_BSLASHpn] = ACTIONS(2355),
    [anon_sym_BSLASHpng] = ACTIONS(2358),
    [anon_sym_BSLASHaddpn] = ACTIONS(2361),
    [anon_sym_BSLASHqt] = ACTIONS(2364),
    [anon_sym_BSLASHsig] = ACTIONS(2367),
    [anon_sym_BSLASHsls] = ACTIONS(2370),
    [anon_sym_BSLASHtl] = ACTIONS(2373),
    [anon_sym_BSLASHwj] = ACTIONS(2376),
    [anon_sym_BSLASHem] = ACTIONS(2379),
    [anon_sym_BSLASHbd] = ACTIONS(2382),
    [anon_sym_BSLASHit] = ACTIONS(2385),
    [anon_sym_BSLASHbdit] = ACTIONS(2388),
    [anon_sym_BSLASHno] = ACTIONS(2391),
    [anon_sym_BSLASHsc] = ACTIONS(2394),
    [anon_sym_BSLASHsup] = ACTIONS(2397),
    [anon_sym_BSLASHndx] = ACTIONS(2400),
    [anon_sym_BSLASHpro] = ACTIONS(2403),
    [anon_sym_BSLASHrb] = ACTIONS(2406),
    [anon_sym_BSLASHw] = ACTIONS(2409),
    [anon_sym_BSLASHwg] = ACTIONS(2412),
    [anon_sym_BSLASHwh] = ACTIONS(2415),
    [anon_sym_BSLASHwa] = ACTIONS(2418),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2421),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2424),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2427),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2430),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2433),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2436),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2439),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2442),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2445),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2448),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2451),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2454),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2457),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2460),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2463),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2466),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2469),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2472),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2475),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2478),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2481),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2484),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2487),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2490),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2493),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2496),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2499),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2502),
    [anon_sym_BSLASHfig] = ACTIONS(2505),
    [anon_sym_BSLASHjmp] = ACTIONS(2508),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2511),
    [anon_sym_BSLASHcat] = ACTIONS(2326),
  },
  [204] = {
    [sym_text] = STATE(203),
    [sym_ref] = STATE(203),
    [sym_fv] = STATE(203),
    [sym_xtNested] = STATE(203),
    [sym_xt_standalone] = STATE(203),
    [sym_add] = STATE(203),
    [sym_bk] = STATE(203),
    [sym_dc] = STATE(203),
    [sym_k] = STATE(203),
    [sym_nd] = STATE(203),
    [sym_ord] = STATE(203),
    [sym_pn] = STATE(203),
    [sym_png] = STATE(203),
    [sym_addpn] = STATE(203),
    [sym_qt] = STATE(203),
    [sym_sig] = STATE(203),
    [sym_sls] = STATE(203),
    [sym_tl] = STATE(203),
    [sym_wj] = STATE(203),
    [sym_em] = STATE(203),
    [sym_bd] = STATE(203),
    [sym_it] = STATE(203),
    [sym_bdit] = STATE(203),
    [sym_no] = STATE(203),
    [sym_sc] = STATE(203),
    [sym_sup] = STATE(203),
    [sym_ndx] = STATE(203),
    [sym_pro] = STATE(203),
    [sym_rb] = STATE(203),
    [sym_w] = STATE(203),
    [sym_wg] = STATE(203),
    [sym_wh] = STATE(203),
    [sym_wa] = STATE(203),
    [sym__characterMarker] = STATE(203),
    [sym_addNested] = STATE(203),
    [sym_bkNested] = STATE(203),
    [sym_dcNested] = STATE(203),
    [sym_kNested] = STATE(203),
    [sym_ndNested] = STATE(203),
    [sym_ordNested] = STATE(203),
    [sym_pnNested] = STATE(203),
    [sym_pngNested] = STATE(203),
    [sym_addpnNested] = STATE(203),
    [sym_qtNested] = STATE(203),
    [sym_sigNested] = STATE(203),
    [sym_slsNested] = STATE(203),
    [sym_tlNested] = STATE(203),
    [sym_wjNested] = STATE(203),
    [sym_emNested] = STATE(203),
    [sym_bdNested] = STATE(203),
    [sym_itNested] = STATE(203),
    [sym_bditNested] = STATE(203),
    [sym_noNested] = STATE(203),
    [sym_scNested] = STATE(203),
    [sym_supNested] = STATE(203),
    [sym_ndxNested] = STATE(203),
    [sym_proNested] = STATE(203),
    [sym_rbNested] = STATE(203),
    [sym_wNested] = STATE(203),
    [sym_wgNested] = STATE(203),
    [sym_whNested] = STATE(203),
    [sym_waNested] = STATE(203),
    [sym__nestedCharacterMarker] = STATE(203),
    [sym_fig] = STATE(203),
    [sym_jmp] = STATE(203),
    [sym_jmpNested] = STATE(203),
    [aux_sym_footnoteText_repeat1] = STATE(203),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2514),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2514),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2514),
    [anon_sym_BSLASHfr] = ACTIONS(2514),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2514),
    [anon_sym_BSLASHfq] = ACTIONS(2514),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2514),
    [anon_sym_BSLASHfqa] = ACTIONS(2514),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2514),
    [anon_sym_BSLASHfk] = ACTIONS(2514),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2514),
    [anon_sym_BSLASHfl] = ACTIONS(2514),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2514),
    [anon_sym_BSLASHfw] = ACTIONS(2514),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2514),
    [anon_sym_BSLASHfp] = ACTIONS(2514),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2514),
    [anon_sym_BSLASHft] = ACTIONS(2514),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2514),
    [anon_sym_BSLASHfdc] = ACTIONS(2514),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2514),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2514),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(2514),
  },
  [205] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(215),
    [sym__comments] = STATE(215),
    [sym_sts] = STATE(215),
    [sym_rem] = STATE(215),
    [sym_restore] = STATE(215),
    [sym_lit] = STATE(215),
    [sym_verseText] = STATE(215),
    [sym_v] = STATE(215),
    [sym__verseMeta] = STATE(215),
    [sym_va] = STATE(215),
    [sym_vp] = STATE(215),
    [sym__paragraphContent] = STATE(215),
    [sym_footnote] = STATE(215),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(215),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(215),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(215),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(215),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1551),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1551),
    [anon_sym_BSLASHms] = ACTIONS(1551),
    [anon_sym_BSLASHs] = ACTIONS(1551),
    [anon_sym_BSLASHr] = ACTIONS(1551),
    [anon_sym_BSLASHsp] = ACTIONS(1551),
    [anon_sym_BSLASHd] = ACTIONS(1551),
    [anon_sym_BSLASHsd] = ACTIONS(1551),
    [anon_sym_BSLASHp] = ACTIONS(1551),
    [anon_sym_BSLASHm] = ACTIONS(1551),
    [anon_sym_BSLASHpo] = ACTIONS(1551),
    [anon_sym_BSLASHpr] = ACTIONS(1551),
    [anon_sym_BSLASHcls] = ACTIONS(1551),
    [anon_sym_BSLASHpmo] = ACTIONS(1551),
    [anon_sym_BSLASHpm] = ACTIONS(1551),
    [anon_sym_BSLASHpmc] = ACTIONS(1551),
    [anon_sym_BSLASHpmr] = ACTIONS(1551),
    [anon_sym_BSLASHpi] = ACTIONS(1551),
    [anon_sym_BSLASHmi] = ACTIONS(1551),
    [anon_sym_BSLASHnb] = ACTIONS(1551),
    [anon_sym_BSLASHpc] = ACTIONS(1551),
    [anon_sym_BSLASHph] = ACTIONS(1551),
    [anon_sym_BSLASHb] = ACTIONS(1551),
    [anon_sym_BSLASHq] = ACTIONS(1551),
    [anon_sym_BSLASHqr] = ACTIONS(1551),
    [anon_sym_BSLASHqc] = ACTIONS(1551),
    [anon_sym_BSLASHqa] = ACTIONS(1551),
    [anon_sym_BSLASHqm] = ACTIONS(1551),
    [anon_sym_BSLASHqd] = ACTIONS(1551),
    [anon_sym_BSLASHlh] = ACTIONS(1551),
    [anon_sym_BSLASHli] = ACTIONS(1551),
    [anon_sym_BSLASHlim] = ACTIONS(1551),
    [anon_sym_BSLASHtr] = ACTIONS(1551),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1551),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1551),
    [anon_sym_BSLASHcat] = ACTIONS(1551),
  },
  [206] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(220),
    [sym__comments] = STATE(220),
    [sym_sts] = STATE(220),
    [sym_rem] = STATE(220),
    [sym_restore] = STATE(220),
    [sym_lit] = STATE(220),
    [sym_verseText] = STATE(220),
    [sym_v] = STATE(220),
    [sym__verseMeta] = STATE(220),
    [sym_va] = STATE(220),
    [sym_vp] = STATE(220),
    [sym__paragraphContent] = STATE(220),
    [sym_footnote] = STATE(220),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(220),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(220),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(220),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(220),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1491),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1491),
    [anon_sym_BSLASHms] = ACTIONS(1491),
    [anon_sym_BSLASHs] = ACTIONS(1491),
    [anon_sym_BSLASHr] = ACTIONS(1491),
    [anon_sym_BSLASHsp] = ACTIONS(1491),
    [anon_sym_BSLASHd] = ACTIONS(1491),
    [anon_sym_BSLASHsd] = ACTIONS(1491),
    [anon_sym_BSLASHp] = ACTIONS(1491),
    [anon_sym_BSLASHm] = ACTIONS(1491),
    [anon_sym_BSLASHpo] = ACTIONS(1491),
    [anon_sym_BSLASHpr] = ACTIONS(1491),
    [anon_sym_BSLASHcls] = ACTIONS(1491),
    [anon_sym_BSLASHpmo] = ACTIONS(1491),
    [anon_sym_BSLASHpm] = ACTIONS(1491),
    [anon_sym_BSLASHpmc] = ACTIONS(1491),
    [anon_sym_BSLASHpmr] = ACTIONS(1491),
    [anon_sym_BSLASHpi] = ACTIONS(1491),
    [anon_sym_BSLASHmi] = ACTIONS(1491),
    [anon_sym_BSLASHnb] = ACTIONS(1491),
    [anon_sym_BSLASHpc] = ACTIONS(1491),
    [anon_sym_BSLASHph] = ACTIONS(1491),
    [anon_sym_BSLASHb] = ACTIONS(1491),
    [anon_sym_BSLASHq] = ACTIONS(1491),
    [anon_sym_BSLASHqr] = ACTIONS(1491),
    [anon_sym_BSLASHqc] = ACTIONS(1491),
    [anon_sym_BSLASHqa] = ACTIONS(1491),
    [anon_sym_BSLASHqm] = ACTIONS(1491),
    [anon_sym_BSLASHqd] = ACTIONS(1491),
    [anon_sym_BSLASHlh] = ACTIONS(1491),
    [anon_sym_BSLASHli] = ACTIONS(1491),
    [anon_sym_BSLASHlim] = ACTIONS(1491),
    [anon_sym_BSLASHtr] = ACTIONS(1491),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1491),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1491),
    [anon_sym_BSLASHcat] = ACTIONS(1491),
  },
  [207] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(221),
    [sym__comments] = STATE(221),
    [sym_sts] = STATE(221),
    [sym_rem] = STATE(221),
    [sym_restore] = STATE(221),
    [sym_lit] = STATE(221),
    [sym_verseText] = STATE(221),
    [sym_v] = STATE(221),
    [sym__verseMeta] = STATE(221),
    [sym_va] = STATE(221),
    [sym_vp] = STATE(221),
    [sym__paragraphContent] = STATE(221),
    [sym_footnote] = STATE(221),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(221),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(221),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(221),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(221),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1531),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1531),
    [anon_sym_BSLASHms] = ACTIONS(1531),
    [anon_sym_BSLASHs] = ACTIONS(1531),
    [anon_sym_BSLASHr] = ACTIONS(1531),
    [anon_sym_BSLASHsp] = ACTIONS(1531),
    [anon_sym_BSLASHd] = ACTIONS(1531),
    [anon_sym_BSLASHsd] = ACTIONS(1531),
    [anon_sym_BSLASHp] = ACTIONS(1531),
    [anon_sym_BSLASHm] = ACTIONS(1531),
    [anon_sym_BSLASHpo] = ACTIONS(1531),
    [anon_sym_BSLASHpr] = ACTIONS(1531),
    [anon_sym_BSLASHcls] = ACTIONS(1531),
    [anon_sym_BSLASHpmo] = ACTIONS(1531),
    [anon_sym_BSLASHpm] = ACTIONS(1531),
    [anon_sym_BSLASHpmc] = ACTIONS(1531),
    [anon_sym_BSLASHpmr] = ACTIONS(1531),
    [anon_sym_BSLASHpi] = ACTIONS(1531),
    [anon_sym_BSLASHmi] = ACTIONS(1531),
    [anon_sym_BSLASHnb] = ACTIONS(1531),
    [anon_sym_BSLASHpc] = ACTIONS(1531),
    [anon_sym_BSLASHph] = ACTIONS(1531),
    [anon_sym_BSLASHb] = ACTIONS(1531),
    [anon_sym_BSLASHq] = ACTIONS(1531),
    [anon_sym_BSLASHqr] = ACTIONS(1531),
    [anon_sym_BSLASHqc] = ACTIONS(1531),
    [anon_sym_BSLASHqa] = ACTIONS(1531),
    [anon_sym_BSLASHqm] = ACTIONS(1531),
    [anon_sym_BSLASHqd] = ACTIONS(1531),
    [anon_sym_BSLASHlh] = ACTIONS(1531),
    [anon_sym_BSLASHli] = ACTIONS(1531),
    [anon_sym_BSLASHlim] = ACTIONS(1531),
    [anon_sym_BSLASHtr] = ACTIONS(1531),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1531),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1531),
    [anon_sym_BSLASHcat] = ACTIONS(1531),
  },
  [208] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(222),
    [sym__comments] = STATE(222),
    [sym_sts] = STATE(222),
    [sym_rem] = STATE(222),
    [sym_restore] = STATE(222),
    [sym_lit] = STATE(222),
    [sym_verseText] = STATE(222),
    [sym_v] = STATE(222),
    [sym__verseMeta] = STATE(222),
    [sym_va] = STATE(222),
    [sym_vp] = STATE(222),
    [sym__paragraphContent] = STATE(222),
    [sym_footnote] = STATE(222),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(222),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(222),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(222),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(222),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1527),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1527),
    [anon_sym_BSLASHms] = ACTIONS(1527),
    [anon_sym_BSLASHs] = ACTIONS(1527),
    [anon_sym_BSLASHr] = ACTIONS(1527),
    [anon_sym_BSLASHsp] = ACTIONS(1527),
    [anon_sym_BSLASHd] = ACTIONS(1527),
    [anon_sym_BSLASHsd] = ACTIONS(1527),
    [anon_sym_BSLASHp] = ACTIONS(1527),
    [anon_sym_BSLASHm] = ACTIONS(1527),
    [anon_sym_BSLASHpo] = ACTIONS(1527),
    [anon_sym_BSLASHpr] = ACTIONS(1527),
    [anon_sym_BSLASHcls] = ACTIONS(1527),
    [anon_sym_BSLASHpmo] = ACTIONS(1527),
    [anon_sym_BSLASHpm] = ACTIONS(1527),
    [anon_sym_BSLASHpmc] = ACTIONS(1527),
    [anon_sym_BSLASHpmr] = ACTIONS(1527),
    [anon_sym_BSLASHpi] = ACTIONS(1527),
    [anon_sym_BSLASHmi] = ACTIONS(1527),
    [anon_sym_BSLASHnb] = ACTIONS(1527),
    [anon_sym_BSLASHpc] = ACTIONS(1527),
    [anon_sym_BSLASHph] = ACTIONS(1527),
    [anon_sym_BSLASHb] = ACTIONS(1527),
    [anon_sym_BSLASHq] = ACTIONS(1527),
    [anon_sym_BSLASHqr] = ACTIONS(1527),
    [anon_sym_BSLASHqc] = ACTIONS(1527),
    [anon_sym_BSLASHqa] = ACTIONS(1527),
    [anon_sym_BSLASHqm] = ACTIONS(1527),
    [anon_sym_BSLASHqd] = ACTIONS(1527),
    [anon_sym_BSLASHlh] = ACTIONS(1527),
    [anon_sym_BSLASHli] = ACTIONS(1527),
    [anon_sym_BSLASHlim] = ACTIONS(1527),
    [anon_sym_BSLASHtr] = ACTIONS(1527),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1527),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1527),
    [anon_sym_BSLASHcat] = ACTIONS(1527),
  },
  [209] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(223),
    [sym__comments] = STATE(223),
    [sym_sts] = STATE(223),
    [sym_rem] = STATE(223),
    [sym_restore] = STATE(223),
    [sym_lit] = STATE(223),
    [sym_verseText] = STATE(223),
    [sym_v] = STATE(223),
    [sym__verseMeta] = STATE(223),
    [sym_va] = STATE(223),
    [sym_vp] = STATE(223),
    [sym__paragraphContent] = STATE(223),
    [sym_footnote] = STATE(223),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(223),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(223),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(223),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(223),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1289),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1289),
    [anon_sym_BSLASHms] = ACTIONS(1289),
    [anon_sym_BSLASHs] = ACTIONS(1289),
    [anon_sym_BSLASHr] = ACTIONS(1289),
    [anon_sym_BSLASHsp] = ACTIONS(1289),
    [anon_sym_BSLASHd] = ACTIONS(1289),
    [anon_sym_BSLASHsd] = ACTIONS(1289),
    [anon_sym_BSLASHp] = ACTIONS(1289),
    [anon_sym_BSLASHm] = ACTIONS(1289),
    [anon_sym_BSLASHpo] = ACTIONS(1289),
    [anon_sym_BSLASHpr] = ACTIONS(1289),
    [anon_sym_BSLASHcls] = ACTIONS(1289),
    [anon_sym_BSLASHpmo] = ACTIONS(1289),
    [anon_sym_BSLASHpm] = ACTIONS(1289),
    [anon_sym_BSLASHpmc] = ACTIONS(1289),
    [anon_sym_BSLASHpmr] = ACTIONS(1289),
    [anon_sym_BSLASHpi] = ACTIONS(1289),
    [anon_sym_BSLASHmi] = ACTIONS(1289),
    [anon_sym_BSLASHnb] = ACTIONS(1289),
    [anon_sym_BSLASHpc] = ACTIONS(1289),
    [anon_sym_BSLASHph] = ACTIONS(1289),
    [anon_sym_BSLASHb] = ACTIONS(1289),
    [anon_sym_BSLASHq] = ACTIONS(1289),
    [anon_sym_BSLASHqr] = ACTIONS(1289),
    [anon_sym_BSLASHqc] = ACTIONS(1289),
    [anon_sym_BSLASHqa] = ACTIONS(1289),
    [anon_sym_BSLASHqm] = ACTIONS(1289),
    [anon_sym_BSLASHqd] = ACTIONS(1289),
    [anon_sym_BSLASHlh] = ACTIONS(1289),
    [anon_sym_BSLASHli] = ACTIONS(1289),
    [anon_sym_BSLASHlim] = ACTIONS(1289),
    [anon_sym_BSLASHtr] = ACTIONS(1289),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1289),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1289),
    [anon_sym_BSLASHcat] = ACTIONS(1289),
  },
  [210] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(224),
    [sym__comments] = STATE(224),
    [sym_sts] = STATE(224),
    [sym_rem] = STATE(224),
    [sym_restore] = STATE(224),
    [sym_lit] = STATE(224),
    [sym_verseText] = STATE(224),
    [sym_v] = STATE(224),
    [sym__verseMeta] = STATE(224),
    [sym_va] = STATE(224),
    [sym_vp] = STATE(224),
    [sym__paragraphContent] = STATE(224),
    [sym_footnote] = STATE(224),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(224),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(224),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(224),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(224),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1523),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1523),
    [anon_sym_BSLASHms] = ACTIONS(1523),
    [anon_sym_BSLASHs] = ACTIONS(1523),
    [anon_sym_BSLASHr] = ACTIONS(1523),
    [anon_sym_BSLASHsp] = ACTIONS(1523),
    [anon_sym_BSLASHd] = ACTIONS(1523),
    [anon_sym_BSLASHsd] = ACTIONS(1523),
    [anon_sym_BSLASHp] = ACTIONS(1523),
    [anon_sym_BSLASHm] = ACTIONS(1523),
    [anon_sym_BSLASHpo] = ACTIONS(1523),
    [anon_sym_BSLASHpr] = ACTIONS(1523),
    [anon_sym_BSLASHcls] = ACTIONS(1523),
    [anon_sym_BSLASHpmo] = ACTIONS(1523),
    [anon_sym_BSLASHpm] = ACTIONS(1523),
    [anon_sym_BSLASHpmc] = ACTIONS(1523),
    [anon_sym_BSLASHpmr] = ACTIONS(1523),
    [anon_sym_BSLASHpi] = ACTIONS(1523),
    [anon_sym_BSLASHmi] = ACTIONS(1523),
    [anon_sym_BSLASHnb] = ACTIONS(1523),
    [anon_sym_BSLASHpc] = ACTIONS(1523),
    [anon_sym_BSLASHph] = ACTIONS(1523),
    [anon_sym_BSLASHb] = ACTIONS(1523),
    [anon_sym_BSLASHq] = ACTIONS(1523),
    [anon_sym_BSLASHqr] = ACTIONS(1523),
    [anon_sym_BSLASHqc] = ACTIONS(1523),
    [anon_sym_BSLASHqa] = ACTIONS(1523),
    [anon_sym_BSLASHqm] = ACTIONS(1523),
    [anon_sym_BSLASHqd] = ACTIONS(1523),
    [anon_sym_BSLASHlh] = ACTIONS(1523),
    [anon_sym_BSLASHli] = ACTIONS(1523),
    [anon_sym_BSLASHlim] = ACTIONS(1523),
    [anon_sym_BSLASHtr] = ACTIONS(1523),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1523),
    [anon_sym_BSLASHcat] = ACTIONS(1523),
  },
  [211] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(225),
    [sym__comments] = STATE(225),
    [sym_sts] = STATE(225),
    [sym_rem] = STATE(225),
    [sym_restore] = STATE(225),
    [sym_lit] = STATE(225),
    [sym_verseText] = STATE(225),
    [sym_v] = STATE(225),
    [sym__verseMeta] = STATE(225),
    [sym_va] = STATE(225),
    [sym_vp] = STATE(225),
    [sym__paragraphContent] = STATE(225),
    [sym_footnote] = STATE(225),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(225),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(225),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(225),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(225),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1519),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1519),
    [anon_sym_BSLASHms] = ACTIONS(1519),
    [anon_sym_BSLASHs] = ACTIONS(1519),
    [anon_sym_BSLASHr] = ACTIONS(1519),
    [anon_sym_BSLASHsp] = ACTIONS(1519),
    [anon_sym_BSLASHd] = ACTIONS(1519),
    [anon_sym_BSLASHsd] = ACTIONS(1519),
    [anon_sym_BSLASHp] = ACTIONS(1519),
    [anon_sym_BSLASHm] = ACTIONS(1519),
    [anon_sym_BSLASHpo] = ACTIONS(1519),
    [anon_sym_BSLASHpr] = ACTIONS(1519),
    [anon_sym_BSLASHcls] = ACTIONS(1519),
    [anon_sym_BSLASHpmo] = ACTIONS(1519),
    [anon_sym_BSLASHpm] = ACTIONS(1519),
    [anon_sym_BSLASHpmc] = ACTIONS(1519),
    [anon_sym_BSLASHpmr] = ACTIONS(1519),
    [anon_sym_BSLASHpi] = ACTIONS(1519),
    [anon_sym_BSLASHmi] = ACTIONS(1519),
    [anon_sym_BSLASHnb] = ACTIONS(1519),
    [anon_sym_BSLASHpc] = ACTIONS(1519),
    [anon_sym_BSLASHph] = ACTIONS(1519),
    [anon_sym_BSLASHb] = ACTIONS(1519),
    [anon_sym_BSLASHq] = ACTIONS(1519),
    [anon_sym_BSLASHqr] = ACTIONS(1519),
    [anon_sym_BSLASHqc] = ACTIONS(1519),
    [anon_sym_BSLASHqa] = ACTIONS(1519),
    [anon_sym_BSLASHqm] = ACTIONS(1519),
    [anon_sym_BSLASHqd] = ACTIONS(1519),
    [anon_sym_BSLASHlh] = ACTIONS(1519),
    [anon_sym_BSLASHli] = ACTIONS(1519),
    [anon_sym_BSLASHlim] = ACTIONS(1519),
    [anon_sym_BSLASHtr] = ACTIONS(1519),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1519),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1519),
    [anon_sym_BSLASHcat] = ACTIONS(1519),
  },
  [212] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(226),
    [sym__comments] = STATE(226),
    [sym_sts] = STATE(226),
    [sym_rem] = STATE(226),
    [sym_restore] = STATE(226),
    [sym_lit] = STATE(226),
    [sym_verseText] = STATE(226),
    [sym_v] = STATE(226),
    [sym__verseMeta] = STATE(226),
    [sym_va] = STATE(226),
    [sym_vp] = STATE(226),
    [sym__paragraphContent] = STATE(226),
    [sym_footnote] = STATE(226),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(226),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(226),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(226),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(226),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1515),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1515),
    [anon_sym_BSLASHms] = ACTIONS(1515),
    [anon_sym_BSLASHs] = ACTIONS(1515),
    [anon_sym_BSLASHr] = ACTIONS(1515),
    [anon_sym_BSLASHsp] = ACTIONS(1515),
    [anon_sym_BSLASHd] = ACTIONS(1515),
    [anon_sym_BSLASHsd] = ACTIONS(1515),
    [anon_sym_BSLASHp] = ACTIONS(1515),
    [anon_sym_BSLASHm] = ACTIONS(1515),
    [anon_sym_BSLASHpo] = ACTIONS(1515),
    [anon_sym_BSLASHpr] = ACTIONS(1515),
    [anon_sym_BSLASHcls] = ACTIONS(1515),
    [anon_sym_BSLASHpmo] = ACTIONS(1515),
    [anon_sym_BSLASHpm] = ACTIONS(1515),
    [anon_sym_BSLASHpmc] = ACTIONS(1515),
    [anon_sym_BSLASHpmr] = ACTIONS(1515),
    [anon_sym_BSLASHpi] = ACTIONS(1515),
    [anon_sym_BSLASHmi] = ACTIONS(1515),
    [anon_sym_BSLASHnb] = ACTIONS(1515),
    [anon_sym_BSLASHpc] = ACTIONS(1515),
    [anon_sym_BSLASHph] = ACTIONS(1515),
    [anon_sym_BSLASHb] = ACTIONS(1515),
    [anon_sym_BSLASHq] = ACTIONS(1515),
    [anon_sym_BSLASHqr] = ACTIONS(1515),
    [anon_sym_BSLASHqc] = ACTIONS(1515),
    [anon_sym_BSLASHqa] = ACTIONS(1515),
    [anon_sym_BSLASHqm] = ACTIONS(1515),
    [anon_sym_BSLASHqd] = ACTIONS(1515),
    [anon_sym_BSLASHlh] = ACTIONS(1515),
    [anon_sym_BSLASHli] = ACTIONS(1515),
    [anon_sym_BSLASHlim] = ACTIONS(1515),
    [anon_sym_BSLASHtr] = ACTIONS(1515),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1515),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1515),
    [anon_sym_BSLASHcat] = ACTIONS(1515),
  },
  [213] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(230),
    [sym__comments] = STATE(230),
    [sym_sts] = STATE(230),
    [sym_rem] = STATE(230),
    [sym_restore] = STATE(230),
    [sym_lit] = STATE(230),
    [sym_verseText] = STATE(230),
    [sym_v] = STATE(230),
    [sym__verseMeta] = STATE(230),
    [sym_va] = STATE(230),
    [sym_vp] = STATE(230),
    [sym__paragraphContent] = STATE(230),
    [sym_footnote] = STATE(230),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(230),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(230),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(230),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(230),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1499),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1499),
    [anon_sym_BSLASHms] = ACTIONS(1499),
    [anon_sym_BSLASHs] = ACTIONS(1499),
    [anon_sym_BSLASHr] = ACTIONS(1499),
    [anon_sym_BSLASHsp] = ACTIONS(1499),
    [anon_sym_BSLASHd] = ACTIONS(1499),
    [anon_sym_BSLASHsd] = ACTIONS(1499),
    [anon_sym_BSLASHp] = ACTIONS(1499),
    [anon_sym_BSLASHm] = ACTIONS(1499),
    [anon_sym_BSLASHpo] = ACTIONS(1499),
    [anon_sym_BSLASHpr] = ACTIONS(1499),
    [anon_sym_BSLASHcls] = ACTIONS(1499),
    [anon_sym_BSLASHpmo] = ACTIONS(1499),
    [anon_sym_BSLASHpm] = ACTIONS(1499),
    [anon_sym_BSLASHpmc] = ACTIONS(1499),
    [anon_sym_BSLASHpmr] = ACTIONS(1499),
    [anon_sym_BSLASHpi] = ACTIONS(1499),
    [anon_sym_BSLASHmi] = ACTIONS(1499),
    [anon_sym_BSLASHnb] = ACTIONS(1499),
    [anon_sym_BSLASHpc] = ACTIONS(1499),
    [anon_sym_BSLASHph] = ACTIONS(1499),
    [anon_sym_BSLASHb] = ACTIONS(1499),
    [anon_sym_BSLASHq] = ACTIONS(1499),
    [anon_sym_BSLASHqr] = ACTIONS(1499),
    [anon_sym_BSLASHqc] = ACTIONS(1499),
    [anon_sym_BSLASHqa] = ACTIONS(1499),
    [anon_sym_BSLASHqm] = ACTIONS(1499),
    [anon_sym_BSLASHqd] = ACTIONS(1499),
    [anon_sym_BSLASHlh] = ACTIONS(1499),
    [anon_sym_BSLASHli] = ACTIONS(1499),
    [anon_sym_BSLASHlim] = ACTIONS(1499),
    [anon_sym_BSLASHtr] = ACTIONS(1499),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1499),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1499),
    [anon_sym_BSLASHcat] = ACTIONS(1499),
  },
  [214] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(230),
    [sym__comments] = STATE(230),
    [sym_sts] = STATE(230),
    [sym_rem] = STATE(230),
    [sym_restore] = STATE(230),
    [sym_lit] = STATE(230),
    [sym_verseText] = STATE(230),
    [sym_v] = STATE(230),
    [sym__verseMeta] = STATE(230),
    [sym_va] = STATE(230),
    [sym_vp] = STATE(230),
    [sym__paragraphContent] = STATE(230),
    [sym_footnote] = STATE(230),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(230),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(230),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(230),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(230),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1503),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1503),
    [anon_sym_BSLASHms] = ACTIONS(1503),
    [anon_sym_BSLASHs] = ACTIONS(1503),
    [anon_sym_BSLASHr] = ACTIONS(1503),
    [anon_sym_BSLASHsp] = ACTIONS(1503),
    [anon_sym_BSLASHd] = ACTIONS(1503),
    [anon_sym_BSLASHsd] = ACTIONS(1503),
    [anon_sym_BSLASHp] = ACTIONS(1503),
    [anon_sym_BSLASHm] = ACTIONS(1503),
    [anon_sym_BSLASHpo] = ACTIONS(1503),
    [anon_sym_BSLASHpr] = ACTIONS(1503),
    [anon_sym_BSLASHcls] = ACTIONS(1503),
    [anon_sym_BSLASHpmo] = ACTIONS(1503),
    [anon_sym_BSLASHpm] = ACTIONS(1503),
    [anon_sym_BSLASHpmc] = ACTIONS(1503),
    [anon_sym_BSLASHpmr] = ACTIONS(1503),
    [anon_sym_BSLASHpi] = ACTIONS(1503),
    [anon_sym_BSLASHmi] = ACTIONS(1503),
    [anon_sym_BSLASHnb] = ACTIONS(1503),
    [anon_sym_BSLASHpc] = ACTIONS(1503),
    [anon_sym_BSLASHph] = ACTIONS(1503),
    [anon_sym_BSLASHb] = ACTIONS(1503),
    [anon_sym_BSLASHq] = ACTIONS(1503),
    [anon_sym_BSLASHqr] = ACTIONS(1503),
    [anon_sym_BSLASHqc] = ACTIONS(1503),
    [anon_sym_BSLASHqa] = ACTIONS(1503),
    [anon_sym_BSLASHqm] = ACTIONS(1503),
    [anon_sym_BSLASHqd] = ACTIONS(1503),
    [anon_sym_BSLASHlh] = ACTIONS(1503),
    [anon_sym_BSLASHli] = ACTIONS(1503),
    [anon_sym_BSLASHlim] = ACTIONS(1503),
    [anon_sym_BSLASHtr] = ACTIONS(1503),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1503),
    [anon_sym_BSLASHcat] = ACTIONS(1503),
  },
  [215] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(230),
    [sym__comments] = STATE(230),
    [sym_sts] = STATE(230),
    [sym_rem] = STATE(230),
    [sym_restore] = STATE(230),
    [sym_lit] = STATE(230),
    [sym_verseText] = STATE(230),
    [sym_v] = STATE(230),
    [sym__verseMeta] = STATE(230),
    [sym_va] = STATE(230),
    [sym_vp] = STATE(230),
    [sym__paragraphContent] = STATE(230),
    [sym_footnote] = STATE(230),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(230),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(230),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(230),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(230),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1495),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1495),
    [anon_sym_BSLASHms] = ACTIONS(1495),
    [anon_sym_BSLASHs] = ACTIONS(1495),
    [anon_sym_BSLASHr] = ACTIONS(1495),
    [anon_sym_BSLASHsp] = ACTIONS(1495),
    [anon_sym_BSLASHd] = ACTIONS(1495),
    [anon_sym_BSLASHsd] = ACTIONS(1495),
    [anon_sym_BSLASHp] = ACTIONS(1495),
    [anon_sym_BSLASHm] = ACTIONS(1495),
    [anon_sym_BSLASHpo] = ACTIONS(1495),
    [anon_sym_BSLASHpr] = ACTIONS(1495),
    [anon_sym_BSLASHcls] = ACTIONS(1495),
    [anon_sym_BSLASHpmo] = ACTIONS(1495),
    [anon_sym_BSLASHpm] = ACTIONS(1495),
    [anon_sym_BSLASHpmc] = ACTIONS(1495),
    [anon_sym_BSLASHpmr] = ACTIONS(1495),
    [anon_sym_BSLASHpi] = ACTIONS(1495),
    [anon_sym_BSLASHmi] = ACTIONS(1495),
    [anon_sym_BSLASHnb] = ACTIONS(1495),
    [anon_sym_BSLASHpc] = ACTIONS(1495),
    [anon_sym_BSLASHph] = ACTIONS(1495),
    [anon_sym_BSLASHb] = ACTIONS(1495),
    [anon_sym_BSLASHq] = ACTIONS(1495),
    [anon_sym_BSLASHqr] = ACTIONS(1495),
    [anon_sym_BSLASHqc] = ACTIONS(1495),
    [anon_sym_BSLASHqa] = ACTIONS(1495),
    [anon_sym_BSLASHqm] = ACTIONS(1495),
    [anon_sym_BSLASHqd] = ACTIONS(1495),
    [anon_sym_BSLASHlh] = ACTIONS(1495),
    [anon_sym_BSLASHli] = ACTIONS(1495),
    [anon_sym_BSLASHlim] = ACTIONS(1495),
    [anon_sym_BSLASHtr] = ACTIONS(1495),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1495),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1495),
    [anon_sym_BSLASHcat] = ACTIONS(1495),
  },
  [216] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(230),
    [sym__comments] = STATE(230),
    [sym_sts] = STATE(230),
    [sym_rem] = STATE(230),
    [sym_restore] = STATE(230),
    [sym_lit] = STATE(230),
    [sym_verseText] = STATE(230),
    [sym_v] = STATE(230),
    [sym__verseMeta] = STATE(230),
    [sym_va] = STATE(230),
    [sym_vp] = STATE(230),
    [sym__paragraphContent] = STATE(230),
    [sym_footnote] = STATE(230),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(230),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(230),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(230),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(230),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1309),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1309),
    [anon_sym_BSLASHms] = ACTIONS(1309),
    [anon_sym_BSLASHs] = ACTIONS(1309),
    [anon_sym_BSLASHr] = ACTIONS(1309),
    [anon_sym_BSLASHsp] = ACTIONS(1309),
    [anon_sym_BSLASHd] = ACTIONS(1309),
    [anon_sym_BSLASHsd] = ACTIONS(1309),
    [anon_sym_BSLASHp] = ACTIONS(1309),
    [anon_sym_BSLASHm] = ACTIONS(1309),
    [anon_sym_BSLASHpo] = ACTIONS(1309),
    [anon_sym_BSLASHpr] = ACTIONS(1309),
    [anon_sym_BSLASHcls] = ACTIONS(1309),
    [anon_sym_BSLASHpmo] = ACTIONS(1309),
    [anon_sym_BSLASHpm] = ACTIONS(1309),
    [anon_sym_BSLASHpmc] = ACTIONS(1309),
    [anon_sym_BSLASHpmr] = ACTIONS(1309),
    [anon_sym_BSLASHpi] = ACTIONS(1309),
    [anon_sym_BSLASHmi] = ACTIONS(1309),
    [anon_sym_BSLASHnb] = ACTIONS(1309),
    [anon_sym_BSLASHpc] = ACTIONS(1309),
    [anon_sym_BSLASHph] = ACTIONS(1309),
    [anon_sym_BSLASHb] = ACTIONS(1309),
    [anon_sym_BSLASHq] = ACTIONS(1309),
    [anon_sym_BSLASHqr] = ACTIONS(1309),
    [anon_sym_BSLASHqc] = ACTIONS(1309),
    [anon_sym_BSLASHqa] = ACTIONS(1309),
    [anon_sym_BSLASHqm] = ACTIONS(1309),
    [anon_sym_BSLASHqd] = ACTIONS(1309),
    [anon_sym_BSLASHlh] = ACTIONS(1309),
    [anon_sym_BSLASHli] = ACTIONS(1309),
    [anon_sym_BSLASHlim] = ACTIONS(1309),
    [anon_sym_BSLASHtr] = ACTIONS(1309),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1309),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1309),
    [anon_sym_BSLASHcat] = ACTIONS(1309),
  },
  [217] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(230),
    [sym__comments] = STATE(230),
    [sym_sts] = STATE(230),
    [sym_rem] = STATE(230),
    [sym_restore] = STATE(230),
    [sym_lit] = STATE(230),
    [sym_verseText] = STATE(230),
    [sym_v] = STATE(230),
    [sym__verseMeta] = STATE(230),
    [sym_va] = STATE(230),
    [sym_vp] = STATE(230),
    [sym__paragraphContent] = STATE(230),
    [sym_footnote] = STATE(230),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(230),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(230),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(230),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(230),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1313),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1313),
    [anon_sym_BSLASHms] = ACTIONS(1313),
    [anon_sym_BSLASHs] = ACTIONS(1313),
    [anon_sym_BSLASHr] = ACTIONS(1313),
    [anon_sym_BSLASHsp] = ACTIONS(1313),
    [anon_sym_BSLASHd] = ACTIONS(1313),
    [anon_sym_BSLASHsd] = ACTIONS(1313),
    [anon_sym_BSLASHp] = ACTIONS(1313),
    [anon_sym_BSLASHm] = ACTIONS(1313),
    [anon_sym_BSLASHpo] = ACTIONS(1313),
    [anon_sym_BSLASHpr] = ACTIONS(1313),
    [anon_sym_BSLASHcls] = ACTIONS(1313),
    [anon_sym_BSLASHpmo] = ACTIONS(1313),
    [anon_sym_BSLASHpm] = ACTIONS(1313),
    [anon_sym_BSLASHpmc] = ACTIONS(1313),
    [anon_sym_BSLASHpmr] = ACTIONS(1313),
    [anon_sym_BSLASHpi] = ACTIONS(1313),
    [anon_sym_BSLASHmi] = ACTIONS(1313),
    [anon_sym_BSLASHnb] = ACTIONS(1313),
    [anon_sym_BSLASHpc] = ACTIONS(1313),
    [anon_sym_BSLASHph] = ACTIONS(1313),
    [anon_sym_BSLASHb] = ACTIONS(1313),
    [anon_sym_BSLASHq] = ACTIONS(1313),
    [anon_sym_BSLASHqr] = ACTIONS(1313),
    [anon_sym_BSLASHqc] = ACTIONS(1313),
    [anon_sym_BSLASHqa] = ACTIONS(1313),
    [anon_sym_BSLASHqm] = ACTIONS(1313),
    [anon_sym_BSLASHqd] = ACTIONS(1313),
    [anon_sym_BSLASHlh] = ACTIONS(1313),
    [anon_sym_BSLASHli] = ACTIONS(1313),
    [anon_sym_BSLASHlim] = ACTIONS(1313),
    [anon_sym_BSLASHtr] = ACTIONS(1313),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1313),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1313),
    [anon_sym_BSLASHcat] = ACTIONS(1313),
  },
  [218] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(230),
    [sym__comments] = STATE(230),
    [sym_sts] = STATE(230),
    [sym_rem] = STATE(230),
    [sym_restore] = STATE(230),
    [sym_lit] = STATE(230),
    [sym_verseText] = STATE(230),
    [sym_v] = STATE(230),
    [sym__verseMeta] = STATE(230),
    [sym_va] = STATE(230),
    [sym_vp] = STATE(230),
    [sym__paragraphContent] = STATE(230),
    [sym_footnote] = STATE(230),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(230),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(230),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(230),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(230),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1317),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1317),
    [anon_sym_BSLASHms] = ACTIONS(1317),
    [anon_sym_BSLASHs] = ACTIONS(1317),
    [anon_sym_BSLASHr] = ACTIONS(1317),
    [anon_sym_BSLASHsp] = ACTIONS(1317),
    [anon_sym_BSLASHd] = ACTIONS(1317),
    [anon_sym_BSLASHsd] = ACTIONS(1317),
    [anon_sym_BSLASHp] = ACTIONS(1317),
    [anon_sym_BSLASHm] = ACTIONS(1317),
    [anon_sym_BSLASHpo] = ACTIONS(1317),
    [anon_sym_BSLASHpr] = ACTIONS(1317),
    [anon_sym_BSLASHcls] = ACTIONS(1317),
    [anon_sym_BSLASHpmo] = ACTIONS(1317),
    [anon_sym_BSLASHpm] = ACTIONS(1317),
    [anon_sym_BSLASHpmc] = ACTIONS(1317),
    [anon_sym_BSLASHpmr] = ACTIONS(1317),
    [anon_sym_BSLASHpi] = ACTIONS(1317),
    [anon_sym_BSLASHmi] = ACTIONS(1317),
    [anon_sym_BSLASHnb] = ACTIONS(1317),
    [anon_sym_BSLASHpc] = ACTIONS(1317),
    [anon_sym_BSLASHph] = ACTIONS(1317),
    [anon_sym_BSLASHb] = ACTIONS(1317),
    [anon_sym_BSLASHq] = ACTIONS(1317),
    [anon_sym_BSLASHqr] = ACTIONS(1317),
    [anon_sym_BSLASHqc] = ACTIONS(1317),
    [anon_sym_BSLASHqa] = ACTIONS(1317),
    [anon_sym_BSLASHqm] = ACTIONS(1317),
    [anon_sym_BSLASHqd] = ACTIONS(1317),
    [anon_sym_BSLASHlh] = ACTIONS(1317),
    [anon_sym_BSLASHli] = ACTIONS(1317),
    [anon_sym_BSLASHlim] = ACTIONS(1317),
    [anon_sym_BSLASHtr] = ACTIONS(1317),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1317),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1317),
    [anon_sym_BSLASHcat] = ACTIONS(1317),
  },
  [219] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(230),
    [sym__comments] = STATE(230),
    [sym_sts] = STATE(230),
    [sym_rem] = STATE(230),
    [sym_restore] = STATE(230),
    [sym_lit] = STATE(230),
    [sym_verseText] = STATE(230),
    [sym_v] = STATE(230),
    [sym__verseMeta] = STATE(230),
    [sym_va] = STATE(230),
    [sym_vp] = STATE(230),
    [sym__paragraphContent] = STATE(230),
    [sym_footnote] = STATE(230),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(230),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(230),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(230),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(230),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1475),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1475),
    [anon_sym_BSLASHms] = ACTIONS(1475),
    [anon_sym_BSLASHs] = ACTIONS(1475),
    [anon_sym_BSLASHr] = ACTIONS(1475),
    [anon_sym_BSLASHsp] = ACTIONS(1475),
    [anon_sym_BSLASHd] = ACTIONS(1475),
    [anon_sym_BSLASHsd] = ACTIONS(1475),
    [anon_sym_BSLASHp] = ACTIONS(1475),
    [anon_sym_BSLASHm] = ACTIONS(1475),
    [anon_sym_BSLASHpo] = ACTIONS(1475),
    [anon_sym_BSLASHpr] = ACTIONS(1475),
    [anon_sym_BSLASHcls] = ACTIONS(1475),
    [anon_sym_BSLASHpmo] = ACTIONS(1475),
    [anon_sym_BSLASHpm] = ACTIONS(1475),
    [anon_sym_BSLASHpmc] = ACTIONS(1475),
    [anon_sym_BSLASHpmr] = ACTIONS(1475),
    [anon_sym_BSLASHpi] = ACTIONS(1475),
    [anon_sym_BSLASHmi] = ACTIONS(1475),
    [anon_sym_BSLASHnb] = ACTIONS(1475),
    [anon_sym_BSLASHpc] = ACTIONS(1475),
    [anon_sym_BSLASHph] = ACTIONS(1475),
    [anon_sym_BSLASHb] = ACTIONS(1475),
    [anon_sym_BSLASHq] = ACTIONS(1475),
    [anon_sym_BSLASHqr] = ACTIONS(1475),
    [anon_sym_BSLASHqc] = ACTIONS(1475),
    [anon_sym_BSLASHqa] = ACTIONS(1475),
    [anon_sym_BSLASHqm] = ACTIONS(1475),
    [anon_sym_BSLASHqd] = ACTIONS(1475),
    [anon_sym_BSLASHlh] = ACTIONS(1475),
    [anon_sym_BSLASHli] = ACTIONS(1475),
    [anon_sym_BSLASHlim] = ACTIONS(1475),
    [anon_sym_BSLASHtr] = ACTIONS(1475),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1475),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1475),
    [anon_sym_BSLASHcat] = ACTIONS(1475),
  },
  [220] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(230),
    [sym__comments] = STATE(230),
    [sym_sts] = STATE(230),
    [sym_rem] = STATE(230),
    [sym_restore] = STATE(230),
    [sym_lit] = STATE(230),
    [sym_verseText] = STATE(230),
    [sym_v] = STATE(230),
    [sym__verseMeta] = STATE(230),
    [sym_va] = STATE(230),
    [sym_vp] = STATE(230),
    [sym__paragraphContent] = STATE(230),
    [sym_footnote] = STATE(230),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(230),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(230),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(230),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(230),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1511),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1511),
    [anon_sym_BSLASHms] = ACTIONS(1511),
    [anon_sym_BSLASHs] = ACTIONS(1511),
    [anon_sym_BSLASHr] = ACTIONS(1511),
    [anon_sym_BSLASHsp] = ACTIONS(1511),
    [anon_sym_BSLASHd] = ACTIONS(1511),
    [anon_sym_BSLASHsd] = ACTIONS(1511),
    [anon_sym_BSLASHp] = ACTIONS(1511),
    [anon_sym_BSLASHm] = ACTIONS(1511),
    [anon_sym_BSLASHpo] = ACTIONS(1511),
    [anon_sym_BSLASHpr] = ACTIONS(1511),
    [anon_sym_BSLASHcls] = ACTIONS(1511),
    [anon_sym_BSLASHpmo] = ACTIONS(1511),
    [anon_sym_BSLASHpm] = ACTIONS(1511),
    [anon_sym_BSLASHpmc] = ACTIONS(1511),
    [anon_sym_BSLASHpmr] = ACTIONS(1511),
    [anon_sym_BSLASHpi] = ACTIONS(1511),
    [anon_sym_BSLASHmi] = ACTIONS(1511),
    [anon_sym_BSLASHnb] = ACTIONS(1511),
    [anon_sym_BSLASHpc] = ACTIONS(1511),
    [anon_sym_BSLASHph] = ACTIONS(1511),
    [anon_sym_BSLASHb] = ACTIONS(1511),
    [anon_sym_BSLASHq] = ACTIONS(1511),
    [anon_sym_BSLASHqr] = ACTIONS(1511),
    [anon_sym_BSLASHqc] = ACTIONS(1511),
    [anon_sym_BSLASHqa] = ACTIONS(1511),
    [anon_sym_BSLASHqm] = ACTIONS(1511),
    [anon_sym_BSLASHqd] = ACTIONS(1511),
    [anon_sym_BSLASHlh] = ACTIONS(1511),
    [anon_sym_BSLASHli] = ACTIONS(1511),
    [anon_sym_BSLASHlim] = ACTIONS(1511),
    [anon_sym_BSLASHtr] = ACTIONS(1511),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1511),
    [anon_sym_BSLASHcat] = ACTIONS(1511),
  },
  [221] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(230),
    [sym__comments] = STATE(230),
    [sym_sts] = STATE(230),
    [sym_rem] = STATE(230),
    [sym_restore] = STATE(230),
    [sym_lit] = STATE(230),
    [sym_verseText] = STATE(230),
    [sym_v] = STATE(230),
    [sym__verseMeta] = STATE(230),
    [sym_va] = STATE(230),
    [sym_vp] = STATE(230),
    [sym__paragraphContent] = STATE(230),
    [sym_footnote] = STATE(230),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(230),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(230),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(230),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(230),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1479),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1479),
    [anon_sym_BSLASHms] = ACTIONS(1479),
    [anon_sym_BSLASHs] = ACTIONS(1479),
    [anon_sym_BSLASHr] = ACTIONS(1479),
    [anon_sym_BSLASHsp] = ACTIONS(1479),
    [anon_sym_BSLASHd] = ACTIONS(1479),
    [anon_sym_BSLASHsd] = ACTIONS(1479),
    [anon_sym_BSLASHp] = ACTIONS(1479),
    [anon_sym_BSLASHm] = ACTIONS(1479),
    [anon_sym_BSLASHpo] = ACTIONS(1479),
    [anon_sym_BSLASHpr] = ACTIONS(1479),
    [anon_sym_BSLASHcls] = ACTIONS(1479),
    [anon_sym_BSLASHpmo] = ACTIONS(1479),
    [anon_sym_BSLASHpm] = ACTIONS(1479),
    [anon_sym_BSLASHpmc] = ACTIONS(1479),
    [anon_sym_BSLASHpmr] = ACTIONS(1479),
    [anon_sym_BSLASHpi] = ACTIONS(1479),
    [anon_sym_BSLASHmi] = ACTIONS(1479),
    [anon_sym_BSLASHnb] = ACTIONS(1479),
    [anon_sym_BSLASHpc] = ACTIONS(1479),
    [anon_sym_BSLASHph] = ACTIONS(1479),
    [anon_sym_BSLASHb] = ACTIONS(1479),
    [anon_sym_BSLASHq] = ACTIONS(1479),
    [anon_sym_BSLASHqr] = ACTIONS(1479),
    [anon_sym_BSLASHqc] = ACTIONS(1479),
    [anon_sym_BSLASHqa] = ACTIONS(1479),
    [anon_sym_BSLASHqm] = ACTIONS(1479),
    [anon_sym_BSLASHqd] = ACTIONS(1479),
    [anon_sym_BSLASHlh] = ACTIONS(1479),
    [anon_sym_BSLASHli] = ACTIONS(1479),
    [anon_sym_BSLASHlim] = ACTIONS(1479),
    [anon_sym_BSLASHtr] = ACTIONS(1479),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1479),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1479),
    [anon_sym_BSLASHcat] = ACTIONS(1479),
  },
  [222] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(230),
    [sym__comments] = STATE(230),
    [sym_sts] = STATE(230),
    [sym_rem] = STATE(230),
    [sym_restore] = STATE(230),
    [sym_lit] = STATE(230),
    [sym_verseText] = STATE(230),
    [sym_v] = STATE(230),
    [sym__verseMeta] = STATE(230),
    [sym_va] = STATE(230),
    [sym_vp] = STATE(230),
    [sym__paragraphContent] = STATE(230),
    [sym_footnote] = STATE(230),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(230),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(230),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(230),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(230),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1487),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1487),
    [anon_sym_BSLASHms] = ACTIONS(1487),
    [anon_sym_BSLASHs] = ACTIONS(1487),
    [anon_sym_BSLASHr] = ACTIONS(1487),
    [anon_sym_BSLASHsp] = ACTIONS(1487),
    [anon_sym_BSLASHd] = ACTIONS(1487),
    [anon_sym_BSLASHsd] = ACTIONS(1487),
    [anon_sym_BSLASHp] = ACTIONS(1487),
    [anon_sym_BSLASHm] = ACTIONS(1487),
    [anon_sym_BSLASHpo] = ACTIONS(1487),
    [anon_sym_BSLASHpr] = ACTIONS(1487),
    [anon_sym_BSLASHcls] = ACTIONS(1487),
    [anon_sym_BSLASHpmo] = ACTIONS(1487),
    [anon_sym_BSLASHpm] = ACTIONS(1487),
    [anon_sym_BSLASHpmc] = ACTIONS(1487),
    [anon_sym_BSLASHpmr] = ACTIONS(1487),
    [anon_sym_BSLASHpi] = ACTIONS(1487),
    [anon_sym_BSLASHmi] = ACTIONS(1487),
    [anon_sym_BSLASHnb] = ACTIONS(1487),
    [anon_sym_BSLASHpc] = ACTIONS(1487),
    [anon_sym_BSLASHph] = ACTIONS(1487),
    [anon_sym_BSLASHb] = ACTIONS(1487),
    [anon_sym_BSLASHq] = ACTIONS(1487),
    [anon_sym_BSLASHqr] = ACTIONS(1487),
    [anon_sym_BSLASHqc] = ACTIONS(1487),
    [anon_sym_BSLASHqa] = ACTIONS(1487),
    [anon_sym_BSLASHqm] = ACTIONS(1487),
    [anon_sym_BSLASHqd] = ACTIONS(1487),
    [anon_sym_BSLASHlh] = ACTIONS(1487),
    [anon_sym_BSLASHli] = ACTIONS(1487),
    [anon_sym_BSLASHlim] = ACTIONS(1487),
    [anon_sym_BSLASHtr] = ACTIONS(1487),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1487),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1487),
    [anon_sym_BSLASHcat] = ACTIONS(1487),
  },
  [223] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(230),
    [sym__comments] = STATE(230),
    [sym_sts] = STATE(230),
    [sym_rem] = STATE(230),
    [sym_restore] = STATE(230),
    [sym_lit] = STATE(230),
    [sym_verseText] = STATE(230),
    [sym_v] = STATE(230),
    [sym__verseMeta] = STATE(230),
    [sym_va] = STATE(230),
    [sym_vp] = STATE(230),
    [sym__paragraphContent] = STATE(230),
    [sym_footnote] = STATE(230),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(230),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(230),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(230),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(230),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1293),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1293),
    [anon_sym_BSLASHms] = ACTIONS(1293),
    [anon_sym_BSLASHs] = ACTIONS(1293),
    [anon_sym_BSLASHr] = ACTIONS(1293),
    [anon_sym_BSLASHsp] = ACTIONS(1293),
    [anon_sym_BSLASHd] = ACTIONS(1293),
    [anon_sym_BSLASHsd] = ACTIONS(1293),
    [anon_sym_BSLASHp] = ACTIONS(1293),
    [anon_sym_BSLASHm] = ACTIONS(1293),
    [anon_sym_BSLASHpo] = ACTIONS(1293),
    [anon_sym_BSLASHpr] = ACTIONS(1293),
    [anon_sym_BSLASHcls] = ACTIONS(1293),
    [anon_sym_BSLASHpmo] = ACTIONS(1293),
    [anon_sym_BSLASHpm] = ACTIONS(1293),
    [anon_sym_BSLASHpmc] = ACTIONS(1293),
    [anon_sym_BSLASHpmr] = ACTIONS(1293),
    [anon_sym_BSLASHpi] = ACTIONS(1293),
    [anon_sym_BSLASHmi] = ACTIONS(1293),
    [anon_sym_BSLASHnb] = ACTIONS(1293),
    [anon_sym_BSLASHpc] = ACTIONS(1293),
    [anon_sym_BSLASHph] = ACTIONS(1293),
    [anon_sym_BSLASHb] = ACTIONS(1293),
    [anon_sym_BSLASHq] = ACTIONS(1293),
    [anon_sym_BSLASHqr] = ACTIONS(1293),
    [anon_sym_BSLASHqc] = ACTIONS(1293),
    [anon_sym_BSLASHqa] = ACTIONS(1293),
    [anon_sym_BSLASHqm] = ACTIONS(1293),
    [anon_sym_BSLASHqd] = ACTIONS(1293),
    [anon_sym_BSLASHlh] = ACTIONS(1293),
    [anon_sym_BSLASHli] = ACTIONS(1293),
    [anon_sym_BSLASHlim] = ACTIONS(1293),
    [anon_sym_BSLASHtr] = ACTIONS(1293),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1293),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1293),
    [anon_sym_BSLASHcat] = ACTIONS(1293),
  },
  [224] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(230),
    [sym__comments] = STATE(230),
    [sym_sts] = STATE(230),
    [sym_rem] = STATE(230),
    [sym_restore] = STATE(230),
    [sym_lit] = STATE(230),
    [sym_verseText] = STATE(230),
    [sym_v] = STATE(230),
    [sym__verseMeta] = STATE(230),
    [sym_va] = STATE(230),
    [sym_vp] = STATE(230),
    [sym__paragraphContent] = STATE(230),
    [sym_footnote] = STATE(230),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(230),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(230),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(230),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(230),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1297),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1297),
    [anon_sym_BSLASHms] = ACTIONS(1297),
    [anon_sym_BSLASHs] = ACTIONS(1297),
    [anon_sym_BSLASHr] = ACTIONS(1297),
    [anon_sym_BSLASHsp] = ACTIONS(1297),
    [anon_sym_BSLASHd] = ACTIONS(1297),
    [anon_sym_BSLASHsd] = ACTIONS(1297),
    [anon_sym_BSLASHp] = ACTIONS(1297),
    [anon_sym_BSLASHm] = ACTIONS(1297),
    [anon_sym_BSLASHpo] = ACTIONS(1297),
    [anon_sym_BSLASHpr] = ACTIONS(1297),
    [anon_sym_BSLASHcls] = ACTIONS(1297),
    [anon_sym_BSLASHpmo] = ACTIONS(1297),
    [anon_sym_BSLASHpm] = ACTIONS(1297),
    [anon_sym_BSLASHpmc] = ACTIONS(1297),
    [anon_sym_BSLASHpmr] = ACTIONS(1297),
    [anon_sym_BSLASHpi] = ACTIONS(1297),
    [anon_sym_BSLASHmi] = ACTIONS(1297),
    [anon_sym_BSLASHnb] = ACTIONS(1297),
    [anon_sym_BSLASHpc] = ACTIONS(1297),
    [anon_sym_BSLASHph] = ACTIONS(1297),
    [anon_sym_BSLASHb] = ACTIONS(1297),
    [anon_sym_BSLASHq] = ACTIONS(1297),
    [anon_sym_BSLASHqr] = ACTIONS(1297),
    [anon_sym_BSLASHqc] = ACTIONS(1297),
    [anon_sym_BSLASHqa] = ACTIONS(1297),
    [anon_sym_BSLASHqm] = ACTIONS(1297),
    [anon_sym_BSLASHqd] = ACTIONS(1297),
    [anon_sym_BSLASHlh] = ACTIONS(1297),
    [anon_sym_BSLASHli] = ACTIONS(1297),
    [anon_sym_BSLASHlim] = ACTIONS(1297),
    [anon_sym_BSLASHtr] = ACTIONS(1297),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1297),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1297),
    [anon_sym_BSLASHcat] = ACTIONS(1297),
  },
  [225] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(230),
    [sym__comments] = STATE(230),
    [sym_sts] = STATE(230),
    [sym_rem] = STATE(230),
    [sym_restore] = STATE(230),
    [sym_lit] = STATE(230),
    [sym_verseText] = STATE(230),
    [sym_v] = STATE(230),
    [sym__verseMeta] = STATE(230),
    [sym_va] = STATE(230),
    [sym_vp] = STATE(230),
    [sym__paragraphContent] = STATE(230),
    [sym_footnote] = STATE(230),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(230),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(230),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(230),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(230),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1301),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1301),
    [anon_sym_BSLASHms] = ACTIONS(1301),
    [anon_sym_BSLASHs] = ACTIONS(1301),
    [anon_sym_BSLASHr] = ACTIONS(1301),
    [anon_sym_BSLASHsp] = ACTIONS(1301),
    [anon_sym_BSLASHd] = ACTIONS(1301),
    [anon_sym_BSLASHsd] = ACTIONS(1301),
    [anon_sym_BSLASHp] = ACTIONS(1301),
    [anon_sym_BSLASHm] = ACTIONS(1301),
    [anon_sym_BSLASHpo] = ACTIONS(1301),
    [anon_sym_BSLASHpr] = ACTIONS(1301),
    [anon_sym_BSLASHcls] = ACTIONS(1301),
    [anon_sym_BSLASHpmo] = ACTIONS(1301),
    [anon_sym_BSLASHpm] = ACTIONS(1301),
    [anon_sym_BSLASHpmc] = ACTIONS(1301),
    [anon_sym_BSLASHpmr] = ACTIONS(1301),
    [anon_sym_BSLASHpi] = ACTIONS(1301),
    [anon_sym_BSLASHmi] = ACTIONS(1301),
    [anon_sym_BSLASHnb] = ACTIONS(1301),
    [anon_sym_BSLASHpc] = ACTIONS(1301),
    [anon_sym_BSLASHph] = ACTIONS(1301),
    [anon_sym_BSLASHb] = ACTIONS(1301),
    [anon_sym_BSLASHq] = ACTIONS(1301),
    [anon_sym_BSLASHqr] = ACTIONS(1301),
    [anon_sym_BSLASHqc] = ACTIONS(1301),
    [anon_sym_BSLASHqa] = ACTIONS(1301),
    [anon_sym_BSLASHqm] = ACTIONS(1301),
    [anon_sym_BSLASHqd] = ACTIONS(1301),
    [anon_sym_BSLASHlh] = ACTIONS(1301),
    [anon_sym_BSLASHli] = ACTIONS(1301),
    [anon_sym_BSLASHlim] = ACTIONS(1301),
    [anon_sym_BSLASHtr] = ACTIONS(1301),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1301),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1301),
    [anon_sym_BSLASHcat] = ACTIONS(1301),
  },
  [226] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(230),
    [sym__comments] = STATE(230),
    [sym_sts] = STATE(230),
    [sym_rem] = STATE(230),
    [sym_restore] = STATE(230),
    [sym_lit] = STATE(230),
    [sym_verseText] = STATE(230),
    [sym_v] = STATE(230),
    [sym__verseMeta] = STATE(230),
    [sym_va] = STATE(230),
    [sym_vp] = STATE(230),
    [sym__paragraphContent] = STATE(230),
    [sym_footnote] = STATE(230),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(230),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(230),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(230),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(230),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1305),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1305),
    [anon_sym_BSLASHms] = ACTIONS(1305),
    [anon_sym_BSLASHs] = ACTIONS(1305),
    [anon_sym_BSLASHr] = ACTIONS(1305),
    [anon_sym_BSLASHsp] = ACTIONS(1305),
    [anon_sym_BSLASHd] = ACTIONS(1305),
    [anon_sym_BSLASHsd] = ACTIONS(1305),
    [anon_sym_BSLASHp] = ACTIONS(1305),
    [anon_sym_BSLASHm] = ACTIONS(1305),
    [anon_sym_BSLASHpo] = ACTIONS(1305),
    [anon_sym_BSLASHpr] = ACTIONS(1305),
    [anon_sym_BSLASHcls] = ACTIONS(1305),
    [anon_sym_BSLASHpmo] = ACTIONS(1305),
    [anon_sym_BSLASHpm] = ACTIONS(1305),
    [anon_sym_BSLASHpmc] = ACTIONS(1305),
    [anon_sym_BSLASHpmr] = ACTIONS(1305),
    [anon_sym_BSLASHpi] = ACTIONS(1305),
    [anon_sym_BSLASHmi] = ACTIONS(1305),
    [anon_sym_BSLASHnb] = ACTIONS(1305),
    [anon_sym_BSLASHpc] = ACTIONS(1305),
    [anon_sym_BSLASHph] = ACTIONS(1305),
    [anon_sym_BSLASHb] = ACTIONS(1305),
    [anon_sym_BSLASHq] = ACTIONS(1305),
    [anon_sym_BSLASHqr] = ACTIONS(1305),
    [anon_sym_BSLASHqc] = ACTIONS(1305),
    [anon_sym_BSLASHqa] = ACTIONS(1305),
    [anon_sym_BSLASHqm] = ACTIONS(1305),
    [anon_sym_BSLASHqd] = ACTIONS(1305),
    [anon_sym_BSLASHlh] = ACTIONS(1305),
    [anon_sym_BSLASHli] = ACTIONS(1305),
    [anon_sym_BSLASHlim] = ACTIONS(1305),
    [anon_sym_BSLASHtr] = ACTIONS(1305),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1305),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1305),
    [anon_sym_BSLASHcat] = ACTIONS(1305),
  },
  [227] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(230),
    [sym__comments] = STATE(230),
    [sym_sts] = STATE(230),
    [sym_rem] = STATE(230),
    [sym_restore] = STATE(230),
    [sym_lit] = STATE(230),
    [sym_verseText] = STATE(230),
    [sym_v] = STATE(230),
    [sym__verseMeta] = STATE(230),
    [sym_va] = STATE(230),
    [sym_vp] = STATE(230),
    [sym__paragraphContent] = STATE(230),
    [sym_footnote] = STATE(230),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(230),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(230),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(230),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(230),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1507),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1507),
    [anon_sym_BSLASHms] = ACTIONS(1507),
    [anon_sym_BSLASHs] = ACTIONS(1507),
    [anon_sym_BSLASHr] = ACTIONS(1507),
    [anon_sym_BSLASHsp] = ACTIONS(1507),
    [anon_sym_BSLASHd] = ACTIONS(1507),
    [anon_sym_BSLASHsd] = ACTIONS(1507),
    [anon_sym_BSLASHp] = ACTIONS(1507),
    [anon_sym_BSLASHm] = ACTIONS(1507),
    [anon_sym_BSLASHpo] = ACTIONS(1507),
    [anon_sym_BSLASHpr] = ACTIONS(1507),
    [anon_sym_BSLASHcls] = ACTIONS(1507),
    [anon_sym_BSLASHpmo] = ACTIONS(1507),
    [anon_sym_BSLASHpm] = ACTIONS(1507),
    [anon_sym_BSLASHpmc] = ACTIONS(1507),
    [anon_sym_BSLASHpmr] = ACTIONS(1507),
    [anon_sym_BSLASHpi] = ACTIONS(1507),
    [anon_sym_BSLASHmi] = ACTIONS(1507),
    [anon_sym_BSLASHnb] = ACTIONS(1507),
    [anon_sym_BSLASHpc] = ACTIONS(1507),
    [anon_sym_BSLASHph] = ACTIONS(1507),
    [anon_sym_BSLASHb] = ACTIONS(1507),
    [anon_sym_BSLASHq] = ACTIONS(1507),
    [anon_sym_BSLASHqr] = ACTIONS(1507),
    [anon_sym_BSLASHqc] = ACTIONS(1507),
    [anon_sym_BSLASHqa] = ACTIONS(1507),
    [anon_sym_BSLASHqm] = ACTIONS(1507),
    [anon_sym_BSLASHqd] = ACTIONS(1507),
    [anon_sym_BSLASHlh] = ACTIONS(1507),
    [anon_sym_BSLASHli] = ACTIONS(1507),
    [anon_sym_BSLASHlim] = ACTIONS(1507),
    [anon_sym_BSLASHtr] = ACTIONS(1507),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1507),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1507),
    [anon_sym_BSLASHcat] = ACTIONS(1507),
  },
  [228] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(217),
    [sym__comments] = STATE(217),
    [sym_sts] = STATE(217),
    [sym_rem] = STATE(217),
    [sym_restore] = STATE(217),
    [sym_lit] = STATE(217),
    [sym_verseText] = STATE(217),
    [sym_v] = STATE(217),
    [sym__verseMeta] = STATE(217),
    [sym_va] = STATE(217),
    [sym_vp] = STATE(217),
    [sym__paragraphContent] = STATE(217),
    [sym_footnote] = STATE(217),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(217),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(217),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(217),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(217),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1543),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1543),
    [anon_sym_BSLASHms] = ACTIONS(1543),
    [anon_sym_BSLASHs] = ACTIONS(1543),
    [anon_sym_BSLASHr] = ACTIONS(1543),
    [anon_sym_BSLASHsp] = ACTIONS(1543),
    [anon_sym_BSLASHd] = ACTIONS(1543),
    [anon_sym_BSLASHsd] = ACTIONS(1543),
    [anon_sym_BSLASHp] = ACTIONS(1543),
    [anon_sym_BSLASHm] = ACTIONS(1543),
    [anon_sym_BSLASHpo] = ACTIONS(1543),
    [anon_sym_BSLASHpr] = ACTIONS(1543),
    [anon_sym_BSLASHcls] = ACTIONS(1543),
    [anon_sym_BSLASHpmo] = ACTIONS(1543),
    [anon_sym_BSLASHpm] = ACTIONS(1543),
    [anon_sym_BSLASHpmc] = ACTIONS(1543),
    [anon_sym_BSLASHpmr] = ACTIONS(1543),
    [anon_sym_BSLASHpi] = ACTIONS(1543),
    [anon_sym_BSLASHmi] = ACTIONS(1543),
    [anon_sym_BSLASHnb] = ACTIONS(1543),
    [anon_sym_BSLASHpc] = ACTIONS(1543),
    [anon_sym_BSLASHph] = ACTIONS(1543),
    [anon_sym_BSLASHb] = ACTIONS(1543),
    [anon_sym_BSLASHq] = ACTIONS(1543),
    [anon_sym_BSLASHqr] = ACTIONS(1543),
    [anon_sym_BSLASHqc] = ACTIONS(1543),
    [anon_sym_BSLASHqa] = ACTIONS(1543),
    [anon_sym_BSLASHqm] = ACTIONS(1543),
    [anon_sym_BSLASHqd] = ACTIONS(1543),
    [anon_sym_BSLASHlh] = ACTIONS(1543),
    [anon_sym_BSLASHli] = ACTIONS(1543),
    [anon_sym_BSLASHlim] = ACTIONS(1543),
    [anon_sym_BSLASHtr] = ACTIONS(1543),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1543),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1543),
    [anon_sym_BSLASHcat] = ACTIONS(1543),
  },
  [229] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(213),
    [sym__comments] = STATE(213),
    [sym_sts] = STATE(213),
    [sym_rem] = STATE(213),
    [sym_restore] = STATE(213),
    [sym_lit] = STATE(213),
    [sym_verseText] = STATE(213),
    [sym_v] = STATE(213),
    [sym__verseMeta] = STATE(213),
    [sym_va] = STATE(213),
    [sym_vp] = STATE(213),
    [sym__paragraphContent] = STATE(213),
    [sym_footnote] = STATE(213),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(213),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(213),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(213),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(213),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1483),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1483),
    [anon_sym_BSLASHms] = ACTIONS(1483),
    [anon_sym_BSLASHs] = ACTIONS(1483),
    [anon_sym_BSLASHr] = ACTIONS(1483),
    [anon_sym_BSLASHsp] = ACTIONS(1483),
    [anon_sym_BSLASHd] = ACTIONS(1483),
    [anon_sym_BSLASHsd] = ACTIONS(1483),
    [anon_sym_BSLASHp] = ACTIONS(1483),
    [anon_sym_BSLASHm] = ACTIONS(1483),
    [anon_sym_BSLASHpo] = ACTIONS(1483),
    [anon_sym_BSLASHpr] = ACTIONS(1483),
    [anon_sym_BSLASHcls] = ACTIONS(1483),
    [anon_sym_BSLASHpmo] = ACTIONS(1483),
    [anon_sym_BSLASHpm] = ACTIONS(1483),
    [anon_sym_BSLASHpmc] = ACTIONS(1483),
    [anon_sym_BSLASHpmr] = ACTIONS(1483),
    [anon_sym_BSLASHpi] = ACTIONS(1483),
    [anon_sym_BSLASHmi] = ACTIONS(1483),
    [anon_sym_BSLASHnb] = ACTIONS(1483),
    [anon_sym_BSLASHpc] = ACTIONS(1483),
    [anon_sym_BSLASHph] = ACTIONS(1483),
    [anon_sym_BSLASHb] = ACTIONS(1483),
    [anon_sym_BSLASHq] = ACTIONS(1483),
    [anon_sym_BSLASHqr] = ACTIONS(1483),
    [anon_sym_BSLASHqc] = ACTIONS(1483),
    [anon_sym_BSLASHqa] = ACTIONS(1483),
    [anon_sym_BSLASHqm] = ACTIONS(1483),
    [anon_sym_BSLASHqd] = ACTIONS(1483),
    [anon_sym_BSLASHlh] = ACTIONS(1483),
    [anon_sym_BSLASHli] = ACTIONS(1483),
    [anon_sym_BSLASHlim] = ACTIONS(1483),
    [anon_sym_BSLASHtr] = ACTIONS(1483),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1483),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1483),
    [anon_sym_BSLASHcat] = ACTIONS(1483),
  },
  [230] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(230),
    [sym__comments] = STATE(230),
    [sym_sts] = STATE(230),
    [sym_rem] = STATE(230),
    [sym_restore] = STATE(230),
    [sym_lit] = STATE(230),
    [sym_verseText] = STATE(230),
    [sym_v] = STATE(230),
    [sym__verseMeta] = STATE(230),
    [sym_va] = STATE(230),
    [sym_vp] = STATE(230),
    [sym__paragraphContent] = STATE(230),
    [sym_footnote] = STATE(230),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(230),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(230),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(230),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(230),
    [aux_sym_text_token1] = ACTIONS(2516),
    [anon_sym_BSLASHref] = ACTIONS(2519),
    [anon_sym_BSLASHsts] = ACTIONS(2522),
    [anon_sym_BSLASHrem] = ACTIONS(2525),
    [anon_sym_BSLASHrestore] = ACTIONS(2528),
    [anon_sym_BSLASHlit] = ACTIONS(2531),
    [anon_sym_BSLASHip] = ACTIONS(1339),
    [anon_sym_BSLASHv] = ACTIONS(2534),
    [anon_sym_BSLASHva] = ACTIONS(2537),
    [anon_sym_BSLASHvp] = ACTIONS(2540),
    [anon_sym_BSLASHmte] = ACTIONS(1339),
    [anon_sym_BSLASHms] = ACTIONS(1339),
    [anon_sym_BSLASHs] = ACTIONS(1339),
    [anon_sym_BSLASHr] = ACTIONS(1339),
    [anon_sym_BSLASHsp] = ACTIONS(1339),
    [anon_sym_BSLASHd] = ACTIONS(1339),
    [anon_sym_BSLASHsd] = ACTIONS(1339),
    [anon_sym_BSLASHp] = ACTIONS(1339),
    [anon_sym_BSLASHm] = ACTIONS(1339),
    [anon_sym_BSLASHpo] = ACTIONS(1339),
    [anon_sym_BSLASHpr] = ACTIONS(1339),
    [anon_sym_BSLASHcls] = ACTIONS(1339),
    [anon_sym_BSLASHpmo] = ACTIONS(1339),
    [anon_sym_BSLASHpm] = ACTIONS(1339),
    [anon_sym_BSLASHpmc] = ACTIONS(1339),
    [anon_sym_BSLASHpmr] = ACTIONS(1339),
    [anon_sym_BSLASHpi] = ACTIONS(1339),
    [anon_sym_BSLASHmi] = ACTIONS(1339),
    [anon_sym_BSLASHnb] = ACTIONS(1339),
    [anon_sym_BSLASHpc] = ACTIONS(1339),
    [anon_sym_BSLASHph] = ACTIONS(1339),
    [anon_sym_BSLASHb] = ACTIONS(1339),
    [anon_sym_BSLASHq] = ACTIONS(1339),
    [anon_sym_BSLASHqr] = ACTIONS(1339),
    [anon_sym_BSLASHqc] = ACTIONS(1339),
    [anon_sym_BSLASHqa] = ACTIONS(1339),
    [anon_sym_BSLASHqm] = ACTIONS(1339),
    [anon_sym_BSLASHqd] = ACTIONS(1339),
    [anon_sym_BSLASHlh] = ACTIONS(1339),
    [anon_sym_BSLASHli] = ACTIONS(1339),
    [anon_sym_BSLASHlim] = ACTIONS(1339),
    [anon_sym_BSLASHtr] = ACTIONS(1339),
    [anon_sym_BSLASHf] = ACTIONS(2543),
    [anon_sym_BSLASHfe] = ACTIONS(2546),
    [anon_sym_BSLASHef] = ACTIONS(2549),
    [anon_sym_BSLASHfm] = ACTIONS(2552),
    [anon_sym_BSLASHx] = ACTIONS(2555),
    [anon_sym_BSLASHxt] = ACTIONS(2558),
    [anon_sym_BSLASHrq] = ACTIONS(2561),
    [anon_sym_BSLASHadd] = ACTIONS(2564),
    [anon_sym_BSLASHbk] = ACTIONS(2567),
    [anon_sym_BSLASHdc] = ACTIONS(2570),
    [anon_sym_BSLASHk] = ACTIONS(2573),
    [anon_sym_BSLASHnd] = ACTIONS(2576),
    [anon_sym_BSLASHord] = ACTIONS(2579),
    [anon_sym_BSLASHpn] = ACTIONS(2582),
    [anon_sym_BSLASHpng] = ACTIONS(2585),
    [anon_sym_BSLASHaddpn] = ACTIONS(2588),
    [anon_sym_BSLASHqt] = ACTIONS(2591),
    [anon_sym_BSLASHsig] = ACTIONS(2594),
    [anon_sym_BSLASHsls] = ACTIONS(2597),
    [anon_sym_BSLASHtl] = ACTIONS(2600),
    [anon_sym_BSLASHwj] = ACTIONS(2603),
    [anon_sym_BSLASHem] = ACTIONS(2606),
    [anon_sym_BSLASHbd] = ACTIONS(2609),
    [anon_sym_BSLASHit] = ACTIONS(2612),
    [anon_sym_BSLASHbdit] = ACTIONS(2615),
    [anon_sym_BSLASHno] = ACTIONS(2618),
    [anon_sym_BSLASHsc] = ACTIONS(2621),
    [anon_sym_BSLASHsup] = ACTIONS(2624),
    [anon_sym_BSLASHndx] = ACTIONS(2627),
    [anon_sym_BSLASHpro] = ACTIONS(2630),
    [anon_sym_BSLASHrb] = ACTIONS(2633),
    [anon_sym_BSLASHw] = ACTIONS(2636),
    [anon_sym_BSLASHwg] = ACTIONS(2639),
    [anon_sym_BSLASHwh] = ACTIONS(2642),
    [anon_sym_BSLASHwa] = ACTIONS(2645),
    [anon_sym_BSLASHfig] = ACTIONS(2648),
    [anon_sym_BSLASHjmp] = ACTIONS(2651),
    [anon_sym_BSLASHpb] = ACTIONS(1339),
    [anon_sym_BSLASH] = ACTIONS(1461),
    [sym_milestoneStartTag] = ACTIONS(2654),
    [sym_milestoneEndTag] = ACTIONS(2657),
    [sym_zSpaceTag] = ACTIONS(2660),
    [anon_sym_BSLASHesbe] = ACTIONS(1339),
    [anon_sym_BSLASHcat] = ACTIONS(1339),
  },
  [231] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(218),
    [sym__comments] = STATE(218),
    [sym_sts] = STATE(218),
    [sym_rem] = STATE(218),
    [sym_restore] = STATE(218),
    [sym_lit] = STATE(218),
    [sym_verseText] = STATE(218),
    [sym_v] = STATE(218),
    [sym__verseMeta] = STATE(218),
    [sym_va] = STATE(218),
    [sym_vp] = STATE(218),
    [sym__paragraphContent] = STATE(218),
    [sym_footnote] = STATE(218),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(218),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(218),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(218),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(218),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1539),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1539),
    [anon_sym_BSLASHms] = ACTIONS(1539),
    [anon_sym_BSLASHs] = ACTIONS(1539),
    [anon_sym_BSLASHr] = ACTIONS(1539),
    [anon_sym_BSLASHsp] = ACTIONS(1539),
    [anon_sym_BSLASHd] = ACTIONS(1539),
    [anon_sym_BSLASHsd] = ACTIONS(1539),
    [anon_sym_BSLASHp] = ACTIONS(1539),
    [anon_sym_BSLASHm] = ACTIONS(1539),
    [anon_sym_BSLASHpo] = ACTIONS(1539),
    [anon_sym_BSLASHpr] = ACTIONS(1539),
    [anon_sym_BSLASHcls] = ACTIONS(1539),
    [anon_sym_BSLASHpmo] = ACTIONS(1539),
    [anon_sym_BSLASHpm] = ACTIONS(1539),
    [anon_sym_BSLASHpmc] = ACTIONS(1539),
    [anon_sym_BSLASHpmr] = ACTIONS(1539),
    [anon_sym_BSLASHpi] = ACTIONS(1539),
    [anon_sym_BSLASHmi] = ACTIONS(1539),
    [anon_sym_BSLASHnb] = ACTIONS(1539),
    [anon_sym_BSLASHpc] = ACTIONS(1539),
    [anon_sym_BSLASHph] = ACTIONS(1539),
    [anon_sym_BSLASHb] = ACTIONS(1539),
    [anon_sym_BSLASHq] = ACTIONS(1539),
    [anon_sym_BSLASHqr] = ACTIONS(1539),
    [anon_sym_BSLASHqc] = ACTIONS(1539),
    [anon_sym_BSLASHqa] = ACTIONS(1539),
    [anon_sym_BSLASHqm] = ACTIONS(1539),
    [anon_sym_BSLASHqd] = ACTIONS(1539),
    [anon_sym_BSLASHlh] = ACTIONS(1539),
    [anon_sym_BSLASHli] = ACTIONS(1539),
    [anon_sym_BSLASHlim] = ACTIONS(1539),
    [anon_sym_BSLASHtr] = ACTIONS(1539),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1539),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1539),
    [anon_sym_BSLASHcat] = ACTIONS(1539),
  },
  [232] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(216),
    [sym__comments] = STATE(216),
    [sym_sts] = STATE(216),
    [sym_rem] = STATE(216),
    [sym_restore] = STATE(216),
    [sym_lit] = STATE(216),
    [sym_verseText] = STATE(216),
    [sym_v] = STATE(216),
    [sym__verseMeta] = STATE(216),
    [sym_va] = STATE(216),
    [sym_vp] = STATE(216),
    [sym__paragraphContent] = STATE(216),
    [sym_footnote] = STATE(216),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(216),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(216),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(216),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(216),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1547),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1547),
    [anon_sym_BSLASHms] = ACTIONS(1547),
    [anon_sym_BSLASHs] = ACTIONS(1547),
    [anon_sym_BSLASHr] = ACTIONS(1547),
    [anon_sym_BSLASHsp] = ACTIONS(1547),
    [anon_sym_BSLASHd] = ACTIONS(1547),
    [anon_sym_BSLASHsd] = ACTIONS(1547),
    [anon_sym_BSLASHp] = ACTIONS(1547),
    [anon_sym_BSLASHm] = ACTIONS(1547),
    [anon_sym_BSLASHpo] = ACTIONS(1547),
    [anon_sym_BSLASHpr] = ACTIONS(1547),
    [anon_sym_BSLASHcls] = ACTIONS(1547),
    [anon_sym_BSLASHpmo] = ACTIONS(1547),
    [anon_sym_BSLASHpm] = ACTIONS(1547),
    [anon_sym_BSLASHpmc] = ACTIONS(1547),
    [anon_sym_BSLASHpmr] = ACTIONS(1547),
    [anon_sym_BSLASHpi] = ACTIONS(1547),
    [anon_sym_BSLASHmi] = ACTIONS(1547),
    [anon_sym_BSLASHnb] = ACTIONS(1547),
    [anon_sym_BSLASHpc] = ACTIONS(1547),
    [anon_sym_BSLASHph] = ACTIONS(1547),
    [anon_sym_BSLASHb] = ACTIONS(1547),
    [anon_sym_BSLASHq] = ACTIONS(1547),
    [anon_sym_BSLASHqr] = ACTIONS(1547),
    [anon_sym_BSLASHqc] = ACTIONS(1547),
    [anon_sym_BSLASHqa] = ACTIONS(1547),
    [anon_sym_BSLASHqm] = ACTIONS(1547),
    [anon_sym_BSLASHqd] = ACTIONS(1547),
    [anon_sym_BSLASHlh] = ACTIONS(1547),
    [anon_sym_BSLASHli] = ACTIONS(1547),
    [anon_sym_BSLASHlim] = ACTIONS(1547),
    [anon_sym_BSLASHtr] = ACTIONS(1547),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1547),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1547),
    [anon_sym_BSLASHcat] = ACTIONS(1547),
  },
  [233] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(219),
    [sym__comments] = STATE(219),
    [sym_sts] = STATE(219),
    [sym_rem] = STATE(219),
    [sym_restore] = STATE(219),
    [sym_lit] = STATE(219),
    [sym_verseText] = STATE(219),
    [sym_v] = STATE(219),
    [sym__verseMeta] = STATE(219),
    [sym_va] = STATE(219),
    [sym_vp] = STATE(219),
    [sym__paragraphContent] = STATE(219),
    [sym_footnote] = STATE(219),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(219),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(219),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(219),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(219),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1535),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1535),
    [anon_sym_BSLASHms] = ACTIONS(1535),
    [anon_sym_BSLASHs] = ACTIONS(1535),
    [anon_sym_BSLASHr] = ACTIONS(1535),
    [anon_sym_BSLASHsp] = ACTIONS(1535),
    [anon_sym_BSLASHd] = ACTIONS(1535),
    [anon_sym_BSLASHsd] = ACTIONS(1535),
    [anon_sym_BSLASHp] = ACTIONS(1535),
    [anon_sym_BSLASHm] = ACTIONS(1535),
    [anon_sym_BSLASHpo] = ACTIONS(1535),
    [anon_sym_BSLASHpr] = ACTIONS(1535),
    [anon_sym_BSLASHcls] = ACTIONS(1535),
    [anon_sym_BSLASHpmo] = ACTIONS(1535),
    [anon_sym_BSLASHpm] = ACTIONS(1535),
    [anon_sym_BSLASHpmc] = ACTIONS(1535),
    [anon_sym_BSLASHpmr] = ACTIONS(1535),
    [anon_sym_BSLASHpi] = ACTIONS(1535),
    [anon_sym_BSLASHmi] = ACTIONS(1535),
    [anon_sym_BSLASHnb] = ACTIONS(1535),
    [anon_sym_BSLASHpc] = ACTIONS(1535),
    [anon_sym_BSLASHph] = ACTIONS(1535),
    [anon_sym_BSLASHb] = ACTIONS(1535),
    [anon_sym_BSLASHq] = ACTIONS(1535),
    [anon_sym_BSLASHqr] = ACTIONS(1535),
    [anon_sym_BSLASHqc] = ACTIONS(1535),
    [anon_sym_BSLASHqa] = ACTIONS(1535),
    [anon_sym_BSLASHqm] = ACTIONS(1535),
    [anon_sym_BSLASHqd] = ACTIONS(1535),
    [anon_sym_BSLASHlh] = ACTIONS(1535),
    [anon_sym_BSLASHli] = ACTIONS(1535),
    [anon_sym_BSLASHlim] = ACTIONS(1535),
    [anon_sym_BSLASHtr] = ACTIONS(1535),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1535),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1535),
    [anon_sym_BSLASHcat] = ACTIONS(1535),
  },
  [234] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(214),
    [sym__comments] = STATE(214),
    [sym_sts] = STATE(214),
    [sym_rem] = STATE(214),
    [sym_restore] = STATE(214),
    [sym_lit] = STATE(214),
    [sym_verseText] = STATE(214),
    [sym_v] = STATE(214),
    [sym__verseMeta] = STATE(214),
    [sym_va] = STATE(214),
    [sym_vp] = STATE(214),
    [sym__paragraphContent] = STATE(214),
    [sym_footnote] = STATE(214),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(214),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(214),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(214),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(214),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1555),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1555),
    [anon_sym_BSLASHms] = ACTIONS(1555),
    [anon_sym_BSLASHs] = ACTIONS(1555),
    [anon_sym_BSLASHr] = ACTIONS(1555),
    [anon_sym_BSLASHsp] = ACTIONS(1555),
    [anon_sym_BSLASHd] = ACTIONS(1555),
    [anon_sym_BSLASHsd] = ACTIONS(1555),
    [anon_sym_BSLASHp] = ACTIONS(1555),
    [anon_sym_BSLASHm] = ACTIONS(1555),
    [anon_sym_BSLASHpo] = ACTIONS(1555),
    [anon_sym_BSLASHpr] = ACTIONS(1555),
    [anon_sym_BSLASHcls] = ACTIONS(1555),
    [anon_sym_BSLASHpmo] = ACTIONS(1555),
    [anon_sym_BSLASHpm] = ACTIONS(1555),
    [anon_sym_BSLASHpmc] = ACTIONS(1555),
    [anon_sym_BSLASHpmr] = ACTIONS(1555),
    [anon_sym_BSLASHpi] = ACTIONS(1555),
    [anon_sym_BSLASHmi] = ACTIONS(1555),
    [anon_sym_BSLASHnb] = ACTIONS(1555),
    [anon_sym_BSLASHpc] = ACTIONS(1555),
    [anon_sym_BSLASHph] = ACTIONS(1555),
    [anon_sym_BSLASHb] = ACTIONS(1555),
    [anon_sym_BSLASHq] = ACTIONS(1555),
    [anon_sym_BSLASHqr] = ACTIONS(1555),
    [anon_sym_BSLASHqc] = ACTIONS(1555),
    [anon_sym_BSLASHqa] = ACTIONS(1555),
    [anon_sym_BSLASHqm] = ACTIONS(1555),
    [anon_sym_BSLASHqd] = ACTIONS(1555),
    [anon_sym_BSLASHlh] = ACTIONS(1555),
    [anon_sym_BSLASHli] = ACTIONS(1555),
    [anon_sym_BSLASHlim] = ACTIONS(1555),
    [anon_sym_BSLASHtr] = ACTIONS(1555),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1555),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1555),
    [anon_sym_BSLASHcat] = ACTIONS(1555),
  },
  [235] = {
    [sym_text] = STATE(317),
    [sym_ref] = STATE(227),
    [sym__comments] = STATE(227),
    [sym_sts] = STATE(227),
    [sym_rem] = STATE(227),
    [sym_restore] = STATE(227),
    [sym_lit] = STATE(227),
    [sym_verseText] = STATE(227),
    [sym_v] = STATE(227),
    [sym__verseMeta] = STATE(227),
    [sym_va] = STATE(227),
    [sym_vp] = STATE(227),
    [sym__paragraphContent] = STATE(227),
    [sym_footnote] = STATE(227),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(227),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [sym_milestoneTag] = STATE(1982),
    [sym__milestoneStandaloneMarker] = STATE(565),
    [sym__milestoneStart] = STATE(565),
    [sym__milestoneEnd] = STATE(565),
    [sym_milestone] = STATE(227),
    [sym__zNameSpaceRegular] = STATE(567),
    [sym__zNameSpaceClosed] = STATE(567),
    [sym__zNameSpaceStandaloneMarker] = STATE(567),
    [sym_zNameSpace] = STATE(227),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_p_repeat1] = STATE(227),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(812),
    [anon_sym_BSLASHrem] = ACTIONS(814),
    [anon_sym_BSLASHrestore] = ACTIONS(816),
    [anon_sym_BSLASHlit] = ACTIONS(818),
    [anon_sym_BSLASHip] = ACTIONS(1559),
    [anon_sym_BSLASHv] = ACTIONS(820),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(1559),
    [anon_sym_BSLASHms] = ACTIONS(1559),
    [anon_sym_BSLASHs] = ACTIONS(1559),
    [anon_sym_BSLASHr] = ACTIONS(1559),
    [anon_sym_BSLASHsp] = ACTIONS(1559),
    [anon_sym_BSLASHd] = ACTIONS(1559),
    [anon_sym_BSLASHsd] = ACTIONS(1559),
    [anon_sym_BSLASHp] = ACTIONS(1559),
    [anon_sym_BSLASHm] = ACTIONS(1559),
    [anon_sym_BSLASHpo] = ACTIONS(1559),
    [anon_sym_BSLASHpr] = ACTIONS(1559),
    [anon_sym_BSLASHcls] = ACTIONS(1559),
    [anon_sym_BSLASHpmo] = ACTIONS(1559),
    [anon_sym_BSLASHpm] = ACTIONS(1559),
    [anon_sym_BSLASHpmc] = ACTIONS(1559),
    [anon_sym_BSLASHpmr] = ACTIONS(1559),
    [anon_sym_BSLASHpi] = ACTIONS(1559),
    [anon_sym_BSLASHmi] = ACTIONS(1559),
    [anon_sym_BSLASHnb] = ACTIONS(1559),
    [anon_sym_BSLASHpc] = ACTIONS(1559),
    [anon_sym_BSLASHph] = ACTIONS(1559),
    [anon_sym_BSLASHb] = ACTIONS(1559),
    [anon_sym_BSLASHq] = ACTIONS(1559),
    [anon_sym_BSLASHqr] = ACTIONS(1559),
    [anon_sym_BSLASHqc] = ACTIONS(1559),
    [anon_sym_BSLASHqa] = ACTIONS(1559),
    [anon_sym_BSLASHqm] = ACTIONS(1559),
    [anon_sym_BSLASHqd] = ACTIONS(1559),
    [anon_sym_BSLASHlh] = ACTIONS(1559),
    [anon_sym_BSLASHli] = ACTIONS(1559),
    [anon_sym_BSLASHlim] = ACTIONS(1559),
    [anon_sym_BSLASHtr] = ACTIONS(1559),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(1559),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(904),
    [sym_milestoneEndTag] = ACTIONS(906),
    [sym_zSpaceTag] = ACTIONS(908),
    [anon_sym_BSLASHesbe] = ACTIONS(1559),
    [anon_sym_BSLASHcat] = ACTIONS(1559),
  },
  [236] = {
    [aux_sym_text_token1] = ACTIONS(2663),
    [anon_sym_BSLASHref] = ACTIONS(2665),
    [anon_sym_BSLASHsts] = ACTIONS(2665),
    [anon_sym_BSLASHrem] = ACTIONS(2665),
    [anon_sym_BSLASHrestore] = ACTIONS(2665),
    [anon_sym_BSLASHlit] = ACTIONS(2665),
    [anon_sym_BSLASHiqt] = ACTIONS(2665),
    [anon_sym_BSLASHip] = ACTIONS(2665),
    [anon_sym_BSLASHv] = ACTIONS(2665),
    [anon_sym_BSLASHva] = ACTIONS(2665),
    [anon_sym_BSLASHvp] = ACTIONS(2665),
    [anon_sym_BSLASHmte] = ACTIONS(2665),
    [anon_sym_BSLASHms] = ACTIONS(2665),
    [anon_sym_BSLASHmr] = ACTIONS(2665),
    [anon_sym_BSLASHs] = ACTIONS(2665),
    [anon_sym_BSLASHsr] = ACTIONS(2665),
    [anon_sym_BSLASHr] = ACTIONS(2665),
    [anon_sym_BSLASHsp] = ACTIONS(2665),
    [anon_sym_BSLASHd] = ACTIONS(2665),
    [anon_sym_BSLASHsd] = ACTIONS(2665),
    [anon_sym_BSLASHp] = ACTIONS(2665),
    [anon_sym_BSLASHm] = ACTIONS(2665),
    [anon_sym_BSLASHpo] = ACTIONS(2665),
    [anon_sym_BSLASHpr] = ACTIONS(2665),
    [anon_sym_BSLASHcls] = ACTIONS(2665),
    [anon_sym_BSLASHpmo] = ACTIONS(2665),
    [anon_sym_BSLASHpm] = ACTIONS(2665),
    [anon_sym_BSLASHpmc] = ACTIONS(2665),
    [anon_sym_BSLASHpmr] = ACTIONS(2665),
    [anon_sym_BSLASHpi] = ACTIONS(2665),
    [anon_sym_BSLASHmi] = ACTIONS(2665),
    [anon_sym_BSLASHnb] = ACTIONS(2665),
    [anon_sym_BSLASHpc] = ACTIONS(2665),
    [anon_sym_BSLASHph] = ACTIONS(2665),
    [anon_sym_BSLASHb] = ACTIONS(2665),
    [anon_sym_BSLASHq] = ACTIONS(2665),
    [anon_sym_BSLASHqr] = ACTIONS(2665),
    [anon_sym_BSLASHqc] = ACTIONS(2665),
    [anon_sym_BSLASHqa] = ACTIONS(2665),
    [anon_sym_BSLASHqm] = ACTIONS(2665),
    [anon_sym_BSLASHqd] = ACTIONS(2665),
    [anon_sym_BSLASHlh] = ACTIONS(2665),
    [anon_sym_BSLASHlf] = ACTIONS(2665),
    [anon_sym_BSLASHli] = ACTIONS(2665),
    [anon_sym_BSLASHlim] = ACTIONS(2665),
    [anon_sym_BSLASHliv] = ACTIONS(2665),
    [anon_sym_BSLASHlik] = ACTIONS(2665),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHlitl] = ACTIONS(2665),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHtr] = ACTIONS(2665),
    [anon_sym_BSLASHf] = ACTIONS(2665),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHfe] = ACTIONS(2665),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHef] = ACTIONS(2665),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHfr] = ACTIONS(2665),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHfq] = ACTIONS(2665),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHfqa] = ACTIONS(2665),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHfk] = ACTIONS(2665),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHfl] = ACTIONS(2665),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHfw] = ACTIONS(2665),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHfp] = ACTIONS(2665),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHft] = ACTIONS(2665),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHfdc] = ACTIONS(2665),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHfv] = ACTIONS(2665),
    [anon_sym_BSLASHfm] = ACTIONS(2665),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2665),
    [anon_sym_BSLASHx] = ACTIONS(2665),
    [anon_sym_BSLASHxt] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2665),
    [anon_sym_BSLASHrq] = ACTIONS(2665),
    [anon_sym_BSLASHadd] = ACTIONS(2665),
    [anon_sym_BSLASHbk] = ACTIONS(2665),
    [anon_sym_BSLASHdc] = ACTIONS(2665),
    [anon_sym_BSLASHk] = ACTIONS(2665),
    [anon_sym_BSLASHnd] = ACTIONS(2665),
    [anon_sym_BSLASHord] = ACTIONS(2665),
    [anon_sym_BSLASHpn] = ACTIONS(2665),
    [anon_sym_BSLASHpng] = ACTIONS(2665),
    [anon_sym_BSLASHaddpn] = ACTIONS(2665),
    [anon_sym_BSLASHqt] = ACTIONS(2665),
    [anon_sym_BSLASHsig] = ACTIONS(2665),
    [anon_sym_BSLASHsls] = ACTIONS(2665),
    [anon_sym_BSLASHtl] = ACTIONS(2665),
    [anon_sym_BSLASHwj] = ACTIONS(2665),
    [anon_sym_BSLASHem] = ACTIONS(2665),
    [anon_sym_BSLASHbd] = ACTIONS(2665),
    [anon_sym_BSLASHit] = ACTIONS(2665),
    [anon_sym_BSLASHbdit] = ACTIONS(2665),
    [anon_sym_BSLASHno] = ACTIONS(2665),
    [anon_sym_BSLASHsc] = ACTIONS(2665),
    [anon_sym_BSLASHsup] = ACTIONS(2665),
    [anon_sym_BSLASHndx] = ACTIONS(2665),
    [anon_sym_BSLASHpro] = ACTIONS(2665),
    [anon_sym_BSLASHrb] = ACTIONS(2665),
    [anon_sym_BSLASHw] = ACTIONS(2665),
    [anon_sym_BSLASHwg] = ACTIONS(2665),
    [anon_sym_BSLASHwh] = ACTIONS(2665),
    [anon_sym_BSLASHwa] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2665),
    [anon_sym_BSLASHfig] = ACTIONS(2665),
    [anon_sym_BSLASHjmp] = ACTIONS(2665),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2665),
    [anon_sym_BSLASHpb] = ACTIONS(2665),
    [anon_sym_BSLASH] = ACTIONS(2665),
    [sym_milestoneStartTag] = ACTIONS(2665),
    [sym_milestoneEndTag] = ACTIONS(2665),
    [sym_zSpaceTag] = ACTIONS(2665),
    [anon_sym_BSLASHesbe] = ACTIONS(2665),
    [anon_sym_BSLASHcat] = ACTIONS(2665),
  },
  [237] = {
    [aux_sym_text_token1] = ACTIONS(2667),
    [anon_sym_BSLASHref] = ACTIONS(2669),
    [anon_sym_BSLASHsts] = ACTIONS(2669),
    [anon_sym_BSLASHrem] = ACTIONS(2669),
    [anon_sym_BSLASHrestore] = ACTIONS(2669),
    [anon_sym_BSLASHlit] = ACTIONS(2669),
    [anon_sym_BSLASHiqt] = ACTIONS(2669),
    [anon_sym_BSLASHip] = ACTIONS(2669),
    [anon_sym_BSLASHv] = ACTIONS(2669),
    [anon_sym_BSLASHva] = ACTIONS(2669),
    [anon_sym_BSLASHvp] = ACTIONS(2669),
    [anon_sym_BSLASHmte] = ACTIONS(2669),
    [anon_sym_BSLASHms] = ACTIONS(2669),
    [anon_sym_BSLASHmr] = ACTIONS(2669),
    [anon_sym_BSLASHs] = ACTIONS(2669),
    [anon_sym_BSLASHsr] = ACTIONS(2669),
    [anon_sym_BSLASHr] = ACTIONS(2669),
    [anon_sym_BSLASHsp] = ACTIONS(2669),
    [anon_sym_BSLASHd] = ACTIONS(2669),
    [anon_sym_BSLASHsd] = ACTIONS(2669),
    [anon_sym_BSLASHp] = ACTIONS(2669),
    [anon_sym_BSLASHm] = ACTIONS(2669),
    [anon_sym_BSLASHpo] = ACTIONS(2669),
    [anon_sym_BSLASHpr] = ACTIONS(2669),
    [anon_sym_BSLASHcls] = ACTIONS(2669),
    [anon_sym_BSLASHpmo] = ACTIONS(2669),
    [anon_sym_BSLASHpm] = ACTIONS(2669),
    [anon_sym_BSLASHpmc] = ACTIONS(2669),
    [anon_sym_BSLASHpmr] = ACTIONS(2669),
    [anon_sym_BSLASHpi] = ACTIONS(2669),
    [anon_sym_BSLASHmi] = ACTIONS(2669),
    [anon_sym_BSLASHnb] = ACTIONS(2669),
    [anon_sym_BSLASHpc] = ACTIONS(2669),
    [anon_sym_BSLASHph] = ACTIONS(2669),
    [anon_sym_BSLASHb] = ACTIONS(2669),
    [anon_sym_BSLASHq] = ACTIONS(2669),
    [anon_sym_BSLASHqr] = ACTIONS(2669),
    [anon_sym_BSLASHqc] = ACTIONS(2669),
    [anon_sym_BSLASHqa] = ACTIONS(2669),
    [anon_sym_BSLASHqm] = ACTIONS(2669),
    [anon_sym_BSLASHqd] = ACTIONS(2669),
    [anon_sym_BSLASHlh] = ACTIONS(2669),
    [anon_sym_BSLASHlf] = ACTIONS(2669),
    [anon_sym_BSLASHli] = ACTIONS(2669),
    [anon_sym_BSLASHlim] = ACTIONS(2669),
    [anon_sym_BSLASHliv] = ACTIONS(2669),
    [anon_sym_BSLASHlik] = ACTIONS(2669),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHlitl] = ACTIONS(2669),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHtr] = ACTIONS(2669),
    [anon_sym_BSLASHf] = ACTIONS(2669),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHfe] = ACTIONS(2669),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHef] = ACTIONS(2669),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHfr] = ACTIONS(2669),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHfq] = ACTIONS(2669),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHfqa] = ACTIONS(2669),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHfk] = ACTIONS(2669),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHfl] = ACTIONS(2669),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHfw] = ACTIONS(2669),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHfp] = ACTIONS(2669),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHft] = ACTIONS(2669),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHfdc] = ACTIONS(2669),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHfv] = ACTIONS(2669),
    [anon_sym_BSLASHfm] = ACTIONS(2669),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2669),
    [anon_sym_BSLASHx] = ACTIONS(2669),
    [anon_sym_BSLASHxt] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2669),
    [anon_sym_BSLASHrq] = ACTIONS(2669),
    [anon_sym_BSLASHadd] = ACTIONS(2669),
    [anon_sym_BSLASHbk] = ACTIONS(2669),
    [anon_sym_BSLASHdc] = ACTIONS(2669),
    [anon_sym_BSLASHk] = ACTIONS(2669),
    [anon_sym_BSLASHnd] = ACTIONS(2669),
    [anon_sym_BSLASHord] = ACTIONS(2669),
    [anon_sym_BSLASHpn] = ACTIONS(2669),
    [anon_sym_BSLASHpng] = ACTIONS(2669),
    [anon_sym_BSLASHaddpn] = ACTIONS(2669),
    [anon_sym_BSLASHqt] = ACTIONS(2669),
    [anon_sym_BSLASHsig] = ACTIONS(2669),
    [anon_sym_BSLASHsls] = ACTIONS(2669),
    [anon_sym_BSLASHtl] = ACTIONS(2669),
    [anon_sym_BSLASHwj] = ACTIONS(2669),
    [anon_sym_BSLASHem] = ACTIONS(2669),
    [anon_sym_BSLASHbd] = ACTIONS(2669),
    [anon_sym_BSLASHit] = ACTIONS(2669),
    [anon_sym_BSLASHbdit] = ACTIONS(2669),
    [anon_sym_BSLASHno] = ACTIONS(2669),
    [anon_sym_BSLASHsc] = ACTIONS(2669),
    [anon_sym_BSLASHsup] = ACTIONS(2669),
    [anon_sym_BSLASHndx] = ACTIONS(2669),
    [anon_sym_BSLASHpro] = ACTIONS(2669),
    [anon_sym_BSLASHrb] = ACTIONS(2669),
    [anon_sym_BSLASHw] = ACTIONS(2669),
    [anon_sym_BSLASHwg] = ACTIONS(2669),
    [anon_sym_BSLASHwh] = ACTIONS(2669),
    [anon_sym_BSLASHwa] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2669),
    [anon_sym_BSLASHfig] = ACTIONS(2669),
    [anon_sym_BSLASHjmp] = ACTIONS(2669),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2669),
    [anon_sym_BSLASHpb] = ACTIONS(2669),
    [anon_sym_BSLASH] = ACTIONS(2669),
    [sym_milestoneStartTag] = ACTIONS(2669),
    [sym_milestoneEndTag] = ACTIONS(2669),
    [sym_zSpaceTag] = ACTIONS(2669),
    [anon_sym_BSLASHesbe] = ACTIONS(2669),
    [anon_sym_BSLASHcat] = ACTIONS(2669),
  },
  [238] = {
    [aux_sym_text_token1] = ACTIONS(2671),
    [anon_sym_BSLASHref] = ACTIONS(2673),
    [anon_sym_BSLASHsts] = ACTIONS(2673),
    [anon_sym_BSLASHrem] = ACTIONS(2673),
    [anon_sym_BSLASHrestore] = ACTIONS(2673),
    [anon_sym_BSLASHlit] = ACTIONS(2673),
    [anon_sym_BSLASHiqt] = ACTIONS(2673),
    [anon_sym_BSLASHip] = ACTIONS(2673),
    [anon_sym_BSLASHv] = ACTIONS(2673),
    [anon_sym_BSLASHva] = ACTIONS(2673),
    [anon_sym_BSLASHvp] = ACTIONS(2673),
    [anon_sym_BSLASHmte] = ACTIONS(2673),
    [anon_sym_BSLASHms] = ACTIONS(2673),
    [anon_sym_BSLASHmr] = ACTIONS(2673),
    [anon_sym_BSLASHs] = ACTIONS(2673),
    [anon_sym_BSLASHsr] = ACTIONS(2673),
    [anon_sym_BSLASHr] = ACTIONS(2673),
    [anon_sym_BSLASHsp] = ACTIONS(2673),
    [anon_sym_BSLASHd] = ACTIONS(2673),
    [anon_sym_BSLASHsd] = ACTIONS(2673),
    [anon_sym_BSLASHp] = ACTIONS(2673),
    [anon_sym_BSLASHm] = ACTIONS(2673),
    [anon_sym_BSLASHpo] = ACTIONS(2673),
    [anon_sym_BSLASHpr] = ACTIONS(2673),
    [anon_sym_BSLASHcls] = ACTIONS(2673),
    [anon_sym_BSLASHpmo] = ACTIONS(2673),
    [anon_sym_BSLASHpm] = ACTIONS(2673),
    [anon_sym_BSLASHpmc] = ACTIONS(2673),
    [anon_sym_BSLASHpmr] = ACTIONS(2673),
    [anon_sym_BSLASHpi] = ACTIONS(2673),
    [anon_sym_BSLASHmi] = ACTIONS(2673),
    [anon_sym_BSLASHnb] = ACTIONS(2673),
    [anon_sym_BSLASHpc] = ACTIONS(2673),
    [anon_sym_BSLASHph] = ACTIONS(2673),
    [anon_sym_BSLASHb] = ACTIONS(2673),
    [anon_sym_BSLASHq] = ACTIONS(2673),
    [anon_sym_BSLASHqr] = ACTIONS(2673),
    [anon_sym_BSLASHqc] = ACTIONS(2673),
    [anon_sym_BSLASHqa] = ACTIONS(2673),
    [anon_sym_BSLASHqm] = ACTIONS(2673),
    [anon_sym_BSLASHqd] = ACTIONS(2673),
    [anon_sym_BSLASHlh] = ACTIONS(2673),
    [anon_sym_BSLASHlf] = ACTIONS(2673),
    [anon_sym_BSLASHli] = ACTIONS(2673),
    [anon_sym_BSLASHlim] = ACTIONS(2673),
    [anon_sym_BSLASHliv] = ACTIONS(2673),
    [anon_sym_BSLASHlik] = ACTIONS(2673),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHlitl] = ACTIONS(2673),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHtr] = ACTIONS(2673),
    [anon_sym_BSLASHf] = ACTIONS(2673),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfe] = ACTIONS(2673),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHef] = ACTIONS(2673),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfr] = ACTIONS(2673),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfq] = ACTIONS(2673),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfqa] = ACTIONS(2673),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfk] = ACTIONS(2673),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfl] = ACTIONS(2673),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfw] = ACTIONS(2673),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfp] = ACTIONS(2673),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHft] = ACTIONS(2673),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfdc] = ACTIONS(2673),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHfv] = ACTIONS(2673),
    [anon_sym_BSLASHfm] = ACTIONS(2673),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2673),
    [anon_sym_BSLASHx] = ACTIONS(2673),
    [anon_sym_BSLASHxt] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2673),
    [anon_sym_BSLASHrq] = ACTIONS(2673),
    [anon_sym_BSLASHadd] = ACTIONS(2673),
    [anon_sym_BSLASHbk] = ACTIONS(2673),
    [anon_sym_BSLASHdc] = ACTIONS(2673),
    [anon_sym_BSLASHk] = ACTIONS(2673),
    [anon_sym_BSLASHnd] = ACTIONS(2673),
    [anon_sym_BSLASHord] = ACTIONS(2673),
    [anon_sym_BSLASHpn] = ACTIONS(2673),
    [anon_sym_BSLASHpng] = ACTIONS(2673),
    [anon_sym_BSLASHaddpn] = ACTIONS(2673),
    [anon_sym_BSLASHqt] = ACTIONS(2673),
    [anon_sym_BSLASHsig] = ACTIONS(2673),
    [anon_sym_BSLASHsls] = ACTIONS(2673),
    [anon_sym_BSLASHtl] = ACTIONS(2673),
    [anon_sym_BSLASHwj] = ACTIONS(2673),
    [anon_sym_BSLASHem] = ACTIONS(2673),
    [anon_sym_BSLASHbd] = ACTIONS(2673),
    [anon_sym_BSLASHit] = ACTIONS(2673),
    [anon_sym_BSLASHbdit] = ACTIONS(2673),
    [anon_sym_BSLASHno] = ACTIONS(2673),
    [anon_sym_BSLASHsc] = ACTIONS(2673),
    [anon_sym_BSLASHsup] = ACTIONS(2673),
    [anon_sym_BSLASHndx] = ACTIONS(2673),
    [anon_sym_BSLASHpro] = ACTIONS(2673),
    [anon_sym_BSLASHrb] = ACTIONS(2673),
    [anon_sym_BSLASHw] = ACTIONS(2673),
    [anon_sym_BSLASHwg] = ACTIONS(2673),
    [anon_sym_BSLASHwh] = ACTIONS(2673),
    [anon_sym_BSLASHwa] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2673),
    [anon_sym_BSLASHfig] = ACTIONS(2673),
    [anon_sym_BSLASHjmp] = ACTIONS(2673),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2673),
    [anon_sym_BSLASHpb] = ACTIONS(2673),
    [anon_sym_BSLASH] = ACTIONS(2673),
    [sym_milestoneStartTag] = ACTIONS(2673),
    [sym_milestoneEndTag] = ACTIONS(2673),
    [sym_zSpaceTag] = ACTIONS(2673),
    [anon_sym_BSLASHesbe] = ACTIONS(2673),
    [anon_sym_BSLASHcat] = ACTIONS(2673),
  },
  [239] = {
    [aux_sym_text_token1] = ACTIONS(2675),
    [anon_sym_BSLASHref] = ACTIONS(2677),
    [anon_sym_BSLASHsts] = ACTIONS(2677),
    [anon_sym_BSLASHrem] = ACTIONS(2677),
    [anon_sym_BSLASHrestore] = ACTIONS(2677),
    [anon_sym_BSLASHlit] = ACTIONS(2677),
    [anon_sym_BSLASHiqt] = ACTIONS(2677),
    [anon_sym_BSLASHip] = ACTIONS(2677),
    [anon_sym_BSLASHv] = ACTIONS(2677),
    [anon_sym_BSLASHva] = ACTIONS(2677),
    [anon_sym_BSLASHvp] = ACTIONS(2677),
    [anon_sym_BSLASHmte] = ACTIONS(2677),
    [anon_sym_BSLASHms] = ACTIONS(2677),
    [anon_sym_BSLASHmr] = ACTIONS(2677),
    [anon_sym_BSLASHs] = ACTIONS(2677),
    [anon_sym_BSLASHsr] = ACTIONS(2677),
    [anon_sym_BSLASHr] = ACTIONS(2677),
    [anon_sym_BSLASHsp] = ACTIONS(2677),
    [anon_sym_BSLASHd] = ACTIONS(2677),
    [anon_sym_BSLASHsd] = ACTIONS(2677),
    [anon_sym_BSLASHp] = ACTIONS(2677),
    [anon_sym_BSLASHm] = ACTIONS(2677),
    [anon_sym_BSLASHpo] = ACTIONS(2677),
    [anon_sym_BSLASHpr] = ACTIONS(2677),
    [anon_sym_BSLASHcls] = ACTIONS(2677),
    [anon_sym_BSLASHpmo] = ACTIONS(2677),
    [anon_sym_BSLASHpm] = ACTIONS(2677),
    [anon_sym_BSLASHpmc] = ACTIONS(2677),
    [anon_sym_BSLASHpmr] = ACTIONS(2677),
    [anon_sym_BSLASHpi] = ACTIONS(2677),
    [anon_sym_BSLASHmi] = ACTIONS(2677),
    [anon_sym_BSLASHnb] = ACTIONS(2677),
    [anon_sym_BSLASHpc] = ACTIONS(2677),
    [anon_sym_BSLASHph] = ACTIONS(2677),
    [anon_sym_BSLASHb] = ACTIONS(2677),
    [anon_sym_BSLASHq] = ACTIONS(2677),
    [anon_sym_BSLASHqr] = ACTIONS(2677),
    [anon_sym_BSLASHqc] = ACTIONS(2677),
    [anon_sym_BSLASHqa] = ACTIONS(2677),
    [anon_sym_BSLASHqm] = ACTIONS(2677),
    [anon_sym_BSLASHqd] = ACTIONS(2677),
    [anon_sym_BSLASHlh] = ACTIONS(2677),
    [anon_sym_BSLASHlf] = ACTIONS(2677),
    [anon_sym_BSLASHli] = ACTIONS(2677),
    [anon_sym_BSLASHlim] = ACTIONS(2677),
    [anon_sym_BSLASHliv] = ACTIONS(2677),
    [anon_sym_BSLASHlik] = ACTIONS(2677),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHlitl] = ACTIONS(2677),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHtr] = ACTIONS(2677),
    [anon_sym_BSLASHf] = ACTIONS(2677),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfe] = ACTIONS(2677),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHef] = ACTIONS(2677),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfr] = ACTIONS(2677),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfq] = ACTIONS(2677),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfqa] = ACTIONS(2677),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfk] = ACTIONS(2677),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfl] = ACTIONS(2677),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfw] = ACTIONS(2677),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfp] = ACTIONS(2677),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHft] = ACTIONS(2677),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfdc] = ACTIONS(2677),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHfv] = ACTIONS(2677),
    [anon_sym_BSLASHfm] = ACTIONS(2677),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2677),
    [anon_sym_BSLASHx] = ACTIONS(2677),
    [anon_sym_BSLASHxt] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2677),
    [anon_sym_BSLASHrq] = ACTIONS(2677),
    [anon_sym_BSLASHadd] = ACTIONS(2677),
    [anon_sym_BSLASHbk] = ACTIONS(2677),
    [anon_sym_BSLASHdc] = ACTIONS(2677),
    [anon_sym_BSLASHk] = ACTIONS(2677),
    [anon_sym_BSLASHnd] = ACTIONS(2677),
    [anon_sym_BSLASHord] = ACTIONS(2677),
    [anon_sym_BSLASHpn] = ACTIONS(2677),
    [anon_sym_BSLASHpng] = ACTIONS(2677),
    [anon_sym_BSLASHaddpn] = ACTIONS(2677),
    [anon_sym_BSLASHqt] = ACTIONS(2677),
    [anon_sym_BSLASHsig] = ACTIONS(2677),
    [anon_sym_BSLASHsls] = ACTIONS(2677),
    [anon_sym_BSLASHtl] = ACTIONS(2677),
    [anon_sym_BSLASHwj] = ACTIONS(2677),
    [anon_sym_BSLASHem] = ACTIONS(2677),
    [anon_sym_BSLASHbd] = ACTIONS(2677),
    [anon_sym_BSLASHit] = ACTIONS(2677),
    [anon_sym_BSLASHbdit] = ACTIONS(2677),
    [anon_sym_BSLASHno] = ACTIONS(2677),
    [anon_sym_BSLASHsc] = ACTIONS(2677),
    [anon_sym_BSLASHsup] = ACTIONS(2677),
    [anon_sym_BSLASHndx] = ACTIONS(2677),
    [anon_sym_BSLASHpro] = ACTIONS(2677),
    [anon_sym_BSLASHrb] = ACTIONS(2677),
    [anon_sym_BSLASHw] = ACTIONS(2677),
    [anon_sym_BSLASHwg] = ACTIONS(2677),
    [anon_sym_BSLASHwh] = ACTIONS(2677),
    [anon_sym_BSLASHwa] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2677),
    [anon_sym_BSLASHfig] = ACTIONS(2677),
    [anon_sym_BSLASHjmp] = ACTIONS(2677),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2677),
    [anon_sym_BSLASHpb] = ACTIONS(2677),
    [anon_sym_BSLASH] = ACTIONS(2677),
    [sym_milestoneStartTag] = ACTIONS(2677),
    [sym_milestoneEndTag] = ACTIONS(2677),
    [sym_zSpaceTag] = ACTIONS(2677),
    [anon_sym_BSLASHesbe] = ACTIONS(2677),
    [anon_sym_BSLASHcat] = ACTIONS(2677),
  },
  [240] = {
    [aux_sym_text_token1] = ACTIONS(2679),
    [anon_sym_BSLASHref] = ACTIONS(2681),
    [anon_sym_BSLASHsts] = ACTIONS(2681),
    [anon_sym_BSLASHrem] = ACTIONS(2681),
    [anon_sym_BSLASHrestore] = ACTIONS(2681),
    [anon_sym_BSLASHlit] = ACTIONS(2681),
    [anon_sym_BSLASHiqt] = ACTIONS(2681),
    [anon_sym_BSLASHip] = ACTIONS(2681),
    [anon_sym_BSLASHv] = ACTIONS(2681),
    [anon_sym_BSLASHva] = ACTIONS(2681),
    [anon_sym_BSLASHvp] = ACTIONS(2681),
    [anon_sym_BSLASHmte] = ACTIONS(2681),
    [anon_sym_BSLASHms] = ACTIONS(2681),
    [anon_sym_BSLASHmr] = ACTIONS(2681),
    [anon_sym_BSLASHs] = ACTIONS(2681),
    [anon_sym_BSLASHsr] = ACTIONS(2681),
    [anon_sym_BSLASHr] = ACTIONS(2681),
    [anon_sym_BSLASHsp] = ACTIONS(2681),
    [anon_sym_BSLASHd] = ACTIONS(2681),
    [anon_sym_BSLASHsd] = ACTIONS(2681),
    [anon_sym_BSLASHp] = ACTIONS(2681),
    [anon_sym_BSLASHm] = ACTIONS(2681),
    [anon_sym_BSLASHpo] = ACTIONS(2681),
    [anon_sym_BSLASHpr] = ACTIONS(2681),
    [anon_sym_BSLASHcls] = ACTIONS(2681),
    [anon_sym_BSLASHpmo] = ACTIONS(2681),
    [anon_sym_BSLASHpm] = ACTIONS(2681),
    [anon_sym_BSLASHpmc] = ACTIONS(2681),
    [anon_sym_BSLASHpmr] = ACTIONS(2681),
    [anon_sym_BSLASHpi] = ACTIONS(2681),
    [anon_sym_BSLASHmi] = ACTIONS(2681),
    [anon_sym_BSLASHnb] = ACTIONS(2681),
    [anon_sym_BSLASHpc] = ACTIONS(2681),
    [anon_sym_BSLASHph] = ACTIONS(2681),
    [anon_sym_BSLASHb] = ACTIONS(2681),
    [anon_sym_BSLASHq] = ACTIONS(2681),
    [anon_sym_BSLASHqr] = ACTIONS(2681),
    [anon_sym_BSLASHqc] = ACTIONS(2681),
    [anon_sym_BSLASHqa] = ACTIONS(2681),
    [anon_sym_BSLASHqm] = ACTIONS(2681),
    [anon_sym_BSLASHqd] = ACTIONS(2681),
    [anon_sym_BSLASHlh] = ACTIONS(2681),
    [anon_sym_BSLASHlf] = ACTIONS(2681),
    [anon_sym_BSLASHli] = ACTIONS(2681),
    [anon_sym_BSLASHlim] = ACTIONS(2681),
    [anon_sym_BSLASHliv] = ACTIONS(2681),
    [anon_sym_BSLASHlik] = ACTIONS(2681),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHlitl] = ACTIONS(2681),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHtr] = ACTIONS(2681),
    [anon_sym_BSLASHf] = ACTIONS(2681),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfe] = ACTIONS(2681),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHef] = ACTIONS(2681),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfr] = ACTIONS(2681),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfq] = ACTIONS(2681),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfqa] = ACTIONS(2681),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfk] = ACTIONS(2681),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfl] = ACTIONS(2681),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfw] = ACTIONS(2681),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfp] = ACTIONS(2681),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHft] = ACTIONS(2681),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfdc] = ACTIONS(2681),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHfv] = ACTIONS(2681),
    [anon_sym_BSLASHfm] = ACTIONS(2681),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2681),
    [anon_sym_BSLASHx] = ACTIONS(2681),
    [anon_sym_BSLASHxt] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2681),
    [anon_sym_BSLASHrq] = ACTIONS(2681),
    [anon_sym_BSLASHadd] = ACTIONS(2681),
    [anon_sym_BSLASHbk] = ACTIONS(2681),
    [anon_sym_BSLASHdc] = ACTIONS(2681),
    [anon_sym_BSLASHk] = ACTIONS(2681),
    [anon_sym_BSLASHnd] = ACTIONS(2681),
    [anon_sym_BSLASHord] = ACTIONS(2681),
    [anon_sym_BSLASHpn] = ACTIONS(2681),
    [anon_sym_BSLASHpng] = ACTIONS(2681),
    [anon_sym_BSLASHaddpn] = ACTIONS(2681),
    [anon_sym_BSLASHqt] = ACTIONS(2681),
    [anon_sym_BSLASHsig] = ACTIONS(2681),
    [anon_sym_BSLASHsls] = ACTIONS(2681),
    [anon_sym_BSLASHtl] = ACTIONS(2681),
    [anon_sym_BSLASHwj] = ACTIONS(2681),
    [anon_sym_BSLASHem] = ACTIONS(2681),
    [anon_sym_BSLASHbd] = ACTIONS(2681),
    [anon_sym_BSLASHit] = ACTIONS(2681),
    [anon_sym_BSLASHbdit] = ACTIONS(2681),
    [anon_sym_BSLASHno] = ACTIONS(2681),
    [anon_sym_BSLASHsc] = ACTIONS(2681),
    [anon_sym_BSLASHsup] = ACTIONS(2681),
    [anon_sym_BSLASHndx] = ACTIONS(2681),
    [anon_sym_BSLASHpro] = ACTIONS(2681),
    [anon_sym_BSLASHrb] = ACTIONS(2681),
    [anon_sym_BSLASHw] = ACTIONS(2681),
    [anon_sym_BSLASHwg] = ACTIONS(2681),
    [anon_sym_BSLASHwh] = ACTIONS(2681),
    [anon_sym_BSLASHwa] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2681),
    [anon_sym_BSLASHfig] = ACTIONS(2681),
    [anon_sym_BSLASHjmp] = ACTIONS(2681),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2681),
    [anon_sym_BSLASHpb] = ACTIONS(2681),
    [anon_sym_BSLASH] = ACTIONS(2681),
    [sym_milestoneStartTag] = ACTIONS(2681),
    [sym_milestoneEndTag] = ACTIONS(2681),
    [sym_zSpaceTag] = ACTIONS(2681),
    [anon_sym_BSLASHesbe] = ACTIONS(2681),
    [anon_sym_BSLASHcat] = ACTIONS(2681),
  },
  [241] = {
    [aux_sym_text_token1] = ACTIONS(2683),
    [anon_sym_BSLASHref] = ACTIONS(2685),
    [anon_sym_BSLASHsts] = ACTIONS(2685),
    [anon_sym_BSLASHrem] = ACTIONS(2685),
    [anon_sym_BSLASHrestore] = ACTIONS(2685),
    [anon_sym_BSLASHlit] = ACTIONS(2685),
    [anon_sym_BSLASHiqt] = ACTIONS(2685),
    [anon_sym_BSLASHip] = ACTIONS(2685),
    [anon_sym_BSLASHv] = ACTIONS(2685),
    [anon_sym_BSLASHva] = ACTIONS(2685),
    [anon_sym_BSLASHvp] = ACTIONS(2685),
    [anon_sym_BSLASHmte] = ACTIONS(2685),
    [anon_sym_BSLASHms] = ACTIONS(2685),
    [anon_sym_BSLASHmr] = ACTIONS(2685),
    [anon_sym_BSLASHs] = ACTIONS(2685),
    [anon_sym_BSLASHsr] = ACTIONS(2685),
    [anon_sym_BSLASHr] = ACTIONS(2685),
    [anon_sym_BSLASHsp] = ACTIONS(2685),
    [anon_sym_BSLASHd] = ACTIONS(2685),
    [anon_sym_BSLASHsd] = ACTIONS(2685),
    [anon_sym_BSLASHp] = ACTIONS(2685),
    [anon_sym_BSLASHm] = ACTIONS(2685),
    [anon_sym_BSLASHpo] = ACTIONS(2685),
    [anon_sym_BSLASHpr] = ACTIONS(2685),
    [anon_sym_BSLASHcls] = ACTIONS(2685),
    [anon_sym_BSLASHpmo] = ACTIONS(2685),
    [anon_sym_BSLASHpm] = ACTIONS(2685),
    [anon_sym_BSLASHpmc] = ACTIONS(2685),
    [anon_sym_BSLASHpmr] = ACTIONS(2685),
    [anon_sym_BSLASHpi] = ACTIONS(2685),
    [anon_sym_BSLASHmi] = ACTIONS(2685),
    [anon_sym_BSLASHnb] = ACTIONS(2685),
    [anon_sym_BSLASHpc] = ACTIONS(2685),
    [anon_sym_BSLASHph] = ACTIONS(2685),
    [anon_sym_BSLASHb] = ACTIONS(2685),
    [anon_sym_BSLASHq] = ACTIONS(2685),
    [anon_sym_BSLASHqr] = ACTIONS(2685),
    [anon_sym_BSLASHqc] = ACTIONS(2685),
    [anon_sym_BSLASHqa] = ACTIONS(2685),
    [anon_sym_BSLASHqm] = ACTIONS(2685),
    [anon_sym_BSLASHqd] = ACTIONS(2685),
    [anon_sym_BSLASHlh] = ACTIONS(2685),
    [anon_sym_BSLASHlf] = ACTIONS(2685),
    [anon_sym_BSLASHli] = ACTIONS(2685),
    [anon_sym_BSLASHlim] = ACTIONS(2685),
    [anon_sym_BSLASHliv] = ACTIONS(2685),
    [anon_sym_BSLASHlik] = ACTIONS(2685),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHlitl] = ACTIONS(2685),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHtr] = ACTIONS(2685),
    [anon_sym_BSLASHf] = ACTIONS(2685),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfe] = ACTIONS(2685),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHef] = ACTIONS(2685),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfr] = ACTIONS(2685),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfq] = ACTIONS(2685),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfqa] = ACTIONS(2685),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfk] = ACTIONS(2685),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfl] = ACTIONS(2685),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfw] = ACTIONS(2685),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfp] = ACTIONS(2685),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHft] = ACTIONS(2685),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfdc] = ACTIONS(2685),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHfv] = ACTIONS(2685),
    [anon_sym_BSLASHfm] = ACTIONS(2685),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2685),
    [anon_sym_BSLASHx] = ACTIONS(2685),
    [anon_sym_BSLASHxt] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2685),
    [anon_sym_BSLASHrq] = ACTIONS(2685),
    [anon_sym_BSLASHadd] = ACTIONS(2685),
    [anon_sym_BSLASHbk] = ACTIONS(2685),
    [anon_sym_BSLASHdc] = ACTIONS(2685),
    [anon_sym_BSLASHk] = ACTIONS(2685),
    [anon_sym_BSLASHnd] = ACTIONS(2685),
    [anon_sym_BSLASHord] = ACTIONS(2685),
    [anon_sym_BSLASHpn] = ACTIONS(2685),
    [anon_sym_BSLASHpng] = ACTIONS(2685),
    [anon_sym_BSLASHaddpn] = ACTIONS(2685),
    [anon_sym_BSLASHqt] = ACTIONS(2685),
    [anon_sym_BSLASHsig] = ACTIONS(2685),
    [anon_sym_BSLASHsls] = ACTIONS(2685),
    [anon_sym_BSLASHtl] = ACTIONS(2685),
    [anon_sym_BSLASHwj] = ACTIONS(2685),
    [anon_sym_BSLASHem] = ACTIONS(2685),
    [anon_sym_BSLASHbd] = ACTIONS(2685),
    [anon_sym_BSLASHit] = ACTIONS(2685),
    [anon_sym_BSLASHbdit] = ACTIONS(2685),
    [anon_sym_BSLASHno] = ACTIONS(2685),
    [anon_sym_BSLASHsc] = ACTIONS(2685),
    [anon_sym_BSLASHsup] = ACTIONS(2685),
    [anon_sym_BSLASHndx] = ACTIONS(2685),
    [anon_sym_BSLASHpro] = ACTIONS(2685),
    [anon_sym_BSLASHrb] = ACTIONS(2685),
    [anon_sym_BSLASHw] = ACTIONS(2685),
    [anon_sym_BSLASHwg] = ACTIONS(2685),
    [anon_sym_BSLASHwh] = ACTIONS(2685),
    [anon_sym_BSLASHwa] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2685),
    [anon_sym_BSLASHfig] = ACTIONS(2685),
    [anon_sym_BSLASHjmp] = ACTIONS(2685),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2685),
    [anon_sym_BSLASHpb] = ACTIONS(2685),
    [anon_sym_BSLASH] = ACTIONS(2685),
    [sym_milestoneStartTag] = ACTIONS(2685),
    [sym_milestoneEndTag] = ACTIONS(2685),
    [sym_zSpaceTag] = ACTIONS(2685),
    [anon_sym_BSLASHesbe] = ACTIONS(2685),
    [anon_sym_BSLASHcat] = ACTIONS(2685),
  },
  [242] = {
    [aux_sym_text_token1] = ACTIONS(2687),
    [anon_sym_BSLASHref] = ACTIONS(2689),
    [anon_sym_BSLASHsts] = ACTIONS(2689),
    [anon_sym_BSLASHrem] = ACTIONS(2689),
    [anon_sym_BSLASHrestore] = ACTIONS(2689),
    [anon_sym_BSLASHlit] = ACTIONS(2689),
    [anon_sym_BSLASHiqt] = ACTIONS(2689),
    [anon_sym_BSLASHip] = ACTIONS(2689),
    [anon_sym_BSLASHv] = ACTIONS(2689),
    [anon_sym_BSLASHva] = ACTIONS(2689),
    [anon_sym_BSLASHvp] = ACTIONS(2689),
    [anon_sym_BSLASHmte] = ACTIONS(2689),
    [anon_sym_BSLASHms] = ACTIONS(2689),
    [anon_sym_BSLASHmr] = ACTIONS(2689),
    [anon_sym_BSLASHs] = ACTIONS(2689),
    [anon_sym_BSLASHsr] = ACTIONS(2689),
    [anon_sym_BSLASHr] = ACTIONS(2689),
    [anon_sym_BSLASHsp] = ACTIONS(2689),
    [anon_sym_BSLASHd] = ACTIONS(2689),
    [anon_sym_BSLASHsd] = ACTIONS(2689),
    [anon_sym_BSLASHp] = ACTIONS(2689),
    [anon_sym_BSLASHm] = ACTIONS(2689),
    [anon_sym_BSLASHpo] = ACTIONS(2689),
    [anon_sym_BSLASHpr] = ACTIONS(2689),
    [anon_sym_BSLASHcls] = ACTIONS(2689),
    [anon_sym_BSLASHpmo] = ACTIONS(2689),
    [anon_sym_BSLASHpm] = ACTIONS(2689),
    [anon_sym_BSLASHpmc] = ACTIONS(2689),
    [anon_sym_BSLASHpmr] = ACTIONS(2689),
    [anon_sym_BSLASHpi] = ACTIONS(2689),
    [anon_sym_BSLASHmi] = ACTIONS(2689),
    [anon_sym_BSLASHnb] = ACTIONS(2689),
    [anon_sym_BSLASHpc] = ACTIONS(2689),
    [anon_sym_BSLASHph] = ACTIONS(2689),
    [anon_sym_BSLASHb] = ACTIONS(2689),
    [anon_sym_BSLASHq] = ACTIONS(2689),
    [anon_sym_BSLASHqr] = ACTIONS(2689),
    [anon_sym_BSLASHqc] = ACTIONS(2689),
    [anon_sym_BSLASHqa] = ACTIONS(2689),
    [anon_sym_BSLASHqm] = ACTIONS(2689),
    [anon_sym_BSLASHqd] = ACTIONS(2689),
    [anon_sym_BSLASHlh] = ACTIONS(2689),
    [anon_sym_BSLASHlf] = ACTIONS(2689),
    [anon_sym_BSLASHli] = ACTIONS(2689),
    [anon_sym_BSLASHlim] = ACTIONS(2689),
    [anon_sym_BSLASHliv] = ACTIONS(2689),
    [anon_sym_BSLASHlik] = ACTIONS(2689),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHlitl] = ACTIONS(2689),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHtr] = ACTIONS(2689),
    [anon_sym_BSLASHf] = ACTIONS(2689),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfe] = ACTIONS(2689),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHef] = ACTIONS(2689),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfr] = ACTIONS(2689),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfq] = ACTIONS(2689),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfqa] = ACTIONS(2689),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfk] = ACTIONS(2689),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfl] = ACTIONS(2689),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfw] = ACTIONS(2689),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfp] = ACTIONS(2689),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHft] = ACTIONS(2689),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfdc] = ACTIONS(2689),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHfv] = ACTIONS(2689),
    [anon_sym_BSLASHfm] = ACTIONS(2689),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2689),
    [anon_sym_BSLASHx] = ACTIONS(2689),
    [anon_sym_BSLASHxt] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2689),
    [anon_sym_BSLASHrq] = ACTIONS(2689),
    [anon_sym_BSLASHadd] = ACTIONS(2689),
    [anon_sym_BSLASHbk] = ACTIONS(2689),
    [anon_sym_BSLASHdc] = ACTIONS(2689),
    [anon_sym_BSLASHk] = ACTIONS(2689),
    [anon_sym_BSLASHnd] = ACTIONS(2689),
    [anon_sym_BSLASHord] = ACTIONS(2689),
    [anon_sym_BSLASHpn] = ACTIONS(2689),
    [anon_sym_BSLASHpng] = ACTIONS(2689),
    [anon_sym_BSLASHaddpn] = ACTIONS(2689),
    [anon_sym_BSLASHqt] = ACTIONS(2689),
    [anon_sym_BSLASHsig] = ACTIONS(2689),
    [anon_sym_BSLASHsls] = ACTIONS(2689),
    [anon_sym_BSLASHtl] = ACTIONS(2689),
    [anon_sym_BSLASHwj] = ACTIONS(2689),
    [anon_sym_BSLASHem] = ACTIONS(2689),
    [anon_sym_BSLASHbd] = ACTIONS(2689),
    [anon_sym_BSLASHit] = ACTIONS(2689),
    [anon_sym_BSLASHbdit] = ACTIONS(2689),
    [anon_sym_BSLASHno] = ACTIONS(2689),
    [anon_sym_BSLASHsc] = ACTIONS(2689),
    [anon_sym_BSLASHsup] = ACTIONS(2689),
    [anon_sym_BSLASHndx] = ACTIONS(2689),
    [anon_sym_BSLASHpro] = ACTIONS(2689),
    [anon_sym_BSLASHrb] = ACTIONS(2689),
    [anon_sym_BSLASHw] = ACTIONS(2689),
    [anon_sym_BSLASHwg] = ACTIONS(2689),
    [anon_sym_BSLASHwh] = ACTIONS(2689),
    [anon_sym_BSLASHwa] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2689),
    [anon_sym_BSLASHfig] = ACTIONS(2689),
    [anon_sym_BSLASHjmp] = ACTIONS(2689),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2689),
    [anon_sym_BSLASHpb] = ACTIONS(2689),
    [anon_sym_BSLASH] = ACTIONS(2689),
    [sym_milestoneStartTag] = ACTIONS(2689),
    [sym_milestoneEndTag] = ACTIONS(2689),
    [sym_zSpaceTag] = ACTIONS(2689),
    [anon_sym_BSLASHesbe] = ACTIONS(2689),
    [anon_sym_BSLASHcat] = ACTIONS(2689),
  },
  [243] = {
    [aux_sym_text_token1] = ACTIONS(2691),
    [anon_sym_BSLASHref] = ACTIONS(2693),
    [anon_sym_BSLASHsts] = ACTIONS(2693),
    [anon_sym_BSLASHrem] = ACTIONS(2693),
    [anon_sym_BSLASHrestore] = ACTIONS(2693),
    [anon_sym_BSLASHlit] = ACTIONS(2693),
    [anon_sym_BSLASHiqt] = ACTIONS(2693),
    [anon_sym_BSLASHip] = ACTIONS(2693),
    [anon_sym_BSLASHv] = ACTIONS(2693),
    [anon_sym_BSLASHva] = ACTIONS(2693),
    [anon_sym_BSLASHvp] = ACTIONS(2693),
    [anon_sym_BSLASHmte] = ACTIONS(2693),
    [anon_sym_BSLASHms] = ACTIONS(2693),
    [anon_sym_BSLASHmr] = ACTIONS(2693),
    [anon_sym_BSLASHs] = ACTIONS(2693),
    [anon_sym_BSLASHsr] = ACTIONS(2693),
    [anon_sym_BSLASHr] = ACTIONS(2693),
    [anon_sym_BSLASHsp] = ACTIONS(2693),
    [anon_sym_BSLASHd] = ACTIONS(2693),
    [anon_sym_BSLASHsd] = ACTIONS(2693),
    [anon_sym_BSLASHp] = ACTIONS(2693),
    [anon_sym_BSLASHm] = ACTIONS(2693),
    [anon_sym_BSLASHpo] = ACTIONS(2693),
    [anon_sym_BSLASHpr] = ACTIONS(2693),
    [anon_sym_BSLASHcls] = ACTIONS(2693),
    [anon_sym_BSLASHpmo] = ACTIONS(2693),
    [anon_sym_BSLASHpm] = ACTIONS(2693),
    [anon_sym_BSLASHpmc] = ACTIONS(2693),
    [anon_sym_BSLASHpmr] = ACTIONS(2693),
    [anon_sym_BSLASHpi] = ACTIONS(2693),
    [anon_sym_BSLASHmi] = ACTIONS(2693),
    [anon_sym_BSLASHnb] = ACTIONS(2693),
    [anon_sym_BSLASHpc] = ACTIONS(2693),
    [anon_sym_BSLASHph] = ACTIONS(2693),
    [anon_sym_BSLASHb] = ACTIONS(2693),
    [anon_sym_BSLASHq] = ACTIONS(2693),
    [anon_sym_BSLASHqr] = ACTIONS(2693),
    [anon_sym_BSLASHqc] = ACTIONS(2693),
    [anon_sym_BSLASHqa] = ACTIONS(2693),
    [anon_sym_BSLASHqm] = ACTIONS(2693),
    [anon_sym_BSLASHqd] = ACTIONS(2693),
    [anon_sym_BSLASHlh] = ACTIONS(2693),
    [anon_sym_BSLASHlf] = ACTIONS(2693),
    [anon_sym_BSLASHli] = ACTIONS(2693),
    [anon_sym_BSLASHlim] = ACTIONS(2693),
    [anon_sym_BSLASHliv] = ACTIONS(2693),
    [anon_sym_BSLASHlik] = ACTIONS(2693),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHlitl] = ACTIONS(2693),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHtr] = ACTIONS(2693),
    [anon_sym_BSLASHf] = ACTIONS(2693),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfe] = ACTIONS(2693),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHef] = ACTIONS(2693),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfr] = ACTIONS(2693),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfq] = ACTIONS(2693),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfqa] = ACTIONS(2693),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfk] = ACTIONS(2693),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfl] = ACTIONS(2693),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfw] = ACTIONS(2693),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfp] = ACTIONS(2693),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHft] = ACTIONS(2693),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfdc] = ACTIONS(2693),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHfv] = ACTIONS(2693),
    [anon_sym_BSLASHfm] = ACTIONS(2693),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2693),
    [anon_sym_BSLASHx] = ACTIONS(2693),
    [anon_sym_BSLASHxt] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2693),
    [anon_sym_BSLASHrq] = ACTIONS(2693),
    [anon_sym_BSLASHadd] = ACTIONS(2693),
    [anon_sym_BSLASHbk] = ACTIONS(2693),
    [anon_sym_BSLASHdc] = ACTIONS(2693),
    [anon_sym_BSLASHk] = ACTIONS(2693),
    [anon_sym_BSLASHnd] = ACTIONS(2693),
    [anon_sym_BSLASHord] = ACTIONS(2693),
    [anon_sym_BSLASHpn] = ACTIONS(2693),
    [anon_sym_BSLASHpng] = ACTIONS(2693),
    [anon_sym_BSLASHaddpn] = ACTIONS(2693),
    [anon_sym_BSLASHqt] = ACTIONS(2693),
    [anon_sym_BSLASHsig] = ACTIONS(2693),
    [anon_sym_BSLASHsls] = ACTIONS(2693),
    [anon_sym_BSLASHtl] = ACTIONS(2693),
    [anon_sym_BSLASHwj] = ACTIONS(2693),
    [anon_sym_BSLASHem] = ACTIONS(2693),
    [anon_sym_BSLASHbd] = ACTIONS(2693),
    [anon_sym_BSLASHit] = ACTIONS(2693),
    [anon_sym_BSLASHbdit] = ACTIONS(2693),
    [anon_sym_BSLASHno] = ACTIONS(2693),
    [anon_sym_BSLASHsc] = ACTIONS(2693),
    [anon_sym_BSLASHsup] = ACTIONS(2693),
    [anon_sym_BSLASHndx] = ACTIONS(2693),
    [anon_sym_BSLASHpro] = ACTIONS(2693),
    [anon_sym_BSLASHrb] = ACTIONS(2693),
    [anon_sym_BSLASHw] = ACTIONS(2693),
    [anon_sym_BSLASHwg] = ACTIONS(2693),
    [anon_sym_BSLASHwh] = ACTIONS(2693),
    [anon_sym_BSLASHwa] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2693),
    [anon_sym_BSLASHfig] = ACTIONS(2693),
    [anon_sym_BSLASHjmp] = ACTIONS(2693),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2693),
    [anon_sym_BSLASHpb] = ACTIONS(2693),
    [anon_sym_BSLASH] = ACTIONS(2693),
    [sym_milestoneStartTag] = ACTIONS(2693),
    [sym_milestoneEndTag] = ACTIONS(2693),
    [sym_zSpaceTag] = ACTIONS(2693),
    [anon_sym_BSLASHesbe] = ACTIONS(2693),
    [anon_sym_BSLASHcat] = ACTIONS(2693),
  },
  [244] = {
    [aux_sym_text_token1] = ACTIONS(2695),
    [anon_sym_BSLASHref] = ACTIONS(2697),
    [anon_sym_BSLASHsts] = ACTIONS(2697),
    [anon_sym_BSLASHrem] = ACTIONS(2697),
    [anon_sym_BSLASHrestore] = ACTIONS(2697),
    [anon_sym_BSLASHlit] = ACTIONS(2697),
    [anon_sym_BSLASHiqt] = ACTIONS(2697),
    [anon_sym_BSLASHip] = ACTIONS(2697),
    [anon_sym_BSLASHv] = ACTIONS(2697),
    [anon_sym_BSLASHva] = ACTIONS(2697),
    [anon_sym_BSLASHvp] = ACTIONS(2697),
    [anon_sym_BSLASHmte] = ACTIONS(2697),
    [anon_sym_BSLASHms] = ACTIONS(2697),
    [anon_sym_BSLASHmr] = ACTIONS(2697),
    [anon_sym_BSLASHs] = ACTIONS(2697),
    [anon_sym_BSLASHsr] = ACTIONS(2697),
    [anon_sym_BSLASHr] = ACTIONS(2697),
    [anon_sym_BSLASHsp] = ACTIONS(2697),
    [anon_sym_BSLASHd] = ACTIONS(2697),
    [anon_sym_BSLASHsd] = ACTIONS(2697),
    [anon_sym_BSLASHp] = ACTIONS(2697),
    [anon_sym_BSLASHm] = ACTIONS(2697),
    [anon_sym_BSLASHpo] = ACTIONS(2697),
    [anon_sym_BSLASHpr] = ACTIONS(2697),
    [anon_sym_BSLASHcls] = ACTIONS(2697),
    [anon_sym_BSLASHpmo] = ACTIONS(2697),
    [anon_sym_BSLASHpm] = ACTIONS(2697),
    [anon_sym_BSLASHpmc] = ACTIONS(2697),
    [anon_sym_BSLASHpmr] = ACTIONS(2697),
    [anon_sym_BSLASHpi] = ACTIONS(2697),
    [anon_sym_BSLASHmi] = ACTIONS(2697),
    [anon_sym_BSLASHnb] = ACTIONS(2697),
    [anon_sym_BSLASHpc] = ACTIONS(2697),
    [anon_sym_BSLASHph] = ACTIONS(2697),
    [anon_sym_BSLASHb] = ACTIONS(2697),
    [anon_sym_BSLASHq] = ACTIONS(2697),
    [anon_sym_BSLASHqr] = ACTIONS(2697),
    [anon_sym_BSLASHqc] = ACTIONS(2697),
    [anon_sym_BSLASHqa] = ACTIONS(2697),
    [anon_sym_BSLASHqm] = ACTIONS(2697),
    [anon_sym_BSLASHqd] = ACTIONS(2697),
    [anon_sym_BSLASHlh] = ACTIONS(2697),
    [anon_sym_BSLASHlf] = ACTIONS(2697),
    [anon_sym_BSLASHli] = ACTIONS(2697),
    [anon_sym_BSLASHlim] = ACTIONS(2697),
    [anon_sym_BSLASHliv] = ACTIONS(2697),
    [anon_sym_BSLASHlik] = ACTIONS(2697),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHlitl] = ACTIONS(2697),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHtr] = ACTIONS(2697),
    [anon_sym_BSLASHf] = ACTIONS(2697),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfe] = ACTIONS(2697),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHef] = ACTIONS(2697),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfr] = ACTIONS(2697),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfq] = ACTIONS(2697),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfqa] = ACTIONS(2697),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfk] = ACTIONS(2697),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfl] = ACTIONS(2697),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfw] = ACTIONS(2697),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfp] = ACTIONS(2697),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHft] = ACTIONS(2697),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfdc] = ACTIONS(2697),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHfv] = ACTIONS(2697),
    [anon_sym_BSLASHfm] = ACTIONS(2697),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2697),
    [anon_sym_BSLASHx] = ACTIONS(2697),
    [anon_sym_BSLASHxt] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2697),
    [anon_sym_BSLASHrq] = ACTIONS(2697),
    [anon_sym_BSLASHadd] = ACTIONS(2697),
    [anon_sym_BSLASHbk] = ACTIONS(2697),
    [anon_sym_BSLASHdc] = ACTIONS(2697),
    [anon_sym_BSLASHk] = ACTIONS(2697),
    [anon_sym_BSLASHnd] = ACTIONS(2697),
    [anon_sym_BSLASHord] = ACTIONS(2697),
    [anon_sym_BSLASHpn] = ACTIONS(2697),
    [anon_sym_BSLASHpng] = ACTIONS(2697),
    [anon_sym_BSLASHaddpn] = ACTIONS(2697),
    [anon_sym_BSLASHqt] = ACTIONS(2697),
    [anon_sym_BSLASHsig] = ACTIONS(2697),
    [anon_sym_BSLASHsls] = ACTIONS(2697),
    [anon_sym_BSLASHtl] = ACTIONS(2697),
    [anon_sym_BSLASHwj] = ACTIONS(2697),
    [anon_sym_BSLASHem] = ACTIONS(2697),
    [anon_sym_BSLASHbd] = ACTIONS(2697),
    [anon_sym_BSLASHit] = ACTIONS(2697),
    [anon_sym_BSLASHbdit] = ACTIONS(2697),
    [anon_sym_BSLASHno] = ACTIONS(2697),
    [anon_sym_BSLASHsc] = ACTIONS(2697),
    [anon_sym_BSLASHsup] = ACTIONS(2697),
    [anon_sym_BSLASHndx] = ACTIONS(2697),
    [anon_sym_BSLASHpro] = ACTIONS(2697),
    [anon_sym_BSLASHrb] = ACTIONS(2697),
    [anon_sym_BSLASHw] = ACTIONS(2697),
    [anon_sym_BSLASHwg] = ACTIONS(2697),
    [anon_sym_BSLASHwh] = ACTIONS(2697),
    [anon_sym_BSLASHwa] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2697),
    [anon_sym_BSLASHfig] = ACTIONS(2697),
    [anon_sym_BSLASHjmp] = ACTIONS(2697),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2697),
    [anon_sym_BSLASHpb] = ACTIONS(2697),
    [anon_sym_BSLASH] = ACTIONS(2697),
    [sym_milestoneStartTag] = ACTIONS(2697),
    [sym_milestoneEndTag] = ACTIONS(2697),
    [sym_zSpaceTag] = ACTIONS(2697),
    [anon_sym_BSLASHesbe] = ACTIONS(2697),
    [anon_sym_BSLASHcat] = ACTIONS(2697),
  },
  [245] = {
    [aux_sym_text_token1] = ACTIONS(2699),
    [anon_sym_BSLASHref] = ACTIONS(2701),
    [anon_sym_BSLASHsts] = ACTIONS(2701),
    [anon_sym_BSLASHrem] = ACTIONS(2701),
    [anon_sym_BSLASHrestore] = ACTIONS(2701),
    [anon_sym_BSLASHlit] = ACTIONS(2701),
    [anon_sym_BSLASHiqt] = ACTIONS(2701),
    [anon_sym_BSLASHip] = ACTIONS(2701),
    [anon_sym_BSLASHv] = ACTIONS(2701),
    [anon_sym_BSLASHva] = ACTIONS(2701),
    [anon_sym_BSLASHvp] = ACTIONS(2701),
    [anon_sym_BSLASHmte] = ACTIONS(2701),
    [anon_sym_BSLASHms] = ACTIONS(2701),
    [anon_sym_BSLASHmr] = ACTIONS(2701),
    [anon_sym_BSLASHs] = ACTIONS(2701),
    [anon_sym_BSLASHsr] = ACTIONS(2701),
    [anon_sym_BSLASHr] = ACTIONS(2701),
    [anon_sym_BSLASHsp] = ACTIONS(2701),
    [anon_sym_BSLASHd] = ACTIONS(2701),
    [anon_sym_BSLASHsd] = ACTIONS(2701),
    [anon_sym_BSLASHp] = ACTIONS(2701),
    [anon_sym_BSLASHm] = ACTIONS(2701),
    [anon_sym_BSLASHpo] = ACTIONS(2701),
    [anon_sym_BSLASHpr] = ACTIONS(2701),
    [anon_sym_BSLASHcls] = ACTIONS(2701),
    [anon_sym_BSLASHpmo] = ACTIONS(2701),
    [anon_sym_BSLASHpm] = ACTIONS(2701),
    [anon_sym_BSLASHpmc] = ACTIONS(2701),
    [anon_sym_BSLASHpmr] = ACTIONS(2701),
    [anon_sym_BSLASHpi] = ACTIONS(2701),
    [anon_sym_BSLASHmi] = ACTIONS(2701),
    [anon_sym_BSLASHnb] = ACTIONS(2701),
    [anon_sym_BSLASHpc] = ACTIONS(2701),
    [anon_sym_BSLASHph] = ACTIONS(2701),
    [anon_sym_BSLASHb] = ACTIONS(2701),
    [anon_sym_BSLASHq] = ACTIONS(2701),
    [anon_sym_BSLASHqr] = ACTIONS(2701),
    [anon_sym_BSLASHqc] = ACTIONS(2701),
    [anon_sym_BSLASHqa] = ACTIONS(2701),
    [anon_sym_BSLASHqm] = ACTIONS(2701),
    [anon_sym_BSLASHqd] = ACTIONS(2701),
    [anon_sym_BSLASHlh] = ACTIONS(2701),
    [anon_sym_BSLASHlf] = ACTIONS(2701),
    [anon_sym_BSLASHli] = ACTIONS(2701),
    [anon_sym_BSLASHlim] = ACTIONS(2701),
    [anon_sym_BSLASHliv] = ACTIONS(2701),
    [anon_sym_BSLASHlik] = ACTIONS(2701),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHlitl] = ACTIONS(2701),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHtr] = ACTIONS(2701),
    [anon_sym_BSLASHf] = ACTIONS(2701),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfe] = ACTIONS(2701),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHef] = ACTIONS(2701),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfr] = ACTIONS(2701),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfq] = ACTIONS(2701),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfqa] = ACTIONS(2701),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfk] = ACTIONS(2701),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfl] = ACTIONS(2701),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfw] = ACTIONS(2701),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfp] = ACTIONS(2701),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHft] = ACTIONS(2701),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfdc] = ACTIONS(2701),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHfv] = ACTIONS(2701),
    [anon_sym_BSLASHfm] = ACTIONS(2701),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2701),
    [anon_sym_BSLASHx] = ACTIONS(2701),
    [anon_sym_BSLASHxt] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2701),
    [anon_sym_BSLASHrq] = ACTIONS(2701),
    [anon_sym_BSLASHadd] = ACTIONS(2701),
    [anon_sym_BSLASHbk] = ACTIONS(2701),
    [anon_sym_BSLASHdc] = ACTIONS(2701),
    [anon_sym_BSLASHk] = ACTIONS(2701),
    [anon_sym_BSLASHnd] = ACTIONS(2701),
    [anon_sym_BSLASHord] = ACTIONS(2701),
    [anon_sym_BSLASHpn] = ACTIONS(2701),
    [anon_sym_BSLASHpng] = ACTIONS(2701),
    [anon_sym_BSLASHaddpn] = ACTIONS(2701),
    [anon_sym_BSLASHqt] = ACTIONS(2701),
    [anon_sym_BSLASHsig] = ACTIONS(2701),
    [anon_sym_BSLASHsls] = ACTIONS(2701),
    [anon_sym_BSLASHtl] = ACTIONS(2701),
    [anon_sym_BSLASHwj] = ACTIONS(2701),
    [anon_sym_BSLASHem] = ACTIONS(2701),
    [anon_sym_BSLASHbd] = ACTIONS(2701),
    [anon_sym_BSLASHit] = ACTIONS(2701),
    [anon_sym_BSLASHbdit] = ACTIONS(2701),
    [anon_sym_BSLASHno] = ACTIONS(2701),
    [anon_sym_BSLASHsc] = ACTIONS(2701),
    [anon_sym_BSLASHsup] = ACTIONS(2701),
    [anon_sym_BSLASHndx] = ACTIONS(2701),
    [anon_sym_BSLASHpro] = ACTIONS(2701),
    [anon_sym_BSLASHrb] = ACTIONS(2701),
    [anon_sym_BSLASHw] = ACTIONS(2701),
    [anon_sym_BSLASHwg] = ACTIONS(2701),
    [anon_sym_BSLASHwh] = ACTIONS(2701),
    [anon_sym_BSLASHwa] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2701),
    [anon_sym_BSLASHfig] = ACTIONS(2701),
    [anon_sym_BSLASHjmp] = ACTIONS(2701),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2701),
    [anon_sym_BSLASHpb] = ACTIONS(2701),
    [anon_sym_BSLASH] = ACTIONS(2701),
    [sym_milestoneStartTag] = ACTIONS(2701),
    [sym_milestoneEndTag] = ACTIONS(2701),
    [sym_zSpaceTag] = ACTIONS(2701),
    [anon_sym_BSLASHesbe] = ACTIONS(2701),
    [anon_sym_BSLASHcat] = ACTIONS(2701),
  },
  [246] = {
    [aux_sym_text_token1] = ACTIONS(2703),
    [anon_sym_BSLASHref] = ACTIONS(2705),
    [anon_sym_BSLASHsts] = ACTIONS(2705),
    [anon_sym_BSLASHrem] = ACTIONS(2705),
    [anon_sym_BSLASHrestore] = ACTIONS(2705),
    [anon_sym_BSLASHlit] = ACTIONS(2705),
    [anon_sym_BSLASHiqt] = ACTIONS(2705),
    [anon_sym_BSLASHip] = ACTIONS(2705),
    [anon_sym_BSLASHv] = ACTIONS(2705),
    [anon_sym_BSLASHva] = ACTIONS(2705),
    [anon_sym_BSLASHvp] = ACTIONS(2705),
    [anon_sym_BSLASHmte] = ACTIONS(2705),
    [anon_sym_BSLASHms] = ACTIONS(2705),
    [anon_sym_BSLASHmr] = ACTIONS(2705),
    [anon_sym_BSLASHs] = ACTIONS(2705),
    [anon_sym_BSLASHsr] = ACTIONS(2705),
    [anon_sym_BSLASHr] = ACTIONS(2705),
    [anon_sym_BSLASHsp] = ACTIONS(2705),
    [anon_sym_BSLASHd] = ACTIONS(2705),
    [anon_sym_BSLASHsd] = ACTIONS(2705),
    [anon_sym_BSLASHp] = ACTIONS(2705),
    [anon_sym_BSLASHm] = ACTIONS(2705),
    [anon_sym_BSLASHpo] = ACTIONS(2705),
    [anon_sym_BSLASHpr] = ACTIONS(2705),
    [anon_sym_BSLASHcls] = ACTIONS(2705),
    [anon_sym_BSLASHpmo] = ACTIONS(2705),
    [anon_sym_BSLASHpm] = ACTIONS(2705),
    [anon_sym_BSLASHpmc] = ACTIONS(2705),
    [anon_sym_BSLASHpmr] = ACTIONS(2705),
    [anon_sym_BSLASHpi] = ACTIONS(2705),
    [anon_sym_BSLASHmi] = ACTIONS(2705),
    [anon_sym_BSLASHnb] = ACTIONS(2705),
    [anon_sym_BSLASHpc] = ACTIONS(2705),
    [anon_sym_BSLASHph] = ACTIONS(2705),
    [anon_sym_BSLASHb] = ACTIONS(2705),
    [anon_sym_BSLASHq] = ACTIONS(2705),
    [anon_sym_BSLASHqr] = ACTIONS(2705),
    [anon_sym_BSLASHqc] = ACTIONS(2705),
    [anon_sym_BSLASHqa] = ACTIONS(2705),
    [anon_sym_BSLASHqm] = ACTIONS(2705),
    [anon_sym_BSLASHqd] = ACTIONS(2705),
    [anon_sym_BSLASHlh] = ACTIONS(2705),
    [anon_sym_BSLASHlf] = ACTIONS(2705),
    [anon_sym_BSLASHli] = ACTIONS(2705),
    [anon_sym_BSLASHlim] = ACTIONS(2705),
    [anon_sym_BSLASHliv] = ACTIONS(2705),
    [anon_sym_BSLASHlik] = ACTIONS(2705),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHlitl] = ACTIONS(2705),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHtr] = ACTIONS(2705),
    [anon_sym_BSLASHf] = ACTIONS(2705),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfe] = ACTIONS(2705),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHef] = ACTIONS(2705),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfr] = ACTIONS(2705),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfq] = ACTIONS(2705),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfqa] = ACTIONS(2705),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfk] = ACTIONS(2705),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfl] = ACTIONS(2705),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfw] = ACTIONS(2705),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfp] = ACTIONS(2705),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHft] = ACTIONS(2705),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfdc] = ACTIONS(2705),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHfv] = ACTIONS(2705),
    [anon_sym_BSLASHfm] = ACTIONS(2705),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2705),
    [anon_sym_BSLASHx] = ACTIONS(2705),
    [anon_sym_BSLASHxt] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2705),
    [anon_sym_BSLASHrq] = ACTIONS(2705),
    [anon_sym_BSLASHadd] = ACTIONS(2705),
    [anon_sym_BSLASHbk] = ACTIONS(2705),
    [anon_sym_BSLASHdc] = ACTIONS(2705),
    [anon_sym_BSLASHk] = ACTIONS(2705),
    [anon_sym_BSLASHnd] = ACTIONS(2705),
    [anon_sym_BSLASHord] = ACTIONS(2705),
    [anon_sym_BSLASHpn] = ACTIONS(2705),
    [anon_sym_BSLASHpng] = ACTIONS(2705),
    [anon_sym_BSLASHaddpn] = ACTIONS(2705),
    [anon_sym_BSLASHqt] = ACTIONS(2705),
    [anon_sym_BSLASHsig] = ACTIONS(2705),
    [anon_sym_BSLASHsls] = ACTIONS(2705),
    [anon_sym_BSLASHtl] = ACTIONS(2705),
    [anon_sym_BSLASHwj] = ACTIONS(2705),
    [anon_sym_BSLASHem] = ACTIONS(2705),
    [anon_sym_BSLASHbd] = ACTIONS(2705),
    [anon_sym_BSLASHit] = ACTIONS(2705),
    [anon_sym_BSLASHbdit] = ACTIONS(2705),
    [anon_sym_BSLASHno] = ACTIONS(2705),
    [anon_sym_BSLASHsc] = ACTIONS(2705),
    [anon_sym_BSLASHsup] = ACTIONS(2705),
    [anon_sym_BSLASHndx] = ACTIONS(2705),
    [anon_sym_BSLASHpro] = ACTIONS(2705),
    [anon_sym_BSLASHrb] = ACTIONS(2705),
    [anon_sym_BSLASHw] = ACTIONS(2705),
    [anon_sym_BSLASHwg] = ACTIONS(2705),
    [anon_sym_BSLASHwh] = ACTIONS(2705),
    [anon_sym_BSLASHwa] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2705),
    [anon_sym_BSLASHfig] = ACTIONS(2705),
    [anon_sym_BSLASHjmp] = ACTIONS(2705),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2705),
    [anon_sym_BSLASHpb] = ACTIONS(2705),
    [anon_sym_BSLASH] = ACTIONS(2705),
    [sym_milestoneStartTag] = ACTIONS(2705),
    [sym_milestoneEndTag] = ACTIONS(2705),
    [sym_zSpaceTag] = ACTIONS(2705),
    [anon_sym_BSLASHesbe] = ACTIONS(2705),
    [anon_sym_BSLASHcat] = ACTIONS(2705),
  },
  [247] = {
    [aux_sym_text_token1] = ACTIONS(2707),
    [anon_sym_BSLASHref] = ACTIONS(2709),
    [anon_sym_BSLASHsts] = ACTIONS(2709),
    [anon_sym_BSLASHrem] = ACTIONS(2709),
    [anon_sym_BSLASHrestore] = ACTIONS(2709),
    [anon_sym_BSLASHlit] = ACTIONS(2709),
    [anon_sym_BSLASHiqt] = ACTIONS(2709),
    [anon_sym_BSLASHip] = ACTIONS(2709),
    [anon_sym_BSLASHv] = ACTIONS(2709),
    [anon_sym_BSLASHva] = ACTIONS(2709),
    [anon_sym_BSLASHvp] = ACTIONS(2709),
    [anon_sym_BSLASHmte] = ACTIONS(2709),
    [anon_sym_BSLASHms] = ACTIONS(2709),
    [anon_sym_BSLASHmr] = ACTIONS(2709),
    [anon_sym_BSLASHs] = ACTIONS(2709),
    [anon_sym_BSLASHsr] = ACTIONS(2709),
    [anon_sym_BSLASHr] = ACTIONS(2709),
    [anon_sym_BSLASHsp] = ACTIONS(2709),
    [anon_sym_BSLASHd] = ACTIONS(2709),
    [anon_sym_BSLASHsd] = ACTIONS(2709),
    [anon_sym_BSLASHp] = ACTIONS(2709),
    [anon_sym_BSLASHm] = ACTIONS(2709),
    [anon_sym_BSLASHpo] = ACTIONS(2709),
    [anon_sym_BSLASHpr] = ACTIONS(2709),
    [anon_sym_BSLASHcls] = ACTIONS(2709),
    [anon_sym_BSLASHpmo] = ACTIONS(2709),
    [anon_sym_BSLASHpm] = ACTIONS(2709),
    [anon_sym_BSLASHpmc] = ACTIONS(2709),
    [anon_sym_BSLASHpmr] = ACTIONS(2709),
    [anon_sym_BSLASHpi] = ACTIONS(2709),
    [anon_sym_BSLASHmi] = ACTIONS(2709),
    [anon_sym_BSLASHnb] = ACTIONS(2709),
    [anon_sym_BSLASHpc] = ACTIONS(2709),
    [anon_sym_BSLASHph] = ACTIONS(2709),
    [anon_sym_BSLASHb] = ACTIONS(2709),
    [anon_sym_BSLASHq] = ACTIONS(2709),
    [anon_sym_BSLASHqr] = ACTIONS(2709),
    [anon_sym_BSLASHqc] = ACTIONS(2709),
    [anon_sym_BSLASHqa] = ACTIONS(2709),
    [anon_sym_BSLASHqm] = ACTIONS(2709),
    [anon_sym_BSLASHqd] = ACTIONS(2709),
    [anon_sym_BSLASHlh] = ACTIONS(2709),
    [anon_sym_BSLASHlf] = ACTIONS(2709),
    [anon_sym_BSLASHli] = ACTIONS(2709),
    [anon_sym_BSLASHlim] = ACTIONS(2709),
    [anon_sym_BSLASHliv] = ACTIONS(2709),
    [anon_sym_BSLASHlik] = ACTIONS(2709),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHlitl] = ACTIONS(2709),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHtr] = ACTIONS(2709),
    [anon_sym_BSLASHf] = ACTIONS(2709),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfe] = ACTIONS(2709),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHef] = ACTIONS(2709),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfr] = ACTIONS(2709),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfq] = ACTIONS(2709),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfqa] = ACTIONS(2709),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfk] = ACTIONS(2709),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfl] = ACTIONS(2709),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfw] = ACTIONS(2709),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfp] = ACTIONS(2709),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHft] = ACTIONS(2709),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfdc] = ACTIONS(2709),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHfv] = ACTIONS(2709),
    [anon_sym_BSLASHfm] = ACTIONS(2709),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2709),
    [anon_sym_BSLASHx] = ACTIONS(2709),
    [anon_sym_BSLASHxt] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2709),
    [anon_sym_BSLASHrq] = ACTIONS(2709),
    [anon_sym_BSLASHadd] = ACTIONS(2709),
    [anon_sym_BSLASHbk] = ACTIONS(2709),
    [anon_sym_BSLASHdc] = ACTIONS(2709),
    [anon_sym_BSLASHk] = ACTIONS(2709),
    [anon_sym_BSLASHnd] = ACTIONS(2709),
    [anon_sym_BSLASHord] = ACTIONS(2709),
    [anon_sym_BSLASHpn] = ACTIONS(2709),
    [anon_sym_BSLASHpng] = ACTIONS(2709),
    [anon_sym_BSLASHaddpn] = ACTIONS(2709),
    [anon_sym_BSLASHqt] = ACTIONS(2709),
    [anon_sym_BSLASHsig] = ACTIONS(2709),
    [anon_sym_BSLASHsls] = ACTIONS(2709),
    [anon_sym_BSLASHtl] = ACTIONS(2709),
    [anon_sym_BSLASHwj] = ACTIONS(2709),
    [anon_sym_BSLASHem] = ACTIONS(2709),
    [anon_sym_BSLASHbd] = ACTIONS(2709),
    [anon_sym_BSLASHit] = ACTIONS(2709),
    [anon_sym_BSLASHbdit] = ACTIONS(2709),
    [anon_sym_BSLASHno] = ACTIONS(2709),
    [anon_sym_BSLASHsc] = ACTIONS(2709),
    [anon_sym_BSLASHsup] = ACTIONS(2709),
    [anon_sym_BSLASHndx] = ACTIONS(2709),
    [anon_sym_BSLASHpro] = ACTIONS(2709),
    [anon_sym_BSLASHrb] = ACTIONS(2709),
    [anon_sym_BSLASHw] = ACTIONS(2709),
    [anon_sym_BSLASHwg] = ACTIONS(2709),
    [anon_sym_BSLASHwh] = ACTIONS(2709),
    [anon_sym_BSLASHwa] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2709),
    [anon_sym_BSLASHfig] = ACTIONS(2709),
    [anon_sym_BSLASHjmp] = ACTIONS(2709),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2709),
    [anon_sym_BSLASHpb] = ACTIONS(2709),
    [anon_sym_BSLASH] = ACTIONS(2709),
    [sym_milestoneStartTag] = ACTIONS(2709),
    [sym_milestoneEndTag] = ACTIONS(2709),
    [sym_zSpaceTag] = ACTIONS(2709),
    [anon_sym_BSLASHesbe] = ACTIONS(2709),
    [anon_sym_BSLASHcat] = ACTIONS(2709),
  },
  [248] = {
    [aux_sym_text_token1] = ACTIONS(2711),
    [anon_sym_BSLASHref] = ACTIONS(2713),
    [anon_sym_BSLASHsts] = ACTIONS(2713),
    [anon_sym_BSLASHrem] = ACTIONS(2713),
    [anon_sym_BSLASHrestore] = ACTIONS(2713),
    [anon_sym_BSLASHlit] = ACTIONS(2713),
    [anon_sym_BSLASHiqt] = ACTIONS(2713),
    [anon_sym_BSLASHip] = ACTIONS(2713),
    [anon_sym_BSLASHv] = ACTIONS(2713),
    [anon_sym_BSLASHva] = ACTIONS(2713),
    [anon_sym_BSLASHvp] = ACTIONS(2713),
    [anon_sym_BSLASHmte] = ACTIONS(2713),
    [anon_sym_BSLASHms] = ACTIONS(2713),
    [anon_sym_BSLASHmr] = ACTIONS(2713),
    [anon_sym_BSLASHs] = ACTIONS(2713),
    [anon_sym_BSLASHsr] = ACTIONS(2713),
    [anon_sym_BSLASHr] = ACTIONS(2713),
    [anon_sym_BSLASHsp] = ACTIONS(2713),
    [anon_sym_BSLASHd] = ACTIONS(2713),
    [anon_sym_BSLASHsd] = ACTIONS(2713),
    [anon_sym_BSLASHp] = ACTIONS(2713),
    [anon_sym_BSLASHm] = ACTIONS(2713),
    [anon_sym_BSLASHpo] = ACTIONS(2713),
    [anon_sym_BSLASHpr] = ACTIONS(2713),
    [anon_sym_BSLASHcls] = ACTIONS(2713),
    [anon_sym_BSLASHpmo] = ACTIONS(2713),
    [anon_sym_BSLASHpm] = ACTIONS(2713),
    [anon_sym_BSLASHpmc] = ACTIONS(2713),
    [anon_sym_BSLASHpmr] = ACTIONS(2713),
    [anon_sym_BSLASHpi] = ACTIONS(2713),
    [anon_sym_BSLASHmi] = ACTIONS(2713),
    [anon_sym_BSLASHnb] = ACTIONS(2713),
    [anon_sym_BSLASHpc] = ACTIONS(2713),
    [anon_sym_BSLASHph] = ACTIONS(2713),
    [anon_sym_BSLASHb] = ACTIONS(2713),
    [anon_sym_BSLASHq] = ACTIONS(2713),
    [anon_sym_BSLASHqr] = ACTIONS(2713),
    [anon_sym_BSLASHqc] = ACTIONS(2713),
    [anon_sym_BSLASHqa] = ACTIONS(2713),
    [anon_sym_BSLASHqm] = ACTIONS(2713),
    [anon_sym_BSLASHqd] = ACTIONS(2713),
    [anon_sym_BSLASHlh] = ACTIONS(2713),
    [anon_sym_BSLASHlf] = ACTIONS(2713),
    [anon_sym_BSLASHli] = ACTIONS(2713),
    [anon_sym_BSLASHlim] = ACTIONS(2713),
    [anon_sym_BSLASHliv] = ACTIONS(2713),
    [anon_sym_BSLASHlik] = ACTIONS(2713),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHlitl] = ACTIONS(2713),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHtr] = ACTIONS(2713),
    [anon_sym_BSLASHf] = ACTIONS(2713),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfe] = ACTIONS(2713),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHef] = ACTIONS(2713),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfr] = ACTIONS(2713),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfq] = ACTIONS(2713),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfqa] = ACTIONS(2713),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfk] = ACTIONS(2713),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfl] = ACTIONS(2713),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfw] = ACTIONS(2713),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfp] = ACTIONS(2713),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHft] = ACTIONS(2713),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfdc] = ACTIONS(2713),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHfv] = ACTIONS(2713),
    [anon_sym_BSLASHfm] = ACTIONS(2713),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2713),
    [anon_sym_BSLASHx] = ACTIONS(2713),
    [anon_sym_BSLASHxt] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2713),
    [anon_sym_BSLASHrq] = ACTIONS(2713),
    [anon_sym_BSLASHadd] = ACTIONS(2713),
    [anon_sym_BSLASHbk] = ACTIONS(2713),
    [anon_sym_BSLASHdc] = ACTIONS(2713),
    [anon_sym_BSLASHk] = ACTIONS(2713),
    [anon_sym_BSLASHnd] = ACTIONS(2713),
    [anon_sym_BSLASHord] = ACTIONS(2713),
    [anon_sym_BSLASHpn] = ACTIONS(2713),
    [anon_sym_BSLASHpng] = ACTIONS(2713),
    [anon_sym_BSLASHaddpn] = ACTIONS(2713),
    [anon_sym_BSLASHqt] = ACTIONS(2713),
    [anon_sym_BSLASHsig] = ACTIONS(2713),
    [anon_sym_BSLASHsls] = ACTIONS(2713),
    [anon_sym_BSLASHtl] = ACTIONS(2713),
    [anon_sym_BSLASHwj] = ACTIONS(2713),
    [anon_sym_BSLASHem] = ACTIONS(2713),
    [anon_sym_BSLASHbd] = ACTIONS(2713),
    [anon_sym_BSLASHit] = ACTIONS(2713),
    [anon_sym_BSLASHbdit] = ACTIONS(2713),
    [anon_sym_BSLASHno] = ACTIONS(2713),
    [anon_sym_BSLASHsc] = ACTIONS(2713),
    [anon_sym_BSLASHsup] = ACTIONS(2713),
    [anon_sym_BSLASHndx] = ACTIONS(2713),
    [anon_sym_BSLASHpro] = ACTIONS(2713),
    [anon_sym_BSLASHrb] = ACTIONS(2713),
    [anon_sym_BSLASHw] = ACTIONS(2713),
    [anon_sym_BSLASHwg] = ACTIONS(2713),
    [anon_sym_BSLASHwh] = ACTIONS(2713),
    [anon_sym_BSLASHwa] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2713),
    [anon_sym_BSLASHfig] = ACTIONS(2713),
    [anon_sym_BSLASHjmp] = ACTIONS(2713),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2713),
    [anon_sym_BSLASHpb] = ACTIONS(2713),
    [anon_sym_BSLASH] = ACTIONS(2713),
    [sym_milestoneStartTag] = ACTIONS(2713),
    [sym_milestoneEndTag] = ACTIONS(2713),
    [sym_zSpaceTag] = ACTIONS(2713),
    [anon_sym_BSLASHesbe] = ACTIONS(2713),
    [anon_sym_BSLASHcat] = ACTIONS(2713),
  },
  [249] = {
    [aux_sym_text_token1] = ACTIONS(2715),
    [anon_sym_BSLASHref] = ACTIONS(2717),
    [anon_sym_BSLASHsts] = ACTIONS(2717),
    [anon_sym_BSLASHrem] = ACTIONS(2717),
    [anon_sym_BSLASHrestore] = ACTIONS(2717),
    [anon_sym_BSLASHlit] = ACTIONS(2717),
    [anon_sym_BSLASHiqt] = ACTIONS(2717),
    [anon_sym_BSLASHip] = ACTIONS(2717),
    [anon_sym_BSLASHv] = ACTIONS(2717),
    [anon_sym_BSLASHva] = ACTIONS(2717),
    [anon_sym_BSLASHvp] = ACTIONS(2717),
    [anon_sym_BSLASHmte] = ACTIONS(2717),
    [anon_sym_BSLASHms] = ACTIONS(2717),
    [anon_sym_BSLASHmr] = ACTIONS(2717),
    [anon_sym_BSLASHs] = ACTIONS(2717),
    [anon_sym_BSLASHsr] = ACTIONS(2717),
    [anon_sym_BSLASHr] = ACTIONS(2717),
    [anon_sym_BSLASHsp] = ACTIONS(2717),
    [anon_sym_BSLASHd] = ACTIONS(2717),
    [anon_sym_BSLASHsd] = ACTIONS(2717),
    [anon_sym_BSLASHp] = ACTIONS(2717),
    [anon_sym_BSLASHm] = ACTIONS(2717),
    [anon_sym_BSLASHpo] = ACTIONS(2717),
    [anon_sym_BSLASHpr] = ACTIONS(2717),
    [anon_sym_BSLASHcls] = ACTIONS(2717),
    [anon_sym_BSLASHpmo] = ACTIONS(2717),
    [anon_sym_BSLASHpm] = ACTIONS(2717),
    [anon_sym_BSLASHpmc] = ACTIONS(2717),
    [anon_sym_BSLASHpmr] = ACTIONS(2717),
    [anon_sym_BSLASHpi] = ACTIONS(2717),
    [anon_sym_BSLASHmi] = ACTIONS(2717),
    [anon_sym_BSLASHnb] = ACTIONS(2717),
    [anon_sym_BSLASHpc] = ACTIONS(2717),
    [anon_sym_BSLASHph] = ACTIONS(2717),
    [anon_sym_BSLASHb] = ACTIONS(2717),
    [anon_sym_BSLASHq] = ACTIONS(2717),
    [anon_sym_BSLASHqr] = ACTIONS(2717),
    [anon_sym_BSLASHqc] = ACTIONS(2717),
    [anon_sym_BSLASHqa] = ACTIONS(2717),
    [anon_sym_BSLASHqm] = ACTIONS(2717),
    [anon_sym_BSLASHqd] = ACTIONS(2717),
    [anon_sym_BSLASHlh] = ACTIONS(2717),
    [anon_sym_BSLASHlf] = ACTIONS(2717),
    [anon_sym_BSLASHli] = ACTIONS(2717),
    [anon_sym_BSLASHlim] = ACTIONS(2717),
    [anon_sym_BSLASHliv] = ACTIONS(2717),
    [anon_sym_BSLASHlik] = ACTIONS(2717),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHlitl] = ACTIONS(2717),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHtr] = ACTIONS(2717),
    [anon_sym_BSLASHf] = ACTIONS(2717),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfe] = ACTIONS(2717),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHef] = ACTIONS(2717),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfr] = ACTIONS(2717),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfq] = ACTIONS(2717),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfqa] = ACTIONS(2717),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfk] = ACTIONS(2717),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfl] = ACTIONS(2717),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfw] = ACTIONS(2717),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfp] = ACTIONS(2717),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHft] = ACTIONS(2717),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfdc] = ACTIONS(2717),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHfv] = ACTIONS(2717),
    [anon_sym_BSLASHfm] = ACTIONS(2717),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2717),
    [anon_sym_BSLASHx] = ACTIONS(2717),
    [anon_sym_BSLASHxt] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2717),
    [anon_sym_BSLASHrq] = ACTIONS(2717),
    [anon_sym_BSLASHadd] = ACTIONS(2717),
    [anon_sym_BSLASHbk] = ACTIONS(2717),
    [anon_sym_BSLASHdc] = ACTIONS(2717),
    [anon_sym_BSLASHk] = ACTIONS(2717),
    [anon_sym_BSLASHnd] = ACTIONS(2717),
    [anon_sym_BSLASHord] = ACTIONS(2717),
    [anon_sym_BSLASHpn] = ACTIONS(2717),
    [anon_sym_BSLASHpng] = ACTIONS(2717),
    [anon_sym_BSLASHaddpn] = ACTIONS(2717),
    [anon_sym_BSLASHqt] = ACTIONS(2717),
    [anon_sym_BSLASHsig] = ACTIONS(2717),
    [anon_sym_BSLASHsls] = ACTIONS(2717),
    [anon_sym_BSLASHtl] = ACTIONS(2717),
    [anon_sym_BSLASHwj] = ACTIONS(2717),
    [anon_sym_BSLASHem] = ACTIONS(2717),
    [anon_sym_BSLASHbd] = ACTIONS(2717),
    [anon_sym_BSLASHit] = ACTIONS(2717),
    [anon_sym_BSLASHbdit] = ACTIONS(2717),
    [anon_sym_BSLASHno] = ACTIONS(2717),
    [anon_sym_BSLASHsc] = ACTIONS(2717),
    [anon_sym_BSLASHsup] = ACTIONS(2717),
    [anon_sym_BSLASHndx] = ACTIONS(2717),
    [anon_sym_BSLASHpro] = ACTIONS(2717),
    [anon_sym_BSLASHrb] = ACTIONS(2717),
    [anon_sym_BSLASHw] = ACTIONS(2717),
    [anon_sym_BSLASHwg] = ACTIONS(2717),
    [anon_sym_BSLASHwh] = ACTIONS(2717),
    [anon_sym_BSLASHwa] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2717),
    [anon_sym_BSLASHfig] = ACTIONS(2717),
    [anon_sym_BSLASHjmp] = ACTIONS(2717),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2717),
    [anon_sym_BSLASHpb] = ACTIONS(2717),
    [anon_sym_BSLASH] = ACTIONS(2717),
    [sym_milestoneStartTag] = ACTIONS(2717),
    [sym_milestoneEndTag] = ACTIONS(2717),
    [sym_zSpaceTag] = ACTIONS(2717),
    [anon_sym_BSLASHesbe] = ACTIONS(2717),
    [anon_sym_BSLASHcat] = ACTIONS(2717),
  },
  [250] = {
    [aux_sym_text_token1] = ACTIONS(2719),
    [anon_sym_BSLASHref] = ACTIONS(2721),
    [anon_sym_BSLASHsts] = ACTIONS(2721),
    [anon_sym_BSLASHrem] = ACTIONS(2721),
    [anon_sym_BSLASHrestore] = ACTIONS(2721),
    [anon_sym_BSLASHlit] = ACTIONS(2721),
    [anon_sym_BSLASHiqt] = ACTIONS(2721),
    [anon_sym_BSLASHip] = ACTIONS(2721),
    [anon_sym_BSLASHv] = ACTIONS(2721),
    [anon_sym_BSLASHva] = ACTIONS(2721),
    [anon_sym_BSLASHvp] = ACTIONS(2721),
    [anon_sym_BSLASHmte] = ACTIONS(2721),
    [anon_sym_BSLASHms] = ACTIONS(2721),
    [anon_sym_BSLASHmr] = ACTIONS(2721),
    [anon_sym_BSLASHs] = ACTIONS(2721),
    [anon_sym_BSLASHsr] = ACTIONS(2721),
    [anon_sym_BSLASHr] = ACTIONS(2721),
    [anon_sym_BSLASHsp] = ACTIONS(2721),
    [anon_sym_BSLASHd] = ACTIONS(2721),
    [anon_sym_BSLASHsd] = ACTIONS(2721),
    [anon_sym_BSLASHp] = ACTIONS(2721),
    [anon_sym_BSLASHm] = ACTIONS(2721),
    [anon_sym_BSLASHpo] = ACTIONS(2721),
    [anon_sym_BSLASHpr] = ACTIONS(2721),
    [anon_sym_BSLASHcls] = ACTIONS(2721),
    [anon_sym_BSLASHpmo] = ACTIONS(2721),
    [anon_sym_BSLASHpm] = ACTIONS(2721),
    [anon_sym_BSLASHpmc] = ACTIONS(2721),
    [anon_sym_BSLASHpmr] = ACTIONS(2721),
    [anon_sym_BSLASHpi] = ACTIONS(2721),
    [anon_sym_BSLASHmi] = ACTIONS(2721),
    [anon_sym_BSLASHnb] = ACTIONS(2721),
    [anon_sym_BSLASHpc] = ACTIONS(2721),
    [anon_sym_BSLASHph] = ACTIONS(2721),
    [anon_sym_BSLASHb] = ACTIONS(2721),
    [anon_sym_BSLASHq] = ACTIONS(2721),
    [anon_sym_BSLASHqr] = ACTIONS(2721),
    [anon_sym_BSLASHqc] = ACTIONS(2721),
    [anon_sym_BSLASHqa] = ACTIONS(2721),
    [anon_sym_BSLASHqm] = ACTIONS(2721),
    [anon_sym_BSLASHqd] = ACTIONS(2721),
    [anon_sym_BSLASHlh] = ACTIONS(2721),
    [anon_sym_BSLASHlf] = ACTIONS(2721),
    [anon_sym_BSLASHli] = ACTIONS(2721),
    [anon_sym_BSLASHlim] = ACTIONS(2721),
    [anon_sym_BSLASHliv] = ACTIONS(2721),
    [anon_sym_BSLASHlik] = ACTIONS(2721),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHlitl] = ACTIONS(2721),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHtr] = ACTIONS(2721),
    [anon_sym_BSLASHf] = ACTIONS(2721),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfe] = ACTIONS(2721),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHef] = ACTIONS(2721),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfr] = ACTIONS(2721),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfq] = ACTIONS(2721),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfqa] = ACTIONS(2721),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfk] = ACTIONS(2721),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfl] = ACTIONS(2721),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfw] = ACTIONS(2721),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfp] = ACTIONS(2721),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHft] = ACTIONS(2721),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfdc] = ACTIONS(2721),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHfv] = ACTIONS(2721),
    [anon_sym_BSLASHfm] = ACTIONS(2721),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2721),
    [anon_sym_BSLASHx] = ACTIONS(2721),
    [anon_sym_BSLASHxt] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2721),
    [anon_sym_BSLASHrq] = ACTIONS(2721),
    [anon_sym_BSLASHadd] = ACTIONS(2721),
    [anon_sym_BSLASHbk] = ACTIONS(2721),
    [anon_sym_BSLASHdc] = ACTIONS(2721),
    [anon_sym_BSLASHk] = ACTIONS(2721),
    [anon_sym_BSLASHnd] = ACTIONS(2721),
    [anon_sym_BSLASHord] = ACTIONS(2721),
    [anon_sym_BSLASHpn] = ACTIONS(2721),
    [anon_sym_BSLASHpng] = ACTIONS(2721),
    [anon_sym_BSLASHaddpn] = ACTIONS(2721),
    [anon_sym_BSLASHqt] = ACTIONS(2721),
    [anon_sym_BSLASHsig] = ACTIONS(2721),
    [anon_sym_BSLASHsls] = ACTIONS(2721),
    [anon_sym_BSLASHtl] = ACTIONS(2721),
    [anon_sym_BSLASHwj] = ACTIONS(2721),
    [anon_sym_BSLASHem] = ACTIONS(2721),
    [anon_sym_BSLASHbd] = ACTIONS(2721),
    [anon_sym_BSLASHit] = ACTIONS(2721),
    [anon_sym_BSLASHbdit] = ACTIONS(2721),
    [anon_sym_BSLASHno] = ACTIONS(2721),
    [anon_sym_BSLASHsc] = ACTIONS(2721),
    [anon_sym_BSLASHsup] = ACTIONS(2721),
    [anon_sym_BSLASHndx] = ACTIONS(2721),
    [anon_sym_BSLASHpro] = ACTIONS(2721),
    [anon_sym_BSLASHrb] = ACTIONS(2721),
    [anon_sym_BSLASHw] = ACTIONS(2721),
    [anon_sym_BSLASHwg] = ACTIONS(2721),
    [anon_sym_BSLASHwh] = ACTIONS(2721),
    [anon_sym_BSLASHwa] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2721),
    [anon_sym_BSLASHfig] = ACTIONS(2721),
    [anon_sym_BSLASHjmp] = ACTIONS(2721),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2721),
    [anon_sym_BSLASHpb] = ACTIONS(2721),
    [anon_sym_BSLASH] = ACTIONS(2721),
    [sym_milestoneStartTag] = ACTIONS(2721),
    [sym_milestoneEndTag] = ACTIONS(2721),
    [sym_zSpaceTag] = ACTIONS(2721),
    [anon_sym_BSLASHesbe] = ACTIONS(2721),
    [anon_sym_BSLASHcat] = ACTIONS(2721),
  },
  [251] = {
    [aux_sym_text_token1] = ACTIONS(2723),
    [anon_sym_BSLASHref] = ACTIONS(2725),
    [anon_sym_BSLASHsts] = ACTIONS(2725),
    [anon_sym_BSLASHrem] = ACTIONS(2725),
    [anon_sym_BSLASHrestore] = ACTIONS(2725),
    [anon_sym_BSLASHlit] = ACTIONS(2725),
    [anon_sym_BSLASHiqt] = ACTIONS(2725),
    [anon_sym_BSLASHip] = ACTIONS(2725),
    [anon_sym_BSLASHv] = ACTIONS(2725),
    [anon_sym_BSLASHva] = ACTIONS(2725),
    [anon_sym_BSLASHvp] = ACTIONS(2725),
    [anon_sym_BSLASHmte] = ACTIONS(2725),
    [anon_sym_BSLASHms] = ACTIONS(2725),
    [anon_sym_BSLASHmr] = ACTIONS(2725),
    [anon_sym_BSLASHs] = ACTIONS(2725),
    [anon_sym_BSLASHsr] = ACTIONS(2725),
    [anon_sym_BSLASHr] = ACTIONS(2725),
    [anon_sym_BSLASHsp] = ACTIONS(2725),
    [anon_sym_BSLASHd] = ACTIONS(2725),
    [anon_sym_BSLASHsd] = ACTIONS(2725),
    [anon_sym_BSLASHp] = ACTIONS(2725),
    [anon_sym_BSLASHm] = ACTIONS(2725),
    [anon_sym_BSLASHpo] = ACTIONS(2725),
    [anon_sym_BSLASHpr] = ACTIONS(2725),
    [anon_sym_BSLASHcls] = ACTIONS(2725),
    [anon_sym_BSLASHpmo] = ACTIONS(2725),
    [anon_sym_BSLASHpm] = ACTIONS(2725),
    [anon_sym_BSLASHpmc] = ACTIONS(2725),
    [anon_sym_BSLASHpmr] = ACTIONS(2725),
    [anon_sym_BSLASHpi] = ACTIONS(2725),
    [anon_sym_BSLASHmi] = ACTIONS(2725),
    [anon_sym_BSLASHnb] = ACTIONS(2725),
    [anon_sym_BSLASHpc] = ACTIONS(2725),
    [anon_sym_BSLASHph] = ACTIONS(2725),
    [anon_sym_BSLASHb] = ACTIONS(2725),
    [anon_sym_BSLASHq] = ACTIONS(2725),
    [anon_sym_BSLASHqr] = ACTIONS(2725),
    [anon_sym_BSLASHqc] = ACTIONS(2725),
    [anon_sym_BSLASHqa] = ACTIONS(2725),
    [anon_sym_BSLASHqm] = ACTIONS(2725),
    [anon_sym_BSLASHqd] = ACTIONS(2725),
    [anon_sym_BSLASHlh] = ACTIONS(2725),
    [anon_sym_BSLASHlf] = ACTIONS(2725),
    [anon_sym_BSLASHli] = ACTIONS(2725),
    [anon_sym_BSLASHlim] = ACTIONS(2725),
    [anon_sym_BSLASHliv] = ACTIONS(2725),
    [anon_sym_BSLASHlik] = ACTIONS(2725),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHlitl] = ACTIONS(2725),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHtr] = ACTIONS(2725),
    [anon_sym_BSLASHf] = ACTIONS(2725),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfe] = ACTIONS(2725),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHef] = ACTIONS(2725),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfr] = ACTIONS(2725),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfq] = ACTIONS(2725),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfqa] = ACTIONS(2725),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfk] = ACTIONS(2725),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfl] = ACTIONS(2725),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfw] = ACTIONS(2725),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfp] = ACTIONS(2725),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHft] = ACTIONS(2725),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfdc] = ACTIONS(2725),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHfv] = ACTIONS(2725),
    [anon_sym_BSLASHfm] = ACTIONS(2725),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2725),
    [anon_sym_BSLASHx] = ACTIONS(2725),
    [anon_sym_BSLASHxt] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2725),
    [anon_sym_BSLASHrq] = ACTIONS(2725),
    [anon_sym_BSLASHadd] = ACTIONS(2725),
    [anon_sym_BSLASHbk] = ACTIONS(2725),
    [anon_sym_BSLASHdc] = ACTIONS(2725),
    [anon_sym_BSLASHk] = ACTIONS(2725),
    [anon_sym_BSLASHnd] = ACTIONS(2725),
    [anon_sym_BSLASHord] = ACTIONS(2725),
    [anon_sym_BSLASHpn] = ACTIONS(2725),
    [anon_sym_BSLASHpng] = ACTIONS(2725),
    [anon_sym_BSLASHaddpn] = ACTIONS(2725),
    [anon_sym_BSLASHqt] = ACTIONS(2725),
    [anon_sym_BSLASHsig] = ACTIONS(2725),
    [anon_sym_BSLASHsls] = ACTIONS(2725),
    [anon_sym_BSLASHtl] = ACTIONS(2725),
    [anon_sym_BSLASHwj] = ACTIONS(2725),
    [anon_sym_BSLASHem] = ACTIONS(2725),
    [anon_sym_BSLASHbd] = ACTIONS(2725),
    [anon_sym_BSLASHit] = ACTIONS(2725),
    [anon_sym_BSLASHbdit] = ACTIONS(2725),
    [anon_sym_BSLASHno] = ACTIONS(2725),
    [anon_sym_BSLASHsc] = ACTIONS(2725),
    [anon_sym_BSLASHsup] = ACTIONS(2725),
    [anon_sym_BSLASHndx] = ACTIONS(2725),
    [anon_sym_BSLASHpro] = ACTIONS(2725),
    [anon_sym_BSLASHrb] = ACTIONS(2725),
    [anon_sym_BSLASHw] = ACTIONS(2725),
    [anon_sym_BSLASHwg] = ACTIONS(2725),
    [anon_sym_BSLASHwh] = ACTIONS(2725),
    [anon_sym_BSLASHwa] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2725),
    [anon_sym_BSLASHfig] = ACTIONS(2725),
    [anon_sym_BSLASHjmp] = ACTIONS(2725),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2725),
    [anon_sym_BSLASHpb] = ACTIONS(2725),
    [anon_sym_BSLASH] = ACTIONS(2725),
    [sym_milestoneStartTag] = ACTIONS(2725),
    [sym_milestoneEndTag] = ACTIONS(2725),
    [sym_zSpaceTag] = ACTIONS(2725),
    [anon_sym_BSLASHesbe] = ACTIONS(2725),
    [anon_sym_BSLASHcat] = ACTIONS(2725),
  },
  [252] = {
    [aux_sym_text_token1] = ACTIONS(2727),
    [anon_sym_BSLASHref] = ACTIONS(2729),
    [anon_sym_BSLASHsts] = ACTIONS(2729),
    [anon_sym_BSLASHrem] = ACTIONS(2729),
    [anon_sym_BSLASHrestore] = ACTIONS(2729),
    [anon_sym_BSLASHlit] = ACTIONS(2729),
    [anon_sym_BSLASHiqt] = ACTIONS(2729),
    [anon_sym_BSLASHip] = ACTIONS(2729),
    [anon_sym_BSLASHv] = ACTIONS(2729),
    [anon_sym_BSLASHva] = ACTIONS(2729),
    [anon_sym_BSLASHvp] = ACTIONS(2729),
    [anon_sym_BSLASHmte] = ACTIONS(2729),
    [anon_sym_BSLASHms] = ACTIONS(2729),
    [anon_sym_BSLASHmr] = ACTIONS(2729),
    [anon_sym_BSLASHs] = ACTIONS(2729),
    [anon_sym_BSLASHsr] = ACTIONS(2729),
    [anon_sym_BSLASHr] = ACTIONS(2729),
    [anon_sym_BSLASHsp] = ACTIONS(2729),
    [anon_sym_BSLASHd] = ACTIONS(2729),
    [anon_sym_BSLASHsd] = ACTIONS(2729),
    [anon_sym_BSLASHp] = ACTIONS(2729),
    [anon_sym_BSLASHm] = ACTIONS(2729),
    [anon_sym_BSLASHpo] = ACTIONS(2729),
    [anon_sym_BSLASHpr] = ACTIONS(2729),
    [anon_sym_BSLASHcls] = ACTIONS(2729),
    [anon_sym_BSLASHpmo] = ACTIONS(2729),
    [anon_sym_BSLASHpm] = ACTIONS(2729),
    [anon_sym_BSLASHpmc] = ACTIONS(2729),
    [anon_sym_BSLASHpmr] = ACTIONS(2729),
    [anon_sym_BSLASHpi] = ACTIONS(2729),
    [anon_sym_BSLASHmi] = ACTIONS(2729),
    [anon_sym_BSLASHnb] = ACTIONS(2729),
    [anon_sym_BSLASHpc] = ACTIONS(2729),
    [anon_sym_BSLASHph] = ACTIONS(2729),
    [anon_sym_BSLASHb] = ACTIONS(2729),
    [anon_sym_BSLASHq] = ACTIONS(2729),
    [anon_sym_BSLASHqr] = ACTIONS(2729),
    [anon_sym_BSLASHqc] = ACTIONS(2729),
    [anon_sym_BSLASHqa] = ACTIONS(2729),
    [anon_sym_BSLASHqm] = ACTIONS(2729),
    [anon_sym_BSLASHqd] = ACTIONS(2729),
    [anon_sym_BSLASHlh] = ACTIONS(2729),
    [anon_sym_BSLASHlf] = ACTIONS(2729),
    [anon_sym_BSLASHli] = ACTIONS(2729),
    [anon_sym_BSLASHlim] = ACTIONS(2729),
    [anon_sym_BSLASHliv] = ACTIONS(2729),
    [anon_sym_BSLASHlik] = ACTIONS(2729),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHlitl] = ACTIONS(2729),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHtr] = ACTIONS(2729),
    [anon_sym_BSLASHf] = ACTIONS(2729),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfe] = ACTIONS(2729),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHef] = ACTIONS(2729),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfr] = ACTIONS(2729),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfq] = ACTIONS(2729),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfqa] = ACTIONS(2729),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfk] = ACTIONS(2729),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfl] = ACTIONS(2729),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfw] = ACTIONS(2729),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfp] = ACTIONS(2729),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHft] = ACTIONS(2729),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfdc] = ACTIONS(2729),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHfv] = ACTIONS(2729),
    [anon_sym_BSLASHfm] = ACTIONS(2729),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHx] = ACTIONS(2729),
    [anon_sym_BSLASHxt] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2729),
    [anon_sym_BSLASHrq] = ACTIONS(2729),
    [anon_sym_BSLASHadd] = ACTIONS(2729),
    [anon_sym_BSLASHbk] = ACTIONS(2729),
    [anon_sym_BSLASHdc] = ACTIONS(2729),
    [anon_sym_BSLASHk] = ACTIONS(2729),
    [anon_sym_BSLASHnd] = ACTIONS(2729),
    [anon_sym_BSLASHord] = ACTIONS(2729),
    [anon_sym_BSLASHpn] = ACTIONS(2729),
    [anon_sym_BSLASHpng] = ACTIONS(2729),
    [anon_sym_BSLASHaddpn] = ACTIONS(2729),
    [anon_sym_BSLASHqt] = ACTIONS(2729),
    [anon_sym_BSLASHsig] = ACTIONS(2729),
    [anon_sym_BSLASHsls] = ACTIONS(2729),
    [anon_sym_BSLASHtl] = ACTIONS(2729),
    [anon_sym_BSLASHwj] = ACTIONS(2729),
    [anon_sym_BSLASHem] = ACTIONS(2729),
    [anon_sym_BSLASHbd] = ACTIONS(2729),
    [anon_sym_BSLASHit] = ACTIONS(2729),
    [anon_sym_BSLASHbdit] = ACTIONS(2729),
    [anon_sym_BSLASHno] = ACTIONS(2729),
    [anon_sym_BSLASHsc] = ACTIONS(2729),
    [anon_sym_BSLASHsup] = ACTIONS(2729),
    [anon_sym_BSLASHndx] = ACTIONS(2729),
    [anon_sym_BSLASHpro] = ACTIONS(2729),
    [anon_sym_BSLASHrb] = ACTIONS(2729),
    [anon_sym_BSLASHw] = ACTIONS(2729),
    [anon_sym_BSLASHwg] = ACTIONS(2729),
    [anon_sym_BSLASHwh] = ACTIONS(2729),
    [anon_sym_BSLASHwa] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2729),
    [anon_sym_BSLASHfig] = ACTIONS(2729),
    [anon_sym_BSLASHjmp] = ACTIONS(2729),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2729),
    [anon_sym_BSLASHpb] = ACTIONS(2729),
    [anon_sym_BSLASH] = ACTIONS(2729),
    [sym_milestoneStartTag] = ACTIONS(2729),
    [sym_milestoneEndTag] = ACTIONS(2729),
    [sym_zSpaceTag] = ACTIONS(2729),
    [anon_sym_BSLASHesbe] = ACTIONS(2729),
    [anon_sym_BSLASHcat] = ACTIONS(2729),
  },
  [253] = {
    [aux_sym_text_token1] = ACTIONS(2731),
    [anon_sym_BSLASHref] = ACTIONS(2733),
    [anon_sym_BSLASHsts] = ACTIONS(2733),
    [anon_sym_BSLASHrem] = ACTIONS(2733),
    [anon_sym_BSLASHrestore] = ACTIONS(2733),
    [anon_sym_BSLASHlit] = ACTIONS(2733),
    [anon_sym_BSLASHiqt] = ACTIONS(2733),
    [anon_sym_BSLASHip] = ACTIONS(2733),
    [anon_sym_BSLASHv] = ACTIONS(2733),
    [anon_sym_BSLASHva] = ACTIONS(2733),
    [anon_sym_BSLASHvp] = ACTIONS(2733),
    [anon_sym_BSLASHmte] = ACTIONS(2733),
    [anon_sym_BSLASHms] = ACTIONS(2733),
    [anon_sym_BSLASHmr] = ACTIONS(2733),
    [anon_sym_BSLASHs] = ACTIONS(2733),
    [anon_sym_BSLASHsr] = ACTIONS(2733),
    [anon_sym_BSLASHr] = ACTIONS(2733),
    [anon_sym_BSLASHsp] = ACTIONS(2733),
    [anon_sym_BSLASHd] = ACTIONS(2733),
    [anon_sym_BSLASHsd] = ACTIONS(2733),
    [anon_sym_BSLASHp] = ACTIONS(2733),
    [anon_sym_BSLASHm] = ACTIONS(2733),
    [anon_sym_BSLASHpo] = ACTIONS(2733),
    [anon_sym_BSLASHpr] = ACTIONS(2733),
    [anon_sym_BSLASHcls] = ACTIONS(2733),
    [anon_sym_BSLASHpmo] = ACTIONS(2733),
    [anon_sym_BSLASHpm] = ACTIONS(2733),
    [anon_sym_BSLASHpmc] = ACTIONS(2733),
    [anon_sym_BSLASHpmr] = ACTIONS(2733),
    [anon_sym_BSLASHpi] = ACTIONS(2733),
    [anon_sym_BSLASHmi] = ACTIONS(2733),
    [anon_sym_BSLASHnb] = ACTIONS(2733),
    [anon_sym_BSLASHpc] = ACTIONS(2733),
    [anon_sym_BSLASHph] = ACTIONS(2733),
    [anon_sym_BSLASHb] = ACTIONS(2733),
    [anon_sym_BSLASHq] = ACTIONS(2733),
    [anon_sym_BSLASHqr] = ACTIONS(2733),
    [anon_sym_BSLASHqc] = ACTIONS(2733),
    [anon_sym_BSLASHqa] = ACTIONS(2733),
    [anon_sym_BSLASHqm] = ACTIONS(2733),
    [anon_sym_BSLASHqd] = ACTIONS(2733),
    [anon_sym_BSLASHlh] = ACTIONS(2733),
    [anon_sym_BSLASHlf] = ACTIONS(2733),
    [anon_sym_BSLASHli] = ACTIONS(2733),
    [anon_sym_BSLASHlim] = ACTIONS(2733),
    [anon_sym_BSLASHliv] = ACTIONS(2733),
    [anon_sym_BSLASHlik] = ACTIONS(2733),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHlitl] = ACTIONS(2733),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHtr] = ACTIONS(2733),
    [anon_sym_BSLASHf] = ACTIONS(2733),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfe] = ACTIONS(2733),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHef] = ACTIONS(2733),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfr] = ACTIONS(2733),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfq] = ACTIONS(2733),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfqa] = ACTIONS(2733),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfk] = ACTIONS(2733),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfl] = ACTIONS(2733),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfw] = ACTIONS(2733),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfp] = ACTIONS(2733),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHft] = ACTIONS(2733),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfdc] = ACTIONS(2733),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHfv] = ACTIONS(2733),
    [anon_sym_BSLASHfm] = ACTIONS(2733),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2733),
    [anon_sym_BSLASHx] = ACTIONS(2733),
    [anon_sym_BSLASHxt] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2733),
    [anon_sym_BSLASHrq] = ACTIONS(2733),
    [anon_sym_BSLASHadd] = ACTIONS(2733),
    [anon_sym_BSLASHbk] = ACTIONS(2733),
    [anon_sym_BSLASHdc] = ACTIONS(2733),
    [anon_sym_BSLASHk] = ACTIONS(2733),
    [anon_sym_BSLASHnd] = ACTIONS(2733),
    [anon_sym_BSLASHord] = ACTIONS(2733),
    [anon_sym_BSLASHpn] = ACTIONS(2733),
    [anon_sym_BSLASHpng] = ACTIONS(2733),
    [anon_sym_BSLASHaddpn] = ACTIONS(2733),
    [anon_sym_BSLASHqt] = ACTIONS(2733),
    [anon_sym_BSLASHsig] = ACTIONS(2733),
    [anon_sym_BSLASHsls] = ACTIONS(2733),
    [anon_sym_BSLASHtl] = ACTIONS(2733),
    [anon_sym_BSLASHwj] = ACTIONS(2733),
    [anon_sym_BSLASHem] = ACTIONS(2733),
    [anon_sym_BSLASHbd] = ACTIONS(2733),
    [anon_sym_BSLASHit] = ACTIONS(2733),
    [anon_sym_BSLASHbdit] = ACTIONS(2733),
    [anon_sym_BSLASHno] = ACTIONS(2733),
    [anon_sym_BSLASHsc] = ACTIONS(2733),
    [anon_sym_BSLASHsup] = ACTIONS(2733),
    [anon_sym_BSLASHndx] = ACTIONS(2733),
    [anon_sym_BSLASHpro] = ACTIONS(2733),
    [anon_sym_BSLASHrb] = ACTIONS(2733),
    [anon_sym_BSLASHw] = ACTIONS(2733),
    [anon_sym_BSLASHwg] = ACTIONS(2733),
    [anon_sym_BSLASHwh] = ACTIONS(2733),
    [anon_sym_BSLASHwa] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2733),
    [anon_sym_BSLASHfig] = ACTIONS(2733),
    [anon_sym_BSLASHjmp] = ACTIONS(2733),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2733),
    [anon_sym_BSLASHpb] = ACTIONS(2733),
    [anon_sym_BSLASH] = ACTIONS(2733),
    [sym_milestoneStartTag] = ACTIONS(2733),
    [sym_milestoneEndTag] = ACTIONS(2733),
    [sym_zSpaceTag] = ACTIONS(2733),
    [anon_sym_BSLASHesbe] = ACTIONS(2733),
    [anon_sym_BSLASHcat] = ACTIONS(2733),
  },
  [254] = {
    [aux_sym_text_token1] = ACTIONS(2735),
    [anon_sym_BSLASHref] = ACTIONS(2737),
    [anon_sym_BSLASHsts] = ACTIONS(2737),
    [anon_sym_BSLASHrem] = ACTIONS(2737),
    [anon_sym_BSLASHrestore] = ACTIONS(2737),
    [anon_sym_BSLASHlit] = ACTIONS(2737),
    [anon_sym_BSLASHiqt] = ACTIONS(2737),
    [anon_sym_BSLASHip] = ACTIONS(2737),
    [anon_sym_BSLASHv] = ACTIONS(2737),
    [anon_sym_BSLASHva] = ACTIONS(2737),
    [anon_sym_BSLASHvp] = ACTIONS(2737),
    [anon_sym_BSLASHmte] = ACTIONS(2737),
    [anon_sym_BSLASHms] = ACTIONS(2737),
    [anon_sym_BSLASHmr] = ACTIONS(2737),
    [anon_sym_BSLASHs] = ACTIONS(2737),
    [anon_sym_BSLASHsr] = ACTIONS(2737),
    [anon_sym_BSLASHr] = ACTIONS(2737),
    [anon_sym_BSLASHsp] = ACTIONS(2737),
    [anon_sym_BSLASHd] = ACTIONS(2737),
    [anon_sym_BSLASHsd] = ACTIONS(2737),
    [anon_sym_BSLASHp] = ACTIONS(2737),
    [anon_sym_BSLASHm] = ACTIONS(2737),
    [anon_sym_BSLASHpo] = ACTIONS(2737),
    [anon_sym_BSLASHpr] = ACTIONS(2737),
    [anon_sym_BSLASHcls] = ACTIONS(2737),
    [anon_sym_BSLASHpmo] = ACTIONS(2737),
    [anon_sym_BSLASHpm] = ACTIONS(2737),
    [anon_sym_BSLASHpmc] = ACTIONS(2737),
    [anon_sym_BSLASHpmr] = ACTIONS(2737),
    [anon_sym_BSLASHpi] = ACTIONS(2737),
    [anon_sym_BSLASHmi] = ACTIONS(2737),
    [anon_sym_BSLASHnb] = ACTIONS(2737),
    [anon_sym_BSLASHpc] = ACTIONS(2737),
    [anon_sym_BSLASHph] = ACTIONS(2737),
    [anon_sym_BSLASHb] = ACTIONS(2737),
    [anon_sym_BSLASHq] = ACTIONS(2737),
    [anon_sym_BSLASHqr] = ACTIONS(2737),
    [anon_sym_BSLASHqc] = ACTIONS(2737),
    [anon_sym_BSLASHqa] = ACTIONS(2737),
    [anon_sym_BSLASHqm] = ACTIONS(2737),
    [anon_sym_BSLASHqd] = ACTIONS(2737),
    [anon_sym_BSLASHlh] = ACTIONS(2737),
    [anon_sym_BSLASHlf] = ACTIONS(2737),
    [anon_sym_BSLASHli] = ACTIONS(2737),
    [anon_sym_BSLASHlim] = ACTIONS(2737),
    [anon_sym_BSLASHliv] = ACTIONS(2737),
    [anon_sym_BSLASHlik] = ACTIONS(2737),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHlitl] = ACTIONS(2737),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHtr] = ACTIONS(2737),
    [anon_sym_BSLASHf] = ACTIONS(2737),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfe] = ACTIONS(2737),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHef] = ACTIONS(2737),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfr] = ACTIONS(2737),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfq] = ACTIONS(2737),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfqa] = ACTIONS(2737),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfk] = ACTIONS(2737),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfl] = ACTIONS(2737),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfw] = ACTIONS(2737),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfp] = ACTIONS(2737),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHft] = ACTIONS(2737),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfdc] = ACTIONS(2737),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHfv] = ACTIONS(2737),
    [anon_sym_BSLASHfm] = ACTIONS(2737),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2737),
    [anon_sym_BSLASHx] = ACTIONS(2737),
    [anon_sym_BSLASHxt] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2737),
    [anon_sym_BSLASHrq] = ACTIONS(2737),
    [anon_sym_BSLASHadd] = ACTIONS(2737),
    [anon_sym_BSLASHbk] = ACTIONS(2737),
    [anon_sym_BSLASHdc] = ACTIONS(2737),
    [anon_sym_BSLASHk] = ACTIONS(2737),
    [anon_sym_BSLASHnd] = ACTIONS(2737),
    [anon_sym_BSLASHord] = ACTIONS(2737),
    [anon_sym_BSLASHpn] = ACTIONS(2737),
    [anon_sym_BSLASHpng] = ACTIONS(2737),
    [anon_sym_BSLASHaddpn] = ACTIONS(2737),
    [anon_sym_BSLASHqt] = ACTIONS(2737),
    [anon_sym_BSLASHsig] = ACTIONS(2737),
    [anon_sym_BSLASHsls] = ACTIONS(2737),
    [anon_sym_BSLASHtl] = ACTIONS(2737),
    [anon_sym_BSLASHwj] = ACTIONS(2737),
    [anon_sym_BSLASHem] = ACTIONS(2737),
    [anon_sym_BSLASHbd] = ACTIONS(2737),
    [anon_sym_BSLASHit] = ACTIONS(2737),
    [anon_sym_BSLASHbdit] = ACTIONS(2737),
    [anon_sym_BSLASHno] = ACTIONS(2737),
    [anon_sym_BSLASHsc] = ACTIONS(2737),
    [anon_sym_BSLASHsup] = ACTIONS(2737),
    [anon_sym_BSLASHndx] = ACTIONS(2737),
    [anon_sym_BSLASHpro] = ACTIONS(2737),
    [anon_sym_BSLASHrb] = ACTIONS(2737),
    [anon_sym_BSLASHw] = ACTIONS(2737),
    [anon_sym_BSLASHwg] = ACTIONS(2737),
    [anon_sym_BSLASHwh] = ACTIONS(2737),
    [anon_sym_BSLASHwa] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2737),
    [anon_sym_BSLASHfig] = ACTIONS(2737),
    [anon_sym_BSLASHjmp] = ACTIONS(2737),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2737),
    [anon_sym_BSLASHpb] = ACTIONS(2737),
    [anon_sym_BSLASH] = ACTIONS(2737),
    [sym_milestoneStartTag] = ACTIONS(2737),
    [sym_milestoneEndTag] = ACTIONS(2737),
    [sym_zSpaceTag] = ACTIONS(2737),
    [anon_sym_BSLASHesbe] = ACTIONS(2737),
    [anon_sym_BSLASHcat] = ACTIONS(2737),
  },
  [255] = {
    [aux_sym_text_token1] = ACTIONS(2739),
    [anon_sym_BSLASHref] = ACTIONS(2741),
    [anon_sym_BSLASHsts] = ACTIONS(2741),
    [anon_sym_BSLASHrem] = ACTIONS(2741),
    [anon_sym_BSLASHrestore] = ACTIONS(2741),
    [anon_sym_BSLASHlit] = ACTIONS(2741),
    [anon_sym_BSLASHiqt] = ACTIONS(2741),
    [anon_sym_BSLASHip] = ACTIONS(2741),
    [anon_sym_BSLASHv] = ACTIONS(2741),
    [anon_sym_BSLASHva] = ACTIONS(2741),
    [anon_sym_BSLASHvp] = ACTIONS(2741),
    [anon_sym_BSLASHmte] = ACTIONS(2741),
    [anon_sym_BSLASHms] = ACTIONS(2741),
    [anon_sym_BSLASHmr] = ACTIONS(2741),
    [anon_sym_BSLASHs] = ACTIONS(2741),
    [anon_sym_BSLASHsr] = ACTIONS(2741),
    [anon_sym_BSLASHr] = ACTIONS(2741),
    [anon_sym_BSLASHsp] = ACTIONS(2741),
    [anon_sym_BSLASHd] = ACTIONS(2741),
    [anon_sym_BSLASHsd] = ACTIONS(2741),
    [anon_sym_BSLASHp] = ACTIONS(2741),
    [anon_sym_BSLASHm] = ACTIONS(2741),
    [anon_sym_BSLASHpo] = ACTIONS(2741),
    [anon_sym_BSLASHpr] = ACTIONS(2741),
    [anon_sym_BSLASHcls] = ACTIONS(2741),
    [anon_sym_BSLASHpmo] = ACTIONS(2741),
    [anon_sym_BSLASHpm] = ACTIONS(2741),
    [anon_sym_BSLASHpmc] = ACTIONS(2741),
    [anon_sym_BSLASHpmr] = ACTIONS(2741),
    [anon_sym_BSLASHpi] = ACTIONS(2741),
    [anon_sym_BSLASHmi] = ACTIONS(2741),
    [anon_sym_BSLASHnb] = ACTIONS(2741),
    [anon_sym_BSLASHpc] = ACTIONS(2741),
    [anon_sym_BSLASHph] = ACTIONS(2741),
    [anon_sym_BSLASHb] = ACTIONS(2741),
    [anon_sym_BSLASHq] = ACTIONS(2741),
    [anon_sym_BSLASHqr] = ACTIONS(2741),
    [anon_sym_BSLASHqc] = ACTIONS(2741),
    [anon_sym_BSLASHqa] = ACTIONS(2741),
    [anon_sym_BSLASHqm] = ACTIONS(2741),
    [anon_sym_BSLASHqd] = ACTIONS(2741),
    [anon_sym_BSLASHlh] = ACTIONS(2741),
    [anon_sym_BSLASHlf] = ACTIONS(2741),
    [anon_sym_BSLASHli] = ACTIONS(2741),
    [anon_sym_BSLASHlim] = ACTIONS(2741),
    [anon_sym_BSLASHliv] = ACTIONS(2741),
    [anon_sym_BSLASHlik] = ACTIONS(2741),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHlitl] = ACTIONS(2741),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHtr] = ACTIONS(2741),
    [anon_sym_BSLASHf] = ACTIONS(2741),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfe] = ACTIONS(2741),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHef] = ACTIONS(2741),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfr] = ACTIONS(2741),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfq] = ACTIONS(2741),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfqa] = ACTIONS(2741),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfk] = ACTIONS(2741),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfl] = ACTIONS(2741),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfw] = ACTIONS(2741),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfp] = ACTIONS(2741),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHft] = ACTIONS(2741),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfdc] = ACTIONS(2741),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHfv] = ACTIONS(2741),
    [anon_sym_BSLASHfm] = ACTIONS(2741),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2741),
    [anon_sym_BSLASHx] = ACTIONS(2741),
    [anon_sym_BSLASHxt] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2741),
    [anon_sym_BSLASHrq] = ACTIONS(2741),
    [anon_sym_BSLASHadd] = ACTIONS(2741),
    [anon_sym_BSLASHbk] = ACTIONS(2741),
    [anon_sym_BSLASHdc] = ACTIONS(2741),
    [anon_sym_BSLASHk] = ACTIONS(2741),
    [anon_sym_BSLASHnd] = ACTIONS(2741),
    [anon_sym_BSLASHord] = ACTIONS(2741),
    [anon_sym_BSLASHpn] = ACTIONS(2741),
    [anon_sym_BSLASHpng] = ACTIONS(2741),
    [anon_sym_BSLASHaddpn] = ACTIONS(2741),
    [anon_sym_BSLASHqt] = ACTIONS(2741),
    [anon_sym_BSLASHsig] = ACTIONS(2741),
    [anon_sym_BSLASHsls] = ACTIONS(2741),
    [anon_sym_BSLASHtl] = ACTIONS(2741),
    [anon_sym_BSLASHwj] = ACTIONS(2741),
    [anon_sym_BSLASHem] = ACTIONS(2741),
    [anon_sym_BSLASHbd] = ACTIONS(2741),
    [anon_sym_BSLASHit] = ACTIONS(2741),
    [anon_sym_BSLASHbdit] = ACTIONS(2741),
    [anon_sym_BSLASHno] = ACTIONS(2741),
    [anon_sym_BSLASHsc] = ACTIONS(2741),
    [anon_sym_BSLASHsup] = ACTIONS(2741),
    [anon_sym_BSLASHndx] = ACTIONS(2741),
    [anon_sym_BSLASHpro] = ACTIONS(2741),
    [anon_sym_BSLASHrb] = ACTIONS(2741),
    [anon_sym_BSLASHw] = ACTIONS(2741),
    [anon_sym_BSLASHwg] = ACTIONS(2741),
    [anon_sym_BSLASHwh] = ACTIONS(2741),
    [anon_sym_BSLASHwa] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2741),
    [anon_sym_BSLASHfig] = ACTIONS(2741),
    [anon_sym_BSLASHjmp] = ACTIONS(2741),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2741),
    [anon_sym_BSLASHpb] = ACTIONS(2741),
    [anon_sym_BSLASH] = ACTIONS(2741),
    [sym_milestoneStartTag] = ACTIONS(2741),
    [sym_milestoneEndTag] = ACTIONS(2741),
    [sym_zSpaceTag] = ACTIONS(2741),
    [anon_sym_BSLASHesbe] = ACTIONS(2741),
    [anon_sym_BSLASHcat] = ACTIONS(2741),
  },
  [256] = {
    [aux_sym_text_token1] = ACTIONS(2743),
    [anon_sym_BSLASHref] = ACTIONS(2745),
    [anon_sym_BSLASHsts] = ACTIONS(2745),
    [anon_sym_BSLASHrem] = ACTIONS(2745),
    [anon_sym_BSLASHrestore] = ACTIONS(2745),
    [anon_sym_BSLASHlit] = ACTIONS(2745),
    [anon_sym_BSLASHiqt] = ACTIONS(2745),
    [anon_sym_BSLASHip] = ACTIONS(2745),
    [anon_sym_BSLASHv] = ACTIONS(2745),
    [anon_sym_BSLASHva] = ACTIONS(2745),
    [anon_sym_BSLASHvp] = ACTIONS(2745),
    [anon_sym_BSLASHmte] = ACTIONS(2745),
    [anon_sym_BSLASHms] = ACTIONS(2745),
    [anon_sym_BSLASHmr] = ACTIONS(2745),
    [anon_sym_BSLASHs] = ACTIONS(2745),
    [anon_sym_BSLASHsr] = ACTIONS(2745),
    [anon_sym_BSLASHr] = ACTIONS(2745),
    [anon_sym_BSLASHsp] = ACTIONS(2745),
    [anon_sym_BSLASHd] = ACTIONS(2745),
    [anon_sym_BSLASHsd] = ACTIONS(2745),
    [anon_sym_BSLASHp] = ACTIONS(2745),
    [anon_sym_BSLASHm] = ACTIONS(2745),
    [anon_sym_BSLASHpo] = ACTIONS(2745),
    [anon_sym_BSLASHpr] = ACTIONS(2745),
    [anon_sym_BSLASHcls] = ACTIONS(2745),
    [anon_sym_BSLASHpmo] = ACTIONS(2745),
    [anon_sym_BSLASHpm] = ACTIONS(2745),
    [anon_sym_BSLASHpmc] = ACTIONS(2745),
    [anon_sym_BSLASHpmr] = ACTIONS(2745),
    [anon_sym_BSLASHpi] = ACTIONS(2745),
    [anon_sym_BSLASHmi] = ACTIONS(2745),
    [anon_sym_BSLASHnb] = ACTIONS(2745),
    [anon_sym_BSLASHpc] = ACTIONS(2745),
    [anon_sym_BSLASHph] = ACTIONS(2745),
    [anon_sym_BSLASHb] = ACTIONS(2745),
    [anon_sym_BSLASHq] = ACTIONS(2745),
    [anon_sym_BSLASHqr] = ACTIONS(2745),
    [anon_sym_BSLASHqc] = ACTIONS(2745),
    [anon_sym_BSLASHqa] = ACTIONS(2745),
    [anon_sym_BSLASHqm] = ACTIONS(2745),
    [anon_sym_BSLASHqd] = ACTIONS(2745),
    [anon_sym_BSLASHlh] = ACTIONS(2745),
    [anon_sym_BSLASHlf] = ACTIONS(2745),
    [anon_sym_BSLASHli] = ACTIONS(2745),
    [anon_sym_BSLASHlim] = ACTIONS(2745),
    [anon_sym_BSLASHliv] = ACTIONS(2745),
    [anon_sym_BSLASHlik] = ACTIONS(2745),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHlitl] = ACTIONS(2745),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHtr] = ACTIONS(2745),
    [anon_sym_BSLASHf] = ACTIONS(2745),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfe] = ACTIONS(2745),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHef] = ACTIONS(2745),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfr] = ACTIONS(2745),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfq] = ACTIONS(2745),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfqa] = ACTIONS(2745),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfk] = ACTIONS(2745),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfl] = ACTIONS(2745),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfw] = ACTIONS(2745),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfp] = ACTIONS(2745),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHft] = ACTIONS(2745),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfdc] = ACTIONS(2745),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHfv] = ACTIONS(2745),
    [anon_sym_BSLASHfm] = ACTIONS(2745),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2745),
    [anon_sym_BSLASHx] = ACTIONS(2745),
    [anon_sym_BSLASHxt] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2745),
    [anon_sym_BSLASHrq] = ACTIONS(2745),
    [anon_sym_BSLASHadd] = ACTIONS(2745),
    [anon_sym_BSLASHbk] = ACTIONS(2745),
    [anon_sym_BSLASHdc] = ACTIONS(2745),
    [anon_sym_BSLASHk] = ACTIONS(2745),
    [anon_sym_BSLASHnd] = ACTIONS(2745),
    [anon_sym_BSLASHord] = ACTIONS(2745),
    [anon_sym_BSLASHpn] = ACTIONS(2745),
    [anon_sym_BSLASHpng] = ACTIONS(2745),
    [anon_sym_BSLASHaddpn] = ACTIONS(2745),
    [anon_sym_BSLASHqt] = ACTIONS(2745),
    [anon_sym_BSLASHsig] = ACTIONS(2745),
    [anon_sym_BSLASHsls] = ACTIONS(2745),
    [anon_sym_BSLASHtl] = ACTIONS(2745),
    [anon_sym_BSLASHwj] = ACTIONS(2745),
    [anon_sym_BSLASHem] = ACTIONS(2745),
    [anon_sym_BSLASHbd] = ACTIONS(2745),
    [anon_sym_BSLASHit] = ACTIONS(2745),
    [anon_sym_BSLASHbdit] = ACTIONS(2745),
    [anon_sym_BSLASHno] = ACTIONS(2745),
    [anon_sym_BSLASHsc] = ACTIONS(2745),
    [anon_sym_BSLASHsup] = ACTIONS(2745),
    [anon_sym_BSLASHndx] = ACTIONS(2745),
    [anon_sym_BSLASHpro] = ACTIONS(2745),
    [anon_sym_BSLASHrb] = ACTIONS(2745),
    [anon_sym_BSLASHw] = ACTIONS(2745),
    [anon_sym_BSLASHwg] = ACTIONS(2745),
    [anon_sym_BSLASHwh] = ACTIONS(2745),
    [anon_sym_BSLASHwa] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2745),
    [anon_sym_BSLASHfig] = ACTIONS(2745),
    [anon_sym_BSLASHjmp] = ACTIONS(2745),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2745),
    [anon_sym_BSLASHpb] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2745),
    [sym_milestoneStartTag] = ACTIONS(2745),
    [sym_milestoneEndTag] = ACTIONS(2745),
    [sym_zSpaceTag] = ACTIONS(2745),
    [anon_sym_BSLASHesbe] = ACTIONS(2745),
    [anon_sym_BSLASHcat] = ACTIONS(2745),
  },
  [257] = {
    [aux_sym_text_token1] = ACTIONS(2747),
    [anon_sym_BSLASHref] = ACTIONS(2749),
    [anon_sym_BSLASHsts] = ACTIONS(2749),
    [anon_sym_BSLASHrem] = ACTIONS(2749),
    [anon_sym_BSLASHrestore] = ACTIONS(2749),
    [anon_sym_BSLASHlit] = ACTIONS(2749),
    [anon_sym_BSLASHiqt] = ACTIONS(2749),
    [anon_sym_BSLASHip] = ACTIONS(2749),
    [anon_sym_BSLASHv] = ACTIONS(2749),
    [anon_sym_BSLASHva] = ACTIONS(2749),
    [anon_sym_BSLASHvp] = ACTIONS(2749),
    [anon_sym_BSLASHmte] = ACTIONS(2749),
    [anon_sym_BSLASHms] = ACTIONS(2749),
    [anon_sym_BSLASHmr] = ACTIONS(2749),
    [anon_sym_BSLASHs] = ACTIONS(2749),
    [anon_sym_BSLASHsr] = ACTIONS(2749),
    [anon_sym_BSLASHr] = ACTIONS(2749),
    [anon_sym_BSLASHsp] = ACTIONS(2749),
    [anon_sym_BSLASHd] = ACTIONS(2749),
    [anon_sym_BSLASHsd] = ACTIONS(2749),
    [anon_sym_BSLASHp] = ACTIONS(2749),
    [anon_sym_BSLASHm] = ACTIONS(2749),
    [anon_sym_BSLASHpo] = ACTIONS(2749),
    [anon_sym_BSLASHpr] = ACTIONS(2749),
    [anon_sym_BSLASHcls] = ACTIONS(2749),
    [anon_sym_BSLASHpmo] = ACTIONS(2749),
    [anon_sym_BSLASHpm] = ACTIONS(2749),
    [anon_sym_BSLASHpmc] = ACTIONS(2749),
    [anon_sym_BSLASHpmr] = ACTIONS(2749),
    [anon_sym_BSLASHpi] = ACTIONS(2749),
    [anon_sym_BSLASHmi] = ACTIONS(2749),
    [anon_sym_BSLASHnb] = ACTIONS(2749),
    [anon_sym_BSLASHpc] = ACTIONS(2749),
    [anon_sym_BSLASHph] = ACTIONS(2749),
    [anon_sym_BSLASHb] = ACTIONS(2749),
    [anon_sym_BSLASHq] = ACTIONS(2749),
    [anon_sym_BSLASHqr] = ACTIONS(2749),
    [anon_sym_BSLASHqc] = ACTIONS(2749),
    [anon_sym_BSLASHqa] = ACTIONS(2749),
    [anon_sym_BSLASHqm] = ACTIONS(2749),
    [anon_sym_BSLASHqd] = ACTIONS(2749),
    [anon_sym_BSLASHlh] = ACTIONS(2749),
    [anon_sym_BSLASHlf] = ACTIONS(2749),
    [anon_sym_BSLASHli] = ACTIONS(2749),
    [anon_sym_BSLASHlim] = ACTIONS(2749),
    [anon_sym_BSLASHliv] = ACTIONS(2749),
    [anon_sym_BSLASHlik] = ACTIONS(2749),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHlitl] = ACTIONS(2749),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHtr] = ACTIONS(2749),
    [anon_sym_BSLASHf] = ACTIONS(2749),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfe] = ACTIONS(2749),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHef] = ACTIONS(2749),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfr] = ACTIONS(2749),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfq] = ACTIONS(2749),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfqa] = ACTIONS(2749),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfk] = ACTIONS(2749),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfl] = ACTIONS(2749),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfw] = ACTIONS(2749),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfp] = ACTIONS(2749),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHft] = ACTIONS(2749),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfdc] = ACTIONS(2749),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHfv] = ACTIONS(2749),
    [anon_sym_BSLASHfm] = ACTIONS(2749),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2749),
    [anon_sym_BSLASHx] = ACTIONS(2749),
    [anon_sym_BSLASHxt] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2749),
    [anon_sym_BSLASHrq] = ACTIONS(2749),
    [anon_sym_BSLASHadd] = ACTIONS(2749),
    [anon_sym_BSLASHbk] = ACTIONS(2749),
    [anon_sym_BSLASHdc] = ACTIONS(2749),
    [anon_sym_BSLASHk] = ACTIONS(2749),
    [anon_sym_BSLASHnd] = ACTIONS(2749),
    [anon_sym_BSLASHord] = ACTIONS(2749),
    [anon_sym_BSLASHpn] = ACTIONS(2749),
    [anon_sym_BSLASHpng] = ACTIONS(2749),
    [anon_sym_BSLASHaddpn] = ACTIONS(2749),
    [anon_sym_BSLASHqt] = ACTIONS(2749),
    [anon_sym_BSLASHsig] = ACTIONS(2749),
    [anon_sym_BSLASHsls] = ACTIONS(2749),
    [anon_sym_BSLASHtl] = ACTIONS(2749),
    [anon_sym_BSLASHwj] = ACTIONS(2749),
    [anon_sym_BSLASHem] = ACTIONS(2749),
    [anon_sym_BSLASHbd] = ACTIONS(2749),
    [anon_sym_BSLASHit] = ACTIONS(2749),
    [anon_sym_BSLASHbdit] = ACTIONS(2749),
    [anon_sym_BSLASHno] = ACTIONS(2749),
    [anon_sym_BSLASHsc] = ACTIONS(2749),
    [anon_sym_BSLASHsup] = ACTIONS(2749),
    [anon_sym_BSLASHndx] = ACTIONS(2749),
    [anon_sym_BSLASHpro] = ACTIONS(2749),
    [anon_sym_BSLASHrb] = ACTIONS(2749),
    [anon_sym_BSLASHw] = ACTIONS(2749),
    [anon_sym_BSLASHwg] = ACTIONS(2749),
    [anon_sym_BSLASHwh] = ACTIONS(2749),
    [anon_sym_BSLASHwa] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2749),
    [anon_sym_BSLASHfig] = ACTIONS(2749),
    [anon_sym_BSLASHjmp] = ACTIONS(2749),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2749),
    [anon_sym_BSLASHpb] = ACTIONS(2749),
    [anon_sym_BSLASH] = ACTIONS(2749),
    [sym_milestoneStartTag] = ACTIONS(2749),
    [sym_milestoneEndTag] = ACTIONS(2749),
    [sym_zSpaceTag] = ACTIONS(2749),
    [anon_sym_BSLASHesbe] = ACTIONS(2749),
    [anon_sym_BSLASHcat] = ACTIONS(2749),
  },
  [258] = {
    [aux_sym_text_token1] = ACTIONS(2751),
    [anon_sym_BSLASHref] = ACTIONS(2753),
    [anon_sym_BSLASHsts] = ACTIONS(2753),
    [anon_sym_BSLASHrem] = ACTIONS(2753),
    [anon_sym_BSLASHrestore] = ACTIONS(2753),
    [anon_sym_BSLASHlit] = ACTIONS(2753),
    [anon_sym_BSLASHiqt] = ACTIONS(2753),
    [anon_sym_BSLASHip] = ACTIONS(2753),
    [anon_sym_BSLASHv] = ACTIONS(2753),
    [anon_sym_BSLASHva] = ACTIONS(2753),
    [anon_sym_BSLASHvp] = ACTIONS(2753),
    [anon_sym_BSLASHmte] = ACTIONS(2753),
    [anon_sym_BSLASHms] = ACTIONS(2753),
    [anon_sym_BSLASHmr] = ACTIONS(2753),
    [anon_sym_BSLASHs] = ACTIONS(2753),
    [anon_sym_BSLASHsr] = ACTIONS(2753),
    [anon_sym_BSLASHr] = ACTIONS(2753),
    [anon_sym_BSLASHsp] = ACTIONS(2753),
    [anon_sym_BSLASHd] = ACTIONS(2753),
    [anon_sym_BSLASHsd] = ACTIONS(2753),
    [anon_sym_BSLASHp] = ACTIONS(2753),
    [anon_sym_BSLASHm] = ACTIONS(2753),
    [anon_sym_BSLASHpo] = ACTIONS(2753),
    [anon_sym_BSLASHpr] = ACTIONS(2753),
    [anon_sym_BSLASHcls] = ACTIONS(2753),
    [anon_sym_BSLASHpmo] = ACTIONS(2753),
    [anon_sym_BSLASHpm] = ACTIONS(2753),
    [anon_sym_BSLASHpmc] = ACTIONS(2753),
    [anon_sym_BSLASHpmr] = ACTIONS(2753),
    [anon_sym_BSLASHpi] = ACTIONS(2753),
    [anon_sym_BSLASHmi] = ACTIONS(2753),
    [anon_sym_BSLASHnb] = ACTIONS(2753),
    [anon_sym_BSLASHpc] = ACTIONS(2753),
    [anon_sym_BSLASHph] = ACTIONS(2753),
    [anon_sym_BSLASHb] = ACTIONS(2753),
    [anon_sym_BSLASHq] = ACTIONS(2753),
    [anon_sym_BSLASHqr] = ACTIONS(2753),
    [anon_sym_BSLASHqc] = ACTIONS(2753),
    [anon_sym_BSLASHqa] = ACTIONS(2753),
    [anon_sym_BSLASHqm] = ACTIONS(2753),
    [anon_sym_BSLASHqd] = ACTIONS(2753),
    [anon_sym_BSLASHlh] = ACTIONS(2753),
    [anon_sym_BSLASHlf] = ACTIONS(2753),
    [anon_sym_BSLASHli] = ACTIONS(2753),
    [anon_sym_BSLASHlim] = ACTIONS(2753),
    [anon_sym_BSLASHliv] = ACTIONS(2753),
    [anon_sym_BSLASHlik] = ACTIONS(2753),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHlitl] = ACTIONS(2753),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHtr] = ACTIONS(2753),
    [anon_sym_BSLASHf] = ACTIONS(2753),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHfe] = ACTIONS(2753),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHef] = ACTIONS(2753),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHfr] = ACTIONS(2753),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHfq] = ACTIONS(2753),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHfqa] = ACTIONS(2753),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHfk] = ACTIONS(2753),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHfl] = ACTIONS(2753),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHfw] = ACTIONS(2753),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHfp] = ACTIONS(2753),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHft] = ACTIONS(2753),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHfdc] = ACTIONS(2753),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHfv] = ACTIONS(2753),
    [anon_sym_BSLASHfm] = ACTIONS(2753),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2753),
    [anon_sym_BSLASHx] = ACTIONS(2753),
    [anon_sym_BSLASHxt] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2753),
    [anon_sym_BSLASHrq] = ACTIONS(2753),
    [anon_sym_BSLASHadd] = ACTIONS(2753),
    [anon_sym_BSLASHbk] = ACTIONS(2753),
    [anon_sym_BSLASHdc] = ACTIONS(2753),
    [anon_sym_BSLASHk] = ACTIONS(2753),
    [anon_sym_BSLASHnd] = ACTIONS(2753),
    [anon_sym_BSLASHord] = ACTIONS(2753),
    [anon_sym_BSLASHpn] = ACTIONS(2753),
    [anon_sym_BSLASHpng] = ACTIONS(2753),
    [anon_sym_BSLASHaddpn] = ACTIONS(2753),
    [anon_sym_BSLASHqt] = ACTIONS(2753),
    [anon_sym_BSLASHsig] = ACTIONS(2753),
    [anon_sym_BSLASHsls] = ACTIONS(2753),
    [anon_sym_BSLASHtl] = ACTIONS(2753),
    [anon_sym_BSLASHwj] = ACTIONS(2753),
    [anon_sym_BSLASHem] = ACTIONS(2753),
    [anon_sym_BSLASHbd] = ACTIONS(2753),
    [anon_sym_BSLASHit] = ACTIONS(2753),
    [anon_sym_BSLASHbdit] = ACTIONS(2753),
    [anon_sym_BSLASHno] = ACTIONS(2753),
    [anon_sym_BSLASHsc] = ACTIONS(2753),
    [anon_sym_BSLASHsup] = ACTIONS(2753),
    [anon_sym_BSLASHndx] = ACTIONS(2753),
    [anon_sym_BSLASHpro] = ACTIONS(2753),
    [anon_sym_BSLASHrb] = ACTIONS(2753),
    [anon_sym_BSLASHw] = ACTIONS(2753),
    [anon_sym_BSLASHwg] = ACTIONS(2753),
    [anon_sym_BSLASHwh] = ACTIONS(2753),
    [anon_sym_BSLASHwa] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2753),
    [anon_sym_BSLASHfig] = ACTIONS(2753),
    [anon_sym_BSLASHjmp] = ACTIONS(2753),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2753),
    [anon_sym_BSLASHpb] = ACTIONS(2753),
    [anon_sym_BSLASH] = ACTIONS(2753),
    [sym_milestoneStartTag] = ACTIONS(2753),
    [sym_milestoneEndTag] = ACTIONS(2753),
    [sym_zSpaceTag] = ACTIONS(2753),
    [anon_sym_BSLASHesbe] = ACTIONS(2753),
    [anon_sym_BSLASHcat] = ACTIONS(2753),
  },
  [259] = {
    [aux_sym_text_token1] = ACTIONS(2755),
    [anon_sym_BSLASHref] = ACTIONS(2757),
    [anon_sym_BSLASHsts] = ACTIONS(2757),
    [anon_sym_BSLASHrem] = ACTIONS(2757),
    [anon_sym_BSLASHrestore] = ACTIONS(2757),
    [anon_sym_BSLASHlit] = ACTIONS(2757),
    [anon_sym_BSLASHiqt] = ACTIONS(2757),
    [anon_sym_BSLASHip] = ACTIONS(2757),
    [anon_sym_BSLASHv] = ACTIONS(2757),
    [anon_sym_BSLASHva] = ACTIONS(2757),
    [anon_sym_BSLASHvp] = ACTIONS(2757),
    [anon_sym_BSLASHmte] = ACTIONS(2757),
    [anon_sym_BSLASHms] = ACTIONS(2757),
    [anon_sym_BSLASHmr] = ACTIONS(2757),
    [anon_sym_BSLASHs] = ACTIONS(2757),
    [anon_sym_BSLASHsr] = ACTIONS(2757),
    [anon_sym_BSLASHr] = ACTIONS(2757),
    [anon_sym_BSLASHsp] = ACTIONS(2757),
    [anon_sym_BSLASHd] = ACTIONS(2757),
    [anon_sym_BSLASHsd] = ACTIONS(2757),
    [anon_sym_BSLASHp] = ACTIONS(2757),
    [anon_sym_BSLASHm] = ACTIONS(2757),
    [anon_sym_BSLASHpo] = ACTIONS(2757),
    [anon_sym_BSLASHpr] = ACTIONS(2757),
    [anon_sym_BSLASHcls] = ACTIONS(2757),
    [anon_sym_BSLASHpmo] = ACTIONS(2757),
    [anon_sym_BSLASHpm] = ACTIONS(2757),
    [anon_sym_BSLASHpmc] = ACTIONS(2757),
    [anon_sym_BSLASHpmr] = ACTIONS(2757),
    [anon_sym_BSLASHpi] = ACTIONS(2757),
    [anon_sym_BSLASHmi] = ACTIONS(2757),
    [anon_sym_BSLASHnb] = ACTIONS(2757),
    [anon_sym_BSLASHpc] = ACTIONS(2757),
    [anon_sym_BSLASHph] = ACTIONS(2757),
    [anon_sym_BSLASHb] = ACTIONS(2757),
    [anon_sym_BSLASHq] = ACTIONS(2757),
    [anon_sym_BSLASHqr] = ACTIONS(2757),
    [anon_sym_BSLASHqc] = ACTIONS(2757),
    [anon_sym_BSLASHqa] = ACTIONS(2757),
    [anon_sym_BSLASHqm] = ACTIONS(2757),
    [anon_sym_BSLASHqd] = ACTIONS(2757),
    [anon_sym_BSLASHlh] = ACTIONS(2757),
    [anon_sym_BSLASHlf] = ACTIONS(2757),
    [anon_sym_BSLASHli] = ACTIONS(2757),
    [anon_sym_BSLASHlim] = ACTIONS(2757),
    [anon_sym_BSLASHliv] = ACTIONS(2757),
    [anon_sym_BSLASHlik] = ACTIONS(2757),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHlitl] = ACTIONS(2757),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHtr] = ACTIONS(2757),
    [anon_sym_BSLASHf] = ACTIONS(2757),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHfe] = ACTIONS(2757),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHef] = ACTIONS(2757),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHfr] = ACTIONS(2757),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHfq] = ACTIONS(2757),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHfqa] = ACTIONS(2757),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHfk] = ACTIONS(2757),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHfl] = ACTIONS(2757),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHfw] = ACTIONS(2757),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHfp] = ACTIONS(2757),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHft] = ACTIONS(2757),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHfdc] = ACTIONS(2757),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHfv] = ACTIONS(2757),
    [anon_sym_BSLASHfm] = ACTIONS(2757),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2757),
    [anon_sym_BSLASHx] = ACTIONS(2757),
    [anon_sym_BSLASHxt] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2757),
    [anon_sym_BSLASHrq] = ACTIONS(2757),
    [anon_sym_BSLASHadd] = ACTIONS(2757),
    [anon_sym_BSLASHbk] = ACTIONS(2757),
    [anon_sym_BSLASHdc] = ACTIONS(2757),
    [anon_sym_BSLASHk] = ACTIONS(2757),
    [anon_sym_BSLASHnd] = ACTIONS(2757),
    [anon_sym_BSLASHord] = ACTIONS(2757),
    [anon_sym_BSLASHpn] = ACTIONS(2757),
    [anon_sym_BSLASHpng] = ACTIONS(2757),
    [anon_sym_BSLASHaddpn] = ACTIONS(2757),
    [anon_sym_BSLASHqt] = ACTIONS(2757),
    [anon_sym_BSLASHsig] = ACTIONS(2757),
    [anon_sym_BSLASHsls] = ACTIONS(2757),
    [anon_sym_BSLASHtl] = ACTIONS(2757),
    [anon_sym_BSLASHwj] = ACTIONS(2757),
    [anon_sym_BSLASHem] = ACTIONS(2757),
    [anon_sym_BSLASHbd] = ACTIONS(2757),
    [anon_sym_BSLASHit] = ACTIONS(2757),
    [anon_sym_BSLASHbdit] = ACTIONS(2757),
    [anon_sym_BSLASHno] = ACTIONS(2757),
    [anon_sym_BSLASHsc] = ACTIONS(2757),
    [anon_sym_BSLASHsup] = ACTIONS(2757),
    [anon_sym_BSLASHndx] = ACTIONS(2757),
    [anon_sym_BSLASHpro] = ACTIONS(2757),
    [anon_sym_BSLASHrb] = ACTIONS(2757),
    [anon_sym_BSLASHw] = ACTIONS(2757),
    [anon_sym_BSLASHwg] = ACTIONS(2757),
    [anon_sym_BSLASHwh] = ACTIONS(2757),
    [anon_sym_BSLASHwa] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2757),
    [anon_sym_BSLASHfig] = ACTIONS(2757),
    [anon_sym_BSLASHjmp] = ACTIONS(2757),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2757),
    [anon_sym_BSLASHpb] = ACTIONS(2757),
    [anon_sym_BSLASH] = ACTIONS(2757),
    [sym_milestoneStartTag] = ACTIONS(2757),
    [sym_milestoneEndTag] = ACTIONS(2757),
    [sym_zSpaceTag] = ACTIONS(2757),
    [anon_sym_BSLASHesbe] = ACTIONS(2757),
    [anon_sym_BSLASHcat] = ACTIONS(2757),
  },
  [260] = {
    [aux_sym_text_token1] = ACTIONS(2759),
    [anon_sym_BSLASHref] = ACTIONS(2761),
    [anon_sym_BSLASHsts] = ACTIONS(2761),
    [anon_sym_BSLASHrem] = ACTIONS(2761),
    [anon_sym_BSLASHrestore] = ACTIONS(2761),
    [anon_sym_BSLASHlit] = ACTIONS(2761),
    [anon_sym_BSLASHiqt] = ACTIONS(2761),
    [anon_sym_BSLASHip] = ACTIONS(2761),
    [anon_sym_BSLASHv] = ACTIONS(2761),
    [anon_sym_BSLASHva] = ACTIONS(2761),
    [anon_sym_BSLASHvp] = ACTIONS(2761),
    [anon_sym_BSLASHmte] = ACTIONS(2761),
    [anon_sym_BSLASHms] = ACTIONS(2761),
    [anon_sym_BSLASHmr] = ACTIONS(2761),
    [anon_sym_BSLASHs] = ACTIONS(2761),
    [anon_sym_BSLASHsr] = ACTIONS(2761),
    [anon_sym_BSLASHr] = ACTIONS(2761),
    [anon_sym_BSLASHsp] = ACTIONS(2761),
    [anon_sym_BSLASHd] = ACTIONS(2761),
    [anon_sym_BSLASHsd] = ACTIONS(2761),
    [anon_sym_BSLASHp] = ACTIONS(2761),
    [anon_sym_BSLASHm] = ACTIONS(2761),
    [anon_sym_BSLASHpo] = ACTIONS(2761),
    [anon_sym_BSLASHpr] = ACTIONS(2761),
    [anon_sym_BSLASHcls] = ACTIONS(2761),
    [anon_sym_BSLASHpmo] = ACTIONS(2761),
    [anon_sym_BSLASHpm] = ACTIONS(2761),
    [anon_sym_BSLASHpmc] = ACTIONS(2761),
    [anon_sym_BSLASHpmr] = ACTIONS(2761),
    [anon_sym_BSLASHpi] = ACTIONS(2761),
    [anon_sym_BSLASHmi] = ACTIONS(2761),
    [anon_sym_BSLASHnb] = ACTIONS(2761),
    [anon_sym_BSLASHpc] = ACTIONS(2761),
    [anon_sym_BSLASHph] = ACTIONS(2761),
    [anon_sym_BSLASHb] = ACTIONS(2761),
    [anon_sym_BSLASHq] = ACTIONS(2761),
    [anon_sym_BSLASHqr] = ACTIONS(2761),
    [anon_sym_BSLASHqc] = ACTIONS(2761),
    [anon_sym_BSLASHqa] = ACTIONS(2761),
    [anon_sym_BSLASHqm] = ACTIONS(2761),
    [anon_sym_BSLASHqd] = ACTIONS(2761),
    [anon_sym_BSLASHlh] = ACTIONS(2761),
    [anon_sym_BSLASHlf] = ACTIONS(2761),
    [anon_sym_BSLASHli] = ACTIONS(2761),
    [anon_sym_BSLASHlim] = ACTIONS(2761),
    [anon_sym_BSLASHliv] = ACTIONS(2761),
    [anon_sym_BSLASHlik] = ACTIONS(2761),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHlitl] = ACTIONS(2761),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHtr] = ACTIONS(2761),
    [anon_sym_BSLASHf] = ACTIONS(2761),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHfe] = ACTIONS(2761),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHef] = ACTIONS(2761),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHfr] = ACTIONS(2761),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHfq] = ACTIONS(2761),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHfqa] = ACTIONS(2761),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHfk] = ACTIONS(2761),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHfl] = ACTIONS(2761),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHfw] = ACTIONS(2761),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHfp] = ACTIONS(2761),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHft] = ACTIONS(2761),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHfdc] = ACTIONS(2761),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHfv] = ACTIONS(2761),
    [anon_sym_BSLASHfm] = ACTIONS(2761),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2761),
    [anon_sym_BSLASHx] = ACTIONS(2761),
    [anon_sym_BSLASHxt] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2761),
    [anon_sym_BSLASHrq] = ACTIONS(2761),
    [anon_sym_BSLASHadd] = ACTIONS(2761),
    [anon_sym_BSLASHbk] = ACTIONS(2761),
    [anon_sym_BSLASHdc] = ACTIONS(2761),
    [anon_sym_BSLASHk] = ACTIONS(2761),
    [anon_sym_BSLASHnd] = ACTIONS(2761),
    [anon_sym_BSLASHord] = ACTIONS(2761),
    [anon_sym_BSLASHpn] = ACTIONS(2761),
    [anon_sym_BSLASHpng] = ACTIONS(2761),
    [anon_sym_BSLASHaddpn] = ACTIONS(2761),
    [anon_sym_BSLASHqt] = ACTIONS(2761),
    [anon_sym_BSLASHsig] = ACTIONS(2761),
    [anon_sym_BSLASHsls] = ACTIONS(2761),
    [anon_sym_BSLASHtl] = ACTIONS(2761),
    [anon_sym_BSLASHwj] = ACTIONS(2761),
    [anon_sym_BSLASHem] = ACTIONS(2761),
    [anon_sym_BSLASHbd] = ACTIONS(2761),
    [anon_sym_BSLASHit] = ACTIONS(2761),
    [anon_sym_BSLASHbdit] = ACTIONS(2761),
    [anon_sym_BSLASHno] = ACTIONS(2761),
    [anon_sym_BSLASHsc] = ACTIONS(2761),
    [anon_sym_BSLASHsup] = ACTIONS(2761),
    [anon_sym_BSLASHndx] = ACTIONS(2761),
    [anon_sym_BSLASHpro] = ACTIONS(2761),
    [anon_sym_BSLASHrb] = ACTIONS(2761),
    [anon_sym_BSLASHw] = ACTIONS(2761),
    [anon_sym_BSLASHwg] = ACTIONS(2761),
    [anon_sym_BSLASHwh] = ACTIONS(2761),
    [anon_sym_BSLASHwa] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2761),
    [anon_sym_BSLASHfig] = ACTIONS(2761),
    [anon_sym_BSLASHjmp] = ACTIONS(2761),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2761),
    [anon_sym_BSLASHpb] = ACTIONS(2761),
    [anon_sym_BSLASH] = ACTIONS(2761),
    [sym_milestoneStartTag] = ACTIONS(2761),
    [sym_milestoneEndTag] = ACTIONS(2761),
    [sym_zSpaceTag] = ACTIONS(2761),
    [anon_sym_BSLASHesbe] = ACTIONS(2761),
    [anon_sym_BSLASHcat] = ACTIONS(2761),
  },
  [261] = {
    [aux_sym_text_token1] = ACTIONS(2763),
    [anon_sym_BSLASHref] = ACTIONS(2765),
    [anon_sym_BSLASHsts] = ACTIONS(2765),
    [anon_sym_BSLASHrem] = ACTIONS(2765),
    [anon_sym_BSLASHrestore] = ACTIONS(2765),
    [anon_sym_BSLASHlit] = ACTIONS(2765),
    [anon_sym_BSLASHiqt] = ACTIONS(2765),
    [anon_sym_BSLASHip] = ACTIONS(2765),
    [anon_sym_BSLASHv] = ACTIONS(2765),
    [anon_sym_BSLASHva] = ACTIONS(2765),
    [anon_sym_BSLASHvp] = ACTIONS(2765),
    [anon_sym_BSLASHmte] = ACTIONS(2765),
    [anon_sym_BSLASHms] = ACTIONS(2765),
    [anon_sym_BSLASHmr] = ACTIONS(2765),
    [anon_sym_BSLASHs] = ACTIONS(2765),
    [anon_sym_BSLASHsr] = ACTIONS(2765),
    [anon_sym_BSLASHr] = ACTIONS(2765),
    [anon_sym_BSLASHsp] = ACTIONS(2765),
    [anon_sym_BSLASHd] = ACTIONS(2765),
    [anon_sym_BSLASHsd] = ACTIONS(2765),
    [anon_sym_BSLASHp] = ACTIONS(2765),
    [anon_sym_BSLASHm] = ACTIONS(2765),
    [anon_sym_BSLASHpo] = ACTIONS(2765),
    [anon_sym_BSLASHpr] = ACTIONS(2765),
    [anon_sym_BSLASHcls] = ACTIONS(2765),
    [anon_sym_BSLASHpmo] = ACTIONS(2765),
    [anon_sym_BSLASHpm] = ACTIONS(2765),
    [anon_sym_BSLASHpmc] = ACTIONS(2765),
    [anon_sym_BSLASHpmr] = ACTIONS(2765),
    [anon_sym_BSLASHpi] = ACTIONS(2765),
    [anon_sym_BSLASHmi] = ACTIONS(2765),
    [anon_sym_BSLASHnb] = ACTIONS(2765),
    [anon_sym_BSLASHpc] = ACTIONS(2765),
    [anon_sym_BSLASHph] = ACTIONS(2765),
    [anon_sym_BSLASHb] = ACTIONS(2765),
    [anon_sym_BSLASHq] = ACTIONS(2765),
    [anon_sym_BSLASHqr] = ACTIONS(2765),
    [anon_sym_BSLASHqc] = ACTIONS(2765),
    [anon_sym_BSLASHqa] = ACTIONS(2765),
    [anon_sym_BSLASHqm] = ACTIONS(2765),
    [anon_sym_BSLASHqd] = ACTIONS(2765),
    [anon_sym_BSLASHlh] = ACTIONS(2765),
    [anon_sym_BSLASHlf] = ACTIONS(2765),
    [anon_sym_BSLASHli] = ACTIONS(2765),
    [anon_sym_BSLASHlim] = ACTIONS(2765),
    [anon_sym_BSLASHliv] = ACTIONS(2765),
    [anon_sym_BSLASHlik] = ACTIONS(2765),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHlitl] = ACTIONS(2765),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHtr] = ACTIONS(2765),
    [anon_sym_BSLASHf] = ACTIONS(2765),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHfe] = ACTIONS(2765),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHef] = ACTIONS(2765),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHfr] = ACTIONS(2765),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHfq] = ACTIONS(2765),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHfqa] = ACTIONS(2765),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHfk] = ACTIONS(2765),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHfl] = ACTIONS(2765),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHfw] = ACTIONS(2765),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHfp] = ACTIONS(2765),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHft] = ACTIONS(2765),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHfdc] = ACTIONS(2765),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHfv] = ACTIONS(2765),
    [anon_sym_BSLASHfm] = ACTIONS(2765),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2765),
    [anon_sym_BSLASHx] = ACTIONS(2765),
    [anon_sym_BSLASHxt] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2765),
    [anon_sym_BSLASHrq] = ACTIONS(2765),
    [anon_sym_BSLASHadd] = ACTIONS(2765),
    [anon_sym_BSLASHbk] = ACTIONS(2765),
    [anon_sym_BSLASHdc] = ACTIONS(2765),
    [anon_sym_BSLASHk] = ACTIONS(2765),
    [anon_sym_BSLASHnd] = ACTIONS(2765),
    [anon_sym_BSLASHord] = ACTIONS(2765),
    [anon_sym_BSLASHpn] = ACTIONS(2765),
    [anon_sym_BSLASHpng] = ACTIONS(2765),
    [anon_sym_BSLASHaddpn] = ACTIONS(2765),
    [anon_sym_BSLASHqt] = ACTIONS(2765),
    [anon_sym_BSLASHsig] = ACTIONS(2765),
    [anon_sym_BSLASHsls] = ACTIONS(2765),
    [anon_sym_BSLASHtl] = ACTIONS(2765),
    [anon_sym_BSLASHwj] = ACTIONS(2765),
    [anon_sym_BSLASHem] = ACTIONS(2765),
    [anon_sym_BSLASHbd] = ACTIONS(2765),
    [anon_sym_BSLASHit] = ACTIONS(2765),
    [anon_sym_BSLASHbdit] = ACTIONS(2765),
    [anon_sym_BSLASHno] = ACTIONS(2765),
    [anon_sym_BSLASHsc] = ACTIONS(2765),
    [anon_sym_BSLASHsup] = ACTIONS(2765),
    [anon_sym_BSLASHndx] = ACTIONS(2765),
    [anon_sym_BSLASHpro] = ACTIONS(2765),
    [anon_sym_BSLASHrb] = ACTIONS(2765),
    [anon_sym_BSLASHw] = ACTIONS(2765),
    [anon_sym_BSLASHwg] = ACTIONS(2765),
    [anon_sym_BSLASHwh] = ACTIONS(2765),
    [anon_sym_BSLASHwa] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2765),
    [anon_sym_BSLASHfig] = ACTIONS(2765),
    [anon_sym_BSLASHjmp] = ACTIONS(2765),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2765),
    [anon_sym_BSLASHpb] = ACTIONS(2765),
    [anon_sym_BSLASH] = ACTIONS(2765),
    [sym_milestoneStartTag] = ACTIONS(2765),
    [sym_milestoneEndTag] = ACTIONS(2765),
    [sym_zSpaceTag] = ACTIONS(2765),
    [anon_sym_BSLASHesbe] = ACTIONS(2765),
    [anon_sym_BSLASHcat] = ACTIONS(2765),
  },
  [262] = {
    [aux_sym_text_token1] = ACTIONS(2767),
    [anon_sym_BSLASHref] = ACTIONS(2769),
    [anon_sym_BSLASHsts] = ACTIONS(2769),
    [anon_sym_BSLASHrem] = ACTIONS(2769),
    [anon_sym_BSLASHrestore] = ACTIONS(2769),
    [anon_sym_BSLASHlit] = ACTIONS(2769),
    [anon_sym_BSLASHiqt] = ACTIONS(2769),
    [anon_sym_BSLASHip] = ACTIONS(2769),
    [anon_sym_BSLASHv] = ACTIONS(2769),
    [anon_sym_BSLASHva] = ACTIONS(2769),
    [anon_sym_BSLASHvp] = ACTIONS(2769),
    [anon_sym_BSLASHmte] = ACTIONS(2769),
    [anon_sym_BSLASHms] = ACTIONS(2769),
    [anon_sym_BSLASHmr] = ACTIONS(2769),
    [anon_sym_BSLASHs] = ACTIONS(2769),
    [anon_sym_BSLASHsr] = ACTIONS(2769),
    [anon_sym_BSLASHr] = ACTIONS(2769),
    [anon_sym_BSLASHsp] = ACTIONS(2769),
    [anon_sym_BSLASHd] = ACTIONS(2769),
    [anon_sym_BSLASHsd] = ACTIONS(2769),
    [anon_sym_BSLASHp] = ACTIONS(2769),
    [anon_sym_BSLASHm] = ACTIONS(2769),
    [anon_sym_BSLASHpo] = ACTIONS(2769),
    [anon_sym_BSLASHpr] = ACTIONS(2769),
    [anon_sym_BSLASHcls] = ACTIONS(2769),
    [anon_sym_BSLASHpmo] = ACTIONS(2769),
    [anon_sym_BSLASHpm] = ACTIONS(2769),
    [anon_sym_BSLASHpmc] = ACTIONS(2769),
    [anon_sym_BSLASHpmr] = ACTIONS(2769),
    [anon_sym_BSLASHpi] = ACTIONS(2769),
    [anon_sym_BSLASHmi] = ACTIONS(2769),
    [anon_sym_BSLASHnb] = ACTIONS(2769),
    [anon_sym_BSLASHpc] = ACTIONS(2769),
    [anon_sym_BSLASHph] = ACTIONS(2769),
    [anon_sym_BSLASHb] = ACTIONS(2769),
    [anon_sym_BSLASHq] = ACTIONS(2769),
    [anon_sym_BSLASHqr] = ACTIONS(2769),
    [anon_sym_BSLASHqc] = ACTIONS(2769),
    [anon_sym_BSLASHqa] = ACTIONS(2769),
    [anon_sym_BSLASHqm] = ACTIONS(2769),
    [anon_sym_BSLASHqd] = ACTIONS(2769),
    [anon_sym_BSLASHlh] = ACTIONS(2769),
    [anon_sym_BSLASHlf] = ACTIONS(2769),
    [anon_sym_BSLASHli] = ACTIONS(2769),
    [anon_sym_BSLASHlim] = ACTIONS(2769),
    [anon_sym_BSLASHliv] = ACTIONS(2769),
    [anon_sym_BSLASHlik] = ACTIONS(2769),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHlitl] = ACTIONS(2769),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHtr] = ACTIONS(2769),
    [anon_sym_BSLASHf] = ACTIONS(2769),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHfe] = ACTIONS(2769),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHef] = ACTIONS(2769),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHfr] = ACTIONS(2769),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHfq] = ACTIONS(2769),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHfqa] = ACTIONS(2769),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHfk] = ACTIONS(2769),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHfl] = ACTIONS(2769),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHfw] = ACTIONS(2769),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHfp] = ACTIONS(2769),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHft] = ACTIONS(2769),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHfdc] = ACTIONS(2769),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHfv] = ACTIONS(2769),
    [anon_sym_BSLASHfm] = ACTIONS(2769),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2769),
    [anon_sym_BSLASHx] = ACTIONS(2769),
    [anon_sym_BSLASHxt] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2769),
    [anon_sym_BSLASHrq] = ACTIONS(2769),
    [anon_sym_BSLASHadd] = ACTIONS(2769),
    [anon_sym_BSLASHbk] = ACTIONS(2769),
    [anon_sym_BSLASHdc] = ACTIONS(2769),
    [anon_sym_BSLASHk] = ACTIONS(2769),
    [anon_sym_BSLASHnd] = ACTIONS(2769),
    [anon_sym_BSLASHord] = ACTIONS(2769),
    [anon_sym_BSLASHpn] = ACTIONS(2769),
    [anon_sym_BSLASHpng] = ACTIONS(2769),
    [anon_sym_BSLASHaddpn] = ACTIONS(2769),
    [anon_sym_BSLASHqt] = ACTIONS(2769),
    [anon_sym_BSLASHsig] = ACTIONS(2769),
    [anon_sym_BSLASHsls] = ACTIONS(2769),
    [anon_sym_BSLASHtl] = ACTIONS(2769),
    [anon_sym_BSLASHwj] = ACTIONS(2769),
    [anon_sym_BSLASHem] = ACTIONS(2769),
    [anon_sym_BSLASHbd] = ACTIONS(2769),
    [anon_sym_BSLASHit] = ACTIONS(2769),
    [anon_sym_BSLASHbdit] = ACTIONS(2769),
    [anon_sym_BSLASHno] = ACTIONS(2769),
    [anon_sym_BSLASHsc] = ACTIONS(2769),
    [anon_sym_BSLASHsup] = ACTIONS(2769),
    [anon_sym_BSLASHndx] = ACTIONS(2769),
    [anon_sym_BSLASHpro] = ACTIONS(2769),
    [anon_sym_BSLASHrb] = ACTIONS(2769),
    [anon_sym_BSLASHw] = ACTIONS(2769),
    [anon_sym_BSLASHwg] = ACTIONS(2769),
    [anon_sym_BSLASHwh] = ACTIONS(2769),
    [anon_sym_BSLASHwa] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2769),
    [anon_sym_BSLASHfig] = ACTIONS(2769),
    [anon_sym_BSLASHjmp] = ACTIONS(2769),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2769),
    [anon_sym_BSLASHpb] = ACTIONS(2769),
    [anon_sym_BSLASH] = ACTIONS(2769),
    [sym_milestoneStartTag] = ACTIONS(2769),
    [sym_milestoneEndTag] = ACTIONS(2769),
    [sym_zSpaceTag] = ACTIONS(2769),
    [anon_sym_BSLASHesbe] = ACTIONS(2769),
    [anon_sym_BSLASHcat] = ACTIONS(2769),
  },
  [263] = {
    [aux_sym_text_token1] = ACTIONS(2771),
    [anon_sym_BSLASHref] = ACTIONS(2773),
    [anon_sym_BSLASHsts] = ACTIONS(2773),
    [anon_sym_BSLASHrem] = ACTIONS(2773),
    [anon_sym_BSLASHrestore] = ACTIONS(2773),
    [anon_sym_BSLASHlit] = ACTIONS(2773),
    [anon_sym_BSLASHiqt] = ACTIONS(2773),
    [anon_sym_BSLASHip] = ACTIONS(2773),
    [anon_sym_BSLASHv] = ACTIONS(2773),
    [anon_sym_BSLASHva] = ACTIONS(2773),
    [anon_sym_BSLASHvp] = ACTIONS(2773),
    [anon_sym_BSLASHmte] = ACTIONS(2773),
    [anon_sym_BSLASHms] = ACTIONS(2773),
    [anon_sym_BSLASHmr] = ACTIONS(2773),
    [anon_sym_BSLASHs] = ACTIONS(2773),
    [anon_sym_BSLASHsr] = ACTIONS(2773),
    [anon_sym_BSLASHr] = ACTIONS(2773),
    [anon_sym_BSLASHsp] = ACTIONS(2773),
    [anon_sym_BSLASHd] = ACTIONS(2773),
    [anon_sym_BSLASHsd] = ACTIONS(2773),
    [anon_sym_BSLASHp] = ACTIONS(2773),
    [anon_sym_BSLASHm] = ACTIONS(2773),
    [anon_sym_BSLASHpo] = ACTIONS(2773),
    [anon_sym_BSLASHpr] = ACTIONS(2773),
    [anon_sym_BSLASHcls] = ACTIONS(2773),
    [anon_sym_BSLASHpmo] = ACTIONS(2773),
    [anon_sym_BSLASHpm] = ACTIONS(2773),
    [anon_sym_BSLASHpmc] = ACTIONS(2773),
    [anon_sym_BSLASHpmr] = ACTIONS(2773),
    [anon_sym_BSLASHpi] = ACTIONS(2773),
    [anon_sym_BSLASHmi] = ACTIONS(2773),
    [anon_sym_BSLASHnb] = ACTIONS(2773),
    [anon_sym_BSLASHpc] = ACTIONS(2773),
    [anon_sym_BSLASHph] = ACTIONS(2773),
    [anon_sym_BSLASHb] = ACTIONS(2773),
    [anon_sym_BSLASHq] = ACTIONS(2773),
    [anon_sym_BSLASHqr] = ACTIONS(2773),
    [anon_sym_BSLASHqc] = ACTIONS(2773),
    [anon_sym_BSLASHqa] = ACTIONS(2773),
    [anon_sym_BSLASHqm] = ACTIONS(2773),
    [anon_sym_BSLASHqd] = ACTIONS(2773),
    [anon_sym_BSLASHlh] = ACTIONS(2773),
    [anon_sym_BSLASHlf] = ACTIONS(2773),
    [anon_sym_BSLASHli] = ACTIONS(2773),
    [anon_sym_BSLASHlim] = ACTIONS(2773),
    [anon_sym_BSLASHliv] = ACTIONS(2773),
    [anon_sym_BSLASHlik] = ACTIONS(2773),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHlitl] = ACTIONS(2773),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHtr] = ACTIONS(2773),
    [anon_sym_BSLASHf] = ACTIONS(2773),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHfe] = ACTIONS(2773),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHef] = ACTIONS(2773),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHfr] = ACTIONS(2773),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHfq] = ACTIONS(2773),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHfqa] = ACTIONS(2773),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHfk] = ACTIONS(2773),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHfl] = ACTIONS(2773),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHfw] = ACTIONS(2773),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHfp] = ACTIONS(2773),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHft] = ACTIONS(2773),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHfdc] = ACTIONS(2773),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHfv] = ACTIONS(2773),
    [anon_sym_BSLASHfm] = ACTIONS(2773),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2773),
    [anon_sym_BSLASHx] = ACTIONS(2773),
    [anon_sym_BSLASHxt] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2773),
    [anon_sym_BSLASHrq] = ACTIONS(2773),
    [anon_sym_BSLASHadd] = ACTIONS(2773),
    [anon_sym_BSLASHbk] = ACTIONS(2773),
    [anon_sym_BSLASHdc] = ACTIONS(2773),
    [anon_sym_BSLASHk] = ACTIONS(2773),
    [anon_sym_BSLASHnd] = ACTIONS(2773),
    [anon_sym_BSLASHord] = ACTIONS(2773),
    [anon_sym_BSLASHpn] = ACTIONS(2773),
    [anon_sym_BSLASHpng] = ACTIONS(2773),
    [anon_sym_BSLASHaddpn] = ACTIONS(2773),
    [anon_sym_BSLASHqt] = ACTIONS(2773),
    [anon_sym_BSLASHsig] = ACTIONS(2773),
    [anon_sym_BSLASHsls] = ACTIONS(2773),
    [anon_sym_BSLASHtl] = ACTIONS(2773),
    [anon_sym_BSLASHwj] = ACTIONS(2773),
    [anon_sym_BSLASHem] = ACTIONS(2773),
    [anon_sym_BSLASHbd] = ACTIONS(2773),
    [anon_sym_BSLASHit] = ACTIONS(2773),
    [anon_sym_BSLASHbdit] = ACTIONS(2773),
    [anon_sym_BSLASHno] = ACTIONS(2773),
    [anon_sym_BSLASHsc] = ACTIONS(2773),
    [anon_sym_BSLASHsup] = ACTIONS(2773),
    [anon_sym_BSLASHndx] = ACTIONS(2773),
    [anon_sym_BSLASHpro] = ACTIONS(2773),
    [anon_sym_BSLASHrb] = ACTIONS(2773),
    [anon_sym_BSLASHw] = ACTIONS(2773),
    [anon_sym_BSLASHwg] = ACTIONS(2773),
    [anon_sym_BSLASHwh] = ACTIONS(2773),
    [anon_sym_BSLASHwa] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2773),
    [anon_sym_BSLASHfig] = ACTIONS(2773),
    [anon_sym_BSLASHjmp] = ACTIONS(2773),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2773),
    [anon_sym_BSLASHpb] = ACTIONS(2773),
    [anon_sym_BSLASH] = ACTIONS(2773),
    [sym_milestoneStartTag] = ACTIONS(2773),
    [sym_milestoneEndTag] = ACTIONS(2773),
    [sym_zSpaceTag] = ACTIONS(2773),
    [anon_sym_BSLASHesbe] = ACTIONS(2773),
    [anon_sym_BSLASHcat] = ACTIONS(2773),
  },
  [264] = {
    [aux_sym_text_token1] = ACTIONS(2775),
    [anon_sym_BSLASHref] = ACTIONS(2777),
    [anon_sym_BSLASHsts] = ACTIONS(2777),
    [anon_sym_BSLASHrem] = ACTIONS(2777),
    [anon_sym_BSLASHrestore] = ACTIONS(2777),
    [anon_sym_BSLASHlit] = ACTIONS(2777),
    [anon_sym_BSLASHiqt] = ACTIONS(2777),
    [anon_sym_BSLASHip] = ACTIONS(2777),
    [anon_sym_BSLASHv] = ACTIONS(2777),
    [anon_sym_BSLASHva] = ACTIONS(2777),
    [anon_sym_BSLASHvp] = ACTIONS(2777),
    [anon_sym_BSLASHmte] = ACTIONS(2777),
    [anon_sym_BSLASHms] = ACTIONS(2777),
    [anon_sym_BSLASHmr] = ACTIONS(2777),
    [anon_sym_BSLASHs] = ACTIONS(2777),
    [anon_sym_BSLASHsr] = ACTIONS(2777),
    [anon_sym_BSLASHr] = ACTIONS(2777),
    [anon_sym_BSLASHsp] = ACTIONS(2777),
    [anon_sym_BSLASHd] = ACTIONS(2777),
    [anon_sym_BSLASHsd] = ACTIONS(2777),
    [anon_sym_BSLASHp] = ACTIONS(2777),
    [anon_sym_BSLASHm] = ACTIONS(2777),
    [anon_sym_BSLASHpo] = ACTIONS(2777),
    [anon_sym_BSLASHpr] = ACTIONS(2777),
    [anon_sym_BSLASHcls] = ACTIONS(2777),
    [anon_sym_BSLASHpmo] = ACTIONS(2777),
    [anon_sym_BSLASHpm] = ACTIONS(2777),
    [anon_sym_BSLASHpmc] = ACTIONS(2777),
    [anon_sym_BSLASHpmr] = ACTIONS(2777),
    [anon_sym_BSLASHpi] = ACTIONS(2777),
    [anon_sym_BSLASHmi] = ACTIONS(2777),
    [anon_sym_BSLASHnb] = ACTIONS(2777),
    [anon_sym_BSLASHpc] = ACTIONS(2777),
    [anon_sym_BSLASHph] = ACTIONS(2777),
    [anon_sym_BSLASHb] = ACTIONS(2777),
    [anon_sym_BSLASHq] = ACTIONS(2777),
    [anon_sym_BSLASHqr] = ACTIONS(2777),
    [anon_sym_BSLASHqc] = ACTIONS(2777),
    [anon_sym_BSLASHqa] = ACTIONS(2777),
    [anon_sym_BSLASHqm] = ACTIONS(2777),
    [anon_sym_BSLASHqd] = ACTIONS(2777),
    [anon_sym_BSLASHlh] = ACTIONS(2777),
    [anon_sym_BSLASHlf] = ACTIONS(2777),
    [anon_sym_BSLASHli] = ACTIONS(2777),
    [anon_sym_BSLASHlim] = ACTIONS(2777),
    [anon_sym_BSLASHliv] = ACTIONS(2777),
    [anon_sym_BSLASHlik] = ACTIONS(2777),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHlitl] = ACTIONS(2777),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHtr] = ACTIONS(2777),
    [anon_sym_BSLASHf] = ACTIONS(2777),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHfe] = ACTIONS(2777),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHef] = ACTIONS(2777),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHfr] = ACTIONS(2777),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHfq] = ACTIONS(2777),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHfqa] = ACTIONS(2777),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHfk] = ACTIONS(2777),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHfl] = ACTIONS(2777),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHfw] = ACTIONS(2777),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHfp] = ACTIONS(2777),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHft] = ACTIONS(2777),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHfdc] = ACTIONS(2777),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHfv] = ACTIONS(2777),
    [anon_sym_BSLASHfm] = ACTIONS(2777),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2777),
    [anon_sym_BSLASHx] = ACTIONS(2777),
    [anon_sym_BSLASHxt] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2777),
    [anon_sym_BSLASHrq] = ACTIONS(2777),
    [anon_sym_BSLASHadd] = ACTIONS(2777),
    [anon_sym_BSLASHbk] = ACTIONS(2777),
    [anon_sym_BSLASHdc] = ACTIONS(2777),
    [anon_sym_BSLASHk] = ACTIONS(2777),
    [anon_sym_BSLASHnd] = ACTIONS(2777),
    [anon_sym_BSLASHord] = ACTIONS(2777),
    [anon_sym_BSLASHpn] = ACTIONS(2777),
    [anon_sym_BSLASHpng] = ACTIONS(2777),
    [anon_sym_BSLASHaddpn] = ACTIONS(2777),
    [anon_sym_BSLASHqt] = ACTIONS(2777),
    [anon_sym_BSLASHsig] = ACTIONS(2777),
    [anon_sym_BSLASHsls] = ACTIONS(2777),
    [anon_sym_BSLASHtl] = ACTIONS(2777),
    [anon_sym_BSLASHwj] = ACTIONS(2777),
    [anon_sym_BSLASHem] = ACTIONS(2777),
    [anon_sym_BSLASHbd] = ACTIONS(2777),
    [anon_sym_BSLASHit] = ACTIONS(2777),
    [anon_sym_BSLASHbdit] = ACTIONS(2777),
    [anon_sym_BSLASHno] = ACTIONS(2777),
    [anon_sym_BSLASHsc] = ACTIONS(2777),
    [anon_sym_BSLASHsup] = ACTIONS(2777),
    [anon_sym_BSLASHndx] = ACTIONS(2777),
    [anon_sym_BSLASHpro] = ACTIONS(2777),
    [anon_sym_BSLASHrb] = ACTIONS(2777),
    [anon_sym_BSLASHw] = ACTIONS(2777),
    [anon_sym_BSLASHwg] = ACTIONS(2777),
    [anon_sym_BSLASHwh] = ACTIONS(2777),
    [anon_sym_BSLASHwa] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2777),
    [anon_sym_BSLASHfig] = ACTIONS(2777),
    [anon_sym_BSLASHjmp] = ACTIONS(2777),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2777),
    [anon_sym_BSLASHpb] = ACTIONS(2777),
    [anon_sym_BSLASH] = ACTIONS(2777),
    [sym_milestoneStartTag] = ACTIONS(2777),
    [sym_milestoneEndTag] = ACTIONS(2777),
    [sym_zSpaceTag] = ACTIONS(2777),
    [anon_sym_BSLASHesbe] = ACTIONS(2777),
    [anon_sym_BSLASHcat] = ACTIONS(2777),
  },
  [265] = {
    [aux_sym_text_token1] = ACTIONS(2779),
    [anon_sym_BSLASHref] = ACTIONS(2781),
    [anon_sym_BSLASHsts] = ACTIONS(2781),
    [anon_sym_BSLASHrem] = ACTIONS(2781),
    [anon_sym_BSLASHrestore] = ACTIONS(2781),
    [anon_sym_BSLASHlit] = ACTIONS(2781),
    [anon_sym_BSLASHiqt] = ACTIONS(2781),
    [anon_sym_BSLASHip] = ACTIONS(2781),
    [anon_sym_BSLASHv] = ACTIONS(2781),
    [anon_sym_BSLASHva] = ACTIONS(2781),
    [anon_sym_BSLASHvp] = ACTIONS(2781),
    [anon_sym_BSLASHmte] = ACTIONS(2781),
    [anon_sym_BSLASHms] = ACTIONS(2781),
    [anon_sym_BSLASHmr] = ACTIONS(2781),
    [anon_sym_BSLASHs] = ACTIONS(2781),
    [anon_sym_BSLASHsr] = ACTIONS(2781),
    [anon_sym_BSLASHr] = ACTIONS(2781),
    [anon_sym_BSLASHsp] = ACTIONS(2781),
    [anon_sym_BSLASHd] = ACTIONS(2781),
    [anon_sym_BSLASHsd] = ACTIONS(2781),
    [anon_sym_BSLASHp] = ACTIONS(2781),
    [anon_sym_BSLASHm] = ACTIONS(2781),
    [anon_sym_BSLASHpo] = ACTIONS(2781),
    [anon_sym_BSLASHpr] = ACTIONS(2781),
    [anon_sym_BSLASHcls] = ACTIONS(2781),
    [anon_sym_BSLASHpmo] = ACTIONS(2781),
    [anon_sym_BSLASHpm] = ACTIONS(2781),
    [anon_sym_BSLASHpmc] = ACTIONS(2781),
    [anon_sym_BSLASHpmr] = ACTIONS(2781),
    [anon_sym_BSLASHpi] = ACTIONS(2781),
    [anon_sym_BSLASHmi] = ACTIONS(2781),
    [anon_sym_BSLASHnb] = ACTIONS(2781),
    [anon_sym_BSLASHpc] = ACTIONS(2781),
    [anon_sym_BSLASHph] = ACTIONS(2781),
    [anon_sym_BSLASHb] = ACTIONS(2781),
    [anon_sym_BSLASHq] = ACTIONS(2781),
    [anon_sym_BSLASHqr] = ACTIONS(2781),
    [anon_sym_BSLASHqc] = ACTIONS(2781),
    [anon_sym_BSLASHqa] = ACTIONS(2781),
    [anon_sym_BSLASHqm] = ACTIONS(2781),
    [anon_sym_BSLASHqd] = ACTIONS(2781),
    [anon_sym_BSLASHlh] = ACTIONS(2781),
    [anon_sym_BSLASHlf] = ACTIONS(2781),
    [anon_sym_BSLASHli] = ACTIONS(2781),
    [anon_sym_BSLASHlim] = ACTIONS(2781),
    [anon_sym_BSLASHliv] = ACTIONS(2781),
    [anon_sym_BSLASHlik] = ACTIONS(2781),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHlitl] = ACTIONS(2781),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHtr] = ACTIONS(2781),
    [anon_sym_BSLASHf] = ACTIONS(2781),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHfe] = ACTIONS(2781),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHef] = ACTIONS(2781),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHfr] = ACTIONS(2781),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHfq] = ACTIONS(2781),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHfqa] = ACTIONS(2781),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHfk] = ACTIONS(2781),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHfl] = ACTIONS(2781),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHfw] = ACTIONS(2781),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHfp] = ACTIONS(2781),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHft] = ACTIONS(2781),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHfdc] = ACTIONS(2781),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHfv] = ACTIONS(2781),
    [anon_sym_BSLASHfm] = ACTIONS(2781),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2781),
    [anon_sym_BSLASHx] = ACTIONS(2781),
    [anon_sym_BSLASHxt] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2781),
    [anon_sym_BSLASHrq] = ACTIONS(2781),
    [anon_sym_BSLASHadd] = ACTIONS(2781),
    [anon_sym_BSLASHbk] = ACTIONS(2781),
    [anon_sym_BSLASHdc] = ACTIONS(2781),
    [anon_sym_BSLASHk] = ACTIONS(2781),
    [anon_sym_BSLASHnd] = ACTIONS(2781),
    [anon_sym_BSLASHord] = ACTIONS(2781),
    [anon_sym_BSLASHpn] = ACTIONS(2781),
    [anon_sym_BSLASHpng] = ACTIONS(2781),
    [anon_sym_BSLASHaddpn] = ACTIONS(2781),
    [anon_sym_BSLASHqt] = ACTIONS(2781),
    [anon_sym_BSLASHsig] = ACTIONS(2781),
    [anon_sym_BSLASHsls] = ACTIONS(2781),
    [anon_sym_BSLASHtl] = ACTIONS(2781),
    [anon_sym_BSLASHwj] = ACTIONS(2781),
    [anon_sym_BSLASHem] = ACTIONS(2781),
    [anon_sym_BSLASHbd] = ACTIONS(2781),
    [anon_sym_BSLASHit] = ACTIONS(2781),
    [anon_sym_BSLASHbdit] = ACTIONS(2781),
    [anon_sym_BSLASHno] = ACTIONS(2781),
    [anon_sym_BSLASHsc] = ACTIONS(2781),
    [anon_sym_BSLASHsup] = ACTIONS(2781),
    [anon_sym_BSLASHndx] = ACTIONS(2781),
    [anon_sym_BSLASHpro] = ACTIONS(2781),
    [anon_sym_BSLASHrb] = ACTIONS(2781),
    [anon_sym_BSLASHw] = ACTIONS(2781),
    [anon_sym_BSLASHwg] = ACTIONS(2781),
    [anon_sym_BSLASHwh] = ACTIONS(2781),
    [anon_sym_BSLASHwa] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2781),
    [anon_sym_BSLASHfig] = ACTIONS(2781),
    [anon_sym_BSLASHjmp] = ACTIONS(2781),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2781),
    [anon_sym_BSLASHpb] = ACTIONS(2781),
    [anon_sym_BSLASH] = ACTIONS(2781),
    [sym_milestoneStartTag] = ACTIONS(2781),
    [sym_milestoneEndTag] = ACTIONS(2781),
    [sym_zSpaceTag] = ACTIONS(2781),
    [anon_sym_BSLASHesbe] = ACTIONS(2781),
    [anon_sym_BSLASHcat] = ACTIONS(2781),
  },
  [266] = {
    [aux_sym_text_token1] = ACTIONS(2783),
    [anon_sym_BSLASHref] = ACTIONS(2785),
    [anon_sym_BSLASHsts] = ACTIONS(2785),
    [anon_sym_BSLASHrem] = ACTIONS(2785),
    [anon_sym_BSLASHrestore] = ACTIONS(2785),
    [anon_sym_BSLASHlit] = ACTIONS(2785),
    [anon_sym_BSLASHiqt] = ACTIONS(2785),
    [anon_sym_BSLASHip] = ACTIONS(2785),
    [anon_sym_BSLASHv] = ACTIONS(2785),
    [anon_sym_BSLASHva] = ACTIONS(2785),
    [anon_sym_BSLASHvp] = ACTIONS(2785),
    [anon_sym_BSLASHmte] = ACTIONS(2785),
    [anon_sym_BSLASHms] = ACTIONS(2785),
    [anon_sym_BSLASHmr] = ACTIONS(2785),
    [anon_sym_BSLASHs] = ACTIONS(2785),
    [anon_sym_BSLASHsr] = ACTIONS(2785),
    [anon_sym_BSLASHr] = ACTIONS(2785),
    [anon_sym_BSLASHsp] = ACTIONS(2785),
    [anon_sym_BSLASHd] = ACTIONS(2785),
    [anon_sym_BSLASHsd] = ACTIONS(2785),
    [anon_sym_BSLASHp] = ACTIONS(2785),
    [anon_sym_BSLASHm] = ACTIONS(2785),
    [anon_sym_BSLASHpo] = ACTIONS(2785),
    [anon_sym_BSLASHpr] = ACTIONS(2785),
    [anon_sym_BSLASHcls] = ACTIONS(2785),
    [anon_sym_BSLASHpmo] = ACTIONS(2785),
    [anon_sym_BSLASHpm] = ACTIONS(2785),
    [anon_sym_BSLASHpmc] = ACTIONS(2785),
    [anon_sym_BSLASHpmr] = ACTIONS(2785),
    [anon_sym_BSLASHpi] = ACTIONS(2785),
    [anon_sym_BSLASHmi] = ACTIONS(2785),
    [anon_sym_BSLASHnb] = ACTIONS(2785),
    [anon_sym_BSLASHpc] = ACTIONS(2785),
    [anon_sym_BSLASHph] = ACTIONS(2785),
    [anon_sym_BSLASHb] = ACTIONS(2785),
    [anon_sym_BSLASHq] = ACTIONS(2785),
    [anon_sym_BSLASHqr] = ACTIONS(2785),
    [anon_sym_BSLASHqc] = ACTIONS(2785),
    [anon_sym_BSLASHqa] = ACTIONS(2785),
    [anon_sym_BSLASHqm] = ACTIONS(2785),
    [anon_sym_BSLASHqd] = ACTIONS(2785),
    [anon_sym_BSLASHlh] = ACTIONS(2785),
    [anon_sym_BSLASHlf] = ACTIONS(2785),
    [anon_sym_BSLASHli] = ACTIONS(2785),
    [anon_sym_BSLASHlim] = ACTIONS(2785),
    [anon_sym_BSLASHliv] = ACTIONS(2785),
    [anon_sym_BSLASHlik] = ACTIONS(2785),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHlitl] = ACTIONS(2785),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHtr] = ACTIONS(2785),
    [anon_sym_BSLASHf] = ACTIONS(2785),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHfe] = ACTIONS(2785),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHef] = ACTIONS(2785),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHfr] = ACTIONS(2785),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHfq] = ACTIONS(2785),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHfqa] = ACTIONS(2785),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHfk] = ACTIONS(2785),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHfl] = ACTIONS(2785),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHfw] = ACTIONS(2785),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHfp] = ACTIONS(2785),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHft] = ACTIONS(2785),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHfdc] = ACTIONS(2785),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHfv] = ACTIONS(2785),
    [anon_sym_BSLASHfm] = ACTIONS(2785),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2785),
    [anon_sym_BSLASHx] = ACTIONS(2785),
    [anon_sym_BSLASHxt] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2785),
    [anon_sym_BSLASHrq] = ACTIONS(2785),
    [anon_sym_BSLASHadd] = ACTIONS(2785),
    [anon_sym_BSLASHbk] = ACTIONS(2785),
    [anon_sym_BSLASHdc] = ACTIONS(2785),
    [anon_sym_BSLASHk] = ACTIONS(2785),
    [anon_sym_BSLASHnd] = ACTIONS(2785),
    [anon_sym_BSLASHord] = ACTIONS(2785),
    [anon_sym_BSLASHpn] = ACTIONS(2785),
    [anon_sym_BSLASHpng] = ACTIONS(2785),
    [anon_sym_BSLASHaddpn] = ACTIONS(2785),
    [anon_sym_BSLASHqt] = ACTIONS(2785),
    [anon_sym_BSLASHsig] = ACTIONS(2785),
    [anon_sym_BSLASHsls] = ACTIONS(2785),
    [anon_sym_BSLASHtl] = ACTIONS(2785),
    [anon_sym_BSLASHwj] = ACTIONS(2785),
    [anon_sym_BSLASHem] = ACTIONS(2785),
    [anon_sym_BSLASHbd] = ACTIONS(2785),
    [anon_sym_BSLASHit] = ACTIONS(2785),
    [anon_sym_BSLASHbdit] = ACTIONS(2785),
    [anon_sym_BSLASHno] = ACTIONS(2785),
    [anon_sym_BSLASHsc] = ACTIONS(2785),
    [anon_sym_BSLASHsup] = ACTIONS(2785),
    [anon_sym_BSLASHndx] = ACTIONS(2785),
    [anon_sym_BSLASHpro] = ACTIONS(2785),
    [anon_sym_BSLASHrb] = ACTIONS(2785),
    [anon_sym_BSLASHw] = ACTIONS(2785),
    [anon_sym_BSLASHwg] = ACTIONS(2785),
    [anon_sym_BSLASHwh] = ACTIONS(2785),
    [anon_sym_BSLASHwa] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2785),
    [anon_sym_BSLASHfig] = ACTIONS(2785),
    [anon_sym_BSLASHjmp] = ACTIONS(2785),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2785),
    [anon_sym_BSLASHpb] = ACTIONS(2785),
    [anon_sym_BSLASH] = ACTIONS(2785),
    [sym_milestoneStartTag] = ACTIONS(2785),
    [sym_milestoneEndTag] = ACTIONS(2785),
    [sym_zSpaceTag] = ACTIONS(2785),
    [anon_sym_BSLASHesbe] = ACTIONS(2785),
    [anon_sym_BSLASHcat] = ACTIONS(2785),
  },
  [267] = {
    [aux_sym_text_token1] = ACTIONS(2787),
    [anon_sym_BSLASHref] = ACTIONS(2789),
    [anon_sym_BSLASHsts] = ACTIONS(2789),
    [anon_sym_BSLASHrem] = ACTIONS(2789),
    [anon_sym_BSLASHrestore] = ACTIONS(2789),
    [anon_sym_BSLASHlit] = ACTIONS(2789),
    [anon_sym_BSLASHiqt] = ACTIONS(2789),
    [anon_sym_BSLASHip] = ACTIONS(2789),
    [anon_sym_BSLASHv] = ACTIONS(2789),
    [anon_sym_BSLASHva] = ACTIONS(2789),
    [anon_sym_BSLASHvp] = ACTIONS(2789),
    [anon_sym_BSLASHmte] = ACTIONS(2789),
    [anon_sym_BSLASHms] = ACTIONS(2789),
    [anon_sym_BSLASHmr] = ACTIONS(2789),
    [anon_sym_BSLASHs] = ACTIONS(2789),
    [anon_sym_BSLASHsr] = ACTIONS(2789),
    [anon_sym_BSLASHr] = ACTIONS(2789),
    [anon_sym_BSLASHsp] = ACTIONS(2789),
    [anon_sym_BSLASHd] = ACTIONS(2789),
    [anon_sym_BSLASHsd] = ACTIONS(2789),
    [anon_sym_BSLASHp] = ACTIONS(2789),
    [anon_sym_BSLASHm] = ACTIONS(2789),
    [anon_sym_BSLASHpo] = ACTIONS(2789),
    [anon_sym_BSLASHpr] = ACTIONS(2789),
    [anon_sym_BSLASHcls] = ACTIONS(2789),
    [anon_sym_BSLASHpmo] = ACTIONS(2789),
    [anon_sym_BSLASHpm] = ACTIONS(2789),
    [anon_sym_BSLASHpmc] = ACTIONS(2789),
    [anon_sym_BSLASHpmr] = ACTIONS(2789),
    [anon_sym_BSLASHpi] = ACTIONS(2789),
    [anon_sym_BSLASHmi] = ACTIONS(2789),
    [anon_sym_BSLASHnb] = ACTIONS(2789),
    [anon_sym_BSLASHpc] = ACTIONS(2789),
    [anon_sym_BSLASHph] = ACTIONS(2789),
    [anon_sym_BSLASHb] = ACTIONS(2789),
    [anon_sym_BSLASHq] = ACTIONS(2789),
    [anon_sym_BSLASHqr] = ACTIONS(2789),
    [anon_sym_BSLASHqc] = ACTIONS(2789),
    [anon_sym_BSLASHqa] = ACTIONS(2789),
    [anon_sym_BSLASHqm] = ACTIONS(2789),
    [anon_sym_BSLASHqd] = ACTIONS(2789),
    [anon_sym_BSLASHlh] = ACTIONS(2789),
    [anon_sym_BSLASHlf] = ACTIONS(2789),
    [anon_sym_BSLASHli] = ACTIONS(2789),
    [anon_sym_BSLASHlim] = ACTIONS(2789),
    [anon_sym_BSLASHliv] = ACTIONS(2789),
    [anon_sym_BSLASHlik] = ACTIONS(2789),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHlitl] = ACTIONS(2789),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHtr] = ACTIONS(2789),
    [anon_sym_BSLASHf] = ACTIONS(2789),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHfe] = ACTIONS(2789),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHef] = ACTIONS(2789),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHfr] = ACTIONS(2789),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHfq] = ACTIONS(2789),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHfqa] = ACTIONS(2789),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHfk] = ACTIONS(2789),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHfl] = ACTIONS(2789),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHfw] = ACTIONS(2789),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHfp] = ACTIONS(2789),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHft] = ACTIONS(2789),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHfdc] = ACTIONS(2789),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHfv] = ACTIONS(2789),
    [anon_sym_BSLASHfm] = ACTIONS(2789),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2789),
    [anon_sym_BSLASHx] = ACTIONS(2789),
    [anon_sym_BSLASHxt] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2789),
    [anon_sym_BSLASHrq] = ACTIONS(2789),
    [anon_sym_BSLASHadd] = ACTIONS(2789),
    [anon_sym_BSLASHbk] = ACTIONS(2789),
    [anon_sym_BSLASHdc] = ACTIONS(2789),
    [anon_sym_BSLASHk] = ACTIONS(2789),
    [anon_sym_BSLASHnd] = ACTIONS(2789),
    [anon_sym_BSLASHord] = ACTIONS(2789),
    [anon_sym_BSLASHpn] = ACTIONS(2789),
    [anon_sym_BSLASHpng] = ACTIONS(2789),
    [anon_sym_BSLASHaddpn] = ACTIONS(2789),
    [anon_sym_BSLASHqt] = ACTIONS(2789),
    [anon_sym_BSLASHsig] = ACTIONS(2789),
    [anon_sym_BSLASHsls] = ACTIONS(2789),
    [anon_sym_BSLASHtl] = ACTIONS(2789),
    [anon_sym_BSLASHwj] = ACTIONS(2789),
    [anon_sym_BSLASHem] = ACTIONS(2789),
    [anon_sym_BSLASHbd] = ACTIONS(2789),
    [anon_sym_BSLASHit] = ACTIONS(2789),
    [anon_sym_BSLASHbdit] = ACTIONS(2789),
    [anon_sym_BSLASHno] = ACTIONS(2789),
    [anon_sym_BSLASHsc] = ACTIONS(2789),
    [anon_sym_BSLASHsup] = ACTIONS(2789),
    [anon_sym_BSLASHndx] = ACTIONS(2789),
    [anon_sym_BSLASHpro] = ACTIONS(2789),
    [anon_sym_BSLASHrb] = ACTIONS(2789),
    [anon_sym_BSLASHw] = ACTIONS(2789),
    [anon_sym_BSLASHwg] = ACTIONS(2789),
    [anon_sym_BSLASHwh] = ACTIONS(2789),
    [anon_sym_BSLASHwa] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2789),
    [anon_sym_BSLASHfig] = ACTIONS(2789),
    [anon_sym_BSLASHjmp] = ACTIONS(2789),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2789),
    [anon_sym_BSLASHpb] = ACTIONS(2789),
    [anon_sym_BSLASH] = ACTIONS(2789),
    [sym_milestoneStartTag] = ACTIONS(2789),
    [sym_milestoneEndTag] = ACTIONS(2789),
    [sym_zSpaceTag] = ACTIONS(2789),
    [anon_sym_BSLASHesbe] = ACTIONS(2789),
    [anon_sym_BSLASHcat] = ACTIONS(2789),
  },
  [268] = {
    [aux_sym_text_token1] = ACTIONS(2791),
    [anon_sym_BSLASHref] = ACTIONS(2793),
    [anon_sym_BSLASHsts] = ACTIONS(2793),
    [anon_sym_BSLASHrem] = ACTIONS(2793),
    [anon_sym_BSLASHrestore] = ACTIONS(2793),
    [anon_sym_BSLASHlit] = ACTIONS(2793),
    [anon_sym_BSLASHiqt] = ACTIONS(2793),
    [anon_sym_BSLASHip] = ACTIONS(2793),
    [anon_sym_BSLASHv] = ACTIONS(2793),
    [anon_sym_BSLASHva] = ACTIONS(2793),
    [anon_sym_BSLASHvp] = ACTIONS(2793),
    [anon_sym_BSLASHmte] = ACTIONS(2793),
    [anon_sym_BSLASHms] = ACTIONS(2793),
    [anon_sym_BSLASHmr] = ACTIONS(2793),
    [anon_sym_BSLASHs] = ACTIONS(2793),
    [anon_sym_BSLASHsr] = ACTIONS(2793),
    [anon_sym_BSLASHr] = ACTIONS(2793),
    [anon_sym_BSLASHsp] = ACTIONS(2793),
    [anon_sym_BSLASHd] = ACTIONS(2793),
    [anon_sym_BSLASHsd] = ACTIONS(2793),
    [anon_sym_BSLASHp] = ACTIONS(2793),
    [anon_sym_BSLASHm] = ACTIONS(2793),
    [anon_sym_BSLASHpo] = ACTIONS(2793),
    [anon_sym_BSLASHpr] = ACTIONS(2793),
    [anon_sym_BSLASHcls] = ACTIONS(2793),
    [anon_sym_BSLASHpmo] = ACTIONS(2793),
    [anon_sym_BSLASHpm] = ACTIONS(2793),
    [anon_sym_BSLASHpmc] = ACTIONS(2793),
    [anon_sym_BSLASHpmr] = ACTIONS(2793),
    [anon_sym_BSLASHpi] = ACTIONS(2793),
    [anon_sym_BSLASHmi] = ACTIONS(2793),
    [anon_sym_BSLASHnb] = ACTIONS(2793),
    [anon_sym_BSLASHpc] = ACTIONS(2793),
    [anon_sym_BSLASHph] = ACTIONS(2793),
    [anon_sym_BSLASHb] = ACTIONS(2793),
    [anon_sym_BSLASHq] = ACTIONS(2793),
    [anon_sym_BSLASHqr] = ACTIONS(2793),
    [anon_sym_BSLASHqc] = ACTIONS(2793),
    [anon_sym_BSLASHqa] = ACTIONS(2793),
    [anon_sym_BSLASHqm] = ACTIONS(2793),
    [anon_sym_BSLASHqd] = ACTIONS(2793),
    [anon_sym_BSLASHlh] = ACTIONS(2793),
    [anon_sym_BSLASHlf] = ACTIONS(2793),
    [anon_sym_BSLASHli] = ACTIONS(2793),
    [anon_sym_BSLASHlim] = ACTIONS(2793),
    [anon_sym_BSLASHliv] = ACTIONS(2793),
    [anon_sym_BSLASHlik] = ACTIONS(2793),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHlitl] = ACTIONS(2793),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHtr] = ACTIONS(2793),
    [anon_sym_BSLASHf] = ACTIONS(2793),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHfe] = ACTIONS(2793),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHef] = ACTIONS(2793),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHfr] = ACTIONS(2793),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHfq] = ACTIONS(2793),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHfqa] = ACTIONS(2793),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHfk] = ACTIONS(2793),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHfl] = ACTIONS(2793),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHfw] = ACTIONS(2793),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHfp] = ACTIONS(2793),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHft] = ACTIONS(2793),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHfdc] = ACTIONS(2793),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHfv] = ACTIONS(2793),
    [anon_sym_BSLASHfm] = ACTIONS(2793),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2793),
    [anon_sym_BSLASHx] = ACTIONS(2793),
    [anon_sym_BSLASHxt] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2793),
    [anon_sym_BSLASHrq] = ACTIONS(2793),
    [anon_sym_BSLASHadd] = ACTIONS(2793),
    [anon_sym_BSLASHbk] = ACTIONS(2793),
    [anon_sym_BSLASHdc] = ACTIONS(2793),
    [anon_sym_BSLASHk] = ACTIONS(2793),
    [anon_sym_BSLASHnd] = ACTIONS(2793),
    [anon_sym_BSLASHord] = ACTIONS(2793),
    [anon_sym_BSLASHpn] = ACTIONS(2793),
    [anon_sym_BSLASHpng] = ACTIONS(2793),
    [anon_sym_BSLASHaddpn] = ACTIONS(2793),
    [anon_sym_BSLASHqt] = ACTIONS(2793),
    [anon_sym_BSLASHsig] = ACTIONS(2793),
    [anon_sym_BSLASHsls] = ACTIONS(2793),
    [anon_sym_BSLASHtl] = ACTIONS(2793),
    [anon_sym_BSLASHwj] = ACTIONS(2793),
    [anon_sym_BSLASHem] = ACTIONS(2793),
    [anon_sym_BSLASHbd] = ACTIONS(2793),
    [anon_sym_BSLASHit] = ACTIONS(2793),
    [anon_sym_BSLASHbdit] = ACTIONS(2793),
    [anon_sym_BSLASHno] = ACTIONS(2793),
    [anon_sym_BSLASHsc] = ACTIONS(2793),
    [anon_sym_BSLASHsup] = ACTIONS(2793),
    [anon_sym_BSLASHndx] = ACTIONS(2793),
    [anon_sym_BSLASHpro] = ACTIONS(2793),
    [anon_sym_BSLASHrb] = ACTIONS(2793),
    [anon_sym_BSLASHw] = ACTIONS(2793),
    [anon_sym_BSLASHwg] = ACTIONS(2793),
    [anon_sym_BSLASHwh] = ACTIONS(2793),
    [anon_sym_BSLASHwa] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2793),
    [anon_sym_BSLASHfig] = ACTIONS(2793),
    [anon_sym_BSLASHjmp] = ACTIONS(2793),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2793),
    [anon_sym_BSLASHpb] = ACTIONS(2793),
    [anon_sym_BSLASH] = ACTIONS(2793),
    [sym_milestoneStartTag] = ACTIONS(2793),
    [sym_milestoneEndTag] = ACTIONS(2793),
    [sym_zSpaceTag] = ACTIONS(2793),
    [anon_sym_BSLASHesbe] = ACTIONS(2793),
    [anon_sym_BSLASHcat] = ACTIONS(2793),
  },
  [269] = {
    [aux_sym_text_token1] = ACTIONS(2795),
    [anon_sym_BSLASHref] = ACTIONS(2797),
    [anon_sym_BSLASHsts] = ACTIONS(2797),
    [anon_sym_BSLASHrem] = ACTIONS(2797),
    [anon_sym_BSLASHrestore] = ACTIONS(2797),
    [anon_sym_BSLASHlit] = ACTIONS(2797),
    [anon_sym_BSLASHiqt] = ACTIONS(2797),
    [anon_sym_BSLASHip] = ACTIONS(2797),
    [anon_sym_BSLASHv] = ACTIONS(2797),
    [anon_sym_BSLASHva] = ACTIONS(2797),
    [anon_sym_BSLASHvp] = ACTIONS(2797),
    [anon_sym_BSLASHmte] = ACTIONS(2797),
    [anon_sym_BSLASHms] = ACTIONS(2797),
    [anon_sym_BSLASHmr] = ACTIONS(2797),
    [anon_sym_BSLASHs] = ACTIONS(2797),
    [anon_sym_BSLASHsr] = ACTIONS(2797),
    [anon_sym_BSLASHr] = ACTIONS(2797),
    [anon_sym_BSLASHsp] = ACTIONS(2797),
    [anon_sym_BSLASHd] = ACTIONS(2797),
    [anon_sym_BSLASHsd] = ACTIONS(2797),
    [anon_sym_BSLASHp] = ACTIONS(2797),
    [anon_sym_BSLASHm] = ACTIONS(2797),
    [anon_sym_BSLASHpo] = ACTIONS(2797),
    [anon_sym_BSLASHpr] = ACTIONS(2797),
    [anon_sym_BSLASHcls] = ACTIONS(2797),
    [anon_sym_BSLASHpmo] = ACTIONS(2797),
    [anon_sym_BSLASHpm] = ACTIONS(2797),
    [anon_sym_BSLASHpmc] = ACTIONS(2797),
    [anon_sym_BSLASHpmr] = ACTIONS(2797),
    [anon_sym_BSLASHpi] = ACTIONS(2797),
    [anon_sym_BSLASHmi] = ACTIONS(2797),
    [anon_sym_BSLASHnb] = ACTIONS(2797),
    [anon_sym_BSLASHpc] = ACTIONS(2797),
    [anon_sym_BSLASHph] = ACTIONS(2797),
    [anon_sym_BSLASHb] = ACTIONS(2797),
    [anon_sym_BSLASHq] = ACTIONS(2797),
    [anon_sym_BSLASHqr] = ACTIONS(2797),
    [anon_sym_BSLASHqc] = ACTIONS(2797),
    [anon_sym_BSLASHqa] = ACTIONS(2797),
    [anon_sym_BSLASHqm] = ACTIONS(2797),
    [anon_sym_BSLASHqd] = ACTIONS(2797),
    [anon_sym_BSLASHlh] = ACTIONS(2797),
    [anon_sym_BSLASHlf] = ACTIONS(2797),
    [anon_sym_BSLASHli] = ACTIONS(2797),
    [anon_sym_BSLASHlim] = ACTIONS(2797),
    [anon_sym_BSLASHliv] = ACTIONS(2797),
    [anon_sym_BSLASHlik] = ACTIONS(2797),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHlitl] = ACTIONS(2797),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHtr] = ACTIONS(2797),
    [anon_sym_BSLASHf] = ACTIONS(2797),
    [anon_sym_BSLASHf_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHfe] = ACTIONS(2797),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHef] = ACTIONS(2797),
    [anon_sym_BSLASHef_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHfr] = ACTIONS(2797),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHfq] = ACTIONS(2797),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHfqa] = ACTIONS(2797),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHfk] = ACTIONS(2797),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHfl] = ACTIONS(2797),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHfw] = ACTIONS(2797),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHfp] = ACTIONS(2797),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHft] = ACTIONS(2797),
    [anon_sym_BSLASHft_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHfdc] = ACTIONS(2797),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHfv] = ACTIONS(2797),
    [anon_sym_BSLASHfm] = ACTIONS(2797),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(2797),
    [anon_sym_BSLASHx] = ACTIONS(2797),
    [anon_sym_BSLASHxt] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(2797),
    [anon_sym_BSLASHrq] = ACTIONS(2797),
    [anon_sym_BSLASHadd] = ACTIONS(2797),
    [anon_sym_BSLASHbk] = ACTIONS(2797),
    [anon_sym_BSLASHdc] = ACTIONS(2797),
    [anon_sym_BSLASHk] = ACTIONS(2797),
    [anon_sym_BSLASHnd] = ACTIONS(2797),
    [anon_sym_BSLASHord] = ACTIONS(2797),
    [anon_sym_BSLASHpn] = ACTIONS(2797),
    [anon_sym_BSLASHpng] = ACTIONS(2797),
    [anon_sym_BSLASHaddpn] = ACTIONS(2797),
    [anon_sym_BSLASHqt] = ACTIONS(2797),
    [anon_sym_BSLASHsig] = ACTIONS(2797),
    [anon_sym_BSLASHsls] = ACTIONS(2797),
    [anon_sym_BSLASHtl] = ACTIONS(2797),
    [anon_sym_BSLASHwj] = ACTIONS(2797),
    [anon_sym_BSLASHem] = ACTIONS(2797),
    [anon_sym_BSLASHbd] = ACTIONS(2797),
    [anon_sym_BSLASHit] = ACTIONS(2797),
    [anon_sym_BSLASHbdit] = ACTIONS(2797),
    [anon_sym_BSLASHno] = ACTIONS(2797),
    [anon_sym_BSLASHsc] = ACTIONS(2797),
    [anon_sym_BSLASHsup] = ACTIONS(2797),
    [anon_sym_BSLASHndx] = ACTIONS(2797),
    [anon_sym_BSLASHpro] = ACTIONS(2797),
    [anon_sym_BSLASHrb] = ACTIONS(2797),
    [anon_sym_BSLASHw] = ACTIONS(2797),
    [anon_sym_BSLASHwg] = ACTIONS(2797),
    [anon_sym_BSLASHwh] = ACTIONS(2797),
    [anon_sym_BSLASHwa] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(2797),
    [anon_sym_BSLASHfig] = ACTIONS(2797),
    [anon_sym_BSLASHjmp] = ACTIONS(2797),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(2797),
    [anon_sym_BSLASHpb] = ACTIONS(2797),
    [anon_sym_BSLASH] = ACTIONS(2797),
    [sym_milestoneStartTag] = ACTIONS(2797),
    [sym_milestoneEndTag] = ACTIONS(2797),
    [sym_zSpaceTag] = ACTIONS(2797),
    [anon_sym_BSLASHesbe] = ACTIONS(2797),
    [anon_sym_BSLASHcat] = ACTIONS(2797),
  },
  [270] = {
    [sym__comments] = STATE(274),
    [sym_sts] = STATE(274),
    [sym_rem] = STATE(274),
    [sym_restore] = STATE(274),
    [sym_lit] = STATE(274),
    [sym_ip] = STATE(274),
    [sym_title] = STATE(274),
    [sym_mteBlock] = STATE(1332),
    [sym_mte] = STATE(1537),
    [sym_mteTag] = STATE(1774),
    [sym_msBlock] = STATE(1332),
    [sym_ms] = STATE(1536),
    [sym_msTag] = STATE(1089),
    [sym_sBlock] = STATE(1332),
    [sym_s] = STATE(1535),
    [sym_sTag] = STATE(313),
    [sym_r] = STATE(1332),
    [sym_sp] = STATE(1332),
    [sym_d] = STATE(1332),
    [sym_sdBlock] = STATE(1332),
    [sym_sd] = STATE(1254),
    [sym_sdTag] = STATE(1333),
    [sym_paragraph] = STATE(274),
    [sym_p] = STATE(1351),
    [sym_m] = STATE(1351),
    [sym_po] = STATE(1351),
    [sym_pr] = STATE(1351),
    [sym_cls] = STATE(1351),
    [sym_pmo] = STATE(1351),
    [sym_pm] = STATE(1351),
    [sym_pmc] = STATE(1351),
    [sym_pmr] = STATE(1351),
    [sym_piBlock] = STATE(1351),
    [sym_pi] = STATE(1533),
    [sym_piTag] = STATE(206),
    [sym_mi] = STATE(1351),
    [sym_nb] = STATE(1351),
    [sym_pc] = STATE(1351),
    [sym_phBlock] = STATE(1351),
    [sym_ph] = STATE(1534),
    [sym_phTag] = STATE(235),
    [sym_b] = STATE(1351),
    [sym_poetry] = STATE(274),
    [sym_qBlock] = STATE(1241),
    [sym_q] = STATE(1543),
    [sym_qTag] = STATE(195),
    [sym_qr] = STATE(1241),
    [sym_qc] = STATE(1241),
    [sym_qa] = STATE(1332),
    [sym_qmBlock] = STATE(1241),
    [sym_qm] = STATE(1548),
    [sym_qmTag] = STATE(109),
    [sym_qd] = STATE(1241),
    [sym_list] = STATE(274),
    [sym_lh] = STATE(1815),
    [sym__listMarker] = STATE(1243),
    [sym_liBlock] = STATE(1243),
    [sym_li] = STATE(1502),
    [sym_liTag] = STATE(75),
    [sym_limBlock] = STATE(1243),
    [sym_lim] = STATE(1523),
    [sym_limTag] = STATE(74),
    [sym_table] = STATE(274),
    [sym_tr] = STATE(1550),
    [sym_footnote] = STATE(274),
    [sym_f] = STATE(1349),
    [sym_fe] = STATE(1349),
    [sym_ef] = STATE(1349),
    [sym_fm] = STATE(1349),
    [sym_pb] = STATE(274),
    [sym_milestoneTag] = STATE(1946),
    [sym__milestoneStandaloneMarker] = STATE(1304),
    [sym__milestoneStart] = STATE(1304),
    [sym__milestoneEnd] = STATE(1304),
    [sym_milestone] = STATE(274),
    [sym__zNameSpaceRegular] = STATE(1331),
    [sym__zNameSpaceClosed] = STATE(1331),
    [sym__zNameSpaceStandaloneMarker] = STATE(1331),
    [sym_zNameSpace] = STATE(274),
    [sym__esbContents] = STATE(274),
    [sym_cat] = STATE(274),
    [aux_sym_mteBlock_repeat1] = STATE(1537),
    [aux_sym_msBlock_repeat1] = STATE(1536),
    [aux_sym_sBlock_repeat1] = STATE(1535),
    [aux_sym_sdBlock_repeat1] = STATE(1254),
    [aux_sym_piBlock_repeat1] = STATE(1533),
    [aux_sym_phBlock_repeat1] = STATE(1534),
    [aux_sym_poetry_repeat1] = STATE(1241),
    [aux_sym_qBlock_repeat1] = STATE(1543),
    [aux_sym_qmBlock_repeat1] = STATE(1548),
    [aux_sym_list_repeat1] = STATE(1243),
    [aux_sym_liBlock_repeat1] = STATE(1502),
    [aux_sym_limBlock_repeat1] = STATE(1523),
    [aux_sym_table_repeat1] = STATE(1550),
    [aux_sym_esb_repeat1] = STATE(274),
    [anon_sym_BSLASHsts] = ACTIONS(2096),
    [anon_sym_BSLASHrem] = ACTIONS(2098),
    [anon_sym_BSLASHrestore] = ACTIONS(2100),
    [anon_sym_BSLASHlit] = ACTIONS(2102),
    [anon_sym_BSLASHip] = ACTIONS(2799),
    [anon_sym_BSLASHmte] = ACTIONS(2116),
    [anon_sym_BSLASHms] = ACTIONS(2118),
    [anon_sym_BSLASHs] = ACTIONS(2801),
    [anon_sym_BSLASHr] = ACTIONS(2122),
    [anon_sym_BSLASHsp] = ACTIONS(2124),
    [anon_sym_BSLASHd] = ACTIONS(2803),
    [anon_sym_BSLASHsd] = ACTIONS(2128),
    [anon_sym_BSLASHp] = ACTIONS(2805),
    [anon_sym_BSLASHm] = ACTIONS(2807),
    [anon_sym_BSLASHpo] = ACTIONS(2809),
    [anon_sym_BSLASHpr] = ACTIONS(2811),
    [anon_sym_BSLASHcls] = ACTIONS(2813),
    [anon_sym_BSLASHpmo] = ACTIONS(2815),
    [anon_sym_BSLASHpm] = ACTIONS(2817),
    [anon_sym_BSLASHpmc] = ACTIONS(2819),
    [anon_sym_BSLASHpmr] = ACTIONS(2821),
    [anon_sym_BSLASHpi] = ACTIONS(2823),
    [anon_sym_BSLASHmi] = ACTIONS(2825),
    [anon_sym_BSLASHnb] = ACTIONS(2827),
    [anon_sym_BSLASHpc] = ACTIONS(2829),
    [anon_sym_BSLASHph] = ACTIONS(2831),
    [anon_sym_BSLASHb] = ACTIONS(2158),
    [anon_sym_BSLASHq] = ACTIONS(2833),
    [anon_sym_BSLASHqr] = ACTIONS(2835),
    [anon_sym_BSLASHqc] = ACTIONS(2837),
    [anon_sym_BSLASHqa] = ACTIONS(2839),
    [anon_sym_BSLASHqm] = ACTIONS(2841),
    [anon_sym_BSLASHqd] = ACTIONS(2843),
    [anon_sym_BSLASHlh] = ACTIONS(2172),
    [anon_sym_BSLASHli] = ACTIONS(2845),
    [anon_sym_BSLASHlim] = ACTIONS(2847),
    [anon_sym_BSLASHtr] = ACTIONS(2849),
    [anon_sym_BSLASHf] = ACTIONS(2180),
    [anon_sym_BSLASHfe] = ACTIONS(2182),
    [anon_sym_BSLASHef] = ACTIONS(2184),
    [anon_sym_BSLASHfm] = ACTIONS(2186),
    [anon_sym_BSLASHpb] = ACTIONS(2188),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(2190),
    [sym_milestoneEndTag] = ACTIONS(2192),
    [sym_zSpaceTag] = ACTIONS(2851),
    [anon_sym_BSLASHesbe] = ACTIONS(2853),
    [anon_sym_BSLASHcat] = ACTIONS(2855),
  },
  [271] = {
    [sym__comments] = STATE(272),
    [sym_sts] = STATE(272),
    [sym_rem] = STATE(272),
    [sym_restore] = STATE(272),
    [sym_lit] = STATE(272),
    [sym_ip] = STATE(272),
    [sym_title] = STATE(272),
    [sym_mteBlock] = STATE(1332),
    [sym_mte] = STATE(1537),
    [sym_mteTag] = STATE(1774),
    [sym_msBlock] = STATE(1332),
    [sym_ms] = STATE(1536),
    [sym_msTag] = STATE(1089),
    [sym_sBlock] = STATE(1332),
    [sym_s] = STATE(1535),
    [sym_sTag] = STATE(313),
    [sym_r] = STATE(1332),
    [sym_sp] = STATE(1332),
    [sym_d] = STATE(1332),
    [sym_sdBlock] = STATE(1332),
    [sym_sd] = STATE(1254),
    [sym_sdTag] = STATE(1333),
    [sym_paragraph] = STATE(272),
    [sym_p] = STATE(1351),
    [sym_m] = STATE(1351),
    [sym_po] = STATE(1351),
    [sym_pr] = STATE(1351),
    [sym_cls] = STATE(1351),
    [sym_pmo] = STATE(1351),
    [sym_pm] = STATE(1351),
    [sym_pmc] = STATE(1351),
    [sym_pmr] = STATE(1351),
    [sym_piBlock] = STATE(1351),
    [sym_pi] = STATE(1533),
    [sym_piTag] = STATE(206),
    [sym_mi] = STATE(1351),
    [sym_nb] = STATE(1351),
    [sym_pc] = STATE(1351),
    [sym_phBlock] = STATE(1351),
    [sym_ph] = STATE(1534),
    [sym_phTag] = STATE(235),
    [sym_b] = STATE(1351),
    [sym_poetry] = STATE(272),
    [sym_qBlock] = STATE(1241),
    [sym_q] = STATE(1543),
    [sym_qTag] = STATE(195),
    [sym_qr] = STATE(1241),
    [sym_qc] = STATE(1241),
    [sym_qa] = STATE(1332),
    [sym_qmBlock] = STATE(1241),
    [sym_qm] = STATE(1548),
    [sym_qmTag] = STATE(109),
    [sym_qd] = STATE(1241),
    [sym_list] = STATE(272),
    [sym_lh] = STATE(1815),
    [sym__listMarker] = STATE(1243),
    [sym_liBlock] = STATE(1243),
    [sym_li] = STATE(1502),
    [sym_liTag] = STATE(75),
    [sym_limBlock] = STATE(1243),
    [sym_lim] = STATE(1523),
    [sym_limTag] = STATE(74),
    [sym_table] = STATE(272),
    [sym_tr] = STATE(1550),
    [sym_footnote] = STATE(272),
    [sym_f] = STATE(1349),
    [sym_fe] = STATE(1349),
    [sym_ef] = STATE(1349),
    [sym_fm] = STATE(1349),
    [sym_pb] = STATE(272),
    [sym_milestoneTag] = STATE(1946),
    [sym__milestoneStandaloneMarker] = STATE(1304),
    [sym__milestoneStart] = STATE(1304),
    [sym__milestoneEnd] = STATE(1304),
    [sym_milestone] = STATE(272),
    [sym__zNameSpaceRegular] = STATE(1331),
    [sym__zNameSpaceClosed] = STATE(1331),
    [sym__zNameSpaceStandaloneMarker] = STATE(1331),
    [sym_zNameSpace] = STATE(272),
    [sym__esbContents] = STATE(272),
    [sym_cat] = STATE(272),
    [aux_sym_mteBlock_repeat1] = STATE(1537),
    [aux_sym_msBlock_repeat1] = STATE(1536),
    [aux_sym_sBlock_repeat1] = STATE(1535),
    [aux_sym_sdBlock_repeat1] = STATE(1254),
    [aux_sym_piBlock_repeat1] = STATE(1533),
    [aux_sym_phBlock_repeat1] = STATE(1534),
    [aux_sym_poetry_repeat1] = STATE(1241),
    [aux_sym_qBlock_repeat1] = STATE(1543),
    [aux_sym_qmBlock_repeat1] = STATE(1548),
    [aux_sym_list_repeat1] = STATE(1243),
    [aux_sym_liBlock_repeat1] = STATE(1502),
    [aux_sym_limBlock_repeat1] = STATE(1523),
    [aux_sym_table_repeat1] = STATE(1550),
    [aux_sym_esb_repeat1] = STATE(272),
    [anon_sym_BSLASHsts] = ACTIONS(2096),
    [anon_sym_BSLASHrem] = ACTIONS(2098),
    [anon_sym_BSLASHrestore] = ACTIONS(2100),
    [anon_sym_BSLASHlit] = ACTIONS(2102),
    [anon_sym_BSLASHip] = ACTIONS(2799),
    [anon_sym_BSLASHmte] = ACTIONS(2116),
    [anon_sym_BSLASHms] = ACTIONS(2118),
    [anon_sym_BSLASHs] = ACTIONS(2801),
    [anon_sym_BSLASHr] = ACTIONS(2122),
    [anon_sym_BSLASHsp] = ACTIONS(2124),
    [anon_sym_BSLASHd] = ACTIONS(2803),
    [anon_sym_BSLASHsd] = ACTIONS(2128),
    [anon_sym_BSLASHp] = ACTIONS(2805),
    [anon_sym_BSLASHm] = ACTIONS(2807),
    [anon_sym_BSLASHpo] = ACTIONS(2809),
    [anon_sym_BSLASHpr] = ACTIONS(2811),
    [anon_sym_BSLASHcls] = ACTIONS(2813),
    [anon_sym_BSLASHpmo] = ACTIONS(2815),
    [anon_sym_BSLASHpm] = ACTIONS(2817),
    [anon_sym_BSLASHpmc] = ACTIONS(2819),
    [anon_sym_BSLASHpmr] = ACTIONS(2821),
    [anon_sym_BSLASHpi] = ACTIONS(2823),
    [anon_sym_BSLASHmi] = ACTIONS(2825),
    [anon_sym_BSLASHnb] = ACTIONS(2827),
    [anon_sym_BSLASHpc] = ACTIONS(2829),
    [anon_sym_BSLASHph] = ACTIONS(2831),
    [anon_sym_BSLASHb] = ACTIONS(2158),
    [anon_sym_BSLASHq] = ACTIONS(2833),
    [anon_sym_BSLASHqr] = ACTIONS(2835),
    [anon_sym_BSLASHqc] = ACTIONS(2837),
    [anon_sym_BSLASHqa] = ACTIONS(2839),
    [anon_sym_BSLASHqm] = ACTIONS(2841),
    [anon_sym_BSLASHqd] = ACTIONS(2843),
    [anon_sym_BSLASHlh] = ACTIONS(2172),
    [anon_sym_BSLASHli] = ACTIONS(2845),
    [anon_sym_BSLASHlim] = ACTIONS(2847),
    [anon_sym_BSLASHtr] = ACTIONS(2849),
    [anon_sym_BSLASHf] = ACTIONS(2180),
    [anon_sym_BSLASHfe] = ACTIONS(2182),
    [anon_sym_BSLASHef] = ACTIONS(2184),
    [anon_sym_BSLASHfm] = ACTIONS(2186),
    [anon_sym_BSLASHpb] = ACTIONS(2188),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(2190),
    [sym_milestoneEndTag] = ACTIONS(2192),
    [sym_zSpaceTag] = ACTIONS(2851),
    [anon_sym_BSLASHesbe] = ACTIONS(2857),
    [anon_sym_BSLASHcat] = ACTIONS(2855),
  },
  [272] = {
    [sym__comments] = STATE(274),
    [sym_sts] = STATE(274),
    [sym_rem] = STATE(274),
    [sym_restore] = STATE(274),
    [sym_lit] = STATE(274),
    [sym_ip] = STATE(274),
    [sym_title] = STATE(274),
    [sym_mteBlock] = STATE(1332),
    [sym_mte] = STATE(1537),
    [sym_mteTag] = STATE(1774),
    [sym_msBlock] = STATE(1332),
    [sym_ms] = STATE(1536),
    [sym_msTag] = STATE(1089),
    [sym_sBlock] = STATE(1332),
    [sym_s] = STATE(1535),
    [sym_sTag] = STATE(313),
    [sym_r] = STATE(1332),
    [sym_sp] = STATE(1332),
    [sym_d] = STATE(1332),
    [sym_sdBlock] = STATE(1332),
    [sym_sd] = STATE(1254),
    [sym_sdTag] = STATE(1333),
    [sym_paragraph] = STATE(274),
    [sym_p] = STATE(1351),
    [sym_m] = STATE(1351),
    [sym_po] = STATE(1351),
    [sym_pr] = STATE(1351),
    [sym_cls] = STATE(1351),
    [sym_pmo] = STATE(1351),
    [sym_pm] = STATE(1351),
    [sym_pmc] = STATE(1351),
    [sym_pmr] = STATE(1351),
    [sym_piBlock] = STATE(1351),
    [sym_pi] = STATE(1533),
    [sym_piTag] = STATE(206),
    [sym_mi] = STATE(1351),
    [sym_nb] = STATE(1351),
    [sym_pc] = STATE(1351),
    [sym_phBlock] = STATE(1351),
    [sym_ph] = STATE(1534),
    [sym_phTag] = STATE(235),
    [sym_b] = STATE(1351),
    [sym_poetry] = STATE(274),
    [sym_qBlock] = STATE(1241),
    [sym_q] = STATE(1543),
    [sym_qTag] = STATE(195),
    [sym_qr] = STATE(1241),
    [sym_qc] = STATE(1241),
    [sym_qa] = STATE(1332),
    [sym_qmBlock] = STATE(1241),
    [sym_qm] = STATE(1548),
    [sym_qmTag] = STATE(109),
    [sym_qd] = STATE(1241),
    [sym_list] = STATE(274),
    [sym_lh] = STATE(1815),
    [sym__listMarker] = STATE(1243),
    [sym_liBlock] = STATE(1243),
    [sym_li] = STATE(1502),
    [sym_liTag] = STATE(75),
    [sym_limBlock] = STATE(1243),
    [sym_lim] = STATE(1523),
    [sym_limTag] = STATE(74),
    [sym_table] = STATE(274),
    [sym_tr] = STATE(1550),
    [sym_footnote] = STATE(274),
    [sym_f] = STATE(1349),
    [sym_fe] = STATE(1349),
    [sym_ef] = STATE(1349),
    [sym_fm] = STATE(1349),
    [sym_pb] = STATE(274),
    [sym_milestoneTag] = STATE(1946),
    [sym__milestoneStandaloneMarker] = STATE(1304),
    [sym__milestoneStart] = STATE(1304),
    [sym__milestoneEnd] = STATE(1304),
    [sym_milestone] = STATE(274),
    [sym__zNameSpaceRegular] = STATE(1331),
    [sym__zNameSpaceClosed] = STATE(1331),
    [sym__zNameSpaceStandaloneMarker] = STATE(1331),
    [sym_zNameSpace] = STATE(274),
    [sym__esbContents] = STATE(274),
    [sym_cat] = STATE(274),
    [aux_sym_mteBlock_repeat1] = STATE(1537),
    [aux_sym_msBlock_repeat1] = STATE(1536),
    [aux_sym_sBlock_repeat1] = STATE(1535),
    [aux_sym_sdBlock_repeat1] = STATE(1254),
    [aux_sym_piBlock_repeat1] = STATE(1533),
    [aux_sym_phBlock_repeat1] = STATE(1534),
    [aux_sym_poetry_repeat1] = STATE(1241),
    [aux_sym_qBlock_repeat1] = STATE(1543),
    [aux_sym_qmBlock_repeat1] = STATE(1548),
    [aux_sym_list_repeat1] = STATE(1243),
    [aux_sym_liBlock_repeat1] = STATE(1502),
    [aux_sym_limBlock_repeat1] = STATE(1523),
    [aux_sym_table_repeat1] = STATE(1550),
    [aux_sym_esb_repeat1] = STATE(274),
    [anon_sym_BSLASHsts] = ACTIONS(2096),
    [anon_sym_BSLASHrem] = ACTIONS(2098),
    [anon_sym_BSLASHrestore] = ACTIONS(2100),
    [anon_sym_BSLASHlit] = ACTIONS(2102),
    [anon_sym_BSLASHip] = ACTIONS(2799),
    [anon_sym_BSLASHmte] = ACTIONS(2116),
    [anon_sym_BSLASHms] = ACTIONS(2118),
    [anon_sym_BSLASHs] = ACTIONS(2801),
    [anon_sym_BSLASHr] = ACTIONS(2122),
    [anon_sym_BSLASHsp] = ACTIONS(2124),
    [anon_sym_BSLASHd] = ACTIONS(2803),
    [anon_sym_BSLASHsd] = ACTIONS(2128),
    [anon_sym_BSLASHp] = ACTIONS(2805),
    [anon_sym_BSLASHm] = ACTIONS(2807),
    [anon_sym_BSLASHpo] = ACTIONS(2809),
    [anon_sym_BSLASHpr] = ACTIONS(2811),
    [anon_sym_BSLASHcls] = ACTIONS(2813),
    [anon_sym_BSLASHpmo] = ACTIONS(2815),
    [anon_sym_BSLASHpm] = ACTIONS(2817),
    [anon_sym_BSLASHpmc] = ACTIONS(2819),
    [anon_sym_BSLASHpmr] = ACTIONS(2821),
    [anon_sym_BSLASHpi] = ACTIONS(2823),
    [anon_sym_BSLASHmi] = ACTIONS(2825),
    [anon_sym_BSLASHnb] = ACTIONS(2827),
    [anon_sym_BSLASHpc] = ACTIONS(2829),
    [anon_sym_BSLASHph] = ACTIONS(2831),
    [anon_sym_BSLASHb] = ACTIONS(2158),
    [anon_sym_BSLASHq] = ACTIONS(2833),
    [anon_sym_BSLASHqr] = ACTIONS(2835),
    [anon_sym_BSLASHqc] = ACTIONS(2837),
    [anon_sym_BSLASHqa] = ACTIONS(2839),
    [anon_sym_BSLASHqm] = ACTIONS(2841),
    [anon_sym_BSLASHqd] = ACTIONS(2843),
    [anon_sym_BSLASHlh] = ACTIONS(2172),
    [anon_sym_BSLASHli] = ACTIONS(2845),
    [anon_sym_BSLASHlim] = ACTIONS(2847),
    [anon_sym_BSLASHtr] = ACTIONS(2849),
    [anon_sym_BSLASHf] = ACTIONS(2180),
    [anon_sym_BSLASHfe] = ACTIONS(2182),
    [anon_sym_BSLASHef] = ACTIONS(2184),
    [anon_sym_BSLASHfm] = ACTIONS(2186),
    [anon_sym_BSLASHpb] = ACTIONS(2188),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(2190),
    [sym_milestoneEndTag] = ACTIONS(2192),
    [sym_zSpaceTag] = ACTIONS(2851),
    [anon_sym_BSLASHesbe] = ACTIONS(2859),
    [anon_sym_BSLASHcat] = ACTIONS(2855),
  },
  [273] = {
    [sym__comments] = STATE(274),
    [sym_sts] = STATE(274),
    [sym_rem] = STATE(274),
    [sym_restore] = STATE(274),
    [sym_lit] = STATE(274),
    [sym_ip] = STATE(274),
    [sym_title] = STATE(274),
    [sym_mteBlock] = STATE(1332),
    [sym_mte] = STATE(1537),
    [sym_mteTag] = STATE(1774),
    [sym_msBlock] = STATE(1332),
    [sym_ms] = STATE(1536),
    [sym_msTag] = STATE(1089),
    [sym_sBlock] = STATE(1332),
    [sym_s] = STATE(1535),
    [sym_sTag] = STATE(313),
    [sym_r] = STATE(1332),
    [sym_sp] = STATE(1332),
    [sym_d] = STATE(1332),
    [sym_sdBlock] = STATE(1332),
    [sym_sd] = STATE(1254),
    [sym_sdTag] = STATE(1333),
    [sym_paragraph] = STATE(274),
    [sym_p] = STATE(1351),
    [sym_m] = STATE(1351),
    [sym_po] = STATE(1351),
    [sym_pr] = STATE(1351),
    [sym_cls] = STATE(1351),
    [sym_pmo] = STATE(1351),
    [sym_pm] = STATE(1351),
    [sym_pmc] = STATE(1351),
    [sym_pmr] = STATE(1351),
    [sym_piBlock] = STATE(1351),
    [sym_pi] = STATE(1533),
    [sym_piTag] = STATE(206),
    [sym_mi] = STATE(1351),
    [sym_nb] = STATE(1351),
    [sym_pc] = STATE(1351),
    [sym_phBlock] = STATE(1351),
    [sym_ph] = STATE(1534),
    [sym_phTag] = STATE(235),
    [sym_b] = STATE(1351),
    [sym_poetry] = STATE(274),
    [sym_qBlock] = STATE(1241),
    [sym_q] = STATE(1543),
    [sym_qTag] = STATE(195),
    [sym_qr] = STATE(1241),
    [sym_qc] = STATE(1241),
    [sym_qa] = STATE(1332),
    [sym_qmBlock] = STATE(1241),
    [sym_qm] = STATE(1548),
    [sym_qmTag] = STATE(109),
    [sym_qd] = STATE(1241),
    [sym_list] = STATE(274),
    [sym_lh] = STATE(1815),
    [sym__listMarker] = STATE(1243),
    [sym_liBlock] = STATE(1243),
    [sym_li] = STATE(1502),
    [sym_liTag] = STATE(75),
    [sym_limBlock] = STATE(1243),
    [sym_lim] = STATE(1523),
    [sym_limTag] = STATE(74),
    [sym_table] = STATE(274),
    [sym_tr] = STATE(1550),
    [sym_footnote] = STATE(274),
    [sym_f] = STATE(1349),
    [sym_fe] = STATE(1349),
    [sym_ef] = STATE(1349),
    [sym_fm] = STATE(1349),
    [sym_pb] = STATE(274),
    [sym_milestoneTag] = STATE(1946),
    [sym__milestoneStandaloneMarker] = STATE(1304),
    [sym__milestoneStart] = STATE(1304),
    [sym__milestoneEnd] = STATE(1304),
    [sym_milestone] = STATE(274),
    [sym__zNameSpaceRegular] = STATE(1331),
    [sym__zNameSpaceClosed] = STATE(1331),
    [sym__zNameSpaceStandaloneMarker] = STATE(1331),
    [sym_zNameSpace] = STATE(274),
    [sym__esbContents] = STATE(274),
    [sym_cat] = STATE(274),
    [aux_sym_mteBlock_repeat1] = STATE(1537),
    [aux_sym_msBlock_repeat1] = STATE(1536),
    [aux_sym_sBlock_repeat1] = STATE(1535),
    [aux_sym_sdBlock_repeat1] = STATE(1254),
    [aux_sym_piBlock_repeat1] = STATE(1533),
    [aux_sym_phBlock_repeat1] = STATE(1534),
    [aux_sym_poetry_repeat1] = STATE(1241),
    [aux_sym_qBlock_repeat1] = STATE(1543),
    [aux_sym_qmBlock_repeat1] = STATE(1548),
    [aux_sym_list_repeat1] = STATE(1243),
    [aux_sym_liBlock_repeat1] = STATE(1502),
    [aux_sym_limBlock_repeat1] = STATE(1523),
    [aux_sym_table_repeat1] = STATE(1550),
    [aux_sym_esb_repeat1] = STATE(274),
    [anon_sym_BSLASHsts] = ACTIONS(2096),
    [anon_sym_BSLASHrem] = ACTIONS(2098),
    [anon_sym_BSLASHrestore] = ACTIONS(2100),
    [anon_sym_BSLASHlit] = ACTIONS(2102),
    [anon_sym_BSLASHip] = ACTIONS(2799),
    [anon_sym_BSLASHmte] = ACTIONS(2116),
    [anon_sym_BSLASHms] = ACTIONS(2118),
    [anon_sym_BSLASHs] = ACTIONS(2801),
    [anon_sym_BSLASHr] = ACTIONS(2122),
    [anon_sym_BSLASHsp] = ACTIONS(2124),
    [anon_sym_BSLASHd] = ACTIONS(2803),
    [anon_sym_BSLASHsd] = ACTIONS(2128),
    [anon_sym_BSLASHp] = ACTIONS(2805),
    [anon_sym_BSLASHm] = ACTIONS(2807),
    [anon_sym_BSLASHpo] = ACTIONS(2809),
    [anon_sym_BSLASHpr] = ACTIONS(2811),
    [anon_sym_BSLASHcls] = ACTIONS(2813),
    [anon_sym_BSLASHpmo] = ACTIONS(2815),
    [anon_sym_BSLASHpm] = ACTIONS(2817),
    [anon_sym_BSLASHpmc] = ACTIONS(2819),
    [anon_sym_BSLASHpmr] = ACTIONS(2821),
    [anon_sym_BSLASHpi] = ACTIONS(2823),
    [anon_sym_BSLASHmi] = ACTIONS(2825),
    [anon_sym_BSLASHnb] = ACTIONS(2827),
    [anon_sym_BSLASHpc] = ACTIONS(2829),
    [anon_sym_BSLASHph] = ACTIONS(2831),
    [anon_sym_BSLASHb] = ACTIONS(2158),
    [anon_sym_BSLASHq] = ACTIONS(2833),
    [anon_sym_BSLASHqr] = ACTIONS(2835),
    [anon_sym_BSLASHqc] = ACTIONS(2837),
    [anon_sym_BSLASHqa] = ACTIONS(2839),
    [anon_sym_BSLASHqm] = ACTIONS(2841),
    [anon_sym_BSLASHqd] = ACTIONS(2843),
    [anon_sym_BSLASHlh] = ACTIONS(2172),
    [anon_sym_BSLASHli] = ACTIONS(2845),
    [anon_sym_BSLASHlim] = ACTIONS(2847),
    [anon_sym_BSLASHtr] = ACTIONS(2849),
    [anon_sym_BSLASHf] = ACTIONS(2180),
    [anon_sym_BSLASHfe] = ACTIONS(2182),
    [anon_sym_BSLASHef] = ACTIONS(2184),
    [anon_sym_BSLASHfm] = ACTIONS(2186),
    [anon_sym_BSLASHpb] = ACTIONS(2188),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(2190),
    [sym_milestoneEndTag] = ACTIONS(2192),
    [sym_zSpaceTag] = ACTIONS(2851),
    [anon_sym_BSLASHesbe] = ACTIONS(2861),
    [anon_sym_BSLASHcat] = ACTIONS(2855),
  },
  [274] = {
    [sym__comments] = STATE(274),
    [sym_sts] = STATE(274),
    [sym_rem] = STATE(274),
    [sym_restore] = STATE(274),
    [sym_lit] = STATE(274),
    [sym_ip] = STATE(274),
    [sym_title] = STATE(274),
    [sym_mteBlock] = STATE(1332),
    [sym_mte] = STATE(1537),
    [sym_mteTag] = STATE(1774),
    [sym_msBlock] = STATE(1332),
    [sym_ms] = STATE(1536),
    [sym_msTag] = STATE(1089),
    [sym_sBlock] = STATE(1332),
    [sym_s] = STATE(1535),
    [sym_sTag] = STATE(313),
    [sym_r] = STATE(1332),
    [sym_sp] = STATE(1332),
    [sym_d] = STATE(1332),
    [sym_sdBlock] = STATE(1332),
    [sym_sd] = STATE(1254),
    [sym_sdTag] = STATE(1333),
    [sym_paragraph] = STATE(274),
    [sym_p] = STATE(1351),
    [sym_m] = STATE(1351),
    [sym_po] = STATE(1351),
    [sym_pr] = STATE(1351),
    [sym_cls] = STATE(1351),
    [sym_pmo] = STATE(1351),
    [sym_pm] = STATE(1351),
    [sym_pmc] = STATE(1351),
    [sym_pmr] = STATE(1351),
    [sym_piBlock] = STATE(1351),
    [sym_pi] = STATE(1533),
    [sym_piTag] = STATE(206),
    [sym_mi] = STATE(1351),
    [sym_nb] = STATE(1351),
    [sym_pc] = STATE(1351),
    [sym_phBlock] = STATE(1351),
    [sym_ph] = STATE(1534),
    [sym_phTag] = STATE(235),
    [sym_b] = STATE(1351),
    [sym_poetry] = STATE(274),
    [sym_qBlock] = STATE(1241),
    [sym_q] = STATE(1543),
    [sym_qTag] = STATE(195),
    [sym_qr] = STATE(1241),
    [sym_qc] = STATE(1241),
    [sym_qa] = STATE(1332),
    [sym_qmBlock] = STATE(1241),
    [sym_qm] = STATE(1548),
    [sym_qmTag] = STATE(109),
    [sym_qd] = STATE(1241),
    [sym_list] = STATE(274),
    [sym_lh] = STATE(1815),
    [sym__listMarker] = STATE(1243),
    [sym_liBlock] = STATE(1243),
    [sym_li] = STATE(1502),
    [sym_liTag] = STATE(75),
    [sym_limBlock] = STATE(1243),
    [sym_lim] = STATE(1523),
    [sym_limTag] = STATE(74),
    [sym_table] = STATE(274),
    [sym_tr] = STATE(1550),
    [sym_footnote] = STATE(274),
    [sym_f] = STATE(1349),
    [sym_fe] = STATE(1349),
    [sym_ef] = STATE(1349),
    [sym_fm] = STATE(1349),
    [sym_pb] = STATE(274),
    [sym_milestoneTag] = STATE(1946),
    [sym__milestoneStandaloneMarker] = STATE(1304),
    [sym__milestoneStart] = STATE(1304),
    [sym__milestoneEnd] = STATE(1304),
    [sym_milestone] = STATE(274),
    [sym__zNameSpaceRegular] = STATE(1331),
    [sym__zNameSpaceClosed] = STATE(1331),
    [sym__zNameSpaceStandaloneMarker] = STATE(1331),
    [sym_zNameSpace] = STATE(274),
    [sym__esbContents] = STATE(274),
    [sym_cat] = STATE(274),
    [aux_sym_mteBlock_repeat1] = STATE(1537),
    [aux_sym_msBlock_repeat1] = STATE(1536),
    [aux_sym_sBlock_repeat1] = STATE(1535),
    [aux_sym_sdBlock_repeat1] = STATE(1254),
    [aux_sym_piBlock_repeat1] = STATE(1533),
    [aux_sym_phBlock_repeat1] = STATE(1534),
    [aux_sym_poetry_repeat1] = STATE(1241),
    [aux_sym_qBlock_repeat1] = STATE(1543),
    [aux_sym_qmBlock_repeat1] = STATE(1548),
    [aux_sym_list_repeat1] = STATE(1243),
    [aux_sym_liBlock_repeat1] = STATE(1502),
    [aux_sym_limBlock_repeat1] = STATE(1523),
    [aux_sym_table_repeat1] = STATE(1550),
    [aux_sym_esb_repeat1] = STATE(274),
    [anon_sym_BSLASHsts] = ACTIONS(2863),
    [anon_sym_BSLASHrem] = ACTIONS(2866),
    [anon_sym_BSLASHrestore] = ACTIONS(2869),
    [anon_sym_BSLASHlit] = ACTIONS(2872),
    [anon_sym_BSLASHip] = ACTIONS(2875),
    [anon_sym_BSLASHmte] = ACTIONS(2878),
    [anon_sym_BSLASHms] = ACTIONS(2881),
    [anon_sym_BSLASHs] = ACTIONS(2884),
    [anon_sym_BSLASHr] = ACTIONS(2887),
    [anon_sym_BSLASHsp] = ACTIONS(2890),
    [anon_sym_BSLASHd] = ACTIONS(2893),
    [anon_sym_BSLASHsd] = ACTIONS(2896),
    [anon_sym_BSLASHp] = ACTIONS(2899),
    [anon_sym_BSLASHm] = ACTIONS(2902),
    [anon_sym_BSLASHpo] = ACTIONS(2905),
    [anon_sym_BSLASHpr] = ACTIONS(2908),
    [anon_sym_BSLASHcls] = ACTIONS(2911),
    [anon_sym_BSLASHpmo] = ACTIONS(2914),
    [anon_sym_BSLASHpm] = ACTIONS(2917),
    [anon_sym_BSLASHpmc] = ACTIONS(2920),
    [anon_sym_BSLASHpmr] = ACTIONS(2923),
    [anon_sym_BSLASHpi] = ACTIONS(2926),
    [anon_sym_BSLASHmi] = ACTIONS(2929),
    [anon_sym_BSLASHnb] = ACTIONS(2932),
    [anon_sym_BSLASHpc] = ACTIONS(2935),
    [anon_sym_BSLASHph] = ACTIONS(2938),
    [anon_sym_BSLASHb] = ACTIONS(2941),
    [anon_sym_BSLASHq] = ACTIONS(2944),
    [anon_sym_BSLASHqr] = ACTIONS(2947),
    [anon_sym_BSLASHqc] = ACTIONS(2950),
    [anon_sym_BSLASHqa] = ACTIONS(2953),
    [anon_sym_BSLASHqm] = ACTIONS(2956),
    [anon_sym_BSLASHqd] = ACTIONS(2959),
    [anon_sym_BSLASHlh] = ACTIONS(2962),
    [anon_sym_BSLASHli] = ACTIONS(2965),
    [anon_sym_BSLASHlim] = ACTIONS(2968),
    [anon_sym_BSLASHtr] = ACTIONS(2971),
    [anon_sym_BSLASHf] = ACTIONS(2974),
    [anon_sym_BSLASHfe] = ACTIONS(2977),
    [anon_sym_BSLASHef] = ACTIONS(2980),
    [anon_sym_BSLASHfm] = ACTIONS(2983),
    [anon_sym_BSLASHpb] = ACTIONS(2986),
    [anon_sym_BSLASH] = ACTIONS(2989),
    [sym_milestoneStartTag] = ACTIONS(2992),
    [sym_milestoneEndTag] = ACTIONS(2995),
    [sym_zSpaceTag] = ACTIONS(2998),
    [anon_sym_BSLASHesbe] = ACTIONS(3001),
    [anon_sym_BSLASHcat] = ACTIONS(3003),
  },
  [275] = {
    [sym__comments] = STATE(270),
    [sym_sts] = STATE(270),
    [sym_rem] = STATE(270),
    [sym_restore] = STATE(270),
    [sym_lit] = STATE(270),
    [sym_ip] = STATE(270),
    [sym_title] = STATE(270),
    [sym_mteBlock] = STATE(1332),
    [sym_mte] = STATE(1537),
    [sym_mteTag] = STATE(1774),
    [sym_msBlock] = STATE(1332),
    [sym_ms] = STATE(1536),
    [sym_msTag] = STATE(1089),
    [sym_sBlock] = STATE(1332),
    [sym_s] = STATE(1535),
    [sym_sTag] = STATE(313),
    [sym_r] = STATE(1332),
    [sym_sp] = STATE(1332),
    [sym_d] = STATE(1332),
    [sym_sdBlock] = STATE(1332),
    [sym_sd] = STATE(1254),
    [sym_sdTag] = STATE(1333),
    [sym_paragraph] = STATE(270),
    [sym_p] = STATE(1351),
    [sym_m] = STATE(1351),
    [sym_po] = STATE(1351),
    [sym_pr] = STATE(1351),
    [sym_cls] = STATE(1351),
    [sym_pmo] = STATE(1351),
    [sym_pm] = STATE(1351),
    [sym_pmc] = STATE(1351),
    [sym_pmr] = STATE(1351),
    [sym_piBlock] = STATE(1351),
    [sym_pi] = STATE(1533),
    [sym_piTag] = STATE(206),
    [sym_mi] = STATE(1351),
    [sym_nb] = STATE(1351),
    [sym_pc] = STATE(1351),
    [sym_phBlock] = STATE(1351),
    [sym_ph] = STATE(1534),
    [sym_phTag] = STATE(235),
    [sym_b] = STATE(1351),
    [sym_poetry] = STATE(270),
    [sym_qBlock] = STATE(1241),
    [sym_q] = STATE(1543),
    [sym_qTag] = STATE(195),
    [sym_qr] = STATE(1241),
    [sym_qc] = STATE(1241),
    [sym_qa] = STATE(1332),
    [sym_qmBlock] = STATE(1241),
    [sym_qm] = STATE(1548),
    [sym_qmTag] = STATE(109),
    [sym_qd] = STATE(1241),
    [sym_list] = STATE(270),
    [sym_lh] = STATE(1815),
    [sym__listMarker] = STATE(1243),
    [sym_liBlock] = STATE(1243),
    [sym_li] = STATE(1502),
    [sym_liTag] = STATE(75),
    [sym_limBlock] = STATE(1243),
    [sym_lim] = STATE(1523),
    [sym_limTag] = STATE(74),
    [sym_table] = STATE(270),
    [sym_tr] = STATE(1550),
    [sym_footnote] = STATE(270),
    [sym_f] = STATE(1349),
    [sym_fe] = STATE(1349),
    [sym_ef] = STATE(1349),
    [sym_fm] = STATE(1349),
    [sym_pb] = STATE(270),
    [sym_milestoneTag] = STATE(1946),
    [sym__milestoneStandaloneMarker] = STATE(1304),
    [sym__milestoneStart] = STATE(1304),
    [sym__milestoneEnd] = STATE(1304),
    [sym_milestone] = STATE(270),
    [sym__zNameSpaceRegular] = STATE(1331),
    [sym__zNameSpaceClosed] = STATE(1331),
    [sym__zNameSpaceStandaloneMarker] = STATE(1331),
    [sym_zNameSpace] = STATE(270),
    [sym__esbContents] = STATE(270),
    [sym_cat] = STATE(270),
    [aux_sym_mteBlock_repeat1] = STATE(1537),
    [aux_sym_msBlock_repeat1] = STATE(1536),
    [aux_sym_sBlock_repeat1] = STATE(1535),
    [aux_sym_sdBlock_repeat1] = STATE(1254),
    [aux_sym_piBlock_repeat1] = STATE(1533),
    [aux_sym_phBlock_repeat1] = STATE(1534),
    [aux_sym_poetry_repeat1] = STATE(1241),
    [aux_sym_qBlock_repeat1] = STATE(1543),
    [aux_sym_qmBlock_repeat1] = STATE(1548),
    [aux_sym_list_repeat1] = STATE(1243),
    [aux_sym_liBlock_repeat1] = STATE(1502),
    [aux_sym_limBlock_repeat1] = STATE(1523),
    [aux_sym_table_repeat1] = STATE(1550),
    [aux_sym_esb_repeat1] = STATE(270),
    [anon_sym_BSLASHsts] = ACTIONS(2096),
    [anon_sym_BSLASHrem] = ACTIONS(2098),
    [anon_sym_BSLASHrestore] = ACTIONS(2100),
    [anon_sym_BSLASHlit] = ACTIONS(2102),
    [anon_sym_BSLASHip] = ACTIONS(2799),
    [anon_sym_BSLASHmte] = ACTIONS(2116),
    [anon_sym_BSLASHms] = ACTIONS(2118),
    [anon_sym_BSLASHs] = ACTIONS(2801),
    [anon_sym_BSLASHr] = ACTIONS(2122),
    [anon_sym_BSLASHsp] = ACTIONS(2124),
    [anon_sym_BSLASHd] = ACTIONS(2803),
    [anon_sym_BSLASHsd] = ACTIONS(2128),
    [anon_sym_BSLASHp] = ACTIONS(2805),
    [anon_sym_BSLASHm] = ACTIONS(2807),
    [anon_sym_BSLASHpo] = ACTIONS(2809),
    [anon_sym_BSLASHpr] = ACTIONS(2811),
    [anon_sym_BSLASHcls] = ACTIONS(2813),
    [anon_sym_BSLASHpmo] = ACTIONS(2815),
    [anon_sym_BSLASHpm] = ACTIONS(2817),
    [anon_sym_BSLASHpmc] = ACTIONS(2819),
    [anon_sym_BSLASHpmr] = ACTIONS(2821),
    [anon_sym_BSLASHpi] = ACTIONS(2823),
    [anon_sym_BSLASHmi] = ACTIONS(2825),
    [anon_sym_BSLASHnb] = ACTIONS(2827),
    [anon_sym_BSLASHpc] = ACTIONS(2829),
    [anon_sym_BSLASHph] = ACTIONS(2831),
    [anon_sym_BSLASHb] = ACTIONS(2158),
    [anon_sym_BSLASHq] = ACTIONS(2833),
    [anon_sym_BSLASHqr] = ACTIONS(2835),
    [anon_sym_BSLASHqc] = ACTIONS(2837),
    [anon_sym_BSLASHqa] = ACTIONS(2839),
    [anon_sym_BSLASHqm] = ACTIONS(2841),
    [anon_sym_BSLASHqd] = ACTIONS(2843),
    [anon_sym_BSLASHlh] = ACTIONS(2172),
    [anon_sym_BSLASHli] = ACTIONS(2845),
    [anon_sym_BSLASHlim] = ACTIONS(2847),
    [anon_sym_BSLASHtr] = ACTIONS(2849),
    [anon_sym_BSLASHf] = ACTIONS(2180),
    [anon_sym_BSLASHfe] = ACTIONS(2182),
    [anon_sym_BSLASHef] = ACTIONS(2184),
    [anon_sym_BSLASHfm] = ACTIONS(2186),
    [anon_sym_BSLASHpb] = ACTIONS(2188),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(2190),
    [sym_milestoneEndTag] = ACTIONS(2192),
    [sym_zSpaceTag] = ACTIONS(2851),
    [anon_sym_BSLASHesbe] = ACTIONS(3006),
    [anon_sym_BSLASHcat] = ACTIONS(2855),
  },
  [276] = {
    [sym__comments] = STATE(273),
    [sym_sts] = STATE(273),
    [sym_rem] = STATE(273),
    [sym_restore] = STATE(273),
    [sym_lit] = STATE(273),
    [sym_ip] = STATE(273),
    [sym_title] = STATE(273),
    [sym_mteBlock] = STATE(1332),
    [sym_mte] = STATE(1537),
    [sym_mteTag] = STATE(1774),
    [sym_msBlock] = STATE(1332),
    [sym_ms] = STATE(1536),
    [sym_msTag] = STATE(1089),
    [sym_sBlock] = STATE(1332),
    [sym_s] = STATE(1535),
    [sym_sTag] = STATE(313),
    [sym_r] = STATE(1332),
    [sym_sp] = STATE(1332),
    [sym_d] = STATE(1332),
    [sym_sdBlock] = STATE(1332),
    [sym_sd] = STATE(1254),
    [sym_sdTag] = STATE(1333),
    [sym_paragraph] = STATE(273),
    [sym_p] = STATE(1351),
    [sym_m] = STATE(1351),
    [sym_po] = STATE(1351),
    [sym_pr] = STATE(1351),
    [sym_cls] = STATE(1351),
    [sym_pmo] = STATE(1351),
    [sym_pm] = STATE(1351),
    [sym_pmc] = STATE(1351),
    [sym_pmr] = STATE(1351),
    [sym_piBlock] = STATE(1351),
    [sym_pi] = STATE(1533),
    [sym_piTag] = STATE(206),
    [sym_mi] = STATE(1351),
    [sym_nb] = STATE(1351),
    [sym_pc] = STATE(1351),
    [sym_phBlock] = STATE(1351),
    [sym_ph] = STATE(1534),
    [sym_phTag] = STATE(235),
    [sym_b] = STATE(1351),
    [sym_poetry] = STATE(273),
    [sym_qBlock] = STATE(1241),
    [sym_q] = STATE(1543),
    [sym_qTag] = STATE(195),
    [sym_qr] = STATE(1241),
    [sym_qc] = STATE(1241),
    [sym_qa] = STATE(1332),
    [sym_qmBlock] = STATE(1241),
    [sym_qm] = STATE(1548),
    [sym_qmTag] = STATE(109),
    [sym_qd] = STATE(1241),
    [sym_list] = STATE(273),
    [sym_lh] = STATE(1815),
    [sym__listMarker] = STATE(1243),
    [sym_liBlock] = STATE(1243),
    [sym_li] = STATE(1502),
    [sym_liTag] = STATE(75),
    [sym_limBlock] = STATE(1243),
    [sym_lim] = STATE(1523),
    [sym_limTag] = STATE(74),
    [sym_table] = STATE(273),
    [sym_tr] = STATE(1550),
    [sym_footnote] = STATE(273),
    [sym_f] = STATE(1349),
    [sym_fe] = STATE(1349),
    [sym_ef] = STATE(1349),
    [sym_fm] = STATE(1349),
    [sym_pb] = STATE(273),
    [sym_milestoneTag] = STATE(1946),
    [sym__milestoneStandaloneMarker] = STATE(1304),
    [sym__milestoneStart] = STATE(1304),
    [sym__milestoneEnd] = STATE(1304),
    [sym_milestone] = STATE(273),
    [sym__zNameSpaceRegular] = STATE(1331),
    [sym__zNameSpaceClosed] = STATE(1331),
    [sym__zNameSpaceStandaloneMarker] = STATE(1331),
    [sym_zNameSpace] = STATE(273),
    [sym__esbContents] = STATE(273),
    [sym_cat] = STATE(273),
    [aux_sym_mteBlock_repeat1] = STATE(1537),
    [aux_sym_msBlock_repeat1] = STATE(1536),
    [aux_sym_sBlock_repeat1] = STATE(1535),
    [aux_sym_sdBlock_repeat1] = STATE(1254),
    [aux_sym_piBlock_repeat1] = STATE(1533),
    [aux_sym_phBlock_repeat1] = STATE(1534),
    [aux_sym_poetry_repeat1] = STATE(1241),
    [aux_sym_qBlock_repeat1] = STATE(1543),
    [aux_sym_qmBlock_repeat1] = STATE(1548),
    [aux_sym_list_repeat1] = STATE(1243),
    [aux_sym_liBlock_repeat1] = STATE(1502),
    [aux_sym_limBlock_repeat1] = STATE(1523),
    [aux_sym_table_repeat1] = STATE(1550),
    [aux_sym_esb_repeat1] = STATE(273),
    [anon_sym_BSLASHsts] = ACTIONS(2096),
    [anon_sym_BSLASHrem] = ACTIONS(2098),
    [anon_sym_BSLASHrestore] = ACTIONS(2100),
    [anon_sym_BSLASHlit] = ACTIONS(2102),
    [anon_sym_BSLASHip] = ACTIONS(2799),
    [anon_sym_BSLASHmte] = ACTIONS(2116),
    [anon_sym_BSLASHms] = ACTIONS(2118),
    [anon_sym_BSLASHs] = ACTIONS(2801),
    [anon_sym_BSLASHr] = ACTIONS(2122),
    [anon_sym_BSLASHsp] = ACTIONS(2124),
    [anon_sym_BSLASHd] = ACTIONS(2803),
    [anon_sym_BSLASHsd] = ACTIONS(2128),
    [anon_sym_BSLASHp] = ACTIONS(2805),
    [anon_sym_BSLASHm] = ACTIONS(2807),
    [anon_sym_BSLASHpo] = ACTIONS(2809),
    [anon_sym_BSLASHpr] = ACTIONS(2811),
    [anon_sym_BSLASHcls] = ACTIONS(2813),
    [anon_sym_BSLASHpmo] = ACTIONS(2815),
    [anon_sym_BSLASHpm] = ACTIONS(2817),
    [anon_sym_BSLASHpmc] = ACTIONS(2819),
    [anon_sym_BSLASHpmr] = ACTIONS(2821),
    [anon_sym_BSLASHpi] = ACTIONS(2823),
    [anon_sym_BSLASHmi] = ACTIONS(2825),
    [anon_sym_BSLASHnb] = ACTIONS(2827),
    [anon_sym_BSLASHpc] = ACTIONS(2829),
    [anon_sym_BSLASHph] = ACTIONS(2831),
    [anon_sym_BSLASHb] = ACTIONS(2158),
    [anon_sym_BSLASHq] = ACTIONS(2833),
    [anon_sym_BSLASHqr] = ACTIONS(2835),
    [anon_sym_BSLASHqc] = ACTIONS(2837),
    [anon_sym_BSLASHqa] = ACTIONS(2839),
    [anon_sym_BSLASHqm] = ACTIONS(2841),
    [anon_sym_BSLASHqd] = ACTIONS(2843),
    [anon_sym_BSLASHlh] = ACTIONS(2172),
    [anon_sym_BSLASHli] = ACTIONS(2845),
    [anon_sym_BSLASHlim] = ACTIONS(2847),
    [anon_sym_BSLASHtr] = ACTIONS(2849),
    [anon_sym_BSLASHf] = ACTIONS(2180),
    [anon_sym_BSLASHfe] = ACTIONS(2182),
    [anon_sym_BSLASHef] = ACTIONS(2184),
    [anon_sym_BSLASHfm] = ACTIONS(2186),
    [anon_sym_BSLASHpb] = ACTIONS(2188),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(2190),
    [sym_milestoneEndTag] = ACTIONS(2192),
    [sym_zSpaceTag] = ACTIONS(2851),
    [anon_sym_BSLASHesbe] = ACTIONS(3008),
    [anon_sym_BSLASHcat] = ACTIONS(2855),
  },
  [277] = {
    [sym_text] = STATE(278),
    [sym_ref] = STATE(278),
    [sym_addNested] = STATE(278),
    [sym_bkNested] = STATE(278),
    [sym_dcNested] = STATE(278),
    [sym_kNested] = STATE(278),
    [sym_ndNested] = STATE(278),
    [sym_ordNested] = STATE(278),
    [sym_pnNested] = STATE(278),
    [sym_pngNested] = STATE(278),
    [sym_addpnNested] = STATE(278),
    [sym_qtNested] = STATE(278),
    [sym_sigNested] = STATE(278),
    [sym_slsNested] = STATE(278),
    [sym_tlNested] = STATE(278),
    [sym_wjNested] = STATE(278),
    [sym_emNested] = STATE(278),
    [sym_bdNested] = STATE(278),
    [sym_itNested] = STATE(278),
    [sym_bditNested] = STATE(278),
    [sym_noNested] = STATE(278),
    [sym_scNested] = STATE(278),
    [sym_supNested] = STATE(278),
    [sym_ndxNested] = STATE(278),
    [sym_proNested] = STATE(278),
    [sym_rbNested] = STATE(278),
    [sym_wNested] = STATE(278),
    [sym_wgNested] = STATE(278),
    [sym_whNested] = STATE(278),
    [sym_waNested] = STATE(278),
    [sym__nestedCharacterMarker] = STATE(278),
    [sym_fig] = STATE(278),
    [sym_jmpNested] = STATE(278),
    [aux_sym_crossrefText_repeat1] = STATE(278),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHf_STAR] = ACTIONS(3010),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(3010),
    [anon_sym_BSLASHef_STAR] = ACTIONS(3010),
    [anon_sym_BSLASHfr] = ACTIONS(3010),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(3010),
    [anon_sym_BSLASHfq] = ACTIONS(3010),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(3010),
    [anon_sym_BSLASHfqa] = ACTIONS(3010),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(3010),
    [anon_sym_BSLASHfk] = ACTIONS(3010),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(3010),
    [anon_sym_BSLASHfl] = ACTIONS(3010),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(3010),
    [anon_sym_BSLASHfw] = ACTIONS(3010),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(3010),
    [anon_sym_BSLASHfp] = ACTIONS(3010),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(3010),
    [anon_sym_BSLASHft] = ACTIONS(3010),
    [anon_sym_BSLASHft_STAR] = ACTIONS(3010),
    [anon_sym_BSLASHfdc] = ACTIONS(3010),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(3010),
    [anon_sym_BSLASHfv] = ACTIONS(3010),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(3010),
    [anon_sym_BSLASHx_STAR] = ACTIONS(3010),
    [anon_sym_BSLASHxo] = ACTIONS(3010),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(3010),
    [anon_sym_BSLASHxk] = ACTIONS(3010),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(3010),
    [anon_sym_BSLASHxq] = ACTIONS(3010),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(3010),
    [anon_sym_BSLASHxt] = ACTIONS(3010),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(3010),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(3010),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(3010),
    [anon_sym_BSLASHxta] = ACTIONS(3010),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(3010),
    [anon_sym_BSLASHxop] = ACTIONS(3010),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(3010),
    [anon_sym_BSLASHxot] = ACTIONS(3010),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(3010),
    [anon_sym_BSLASHxnt] = ACTIONS(3010),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(3010),
    [anon_sym_BSLASHxdc] = ACTIONS(3010),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(3010),
    [anon_sym_BSLASHadd] = ACTIONS(3010),
    [anon_sym_BSLASHbk] = ACTIONS(3010),
    [anon_sym_BSLASHdc] = ACTIONS(3010),
    [anon_sym_BSLASHk] = ACTIONS(3010),
    [anon_sym_BSLASHnd] = ACTIONS(3010),
    [anon_sym_BSLASHord] = ACTIONS(3010),
    [anon_sym_BSLASHpn] = ACTIONS(3010),
    [anon_sym_BSLASHpng] = ACTIONS(3010),
    [anon_sym_BSLASHaddpn] = ACTIONS(3010),
    [anon_sym_BSLASHqt] = ACTIONS(3010),
    [anon_sym_BSLASHsig] = ACTIONS(3010),
    [anon_sym_BSLASHsls] = ACTIONS(3010),
    [anon_sym_BSLASHtl] = ACTIONS(3010),
    [anon_sym_BSLASHwj] = ACTIONS(3010),
    [anon_sym_BSLASHem] = ACTIONS(3010),
    [anon_sym_BSLASHbd] = ACTIONS(3010),
    [anon_sym_BSLASHit] = ACTIONS(3010),
    [anon_sym_BSLASHbdit] = ACTIONS(3010),
    [anon_sym_BSLASHno] = ACTIONS(3010),
    [anon_sym_BSLASHsc] = ACTIONS(3010),
    [anon_sym_BSLASHsup] = ACTIONS(3010),
    [anon_sym_BSLASHndx] = ACTIONS(3010),
    [anon_sym_BSLASHpro] = ACTIONS(3010),
    [anon_sym_BSLASHrb] = ACTIONS(3010),
    [anon_sym_BSLASHw] = ACTIONS(3010),
    [anon_sym_BSLASHwg] = ACTIONS(3010),
    [anon_sym_BSLASHwh] = ACTIONS(3010),
    [anon_sym_BSLASHwa] = ACTIONS(3010),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(3010),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_BSLASHcat] = ACTIONS(3010),
    [anon_sym_PIPE] = ACTIONS(3010),
  },
  [278] = {
    [sym_text] = STATE(278),
    [sym_ref] = STATE(278),
    [sym_addNested] = STATE(278),
    [sym_bkNested] = STATE(278),
    [sym_dcNested] = STATE(278),
    [sym_kNested] = STATE(278),
    [sym_ndNested] = STATE(278),
    [sym_ordNested] = STATE(278),
    [sym_pnNested] = STATE(278),
    [sym_pngNested] = STATE(278),
    [sym_addpnNested] = STATE(278),
    [sym_qtNested] = STATE(278),
    [sym_sigNested] = STATE(278),
    [sym_slsNested] = STATE(278),
    [sym_tlNested] = STATE(278),
    [sym_wjNested] = STATE(278),
    [sym_emNested] = STATE(278),
    [sym_bdNested] = STATE(278),
    [sym_itNested] = STATE(278),
    [sym_bditNested] = STATE(278),
    [sym_noNested] = STATE(278),
    [sym_scNested] = STATE(278),
    [sym_supNested] = STATE(278),
    [sym_ndxNested] = STATE(278),
    [sym_proNested] = STATE(278),
    [sym_rbNested] = STATE(278),
    [sym_wNested] = STATE(278),
    [sym_wgNested] = STATE(278),
    [sym_whNested] = STATE(278),
    [sym_waNested] = STATE(278),
    [sym__nestedCharacterMarker] = STATE(278),
    [sym_fig] = STATE(278),
    [sym_jmpNested] = STATE(278),
    [aux_sym_crossrefText_repeat1] = STATE(278),
    [aux_sym_text_token1] = ACTIONS(3012),
    [anon_sym_BSLASHref] = ACTIONS(3015),
    [anon_sym_BSLASHf_STAR] = ACTIONS(3018),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(3018),
    [anon_sym_BSLASHef_STAR] = ACTIONS(3018),
    [anon_sym_BSLASHfr] = ACTIONS(3018),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(3018),
    [anon_sym_BSLASHfq] = ACTIONS(3018),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(3018),
    [anon_sym_BSLASHfqa] = ACTIONS(3018),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(3018),
    [anon_sym_BSLASHfk] = ACTIONS(3018),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(3018),
    [anon_sym_BSLASHfl] = ACTIONS(3018),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(3018),
    [anon_sym_BSLASHfw] = ACTIONS(3018),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(3018),
    [anon_sym_BSLASHfp] = ACTIONS(3018),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(3018),
    [anon_sym_BSLASHft] = ACTIONS(3018),
    [anon_sym_BSLASHft_STAR] = ACTIONS(3018),
    [anon_sym_BSLASHfdc] = ACTIONS(3018),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(3018),
    [anon_sym_BSLASHfv] = ACTIONS(3018),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(3018),
    [anon_sym_BSLASHx_STAR] = ACTIONS(3018),
    [anon_sym_BSLASHxo] = ACTIONS(3018),
    [anon_sym_BSLASHxo_STAR] = ACTIONS(3018),
    [anon_sym_BSLASHxk] = ACTIONS(3018),
    [anon_sym_BSLASHxk_STAR] = ACTIONS(3018),
    [anon_sym_BSLASHxq] = ACTIONS(3018),
    [anon_sym_BSLASHxq_STAR] = ACTIONS(3018),
    [anon_sym_BSLASHxt] = ACTIONS(3018),
    [anon_sym_BSLASHxt_STAR] = ACTIONS(3018),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(3018),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(3018),
    [anon_sym_BSLASHxta] = ACTIONS(3018),
    [anon_sym_BSLASHxta_STAR] = ACTIONS(3018),
    [anon_sym_BSLASHxop] = ACTIONS(3018),
    [anon_sym_BSLASHxop_STAR] = ACTIONS(3018),
    [anon_sym_BSLASHxot] = ACTIONS(3018),
    [anon_sym_BSLASHxot_STAR] = ACTIONS(3018),
    [anon_sym_BSLASHxnt] = ACTIONS(3018),
    [anon_sym_BSLASHxnt_STAR] = ACTIONS(3018),
    [anon_sym_BSLASHxdc] = ACTIONS(3018),
    [anon_sym_BSLASHxdc_STAR] = ACTIONS(3018),
    [anon_sym_BSLASHadd] = ACTIONS(3018),
    [anon_sym_BSLASHbk] = ACTIONS(3018),
    [anon_sym_BSLASHdc] = ACTIONS(3018),
    [anon_sym_BSLASHk] = ACTIONS(3018),
    [anon_sym_BSLASHnd] = ACTIONS(3018),
    [anon_sym_BSLASHord] = ACTIONS(3018),
    [anon_sym_BSLASHpn] = ACTIONS(3018),
    [anon_sym_BSLASHpng] = ACTIONS(3018),
    [anon_sym_BSLASHaddpn] = ACTIONS(3018),
    [anon_sym_BSLASHqt] = ACTIONS(3018),
    [anon_sym_BSLASHsig] = ACTIONS(3018),
    [anon_sym_BSLASHsls] = ACTIONS(3018),
    [anon_sym_BSLASHtl] = ACTIONS(3018),
    [anon_sym_BSLASHwj] = ACTIONS(3018),
    [anon_sym_BSLASHem] = ACTIONS(3018),
    [anon_sym_BSLASHbd] = ACTIONS(3018),
    [anon_sym_BSLASHit] = ACTIONS(3018),
    [anon_sym_BSLASHbdit] = ACTIONS(3018),
    [anon_sym_BSLASHno] = ACTIONS(3018),
    [anon_sym_BSLASHsc] = ACTIONS(3018),
    [anon_sym_BSLASHsup] = ACTIONS(3018),
    [anon_sym_BSLASHndx] = ACTIONS(3018),
    [anon_sym_BSLASHpro] = ACTIONS(3018),
    [anon_sym_BSLASHrb] = ACTIONS(3018),
    [anon_sym_BSLASHw] = ACTIONS(3018),
    [anon_sym_BSLASHwg] = ACTIONS(3018),
    [anon_sym_BSLASHwh] = ACTIONS(3018),
    [anon_sym_BSLASHwa] = ACTIONS(3018),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(3020),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(3023),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(3026),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(3029),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(3032),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(3035),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(3038),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(3041),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(3044),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(3047),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(3050),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(3053),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(3056),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(3059),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(3062),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(3065),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(3068),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(3071),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(3074),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(3077),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(3080),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(3083),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(3086),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(3089),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(3092),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(3095),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(3098),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(3101),
    [anon_sym_BSLASHfig] = ACTIONS(3104),
    [anon_sym_BSLASHjmp] = ACTIONS(3018),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(3107),
    [anon_sym_BSLASHcat] = ACTIONS(3018),
    [anon_sym_PIPE] = ACTIONS(3018),
  },
  [279] = {
    [sym_text] = STATE(294),
    [sym_sr] = STATE(1277),
    [sym_r] = STATE(1344),
    [sym_footnote] = STATE(294),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(294),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(294),
    [sym_bk] = STATE(294),
    [sym_dc] = STATE(294),
    [sym_k] = STATE(294),
    [sym_nd] = STATE(294),
    [sym_ord] = STATE(294),
    [sym_pn] = STATE(294),
    [sym_png] = STATE(294),
    [sym_addpn] = STATE(294),
    [sym_qt] = STATE(294),
    [sym_sig] = STATE(294),
    [sym_sls] = STATE(294),
    [sym_tl] = STATE(294),
    [sym_wj] = STATE(294),
    [sym_em] = STATE(294),
    [sym_bd] = STATE(294),
    [sym_it] = STATE(294),
    [sym_bdit] = STATE(294),
    [sym_no] = STATE(294),
    [sym_sc] = STATE(294),
    [sym_sup] = STATE(294),
    [sym_ndx] = STATE(294),
    [sym_pro] = STATE(294),
    [sym_rb] = STATE(294),
    [sym_w] = STATE(294),
    [sym_wg] = STATE(294),
    [sym_wh] = STATE(294),
    [sym_wa] = STATE(294),
    [sym__characterMarker] = STATE(294),
    [sym_fig] = STATE(294),
    [sym_jmp] = STATE(294),
    [aux_sym_ms_repeat1] = STATE(294),
    [ts_builtin_sym_end] = ACTIONS(3110),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHsts] = ACTIONS(3112),
    [anon_sym_BSLASHrem] = ACTIONS(3112),
    [anon_sym_BSLASHrestore] = ACTIONS(3112),
    [anon_sym_BSLASHlit] = ACTIONS(3112),
    [anon_sym_BSLASHip] = ACTIONS(3112),
    [anon_sym_BSLASHiex] = ACTIONS(3112),
    [anon_sym_BSLASHc] = ACTIONS(3112),
    [anon_sym_BSLASHcl] = ACTIONS(3112),
    [anon_sym_BSLASHca] = ACTIONS(3112),
    [anon_sym_BSLASHcp] = ACTIONS(3112),
    [anon_sym_BSLASHcd] = ACTIONS(3112),
    [anon_sym_BSLASHmte] = ACTIONS(3112),
    [anon_sym_BSLASHms] = ACTIONS(3112),
    [anon_sym_BSLASHs] = ACTIONS(3112),
    [anon_sym_BSLASHsr] = ACTIONS(3114),
    [anon_sym_BSLASHr] = ACTIONS(3116),
    [anon_sym_BSLASHsp] = ACTIONS(3112),
    [anon_sym_BSLASHd] = ACTIONS(3112),
    [anon_sym_BSLASHsd] = ACTIONS(3112),
    [anon_sym_BSLASHp] = ACTIONS(3112),
    [anon_sym_BSLASHm] = ACTIONS(3112),
    [anon_sym_BSLASHpo] = ACTIONS(3112),
    [anon_sym_BSLASHpr] = ACTIONS(3112),
    [anon_sym_BSLASHcls] = ACTIONS(3112),
    [anon_sym_BSLASHpmo] = ACTIONS(3112),
    [anon_sym_BSLASHpm] = ACTIONS(3112),
    [anon_sym_BSLASHpmc] = ACTIONS(3112),
    [anon_sym_BSLASHpmr] = ACTIONS(3112),
    [anon_sym_BSLASHpi] = ACTIONS(3112),
    [anon_sym_BSLASHmi] = ACTIONS(3112),
    [anon_sym_BSLASHnb] = ACTIONS(3112),
    [anon_sym_BSLASHpc] = ACTIONS(3112),
    [anon_sym_BSLASHph] = ACTIONS(3112),
    [anon_sym_BSLASHb] = ACTIONS(3112),
    [anon_sym_BSLASHq] = ACTIONS(3112),
    [anon_sym_BSLASHqr] = ACTIONS(3112),
    [anon_sym_BSLASHqc] = ACTIONS(3112),
    [anon_sym_BSLASHqa] = ACTIONS(3112),
    [anon_sym_BSLASHqm] = ACTIONS(3112),
    [anon_sym_BSLASHqd] = ACTIONS(3112),
    [anon_sym_BSLASHlh] = ACTIONS(3112),
    [anon_sym_BSLASHli] = ACTIONS(3112),
    [anon_sym_BSLASHlim] = ACTIONS(3112),
    [anon_sym_BSLASHtr] = ACTIONS(3112),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(3112),
    [anon_sym_BSLASH] = ACTIONS(3112),
    [sym_milestoneStartTag] = ACTIONS(3112),
    [sym_milestoneEndTag] = ACTIONS(3112),
    [sym_zSpaceTag] = ACTIONS(3112),
    [anon_sym_BSLASHesb] = ACTIONS(3112),
  },
  [280] = {
    [sym_text] = STATE(280),
    [sym_footnote] = STATE(280),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(280),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_addNested] = STATE(280),
    [sym_bkNested] = STATE(280),
    [sym_dcNested] = STATE(280),
    [sym_kNested] = STATE(280),
    [sym_ndNested] = STATE(280),
    [sym_ordNested] = STATE(280),
    [sym_pnNested] = STATE(280),
    [sym_pngNested] = STATE(280),
    [sym_addpnNested] = STATE(280),
    [sym_qtNested] = STATE(280),
    [sym_sigNested] = STATE(280),
    [sym_slsNested] = STATE(280),
    [sym_tlNested] = STATE(280),
    [sym_wjNested] = STATE(280),
    [sym_emNested] = STATE(280),
    [sym_bdNested] = STATE(280),
    [sym_itNested] = STATE(280),
    [sym_bditNested] = STATE(280),
    [sym_noNested] = STATE(280),
    [sym_scNested] = STATE(280),
    [sym_supNested] = STATE(280),
    [sym_ndxNested] = STATE(280),
    [sym_proNested] = STATE(280),
    [sym_rbNested] = STATE(280),
    [sym_wNested] = STATE(280),
    [sym_wgNested] = STATE(280),
    [sym_whNested] = STATE(280),
    [sym_waNested] = STATE(280),
    [sym__nestedCharacterMarker] = STATE(280),
    [sym_fig] = STATE(280),
    [sym_jmpNested] = STATE(280),
    [aux_sym__innerText_repeat1] = STATE(280),
    [aux_sym_text_token1] = ACTIONS(3118),
    [anon_sym_BSLASHf] = ACTIONS(3121),
    [anon_sym_BSLASHfe] = ACTIONS(3124),
    [anon_sym_BSLASHef] = ACTIONS(3127),
    [anon_sym_BSLASHfm] = ACTIONS(3130),
    [anon_sym_BSLASHx] = ACTIONS(3133),
    [anon_sym_BSLASHxt] = ACTIONS(3136),
    [anon_sym_BSLASHrq] = ACTIONS(3139),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(3142),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(3142),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(3142),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(3142),
    [anon_sym_BSLASHord_STAR] = ACTIONS(3142),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(3142),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(3142),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(3142),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(3142),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(3142),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(3142),
    [anon_sym_BSLASHem_STAR] = ACTIONS(3142),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(3142),
    [anon_sym_BSLASHit_STAR] = ACTIONS(3142),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(3142),
    [anon_sym_BSLASHno_STAR] = ACTIONS(3142),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(3142),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(3142),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(3142),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(3142),
    [anon_sym_BSLASHw_STAR] = ACTIONS(3142),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(3142),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(3142),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(3144),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(3147),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(3150),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(3153),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(3156),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(3159),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(3162),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(3165),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(3168),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(3171),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(3174),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(3177),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(3180),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(3183),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(3186),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(3189),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(3192),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(3195),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(3198),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(3201),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(3204),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(3207),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(3210),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(3213),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(3216),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(3219),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(3222),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(3225),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(3142),
    [anon_sym_BSLASHfig] = ACTIONS(3228),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(3231),
    [anon_sym_PIPE] = ACTIONS(3142),
  },
  [281] = {
    [sym_text] = STATE(279),
    [sym_sr] = STATE(1293),
    [sym_r] = STATE(1320),
    [sym_footnote] = STATE(279),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(279),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(279),
    [sym_bk] = STATE(279),
    [sym_dc] = STATE(279),
    [sym_k] = STATE(279),
    [sym_nd] = STATE(279),
    [sym_ord] = STATE(279),
    [sym_pn] = STATE(279),
    [sym_png] = STATE(279),
    [sym_addpn] = STATE(279),
    [sym_qt] = STATE(279),
    [sym_sig] = STATE(279),
    [sym_sls] = STATE(279),
    [sym_tl] = STATE(279),
    [sym_wj] = STATE(279),
    [sym_em] = STATE(279),
    [sym_bd] = STATE(279),
    [sym_it] = STATE(279),
    [sym_bdit] = STATE(279),
    [sym_no] = STATE(279),
    [sym_sc] = STATE(279),
    [sym_sup] = STATE(279),
    [sym_ndx] = STATE(279),
    [sym_pro] = STATE(279),
    [sym_rb] = STATE(279),
    [sym_w] = STATE(279),
    [sym_wg] = STATE(279),
    [sym_wh] = STATE(279),
    [sym_wa] = STATE(279),
    [sym__characterMarker] = STATE(279),
    [sym_fig] = STATE(279),
    [sym_jmp] = STATE(279),
    [aux_sym_ms_repeat1] = STATE(279),
    [ts_builtin_sym_end] = ACTIONS(3234),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHsts] = ACTIONS(3236),
    [anon_sym_BSLASHrem] = ACTIONS(3236),
    [anon_sym_BSLASHrestore] = ACTIONS(3236),
    [anon_sym_BSLASHlit] = ACTIONS(3236),
    [anon_sym_BSLASHip] = ACTIONS(3236),
    [anon_sym_BSLASHiex] = ACTIONS(3236),
    [anon_sym_BSLASHc] = ACTIONS(3236),
    [anon_sym_BSLASHcl] = ACTIONS(3236),
    [anon_sym_BSLASHca] = ACTIONS(3236),
    [anon_sym_BSLASHcp] = ACTIONS(3236),
    [anon_sym_BSLASHcd] = ACTIONS(3236),
    [anon_sym_BSLASHmte] = ACTIONS(3236),
    [anon_sym_BSLASHms] = ACTIONS(3236),
    [anon_sym_BSLASHs] = ACTIONS(3236),
    [anon_sym_BSLASHsr] = ACTIONS(3114),
    [anon_sym_BSLASHr] = ACTIONS(3116),
    [anon_sym_BSLASHsp] = ACTIONS(3236),
    [anon_sym_BSLASHd] = ACTIONS(3236),
    [anon_sym_BSLASHsd] = ACTIONS(3236),
    [anon_sym_BSLASHp] = ACTIONS(3236),
    [anon_sym_BSLASHm] = ACTIONS(3236),
    [anon_sym_BSLASHpo] = ACTIONS(3236),
    [anon_sym_BSLASHpr] = ACTIONS(3236),
    [anon_sym_BSLASHcls] = ACTIONS(3236),
    [anon_sym_BSLASHpmo] = ACTIONS(3236),
    [anon_sym_BSLASHpm] = ACTIONS(3236),
    [anon_sym_BSLASHpmc] = ACTIONS(3236),
    [anon_sym_BSLASHpmr] = ACTIONS(3236),
    [anon_sym_BSLASHpi] = ACTIONS(3236),
    [anon_sym_BSLASHmi] = ACTIONS(3236),
    [anon_sym_BSLASHnb] = ACTIONS(3236),
    [anon_sym_BSLASHpc] = ACTIONS(3236),
    [anon_sym_BSLASHph] = ACTIONS(3236),
    [anon_sym_BSLASHb] = ACTIONS(3236),
    [anon_sym_BSLASHq] = ACTIONS(3236),
    [anon_sym_BSLASHqr] = ACTIONS(3236),
    [anon_sym_BSLASHqc] = ACTIONS(3236),
    [anon_sym_BSLASHqa] = ACTIONS(3236),
    [anon_sym_BSLASHqm] = ACTIONS(3236),
    [anon_sym_BSLASHqd] = ACTIONS(3236),
    [anon_sym_BSLASHlh] = ACTIONS(3236),
    [anon_sym_BSLASHli] = ACTIONS(3236),
    [anon_sym_BSLASHlim] = ACTIONS(3236),
    [anon_sym_BSLASHtr] = ACTIONS(3236),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(3236),
    [anon_sym_BSLASH] = ACTIONS(3236),
    [sym_milestoneStartTag] = ACTIONS(3236),
    [sym_milestoneEndTag] = ACTIONS(3236),
    [sym_zSpaceTag] = ACTIONS(3236),
    [anon_sym_BSLASHesb] = ACTIONS(3236),
  },
  [282] = {
    [sym_text] = STATE(280),
    [sym_footnote] = STATE(280),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(280),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_addNested] = STATE(280),
    [sym_bkNested] = STATE(280),
    [sym_dcNested] = STATE(280),
    [sym_kNested] = STATE(280),
    [sym_ndNested] = STATE(280),
    [sym_ordNested] = STATE(280),
    [sym_pnNested] = STATE(280),
    [sym_pngNested] = STATE(280),
    [sym_addpnNested] = STATE(280),
    [sym_qtNested] = STATE(280),
    [sym_sigNested] = STATE(280),
    [sym_slsNested] = STATE(280),
    [sym_tlNested] = STATE(280),
    [sym_wjNested] = STATE(280),
    [sym_emNested] = STATE(280),
    [sym_bdNested] = STATE(280),
    [sym_itNested] = STATE(280),
    [sym_bditNested] = STATE(280),
    [sym_noNested] = STATE(280),
    [sym_scNested] = STATE(280),
    [sym_supNested] = STATE(280),
    [sym_ndxNested] = STATE(280),
    [sym_proNested] = STATE(280),
    [sym_rbNested] = STATE(280),
    [sym_wNested] = STATE(280),
    [sym_wgNested] = STATE(280),
    [sym_whNested] = STATE(280),
    [sym_waNested] = STATE(280),
    [sym__nestedCharacterMarker] = STATE(280),
    [sym_fig] = STATE(280),
    [sym_jmpNested] = STATE(280),
    [aux_sym__innerText_repeat1] = STATE(280),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd_STAR] = ACTIONS(3238),
    [anon_sym_BSLASHbk_STAR] = ACTIONS(3238),
    [anon_sym_BSLASHdc_STAR] = ACTIONS(3238),
    [anon_sym_BSLASHnd_STAR] = ACTIONS(3238),
    [anon_sym_BSLASHord_STAR] = ACTIONS(3238),
    [anon_sym_BSLASHpn_STAR] = ACTIONS(3238),
    [anon_sym_BSLASHpng_STAR] = ACTIONS(3238),
    [anon_sym_BSLASHaddpn_STAR] = ACTIONS(3238),
    [anon_sym_BSLASHsig_STAR] = ACTIONS(3238),
    [anon_sym_BSLASHsls_STAR] = ACTIONS(3238),
    [anon_sym_BSLASHwj_STAR] = ACTIONS(3238),
    [anon_sym_BSLASHem_STAR] = ACTIONS(3238),
    [anon_sym_BSLASHbd_STAR] = ACTIONS(3238),
    [anon_sym_BSLASHit_STAR] = ACTIONS(3238),
    [anon_sym_BSLASHbdit_STAR] = ACTIONS(3238),
    [anon_sym_BSLASHno_STAR] = ACTIONS(3238),
    [anon_sym_BSLASHsc_STAR] = ACTIONS(3238),
    [anon_sym_BSLASHsup_STAR] = ACTIONS(3238),
    [anon_sym_BSLASHndx_STAR] = ACTIONS(3238),
    [anon_sym_BSLASHpro_STAR] = ACTIONS(3238),
    [anon_sym_BSLASHw_STAR] = ACTIONS(3238),
    [anon_sym_BSLASHwg_STAR] = ACTIONS(3238),
    [anon_sym_BSLASHwh_STAR] = ACTIONS(3238),
    [anon_sym_BSLASHwa_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSadd_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSbk_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSdc_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSk_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSnd_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSord_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpn_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSpng_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSaddpn_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSqt_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsig_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUSsls_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUStl_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSwj_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSem_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSbd_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSit_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSbdit_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSno_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsc_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSsup_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSndx_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSpro_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSrb_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSw_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwg_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwh_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASH_PLUSwa_STAR] = ACTIONS(3238),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
    [anon_sym_PIPE] = ACTIONS(3238),
  },
  [283] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(2184),
    [sym_fv] = STATE(204),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [284] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(1093),
    [sym_fv] = STATE(204),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [285] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(2689),
    [sym_fv] = STATE(204),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [286] = {
    [sym_text] = STATE(294),
    [sym_mr] = STATE(1338),
    [sym_footnote] = STATE(294),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(294),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(294),
    [sym_bk] = STATE(294),
    [sym_dc] = STATE(294),
    [sym_k] = STATE(294),
    [sym_nd] = STATE(294),
    [sym_ord] = STATE(294),
    [sym_pn] = STATE(294),
    [sym_png] = STATE(294),
    [sym_addpn] = STATE(294),
    [sym_qt] = STATE(294),
    [sym_sig] = STATE(294),
    [sym_sls] = STATE(294),
    [sym_tl] = STATE(294),
    [sym_wj] = STATE(294),
    [sym_em] = STATE(294),
    [sym_bd] = STATE(294),
    [sym_it] = STATE(294),
    [sym_bdit] = STATE(294),
    [sym_no] = STATE(294),
    [sym_sc] = STATE(294),
    [sym_sup] = STATE(294),
    [sym_ndx] = STATE(294),
    [sym_pro] = STATE(294),
    [sym_rb] = STATE(294),
    [sym_w] = STATE(294),
    [sym_wg] = STATE(294),
    [sym_wh] = STATE(294),
    [sym_wa] = STATE(294),
    [sym__characterMarker] = STATE(294),
    [sym_fig] = STATE(294),
    [sym_jmp] = STATE(294),
    [aux_sym_ms_repeat1] = STATE(294),
    [ts_builtin_sym_end] = ACTIONS(3240),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHsts] = ACTIONS(3242),
    [anon_sym_BSLASHrem] = ACTIONS(3242),
    [anon_sym_BSLASHrestore] = ACTIONS(3242),
    [anon_sym_BSLASHlit] = ACTIONS(3242),
    [anon_sym_BSLASHip] = ACTIONS(3242),
    [anon_sym_BSLASHiex] = ACTIONS(3242),
    [anon_sym_BSLASHc] = ACTIONS(3242),
    [anon_sym_BSLASHcl] = ACTIONS(3242),
    [anon_sym_BSLASHca] = ACTIONS(3242),
    [anon_sym_BSLASHcp] = ACTIONS(3242),
    [anon_sym_BSLASHcd] = ACTIONS(3242),
    [anon_sym_BSLASHmte] = ACTIONS(3242),
    [anon_sym_BSLASHms] = ACTIONS(3242),
    [anon_sym_BSLASHmr] = ACTIONS(3244),
    [anon_sym_BSLASHs] = ACTIONS(3242),
    [anon_sym_BSLASHr] = ACTIONS(3242),
    [anon_sym_BSLASHsp] = ACTIONS(3242),
    [anon_sym_BSLASHd] = ACTIONS(3242),
    [anon_sym_BSLASHsd] = ACTIONS(3242),
    [anon_sym_BSLASHp] = ACTIONS(3242),
    [anon_sym_BSLASHm] = ACTIONS(3242),
    [anon_sym_BSLASHpo] = ACTIONS(3242),
    [anon_sym_BSLASHpr] = ACTIONS(3242),
    [anon_sym_BSLASHcls] = ACTIONS(3242),
    [anon_sym_BSLASHpmo] = ACTIONS(3242),
    [anon_sym_BSLASHpm] = ACTIONS(3242),
    [anon_sym_BSLASHpmc] = ACTIONS(3242),
    [anon_sym_BSLASHpmr] = ACTIONS(3242),
    [anon_sym_BSLASHpi] = ACTIONS(3242),
    [anon_sym_BSLASHmi] = ACTIONS(3242),
    [anon_sym_BSLASHnb] = ACTIONS(3242),
    [anon_sym_BSLASHpc] = ACTIONS(3242),
    [anon_sym_BSLASHph] = ACTIONS(3242),
    [anon_sym_BSLASHb] = ACTIONS(3242),
    [anon_sym_BSLASHq] = ACTIONS(3242),
    [anon_sym_BSLASHqr] = ACTIONS(3242),
    [anon_sym_BSLASHqc] = ACTIONS(3242),
    [anon_sym_BSLASHqa] = ACTIONS(3242),
    [anon_sym_BSLASHqm] = ACTIONS(3242),
    [anon_sym_BSLASHqd] = ACTIONS(3242),
    [anon_sym_BSLASHlh] = ACTIONS(3242),
    [anon_sym_BSLASHli] = ACTIONS(3242),
    [anon_sym_BSLASHlim] = ACTIONS(3242),
    [anon_sym_BSLASHtr] = ACTIONS(3242),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(3242),
    [anon_sym_BSLASH] = ACTIONS(3242),
    [sym_milestoneStartTag] = ACTIONS(3242),
    [sym_milestoneEndTag] = ACTIONS(3242),
    [sym_zSpaceTag] = ACTIONS(3242),
    [anon_sym_BSLASHesb] = ACTIONS(3242),
  },
  [287] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(2472),
    [sym_fv] = STATE(204),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [288] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(2161),
    [sym_fv] = STATE(204),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [289] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(2468),
    [sym_fv] = STATE(204),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [290] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(2456),
    [sym_fv] = STATE(204),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [291] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(2501),
    [sym_fv] = STATE(204),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [292] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(2379),
    [sym_fv] = STATE(204),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [293] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(2443),
    [sym_fv] = STATE(204),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [294] = {
    [sym_text] = STATE(294),
    [sym_footnote] = STATE(294),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(294),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(294),
    [sym_bk] = STATE(294),
    [sym_dc] = STATE(294),
    [sym_k] = STATE(294),
    [sym_nd] = STATE(294),
    [sym_ord] = STATE(294),
    [sym_pn] = STATE(294),
    [sym_png] = STATE(294),
    [sym_addpn] = STATE(294),
    [sym_qt] = STATE(294),
    [sym_sig] = STATE(294),
    [sym_sls] = STATE(294),
    [sym_tl] = STATE(294),
    [sym_wj] = STATE(294),
    [sym_em] = STATE(294),
    [sym_bd] = STATE(294),
    [sym_it] = STATE(294),
    [sym_bdit] = STATE(294),
    [sym_no] = STATE(294),
    [sym_sc] = STATE(294),
    [sym_sup] = STATE(294),
    [sym_ndx] = STATE(294),
    [sym_pro] = STATE(294),
    [sym_rb] = STATE(294),
    [sym_w] = STATE(294),
    [sym_wg] = STATE(294),
    [sym_wh] = STATE(294),
    [sym_wa] = STATE(294),
    [sym__characterMarker] = STATE(294),
    [sym_fig] = STATE(294),
    [sym_jmp] = STATE(294),
    [aux_sym_ms_repeat1] = STATE(294),
    [ts_builtin_sym_end] = ACTIONS(3246),
    [aux_sym_text_token1] = ACTIONS(3248),
    [anon_sym_BSLASHsts] = ACTIONS(3251),
    [anon_sym_BSLASHrem] = ACTIONS(3251),
    [anon_sym_BSLASHrestore] = ACTIONS(3251),
    [anon_sym_BSLASHlit] = ACTIONS(3251),
    [anon_sym_BSLASHip] = ACTIONS(3251),
    [anon_sym_BSLASHiex] = ACTIONS(3251),
    [anon_sym_BSLASHc] = ACTIONS(3251),
    [anon_sym_BSLASHcl] = ACTIONS(3251),
    [anon_sym_BSLASHca] = ACTIONS(3251),
    [anon_sym_BSLASHcp] = ACTIONS(3251),
    [anon_sym_BSLASHcd] = ACTIONS(3251),
    [anon_sym_BSLASHmte] = ACTIONS(3251),
    [anon_sym_BSLASHms] = ACTIONS(3251),
    [anon_sym_BSLASHmr] = ACTIONS(3251),
    [anon_sym_BSLASHs] = ACTIONS(3251),
    [anon_sym_BSLASHsr] = ACTIONS(3251),
    [anon_sym_BSLASHr] = ACTIONS(3251),
    [anon_sym_BSLASHsp] = ACTIONS(3251),
    [anon_sym_BSLASHd] = ACTIONS(3251),
    [anon_sym_BSLASHsd] = ACTIONS(3251),
    [anon_sym_BSLASHp] = ACTIONS(3251),
    [anon_sym_BSLASHm] = ACTIONS(3251),
    [anon_sym_BSLASHpo] = ACTIONS(3251),
    [anon_sym_BSLASHpr] = ACTIONS(3251),
    [anon_sym_BSLASHcls] = ACTIONS(3251),
    [anon_sym_BSLASHpmo] = ACTIONS(3251),
    [anon_sym_BSLASHpm] = ACTIONS(3251),
    [anon_sym_BSLASHpmc] = ACTIONS(3251),
    [anon_sym_BSLASHpmr] = ACTIONS(3251),
    [anon_sym_BSLASHpi] = ACTIONS(3251),
    [anon_sym_BSLASHmi] = ACTIONS(3251),
    [anon_sym_BSLASHnb] = ACTIONS(3251),
    [anon_sym_BSLASHpc] = ACTIONS(3251),
    [anon_sym_BSLASHph] = ACTIONS(3251),
    [anon_sym_BSLASHb] = ACTIONS(3251),
    [anon_sym_BSLASHq] = ACTIONS(3251),
    [anon_sym_BSLASHqr] = ACTIONS(3251),
    [anon_sym_BSLASHqc] = ACTIONS(3251),
    [anon_sym_BSLASHqa] = ACTIONS(3251),
    [anon_sym_BSLASHqm] = ACTIONS(3251),
    [anon_sym_BSLASHqd] = ACTIONS(3251),
    [anon_sym_BSLASHlh] = ACTIONS(3251),
    [anon_sym_BSLASHli] = ACTIONS(3251),
    [anon_sym_BSLASHlim] = ACTIONS(3251),
    [anon_sym_BSLASHtr] = ACTIONS(3251),
    [anon_sym_BSLASHf] = ACTIONS(3253),
    [anon_sym_BSLASHfe] = ACTIONS(3256),
    [anon_sym_BSLASHef] = ACTIONS(3259),
    [anon_sym_BSLASHfm] = ACTIONS(3262),
    [anon_sym_BSLASHx] = ACTIONS(3265),
    [anon_sym_BSLASHxt] = ACTIONS(3268),
    [anon_sym_BSLASHrq] = ACTIONS(3271),
    [anon_sym_BSLASHadd] = ACTIONS(3274),
    [anon_sym_BSLASHbk] = ACTIONS(3277),
    [anon_sym_BSLASHdc] = ACTIONS(3280),
    [anon_sym_BSLASHk] = ACTIONS(3283),
    [anon_sym_BSLASHnd] = ACTIONS(3286),
    [anon_sym_BSLASHord] = ACTIONS(3289),
    [anon_sym_BSLASHpn] = ACTIONS(3292),
    [anon_sym_BSLASHpng] = ACTIONS(3295),
    [anon_sym_BSLASHaddpn] = ACTIONS(3298),
    [anon_sym_BSLASHqt] = ACTIONS(3301),
    [anon_sym_BSLASHsig] = ACTIONS(3304),
    [anon_sym_BSLASHsls] = ACTIONS(3307),
    [anon_sym_BSLASHtl] = ACTIONS(3310),
    [anon_sym_BSLASHwj] = ACTIONS(3313),
    [anon_sym_BSLASHem] = ACTIONS(3316),
    [anon_sym_BSLASHbd] = ACTIONS(3319),
    [anon_sym_BSLASHit] = ACTIONS(3322),
    [anon_sym_BSLASHbdit] = ACTIONS(3325),
    [anon_sym_BSLASHno] = ACTIONS(3328),
    [anon_sym_BSLASHsc] = ACTIONS(3331),
    [anon_sym_BSLASHsup] = ACTIONS(3334),
    [anon_sym_BSLASHndx] = ACTIONS(3337),
    [anon_sym_BSLASHpro] = ACTIONS(3340),
    [anon_sym_BSLASHrb] = ACTIONS(3343),
    [anon_sym_BSLASHw] = ACTIONS(3346),
    [anon_sym_BSLASHwg] = ACTIONS(3349),
    [anon_sym_BSLASHwh] = ACTIONS(3352),
    [anon_sym_BSLASHwa] = ACTIONS(3355),
    [anon_sym_BSLASHfig] = ACTIONS(3358),
    [anon_sym_BSLASHjmp] = ACTIONS(3361),
    [anon_sym_BSLASHpb] = ACTIONS(3251),
    [anon_sym_BSLASH] = ACTIONS(3251),
    [sym_milestoneStartTag] = ACTIONS(3251),
    [sym_milestoneEndTag] = ACTIONS(3251),
    [sym_zSpaceTag] = ACTIONS(3251),
    [anon_sym_BSLASHesb] = ACTIONS(3251),
  },
  [295] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(2427),
    [sym_fv] = STATE(204),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [296] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(2316),
    [sym_fv] = STATE(204),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [297] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(1092),
    [sym_fv] = STATE(204),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [298] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(1099),
    [sym_fv] = STATE(204),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [299] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(1100),
    [sym_fv] = STATE(204),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [300] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(2315),
    [sym_fv] = STATE(204),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [301] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(2251),
    [sym_fv] = STATE(204),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [302] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(1098),
    [sym_fv] = STATE(204),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [303] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(1094),
    [sym_fv] = STATE(204),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [304] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(1095),
    [sym_fv] = STATE(204),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [305] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(1096),
    [sym_fv] = STATE(204),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [306] = {
    [sym_text] = STATE(204),
    [sym_ref] = STATE(204),
    [sym_footnoteText] = STATE(1097),
    [sym_fv] = STATE(204),
    [sym_xtNested] = STATE(204),
    [sym_xt_standalone] = STATE(204),
    [sym_add] = STATE(204),
    [sym_bk] = STATE(204),
    [sym_dc] = STATE(204),
    [sym_k] = STATE(204),
    [sym_nd] = STATE(204),
    [sym_ord] = STATE(204),
    [sym_pn] = STATE(204),
    [sym_png] = STATE(204),
    [sym_addpn] = STATE(204),
    [sym_qt] = STATE(204),
    [sym_sig] = STATE(204),
    [sym_sls] = STATE(204),
    [sym_tl] = STATE(204),
    [sym_wj] = STATE(204),
    [sym_em] = STATE(204),
    [sym_bd] = STATE(204),
    [sym_it] = STATE(204),
    [sym_bdit] = STATE(204),
    [sym_no] = STATE(204),
    [sym_sc] = STATE(204),
    [sym_sup] = STATE(204),
    [sym_ndx] = STATE(204),
    [sym_pro] = STATE(204),
    [sym_rb] = STATE(204),
    [sym_w] = STATE(204),
    [sym_wg] = STATE(204),
    [sym_wh] = STATE(204),
    [sym_wa] = STATE(204),
    [sym__characterMarker] = STATE(204),
    [sym_addNested] = STATE(204),
    [sym_bkNested] = STATE(204),
    [sym_dcNested] = STATE(204),
    [sym_kNested] = STATE(204),
    [sym_ndNested] = STATE(204),
    [sym_ordNested] = STATE(204),
    [sym_pnNested] = STATE(204),
    [sym_pngNested] = STATE(204),
    [sym_addpnNested] = STATE(204),
    [sym_qtNested] = STATE(204),
    [sym_sigNested] = STATE(204),
    [sym_slsNested] = STATE(204),
    [sym_tlNested] = STATE(204),
    [sym_wjNested] = STATE(204),
    [sym_emNested] = STATE(204),
    [sym_bdNested] = STATE(204),
    [sym_itNested] = STATE(204),
    [sym_bditNested] = STATE(204),
    [sym_noNested] = STATE(204),
    [sym_scNested] = STATE(204),
    [sym_supNested] = STATE(204),
    [sym_ndxNested] = STATE(204),
    [sym_proNested] = STATE(204),
    [sym_rbNested] = STATE(204),
    [sym_wNested] = STATE(204),
    [sym_wgNested] = STATE(204),
    [sym_whNested] = STATE(204),
    [sym_waNested] = STATE(204),
    [sym__nestedCharacterMarker] = STATE(204),
    [sym_fig] = STATE(204),
    [sym_jmp] = STATE(204),
    [sym_jmpNested] = STATE(204),
    [aux_sym_footnoteText_repeat1] = STATE(204),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHfv] = ACTIONS(1683),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(1685),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [307] = {
    [sym_text] = STATE(294),
    [sym_footnote] = STATE(294),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(294),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(294),
    [sym_bk] = STATE(294),
    [sym_dc] = STATE(294),
    [sym_k] = STATE(294),
    [sym_nd] = STATE(294),
    [sym_ord] = STATE(294),
    [sym_pn] = STATE(294),
    [sym_png] = STATE(294),
    [sym_addpn] = STATE(294),
    [sym_qt] = STATE(294),
    [sym_sig] = STATE(294),
    [sym_sls] = STATE(294),
    [sym_tl] = STATE(294),
    [sym_wj] = STATE(294),
    [sym_em] = STATE(294),
    [sym_bd] = STATE(294),
    [sym_it] = STATE(294),
    [sym_bdit] = STATE(294),
    [sym_no] = STATE(294),
    [sym_sc] = STATE(294),
    [sym_sup] = STATE(294),
    [sym_ndx] = STATE(294),
    [sym_pro] = STATE(294),
    [sym_rb] = STATE(294),
    [sym_w] = STATE(294),
    [sym_wg] = STATE(294),
    [sym_wh] = STATE(294),
    [sym_wa] = STATE(294),
    [sym__characterMarker] = STATE(294),
    [sym_fig] = STATE(294),
    [sym_jmp] = STATE(294),
    [aux_sym_ms_repeat1] = STATE(294),
    [ts_builtin_sym_end] = ACTIONS(3364),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHsts] = ACTIONS(3366),
    [anon_sym_BSLASHrem] = ACTIONS(3366),
    [anon_sym_BSLASHrestore] = ACTIONS(3366),
    [anon_sym_BSLASHlit] = ACTIONS(3366),
    [anon_sym_BSLASHip] = ACTIONS(3366),
    [anon_sym_BSLASHiex] = ACTIONS(3366),
    [anon_sym_BSLASHc] = ACTIONS(3366),
    [anon_sym_BSLASHcl] = ACTIONS(3366),
    [anon_sym_BSLASHca] = ACTIONS(3366),
    [anon_sym_BSLASHcp] = ACTIONS(3366),
    [anon_sym_BSLASHcd] = ACTIONS(3366),
    [anon_sym_BSLASHmte] = ACTIONS(3366),
    [anon_sym_BSLASHms] = ACTIONS(3366),
    [anon_sym_BSLASHs] = ACTIONS(3366),
    [anon_sym_BSLASHr] = ACTIONS(3366),
    [anon_sym_BSLASHsp] = ACTIONS(3366),
    [anon_sym_BSLASHd] = ACTIONS(3366),
    [anon_sym_BSLASHsd] = ACTIONS(3366),
    [anon_sym_BSLASHp] = ACTIONS(3366),
    [anon_sym_BSLASHm] = ACTIONS(3366),
    [anon_sym_BSLASHpo] = ACTIONS(3366),
    [anon_sym_BSLASHpr] = ACTIONS(3366),
    [anon_sym_BSLASHcls] = ACTIONS(3366),
    [anon_sym_BSLASHpmo] = ACTIONS(3366),
    [anon_sym_BSLASHpm] = ACTIONS(3366),
    [anon_sym_BSLASHpmc] = ACTIONS(3366),
    [anon_sym_BSLASHpmr] = ACTIONS(3366),
    [anon_sym_BSLASHpi] = ACTIONS(3366),
    [anon_sym_BSLASHmi] = ACTIONS(3366),
    [anon_sym_BSLASHnb] = ACTIONS(3366),
    [anon_sym_BSLASHpc] = ACTIONS(3366),
    [anon_sym_BSLASHph] = ACTIONS(3366),
    [anon_sym_BSLASHb] = ACTIONS(3366),
    [anon_sym_BSLASHq] = ACTIONS(3366),
    [anon_sym_BSLASHqr] = ACTIONS(3366),
    [anon_sym_BSLASHqc] = ACTIONS(3366),
    [anon_sym_BSLASHqa] = ACTIONS(3366),
    [anon_sym_BSLASHqm] = ACTIONS(3366),
    [anon_sym_BSLASHqd] = ACTIONS(3366),
    [anon_sym_BSLASHlh] = ACTIONS(3366),
    [anon_sym_BSLASHli] = ACTIONS(3366),
    [anon_sym_BSLASHlim] = ACTIONS(3366),
    [anon_sym_BSLASHtr] = ACTIONS(3366),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(3366),
    [anon_sym_BSLASH] = ACTIONS(3366),
    [sym_milestoneStartTag] = ACTIONS(3366),
    [sym_milestoneEndTag] = ACTIONS(3366),
    [sym_zSpaceTag] = ACTIONS(3366),
    [anon_sym_BSLASHesb] = ACTIONS(3366),
  },
  [308] = {
    [sym_text] = STATE(308),
    [sym_add] = STATE(308),
    [sym_bk] = STATE(308),
    [sym_dc] = STATE(308),
    [sym_k] = STATE(308),
    [sym_nd] = STATE(308),
    [sym_ord] = STATE(308),
    [sym_pn] = STATE(308),
    [sym_png] = STATE(308),
    [sym_addpn] = STATE(308),
    [sym_qt] = STATE(308),
    [sym_sig] = STATE(308),
    [sym_sls] = STATE(308),
    [sym_tl] = STATE(308),
    [sym_wj] = STATE(308),
    [sym_em] = STATE(308),
    [sym_bd] = STATE(308),
    [sym_it] = STATE(308),
    [sym_bdit] = STATE(308),
    [sym_no] = STATE(308),
    [sym_sc] = STATE(308),
    [sym_sup] = STATE(308),
    [sym_ndx] = STATE(308),
    [sym_pro] = STATE(308),
    [sym_rb] = STATE(308),
    [sym_w] = STATE(308),
    [sym_wg] = STATE(308),
    [sym_wh] = STATE(308),
    [sym_wa] = STATE(308),
    [sym__characterMarker] = STATE(308),
    [sym_fig] = STATE(308),
    [sym_jmp] = STATE(308),
    [aux_sym_verseText_repeat1] = STATE(308),
    [ts_builtin_sym_end] = ACTIONS(3368),
    [aux_sym_text_token1] = ACTIONS(3370),
    [anon_sym_BSLASHref] = ACTIONS(3373),
    [anon_sym_BSLASHsts] = ACTIONS(3373),
    [anon_sym_BSLASHrem] = ACTIONS(3373),
    [anon_sym_BSLASHrestore] = ACTIONS(3373),
    [anon_sym_BSLASHlit] = ACTIONS(3373),
    [anon_sym_BSLASHip] = ACTIONS(3373),
    [anon_sym_BSLASHiex] = ACTIONS(3373),
    [anon_sym_BSLASHv] = ACTIONS(3373),
    [anon_sym_BSLASHva] = ACTIONS(3373),
    [anon_sym_BSLASHvp] = ACTIONS(3373),
    [anon_sym_BSLASHc] = ACTIONS(3373),
    [anon_sym_BSLASHcl] = ACTIONS(3373),
    [anon_sym_BSLASHca] = ACTIONS(3373),
    [anon_sym_BSLASHcp] = ACTIONS(3373),
    [anon_sym_BSLASHcd] = ACTIONS(3373),
    [anon_sym_BSLASHmte] = ACTIONS(3373),
    [anon_sym_BSLASHms] = ACTIONS(3373),
    [anon_sym_BSLASHs] = ACTIONS(3373),
    [anon_sym_BSLASHr] = ACTIONS(3373),
    [anon_sym_BSLASHsp] = ACTIONS(3373),
    [anon_sym_BSLASHd] = ACTIONS(3373),
    [anon_sym_BSLASHsd] = ACTIONS(3373),
    [anon_sym_BSLASHp] = ACTIONS(3373),
    [anon_sym_BSLASHm] = ACTIONS(3373),
    [anon_sym_BSLASHpo] = ACTIONS(3373),
    [anon_sym_BSLASHpr] = ACTIONS(3373),
    [anon_sym_BSLASHcls] = ACTIONS(3373),
    [anon_sym_BSLASHpmo] = ACTIONS(3373),
    [anon_sym_BSLASHpm] = ACTIONS(3373),
    [anon_sym_BSLASHpmc] = ACTIONS(3373),
    [anon_sym_BSLASHpmr] = ACTIONS(3373),
    [anon_sym_BSLASHpi] = ACTIONS(3373),
    [anon_sym_BSLASHmi] = ACTIONS(3373),
    [anon_sym_BSLASHnb] = ACTIONS(3373),
    [anon_sym_BSLASHpc] = ACTIONS(3373),
    [anon_sym_BSLASHph] = ACTIONS(3373),
    [anon_sym_BSLASHb] = ACTIONS(3373),
    [anon_sym_BSLASHq] = ACTIONS(3373),
    [anon_sym_BSLASHqr] = ACTIONS(3373),
    [anon_sym_BSLASHqc] = ACTIONS(3373),
    [anon_sym_BSLASHqa] = ACTIONS(3373),
    [anon_sym_BSLASHqm] = ACTIONS(3373),
    [anon_sym_BSLASHqd] = ACTIONS(3373),
    [anon_sym_BSLASHlh] = ACTIONS(3373),
    [anon_sym_BSLASHlf] = ACTIONS(3373),
    [anon_sym_BSLASHli] = ACTIONS(3373),
    [anon_sym_BSLASHlim] = ACTIONS(3373),
    [anon_sym_BSLASHliv] = ACTIONS(3373),
    [anon_sym_BSLASHlik] = ACTIONS(3373),
    [anon_sym_BSLASHlitl] = ACTIONS(3373),
    [anon_sym_BSLASHtr] = ACTIONS(3373),
    [anon_sym_BSLASHf] = ACTIONS(3373),
    [anon_sym_BSLASHfe] = ACTIONS(3373),
    [anon_sym_BSLASHef] = ACTIONS(3373),
    [anon_sym_BSLASHfm] = ACTIONS(3373),
    [anon_sym_BSLASHx] = ACTIONS(3373),
    [anon_sym_BSLASHxt] = ACTIONS(3373),
    [anon_sym_BSLASHrq] = ACTIONS(3373),
    [anon_sym_BSLASHadd] = ACTIONS(3375),
    [anon_sym_BSLASHbk] = ACTIONS(3378),
    [anon_sym_BSLASHdc] = ACTIONS(3381),
    [anon_sym_BSLASHk] = ACTIONS(3384),
    [anon_sym_BSLASHnd] = ACTIONS(3387),
    [anon_sym_BSLASHord] = ACTIONS(3390),
    [anon_sym_BSLASHpn] = ACTIONS(3393),
    [anon_sym_BSLASHpng] = ACTIONS(3396),
    [anon_sym_BSLASHaddpn] = ACTIONS(3399),
    [anon_sym_BSLASHqt] = ACTIONS(3402),
    [anon_sym_BSLASHsig] = ACTIONS(3405),
    [anon_sym_BSLASHsls] = ACTIONS(3408),
    [anon_sym_BSLASHtl] = ACTIONS(3411),
    [anon_sym_BSLASHwj] = ACTIONS(3414),
    [anon_sym_BSLASHem] = ACTIONS(3417),
    [anon_sym_BSLASHbd] = ACTIONS(3420),
    [anon_sym_BSLASHit] = ACTIONS(3423),
    [anon_sym_BSLASHbdit] = ACTIONS(3426),
    [anon_sym_BSLASHno] = ACTIONS(3429),
    [anon_sym_BSLASHsc] = ACTIONS(3432),
    [anon_sym_BSLASHsup] = ACTIONS(3435),
    [anon_sym_BSLASHndx] = ACTIONS(3438),
    [anon_sym_BSLASHpro] = ACTIONS(3441),
    [anon_sym_BSLASHrb] = ACTIONS(3444),
    [anon_sym_BSLASHw] = ACTIONS(3447),
    [anon_sym_BSLASHwg] = ACTIONS(3450),
    [anon_sym_BSLASHwh] = ACTIONS(3453),
    [anon_sym_BSLASHwa] = ACTIONS(3456),
    [anon_sym_BSLASHfig] = ACTIONS(3459),
    [anon_sym_BSLASHjmp] = ACTIONS(3462),
    [anon_sym_BSLASHpb] = ACTIONS(3373),
    [anon_sym_BSLASH] = ACTIONS(3373),
    [sym_milestoneStartTag] = ACTIONS(3373),
    [sym_milestoneEndTag] = ACTIONS(3373),
    [sym_zSpaceTag] = ACTIONS(3373),
    [anon_sym_BSLASHesb] = ACTIONS(3373),
  },
  [309] = {
    [sym_text] = STATE(308),
    [sym_add] = STATE(308),
    [sym_bk] = STATE(308),
    [sym_dc] = STATE(308),
    [sym_k] = STATE(308),
    [sym_nd] = STATE(308),
    [sym_ord] = STATE(308),
    [sym_pn] = STATE(308),
    [sym_png] = STATE(308),
    [sym_addpn] = STATE(308),
    [sym_qt] = STATE(308),
    [sym_sig] = STATE(308),
    [sym_sls] = STATE(308),
    [sym_tl] = STATE(308),
    [sym_wj] = STATE(308),
    [sym_em] = STATE(308),
    [sym_bd] = STATE(308),
    [sym_it] = STATE(308),
    [sym_bdit] = STATE(308),
    [sym_no] = STATE(308),
    [sym_sc] = STATE(308),
    [sym_sup] = STATE(308),
    [sym_ndx] = STATE(308),
    [sym_pro] = STATE(308),
    [sym_rb] = STATE(308),
    [sym_w] = STATE(308),
    [sym_wg] = STATE(308),
    [sym_wh] = STATE(308),
    [sym_wa] = STATE(308),
    [sym__characterMarker] = STATE(308),
    [sym_fig] = STATE(308),
    [sym_jmp] = STATE(308),
    [aux_sym_verseText_repeat1] = STATE(308),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(3467),
    [anon_sym_BSLASHsts] = ACTIONS(3467),
    [anon_sym_BSLASHrem] = ACTIONS(3467),
    [anon_sym_BSLASHrestore] = ACTIONS(3467),
    [anon_sym_BSLASHlit] = ACTIONS(3467),
    [anon_sym_BSLASHip] = ACTIONS(3467),
    [anon_sym_BSLASHiex] = ACTIONS(3467),
    [anon_sym_BSLASHv] = ACTIONS(3467),
    [anon_sym_BSLASHva] = ACTIONS(3467),
    [anon_sym_BSLASHvp] = ACTIONS(3467),
    [anon_sym_BSLASHc] = ACTIONS(3467),
    [anon_sym_BSLASHcl] = ACTIONS(3467),
    [anon_sym_BSLASHca] = ACTIONS(3467),
    [anon_sym_BSLASHcp] = ACTIONS(3467),
    [anon_sym_BSLASHcd] = ACTIONS(3467),
    [anon_sym_BSLASHmte] = ACTIONS(3467),
    [anon_sym_BSLASHms] = ACTIONS(3467),
    [anon_sym_BSLASHs] = ACTIONS(3467),
    [anon_sym_BSLASHr] = ACTIONS(3467),
    [anon_sym_BSLASHsp] = ACTIONS(3467),
    [anon_sym_BSLASHd] = ACTIONS(3467),
    [anon_sym_BSLASHsd] = ACTIONS(3467),
    [anon_sym_BSLASHp] = ACTIONS(3467),
    [anon_sym_BSLASHm] = ACTIONS(3467),
    [anon_sym_BSLASHpo] = ACTIONS(3467),
    [anon_sym_BSLASHpr] = ACTIONS(3467),
    [anon_sym_BSLASHcls] = ACTIONS(3467),
    [anon_sym_BSLASHpmo] = ACTIONS(3467),
    [anon_sym_BSLASHpm] = ACTIONS(3467),
    [anon_sym_BSLASHpmc] = ACTIONS(3467),
    [anon_sym_BSLASHpmr] = ACTIONS(3467),
    [anon_sym_BSLASHpi] = ACTIONS(3467),
    [anon_sym_BSLASHmi] = ACTIONS(3467),
    [anon_sym_BSLASHnb] = ACTIONS(3467),
    [anon_sym_BSLASHpc] = ACTIONS(3467),
    [anon_sym_BSLASHph] = ACTIONS(3467),
    [anon_sym_BSLASHb] = ACTIONS(3467),
    [anon_sym_BSLASHq] = ACTIONS(3467),
    [anon_sym_BSLASHqr] = ACTIONS(3467),
    [anon_sym_BSLASHqc] = ACTIONS(3467),
    [anon_sym_BSLASHqa] = ACTIONS(3467),
    [anon_sym_BSLASHqm] = ACTIONS(3467),
    [anon_sym_BSLASHqd] = ACTIONS(3467),
    [anon_sym_BSLASHlh] = ACTIONS(3467),
    [anon_sym_BSLASHlf] = ACTIONS(3467),
    [anon_sym_BSLASHli] = ACTIONS(3467),
    [anon_sym_BSLASHlim] = ACTIONS(3467),
    [anon_sym_BSLASHliv] = ACTIONS(3467),
    [anon_sym_BSLASHlik] = ACTIONS(3467),
    [anon_sym_BSLASHlitl] = ACTIONS(3467),
    [anon_sym_BSLASHtr] = ACTIONS(3467),
    [anon_sym_BSLASHf] = ACTIONS(3467),
    [anon_sym_BSLASHfe] = ACTIONS(3467),
    [anon_sym_BSLASHef] = ACTIONS(3467),
    [anon_sym_BSLASHfm] = ACTIONS(3467),
    [anon_sym_BSLASHx] = ACTIONS(3467),
    [anon_sym_BSLASHxt] = ACTIONS(3467),
    [anon_sym_BSLASHrq] = ACTIONS(3467),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(3467),
    [anon_sym_BSLASH] = ACTIONS(3467),
    [sym_milestoneStartTag] = ACTIONS(3467),
    [sym_milestoneEndTag] = ACTIONS(3467),
    [sym_zSpaceTag] = ACTIONS(3467),
    [anon_sym_BSLASHesb] = ACTIONS(3467),
  },
  [310] = {
    [sym_text] = STATE(312),
    [sym_add] = STATE(312),
    [sym_bk] = STATE(312),
    [sym_dc] = STATE(312),
    [sym_k] = STATE(312),
    [sym_nd] = STATE(312),
    [sym_ord] = STATE(312),
    [sym_pn] = STATE(312),
    [sym_png] = STATE(312),
    [sym_addpn] = STATE(312),
    [sym_qt] = STATE(312),
    [sym_sig] = STATE(312),
    [sym_sls] = STATE(312),
    [sym_tl] = STATE(312),
    [sym_wj] = STATE(312),
    [sym_em] = STATE(312),
    [sym_bd] = STATE(312),
    [sym_it] = STATE(312),
    [sym_bdit] = STATE(312),
    [sym_no] = STATE(312),
    [sym_sc] = STATE(312),
    [sym_sup] = STATE(312),
    [sym_ndx] = STATE(312),
    [sym_pro] = STATE(312),
    [sym_rb] = STATE(312),
    [sym_w] = STATE(312),
    [sym_wg] = STATE(312),
    [sym_wh] = STATE(312),
    [sym_wa] = STATE(312),
    [sym__characterMarker] = STATE(312),
    [sym_fig] = STATE(312),
    [sym_jmp] = STATE(312),
    [aux_sym_verseText_repeat1] = STATE(312),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [aux_sym_text_token1] = ACTIONS(508),
    [anon_sym_BSLASHref] = ACTIONS(3467),
    [anon_sym_BSLASHsts] = ACTIONS(3467),
    [anon_sym_BSLASHrem] = ACTIONS(3467),
    [anon_sym_BSLASHrestore] = ACTIONS(3467),
    [anon_sym_BSLASHlit] = ACTIONS(3467),
    [anon_sym_BSLASHip] = ACTIONS(3467),
    [anon_sym_BSLASHiex] = ACTIONS(3467),
    [anon_sym_BSLASHv] = ACTIONS(3467),
    [anon_sym_BSLASHva] = ACTIONS(3467),
    [anon_sym_BSLASHvp] = ACTIONS(3467),
    [anon_sym_BSLASHc] = ACTIONS(3467),
    [anon_sym_BSLASHcl] = ACTIONS(3467),
    [anon_sym_BSLASHca] = ACTIONS(3467),
    [anon_sym_BSLASHcp] = ACTIONS(3467),
    [anon_sym_BSLASHcd] = ACTIONS(3467),
    [anon_sym_BSLASHmte] = ACTIONS(3467),
    [anon_sym_BSLASHms] = ACTIONS(3467),
    [anon_sym_BSLASHs] = ACTIONS(3467),
    [anon_sym_BSLASHr] = ACTIONS(3467),
    [anon_sym_BSLASHsp] = ACTIONS(3467),
    [anon_sym_BSLASHd] = ACTIONS(3467),
    [anon_sym_BSLASHsd] = ACTIONS(3467),
    [anon_sym_BSLASHp] = ACTIONS(3467),
    [anon_sym_BSLASHm] = ACTIONS(3467),
    [anon_sym_BSLASHpo] = ACTIONS(3467),
    [anon_sym_BSLASHpr] = ACTIONS(3467),
    [anon_sym_BSLASHcls] = ACTIONS(3467),
    [anon_sym_BSLASHpmo] = ACTIONS(3467),
    [anon_sym_BSLASHpm] = ACTIONS(3467),
    [anon_sym_BSLASHpmc] = ACTIONS(3467),
    [anon_sym_BSLASHpmr] = ACTIONS(3467),
    [anon_sym_BSLASHpi] = ACTIONS(3467),
    [anon_sym_BSLASHmi] = ACTIONS(3467),
    [anon_sym_BSLASHnb] = ACTIONS(3467),
    [anon_sym_BSLASHpc] = ACTIONS(3467),
    [anon_sym_BSLASHph] = ACTIONS(3467),
    [anon_sym_BSLASHb] = ACTIONS(3467),
    [anon_sym_BSLASHq] = ACTIONS(3467),
    [anon_sym_BSLASHqr] = ACTIONS(3467),
    [anon_sym_BSLASHqc] = ACTIONS(3467),
    [anon_sym_BSLASHqs] = ACTIONS(3467),
    [anon_sym_BSLASHqa] = ACTIONS(3467),
    [anon_sym_BSLASHqac] = ACTIONS(3467),
    [anon_sym_BSLASHqm] = ACTIONS(3467),
    [anon_sym_BSLASHqd] = ACTIONS(3467),
    [anon_sym_BSLASHlh] = ACTIONS(3467),
    [anon_sym_BSLASHli] = ACTIONS(3467),
    [anon_sym_BSLASHlim] = ACTIONS(3467),
    [anon_sym_BSLASHtr] = ACTIONS(3467),
    [anon_sym_BSLASHf] = ACTIONS(3467),
    [anon_sym_BSLASHfe] = ACTIONS(3467),
    [anon_sym_BSLASHef] = ACTIONS(3467),
    [anon_sym_BSLASHfm] = ACTIONS(3467),
    [anon_sym_BSLASHx] = ACTIONS(3467),
    [anon_sym_BSLASHxt] = ACTIONS(3467),
    [anon_sym_BSLASHrq] = ACTIONS(3467),
    [anon_sym_BSLASHadd] = ACTIONS(546),
    [anon_sym_BSLASHbk] = ACTIONS(548),
    [anon_sym_BSLASHdc] = ACTIONS(550),
    [anon_sym_BSLASHk] = ACTIONS(552),
    [anon_sym_BSLASHnd] = ACTIONS(554),
    [anon_sym_BSLASHord] = ACTIONS(556),
    [anon_sym_BSLASHpn] = ACTIONS(558),
    [anon_sym_BSLASHpng] = ACTIONS(560),
    [anon_sym_BSLASHaddpn] = ACTIONS(562),
    [anon_sym_BSLASHqt] = ACTIONS(564),
    [anon_sym_BSLASHsig] = ACTIONS(566),
    [anon_sym_BSLASHsls] = ACTIONS(568),
    [anon_sym_BSLASHtl] = ACTIONS(570),
    [anon_sym_BSLASHwj] = ACTIONS(572),
    [anon_sym_BSLASHem] = ACTIONS(574),
    [anon_sym_BSLASHbd] = ACTIONS(576),
    [anon_sym_BSLASHit] = ACTIONS(578),
    [anon_sym_BSLASHbdit] = ACTIONS(580),
    [anon_sym_BSLASHno] = ACTIONS(582),
    [anon_sym_BSLASHsc] = ACTIONS(584),
    [anon_sym_BSLASHsup] = ACTIONS(586),
    [anon_sym_BSLASHndx] = ACTIONS(588),
    [anon_sym_BSLASHpro] = ACTIONS(590),
    [anon_sym_BSLASHrb] = ACTIONS(592),
    [anon_sym_BSLASHw] = ACTIONS(594),
    [anon_sym_BSLASHwg] = ACTIONS(596),
    [anon_sym_BSLASHwh] = ACTIONS(598),
    [anon_sym_BSLASHwa] = ACTIONS(600),
    [anon_sym_BSLASHfig] = ACTIONS(602),
    [anon_sym_BSLASHjmp] = ACTIONS(604),
    [anon_sym_BSLASHpb] = ACTIONS(3467),
    [anon_sym_BSLASH] = ACTIONS(3467),
    [sym_milestoneStartTag] = ACTIONS(3467),
    [sym_milestoneEndTag] = ACTIONS(3467),
    [sym_zSpaceTag] = ACTIONS(3467),
    [anon_sym_BSLASHesb] = ACTIONS(3467),
  },
  [311] = {
    [sym_text] = STATE(314),
    [sym_sr] = STATE(1277),
    [sym_r] = STATE(1344),
    [sym_footnote] = STATE(314),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(314),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(314),
    [sym_bk] = STATE(314),
    [sym_dc] = STATE(314),
    [sym_k] = STATE(314),
    [sym_nd] = STATE(314),
    [sym_ord] = STATE(314),
    [sym_pn] = STATE(314),
    [sym_png] = STATE(314),
    [sym_addpn] = STATE(314),
    [sym_qt] = STATE(314),
    [sym_sig] = STATE(314),
    [sym_sls] = STATE(314),
    [sym_tl] = STATE(314),
    [sym_wj] = STATE(314),
    [sym_em] = STATE(314),
    [sym_bd] = STATE(314),
    [sym_it] = STATE(314),
    [sym_bdit] = STATE(314),
    [sym_no] = STATE(314),
    [sym_sc] = STATE(314),
    [sym_sup] = STATE(314),
    [sym_ndx] = STATE(314),
    [sym_pro] = STATE(314),
    [sym_rb] = STATE(314),
    [sym_w] = STATE(314),
    [sym_wg] = STATE(314),
    [sym_wh] = STATE(314),
    [sym_wa] = STATE(314),
    [sym__characterMarker] = STATE(314),
    [sym_fig] = STATE(314),
    [sym_jmp] = STATE(314),
    [aux_sym_ms_repeat1] = STATE(314),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHsts] = ACTIONS(3112),
    [anon_sym_BSLASHrem] = ACTIONS(3112),
    [anon_sym_BSLASHrestore] = ACTIONS(3112),
    [anon_sym_BSLASHlit] = ACTIONS(3112),
    [anon_sym_BSLASHip] = ACTIONS(3112),
    [anon_sym_BSLASHmte] = ACTIONS(3112),
    [anon_sym_BSLASHms] = ACTIONS(3112),
    [anon_sym_BSLASHs] = ACTIONS(3112),
    [anon_sym_BSLASHsr] = ACTIONS(3114),
    [anon_sym_BSLASHr] = ACTIONS(3116),
    [anon_sym_BSLASHsp] = ACTIONS(3112),
    [anon_sym_BSLASHd] = ACTIONS(3112),
    [anon_sym_BSLASHsd] = ACTIONS(3112),
    [anon_sym_BSLASHp] = ACTIONS(3112),
    [anon_sym_BSLASHm] = ACTIONS(3112),
    [anon_sym_BSLASHpo] = ACTIONS(3112),
    [anon_sym_BSLASHpr] = ACTIONS(3112),
    [anon_sym_BSLASHcls] = ACTIONS(3112),
    [anon_sym_BSLASHpmo] = ACTIONS(3112),
    [anon_sym_BSLASHpm] = ACTIONS(3112),
    [anon_sym_BSLASHpmc] = ACTIONS(3112),
    [anon_sym_BSLASHpmr] = ACTIONS(3112),
    [anon_sym_BSLASHpi] = ACTIONS(3112),
    [anon_sym_BSLASHmi] = ACTIONS(3112),
    [anon_sym_BSLASHnb] = ACTIONS(3112),
    [anon_sym_BSLASHpc] = ACTIONS(3112),
    [anon_sym_BSLASHph] = ACTIONS(3112),
    [anon_sym_BSLASHb] = ACTIONS(3112),
    [anon_sym_BSLASHq] = ACTIONS(3112),
    [anon_sym_BSLASHqr] = ACTIONS(3112),
    [anon_sym_BSLASHqc] = ACTIONS(3112),
    [anon_sym_BSLASHqa] = ACTIONS(3112),
    [anon_sym_BSLASHqm] = ACTIONS(3112),
    [anon_sym_BSLASHqd] = ACTIONS(3112),
    [anon_sym_BSLASHlh] = ACTIONS(3112),
    [anon_sym_BSLASHli] = ACTIONS(3112),
    [anon_sym_BSLASHlim] = ACTIONS(3112),
    [anon_sym_BSLASHtr] = ACTIONS(3112),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(3112),
    [anon_sym_BSLASH] = ACTIONS(3112),
    [sym_milestoneStartTag] = ACTIONS(3112),
    [sym_milestoneEndTag] = ACTIONS(3112),
    [sym_zSpaceTag] = ACTIONS(3112),
    [anon_sym_BSLASHesbe] = ACTIONS(3112),
    [anon_sym_BSLASHcat] = ACTIONS(3112),
  },
  [312] = {
    [sym_text] = STATE(312),
    [sym_add] = STATE(312),
    [sym_bk] = STATE(312),
    [sym_dc] = STATE(312),
    [sym_k] = STATE(312),
    [sym_nd] = STATE(312),
    [sym_ord] = STATE(312),
    [sym_pn] = STATE(312),
    [sym_png] = STATE(312),
    [sym_addpn] = STATE(312),
    [sym_qt] = STATE(312),
    [sym_sig] = STATE(312),
    [sym_sls] = STATE(312),
    [sym_tl] = STATE(312),
    [sym_wj] = STATE(312),
    [sym_em] = STATE(312),
    [sym_bd] = STATE(312),
    [sym_it] = STATE(312),
    [sym_bdit] = STATE(312),
    [sym_no] = STATE(312),
    [sym_sc] = STATE(312),
    [sym_sup] = STATE(312),
    [sym_ndx] = STATE(312),
    [sym_pro] = STATE(312),
    [sym_rb] = STATE(312),
    [sym_w] = STATE(312),
    [sym_wg] = STATE(312),
    [sym_wh] = STATE(312),
    [sym_wa] = STATE(312),
    [sym__characterMarker] = STATE(312),
    [sym_fig] = STATE(312),
    [sym_jmp] = STATE(312),
    [aux_sym_verseText_repeat1] = STATE(312),
    [ts_builtin_sym_end] = ACTIONS(3368),
    [aux_sym_text_token1] = ACTIONS(3469),
    [anon_sym_BSLASHref] = ACTIONS(3373),
    [anon_sym_BSLASHsts] = ACTIONS(3373),
    [anon_sym_BSLASHrem] = ACTIONS(3373),
    [anon_sym_BSLASHrestore] = ACTIONS(3373),
    [anon_sym_BSLASHlit] = ACTIONS(3373),
    [anon_sym_BSLASHip] = ACTIONS(3373),
    [anon_sym_BSLASHiex] = ACTIONS(3373),
    [anon_sym_BSLASHv] = ACTIONS(3373),
    [anon_sym_BSLASHva] = ACTIONS(3373),
    [anon_sym_BSLASHvp] = ACTIONS(3373),
    [anon_sym_BSLASHc] = ACTIONS(3373),
    [anon_sym_BSLASHcl] = ACTIONS(3373),
    [anon_sym_BSLASHca] = ACTIONS(3373),
    [anon_sym_BSLASHcp] = ACTIONS(3373),
    [anon_sym_BSLASHcd] = ACTIONS(3373),
    [anon_sym_BSLASHmte] = ACTIONS(3373),
    [anon_sym_BSLASHms] = ACTIONS(3373),
    [anon_sym_BSLASHs] = ACTIONS(3373),
    [anon_sym_BSLASHr] = ACTIONS(3373),
    [anon_sym_BSLASHsp] = ACTIONS(3373),
    [anon_sym_BSLASHd] = ACTIONS(3373),
    [anon_sym_BSLASHsd] = ACTIONS(3373),
    [anon_sym_BSLASHp] = ACTIONS(3373),
    [anon_sym_BSLASHm] = ACTIONS(3373),
    [anon_sym_BSLASHpo] = ACTIONS(3373),
    [anon_sym_BSLASHpr] = ACTIONS(3373),
    [anon_sym_BSLASHcls] = ACTIONS(3373),
    [anon_sym_BSLASHpmo] = ACTIONS(3373),
    [anon_sym_BSLASHpm] = ACTIONS(3373),
    [anon_sym_BSLASHpmc] = ACTIONS(3373),
    [anon_sym_BSLASHpmr] = ACTIONS(3373),
    [anon_sym_BSLASHpi] = ACTIONS(3373),
    [anon_sym_BSLASHmi] = ACTIONS(3373),
    [anon_sym_BSLASHnb] = ACTIONS(3373),
    [anon_sym_BSLASHpc] = ACTIONS(3373),
    [anon_sym_BSLASHph] = ACTIONS(3373),
    [anon_sym_BSLASHb] = ACTIONS(3373),
    [anon_sym_BSLASHq] = ACTIONS(3373),
    [anon_sym_BSLASHqr] = ACTIONS(3373),
    [anon_sym_BSLASHqc] = ACTIONS(3373),
    [anon_sym_BSLASHqs] = ACTIONS(3373),
    [anon_sym_BSLASHqa] = ACTIONS(3373),
    [anon_sym_BSLASHqac] = ACTIONS(3373),
    [anon_sym_BSLASHqm] = ACTIONS(3373),
    [anon_sym_BSLASHqd] = ACTIONS(3373),
    [anon_sym_BSLASHlh] = ACTIONS(3373),
    [anon_sym_BSLASHli] = ACTIONS(3373),
    [anon_sym_BSLASHlim] = ACTIONS(3373),
    [anon_sym_BSLASHtr] = ACTIONS(3373),
    [anon_sym_BSLASHf] = ACTIONS(3373),
    [anon_sym_BSLASHfe] = ACTIONS(3373),
    [anon_sym_BSLASHef] = ACTIONS(3373),
    [anon_sym_BSLASHfm] = ACTIONS(3373),
    [anon_sym_BSLASHx] = ACTIONS(3373),
    [anon_sym_BSLASHxt] = ACTIONS(3373),
    [anon_sym_BSLASHrq] = ACTIONS(3373),
    [anon_sym_BSLASHadd] = ACTIONS(3472),
    [anon_sym_BSLASHbk] = ACTIONS(3475),
    [anon_sym_BSLASHdc] = ACTIONS(3478),
    [anon_sym_BSLASHk] = ACTIONS(3481),
    [anon_sym_BSLASHnd] = ACTIONS(3484),
    [anon_sym_BSLASHord] = ACTIONS(3487),
    [anon_sym_BSLASHpn] = ACTIONS(3490),
    [anon_sym_BSLASHpng] = ACTIONS(3493),
    [anon_sym_BSLASHaddpn] = ACTIONS(3496),
    [anon_sym_BSLASHqt] = ACTIONS(3499),
    [anon_sym_BSLASHsig] = ACTIONS(3502),
    [anon_sym_BSLASHsls] = ACTIONS(3505),
    [anon_sym_BSLASHtl] = ACTIONS(3508),
    [anon_sym_BSLASHwj] = ACTIONS(3511),
    [anon_sym_BSLASHem] = ACTIONS(3514),
    [anon_sym_BSLASHbd] = ACTIONS(3517),
    [anon_sym_BSLASHit] = ACTIONS(3520),
    [anon_sym_BSLASHbdit] = ACTIONS(3523),
    [anon_sym_BSLASHno] = ACTIONS(3526),
    [anon_sym_BSLASHsc] = ACTIONS(3529),
    [anon_sym_BSLASHsup] = ACTIONS(3532),
    [anon_sym_BSLASHndx] = ACTIONS(3535),
    [anon_sym_BSLASHpro] = ACTIONS(3538),
    [anon_sym_BSLASHrb] = ACTIONS(3541),
    [anon_sym_BSLASHw] = ACTIONS(3544),
    [anon_sym_BSLASHwg] = ACTIONS(3547),
    [anon_sym_BSLASHwh] = ACTIONS(3550),
    [anon_sym_BSLASHwa] = ACTIONS(3553),
    [anon_sym_BSLASHfig] = ACTIONS(3556),
    [anon_sym_BSLASHjmp] = ACTIONS(3559),
    [anon_sym_BSLASHpb] = ACTIONS(3373),
    [anon_sym_BSLASH] = ACTIONS(3373),
    [sym_milestoneStartTag] = ACTIONS(3373),
    [sym_milestoneEndTag] = ACTIONS(3373),
    [sym_zSpaceTag] = ACTIONS(3373),
    [anon_sym_BSLASHesb] = ACTIONS(3373),
  },
  [313] = {
    [sym_text] = STATE(311),
    [sym_sr] = STATE(1293),
    [sym_r] = STATE(1320),
    [sym_footnote] = STATE(311),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(311),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(311),
    [sym_bk] = STATE(311),
    [sym_dc] = STATE(311),
    [sym_k] = STATE(311),
    [sym_nd] = STATE(311),
    [sym_ord] = STATE(311),
    [sym_pn] = STATE(311),
    [sym_png] = STATE(311),
    [sym_addpn] = STATE(311),
    [sym_qt] = STATE(311),
    [sym_sig] = STATE(311),
    [sym_sls] = STATE(311),
    [sym_tl] = STATE(311),
    [sym_wj] = STATE(311),
    [sym_em] = STATE(311),
    [sym_bd] = STATE(311),
    [sym_it] = STATE(311),
    [sym_bdit] = STATE(311),
    [sym_no] = STATE(311),
    [sym_sc] = STATE(311),
    [sym_sup] = STATE(311),
    [sym_ndx] = STATE(311),
    [sym_pro] = STATE(311),
    [sym_rb] = STATE(311),
    [sym_w] = STATE(311),
    [sym_wg] = STATE(311),
    [sym_wh] = STATE(311),
    [sym_wa] = STATE(311),
    [sym__characterMarker] = STATE(311),
    [sym_fig] = STATE(311),
    [sym_jmp] = STATE(311),
    [aux_sym_ms_repeat1] = STATE(311),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHsts] = ACTIONS(3236),
    [anon_sym_BSLASHrem] = ACTIONS(3236),
    [anon_sym_BSLASHrestore] = ACTIONS(3236),
    [anon_sym_BSLASHlit] = ACTIONS(3236),
    [anon_sym_BSLASHip] = ACTIONS(3236),
    [anon_sym_BSLASHmte] = ACTIONS(3236),
    [anon_sym_BSLASHms] = ACTIONS(3236),
    [anon_sym_BSLASHs] = ACTIONS(3236),
    [anon_sym_BSLASHsr] = ACTIONS(3114),
    [anon_sym_BSLASHr] = ACTIONS(3116),
    [anon_sym_BSLASHsp] = ACTIONS(3236),
    [anon_sym_BSLASHd] = ACTIONS(3236),
    [anon_sym_BSLASHsd] = ACTIONS(3236),
    [anon_sym_BSLASHp] = ACTIONS(3236),
    [anon_sym_BSLASHm] = ACTIONS(3236),
    [anon_sym_BSLASHpo] = ACTIONS(3236),
    [anon_sym_BSLASHpr] = ACTIONS(3236),
    [anon_sym_BSLASHcls] = ACTIONS(3236),
    [anon_sym_BSLASHpmo] = ACTIONS(3236),
    [anon_sym_BSLASHpm] = ACTIONS(3236),
    [anon_sym_BSLASHpmc] = ACTIONS(3236),
    [anon_sym_BSLASHpmr] = ACTIONS(3236),
    [anon_sym_BSLASHpi] = ACTIONS(3236),
    [anon_sym_BSLASHmi] = ACTIONS(3236),
    [anon_sym_BSLASHnb] = ACTIONS(3236),
    [anon_sym_BSLASHpc] = ACTIONS(3236),
    [anon_sym_BSLASHph] = ACTIONS(3236),
    [anon_sym_BSLASHb] = ACTIONS(3236),
    [anon_sym_BSLASHq] = ACTIONS(3236),
    [anon_sym_BSLASHqr] = ACTIONS(3236),
    [anon_sym_BSLASHqc] = ACTIONS(3236),
    [anon_sym_BSLASHqa] = ACTIONS(3236),
    [anon_sym_BSLASHqm] = ACTIONS(3236),
    [anon_sym_BSLASHqd] = ACTIONS(3236),
    [anon_sym_BSLASHlh] = ACTIONS(3236),
    [anon_sym_BSLASHli] = ACTIONS(3236),
    [anon_sym_BSLASHlim] = ACTIONS(3236),
    [anon_sym_BSLASHtr] = ACTIONS(3236),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(3236),
    [anon_sym_BSLASH] = ACTIONS(3236),
    [sym_milestoneStartTag] = ACTIONS(3236),
    [sym_milestoneEndTag] = ACTIONS(3236),
    [sym_zSpaceTag] = ACTIONS(3236),
    [anon_sym_BSLASHesbe] = ACTIONS(3236),
    [anon_sym_BSLASHcat] = ACTIONS(3236),
  },
  [314] = {
    [sym_text] = STATE(314),
    [sym_footnote] = STATE(314),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(314),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(314),
    [sym_bk] = STATE(314),
    [sym_dc] = STATE(314),
    [sym_k] = STATE(314),
    [sym_nd] = STATE(314),
    [sym_ord] = STATE(314),
    [sym_pn] = STATE(314),
    [sym_png] = STATE(314),
    [sym_addpn] = STATE(314),
    [sym_qt] = STATE(314),
    [sym_sig] = STATE(314),
    [sym_sls] = STATE(314),
    [sym_tl] = STATE(314),
    [sym_wj] = STATE(314),
    [sym_em] = STATE(314),
    [sym_bd] = STATE(314),
    [sym_it] = STATE(314),
    [sym_bdit] = STATE(314),
    [sym_no] = STATE(314),
    [sym_sc] = STATE(314),
    [sym_sup] = STATE(314),
    [sym_ndx] = STATE(314),
    [sym_pro] = STATE(314),
    [sym_rb] = STATE(314),
    [sym_w] = STATE(314),
    [sym_wg] = STATE(314),
    [sym_wh] = STATE(314),
    [sym_wa] = STATE(314),
    [sym__characterMarker] = STATE(314),
    [sym_fig] = STATE(314),
    [sym_jmp] = STATE(314),
    [aux_sym_ms_repeat1] = STATE(314),
    [aux_sym_text_token1] = ACTIONS(3562),
    [anon_sym_BSLASHsts] = ACTIONS(3251),
    [anon_sym_BSLASHrem] = ACTIONS(3251),
    [anon_sym_BSLASHrestore] = ACTIONS(3251),
    [anon_sym_BSLASHlit] = ACTIONS(3251),
    [anon_sym_BSLASHip] = ACTIONS(3251),
    [anon_sym_BSLASHmte] = ACTIONS(3251),
    [anon_sym_BSLASHms] = ACTIONS(3251),
    [anon_sym_BSLASHmr] = ACTIONS(3251),
    [anon_sym_BSLASHs] = ACTIONS(3251),
    [anon_sym_BSLASHsr] = ACTIONS(3251),
    [anon_sym_BSLASHr] = ACTIONS(3251),
    [anon_sym_BSLASHsp] = ACTIONS(3251),
    [anon_sym_BSLASHd] = ACTIONS(3251),
    [anon_sym_BSLASHsd] = ACTIONS(3251),
    [anon_sym_BSLASHp] = ACTIONS(3251),
    [anon_sym_BSLASHm] = ACTIONS(3251),
    [anon_sym_BSLASHpo] = ACTIONS(3251),
    [anon_sym_BSLASHpr] = ACTIONS(3251),
    [anon_sym_BSLASHcls] = ACTIONS(3251),
    [anon_sym_BSLASHpmo] = ACTIONS(3251),
    [anon_sym_BSLASHpm] = ACTIONS(3251),
    [anon_sym_BSLASHpmc] = ACTIONS(3251),
    [anon_sym_BSLASHpmr] = ACTIONS(3251),
    [anon_sym_BSLASHpi] = ACTIONS(3251),
    [anon_sym_BSLASHmi] = ACTIONS(3251),
    [anon_sym_BSLASHnb] = ACTIONS(3251),
    [anon_sym_BSLASHpc] = ACTIONS(3251),
    [anon_sym_BSLASHph] = ACTIONS(3251),
    [anon_sym_BSLASHb] = ACTIONS(3251),
    [anon_sym_BSLASHq] = ACTIONS(3251),
    [anon_sym_BSLASHqr] = ACTIONS(3251),
    [anon_sym_BSLASHqc] = ACTIONS(3251),
    [anon_sym_BSLASHqa] = ACTIONS(3251),
    [anon_sym_BSLASHqm] = ACTIONS(3251),
    [anon_sym_BSLASHqd] = ACTIONS(3251),
    [anon_sym_BSLASHlh] = ACTIONS(3251),
    [anon_sym_BSLASHli] = ACTIONS(3251),
    [anon_sym_BSLASHlim] = ACTIONS(3251),
    [anon_sym_BSLASHtr] = ACTIONS(3251),
    [anon_sym_BSLASHf] = ACTIONS(3565),
    [anon_sym_BSLASHfe] = ACTIONS(3568),
    [anon_sym_BSLASHef] = ACTIONS(3571),
    [anon_sym_BSLASHfm] = ACTIONS(3574),
    [anon_sym_BSLASHx] = ACTIONS(3577),
    [anon_sym_BSLASHxt] = ACTIONS(3580),
    [anon_sym_BSLASHrq] = ACTIONS(3583),
    [anon_sym_BSLASHadd] = ACTIONS(3586),
    [anon_sym_BSLASHbk] = ACTIONS(3589),
    [anon_sym_BSLASHdc] = ACTIONS(3592),
    [anon_sym_BSLASHk] = ACTIONS(3595),
    [anon_sym_BSLASHnd] = ACTIONS(3598),
    [anon_sym_BSLASHord] = ACTIONS(3601),
    [anon_sym_BSLASHpn] = ACTIONS(3604),
    [anon_sym_BSLASHpng] = ACTIONS(3607),
    [anon_sym_BSLASHaddpn] = ACTIONS(3610),
    [anon_sym_BSLASHqt] = ACTIONS(3613),
    [anon_sym_BSLASHsig] = ACTIONS(3616),
    [anon_sym_BSLASHsls] = ACTIONS(3619),
    [anon_sym_BSLASHtl] = ACTIONS(3622),
    [anon_sym_BSLASHwj] = ACTIONS(3625),
    [anon_sym_BSLASHem] = ACTIONS(3628),
    [anon_sym_BSLASHbd] = ACTIONS(3631),
    [anon_sym_BSLASHit] = ACTIONS(3634),
    [anon_sym_BSLASHbdit] = ACTIONS(3637),
    [anon_sym_BSLASHno] = ACTIONS(3640),
    [anon_sym_BSLASHsc] = ACTIONS(3643),
    [anon_sym_BSLASHsup] = ACTIONS(3646),
    [anon_sym_BSLASHndx] = ACTIONS(3649),
    [anon_sym_BSLASHpro] = ACTIONS(3652),
    [anon_sym_BSLASHrb] = ACTIONS(3655),
    [anon_sym_BSLASHw] = ACTIONS(3658),
    [anon_sym_BSLASHwg] = ACTIONS(3661),
    [anon_sym_BSLASHwh] = ACTIONS(3664),
    [anon_sym_BSLASHwa] = ACTIONS(3667),
    [anon_sym_BSLASHfig] = ACTIONS(3670),
    [anon_sym_BSLASHjmp] = ACTIONS(3673),
    [anon_sym_BSLASHpb] = ACTIONS(3251),
    [anon_sym_BSLASH] = ACTIONS(3251),
    [sym_milestoneStartTag] = ACTIONS(3251),
    [sym_milestoneEndTag] = ACTIONS(3251),
    [sym_zSpaceTag] = ACTIONS(3251),
    [anon_sym_BSLASHesbe] = ACTIONS(3251),
    [anon_sym_BSLASHcat] = ACTIONS(3251),
  },
  [315] = {
    [sym_text] = STATE(314),
    [sym_mr] = STATE(1338),
    [sym_footnote] = STATE(314),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(314),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(314),
    [sym_bk] = STATE(314),
    [sym_dc] = STATE(314),
    [sym_k] = STATE(314),
    [sym_nd] = STATE(314),
    [sym_ord] = STATE(314),
    [sym_pn] = STATE(314),
    [sym_png] = STATE(314),
    [sym_addpn] = STATE(314),
    [sym_qt] = STATE(314),
    [sym_sig] = STATE(314),
    [sym_sls] = STATE(314),
    [sym_tl] = STATE(314),
    [sym_wj] = STATE(314),
    [sym_em] = STATE(314),
    [sym_bd] = STATE(314),
    [sym_it] = STATE(314),
    [sym_bdit] = STATE(314),
    [sym_no] = STATE(314),
    [sym_sc] = STATE(314),
    [sym_sup] = STATE(314),
    [sym_ndx] = STATE(314),
    [sym_pro] = STATE(314),
    [sym_rb] = STATE(314),
    [sym_w] = STATE(314),
    [sym_wg] = STATE(314),
    [sym_wh] = STATE(314),
    [sym_wa] = STATE(314),
    [sym__characterMarker] = STATE(314),
    [sym_fig] = STATE(314),
    [sym_jmp] = STATE(314),
    [aux_sym_ms_repeat1] = STATE(314),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHsts] = ACTIONS(3242),
    [anon_sym_BSLASHrem] = ACTIONS(3242),
    [anon_sym_BSLASHrestore] = ACTIONS(3242),
    [anon_sym_BSLASHlit] = ACTIONS(3242),
    [anon_sym_BSLASHip] = ACTIONS(3242),
    [anon_sym_BSLASHmte] = ACTIONS(3242),
    [anon_sym_BSLASHms] = ACTIONS(3242),
    [anon_sym_BSLASHmr] = ACTIONS(3244),
    [anon_sym_BSLASHs] = ACTIONS(3242),
    [anon_sym_BSLASHr] = ACTIONS(3242),
    [anon_sym_BSLASHsp] = ACTIONS(3242),
    [anon_sym_BSLASHd] = ACTIONS(3242),
    [anon_sym_BSLASHsd] = ACTIONS(3242),
    [anon_sym_BSLASHp] = ACTIONS(3242),
    [anon_sym_BSLASHm] = ACTIONS(3242),
    [anon_sym_BSLASHpo] = ACTIONS(3242),
    [anon_sym_BSLASHpr] = ACTIONS(3242),
    [anon_sym_BSLASHcls] = ACTIONS(3242),
    [anon_sym_BSLASHpmo] = ACTIONS(3242),
    [anon_sym_BSLASHpm] = ACTIONS(3242),
    [anon_sym_BSLASHpmc] = ACTIONS(3242),
    [anon_sym_BSLASHpmr] = ACTIONS(3242),
    [anon_sym_BSLASHpi] = ACTIONS(3242),
    [anon_sym_BSLASHmi] = ACTIONS(3242),
    [anon_sym_BSLASHnb] = ACTIONS(3242),
    [anon_sym_BSLASHpc] = ACTIONS(3242),
    [anon_sym_BSLASHph] = ACTIONS(3242),
    [anon_sym_BSLASHb] = ACTIONS(3242),
    [anon_sym_BSLASHq] = ACTIONS(3242),
    [anon_sym_BSLASHqr] = ACTIONS(3242),
    [anon_sym_BSLASHqc] = ACTIONS(3242),
    [anon_sym_BSLASHqa] = ACTIONS(3242),
    [anon_sym_BSLASHqm] = ACTIONS(3242),
    [anon_sym_BSLASHqd] = ACTIONS(3242),
    [anon_sym_BSLASHlh] = ACTIONS(3242),
    [anon_sym_BSLASHli] = ACTIONS(3242),
    [anon_sym_BSLASHlim] = ACTIONS(3242),
    [anon_sym_BSLASHtr] = ACTIONS(3242),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(3242),
    [anon_sym_BSLASH] = ACTIONS(3242),
    [sym_milestoneStartTag] = ACTIONS(3242),
    [sym_milestoneEndTag] = ACTIONS(3242),
    [sym_zSpaceTag] = ACTIONS(3242),
    [anon_sym_BSLASHesbe] = ACTIONS(3242),
    [anon_sym_BSLASHcat] = ACTIONS(3242),
  },
  [316] = {
    [sym_text] = STATE(316),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_text_token1] = ACTIONS(3676),
    [anon_sym_BSLASHref] = ACTIONS(3373),
    [anon_sym_BSLASHsts] = ACTIONS(3373),
    [anon_sym_BSLASHrem] = ACTIONS(3373),
    [anon_sym_BSLASHrestore] = ACTIONS(3373),
    [anon_sym_BSLASHlit] = ACTIONS(3373),
    [anon_sym_BSLASHip] = ACTIONS(3373),
    [anon_sym_BSLASHv] = ACTIONS(3373),
    [anon_sym_BSLASHva] = ACTIONS(3373),
    [anon_sym_BSLASHvp] = ACTIONS(3373),
    [anon_sym_BSLASHmte] = ACTIONS(3373),
    [anon_sym_BSLASHms] = ACTIONS(3373),
    [anon_sym_BSLASHs] = ACTIONS(3373),
    [anon_sym_BSLASHr] = ACTIONS(3373),
    [anon_sym_BSLASHsp] = ACTIONS(3373),
    [anon_sym_BSLASHd] = ACTIONS(3373),
    [anon_sym_BSLASHsd] = ACTIONS(3373),
    [anon_sym_BSLASHp] = ACTIONS(3373),
    [anon_sym_BSLASHm] = ACTIONS(3373),
    [anon_sym_BSLASHpo] = ACTIONS(3373),
    [anon_sym_BSLASHpr] = ACTIONS(3373),
    [anon_sym_BSLASHcls] = ACTIONS(3373),
    [anon_sym_BSLASHpmo] = ACTIONS(3373),
    [anon_sym_BSLASHpm] = ACTIONS(3373),
    [anon_sym_BSLASHpmc] = ACTIONS(3373),
    [anon_sym_BSLASHpmr] = ACTIONS(3373),
    [anon_sym_BSLASHpi] = ACTIONS(3373),
    [anon_sym_BSLASHmi] = ACTIONS(3373),
    [anon_sym_BSLASHnb] = ACTIONS(3373),
    [anon_sym_BSLASHpc] = ACTIONS(3373),
    [anon_sym_BSLASHph] = ACTIONS(3373),
    [anon_sym_BSLASHb] = ACTIONS(3373),
    [anon_sym_BSLASHq] = ACTIONS(3373),
    [anon_sym_BSLASHqr] = ACTIONS(3373),
    [anon_sym_BSLASHqc] = ACTIONS(3373),
    [anon_sym_BSLASHqa] = ACTIONS(3373),
    [anon_sym_BSLASHqm] = ACTIONS(3373),
    [anon_sym_BSLASHqd] = ACTIONS(3373),
    [anon_sym_BSLASHlh] = ACTIONS(3373),
    [anon_sym_BSLASHlf] = ACTIONS(3373),
    [anon_sym_BSLASHli] = ACTIONS(3373),
    [anon_sym_BSLASHlim] = ACTIONS(3373),
    [anon_sym_BSLASHliv] = ACTIONS(3373),
    [anon_sym_BSLASHlik] = ACTIONS(3373),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(3373),
    [anon_sym_BSLASHlitl] = ACTIONS(3373),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(3373),
    [anon_sym_BSLASHtr] = ACTIONS(3373),
    [anon_sym_BSLASHf] = ACTIONS(3373),
    [anon_sym_BSLASHfe] = ACTIONS(3373),
    [anon_sym_BSLASHef] = ACTIONS(3373),
    [anon_sym_BSLASHfm] = ACTIONS(3373),
    [anon_sym_BSLASHx] = ACTIONS(3373),
    [anon_sym_BSLASHxt] = ACTIONS(3373),
    [anon_sym_BSLASHrq] = ACTIONS(3373),
    [anon_sym_BSLASHadd] = ACTIONS(3679),
    [anon_sym_BSLASHbk] = ACTIONS(3682),
    [anon_sym_BSLASHdc] = ACTIONS(3685),
    [anon_sym_BSLASHk] = ACTIONS(3688),
    [anon_sym_BSLASHnd] = ACTIONS(3691),
    [anon_sym_BSLASHord] = ACTIONS(3694),
    [anon_sym_BSLASHpn] = ACTIONS(3697),
    [anon_sym_BSLASHpng] = ACTIONS(3700),
    [anon_sym_BSLASHaddpn] = ACTIONS(3703),
    [anon_sym_BSLASHqt] = ACTIONS(3706),
    [anon_sym_BSLASHsig] = ACTIONS(3709),
    [anon_sym_BSLASHsls] = ACTIONS(3712),
    [anon_sym_BSLASHtl] = ACTIONS(3715),
    [anon_sym_BSLASHwj] = ACTIONS(3718),
    [anon_sym_BSLASHem] = ACTIONS(3721),
    [anon_sym_BSLASHbd] = ACTIONS(3724),
    [anon_sym_BSLASHit] = ACTIONS(3727),
    [anon_sym_BSLASHbdit] = ACTIONS(3730),
    [anon_sym_BSLASHno] = ACTIONS(3733),
    [anon_sym_BSLASHsc] = ACTIONS(3736),
    [anon_sym_BSLASHsup] = ACTIONS(3739),
    [anon_sym_BSLASHndx] = ACTIONS(3742),
    [anon_sym_BSLASHpro] = ACTIONS(3745),
    [anon_sym_BSLASHrb] = ACTIONS(3748),
    [anon_sym_BSLASHw] = ACTIONS(3751),
    [anon_sym_BSLASHwg] = ACTIONS(3754),
    [anon_sym_BSLASHwh] = ACTIONS(3757),
    [anon_sym_BSLASHwa] = ACTIONS(3760),
    [anon_sym_BSLASHfig] = ACTIONS(3763),
    [anon_sym_BSLASHjmp] = ACTIONS(3766),
    [anon_sym_BSLASHpb] = ACTIONS(3373),
    [anon_sym_BSLASH] = ACTIONS(3373),
    [sym_milestoneStartTag] = ACTIONS(3373),
    [sym_milestoneEndTag] = ACTIONS(3373),
    [sym_zSpaceTag] = ACTIONS(3373),
    [anon_sym_BSLASHesbe] = ACTIONS(3373),
    [anon_sym_BSLASHcat] = ACTIONS(3373),
  },
  [317] = {
    [sym_text] = STATE(316),
    [sym_add] = STATE(316),
    [sym_bk] = STATE(316),
    [sym_dc] = STATE(316),
    [sym_k] = STATE(316),
    [sym_nd] = STATE(316),
    [sym_ord] = STATE(316),
    [sym_pn] = STATE(316),
    [sym_png] = STATE(316),
    [sym_addpn] = STATE(316),
    [sym_qt] = STATE(316),
    [sym_sig] = STATE(316),
    [sym_sls] = STATE(316),
    [sym_tl] = STATE(316),
    [sym_wj] = STATE(316),
    [sym_em] = STATE(316),
    [sym_bd] = STATE(316),
    [sym_it] = STATE(316),
    [sym_bdit] = STATE(316),
    [sym_no] = STATE(316),
    [sym_sc] = STATE(316),
    [sym_sup] = STATE(316),
    [sym_ndx] = STATE(316),
    [sym_pro] = STATE(316),
    [sym_rb] = STATE(316),
    [sym_w] = STATE(316),
    [sym_wg] = STATE(316),
    [sym_wh] = STATE(316),
    [sym_wa] = STATE(316),
    [sym__characterMarker] = STATE(316),
    [sym_fig] = STATE(316),
    [sym_jmp] = STATE(316),
    [aux_sym_verseText_repeat1] = STATE(316),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(3467),
    [anon_sym_BSLASHsts] = ACTIONS(3467),
    [anon_sym_BSLASHrem] = ACTIONS(3467),
    [anon_sym_BSLASHrestore] = ACTIONS(3467),
    [anon_sym_BSLASHlit] = ACTIONS(3467),
    [anon_sym_BSLASHip] = ACTIONS(3467),
    [anon_sym_BSLASHv] = ACTIONS(3467),
    [anon_sym_BSLASHva] = ACTIONS(3467),
    [anon_sym_BSLASHvp] = ACTIONS(3467),
    [anon_sym_BSLASHmte] = ACTIONS(3467),
    [anon_sym_BSLASHms] = ACTIONS(3467),
    [anon_sym_BSLASHs] = ACTIONS(3467),
    [anon_sym_BSLASHr] = ACTIONS(3467),
    [anon_sym_BSLASHsp] = ACTIONS(3467),
    [anon_sym_BSLASHd] = ACTIONS(3467),
    [anon_sym_BSLASHsd] = ACTIONS(3467),
    [anon_sym_BSLASHp] = ACTIONS(3467),
    [anon_sym_BSLASHm] = ACTIONS(3467),
    [anon_sym_BSLASHpo] = ACTIONS(3467),
    [anon_sym_BSLASHpr] = ACTIONS(3467),
    [anon_sym_BSLASHcls] = ACTIONS(3467),
    [anon_sym_BSLASHpmo] = ACTIONS(3467),
    [anon_sym_BSLASHpm] = ACTIONS(3467),
    [anon_sym_BSLASHpmc] = ACTIONS(3467),
    [anon_sym_BSLASHpmr] = ACTIONS(3467),
    [anon_sym_BSLASHpi] = ACTIONS(3467),
    [anon_sym_BSLASHmi] = ACTIONS(3467),
    [anon_sym_BSLASHnb] = ACTIONS(3467),
    [anon_sym_BSLASHpc] = ACTIONS(3467),
    [anon_sym_BSLASHph] = ACTIONS(3467),
    [anon_sym_BSLASHb] = ACTIONS(3467),
    [anon_sym_BSLASHq] = ACTIONS(3467),
    [anon_sym_BSLASHqr] = ACTIONS(3467),
    [anon_sym_BSLASHqc] = ACTIONS(3467),
    [anon_sym_BSLASHqa] = ACTIONS(3467),
    [anon_sym_BSLASHqm] = ACTIONS(3467),
    [anon_sym_BSLASHqd] = ACTIONS(3467),
    [anon_sym_BSLASHlh] = ACTIONS(3467),
    [anon_sym_BSLASHlf] = ACTIONS(3467),
    [anon_sym_BSLASHli] = ACTIONS(3467),
    [anon_sym_BSLASHlim] = ACTIONS(3467),
    [anon_sym_BSLASHliv] = ACTIONS(3467),
    [anon_sym_BSLASHlik] = ACTIONS(3467),
    [anon_sym_BSLASHlik_STAR] = ACTIONS(3467),
    [anon_sym_BSLASHlitl] = ACTIONS(3467),
    [anon_sym_BSLASHlitl_STAR] = ACTIONS(3467),
    [anon_sym_BSLASHtr] = ACTIONS(3467),
    [anon_sym_BSLASHf] = ACTIONS(3467),
    [anon_sym_BSLASHfe] = ACTIONS(3467),
    [anon_sym_BSLASHef] = ACTIONS(3467),
    [anon_sym_BSLASHfm] = ACTIONS(3467),
    [anon_sym_BSLASHx] = ACTIONS(3467),
    [anon_sym_BSLASHxt] = ACTIONS(3467),
    [anon_sym_BSLASHrq] = ACTIONS(3467),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(3467),
    [anon_sym_BSLASH] = ACTIONS(3467),
    [sym_milestoneStartTag] = ACTIONS(3467),
    [sym_milestoneEndTag] = ACTIONS(3467),
    [sym_zSpaceTag] = ACTIONS(3467),
    [anon_sym_BSLASHesbe] = ACTIONS(3467),
    [anon_sym_BSLASHcat] = ACTIONS(3467),
  },
  [318] = {
    [sym_text] = STATE(320),
    [sym_ref] = STATE(320),
    [aux_sym__introText] = STATE(320),
    [sym_iqt] = STATE(320),
    [sym_xt_standalone] = STATE(320),
    [sym_add] = STATE(320),
    [sym_bk] = STATE(320),
    [sym_dc] = STATE(320),
    [sym_k] = STATE(320),
    [sym_nd] = STATE(320),
    [sym_ord] = STATE(320),
    [sym_pn] = STATE(320),
    [sym_png] = STATE(320),
    [sym_addpn] = STATE(320),
    [sym_qt] = STATE(320),
    [sym_sig] = STATE(320),
    [sym_sls] = STATE(320),
    [sym_tl] = STATE(320),
    [sym_wj] = STATE(320),
    [sym_em] = STATE(320),
    [sym_bd] = STATE(320),
    [sym_it] = STATE(320),
    [sym_bdit] = STATE(320),
    [sym_no] = STATE(320),
    [sym_sc] = STATE(320),
    [sym_sup] = STATE(320),
    [sym_ndx] = STATE(320),
    [sym_pro] = STATE(320),
    [sym_rb] = STATE(320),
    [sym_w] = STATE(320),
    [sym_wg] = STATE(320),
    [sym_wh] = STATE(320),
    [sym_wa] = STATE(320),
    [sym__characterMarker] = STATE(320),
    [sym_fig] = STATE(320),
    [sym_jmp] = STATE(320),
    [ts_builtin_sym_end] = ACTIONS(3769),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(3771),
    [anon_sym_BSLASHrem] = ACTIONS(3771),
    [anon_sym_BSLASHrestore] = ACTIONS(3771),
    [anon_sym_BSLASHlit] = ACTIONS(3771),
    [anon_sym_BSLASHiqt] = ACTIONS(3773),
    [anon_sym_BSLASHip] = ACTIONS(3771),
    [anon_sym_BSLASHiex] = ACTIONS(3771),
    [anon_sym_BSLASHc] = ACTIONS(3771),
    [anon_sym_BSLASHcl] = ACTIONS(3771),
    [anon_sym_BSLASHca] = ACTIONS(3771),
    [anon_sym_BSLASHcp] = ACTIONS(3771),
    [anon_sym_BSLASHcd] = ACTIONS(3771),
    [anon_sym_BSLASHmte] = ACTIONS(3771),
    [anon_sym_BSLASHms] = ACTIONS(3771),
    [anon_sym_BSLASHs] = ACTIONS(3771),
    [anon_sym_BSLASHr] = ACTIONS(3771),
    [anon_sym_BSLASHsp] = ACTIONS(3771),
    [anon_sym_BSLASHd] = ACTIONS(3771),
    [anon_sym_BSLASHsd] = ACTIONS(3771),
    [anon_sym_BSLASHp] = ACTIONS(3771),
    [anon_sym_BSLASHm] = ACTIONS(3771),
    [anon_sym_BSLASHpo] = ACTIONS(3771),
    [anon_sym_BSLASHpr] = ACTIONS(3771),
    [anon_sym_BSLASHcls] = ACTIONS(3771),
    [anon_sym_BSLASHpmo] = ACTIONS(3771),
    [anon_sym_BSLASHpm] = ACTIONS(3771),
    [anon_sym_BSLASHpmc] = ACTIONS(3771),
    [anon_sym_BSLASHpmr] = ACTIONS(3771),
    [anon_sym_BSLASHpi] = ACTIONS(3771),
    [anon_sym_BSLASHmi] = ACTIONS(3771),
    [anon_sym_BSLASHnb] = ACTIONS(3771),
    [anon_sym_BSLASHpc] = ACTIONS(3771),
    [anon_sym_BSLASHph] = ACTIONS(3771),
    [anon_sym_BSLASHb] = ACTIONS(3771),
    [anon_sym_BSLASHq] = ACTIONS(3771),
    [anon_sym_BSLASHqr] = ACTIONS(3771),
    [anon_sym_BSLASHqc] = ACTIONS(3771),
    [anon_sym_BSLASHqa] = ACTIONS(3771),
    [anon_sym_BSLASHqm] = ACTIONS(3771),
    [anon_sym_BSLASHqd] = ACTIONS(3771),
    [anon_sym_BSLASHlh] = ACTIONS(3771),
    [anon_sym_BSLASHli] = ACTIONS(3771),
    [anon_sym_BSLASHlim] = ACTIONS(3771),
    [anon_sym_BSLASHtr] = ACTIONS(3771),
    [anon_sym_BSLASHf] = ACTIONS(3771),
    [anon_sym_BSLASHfe] = ACTIONS(3771),
    [anon_sym_BSLASHef] = ACTIONS(3771),
    [anon_sym_BSLASHfm] = ACTIONS(3771),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(3771),
    [anon_sym_BSLASH] = ACTIONS(3771),
    [sym_milestoneStartTag] = ACTIONS(3771),
    [sym_milestoneEndTag] = ACTIONS(3771),
    [sym_zSpaceTag] = ACTIONS(3771),
    [anon_sym_BSLASHesb] = ACTIONS(3771),
  },
  [319] = {
    [sym_text] = STATE(314),
    [sym_footnote] = STATE(314),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(314),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(314),
    [sym_bk] = STATE(314),
    [sym_dc] = STATE(314),
    [sym_k] = STATE(314),
    [sym_nd] = STATE(314),
    [sym_ord] = STATE(314),
    [sym_pn] = STATE(314),
    [sym_png] = STATE(314),
    [sym_addpn] = STATE(314),
    [sym_qt] = STATE(314),
    [sym_sig] = STATE(314),
    [sym_sls] = STATE(314),
    [sym_tl] = STATE(314),
    [sym_wj] = STATE(314),
    [sym_em] = STATE(314),
    [sym_bd] = STATE(314),
    [sym_it] = STATE(314),
    [sym_bdit] = STATE(314),
    [sym_no] = STATE(314),
    [sym_sc] = STATE(314),
    [sym_sup] = STATE(314),
    [sym_ndx] = STATE(314),
    [sym_pro] = STATE(314),
    [sym_rb] = STATE(314),
    [sym_w] = STATE(314),
    [sym_wg] = STATE(314),
    [sym_wh] = STATE(314),
    [sym_wa] = STATE(314),
    [sym__characterMarker] = STATE(314),
    [sym_fig] = STATE(314),
    [sym_jmp] = STATE(314),
    [aux_sym_ms_repeat1] = STATE(314),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHsts] = ACTIONS(3366),
    [anon_sym_BSLASHrem] = ACTIONS(3366),
    [anon_sym_BSLASHrestore] = ACTIONS(3366),
    [anon_sym_BSLASHlit] = ACTIONS(3366),
    [anon_sym_BSLASHip] = ACTIONS(3366),
    [anon_sym_BSLASHmte] = ACTIONS(3366),
    [anon_sym_BSLASHms] = ACTIONS(3366),
    [anon_sym_BSLASHs] = ACTIONS(3366),
    [anon_sym_BSLASHr] = ACTIONS(3366),
    [anon_sym_BSLASHsp] = ACTIONS(3366),
    [anon_sym_BSLASHd] = ACTIONS(3366),
    [anon_sym_BSLASHsd] = ACTIONS(3366),
    [anon_sym_BSLASHp] = ACTIONS(3366),
    [anon_sym_BSLASHm] = ACTIONS(3366),
    [anon_sym_BSLASHpo] = ACTIONS(3366),
    [anon_sym_BSLASHpr] = ACTIONS(3366),
    [anon_sym_BSLASHcls] = ACTIONS(3366),
    [anon_sym_BSLASHpmo] = ACTIONS(3366),
    [anon_sym_BSLASHpm] = ACTIONS(3366),
    [anon_sym_BSLASHpmc] = ACTIONS(3366),
    [anon_sym_BSLASHpmr] = ACTIONS(3366),
    [anon_sym_BSLASHpi] = ACTIONS(3366),
    [anon_sym_BSLASHmi] = ACTIONS(3366),
    [anon_sym_BSLASHnb] = ACTIONS(3366),
    [anon_sym_BSLASHpc] = ACTIONS(3366),
    [anon_sym_BSLASHph] = ACTIONS(3366),
    [anon_sym_BSLASHb] = ACTIONS(3366),
    [anon_sym_BSLASHq] = ACTIONS(3366),
    [anon_sym_BSLASHqr] = ACTIONS(3366),
    [anon_sym_BSLASHqc] = ACTIONS(3366),
    [anon_sym_BSLASHqa] = ACTIONS(3366),
    [anon_sym_BSLASHqm] = ACTIONS(3366),
    [anon_sym_BSLASHqd] = ACTIONS(3366),
    [anon_sym_BSLASHlh] = ACTIONS(3366),
    [anon_sym_BSLASHli] = ACTIONS(3366),
    [anon_sym_BSLASHlim] = ACTIONS(3366),
    [anon_sym_BSLASHtr] = ACTIONS(3366),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(3366),
    [anon_sym_BSLASH] = ACTIONS(3366),
    [sym_milestoneStartTag] = ACTIONS(3366),
    [sym_milestoneEndTag] = ACTIONS(3366),
    [sym_zSpaceTag] = ACTIONS(3366),
    [anon_sym_BSLASHesbe] = ACTIONS(3366),
    [anon_sym_BSLASHcat] = ACTIONS(3366),
  },
  [320] = {
    [sym_text] = STATE(320),
    [sym_ref] = STATE(320),
    [aux_sym__introText] = STATE(320),
    [sym_iqt] = STATE(320),
    [sym_xt_standalone] = STATE(320),
    [sym_add] = STATE(320),
    [sym_bk] = STATE(320),
    [sym_dc] = STATE(320),
    [sym_k] = STATE(320),
    [sym_nd] = STATE(320),
    [sym_ord] = STATE(320),
    [sym_pn] = STATE(320),
    [sym_png] = STATE(320),
    [sym_addpn] = STATE(320),
    [sym_qt] = STATE(320),
    [sym_sig] = STATE(320),
    [sym_sls] = STATE(320),
    [sym_tl] = STATE(320),
    [sym_wj] = STATE(320),
    [sym_em] = STATE(320),
    [sym_bd] = STATE(320),
    [sym_it] = STATE(320),
    [sym_bdit] = STATE(320),
    [sym_no] = STATE(320),
    [sym_sc] = STATE(320),
    [sym_sup] = STATE(320),
    [sym_ndx] = STATE(320),
    [sym_pro] = STATE(320),
    [sym_rb] = STATE(320),
    [sym_w] = STATE(320),
    [sym_wg] = STATE(320),
    [sym_wh] = STATE(320),
    [sym_wa] = STATE(320),
    [sym__characterMarker] = STATE(320),
    [sym_fig] = STATE(320),
    [sym_jmp] = STATE(320),
    [ts_builtin_sym_end] = ACTIONS(3775),
    [aux_sym_text_token1] = ACTIONS(3777),
    [anon_sym_BSLASHref] = ACTIONS(3780),
    [anon_sym_BSLASHsts] = ACTIONS(3783),
    [anon_sym_BSLASHrem] = ACTIONS(3783),
    [anon_sym_BSLASHrestore] = ACTIONS(3783),
    [anon_sym_BSLASHlit] = ACTIONS(3783),
    [anon_sym_BSLASHiqt] = ACTIONS(3785),
    [anon_sym_BSLASHip] = ACTIONS(3783),
    [anon_sym_BSLASHiex] = ACTIONS(3783),
    [anon_sym_BSLASHc] = ACTIONS(3783),
    [anon_sym_BSLASHcl] = ACTIONS(3783),
    [anon_sym_BSLASHca] = ACTIONS(3783),
    [anon_sym_BSLASHcp] = ACTIONS(3783),
    [anon_sym_BSLASHcd] = ACTIONS(3783),
    [anon_sym_BSLASHmte] = ACTIONS(3783),
    [anon_sym_BSLASHms] = ACTIONS(3783),
    [anon_sym_BSLASHs] = ACTIONS(3783),
    [anon_sym_BSLASHr] = ACTIONS(3783),
    [anon_sym_BSLASHsp] = ACTIONS(3783),
    [anon_sym_BSLASHd] = ACTIONS(3783),
    [anon_sym_BSLASHsd] = ACTIONS(3783),
    [anon_sym_BSLASHp] = ACTIONS(3783),
    [anon_sym_BSLASHm] = ACTIONS(3783),
    [anon_sym_BSLASHpo] = ACTIONS(3783),
    [anon_sym_BSLASHpr] = ACTIONS(3783),
    [anon_sym_BSLASHcls] = ACTIONS(3783),
    [anon_sym_BSLASHpmo] = ACTIONS(3783),
    [anon_sym_BSLASHpm] = ACTIONS(3783),
    [anon_sym_BSLASHpmc] = ACTIONS(3783),
    [anon_sym_BSLASHpmr] = ACTIONS(3783),
    [anon_sym_BSLASHpi] = ACTIONS(3783),
    [anon_sym_BSLASHmi] = ACTIONS(3783),
    [anon_sym_BSLASHnb] = ACTIONS(3783),
    [anon_sym_BSLASHpc] = ACTIONS(3783),
    [anon_sym_BSLASHph] = ACTIONS(3783),
    [anon_sym_BSLASHb] = ACTIONS(3783),
    [anon_sym_BSLASHq] = ACTIONS(3783),
    [anon_sym_BSLASHqr] = ACTIONS(3783),
    [anon_sym_BSLASHqc] = ACTIONS(3783),
    [anon_sym_BSLASHqa] = ACTIONS(3783),
    [anon_sym_BSLASHqm] = ACTIONS(3783),
    [anon_sym_BSLASHqd] = ACTIONS(3783),
    [anon_sym_BSLASHlh] = ACTIONS(3783),
    [anon_sym_BSLASHli] = ACTIONS(3783),
    [anon_sym_BSLASHlim] = ACTIONS(3783),
    [anon_sym_BSLASHtr] = ACTIONS(3783),
    [anon_sym_BSLASHf] = ACTIONS(3783),
    [anon_sym_BSLASHfe] = ACTIONS(3783),
    [anon_sym_BSLASHef] = ACTIONS(3783),
    [anon_sym_BSLASHfm] = ACTIONS(3783),
    [anon_sym_BSLASHxt] = ACTIONS(3788),
    [anon_sym_BSLASHadd] = ACTIONS(3791),
    [anon_sym_BSLASHbk] = ACTIONS(3794),
    [anon_sym_BSLASHdc] = ACTIONS(3797),
    [anon_sym_BSLASHk] = ACTIONS(3800),
    [anon_sym_BSLASHnd] = ACTIONS(3803),
    [anon_sym_BSLASHord] = ACTIONS(3806),
    [anon_sym_BSLASHpn] = ACTIONS(3809),
    [anon_sym_BSLASHpng] = ACTIONS(3812),
    [anon_sym_BSLASHaddpn] = ACTIONS(3815),
    [anon_sym_BSLASHqt] = ACTIONS(3818),
    [anon_sym_BSLASHsig] = ACTIONS(3821),
    [anon_sym_BSLASHsls] = ACTIONS(3824),
    [anon_sym_BSLASHtl] = ACTIONS(3827),
    [anon_sym_BSLASHwj] = ACTIONS(3830),
    [anon_sym_BSLASHem] = ACTIONS(3833),
    [anon_sym_BSLASHbd] = ACTIONS(3836),
    [anon_sym_BSLASHit] = ACTIONS(3839),
    [anon_sym_BSLASHbdit] = ACTIONS(3842),
    [anon_sym_BSLASHno] = ACTIONS(3845),
    [anon_sym_BSLASHsc] = ACTIONS(3848),
    [anon_sym_BSLASHsup] = ACTIONS(3851),
    [anon_sym_BSLASHndx] = ACTIONS(3854),
    [anon_sym_BSLASHpro] = ACTIONS(3857),
    [anon_sym_BSLASHrb] = ACTIONS(3860),
    [anon_sym_BSLASHw] = ACTIONS(3863),
    [anon_sym_BSLASHwg] = ACTIONS(3866),
    [anon_sym_BSLASHwh] = ACTIONS(3869),
    [anon_sym_BSLASHwa] = ACTIONS(3872),
    [anon_sym_BSLASHfig] = ACTIONS(3875),
    [anon_sym_BSLASHjmp] = ACTIONS(3878),
    [anon_sym_BSLASHpb] = ACTIONS(3783),
    [anon_sym_BSLASH] = ACTIONS(3783),
    [sym_milestoneStartTag] = ACTIONS(3783),
    [sym_milestoneEndTag] = ACTIONS(3783),
    [sym_zSpaceTag] = ACTIONS(3783),
    [anon_sym_BSLASHesb] = ACTIONS(3783),
  },
  [321] = {
    [sym_text] = STATE(320),
    [sym_ref] = STATE(320),
    [aux_sym__introText] = STATE(320),
    [sym_iqt] = STATE(320),
    [sym_xt_standalone] = STATE(320),
    [sym_add] = STATE(320),
    [sym_bk] = STATE(320),
    [sym_dc] = STATE(320),
    [sym_k] = STATE(320),
    [sym_nd] = STATE(320),
    [sym_ord] = STATE(320),
    [sym_pn] = STATE(320),
    [sym_png] = STATE(320),
    [sym_addpn] = STATE(320),
    [sym_qt] = STATE(320),
    [sym_sig] = STATE(320),
    [sym_sls] = STATE(320),
    [sym_tl] = STATE(320),
    [sym_wj] = STATE(320),
    [sym_em] = STATE(320),
    [sym_bd] = STATE(320),
    [sym_it] = STATE(320),
    [sym_bdit] = STATE(320),
    [sym_no] = STATE(320),
    [sym_sc] = STATE(320),
    [sym_sup] = STATE(320),
    [sym_ndx] = STATE(320),
    [sym_pro] = STATE(320),
    [sym_rb] = STATE(320),
    [sym_w] = STATE(320),
    [sym_wg] = STATE(320),
    [sym_wh] = STATE(320),
    [sym_wa] = STATE(320),
    [sym__characterMarker] = STATE(320),
    [sym_fig] = STATE(320),
    [sym_jmp] = STATE(320),
    [ts_builtin_sym_end] = ACTIONS(3881),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHsts] = ACTIONS(3883),
    [anon_sym_BSLASHrem] = ACTIONS(3883),
    [anon_sym_BSLASHrestore] = ACTIONS(3883),
    [anon_sym_BSLASHlit] = ACTIONS(3883),
    [anon_sym_BSLASHiqt] = ACTIONS(3773),
    [anon_sym_BSLASHip] = ACTIONS(3883),
    [anon_sym_BSLASHiex] = ACTIONS(3883),
    [anon_sym_BSLASHc] = ACTIONS(3883),
    [anon_sym_BSLASHcl] = ACTIONS(3883),
    [anon_sym_BSLASHca] = ACTIONS(3883),
    [anon_sym_BSLASHcp] = ACTIONS(3883),
    [anon_sym_BSLASHcd] = ACTIONS(3883),
    [anon_sym_BSLASHmte] = ACTIONS(3883),
    [anon_sym_BSLASHms] = ACTIONS(3883),
    [anon_sym_BSLASHs] = ACTIONS(3883),
    [anon_sym_BSLASHr] = ACTIONS(3883),
    [anon_sym_BSLASHsp] = ACTIONS(3883),
    [anon_sym_BSLASHd] = ACTIONS(3883),
    [anon_sym_BSLASHsd] = ACTIONS(3883),
    [anon_sym_BSLASHp] = ACTIONS(3883),
    [anon_sym_BSLASHm] = ACTIONS(3883),
    [anon_sym_BSLASHpo] = ACTIONS(3883),
    [anon_sym_BSLASHpr] = ACTIONS(3883),
    [anon_sym_BSLASHcls] = ACTIONS(3883),
    [anon_sym_BSLASHpmo] = ACTIONS(3883),
    [anon_sym_BSLASHpm] = ACTIONS(3883),
    [anon_sym_BSLASHpmc] = ACTIONS(3883),
    [anon_sym_BSLASHpmr] = ACTIONS(3883),
    [anon_sym_BSLASHpi] = ACTIONS(3883),
    [anon_sym_BSLASHmi] = ACTIONS(3883),
    [anon_sym_BSLASHnb] = ACTIONS(3883),
    [anon_sym_BSLASHpc] = ACTIONS(3883),
    [anon_sym_BSLASHph] = ACTIONS(3883),
    [anon_sym_BSLASHb] = ACTIONS(3883),
    [anon_sym_BSLASHq] = ACTIONS(3883),
    [anon_sym_BSLASHqr] = ACTIONS(3883),
    [anon_sym_BSLASHqc] = ACTIONS(3883),
    [anon_sym_BSLASHqa] = ACTIONS(3883),
    [anon_sym_BSLASHqm] = ACTIONS(3883),
    [anon_sym_BSLASHqd] = ACTIONS(3883),
    [anon_sym_BSLASHlh] = ACTIONS(3883),
    [anon_sym_BSLASHli] = ACTIONS(3883),
    [anon_sym_BSLASHlim] = ACTIONS(3883),
    [anon_sym_BSLASHtr] = ACTIONS(3883),
    [anon_sym_BSLASHf] = ACTIONS(3883),
    [anon_sym_BSLASHfe] = ACTIONS(3883),
    [anon_sym_BSLASHef] = ACTIONS(3883),
    [anon_sym_BSLASHfm] = ACTIONS(3883),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(3883),
    [anon_sym_BSLASH] = ACTIONS(3883),
    [sym_milestoneStartTag] = ACTIONS(3883),
    [sym_milestoneEndTag] = ACTIONS(3883),
    [sym_zSpaceTag] = ACTIONS(3883),
    [anon_sym_BSLASHesb] = ACTIONS(3883),
  },
  [322] = {
    [sym_text] = STATE(322),
    [sym_add] = STATE(322),
    [sym_bk] = STATE(322),
    [sym_dc] = STATE(322),
    [sym_k] = STATE(322),
    [sym_nd] = STATE(322),
    [sym_ord] = STATE(322),
    [sym_pn] = STATE(322),
    [sym_png] = STATE(322),
    [sym_addpn] = STATE(322),
    [sym_qt] = STATE(322),
    [sym_sig] = STATE(322),
    [sym_sls] = STATE(322),
    [sym_tl] = STATE(322),
    [sym_wj] = STATE(322),
    [sym_em] = STATE(322),
    [sym_bd] = STATE(322),
    [sym_it] = STATE(322),
    [sym_bdit] = STATE(322),
    [sym_no] = STATE(322),
    [sym_sc] = STATE(322),
    [sym_sup] = STATE(322),
    [sym_ndx] = STATE(322),
    [sym_pro] = STATE(322),
    [sym_rb] = STATE(322),
    [sym_w] = STATE(322),
    [sym_wg] = STATE(322),
    [sym_wh] = STATE(322),
    [sym_wa] = STATE(322),
    [sym__characterMarker] = STATE(322),
    [sym_fig] = STATE(322),
    [sym_jmp] = STATE(322),
    [aux_sym_verseText_repeat1] = STATE(322),
    [ts_builtin_sym_end] = ACTIONS(3368),
    [aux_sym_text_token1] = ACTIONS(3885),
    [anon_sym_BSLASHsts] = ACTIONS(3373),
    [anon_sym_BSLASHrem] = ACTIONS(3373),
    [anon_sym_BSLASHrestore] = ACTIONS(3373),
    [anon_sym_BSLASHlit] = ACTIONS(3373),
    [anon_sym_BSLASHip] = ACTIONS(3373),
    [anon_sym_BSLASHiex] = ACTIONS(3373),
    [anon_sym_BSLASHc] = ACTIONS(3373),
    [anon_sym_BSLASHcl] = ACTIONS(3373),
    [anon_sym_BSLASHca] = ACTIONS(3373),
    [anon_sym_BSLASHcp] = ACTIONS(3373),
    [anon_sym_BSLASHcd] = ACTIONS(3373),
    [anon_sym_BSLASHmte] = ACTIONS(3373),
    [anon_sym_BSLASHms] = ACTIONS(3373),
    [anon_sym_BSLASHs] = ACTIONS(3373),
    [anon_sym_BSLASHr] = ACTIONS(3373),
    [anon_sym_BSLASHsp] = ACTIONS(3373),
    [anon_sym_BSLASHd] = ACTIONS(3373),
    [anon_sym_BSLASHsd] = ACTIONS(3373),
    [anon_sym_BSLASHp] = ACTIONS(3373),
    [anon_sym_BSLASHm] = ACTIONS(3373),
    [anon_sym_BSLASHpo] = ACTIONS(3373),
    [anon_sym_BSLASHpr] = ACTIONS(3373),
    [anon_sym_BSLASHcls] = ACTIONS(3373),
    [anon_sym_BSLASHpmo] = ACTIONS(3373),
    [anon_sym_BSLASHpm] = ACTIONS(3373),
    [anon_sym_BSLASHpmc] = ACTIONS(3373),
    [anon_sym_BSLASHpmr] = ACTIONS(3373),
    [anon_sym_BSLASHpi] = ACTIONS(3373),
    [anon_sym_BSLASHmi] = ACTIONS(3373),
    [anon_sym_BSLASHnb] = ACTIONS(3373),
    [anon_sym_BSLASHpc] = ACTIONS(3373),
    [anon_sym_BSLASHph] = ACTIONS(3373),
    [anon_sym_BSLASHb] = ACTIONS(3373),
    [anon_sym_BSLASHq] = ACTIONS(3373),
    [anon_sym_BSLASHqr] = ACTIONS(3373),
    [anon_sym_BSLASHqc] = ACTIONS(3373),
    [anon_sym_BSLASHqa] = ACTIONS(3373),
    [anon_sym_BSLASHqm] = ACTIONS(3373),
    [anon_sym_BSLASHqd] = ACTIONS(3373),
    [anon_sym_BSLASHlh] = ACTIONS(3373),
    [anon_sym_BSLASHli] = ACTIONS(3373),
    [anon_sym_BSLASHlim] = ACTIONS(3373),
    [anon_sym_BSLASHtr] = ACTIONS(3373),
    [sym_thTag] = ACTIONS(3373),
    [sym_thrTag] = ACTIONS(3373),
    [sym_tcTag] = ACTIONS(3373),
    [sym_tcrTag] = ACTIONS(3373),
    [anon_sym_BSLASHf] = ACTIONS(3373),
    [anon_sym_BSLASHfe] = ACTIONS(3373),
    [anon_sym_BSLASHef] = ACTIONS(3373),
    [anon_sym_BSLASHfm] = ACTIONS(3373),
    [anon_sym_BSLASHadd] = ACTIONS(3888),
    [anon_sym_BSLASHbk] = ACTIONS(3891),
    [anon_sym_BSLASHdc] = ACTIONS(3894),
    [anon_sym_BSLASHk] = ACTIONS(3897),
    [anon_sym_BSLASHnd] = ACTIONS(3900),
    [anon_sym_BSLASHord] = ACTIONS(3903),
    [anon_sym_BSLASHpn] = ACTIONS(3906),
    [anon_sym_BSLASHpng] = ACTIONS(3909),
    [anon_sym_BSLASHaddpn] = ACTIONS(3912),
    [anon_sym_BSLASHqt] = ACTIONS(3915),
    [anon_sym_BSLASHsig] = ACTIONS(3918),
    [anon_sym_BSLASHsls] = ACTIONS(3921),
    [anon_sym_BSLASHtl] = ACTIONS(3924),
    [anon_sym_BSLASHwj] = ACTIONS(3927),
    [anon_sym_BSLASHem] = ACTIONS(3930),
    [anon_sym_BSLASHbd] = ACTIONS(3933),
    [anon_sym_BSLASHit] = ACTIONS(3936),
    [anon_sym_BSLASHbdit] = ACTIONS(3939),
    [anon_sym_BSLASHno] = ACTIONS(3942),
    [anon_sym_BSLASHsc] = ACTIONS(3945),
    [anon_sym_BSLASHsup] = ACTIONS(3948),
    [anon_sym_BSLASHndx] = ACTIONS(3951),
    [anon_sym_BSLASHpro] = ACTIONS(3954),
    [anon_sym_BSLASHrb] = ACTIONS(3957),
    [anon_sym_BSLASHw] = ACTIONS(3960),
    [anon_sym_BSLASHwg] = ACTIONS(3963),
    [anon_sym_BSLASHwh] = ACTIONS(3966),
    [anon_sym_BSLASHwa] = ACTIONS(3969),
    [anon_sym_BSLASHfig] = ACTIONS(3972),
    [anon_sym_BSLASHjmp] = ACTIONS(3975),
    [anon_sym_BSLASHpb] = ACTIONS(3373),
    [anon_sym_BSLASH] = ACTIONS(3373),
    [sym_milestoneStartTag] = ACTIONS(3373),
    [sym_milestoneEndTag] = ACTIONS(3373),
    [sym_zSpaceTag] = ACTIONS(3373),
    [anon_sym_BSLASHesb] = ACTIONS(3373),
  },
  [323] = {
    [sym_text] = STATE(322),
    [sym_add] = STATE(322),
    [sym_bk] = STATE(322),
    [sym_dc] = STATE(322),
    [sym_k] = STATE(322),
    [sym_nd] = STATE(322),
    [sym_ord] = STATE(322),
    [sym_pn] = STATE(322),
    [sym_png] = STATE(322),
    [sym_addpn] = STATE(322),
    [sym_qt] = STATE(322),
    [sym_sig] = STATE(322),
    [sym_sls] = STATE(322),
    [sym_tl] = STATE(322),
    [sym_wj] = STATE(322),
    [sym_em] = STATE(322),
    [sym_bd] = STATE(322),
    [sym_it] = STATE(322),
    [sym_bdit] = STATE(322),
    [sym_no] = STATE(322),
    [sym_sc] = STATE(322),
    [sym_sup] = STATE(322),
    [sym_ndx] = STATE(322),
    [sym_pro] = STATE(322),
    [sym_rb] = STATE(322),
    [sym_w] = STATE(322),
    [sym_wg] = STATE(322),
    [sym_wh] = STATE(322),
    [sym_wa] = STATE(322),
    [sym__characterMarker] = STATE(322),
    [sym_fig] = STATE(322),
    [sym_jmp] = STATE(322),
    [aux_sym_verseText_repeat1] = STATE(322),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [aux_sym_text_token1] = ACTIONS(3978),
    [anon_sym_BSLASHsts] = ACTIONS(3467),
    [anon_sym_BSLASHrem] = ACTIONS(3467),
    [anon_sym_BSLASHrestore] = ACTIONS(3467),
    [anon_sym_BSLASHlit] = ACTIONS(3467),
    [anon_sym_BSLASHip] = ACTIONS(3467),
    [anon_sym_BSLASHiex] = ACTIONS(3467),
    [anon_sym_BSLASHc] = ACTIONS(3467),
    [anon_sym_BSLASHcl] = ACTIONS(3467),
    [anon_sym_BSLASHca] = ACTIONS(3467),
    [anon_sym_BSLASHcp] = ACTIONS(3467),
    [anon_sym_BSLASHcd] = ACTIONS(3467),
    [anon_sym_BSLASHmte] = ACTIONS(3467),
    [anon_sym_BSLASHms] = ACTIONS(3467),
    [anon_sym_BSLASHs] = ACTIONS(3467),
    [anon_sym_BSLASHr] = ACTIONS(3467),
    [anon_sym_BSLASHsp] = ACTIONS(3467),
    [anon_sym_BSLASHd] = ACTIONS(3467),
    [anon_sym_BSLASHsd] = ACTIONS(3467),
    [anon_sym_BSLASHp] = ACTIONS(3467),
    [anon_sym_BSLASHm] = ACTIONS(3467),
    [anon_sym_BSLASHpo] = ACTIONS(3467),
    [anon_sym_BSLASHpr] = ACTIONS(3467),
    [anon_sym_BSLASHcls] = ACTIONS(3467),
    [anon_sym_BSLASHpmo] = ACTIONS(3467),
    [anon_sym_BSLASHpm] = ACTIONS(3467),
    [anon_sym_BSLASHpmc] = ACTIONS(3467),
    [anon_sym_BSLASHpmr] = ACTIONS(3467),
    [anon_sym_BSLASHpi] = ACTIONS(3467),
    [anon_sym_BSLASHmi] = ACTIONS(3467),
    [anon_sym_BSLASHnb] = ACTIONS(3467),
    [anon_sym_BSLASHpc] = ACTIONS(3467),
    [anon_sym_BSLASHph] = ACTIONS(3467),
    [anon_sym_BSLASHb] = ACTIONS(3467),
    [anon_sym_BSLASHq] = ACTIONS(3467),
    [anon_sym_BSLASHqr] = ACTIONS(3467),
    [anon_sym_BSLASHqc] = ACTIONS(3467),
    [anon_sym_BSLASHqa] = ACTIONS(3467),
    [anon_sym_BSLASHqm] = ACTIONS(3467),
    [anon_sym_BSLASHqd] = ACTIONS(3467),
    [anon_sym_BSLASHlh] = ACTIONS(3467),
    [anon_sym_BSLASHli] = ACTIONS(3467),
    [anon_sym_BSLASHlim] = ACTIONS(3467),
    [anon_sym_BSLASHtr] = ACTIONS(3467),
    [sym_thTag] = ACTIONS(3467),
    [sym_thrTag] = ACTIONS(3467),
    [sym_tcTag] = ACTIONS(3467),
    [sym_tcrTag] = ACTIONS(3467),
    [anon_sym_BSLASHf] = ACTIONS(3467),
    [anon_sym_BSLASHfe] = ACTIONS(3467),
    [anon_sym_BSLASHef] = ACTIONS(3467),
    [anon_sym_BSLASHfm] = ACTIONS(3467),
    [anon_sym_BSLASHadd] = ACTIONS(3980),
    [anon_sym_BSLASHbk] = ACTIONS(3982),
    [anon_sym_BSLASHdc] = ACTIONS(3984),
    [anon_sym_BSLASHk] = ACTIONS(3986),
    [anon_sym_BSLASHnd] = ACTIONS(3988),
    [anon_sym_BSLASHord] = ACTIONS(3990),
    [anon_sym_BSLASHpn] = ACTIONS(3992),
    [anon_sym_BSLASHpng] = ACTIONS(3994),
    [anon_sym_BSLASHaddpn] = ACTIONS(3996),
    [anon_sym_BSLASHqt] = ACTIONS(3998),
    [anon_sym_BSLASHsig] = ACTIONS(4000),
    [anon_sym_BSLASHsls] = ACTIONS(4002),
    [anon_sym_BSLASHtl] = ACTIONS(4004),
    [anon_sym_BSLASHwj] = ACTIONS(4006),
    [anon_sym_BSLASHem] = ACTIONS(4008),
    [anon_sym_BSLASHbd] = ACTIONS(4010),
    [anon_sym_BSLASHit] = ACTIONS(4012),
    [anon_sym_BSLASHbdit] = ACTIONS(4014),
    [anon_sym_BSLASHno] = ACTIONS(4016),
    [anon_sym_BSLASHsc] = ACTIONS(4018),
    [anon_sym_BSLASHsup] = ACTIONS(4020),
    [anon_sym_BSLASHndx] = ACTIONS(4022),
    [anon_sym_BSLASHpro] = ACTIONS(4024),
    [anon_sym_BSLASHrb] = ACTIONS(4026),
    [anon_sym_BSLASHw] = ACTIONS(4028),
    [anon_sym_BSLASHwg] = ACTIONS(4030),
    [anon_sym_BSLASHwh] = ACTIONS(4032),
    [anon_sym_BSLASHwa] = ACTIONS(4034),
    [anon_sym_BSLASHfig] = ACTIONS(4036),
    [anon_sym_BSLASHjmp] = ACTIONS(4038),
    [anon_sym_BSLASHpb] = ACTIONS(3467),
    [anon_sym_BSLASH] = ACTIONS(3467),
    [sym_milestoneStartTag] = ACTIONS(3467),
    [sym_milestoneEndTag] = ACTIONS(3467),
    [sym_zSpaceTag] = ACTIONS(3467),
    [anon_sym_BSLASHesb] = ACTIONS(3467),
  },
  [324] = {
    [sym_text] = STATE(325),
    [sym_add] = STATE(325),
    [sym_bk] = STATE(325),
    [sym_dc] = STATE(325),
    [sym_k] = STATE(325),
    [sym_nd] = STATE(325),
    [sym_ord] = STATE(325),
    [sym_pn] = STATE(325),
    [sym_png] = STATE(325),
    [sym_addpn] = STATE(325),
    [sym_qt] = STATE(325),
    [sym_sig] = STATE(325),
    [sym_sls] = STATE(325),
    [sym_tl] = STATE(325),
    [sym_wj] = STATE(325),
    [sym_em] = STATE(325),
    [sym_bd] = STATE(325),
    [sym_it] = STATE(325),
    [sym_bdit] = STATE(325),
    [sym_no] = STATE(325),
    [sym_sc] = STATE(325),
    [sym_sup] = STATE(325),
    [sym_ndx] = STATE(325),
    [sym_pro] = STATE(325),
    [sym_rb] = STATE(325),
    [sym_w] = STATE(325),
    [sym_wg] = STATE(325),
    [sym_wh] = STATE(325),
    [sym_wa] = STATE(325),
    [sym__characterMarker] = STATE(325),
    [sym_fig] = STATE(325),
    [sym_jmp] = STATE(325),
    [aux_sym_verseText_repeat1] = STATE(325),
    [aux_sym_text_token1] = ACTIONS(1561),
    [anon_sym_BSLASHref] = ACTIONS(3467),
    [anon_sym_BSLASHsts] = ACTIONS(3467),
    [anon_sym_BSLASHrem] = ACTIONS(3467),
    [anon_sym_BSLASHrestore] = ACTIONS(3467),
    [anon_sym_BSLASHlit] = ACTIONS(3467),
    [anon_sym_BSLASHip] = ACTIONS(3467),
    [anon_sym_BSLASHv] = ACTIONS(3467),
    [anon_sym_BSLASHva] = ACTIONS(3467),
    [anon_sym_BSLASHvp] = ACTIONS(3467),
    [anon_sym_BSLASHmte] = ACTIONS(3467),
    [anon_sym_BSLASHms] = ACTIONS(3467),
    [anon_sym_BSLASHs] = ACTIONS(3467),
    [anon_sym_BSLASHr] = ACTIONS(3467),
    [anon_sym_BSLASHsp] = ACTIONS(3467),
    [anon_sym_BSLASHd] = ACTIONS(3467),
    [anon_sym_BSLASHsd] = ACTIONS(3467),
    [anon_sym_BSLASHp] = ACTIONS(3467),
    [anon_sym_BSLASHm] = ACTIONS(3467),
    [anon_sym_BSLASHpo] = ACTIONS(3467),
    [anon_sym_BSLASHpr] = ACTIONS(3467),
    [anon_sym_BSLASHcls] = ACTIONS(3467),
    [anon_sym_BSLASHpmo] = ACTIONS(3467),
    [anon_sym_BSLASHpm] = ACTIONS(3467),
    [anon_sym_BSLASHpmc] = ACTIONS(3467),
    [anon_sym_BSLASHpmr] = ACTIONS(3467),
    [anon_sym_BSLASHpi] = ACTIONS(3467),
    [anon_sym_BSLASHmi] = ACTIONS(3467),
    [anon_sym_BSLASHnb] = ACTIONS(3467),
    [anon_sym_BSLASHpc] = ACTIONS(3467),
    [anon_sym_BSLASHph] = ACTIONS(3467),
    [anon_sym_BSLASHb] = ACTIONS(3467),
    [anon_sym_BSLASHq] = ACTIONS(3467),
    [anon_sym_BSLASHqr] = ACTIONS(3467),
    [anon_sym_BSLASHqc] = ACTIONS(3467),
    [anon_sym_BSLASHqs] = ACTIONS(3467),
    [anon_sym_BSLASHqa] = ACTIONS(3467),
    [anon_sym_BSLASHqac] = ACTIONS(3467),
    [anon_sym_BSLASHqm] = ACTIONS(3467),
    [anon_sym_BSLASHqd] = ACTIONS(3467),
    [anon_sym_BSLASHlh] = ACTIONS(3467),
    [anon_sym_BSLASHli] = ACTIONS(3467),
    [anon_sym_BSLASHlim] = ACTIONS(3467),
    [anon_sym_BSLASHtr] = ACTIONS(3467),
    [anon_sym_BSLASHf] = ACTIONS(3467),
    [anon_sym_BSLASHfe] = ACTIONS(3467),
    [anon_sym_BSLASHef] = ACTIONS(3467),
    [anon_sym_BSLASHfm] = ACTIONS(3467),
    [anon_sym_BSLASHx] = ACTIONS(3467),
    [anon_sym_BSLASHxt] = ACTIONS(3467),
    [anon_sym_BSLASHrq] = ACTIONS(3467),
    [anon_sym_BSLASHadd] = ACTIONS(1597),
    [anon_sym_BSLASHbk] = ACTIONS(1599),
    [anon_sym_BSLASHdc] = ACTIONS(1601),
    [anon_sym_BSLASHk] = ACTIONS(1603),
    [anon_sym_BSLASHnd] = ACTIONS(1605),
    [anon_sym_BSLASHord] = ACTIONS(1607),
    [anon_sym_BSLASHpn] = ACTIONS(1609),
    [anon_sym_BSLASHpng] = ACTIONS(1611),
    [anon_sym_BSLASHaddpn] = ACTIONS(1613),
    [anon_sym_BSLASHqt] = ACTIONS(1615),
    [anon_sym_BSLASHsig] = ACTIONS(1617),
    [anon_sym_BSLASHsls] = ACTIONS(1619),
    [anon_sym_BSLASHtl] = ACTIONS(1621),
    [anon_sym_BSLASHwj] = ACTIONS(1623),
    [anon_sym_BSLASHem] = ACTIONS(1625),
    [anon_sym_BSLASHbd] = ACTIONS(1627),
    [anon_sym_BSLASHit] = ACTIONS(1629),
    [anon_sym_BSLASHbdit] = ACTIONS(1631),
    [anon_sym_BSLASHno] = ACTIONS(1633),
    [anon_sym_BSLASHsc] = ACTIONS(1635),
    [anon_sym_BSLASHsup] = ACTIONS(1637),
    [anon_sym_BSLASHndx] = ACTIONS(1639),
    [anon_sym_BSLASHpro] = ACTIONS(1641),
    [anon_sym_BSLASHrb] = ACTIONS(1643),
    [anon_sym_BSLASHw] = ACTIONS(1645),
    [anon_sym_BSLASHwg] = ACTIONS(1647),
    [anon_sym_BSLASHwh] = ACTIONS(1649),
    [anon_sym_BSLASHwa] = ACTIONS(1651),
    [anon_sym_BSLASHfig] = ACTIONS(1653),
    [anon_sym_BSLASHjmp] = ACTIONS(1655),
    [anon_sym_BSLASHpb] = ACTIONS(3467),
    [anon_sym_BSLASH] = ACTIONS(3467),
    [sym_milestoneStartTag] = ACTIONS(3467),
    [sym_milestoneEndTag] = ACTIONS(3467),
    [sym_zSpaceTag] = ACTIONS(3467),
    [anon_sym_BSLASHesbe] = ACTIONS(3467),
    [anon_sym_BSLASHcat] = ACTIONS(3467),
  },
  [325] = {
    [sym_text] = STATE(325),
    [sym_add] = STATE(325),
    [sym_bk] = STATE(325),
    [sym_dc] = STATE(325),
    [sym_k] = STATE(325),
    [sym_nd] = STATE(325),
    [sym_ord] = STATE(325),
    [sym_pn] = STATE(325),
    [sym_png] = STATE(325),
    [sym_addpn] = STATE(325),
    [sym_qt] = STATE(325),
    [sym_sig] = STATE(325),
    [sym_sls] = STATE(325),
    [sym_tl] = STATE(325),
    [sym_wj] = STATE(325),
    [sym_em] = STATE(325),
    [sym_bd] = STATE(325),
    [sym_it] = STATE(325),
    [sym_bdit] = STATE(325),
    [sym_no] = STATE(325),
    [sym_sc] = STATE(325),
    [sym_sup] = STATE(325),
    [sym_ndx] = STATE(325),
    [sym_pro] = STATE(325),
    [sym_rb] = STATE(325),
    [sym_w] = STATE(325),
    [sym_wg] = STATE(325),
    [sym_wh] = STATE(325),
    [sym_wa] = STATE(325),
    [sym__characterMarker] = STATE(325),
    [sym_fig] = STATE(325),
    [sym_jmp] = STATE(325),
    [aux_sym_verseText_repeat1] = STATE(325),
    [aux_sym_text_token1] = ACTIONS(4040),
    [anon_sym_BSLASHref] = ACTIONS(3373),
    [anon_sym_BSLASHsts] = ACTIONS(3373),
    [anon_sym_BSLASHrem] = ACTIONS(3373),
    [anon_sym_BSLASHrestore] = ACTIONS(3373),
    [anon_sym_BSLASHlit] = ACTIONS(3373),
    [anon_sym_BSLASHip] = ACTIONS(3373),
    [anon_sym_BSLASHv] = ACTIONS(3373),
    [anon_sym_BSLASHva] = ACTIONS(3373),
    [anon_sym_BSLASHvp] = ACTIONS(3373),
    [anon_sym_BSLASHmte] = ACTIONS(3373),
    [anon_sym_BSLASHms] = ACTIONS(3373),
    [anon_sym_BSLASHs] = ACTIONS(3373),
    [anon_sym_BSLASHr] = ACTIONS(3373),
    [anon_sym_BSLASHsp] = ACTIONS(3373),
    [anon_sym_BSLASHd] = ACTIONS(3373),
    [anon_sym_BSLASHsd] = ACTIONS(3373),
    [anon_sym_BSLASHp] = ACTIONS(3373),
    [anon_sym_BSLASHm] = ACTIONS(3373),
    [anon_sym_BSLASHpo] = ACTIONS(3373),
    [anon_sym_BSLASHpr] = ACTIONS(3373),
    [anon_sym_BSLASHcls] = ACTIONS(3373),
    [anon_sym_BSLASHpmo] = ACTIONS(3373),
    [anon_sym_BSLASHpm] = ACTIONS(3373),
    [anon_sym_BSLASHpmc] = ACTIONS(3373),
    [anon_sym_BSLASHpmr] = ACTIONS(3373),
    [anon_sym_BSLASHpi] = ACTIONS(3373),
    [anon_sym_BSLASHmi] = ACTIONS(3373),
    [anon_sym_BSLASHnb] = ACTIONS(3373),
    [anon_sym_BSLASHpc] = ACTIONS(3373),
    [anon_sym_BSLASHph] = ACTIONS(3373),
    [anon_sym_BSLASHb] = ACTIONS(3373),
    [anon_sym_BSLASHq] = ACTIONS(3373),
    [anon_sym_BSLASHqr] = ACTIONS(3373),
    [anon_sym_BSLASHqc] = ACTIONS(3373),
    [anon_sym_BSLASHqs] = ACTIONS(3373),
    [anon_sym_BSLASHqa] = ACTIONS(3373),
    [anon_sym_BSLASHqac] = ACTIONS(3373),
    [anon_sym_BSLASHqm] = ACTIONS(3373),
    [anon_sym_BSLASHqd] = ACTIONS(3373),
    [anon_sym_BSLASHlh] = ACTIONS(3373),
    [anon_sym_BSLASHli] = ACTIONS(3373),
    [anon_sym_BSLASHlim] = ACTIONS(3373),
    [anon_sym_BSLASHtr] = ACTIONS(3373),
    [anon_sym_BSLASHf] = ACTIONS(3373),
    [anon_sym_BSLASHfe] = ACTIONS(3373),
    [anon_sym_BSLASHef] = ACTIONS(3373),
    [anon_sym_BSLASHfm] = ACTIONS(3373),
    [anon_sym_BSLASHx] = ACTIONS(3373),
    [anon_sym_BSLASHxt] = ACTIONS(3373),
    [anon_sym_BSLASHrq] = ACTIONS(3373),
    [anon_sym_BSLASHadd] = ACTIONS(4043),
    [anon_sym_BSLASHbk] = ACTIONS(4046),
    [anon_sym_BSLASHdc] = ACTIONS(4049),
    [anon_sym_BSLASHk] = ACTIONS(4052),
    [anon_sym_BSLASHnd] = ACTIONS(4055),
    [anon_sym_BSLASHord] = ACTIONS(4058),
    [anon_sym_BSLASHpn] = ACTIONS(4061),
    [anon_sym_BSLASHpng] = ACTIONS(4064),
    [anon_sym_BSLASHaddpn] = ACTIONS(4067),
    [anon_sym_BSLASHqt] = ACTIONS(4070),
    [anon_sym_BSLASHsig] = ACTIONS(4073),
    [anon_sym_BSLASHsls] = ACTIONS(4076),
    [anon_sym_BSLASHtl] = ACTIONS(4079),
    [anon_sym_BSLASHwj] = ACTIONS(4082),
    [anon_sym_BSLASHem] = ACTIONS(4085),
    [anon_sym_BSLASHbd] = ACTIONS(4088),
    [anon_sym_BSLASHit] = ACTIONS(4091),
    [anon_sym_BSLASHbdit] = ACTIONS(4094),
    [anon_sym_BSLASHno] = ACTIONS(4097),
    [anon_sym_BSLASHsc] = ACTIONS(4100),
    [anon_sym_BSLASHsup] = ACTIONS(4103),
    [anon_sym_BSLASHndx] = ACTIONS(4106),
    [anon_sym_BSLASHpro] = ACTIONS(4109),
    [anon_sym_BSLASHrb] = ACTIONS(4112),
    [anon_sym_BSLASHw] = ACTIONS(4115),
    [anon_sym_BSLASHwg] = ACTIONS(4118),
    [anon_sym_BSLASHwh] = ACTIONS(4121),
    [anon_sym_BSLASHwa] = ACTIONS(4124),
    [anon_sym_BSLASHfig] = ACTIONS(4127),
    [anon_sym_BSLASHjmp] = ACTIONS(4130),
    [anon_sym_BSLASHpb] = ACTIONS(3373),
    [anon_sym_BSLASH] = ACTIONS(3373),
    [sym_milestoneStartTag] = ACTIONS(3373),
    [sym_milestoneEndTag] = ACTIONS(3373),
    [sym_zSpaceTag] = ACTIONS(3373),
    [anon_sym_BSLASHesbe] = ACTIONS(3373),
    [anon_sym_BSLASHcat] = ACTIONS(3373),
  },
  [326] = {
    [sym_text] = STATE(717),
    [sym_ref] = STATE(329),
    [sym__comments] = STATE(329),
    [sym_sts] = STATE(329),
    [sym_rem] = STATE(329),
    [sym_restore] = STATE(329),
    [sym_lit] = STATE(329),
    [sym_verseText] = STATE(329),
    [sym_v] = STATE(329),
    [sym__verseMeta] = STATE(329),
    [sym_va] = STATE(329),
    [sym_vp] = STATE(329),
    [sym__paragraphContent] = STATE(329),
    [sym__poetryContent] = STATE(329),
    [sym_qs] = STATE(329),
    [sym_qac] = STATE(329),
    [sym_footnote] = STATE(329),
    [sym_f] = STATE(1428),
    [sym_fe] = STATE(1428),
    [sym_ef] = STATE(1428),
    [sym_fm] = STATE(1428),
    [sym_crossref] = STATE(329),
    [sym_x] = STATE(1424),
    [sym_xt_standalone] = STATE(1424),
    [sym_rq] = STATE(1424),
    [sym_add] = STATE(717),
    [sym_bk] = STATE(717),
    [sym_dc] = STATE(717),
    [sym_k] = STATE(717),
    [sym_nd] = STATE(717),
    [sym_ord] = STATE(717),
    [sym_pn] = STATE(717),
    [sym_png] = STATE(717),
    [sym_addpn] = STATE(717),
    [sym_qt] = STATE(717),
    [sym_sig] = STATE(717),
    [sym_sls] = STATE(717),
    [sym_tl] = STATE(717),
    [sym_wj] = STATE(717),
    [sym_em] = STATE(717),
    [sym_bd] = STATE(717),
    [sym_it] = STATE(717),
    [sym_bdit] = STATE(717),
    [sym_no] = STATE(717),
    [sym_sc] = STATE(717),
    [sym_sup] = STATE(717),
    [sym_ndx] = STATE(717),
    [sym_pro] = STATE(717),
    [sym_rb] = STATE(717),
    [sym_w] = STATE(717),
    [sym_wg] = STATE(717),
    [sym_wh] = STATE(717),
    [sym_wa] = STATE(717),
    [sym__characterMarker] = STATE(717),
    [sym_fig] = STATE(717),
    [sym_jmp] = STATE(717),
    [sym_milestoneTag] = STATE(1976),
    [sym__milestoneStandaloneMarker] = STATE(1401),
    [sym__milestoneStart] = STATE(1401),
    [sym__milestoneEnd] = STATE(1401),
    [sym_milestone] = STATE(329),
    [sym__zNameSpaceRegular] = STATE(1402),
    [sym__zNameSpaceClosed] = STATE(1402),
    [sym__zNameSpaceStandaloneMarker] = STATE(1402),
    [sym_zNameSpace] = STATE(329),
    [aux_sym_verseText_repeat1] = STATE(717),
    [aux_sym_q_repeat1] = STATE(329),
    [aux_sym_text_token1] = ACTIONS(4133),
    [anon_sym_BSLASHref] = ACTIONS(4135),
    [anon_sym_BSLASHsts] = ACTIONS(4137),
    [anon_sym_BSLASHrem] = ACTIONS(4139),
    [anon_sym_BSLASHrestore] = ACTIONS(4141),
    [anon_sym_BSLASHlit] = ACTIONS(4143),
    [anon_sym_BSLASHv] = ACTIONS(4145),
    [anon_sym_BSLASHva] = ACTIONS(4147),
    [anon_sym_BSLASHvp] = ACTIONS(4149),
    [anon_sym_BSLASHqs] = ACTIONS(4151),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(4153),
    [anon_sym_BSLASHqac] = ACTIONS(4155),
    [anon_sym_BSLASHf] = ACTIONS(4157),
    [anon_sym_BSLASHfe] = ACTIONS(4159),
    [anon_sym_BSLASHef] = ACTIONS(4161),
    [anon_sym_BSLASHfm] = ACTIONS(4163),
    [anon_sym_BSLASHx] = ACTIONS(4165),
    [anon_sym_BSLASHxt] = ACTIONS(4167),
    [anon_sym_BSLASHrq] = ACTIONS(4169),
    [anon_sym_BSLASHadd] = ACTIONS(4171),
    [anon_sym_BSLASHbk] = ACTIONS(4173),
    [anon_sym_BSLASHdc] = ACTIONS(4175),
    [anon_sym_BSLASHk] = ACTIONS(4177),
    [anon_sym_BSLASHnd] = ACTIONS(4179),
    [anon_sym_BSLASHord] = ACTIONS(4181),
    [anon_sym_BSLASHpn] = ACTIONS(4183),
    [anon_sym_BSLASHpng] = ACTIONS(4185),
    [anon_sym_BSLASHaddpn] = ACTIONS(4187),
    [anon_sym_BSLASHqt] = ACTIONS(4189),
    [anon_sym_BSLASHsig] = ACTIONS(4191),
    [anon_sym_BSLASHsls] = ACTIONS(4193),
    [anon_sym_BSLASHtl] = ACTIONS(4195),
    [anon_sym_BSLASHwj] = ACTIONS(4197),
    [anon_sym_BSLASHem] = ACTIONS(4199),
    [anon_sym_BSLASHbd] = ACTIONS(4201),
    [anon_sym_BSLASHit] = ACTIONS(4203),
    [anon_sym_BSLASHbdit] = ACTIONS(4205),
    [anon_sym_BSLASHno] = ACTIONS(4207),
    [anon_sym_BSLASHsc] = ACTIONS(4209),
    [anon_sym_BSLASHsup] = ACTIONS(4211),
    [anon_sym_BSLASHndx] = ACTIONS(4213),
    [anon_sym_BSLASHpro] = ACTIONS(4215),
    [anon_sym_BSLASHrb] = ACTIONS(4217),
    [anon_sym_BSLASHw] = ACTIONS(4219),
    [anon_sym_BSLASHwg] = ACTIONS(4221),
    [anon_sym_BSLASHwh] = ACTIONS(4223),
    [anon_sym_BSLASHwa] = ACTIONS(4225),
    [anon_sym_BSLASHfig] = ACTIONS(4227),
    [anon_sym_BSLASHjmp] = ACTIONS(4229),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(4231),
    [sym_milestoneEndTag] = ACTIONS(4233),
    [sym_zSpaceTag] = ACTIONS(4235),
  },
  [327] = {
    [sym_text] = STATE(327),
    [sym_xt_standalone] = STATE(327),
    [sym_add] = STATE(327),
    [sym_bk] = STATE(327),
    [sym_dc] = STATE(327),
    [sym_k] = STATE(327),
    [sym_nd] = STATE(327),
    [sym_ord] = STATE(327),
    [sym_pn] = STATE(327),
    [sym_png] = STATE(327),
    [sym_addpn] = STATE(327),
    [sym_qt] = STATE(327),
    [sym_sig] = STATE(327),
    [sym_sls] = STATE(327),
    [sym_tl] = STATE(327),
    [sym_wj] = STATE(327),
    [sym_em] = STATE(327),
    [sym_bd] = STATE(327),
    [sym_it] = STATE(327),
    [sym_bdit] = STATE(327),
    [sym_no] = STATE(327),
    [sym_sc] = STATE(327),
    [sym_sup] = STATE(327),
    [sym_ndx] = STATE(327),
    [sym_pro] = STATE(327),
    [sym_rb] = STATE(327),
    [sym_w] = STATE(327),
    [sym_wg] = STATE(327),
    [sym_wh] = STATE(327),
    [sym_wa] = STATE(327),
    [sym__characterMarker] = STATE(327),
    [sym_fig] = STATE(327),
    [sym_jmp] = STATE(327),
    [aux_sym_cd_repeat1] = STATE(327),
    [ts_builtin_sym_end] = ACTIONS(4237),
    [aux_sym_text_token1] = ACTIONS(4239),
    [anon_sym_BSLASHsts] = ACTIONS(4242),
    [anon_sym_BSLASHrem] = ACTIONS(4242),
    [anon_sym_BSLASHrestore] = ACTIONS(4242),
    [anon_sym_BSLASHlit] = ACTIONS(4242),
    [anon_sym_BSLASHip] = ACTIONS(4242),
    [anon_sym_BSLASHiex] = ACTIONS(4242),
    [anon_sym_BSLASHc] = ACTIONS(4242),
    [anon_sym_BSLASHcl] = ACTIONS(4242),
    [anon_sym_BSLASHca] = ACTIONS(4242),
    [anon_sym_BSLASHcp] = ACTIONS(4242),
    [anon_sym_BSLASHcd] = ACTIONS(4242),
    [anon_sym_BSLASHmte] = ACTIONS(4242),
    [anon_sym_BSLASHms] = ACTIONS(4242),
    [anon_sym_BSLASHs] = ACTIONS(4242),
    [anon_sym_BSLASHr] = ACTIONS(4242),
    [anon_sym_BSLASHsp] = ACTIONS(4242),
    [anon_sym_BSLASHd] = ACTIONS(4242),
    [anon_sym_BSLASHsd] = ACTIONS(4242),
    [anon_sym_BSLASHp] = ACTIONS(4242),
    [anon_sym_BSLASHm] = ACTIONS(4242),
    [anon_sym_BSLASHpo] = ACTIONS(4242),
    [anon_sym_BSLASHpr] = ACTIONS(4242),
    [anon_sym_BSLASHcls] = ACTIONS(4242),
    [anon_sym_BSLASHpmo] = ACTIONS(4242),
    [anon_sym_BSLASHpm] = ACTIONS(4242),
    [anon_sym_BSLASHpmc] = ACTIONS(4242),
    [anon_sym_BSLASHpmr] = ACTIONS(4242),
    [anon_sym_BSLASHpi] = ACTIONS(4242),
    [anon_sym_BSLASHmi] = ACTIONS(4242),
    [anon_sym_BSLASHnb] = ACTIONS(4242),
    [anon_sym_BSLASHpc] = ACTIONS(4242),
    [anon_sym_BSLASHph] = ACTIONS(4242),
    [anon_sym_BSLASHb] = ACTIONS(4242),
    [anon_sym_BSLASHq] = ACTIONS(4242),
    [anon_sym_BSLASHqr] = ACTIONS(4242),
    [anon_sym_BSLASHqc] = ACTIONS(4242),
    [anon_sym_BSLASHqa] = ACTIONS(4242),
    [anon_sym_BSLASHqm] = ACTIONS(4242),
    [anon_sym_BSLASHqd] = ACTIONS(4242),
    [anon_sym_BSLASHlh] = ACTIONS(4242),
    [anon_sym_BSLASHli] = ACTIONS(4242),
    [anon_sym_BSLASHlim] = ACTIONS(4242),
    [anon_sym_BSLASHtr] = ACTIONS(4242),
    [anon_sym_BSLASHf] = ACTIONS(4242),
    [anon_sym_BSLASHfe] = ACTIONS(4242),
    [anon_sym_BSLASHef] = ACTIONS(4242),
    [anon_sym_BSLASHfm] = ACTIONS(4242),
    [anon_sym_BSLASHxt] = ACTIONS(4244),
    [anon_sym_BSLASHadd] = ACTIONS(4247),
    [anon_sym_BSLASHbk] = ACTIONS(4250),
    [anon_sym_BSLASHdc] = ACTIONS(4253),
    [anon_sym_BSLASHk] = ACTIONS(4256),
    [anon_sym_BSLASHnd] = ACTIONS(4259),
    [anon_sym_BSLASHord] = ACTIONS(4262),
    [anon_sym_BSLASHpn] = ACTIONS(4265),
    [anon_sym_BSLASHpng] = ACTIONS(4268),
    [anon_sym_BSLASHaddpn] = ACTIONS(4271),
    [anon_sym_BSLASHqt] = ACTIONS(4274),
    [anon_sym_BSLASHsig] = ACTIONS(4277),
    [anon_sym_BSLASHsls] = ACTIONS(4280),
    [anon_sym_BSLASHtl] = ACTIONS(4283),
    [anon_sym_BSLASHwj] = ACTIONS(4286),
    [anon_sym_BSLASHem] = ACTIONS(4289),
    [anon_sym_BSLASHbd] = ACTIONS(4292),
    [anon_sym_BSLASHit] = ACTIONS(4295),
    [anon_sym_BSLASHbdit] = ACTIONS(4298),
    [anon_sym_BSLASHno] = ACTIONS(4301),
    [anon_sym_BSLASHsc] = ACTIONS(4304),
    [anon_sym_BSLASHsup] = ACTIONS(4307),
    [anon_sym_BSLASHndx] = ACTIONS(4310),
    [anon_sym_BSLASHpro] = ACTIONS(4313),
    [anon_sym_BSLASHrb] = ACTIONS(4316),
    [anon_sym_BSLASHw] = ACTIONS(4319),
    [anon_sym_BSLASHwg] = ACTIONS(4322),
    [anon_sym_BSLASHwh] = ACTIONS(4325),
    [anon_sym_BSLASHwa] = ACTIONS(4328),
    [anon_sym_BSLASHfig] = ACTIONS(4331),
    [anon_sym_BSLASHjmp] = ACTIONS(4334),
    [anon_sym_BSLASHpb] = ACTIONS(4242),
    [anon_sym_BSLASH] = ACTIONS(4242),
    [sym_milestoneStartTag] = ACTIONS(4242),
    [sym_milestoneEndTag] = ACTIONS(4242),
    [sym_zSpaceTag] = ACTIONS(4242),
    [anon_sym_BSLASHesb] = ACTIONS(4242),
  },
  [328] = {
    [sym_text] = STATE(717),
    [sym_ref] = STATE(328),
    [sym__comments] = STATE(328),
    [sym_sts] = STATE(328),
    [sym_rem] = STATE(328),
    [sym_restore] = STATE(328),
    [sym_lit] = STATE(328),
    [sym_verseText] = STATE(328),
    [sym_v] = STATE(328),
    [sym__verseMeta] = STATE(328),
    [sym_va] = STATE(328),
    [sym_vp] = STATE(328),
    [sym__paragraphContent] = STATE(328),
    [sym__poetryContent] = STATE(328),
    [sym_qs] = STATE(328),
    [sym_qac] = STATE(328),
    [sym_footnote] = STATE(328),
    [sym_f] = STATE(1428),
    [sym_fe] = STATE(1428),
    [sym_ef] = STATE(1428),
    [sym_fm] = STATE(1428),
    [sym_crossref] = STATE(328),
    [sym_x] = STATE(1424),
    [sym_xt_standalone] = STATE(1424),
    [sym_rq] = STATE(1424),
    [sym_add] = STATE(717),
    [sym_bk] = STATE(717),
    [sym_dc] = STATE(717),
    [sym_k] = STATE(717),
    [sym_nd] = STATE(717),
    [sym_ord] = STATE(717),
    [sym_pn] = STATE(717),
    [sym_png] = STATE(717),
    [sym_addpn] = STATE(717),
    [sym_qt] = STATE(717),
    [sym_sig] = STATE(717),
    [sym_sls] = STATE(717),
    [sym_tl] = STATE(717),
    [sym_wj] = STATE(717),
    [sym_em] = STATE(717),
    [sym_bd] = STATE(717),
    [sym_it] = STATE(717),
    [sym_bdit] = STATE(717),
    [sym_no] = STATE(717),
    [sym_sc] = STATE(717),
    [sym_sup] = STATE(717),
    [sym_ndx] = STATE(717),
    [sym_pro] = STATE(717),
    [sym_rb] = STATE(717),
    [sym_w] = STATE(717),
    [sym_wg] = STATE(717),
    [sym_wh] = STATE(717),
    [sym_wa] = STATE(717),
    [sym__characterMarker] = STATE(717),
    [sym_fig] = STATE(717),
    [sym_jmp] = STATE(717),
    [sym_milestoneTag] = STATE(1976),
    [sym__milestoneStandaloneMarker] = STATE(1401),
    [sym__milestoneStart] = STATE(1401),
    [sym__milestoneEnd] = STATE(1401),
    [sym_milestone] = STATE(328),
    [sym__zNameSpaceRegular] = STATE(1402),
    [sym__zNameSpaceClosed] = STATE(1402),
    [sym__zNameSpaceStandaloneMarker] = STATE(1402),
    [sym_zNameSpace] = STATE(328),
    [aux_sym_verseText_repeat1] = STATE(717),
    [aux_sym_q_repeat1] = STATE(328),
    [aux_sym_text_token1] = ACTIONS(4337),
    [anon_sym_BSLASHref] = ACTIONS(4340),
    [anon_sym_BSLASHsts] = ACTIONS(4343),
    [anon_sym_BSLASHrem] = ACTIONS(4346),
    [anon_sym_BSLASHrestore] = ACTIONS(4349),
    [anon_sym_BSLASHlit] = ACTIONS(4352),
    [anon_sym_BSLASHv] = ACTIONS(4355),
    [anon_sym_BSLASHva] = ACTIONS(4358),
    [anon_sym_BSLASHvp] = ACTIONS(4361),
    [anon_sym_BSLASHqs] = ACTIONS(4364),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(668),
    [anon_sym_BSLASHqac] = ACTIONS(4367),
    [anon_sym_BSLASHf] = ACTIONS(4370),
    [anon_sym_BSLASHfe] = ACTIONS(4373),
    [anon_sym_BSLASHef] = ACTIONS(4376),
    [anon_sym_BSLASHfm] = ACTIONS(4379),
    [anon_sym_BSLASHx] = ACTIONS(4382),
    [anon_sym_BSLASHxt] = ACTIONS(4385),
    [anon_sym_BSLASHrq] = ACTIONS(4388),
    [anon_sym_BSLASHadd] = ACTIONS(4391),
    [anon_sym_BSLASHbk] = ACTIONS(4394),
    [anon_sym_BSLASHdc] = ACTIONS(4397),
    [anon_sym_BSLASHk] = ACTIONS(4400),
    [anon_sym_BSLASHnd] = ACTIONS(4403),
    [anon_sym_BSLASHord] = ACTIONS(4406),
    [anon_sym_BSLASHpn] = ACTIONS(4409),
    [anon_sym_BSLASHpng] = ACTIONS(4412),
    [anon_sym_BSLASHaddpn] = ACTIONS(4415),
    [anon_sym_BSLASHqt] = ACTIONS(4418),
    [anon_sym_BSLASHsig] = ACTIONS(4421),
    [anon_sym_BSLASHsls] = ACTIONS(4424),
    [anon_sym_BSLASHtl] = ACTIONS(4427),
    [anon_sym_BSLASHwj] = ACTIONS(4430),
    [anon_sym_BSLASHem] = ACTIONS(4433),
    [anon_sym_BSLASHbd] = ACTIONS(4436),
    [anon_sym_BSLASHit] = ACTIONS(4439),
    [anon_sym_BSLASHbdit] = ACTIONS(4442),
    [anon_sym_BSLASHno] = ACTIONS(4445),
    [anon_sym_BSLASHsc] = ACTIONS(4448),
    [anon_sym_BSLASHsup] = ACTIONS(4451),
    [anon_sym_BSLASHndx] = ACTIONS(4454),
    [anon_sym_BSLASHpro] = ACTIONS(4457),
    [anon_sym_BSLASHrb] = ACTIONS(4460),
    [anon_sym_BSLASHw] = ACTIONS(4463),
    [anon_sym_BSLASHwg] = ACTIONS(4466),
    [anon_sym_BSLASHwh] = ACTIONS(4469),
    [anon_sym_BSLASHwa] = ACTIONS(4472),
    [anon_sym_BSLASHfig] = ACTIONS(4475),
    [anon_sym_BSLASHjmp] = ACTIONS(4478),
    [anon_sym_BSLASH] = ACTIONS(796),
    [sym_milestoneStartTag] = ACTIONS(4481),
    [sym_milestoneEndTag] = ACTIONS(4484),
    [sym_zSpaceTag] = ACTIONS(4487),
  },
  [329] = {
    [sym_text] = STATE(717),
    [sym_ref] = STATE(328),
    [sym__comments] = STATE(328),
    [sym_sts] = STATE(328),
    [sym_rem] = STATE(328),
    [sym_restore] = STATE(328),
    [sym_lit] = STATE(328),
    [sym_verseText] = STATE(328),
    [sym_v] = STATE(328),
    [sym__verseMeta] = STATE(328),
    [sym_va] = STATE(328),
    [sym_vp] = STATE(328),
    [sym__paragraphContent] = STATE(328),
    [sym__poetryContent] = STATE(328),
    [sym_qs] = STATE(328),
    [sym_qac] = STATE(328),
    [sym_footnote] = STATE(328),
    [sym_f] = STATE(1428),
    [sym_fe] = STATE(1428),
    [sym_ef] = STATE(1428),
    [sym_fm] = STATE(1428),
    [sym_crossref] = STATE(328),
    [sym_x] = STATE(1424),
    [sym_xt_standalone] = STATE(1424),
    [sym_rq] = STATE(1424),
    [sym_add] = STATE(717),
    [sym_bk] = STATE(717),
    [sym_dc] = STATE(717),
    [sym_k] = STATE(717),
    [sym_nd] = STATE(717),
    [sym_ord] = STATE(717),
    [sym_pn] = STATE(717),
    [sym_png] = STATE(717),
    [sym_addpn] = STATE(717),
    [sym_qt] = STATE(717),
    [sym_sig] = STATE(717),
    [sym_sls] = STATE(717),
    [sym_tl] = STATE(717),
    [sym_wj] = STATE(717),
    [sym_em] = STATE(717),
    [sym_bd] = STATE(717),
    [sym_it] = STATE(717),
    [sym_bdit] = STATE(717),
    [sym_no] = STATE(717),
    [sym_sc] = STATE(717),
    [sym_sup] = STATE(717),
    [sym_ndx] = STATE(717),
    [sym_pro] = STATE(717),
    [sym_rb] = STATE(717),
    [sym_w] = STATE(717),
    [sym_wg] = STATE(717),
    [sym_wh] = STATE(717),
    [sym_wa] = STATE(717),
    [sym__characterMarker] = STATE(717),
    [sym_fig] = STATE(717),
    [sym_jmp] = STATE(717),
    [sym_milestoneTag] = STATE(1976),
    [sym__milestoneStandaloneMarker] = STATE(1401),
    [sym__milestoneStart] = STATE(1401),
    [sym__milestoneEnd] = STATE(1401),
    [sym_milestone] = STATE(328),
    [sym__zNameSpaceRegular] = STATE(1402),
    [sym__zNameSpaceClosed] = STATE(1402),
    [sym__zNameSpaceStandaloneMarker] = STATE(1402),
    [sym_zNameSpace] = STATE(328),
    [aux_sym_verseText_repeat1] = STATE(717),
    [aux_sym_q_repeat1] = STATE(328),
    [aux_sym_text_token1] = ACTIONS(4133),
    [anon_sym_BSLASHref] = ACTIONS(4135),
    [anon_sym_BSLASHsts] = ACTIONS(4137),
    [anon_sym_BSLASHrem] = ACTIONS(4139),
    [anon_sym_BSLASHrestore] = ACTIONS(4141),
    [anon_sym_BSLASHlit] = ACTIONS(4143),
    [anon_sym_BSLASHv] = ACTIONS(4145),
    [anon_sym_BSLASHva] = ACTIONS(4147),
    [anon_sym_BSLASHvp] = ACTIONS(4149),
    [anon_sym_BSLASHqs] = ACTIONS(4151),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(4490),
    [anon_sym_BSLASHqac] = ACTIONS(4155),
    [anon_sym_BSLASHf] = ACTIONS(4157),
    [anon_sym_BSLASHfe] = ACTIONS(4159),
    [anon_sym_BSLASHef] = ACTIONS(4161),
    [anon_sym_BSLASHfm] = ACTIONS(4163),
    [anon_sym_BSLASHx] = ACTIONS(4165),
    [anon_sym_BSLASHxt] = ACTIONS(4167),
    [anon_sym_BSLASHrq] = ACTIONS(4169),
    [anon_sym_BSLASHadd] = ACTIONS(4171),
    [anon_sym_BSLASHbk] = ACTIONS(4173),
    [anon_sym_BSLASHdc] = ACTIONS(4175),
    [anon_sym_BSLASHk] = ACTIONS(4177),
    [anon_sym_BSLASHnd] = ACTIONS(4179),
    [anon_sym_BSLASHord] = ACTIONS(4181),
    [anon_sym_BSLASHpn] = ACTIONS(4183),
    [anon_sym_BSLASHpng] = ACTIONS(4185),
    [anon_sym_BSLASHaddpn] = ACTIONS(4187),
    [anon_sym_BSLASHqt] = ACTIONS(4189),
    [anon_sym_BSLASHsig] = ACTIONS(4191),
    [anon_sym_BSLASHsls] = ACTIONS(4193),
    [anon_sym_BSLASHtl] = ACTIONS(4195),
    [anon_sym_BSLASHwj] = ACTIONS(4197),
    [anon_sym_BSLASHem] = ACTIONS(4199),
    [anon_sym_BSLASHbd] = ACTIONS(4201),
    [anon_sym_BSLASHit] = ACTIONS(4203),
    [anon_sym_BSLASHbdit] = ACTIONS(4205),
    [anon_sym_BSLASHno] = ACTIONS(4207),
    [anon_sym_BSLASHsc] = ACTIONS(4209),
    [anon_sym_BSLASHsup] = ACTIONS(4211),
    [anon_sym_BSLASHndx] = ACTIONS(4213),
    [anon_sym_BSLASHpro] = ACTIONS(4215),
    [anon_sym_BSLASHrb] = ACTIONS(4217),
    [anon_sym_BSLASHw] = ACTIONS(4219),
    [anon_sym_BSLASHwg] = ACTIONS(4221),
    [anon_sym_BSLASHwh] = ACTIONS(4223),
    [anon_sym_BSLASHwa] = ACTIONS(4225),
    [anon_sym_BSLASHfig] = ACTIONS(4227),
    [anon_sym_BSLASHjmp] = ACTIONS(4229),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(4231),
    [sym_milestoneEndTag] = ACTIONS(4233),
    [sym_zSpaceTag] = ACTIONS(4235),
  },
  [330] = {
    [sym_text] = STATE(717),
    [sym_ref] = STATE(331),
    [sym__comments] = STATE(331),
    [sym_sts] = STATE(331),
    [sym_rem] = STATE(331),
    [sym_restore] = STATE(331),
    [sym_lit] = STATE(331),
    [sym_verseText] = STATE(331),
    [sym_v] = STATE(331),
    [sym__verseMeta] = STATE(331),
    [sym_va] = STATE(331),
    [sym_vp] = STATE(331),
    [sym__paragraphContent] = STATE(331),
    [sym__poetryContent] = STATE(331),
    [sym_qs] = STATE(331),
    [sym_qac] = STATE(331),
    [sym_footnote] = STATE(331),
    [sym_f] = STATE(1428),
    [sym_fe] = STATE(1428),
    [sym_ef] = STATE(1428),
    [sym_fm] = STATE(1428),
    [sym_crossref] = STATE(331),
    [sym_x] = STATE(1424),
    [sym_xt_standalone] = STATE(1424),
    [sym_rq] = STATE(1424),
    [sym_add] = STATE(717),
    [sym_bk] = STATE(717),
    [sym_dc] = STATE(717),
    [sym_k] = STATE(717),
    [sym_nd] = STATE(717),
    [sym_ord] = STATE(717),
    [sym_pn] = STATE(717),
    [sym_png] = STATE(717),
    [sym_addpn] = STATE(717),
    [sym_qt] = STATE(717),
    [sym_sig] = STATE(717),
    [sym_sls] = STATE(717),
    [sym_tl] = STATE(717),
    [sym_wj] = STATE(717),
    [sym_em] = STATE(717),
    [sym_bd] = STATE(717),
    [sym_it] = STATE(717),
    [sym_bdit] = STATE(717),
    [sym_no] = STATE(717),
    [sym_sc] = STATE(717),
    [sym_sup] = STATE(717),
    [sym_ndx] = STATE(717),
    [sym_pro] = STATE(717),
    [sym_rb] = STATE(717),
    [sym_w] = STATE(717),
    [sym_wg] = STATE(717),
    [sym_wh] = STATE(717),
    [sym_wa] = STATE(717),
    [sym__characterMarker] = STATE(717),
    [sym_fig] = STATE(717),
    [sym_jmp] = STATE(717),
    [sym_milestoneTag] = STATE(1976),
    [sym__milestoneStandaloneMarker] = STATE(1401),
    [sym__milestoneStart] = STATE(1401),
    [sym__milestoneEnd] = STATE(1401),
    [sym_milestone] = STATE(331),
    [sym__zNameSpaceRegular] = STATE(1402),
    [sym__zNameSpaceClosed] = STATE(1402),
    [sym__zNameSpaceStandaloneMarker] = STATE(1402),
    [sym_zNameSpace] = STATE(331),
    [aux_sym_verseText_repeat1] = STATE(717),
    [aux_sym_q_repeat1] = STATE(331),
    [aux_sym_text_token1] = ACTIONS(4133),
    [anon_sym_BSLASHref] = ACTIONS(4135),
    [anon_sym_BSLASHsts] = ACTIONS(4137),
    [anon_sym_BSLASHrem] = ACTIONS(4139),
    [anon_sym_BSLASHrestore] = ACTIONS(4141),
    [anon_sym_BSLASHlit] = ACTIONS(4143),
    [anon_sym_BSLASHv] = ACTIONS(4145),
    [anon_sym_BSLASHva] = ACTIONS(4147),
    [anon_sym_BSLASHvp] = ACTIONS(4149),
    [anon_sym_BSLASHqs] = ACTIONS(4151),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(4492),
    [anon_sym_BSLASHqac] = ACTIONS(4155),
    [anon_sym_BSLASHf] = ACTIONS(4157),
    [anon_sym_BSLASHfe] = ACTIONS(4159),
    [anon_sym_BSLASHef] = ACTIONS(4161),
    [anon_sym_BSLASHfm] = ACTIONS(4163),
    [anon_sym_BSLASHx] = ACTIONS(4165),
    [anon_sym_BSLASHxt] = ACTIONS(4167),
    [anon_sym_BSLASHrq] = ACTIONS(4169),
    [anon_sym_BSLASHadd] = ACTIONS(4171),
    [anon_sym_BSLASHbk] = ACTIONS(4173),
    [anon_sym_BSLASHdc] = ACTIONS(4175),
    [anon_sym_BSLASHk] = ACTIONS(4177),
    [anon_sym_BSLASHnd] = ACTIONS(4179),
    [anon_sym_BSLASHord] = ACTIONS(4181),
    [anon_sym_BSLASHpn] = ACTIONS(4183),
    [anon_sym_BSLASHpng] = ACTIONS(4185),
    [anon_sym_BSLASHaddpn] = ACTIONS(4187),
    [anon_sym_BSLASHqt] = ACTIONS(4189),
    [anon_sym_BSLASHsig] = ACTIONS(4191),
    [anon_sym_BSLASHsls] = ACTIONS(4193),
    [anon_sym_BSLASHtl] = ACTIONS(4195),
    [anon_sym_BSLASHwj] = ACTIONS(4197),
    [anon_sym_BSLASHem] = ACTIONS(4199),
    [anon_sym_BSLASHbd] = ACTIONS(4201),
    [anon_sym_BSLASHit] = ACTIONS(4203),
    [anon_sym_BSLASHbdit] = ACTIONS(4205),
    [anon_sym_BSLASHno] = ACTIONS(4207),
    [anon_sym_BSLASHsc] = ACTIONS(4209),
    [anon_sym_BSLASHsup] = ACTIONS(4211),
    [anon_sym_BSLASHndx] = ACTIONS(4213),
    [anon_sym_BSLASHpro] = ACTIONS(4215),
    [anon_sym_BSLASHrb] = ACTIONS(4217),
    [anon_sym_BSLASHw] = ACTIONS(4219),
    [anon_sym_BSLASHwg] = ACTIONS(4221),
    [anon_sym_BSLASHwh] = ACTIONS(4223),
    [anon_sym_BSLASHwa] = ACTIONS(4225),
    [anon_sym_BSLASHfig] = ACTIONS(4227),
    [anon_sym_BSLASHjmp] = ACTIONS(4229),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(4231),
    [sym_milestoneEndTag] = ACTIONS(4233),
    [sym_zSpaceTag] = ACTIONS(4235),
  },
  [331] = {
    [sym_text] = STATE(717),
    [sym_ref] = STATE(328),
    [sym__comments] = STATE(328),
    [sym_sts] = STATE(328),
    [sym_rem] = STATE(328),
    [sym_restore] = STATE(328),
    [sym_lit] = STATE(328),
    [sym_verseText] = STATE(328),
    [sym_v] = STATE(328),
    [sym__verseMeta] = STATE(328),
    [sym_va] = STATE(328),
    [sym_vp] = STATE(328),
    [sym__paragraphContent] = STATE(328),
    [sym__poetryContent] = STATE(328),
    [sym_qs] = STATE(328),
    [sym_qac] = STATE(328),
    [sym_footnote] = STATE(328),
    [sym_f] = STATE(1428),
    [sym_fe] = STATE(1428),
    [sym_ef] = STATE(1428),
    [sym_fm] = STATE(1428),
    [sym_crossref] = STATE(328),
    [sym_x] = STATE(1424),
    [sym_xt_standalone] = STATE(1424),
    [sym_rq] = STATE(1424),
    [sym_add] = STATE(717),
    [sym_bk] = STATE(717),
    [sym_dc] = STATE(717),
    [sym_k] = STATE(717),
    [sym_nd] = STATE(717),
    [sym_ord] = STATE(717),
    [sym_pn] = STATE(717),
    [sym_png] = STATE(717),
    [sym_addpn] = STATE(717),
    [sym_qt] = STATE(717),
    [sym_sig] = STATE(717),
    [sym_sls] = STATE(717),
    [sym_tl] = STATE(717),
    [sym_wj] = STATE(717),
    [sym_em] = STATE(717),
    [sym_bd] = STATE(717),
    [sym_it] = STATE(717),
    [sym_bdit] = STATE(717),
    [sym_no] = STATE(717),
    [sym_sc] = STATE(717),
    [sym_sup] = STATE(717),
    [sym_ndx] = STATE(717),
    [sym_pro] = STATE(717),
    [sym_rb] = STATE(717),
    [sym_w] = STATE(717),
    [sym_wg] = STATE(717),
    [sym_wh] = STATE(717),
    [sym_wa] = STATE(717),
    [sym__characterMarker] = STATE(717),
    [sym_fig] = STATE(717),
    [sym_jmp] = STATE(717),
    [sym_milestoneTag] = STATE(1976),
    [sym__milestoneStandaloneMarker] = STATE(1401),
    [sym__milestoneStart] = STATE(1401),
    [sym__milestoneEnd] = STATE(1401),
    [sym_milestone] = STATE(328),
    [sym__zNameSpaceRegular] = STATE(1402),
    [sym__zNameSpaceClosed] = STATE(1402),
    [sym__zNameSpaceStandaloneMarker] = STATE(1402),
    [sym_zNameSpace] = STATE(328),
    [aux_sym_verseText_repeat1] = STATE(717),
    [aux_sym_q_repeat1] = STATE(328),
    [aux_sym_text_token1] = ACTIONS(4133),
    [anon_sym_BSLASHref] = ACTIONS(4135),
    [anon_sym_BSLASHsts] = ACTIONS(4137),
    [anon_sym_BSLASHrem] = ACTIONS(4139),
    [anon_sym_BSLASHrestore] = ACTIONS(4141),
    [anon_sym_BSLASHlit] = ACTIONS(4143),
    [anon_sym_BSLASHv] = ACTIONS(4145),
    [anon_sym_BSLASHva] = ACTIONS(4147),
    [anon_sym_BSLASHvp] = ACTIONS(4149),
    [anon_sym_BSLASHqs] = ACTIONS(4151),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(4494),
    [anon_sym_BSLASHqac] = ACTIONS(4155),
    [anon_sym_BSLASHf] = ACTIONS(4157),
    [anon_sym_BSLASHfe] = ACTIONS(4159),
    [anon_sym_BSLASHef] = ACTIONS(4161),
    [anon_sym_BSLASHfm] = ACTIONS(4163),
    [anon_sym_BSLASHx] = ACTIONS(4165),
    [anon_sym_BSLASHxt] = ACTIONS(4167),
    [anon_sym_BSLASHrq] = ACTIONS(4169),
    [anon_sym_BSLASHadd] = ACTIONS(4171),
    [anon_sym_BSLASHbk] = ACTIONS(4173),
    [anon_sym_BSLASHdc] = ACTIONS(4175),
    [anon_sym_BSLASHk] = ACTIONS(4177),
    [anon_sym_BSLASHnd] = ACTIONS(4179),
    [anon_sym_BSLASHord] = ACTIONS(4181),
    [anon_sym_BSLASHpn] = ACTIONS(4183),
    [anon_sym_BSLASHpng] = ACTIONS(4185),
    [anon_sym_BSLASHaddpn] = ACTIONS(4187),
    [anon_sym_BSLASHqt] = ACTIONS(4189),
    [anon_sym_BSLASHsig] = ACTIONS(4191),
    [anon_sym_BSLASHsls] = ACTIONS(4193),
    [anon_sym_BSLASHtl] = ACTIONS(4195),
    [anon_sym_BSLASHwj] = ACTIONS(4197),
    [anon_sym_BSLASHem] = ACTIONS(4199),
    [anon_sym_BSLASHbd] = ACTIONS(4201),
    [anon_sym_BSLASHit] = ACTIONS(4203),
    [anon_sym_BSLASHbdit] = ACTIONS(4205),
    [anon_sym_BSLASHno] = ACTIONS(4207),
    [anon_sym_BSLASHsc] = ACTIONS(4209),
    [anon_sym_BSLASHsup] = ACTIONS(4211),
    [anon_sym_BSLASHndx] = ACTIONS(4213),
    [anon_sym_BSLASHpro] = ACTIONS(4215),
    [anon_sym_BSLASHrb] = ACTIONS(4217),
    [anon_sym_BSLASHw] = ACTIONS(4219),
    [anon_sym_BSLASHwg] = ACTIONS(4221),
    [anon_sym_BSLASHwh] = ACTIONS(4223),
    [anon_sym_BSLASHwa] = ACTIONS(4225),
    [anon_sym_BSLASHfig] = ACTIONS(4227),
    [anon_sym_BSLASHjmp] = ACTIONS(4229),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(4231),
    [sym_milestoneEndTag] = ACTIONS(4233),
    [sym_zSpaceTag] = ACTIONS(4235),
  },
  [332] = {
    [sym_text] = STATE(327),
    [sym_xt_standalone] = STATE(327),
    [sym_add] = STATE(327),
    [sym_bk] = STATE(327),
    [sym_dc] = STATE(327),
    [sym_k] = STATE(327),
    [sym_nd] = STATE(327),
    [sym_ord] = STATE(327),
    [sym_pn] = STATE(327),
    [sym_png] = STATE(327),
    [sym_addpn] = STATE(327),
    [sym_qt] = STATE(327),
    [sym_sig] = STATE(327),
    [sym_sls] = STATE(327),
    [sym_tl] = STATE(327),
    [sym_wj] = STATE(327),
    [sym_em] = STATE(327),
    [sym_bd] = STATE(327),
    [sym_it] = STATE(327),
    [sym_bdit] = STATE(327),
    [sym_no] = STATE(327),
    [sym_sc] = STATE(327),
    [sym_sup] = STATE(327),
    [sym_ndx] = STATE(327),
    [sym_pro] = STATE(327),
    [sym_rb] = STATE(327),
    [sym_w] = STATE(327),
    [sym_wg] = STATE(327),
    [sym_wh] = STATE(327),
    [sym_wa] = STATE(327),
    [sym__characterMarker] = STATE(327),
    [sym_fig] = STATE(327),
    [sym_jmp] = STATE(327),
    [aux_sym_cd_repeat1] = STATE(327),
    [ts_builtin_sym_end] = ACTIONS(4496),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHsts] = ACTIONS(4498),
    [anon_sym_BSLASHrem] = ACTIONS(4498),
    [anon_sym_BSLASHrestore] = ACTIONS(4498),
    [anon_sym_BSLASHlit] = ACTIONS(4498),
    [anon_sym_BSLASHip] = ACTIONS(4498),
    [anon_sym_BSLASHiex] = ACTIONS(4498),
    [anon_sym_BSLASHc] = ACTIONS(4498),
    [anon_sym_BSLASHcl] = ACTIONS(4498),
    [anon_sym_BSLASHca] = ACTIONS(4498),
    [anon_sym_BSLASHcp] = ACTIONS(4498),
    [anon_sym_BSLASHcd] = ACTIONS(4498),
    [anon_sym_BSLASHmte] = ACTIONS(4498),
    [anon_sym_BSLASHms] = ACTIONS(4498),
    [anon_sym_BSLASHs] = ACTIONS(4498),
    [anon_sym_BSLASHr] = ACTIONS(4498),
    [anon_sym_BSLASHsp] = ACTIONS(4498),
    [anon_sym_BSLASHd] = ACTIONS(4498),
    [anon_sym_BSLASHsd] = ACTIONS(4498),
    [anon_sym_BSLASHp] = ACTIONS(4498),
    [anon_sym_BSLASHm] = ACTIONS(4498),
    [anon_sym_BSLASHpo] = ACTIONS(4498),
    [anon_sym_BSLASHpr] = ACTIONS(4498),
    [anon_sym_BSLASHcls] = ACTIONS(4498),
    [anon_sym_BSLASHpmo] = ACTIONS(4498),
    [anon_sym_BSLASHpm] = ACTIONS(4498),
    [anon_sym_BSLASHpmc] = ACTIONS(4498),
    [anon_sym_BSLASHpmr] = ACTIONS(4498),
    [anon_sym_BSLASHpi] = ACTIONS(4498),
    [anon_sym_BSLASHmi] = ACTIONS(4498),
    [anon_sym_BSLASHnb] = ACTIONS(4498),
    [anon_sym_BSLASHpc] = ACTIONS(4498),
    [anon_sym_BSLASHph] = ACTIONS(4498),
    [anon_sym_BSLASHb] = ACTIONS(4498),
    [anon_sym_BSLASHq] = ACTIONS(4498),
    [anon_sym_BSLASHqr] = ACTIONS(4498),
    [anon_sym_BSLASHqc] = ACTIONS(4498),
    [anon_sym_BSLASHqa] = ACTIONS(4498),
    [anon_sym_BSLASHqm] = ACTIONS(4498),
    [anon_sym_BSLASHqd] = ACTIONS(4498),
    [anon_sym_BSLASHlh] = ACTIONS(4498),
    [anon_sym_BSLASHli] = ACTIONS(4498),
    [anon_sym_BSLASHlim] = ACTIONS(4498),
    [anon_sym_BSLASHtr] = ACTIONS(4498),
    [anon_sym_BSLASHf] = ACTIONS(4498),
    [anon_sym_BSLASHfe] = ACTIONS(4498),
    [anon_sym_BSLASHef] = ACTIONS(4498),
    [anon_sym_BSLASHfm] = ACTIONS(4498),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
    [anon_sym_BSLASHpb] = ACTIONS(4498),
    [anon_sym_BSLASH] = ACTIONS(4498),
    [sym_milestoneStartTag] = ACTIONS(4498),
    [sym_milestoneEndTag] = ACTIONS(4498),
    [sym_zSpaceTag] = ACTIONS(4498),
    [anon_sym_BSLASHesb] = ACTIONS(4498),
  },
  [333] = {
    [sym_text] = STATE(717),
    [sym_ref] = STATE(334),
    [sym__comments] = STATE(334),
    [sym_sts] = STATE(334),
    [sym_rem] = STATE(334),
    [sym_restore] = STATE(334),
    [sym_lit] = STATE(334),
    [sym_verseText] = STATE(334),
    [sym_v] = STATE(334),
    [sym__verseMeta] = STATE(334),
    [sym_va] = STATE(334),
    [sym_vp] = STATE(334),
    [sym__paragraphContent] = STATE(334),
    [sym__poetryContent] = STATE(334),
    [sym_qs] = STATE(334),
    [sym_qac] = STATE(334),
    [sym_footnote] = STATE(334),
    [sym_f] = STATE(1428),
    [sym_fe] = STATE(1428),
    [sym_ef] = STATE(1428),
    [sym_fm] = STATE(1428),
    [sym_crossref] = STATE(334),
    [sym_x] = STATE(1424),
    [sym_xt_standalone] = STATE(1424),
    [sym_rq] = STATE(1424),
    [sym_add] = STATE(717),
    [sym_bk] = STATE(717),
    [sym_dc] = STATE(717),
    [sym_k] = STATE(717),
    [sym_nd] = STATE(717),
    [sym_ord] = STATE(717),
    [sym_pn] = STATE(717),
    [sym_png] = STATE(717),
    [sym_addpn] = STATE(717),
    [sym_qt] = STATE(717),
    [sym_sig] = STATE(717),
    [sym_sls] = STATE(717),
    [sym_tl] = STATE(717),
    [sym_wj] = STATE(717),
    [sym_em] = STATE(717),
    [sym_bd] = STATE(717),
    [sym_it] = STATE(717),
    [sym_bdit] = STATE(717),
    [sym_no] = STATE(717),
    [sym_sc] = STATE(717),
    [sym_sup] = STATE(717),
    [sym_ndx] = STATE(717),
    [sym_pro] = STATE(717),
    [sym_rb] = STATE(717),
    [sym_w] = STATE(717),
    [sym_wg] = STATE(717),
    [sym_wh] = STATE(717),
    [sym_wa] = STATE(717),
    [sym__characterMarker] = STATE(717),
    [sym_fig] = STATE(717),
    [sym_jmp] = STATE(717),
    [sym_milestoneTag] = STATE(1976),
    [sym__milestoneStandaloneMarker] = STATE(1401),
    [sym__milestoneStart] = STATE(1401),
    [sym__milestoneEnd] = STATE(1401),
    [sym_milestone] = STATE(334),
    [sym__zNameSpaceRegular] = STATE(1402),
    [sym__zNameSpaceClosed] = STATE(1402),
    [sym__zNameSpaceStandaloneMarker] = STATE(1402),
    [sym_zNameSpace] = STATE(334),
    [aux_sym_verseText_repeat1] = STATE(717),
    [aux_sym_q_repeat1] = STATE(334),
    [aux_sym_text_token1] = ACTIONS(4133),
    [anon_sym_BSLASHref] = ACTIONS(4135),
    [anon_sym_BSLASHsts] = ACTIONS(4137),
    [anon_sym_BSLASHrem] = ACTIONS(4139),
    [anon_sym_BSLASHrestore] = ACTIONS(4141),
    [anon_sym_BSLASHlit] = ACTIONS(4143),
    [anon_sym_BSLASHv] = ACTIONS(4145),
    [anon_sym_BSLASHva] = ACTIONS(4147),
    [anon_sym_BSLASHvp] = ACTIONS(4149),
    [anon_sym_BSLASHqs] = ACTIONS(4151),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(4500),
    [anon_sym_BSLASHqac] = ACTIONS(4155),
    [anon_sym_BSLASHf] = ACTIONS(4157),
    [anon_sym_BSLASHfe] = ACTIONS(4159),
    [anon_sym_BSLASHef] = ACTIONS(4161),
    [anon_sym_BSLASHfm] = ACTIONS(4163),
    [anon_sym_BSLASHx] = ACTIONS(4165),
    [anon_sym_BSLASHxt] = ACTIONS(4167),
    [anon_sym_BSLASHrq] = ACTIONS(4169),
    [anon_sym_BSLASHadd] = ACTIONS(4171),
    [anon_sym_BSLASHbk] = ACTIONS(4173),
    [anon_sym_BSLASHdc] = ACTIONS(4175),
    [anon_sym_BSLASHk] = ACTIONS(4177),
    [anon_sym_BSLASHnd] = ACTIONS(4179),
    [anon_sym_BSLASHord] = ACTIONS(4181),
    [anon_sym_BSLASHpn] = ACTIONS(4183),
    [anon_sym_BSLASHpng] = ACTIONS(4185),
    [anon_sym_BSLASHaddpn] = ACTIONS(4187),
    [anon_sym_BSLASHqt] = ACTIONS(4189),
    [anon_sym_BSLASHsig] = ACTIONS(4191),
    [anon_sym_BSLASHsls] = ACTIONS(4193),
    [anon_sym_BSLASHtl] = ACTIONS(4195),
    [anon_sym_BSLASHwj] = ACTIONS(4197),
    [anon_sym_BSLASHem] = ACTIONS(4199),
    [anon_sym_BSLASHbd] = ACTIONS(4201),
    [anon_sym_BSLASHit] = ACTIONS(4203),
    [anon_sym_BSLASHbdit] = ACTIONS(4205),
    [anon_sym_BSLASHno] = ACTIONS(4207),
    [anon_sym_BSLASHsc] = ACTIONS(4209),
    [anon_sym_BSLASHsup] = ACTIONS(4211),
    [anon_sym_BSLASHndx] = ACTIONS(4213),
    [anon_sym_BSLASHpro] = ACTIONS(4215),
    [anon_sym_BSLASHrb] = ACTIONS(4217),
    [anon_sym_BSLASHw] = ACTIONS(4219),
    [anon_sym_BSLASHwg] = ACTIONS(4221),
    [anon_sym_BSLASHwh] = ACTIONS(4223),
    [anon_sym_BSLASHwa] = ACTIONS(4225),
    [anon_sym_BSLASHfig] = ACTIONS(4227),
    [anon_sym_BSLASHjmp] = ACTIONS(4229),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(4231),
    [sym_milestoneEndTag] = ACTIONS(4233),
    [sym_zSpaceTag] = ACTIONS(4235),
  },
  [334] = {
    [sym_text] = STATE(717),
    [sym_ref] = STATE(328),
    [sym__comments] = STATE(328),
    [sym_sts] = STATE(328),
    [sym_rem] = STATE(328),
    [sym_restore] = STATE(328),
    [sym_lit] = STATE(328),
    [sym_verseText] = STATE(328),
    [sym_v] = STATE(328),
    [sym__verseMeta] = STATE(328),
    [sym_va] = STATE(328),
    [sym_vp] = STATE(328),
    [sym__paragraphContent] = STATE(328),
    [sym__poetryContent] = STATE(328),
    [sym_qs] = STATE(328),
    [sym_qac] = STATE(328),
    [sym_footnote] = STATE(328),
    [sym_f] = STATE(1428),
    [sym_fe] = STATE(1428),
    [sym_ef] = STATE(1428),
    [sym_fm] = STATE(1428),
    [sym_crossref] = STATE(328),
    [sym_x] = STATE(1424),
    [sym_xt_standalone] = STATE(1424),
    [sym_rq] = STATE(1424),
    [sym_add] = STATE(717),
    [sym_bk] = STATE(717),
    [sym_dc] = STATE(717),
    [sym_k] = STATE(717),
    [sym_nd] = STATE(717),
    [sym_ord] = STATE(717),
    [sym_pn] = STATE(717),
    [sym_png] = STATE(717),
    [sym_addpn] = STATE(717),
    [sym_qt] = STATE(717),
    [sym_sig] = STATE(717),
    [sym_sls] = STATE(717),
    [sym_tl] = STATE(717),
    [sym_wj] = STATE(717),
    [sym_em] = STATE(717),
    [sym_bd] = STATE(717),
    [sym_it] = STATE(717),
    [sym_bdit] = STATE(717),
    [sym_no] = STATE(717),
    [sym_sc] = STATE(717),
    [sym_sup] = STATE(717),
    [sym_ndx] = STATE(717),
    [sym_pro] = STATE(717),
    [sym_rb] = STATE(717),
    [sym_w] = STATE(717),
    [sym_wg] = STATE(717),
    [sym_wh] = STATE(717),
    [sym_wa] = STATE(717),
    [sym__characterMarker] = STATE(717),
    [sym_fig] = STATE(717),
    [sym_jmp] = STATE(717),
    [sym_milestoneTag] = STATE(1976),
    [sym__milestoneStandaloneMarker] = STATE(1401),
    [sym__milestoneStart] = STATE(1401),
    [sym__milestoneEnd] = STATE(1401),
    [sym_milestone] = STATE(328),
    [sym__zNameSpaceRegular] = STATE(1402),
    [sym__zNameSpaceClosed] = STATE(1402),
    [sym__zNameSpaceStandaloneMarker] = STATE(1402),
    [sym_zNameSpace] = STATE(328),
    [aux_sym_verseText_repeat1] = STATE(717),
    [aux_sym_q_repeat1] = STATE(328),
    [aux_sym_text_token1] = ACTIONS(4133),
    [anon_sym_BSLASHref] = ACTIONS(4135),
    [anon_sym_BSLASHsts] = ACTIONS(4137),
    [anon_sym_BSLASHrem] = ACTIONS(4139),
    [anon_sym_BSLASHrestore] = ACTIONS(4141),
    [anon_sym_BSLASHlit] = ACTIONS(4143),
    [anon_sym_BSLASHv] = ACTIONS(4145),
    [anon_sym_BSLASHva] = ACTIONS(4147),
    [anon_sym_BSLASHvp] = ACTIONS(4149),
    [anon_sym_BSLASHqs] = ACTIONS(4151),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(4502),
    [anon_sym_BSLASHqac] = ACTIONS(4155),
    [anon_sym_BSLASHf] = ACTIONS(4157),
    [anon_sym_BSLASHfe] = ACTIONS(4159),
    [anon_sym_BSLASHef] = ACTIONS(4161),
    [anon_sym_BSLASHfm] = ACTIONS(4163),
    [anon_sym_BSLASHx] = ACTIONS(4165),
    [anon_sym_BSLASHxt] = ACTIONS(4167),
    [anon_sym_BSLASHrq] = ACTIONS(4169),
    [anon_sym_BSLASHadd] = ACTIONS(4171),
    [anon_sym_BSLASHbk] = ACTIONS(4173),
    [anon_sym_BSLASHdc] = ACTIONS(4175),
    [anon_sym_BSLASHk] = ACTIONS(4177),
    [anon_sym_BSLASHnd] = ACTIONS(4179),
    [anon_sym_BSLASHord] = ACTIONS(4181),
    [anon_sym_BSLASHpn] = ACTIONS(4183),
    [anon_sym_BSLASHpng] = ACTIONS(4185),
    [anon_sym_BSLASHaddpn] = ACTIONS(4187),
    [anon_sym_BSLASHqt] = ACTIONS(4189),
    [anon_sym_BSLASHsig] = ACTIONS(4191),
    [anon_sym_BSLASHsls] = ACTIONS(4193),
    [anon_sym_BSLASHtl] = ACTIONS(4195),
    [anon_sym_BSLASHwj] = ACTIONS(4197),
    [anon_sym_BSLASHem] = ACTIONS(4199),
    [anon_sym_BSLASHbd] = ACTIONS(4201),
    [anon_sym_BSLASHit] = ACTIONS(4203),
    [anon_sym_BSLASHbdit] = ACTIONS(4205),
    [anon_sym_BSLASHno] = ACTIONS(4207),
    [anon_sym_BSLASHsc] = ACTIONS(4209),
    [anon_sym_BSLASHsup] = ACTIONS(4211),
    [anon_sym_BSLASHndx] = ACTIONS(4213),
    [anon_sym_BSLASHpro] = ACTIONS(4215),
    [anon_sym_BSLASHrb] = ACTIONS(4217),
    [anon_sym_BSLASHw] = ACTIONS(4219),
    [anon_sym_BSLASHwg] = ACTIONS(4221),
    [anon_sym_BSLASHwh] = ACTIONS(4223),
    [anon_sym_BSLASHwa] = ACTIONS(4225),
    [anon_sym_BSLASHfig] = ACTIONS(4227),
    [anon_sym_BSLASHjmp] = ACTIONS(4229),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(4231),
    [sym_milestoneEndTag] = ACTIONS(4233),
    [sym_zSpaceTag] = ACTIONS(4235),
  },
  [335] = {
    [sym_text] = STATE(335),
    [sym_ref] = STATE(335),
    [aux_sym__introText] = STATE(335),
    [sym_iqt] = STATE(335),
    [sym_xt_standalone] = STATE(335),
    [sym_add] = STATE(335),
    [sym_bk] = STATE(335),
    [sym_dc] = STATE(335),
    [sym_k] = STATE(335),
    [sym_nd] = STATE(335),
    [sym_ord] = STATE(335),
    [sym_pn] = STATE(335),
    [sym_png] = STATE(335),
    [sym_addpn] = STATE(335),
    [sym_qt] = STATE(335),
    [sym_sig] = STATE(335),
    [sym_sls] = STATE(335),
    [sym_tl] = STATE(335),
    [sym_wj] = STATE(335),
    [sym_em] = STATE(335),
    [sym_bd] = STATE(335),
    [sym_it] = STATE(335),
    [sym_bdit] = STATE(335),
    [sym_no] = STATE(335),
    [sym_sc] = STATE(335),
    [sym_sup] = STATE(335),
    [sym_ndx] = STATE(335),
    [sym_pro] = STATE(335),
    [sym_rb] = STATE(335),
    [sym_w] = STATE(335),
    [sym_wg] = STATE(335),
    [sym_wh] = STATE(335),
    [sym_wa] = STATE(335),
    [sym__characterMarker] = STATE(335),
    [sym_fig] = STATE(335),
    [sym_jmp] = STATE(335),
    [aux_sym_text_token1] = ACTIONS(4504),
    [anon_sym_BSLASHref] = ACTIONS(4507),
    [anon_sym_BSLASHsts] = ACTIONS(3783),
    [anon_sym_BSLASHrem] = ACTIONS(3783),
    [anon_sym_BSLASHrestore] = ACTIONS(3783),
    [anon_sym_BSLASHlit] = ACTIONS(3783),
    [anon_sym_BSLASHiqt] = ACTIONS(4510),
    [anon_sym_BSLASHip] = ACTIONS(3783),
    [anon_sym_BSLASHmte] = ACTIONS(3783),
    [anon_sym_BSLASHms] = ACTIONS(3783),
    [anon_sym_BSLASHs] = ACTIONS(3783),
    [anon_sym_BSLASHr] = ACTIONS(3783),
    [anon_sym_BSLASHsp] = ACTIONS(3783),
    [anon_sym_BSLASHd] = ACTIONS(3783),
    [anon_sym_BSLASHsd] = ACTIONS(3783),
    [anon_sym_BSLASHp] = ACTIONS(3783),
    [anon_sym_BSLASHm] = ACTIONS(3783),
    [anon_sym_BSLASHpo] = ACTIONS(3783),
    [anon_sym_BSLASHpr] = ACTIONS(3783),
    [anon_sym_BSLASHcls] = ACTIONS(3783),
    [anon_sym_BSLASHpmo] = ACTIONS(3783),
    [anon_sym_BSLASHpm] = ACTIONS(3783),
    [anon_sym_BSLASHpmc] = ACTIONS(3783),
    [anon_sym_BSLASHpmr] = ACTIONS(3783),
    [anon_sym_BSLASHpi] = ACTIONS(3783),
    [anon_sym_BSLASHmi] = ACTIONS(3783),
    [anon_sym_BSLASHnb] = ACTIONS(3783),
    [anon_sym_BSLASHpc] = ACTIONS(3783),
    [anon_sym_BSLASHph] = ACTIONS(3783),
    [anon_sym_BSLASHb] = ACTIONS(3783),
    [anon_sym_BSLASHq] = ACTIONS(3783),
    [anon_sym_BSLASHqr] = ACTIONS(3783),
    [anon_sym_BSLASHqc] = ACTIONS(3783),
    [anon_sym_BSLASHqa] = ACTIONS(3783),
    [anon_sym_BSLASHqm] = ACTIONS(3783),
    [anon_sym_BSLASHqd] = ACTIONS(3783),
    [anon_sym_BSLASHlh] = ACTIONS(3783),
    [anon_sym_BSLASHli] = ACTIONS(3783),
    [anon_sym_BSLASHlim] = ACTIONS(3783),
    [anon_sym_BSLASHtr] = ACTIONS(3783),
    [anon_sym_BSLASHf] = ACTIONS(3783),
    [anon_sym_BSLASHfe] = ACTIONS(3783),
    [anon_sym_BSLASHef] = ACTIONS(3783),
    [anon_sym_BSLASHfm] = ACTIONS(3783),
    [anon_sym_BSLASHxt] = ACTIONS(4513),
    [anon_sym_BSLASHadd] = ACTIONS(4516),
    [anon_sym_BSLASHbk] = ACTIONS(4519),
    [anon_sym_BSLASHdc] = ACTIONS(4522),
    [anon_sym_BSLASHk] = ACTIONS(4525),
    [anon_sym_BSLASHnd] = ACTIONS(4528),
    [anon_sym_BSLASHord] = ACTIONS(4531),
    [anon_sym_BSLASHpn] = ACTIONS(4534),
    [anon_sym_BSLASHpng] = ACTIONS(4537),
    [anon_sym_BSLASHaddpn] = ACTIONS(4540),
    [anon_sym_BSLASHqt] = ACTIONS(4543),
    [anon_sym_BSLASHsig] = ACTIONS(4546),
    [anon_sym_BSLASHsls] = ACTIONS(4549),
    [anon_sym_BSLASHtl] = ACTIONS(4552),
    [anon_sym_BSLASHwj] = ACTIONS(4555),
    [anon_sym_BSLASHem] = ACTIONS(4558),
    [anon_sym_BSLASHbd] = ACTIONS(4561),
    [anon_sym_BSLASHit] = ACTIONS(4564),
    [anon_sym_BSLASHbdit] = ACTIONS(4567),
    [anon_sym_BSLASHno] = ACTIONS(4570),
    [anon_sym_BSLASHsc] = ACTIONS(4573),
    [anon_sym_BSLASHsup] = ACTIONS(4576),
    [anon_sym_BSLASHndx] = ACTIONS(4579),
    [anon_sym_BSLASHpro] = ACTIONS(4582),
    [anon_sym_BSLASHrb] = ACTIONS(4585),
    [anon_sym_BSLASHw] = ACTIONS(4588),
    [anon_sym_BSLASHwg] = ACTIONS(4591),
    [anon_sym_BSLASHwh] = ACTIONS(4594),
    [anon_sym_BSLASHwa] = ACTIONS(4597),
    [anon_sym_BSLASHfig] = ACTIONS(4600),
    [anon_sym_BSLASHjmp] = ACTIONS(4603),
    [anon_sym_BSLASHpb] = ACTIONS(3783),
    [anon_sym_BSLASH] = ACTIONS(3783),
    [sym_milestoneStartTag] = ACTIONS(3783),
    [sym_milestoneEndTag] = ACTIONS(3783),
    [sym_zSpaceTag] = ACTIONS(3783),
    [anon_sym_BSLASHesbe] = ACTIONS(3783),
    [anon_sym_BSLASHcat] = ACTIONS(3783),
  },
  [336] = {
    [sym_text] = STATE(335),
    [sym_ref] = STATE(335),
    [aux_sym__introText] = STATE(335),
    [sym_iqt] = STATE(335),
    [sym_xt_standalone] = STATE(335),
    [sym_add] = STATE(335),
    [sym_bk] = STATE(335),
    [sym_dc] = STATE(335),
    [sym_k] = STATE(335),
    [sym_nd] = STATE(335),
    [sym_ord] = STATE(335),
    [sym_pn] = STATE(335),
    [sym_png] = STATE(335),
    [sym_addpn] = STATE(335),
    [sym_qt] = STATE(335),
    [sym_sig] = STATE(335),
    [sym_sls] = STATE(335),
    [sym_tl] = STATE(335),
    [sym_wj] = STATE(335),
    [sym_em] = STATE(335),
    [sym_bd] = STATE(335),
    [sym_it] = STATE(335),
    [sym_bdit] = STATE(335),
    [sym_no] = STATE(335),
    [sym_sc] = STATE(335),
    [sym_sup] = STATE(335),
    [sym_ndx] = STATE(335),
    [sym_pro] = STATE(335),
    [sym_rb] = STATE(335),
    [sym_w] = STATE(335),
    [sym_wg] = STATE(335),
    [sym_wh] = STATE(335),
    [sym_wa] = STATE(335),
    [sym__characterMarker] = STATE(335),
    [sym_fig] = STATE(335),
    [sym_jmp] = STATE(335),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHsts] = ACTIONS(3771),
    [anon_sym_BSLASHrem] = ACTIONS(3771),
    [anon_sym_BSLASHrestore] = ACTIONS(3771),
    [anon_sym_BSLASHlit] = ACTIONS(3771),
    [anon_sym_BSLASHiqt] = ACTIONS(4606),
    [anon_sym_BSLASHip] = ACTIONS(3771),
    [anon_sym_BSLASHmte] = ACTIONS(3771),
    [anon_sym_BSLASHms] = ACTIONS(3771),
    [anon_sym_BSLASHs] = ACTIONS(3771),
    [anon_sym_BSLASHr] = ACTIONS(3771),
    [anon_sym_BSLASHsp] = ACTIONS(3771),
    [anon_sym_BSLASHd] = ACTIONS(3771),
    [anon_sym_BSLASHsd] = ACTIONS(3771),
    [anon_sym_BSLASHp] = ACTIONS(3771),
    [anon_sym_BSLASHm] = ACTIONS(3771),
    [anon_sym_BSLASHpo] = ACTIONS(3771),
    [anon_sym_BSLASHpr] = ACTIONS(3771),
    [anon_sym_BSLASHcls] = ACTIONS(3771),
    [anon_sym_BSLASHpmo] = ACTIONS(3771),
    [anon_sym_BSLASHpm] = ACTIONS(3771),
    [anon_sym_BSLASHpmc] = ACTIONS(3771),
    [anon_sym_BSLASHpmr] = ACTIONS(3771),
    [anon_sym_BSLASHpi] = ACTIONS(3771),
    [anon_sym_BSLASHmi] = ACTIONS(3771),
    [anon_sym_BSLASHnb] = ACTIONS(3771),
    [anon_sym_BSLASHpc] = ACTIONS(3771),
    [anon_sym_BSLASHph] = ACTIONS(3771),
    [anon_sym_BSLASHb] = ACTIONS(3771),
    [anon_sym_BSLASHq] = ACTIONS(3771),
    [anon_sym_BSLASHqr] = ACTIONS(3771),
    [anon_sym_BSLASHqc] = ACTIONS(3771),
    [anon_sym_BSLASHqa] = ACTIONS(3771),
    [anon_sym_BSLASHqm] = ACTIONS(3771),
    [anon_sym_BSLASHqd] = ACTIONS(3771),
    [anon_sym_BSLASHlh] = ACTIONS(3771),
    [anon_sym_BSLASHli] = ACTIONS(3771),
    [anon_sym_BSLASHlim] = ACTIONS(3771),
    [anon_sym_BSLASHtr] = ACTIONS(3771),
    [anon_sym_BSLASHf] = ACTIONS(3771),
    [anon_sym_BSLASHfe] = ACTIONS(3771),
    [anon_sym_BSLASHef] = ACTIONS(3771),
    [anon_sym_BSLASHfm] = ACTIONS(3771),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
    [anon_sym_BSLASHpb] = ACTIONS(3771),
    [anon_sym_BSLASH] = ACTIONS(3771),
    [sym_milestoneStartTag] = ACTIONS(3771),
    [sym_milestoneEndTag] = ACTIONS(3771),
    [sym_zSpaceTag] = ACTIONS(3771),
    [anon_sym_BSLASHesbe] = ACTIONS(3771),
    [anon_sym_BSLASHcat] = ACTIONS(3771),
  },
  [337] = {
    [sym_text] = STATE(723),
    [sym_ref] = STATE(337),
    [sym__comments] = STATE(337),
    [sym_sts] = STATE(337),
    [sym_rem] = STATE(337),
    [sym_restore] = STATE(337),
    [sym_lit] = STATE(337),
    [sym_verseText] = STATE(337),
    [sym_v] = STATE(337),
    [sym__verseMeta] = STATE(337),
    [sym_va] = STATE(337),
    [sym_vp] = STATE(337),
    [sym__paragraphContent] = STATE(337),
    [sym_footnote] = STATE(337),
    [sym_f] = STATE(1505),
    [sym_fe] = STATE(1505),
    [sym_ef] = STATE(1505),
    [sym_fm] = STATE(1505),
    [sym_crossref] = STATE(337),
    [sym_x] = STATE(1500),
    [sym_xt_standalone] = STATE(1500),
    [sym_rq] = STATE(1500),
    [sym_add] = STATE(723),
    [sym_bk] = STATE(723),
    [sym_dc] = STATE(723),
    [sym_k] = STATE(723),
    [sym_nd] = STATE(723),
    [sym_ord] = STATE(723),
    [sym_pn] = STATE(723),
    [sym_png] = STATE(723),
    [sym_addpn] = STATE(723),
    [sym_qt] = STATE(723),
    [sym_sig] = STATE(723),
    [sym_sls] = STATE(723),
    [sym_tl] = STATE(723),
    [sym_wj] = STATE(723),
    [sym_em] = STATE(723),
    [sym_bd] = STATE(723),
    [sym_it] = STATE(723),
    [sym_bdit] = STATE(723),
    [sym_no] = STATE(723),
    [sym_sc] = STATE(723),
    [sym_sup] = STATE(723),
    [sym_ndx] = STATE(723),
    [sym_pro] = STATE(723),
    [sym_rb] = STATE(723),
    [sym_w] = STATE(723),
    [sym_wg] = STATE(723),
    [sym_wh] = STATE(723),
    [sym_wa] = STATE(723),
    [sym__characterMarker] = STATE(723),
    [sym_fig] = STATE(723),
    [sym_jmp] = STATE(723),
    [sym_milestoneTag] = STATE(1963),
    [sym__milestoneStandaloneMarker] = STATE(1522),
    [sym__milestoneStart] = STATE(1522),
    [sym__milestoneEnd] = STATE(1522),
    [sym_milestone] = STATE(337),
    [sym__zNameSpaceRegular] = STATE(1515),
    [sym__zNameSpaceClosed] = STATE(1515),
    [sym__zNameSpaceStandaloneMarker] = STATE(1515),
    [sym_zNameSpace] = STATE(337),
    [aux_sym_verseText_repeat1] = STATE(723),
    [aux_sym_p_repeat1] = STATE(337),
    [aux_sym_text_token1] = ACTIONS(4608),
    [anon_sym_BSLASHref] = ACTIONS(4611),
    [anon_sym_BSLASHsts] = ACTIONS(4614),
    [anon_sym_BSLASHrem] = ACTIONS(4617),
    [anon_sym_BSLASHrestore] = ACTIONS(4620),
    [anon_sym_BSLASHlit] = ACTIONS(4623),
    [anon_sym_BSLASHv] = ACTIONS(4626),
    [anon_sym_BSLASHva] = ACTIONS(4629),
    [anon_sym_BSLASHvp] = ACTIONS(4632),
    [anon_sym_BSLASHli] = ACTIONS(1339),
    [anon_sym_BSLASHlim] = ACTIONS(1339),
    [anon_sym_BSLASHf] = ACTIONS(4635),
    [anon_sym_BSLASHfe] = ACTIONS(4638),
    [anon_sym_BSLASHef] = ACTIONS(4641),
    [anon_sym_BSLASHfm] = ACTIONS(4644),
    [anon_sym_BSLASHx] = ACTIONS(4647),
    [anon_sym_BSLASHxt] = ACTIONS(4650),
    [anon_sym_BSLASHrq] = ACTIONS(4653),
    [anon_sym_BSLASHadd] = ACTIONS(4656),
    [anon_sym_BSLASHbk] = ACTIONS(4659),
    [anon_sym_BSLASHdc] = ACTIONS(4662),
    [anon_sym_BSLASHk] = ACTIONS(4665),
    [anon_sym_BSLASHnd] = ACTIONS(4668),
    [anon_sym_BSLASHord] = ACTIONS(4671),
    [anon_sym_BSLASHpn] = ACTIONS(4674),
    [anon_sym_BSLASHpng] = ACTIONS(4677),
    [anon_sym_BSLASHaddpn] = ACTIONS(4680),
    [anon_sym_BSLASHqt] = ACTIONS(4683),
    [anon_sym_BSLASHsig] = ACTIONS(4686),
    [anon_sym_BSLASHsls] = ACTIONS(4689),
    [anon_sym_BSLASHtl] = ACTIONS(4692),
    [anon_sym_BSLASHwj] = ACTIONS(4695),
    [anon_sym_BSLASHem] = ACTIONS(4698),
    [anon_sym_BSLASHbd] = ACTIONS(4701),
    [anon_sym_BSLASHit] = ACTIONS(4704),
    [anon_sym_BSLASHbdit] = ACTIONS(4707),
    [anon_sym_BSLASHno] = ACTIONS(4710),
    [anon_sym_BSLASHsc] = ACTIONS(4713),
    [anon_sym_BSLASHsup] = ACTIONS(4716),
    [anon_sym_BSLASHndx] = ACTIONS(4719),
    [anon_sym_BSLASHpro] = ACTIONS(4722),
    [anon_sym_BSLASHrb] = ACTIONS(4725),
    [anon_sym_BSLASHw] = ACTIONS(4728),
    [anon_sym_BSLASHwg] = ACTIONS(4731),
    [anon_sym_BSLASHwh] = ACTIONS(4734),
    [anon_sym_BSLASHwa] = ACTIONS(4737),
    [anon_sym_BSLASHfig] = ACTIONS(4740),
    [anon_sym_BSLASHjmp] = ACTIONS(4743),
    [anon_sym_BSLASH] = ACTIONS(1461),
    [sym_milestoneStartTag] = ACTIONS(4746),
    [sym_milestoneEndTag] = ACTIONS(4749),
    [sym_zSpaceTag] = ACTIONS(4752),
  },
  [338] = {
    [sym_text] = STATE(340),
    [sym_add] = STATE(340),
    [sym_bk] = STATE(340),
    [sym_dc] = STATE(340),
    [sym_k] = STATE(340),
    [sym_nd] = STATE(340),
    [sym_ord] = STATE(340),
    [sym_pn] = STATE(340),
    [sym_png] = STATE(340),
    [sym_addpn] = STATE(340),
    [sym_qt] = STATE(340),
    [sym_sig] = STATE(340),
    [sym_sls] = STATE(340),
    [sym_tl] = STATE(340),
    [sym_wj] = STATE(340),
    [sym_em] = STATE(340),
    [sym_bd] = STATE(340),
    [sym_it] = STATE(340),
    [sym_bdit] = STATE(340),
    [sym_no] = STATE(340),
    [sym_sc] = STATE(340),
    [sym_sup] = STATE(340),
    [sym_ndx] = STATE(340),
    [sym_pro] = STATE(340),
    [sym_rb] = STATE(340),
    [sym_w] = STATE(340),
    [sym_wg] = STATE(340),
    [sym_wh] = STATE(340),
    [sym_wa] = STATE(340),
    [sym__characterMarker] = STATE(340),
    [sym_fig] = STATE(340),
    [sym_jmp] = STATE(340),
    [aux_sym_verseText_repeat1] = STATE(340),
    [aux_sym_text_token1] = ACTIONS(4755),
    [anon_sym_BSLASHsts] = ACTIONS(3467),
    [anon_sym_BSLASHrem] = ACTIONS(3467),
    [anon_sym_BSLASHrestore] = ACTIONS(3467),
    [anon_sym_BSLASHlit] = ACTIONS(3467),
    [anon_sym_BSLASHip] = ACTIONS(3467),
    [anon_sym_BSLASHmte] = ACTIONS(3467),
    [anon_sym_BSLASHms] = ACTIONS(3467),
    [anon_sym_BSLASHs] = ACTIONS(3467),
    [anon_sym_BSLASHr] = ACTIONS(3467),
    [anon_sym_BSLASHsp] = ACTIONS(3467),
    [anon_sym_BSLASHd] = ACTIONS(3467),
    [anon_sym_BSLASHsd] = ACTIONS(3467),
    [anon_sym_BSLASHp] = ACTIONS(3467),
    [anon_sym_BSLASHm] = ACTIONS(3467),
    [anon_sym_BSLASHpo] = ACTIONS(3467),
    [anon_sym_BSLASHpr] = ACTIONS(3467),
    [anon_sym_BSLASHcls] = ACTIONS(3467),
    [anon_sym_BSLASHpmo] = ACTIONS(3467),
    [anon_sym_BSLASHpm] = ACTIONS(3467),
    [anon_sym_BSLASHpmc] = ACTIONS(3467),
    [anon_sym_BSLASHpmr] = ACTIONS(3467),
    [anon_sym_BSLASHpi] = ACTIONS(3467),
    [anon_sym_BSLASHmi] = ACTIONS(3467),
    [anon_sym_BSLASHnb] = ACTIONS(3467),
    [anon_sym_BSLASHpc] = ACTIONS(3467),
    [anon_sym_BSLASHph] = ACTIONS(3467),
    [anon_sym_BSLASHb] = ACTIONS(3467),
    [anon_sym_BSLASHq] = ACTIONS(3467),
    [anon_sym_BSLASHqr] = ACTIONS(3467),
    [anon_sym_BSLASHqc] = ACTIONS(3467),
    [anon_sym_BSLASHqa] = ACTIONS(3467),
    [anon_sym_BSLASHqm] = ACTIONS(3467),
    [anon_sym_BSLASHqd] = ACTIONS(3467),
    [anon_sym_BSLASHlh] = ACTIONS(3467),
    [anon_sym_BSLASHli] = ACTIONS(3467),
    [anon_sym_BSLASHlim] = ACTIONS(3467),
    [anon_sym_BSLASHtr] = ACTIONS(3467),
    [sym_thTag] = ACTIONS(3467),
    [sym_thrTag] = ACTIONS(3467),
    [sym_tcTag] = ACTIONS(3467),
    [sym_tcrTag] = ACTIONS(3467),
    [anon_sym_BSLASHf] = ACTIONS(3467),
    [anon_sym_BSLASHfe] = ACTIONS(3467),
    [anon_sym_BSLASHef] = ACTIONS(3467),
    [anon_sym_BSLASHfm] = ACTIONS(3467),
    [anon_sym_BSLASHadd] = ACTIONS(4757),
    [anon_sym_BSLASHbk] = ACTIONS(4759),
    [anon_sym_BSLASHdc] = ACTIONS(4761),
    [anon_sym_BSLASHk] = ACTIONS(4763),
    [anon_sym_BSLASHnd] = ACTIONS(4765),
    [anon_sym_BSLASHord] = ACTIONS(4767),
    [anon_sym_BSLASHpn] = ACTIONS(4769),
    [anon_sym_BSLASHpng] = ACTIONS(4771),
    [anon_sym_BSLASHaddpn] = ACTIONS(4773),
    [anon_sym_BSLASHqt] = ACTIONS(4775),
    [anon_sym_BSLASHsig] = ACTIONS(4777),
    [anon_sym_BSLASHsls] = ACTIONS(4779),
    [anon_sym_BSLASHtl] = ACTIONS(4781),
    [anon_sym_BSLASHwj] = ACTIONS(4783),
    [anon_sym_BSLASHem] = ACTIONS(4785),
    [anon_sym_BSLASHbd] = ACTIONS(4787),
    [anon_sym_BSLASHit] = ACTIONS(4789),
    [anon_sym_BSLASHbdit] = ACTIONS(4791),
    [anon_sym_BSLASHno] = ACTIONS(4793),
    [anon_sym_BSLASHsc] = ACTIONS(4795),
    [anon_sym_BSLASHsup] = ACTIONS(4797),
    [anon_sym_BSLASHndx] = ACTIONS(4799),
    [anon_sym_BSLASHpro] = ACTIONS(4801),
    [anon_sym_BSLASHrb] = ACTIONS(4803),
    [anon_sym_BSLASHw] = ACTIONS(4805),
    [anon_sym_BSLASHwg] = ACTIONS(4807),
    [anon_sym_BSLASHwh] = ACTIONS(4809),
    [anon_sym_BSLASHwa] = ACTIONS(4811),
    [anon_sym_BSLASHfig] = ACTIONS(4813),
    [anon_sym_BSLASHjmp] = ACTIONS(4815),
    [anon_sym_BSLASHpb] = ACTIONS(3467),
    [anon_sym_BSLASH] = ACTIONS(3467),
    [sym_milestoneStartTag] = ACTIONS(3467),
    [sym_milestoneEndTag] = ACTIONS(3467),
    [sym_zSpaceTag] = ACTIONS(3467),
    [anon_sym_BSLASHesbe] = ACTIONS(3467),
    [anon_sym_BSLASHcat] = ACTIONS(3467),
  },
  [339] = {
    [sym_text] = STATE(723),
    [sym_ref] = STATE(341),
    [sym__comments] = STATE(341),
    [sym_sts] = STATE(341),
    [sym_rem] = STATE(341),
    [sym_restore] = STATE(341),
    [sym_lit] = STATE(341),
    [sym_verseText] = STATE(341),
    [sym_v] = STATE(341),
    [sym__verseMeta] = STATE(341),
    [sym_va] = STATE(341),
    [sym_vp] = STATE(341),
    [sym__paragraphContent] = STATE(341),
    [sym_footnote] = STATE(341),
    [sym_f] = STATE(1505),
    [sym_fe] = STATE(1505),
    [sym_ef] = STATE(1505),
    [sym_fm] = STATE(1505),
    [sym_crossref] = STATE(341),
    [sym_x] = STATE(1500),
    [sym_xt_standalone] = STATE(1500),
    [sym_rq] = STATE(1500),
    [sym_add] = STATE(723),
    [sym_bk] = STATE(723),
    [sym_dc] = STATE(723),
    [sym_k] = STATE(723),
    [sym_nd] = STATE(723),
    [sym_ord] = STATE(723),
    [sym_pn] = STATE(723),
    [sym_png] = STATE(723),
    [sym_addpn] = STATE(723),
    [sym_qt] = STATE(723),
    [sym_sig] = STATE(723),
    [sym_sls] = STATE(723),
    [sym_tl] = STATE(723),
    [sym_wj] = STATE(723),
    [sym_em] = STATE(723),
    [sym_bd] = STATE(723),
    [sym_it] = STATE(723),
    [sym_bdit] = STATE(723),
    [sym_no] = STATE(723),
    [sym_sc] = STATE(723),
    [sym_sup] = STATE(723),
    [sym_ndx] = STATE(723),
    [sym_pro] = STATE(723),
    [sym_rb] = STATE(723),
    [sym_w] = STATE(723),
    [sym_wg] = STATE(723),
    [sym_wh] = STATE(723),
    [sym_wa] = STATE(723),
    [sym__characterMarker] = STATE(723),
    [sym_fig] = STATE(723),
    [sym_jmp] = STATE(723),
    [sym_milestoneTag] = STATE(1963),
    [sym__milestoneStandaloneMarker] = STATE(1522),
    [sym__milestoneStart] = STATE(1522),
    [sym__milestoneEnd] = STATE(1522),
    [sym_milestone] = STATE(341),
    [sym__zNameSpaceRegular] = STATE(1515),
    [sym__zNameSpaceClosed] = STATE(1515),
    [sym__zNameSpaceStandaloneMarker] = STATE(1515),
    [sym_zNameSpace] = STATE(341),
    [aux_sym_verseText_repeat1] = STATE(723),
    [aux_sym_p_repeat1] = STATE(341),
    [aux_sym_text_token1] = ACTIONS(4817),
    [anon_sym_BSLASHref] = ACTIONS(4819),
    [anon_sym_BSLASHsts] = ACTIONS(4821),
    [anon_sym_BSLASHrem] = ACTIONS(4823),
    [anon_sym_BSLASHrestore] = ACTIONS(4825),
    [anon_sym_BSLASHlit] = ACTIONS(4827),
    [anon_sym_BSLASHv] = ACTIONS(4829),
    [anon_sym_BSLASHva] = ACTIONS(4831),
    [anon_sym_BSLASHvp] = ACTIONS(4833),
    [anon_sym_BSLASHli] = ACTIONS(4835),
    [anon_sym_BSLASHlim] = ACTIONS(4835),
    [anon_sym_BSLASHf] = ACTIONS(4837),
    [anon_sym_BSLASHfe] = ACTIONS(4839),
    [anon_sym_BSLASHef] = ACTIONS(4841),
    [anon_sym_BSLASHfm] = ACTIONS(4843),
    [anon_sym_BSLASHx] = ACTIONS(4845),
    [anon_sym_BSLASHxt] = ACTIONS(4847),
    [anon_sym_BSLASHrq] = ACTIONS(4849),
    [anon_sym_BSLASHadd] = ACTIONS(4851),
    [anon_sym_BSLASHbk] = ACTIONS(4853),
    [anon_sym_BSLASHdc] = ACTIONS(4855),
    [anon_sym_BSLASHk] = ACTIONS(4857),
    [anon_sym_BSLASHnd] = ACTIONS(4859),
    [anon_sym_BSLASHord] = ACTIONS(4861),
    [anon_sym_BSLASHpn] = ACTIONS(4863),
    [anon_sym_BSLASHpng] = ACTIONS(4865),
    [anon_sym_BSLASHaddpn] = ACTIONS(4867),
    [anon_sym_BSLASHqt] = ACTIONS(4869),
    [anon_sym_BSLASHsig] = ACTIONS(4871),
    [anon_sym_BSLASHsls] = ACTIONS(4873),
    [anon_sym_BSLASHtl] = ACTIONS(4875),
    [anon_sym_BSLASHwj] = ACTIONS(4877),
    [anon_sym_BSLASHem] = ACTIONS(4879),
    [anon_sym_BSLASHbd] = ACTIONS(4881),
    [anon_sym_BSLASHit] = ACTIONS(4883),
    [anon_sym_BSLASHbdit] = ACTIONS(4885),
    [anon_sym_BSLASHno] = ACTIONS(4887),
    [anon_sym_BSLASHsc] = ACTIONS(4889),
    [anon_sym_BSLASHsup] = ACTIONS(4891),
    [anon_sym_BSLASHndx] = ACTIONS(4893),
    [anon_sym_BSLASHpro] = ACTIONS(4895),
    [anon_sym_BSLASHrb] = ACTIONS(4897),
    [anon_sym_BSLASHw] = ACTIONS(4899),
    [anon_sym_BSLASHwg] = ACTIONS(4901),
    [anon_sym_BSLASHwh] = ACTIONS(4903),
    [anon_sym_BSLASHwa] = ACTIONS(4905),
    [anon_sym_BSLASHfig] = ACTIONS(4907),
    [anon_sym_BSLASHjmp] = ACTIONS(4909),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(4911),
    [sym_milestoneEndTag] = ACTIONS(4913),
    [sym_zSpaceTag] = ACTIONS(4915),
  },
  [340] = {
    [sym_text] = STATE(340),
    [sym_add] = STATE(340),
    [sym_bk] = STATE(340),
    [sym_dc] = STATE(340),
    [sym_k] = STATE(340),
    [sym_nd] = STATE(340),
    [sym_ord] = STATE(340),
    [sym_pn] = STATE(340),
    [sym_png] = STATE(340),
    [sym_addpn] = STATE(340),
    [sym_qt] = STATE(340),
    [sym_sig] = STATE(340),
    [sym_sls] = STATE(340),
    [sym_tl] = STATE(340),
    [sym_wj] = STATE(340),
    [sym_em] = STATE(340),
    [sym_bd] = STATE(340),
    [sym_it] = STATE(340),
    [sym_bdit] = STATE(340),
    [sym_no] = STATE(340),
    [sym_sc] = STATE(340),
    [sym_sup] = STATE(340),
    [sym_ndx] = STATE(340),
    [sym_pro] = STATE(340),
    [sym_rb] = STATE(340),
    [sym_w] = STATE(340),
    [sym_wg] = STATE(340),
    [sym_wh] = STATE(340),
    [sym_wa] = STATE(340),
    [sym__characterMarker] = STATE(340),
    [sym_fig] = STATE(340),
    [sym_jmp] = STATE(340),
    [aux_sym_verseText_repeat1] = STATE(340),
    [aux_sym_text_token1] = ACTIONS(4917),
    [anon_sym_BSLASHsts] = ACTIONS(3373),
    [anon_sym_BSLASHrem] = ACTIONS(3373),
    [anon_sym_BSLASHrestore] = ACTIONS(3373),
    [anon_sym_BSLASHlit] = ACTIONS(3373),
    [anon_sym_BSLASHip] = ACTIONS(3373),
    [anon_sym_BSLASHmte] = ACTIONS(3373),
    [anon_sym_BSLASHms] = ACTIONS(3373),
    [anon_sym_BSLASHs] = ACTIONS(3373),
    [anon_sym_BSLASHr] = ACTIONS(3373),
    [anon_sym_BSLASHsp] = ACTIONS(3373),
    [anon_sym_BSLASHd] = ACTIONS(3373),
    [anon_sym_BSLASHsd] = ACTIONS(3373),
    [anon_sym_BSLASHp] = ACTIONS(3373),
    [anon_sym_BSLASHm] = ACTIONS(3373),
    [anon_sym_BSLASHpo] = ACTIONS(3373),
    [anon_sym_BSLASHpr] = ACTIONS(3373),
    [anon_sym_BSLASHcls] = ACTIONS(3373),
    [anon_sym_BSLASHpmo] = ACTIONS(3373),
    [anon_sym_BSLASHpm] = ACTIONS(3373),
    [anon_sym_BSLASHpmc] = ACTIONS(3373),
    [anon_sym_BSLASHpmr] = ACTIONS(3373),
    [anon_sym_BSLASHpi] = ACTIONS(3373),
    [anon_sym_BSLASHmi] = ACTIONS(3373),
    [anon_sym_BSLASHnb] = ACTIONS(3373),
    [anon_sym_BSLASHpc] = ACTIONS(3373),
    [anon_sym_BSLASHph] = ACTIONS(3373),
    [anon_sym_BSLASHb] = ACTIONS(3373),
    [anon_sym_BSLASHq] = ACTIONS(3373),
    [anon_sym_BSLASHqr] = ACTIONS(3373),
    [anon_sym_BSLASHqc] = ACTIONS(3373),
    [anon_sym_BSLASHqa] = ACTIONS(3373),
    [anon_sym_BSLASHqm] = ACTIONS(3373),
    [anon_sym_BSLASHqd] = ACTIONS(3373),
    [anon_sym_BSLASHlh] = ACTIONS(3373),
    [anon_sym_BSLASHli] = ACTIONS(3373),
    [anon_sym_BSLASHlim] = ACTIONS(3373),
    [anon_sym_BSLASHtr] = ACTIONS(3373),
    [sym_thTag] = ACTIONS(3373),
    [sym_thrTag] = ACTIONS(3373),
    [sym_tcTag] = ACTIONS(3373),
    [sym_tcrTag] = ACTIONS(3373),
    [anon_sym_BSLASHf] = ACTIONS(3373),
    [anon_sym_BSLASHfe] = ACTIONS(3373),
    [anon_sym_BSLASHef] = ACTIONS(3373),
    [anon_sym_BSLASHfm] = ACTIONS(3373),
    [anon_sym_BSLASHadd] = ACTIONS(4920),
    [anon_sym_BSLASHbk] = ACTIONS(4923),
    [anon_sym_BSLASHdc] = ACTIONS(4926),
    [anon_sym_BSLASHk] = ACTIONS(4929),
    [anon_sym_BSLASHnd] = ACTIONS(4932),
    [anon_sym_BSLASHord] = ACTIONS(4935),
    [anon_sym_BSLASHpn] = ACTIONS(4938),
    [anon_sym_BSLASHpng] = ACTIONS(4941),
    [anon_sym_BSLASHaddpn] = ACTIONS(4944),
    [anon_sym_BSLASHqt] = ACTIONS(4947),
    [anon_sym_BSLASHsig] = ACTIONS(4950),
    [anon_sym_BSLASHsls] = ACTIONS(4953),
    [anon_sym_BSLASHtl] = ACTIONS(4956),
    [anon_sym_BSLASHwj] = ACTIONS(4959),
    [anon_sym_BSLASHem] = ACTIONS(4962),
    [anon_sym_BSLASHbd] = ACTIONS(4965),
    [anon_sym_BSLASHit] = ACTIONS(4968),
    [anon_sym_BSLASHbdit] = ACTIONS(4971),
    [anon_sym_BSLASHno] = ACTIONS(4974),
    [anon_sym_BSLASHsc] = ACTIONS(4977),
    [anon_sym_BSLASHsup] = ACTIONS(4980),
    [anon_sym_BSLASHndx] = ACTIONS(4983),
    [anon_sym_BSLASHpro] = ACTIONS(4986),
    [anon_sym_BSLASHrb] = ACTIONS(4989),
    [anon_sym_BSLASHw] = ACTIONS(4992),
    [anon_sym_BSLASHwg] = ACTIONS(4995),
    [anon_sym_BSLASHwh] = ACTIONS(4998),
    [anon_sym_BSLASHwa] = ACTIONS(5001),
    [anon_sym_BSLASHfig] = ACTIONS(5004),
    [anon_sym_BSLASHjmp] = ACTIONS(5007),
    [anon_sym_BSLASHpb] = ACTIONS(3373),
    [anon_sym_BSLASH] = ACTIONS(3373),
    [sym_milestoneStartTag] = ACTIONS(3373),
    [sym_milestoneEndTag] = ACTIONS(3373),
    [sym_zSpaceTag] = ACTIONS(3373),
    [anon_sym_BSLASHesbe] = ACTIONS(3373),
    [anon_sym_BSLASHcat] = ACTIONS(3373),
  },
  [341] = {
    [sym_text] = STATE(723),
    [sym_ref] = STATE(337),
    [sym__comments] = STATE(337),
    [sym_sts] = STATE(337),
    [sym_rem] = STATE(337),
    [sym_restore] = STATE(337),
    [sym_lit] = STATE(337),
    [sym_verseText] = STATE(337),
    [sym_v] = STATE(337),
    [sym__verseMeta] = STATE(337),
    [sym_va] = STATE(337),
    [sym_vp] = STATE(337),
    [sym__paragraphContent] = STATE(337),
    [sym_footnote] = STATE(337),
    [sym_f] = STATE(1505),
    [sym_fe] = STATE(1505),
    [sym_ef] = STATE(1505),
    [sym_fm] = STATE(1505),
    [sym_crossref] = STATE(337),
    [sym_x] = STATE(1500),
    [sym_xt_standalone] = STATE(1500),
    [sym_rq] = STATE(1500),
    [sym_add] = STATE(723),
    [sym_bk] = STATE(723),
    [sym_dc] = STATE(723),
    [sym_k] = STATE(723),
    [sym_nd] = STATE(723),
    [sym_ord] = STATE(723),
    [sym_pn] = STATE(723),
    [sym_png] = STATE(723),
    [sym_addpn] = STATE(723),
    [sym_qt] = STATE(723),
    [sym_sig] = STATE(723),
    [sym_sls] = STATE(723),
    [sym_tl] = STATE(723),
    [sym_wj] = STATE(723),
    [sym_em] = STATE(723),
    [sym_bd] = STATE(723),
    [sym_it] = STATE(723),
    [sym_bdit] = STATE(723),
    [sym_no] = STATE(723),
    [sym_sc] = STATE(723),
    [sym_sup] = STATE(723),
    [sym_ndx] = STATE(723),
    [sym_pro] = STATE(723),
    [sym_rb] = STATE(723),
    [sym_w] = STATE(723),
    [sym_wg] = STATE(723),
    [sym_wh] = STATE(723),
    [sym_wa] = STATE(723),
    [sym__characterMarker] = STATE(723),
    [sym_fig] = STATE(723),
    [sym_jmp] = STATE(723),
    [sym_milestoneTag] = STATE(1963),
    [sym__milestoneStandaloneMarker] = STATE(1522),
    [sym__milestoneStart] = STATE(1522),
    [sym__milestoneEnd] = STATE(1522),
    [sym_milestone] = STATE(337),
    [sym__zNameSpaceRegular] = STATE(1515),
    [sym__zNameSpaceClosed] = STATE(1515),
    [sym__zNameSpaceStandaloneMarker] = STATE(1515),
    [sym_zNameSpace] = STATE(337),
    [aux_sym_verseText_repeat1] = STATE(723),
    [aux_sym_p_repeat1] = STATE(337),
    [aux_sym_text_token1] = ACTIONS(4817),
    [anon_sym_BSLASHref] = ACTIONS(4819),
    [anon_sym_BSLASHsts] = ACTIONS(4821),
    [anon_sym_BSLASHrem] = ACTIONS(4823),
    [anon_sym_BSLASHrestore] = ACTIONS(4825),
    [anon_sym_BSLASHlit] = ACTIONS(4827),
    [anon_sym_BSLASHv] = ACTIONS(4829),
    [anon_sym_BSLASHva] = ACTIONS(4831),
    [anon_sym_BSLASHvp] = ACTIONS(4833),
    [anon_sym_BSLASHli] = ACTIONS(5010),
    [anon_sym_BSLASHlim] = ACTIONS(5010),
    [anon_sym_BSLASHf] = ACTIONS(4837),
    [anon_sym_BSLASHfe] = ACTIONS(4839),
    [anon_sym_BSLASHef] = ACTIONS(4841),
    [anon_sym_BSLASHfm] = ACTIONS(4843),
    [anon_sym_BSLASHx] = ACTIONS(4845),
    [anon_sym_BSLASHxt] = ACTIONS(4847),
    [anon_sym_BSLASHrq] = ACTIONS(4849),
    [anon_sym_BSLASHadd] = ACTIONS(4851),
    [anon_sym_BSLASHbk] = ACTIONS(4853),
    [anon_sym_BSLASHdc] = ACTIONS(4855),
    [anon_sym_BSLASHk] = ACTIONS(4857),
    [anon_sym_BSLASHnd] = ACTIONS(4859),
    [anon_sym_BSLASHord] = ACTIONS(4861),
    [anon_sym_BSLASHpn] = ACTIONS(4863),
    [anon_sym_BSLASHpng] = ACTIONS(4865),
    [anon_sym_BSLASHaddpn] = ACTIONS(4867),
    [anon_sym_BSLASHqt] = ACTIONS(4869),
    [anon_sym_BSLASHsig] = ACTIONS(4871),
    [anon_sym_BSLASHsls] = ACTIONS(4873),
    [anon_sym_BSLASHtl] = ACTIONS(4875),
    [anon_sym_BSLASHwj] = ACTIONS(4877),
    [anon_sym_BSLASHem] = ACTIONS(4879),
    [anon_sym_BSLASHbd] = ACTIONS(4881),
    [anon_sym_BSLASHit] = ACTIONS(4883),
    [anon_sym_BSLASHbdit] = ACTIONS(4885),
    [anon_sym_BSLASHno] = ACTIONS(4887),
    [anon_sym_BSLASHsc] = ACTIONS(4889),
    [anon_sym_BSLASHsup] = ACTIONS(4891),
    [anon_sym_BSLASHndx] = ACTIONS(4893),
    [anon_sym_BSLASHpro] = ACTIONS(4895),
    [anon_sym_BSLASHrb] = ACTIONS(4897),
    [anon_sym_BSLASHw] = ACTIONS(4899),
    [anon_sym_BSLASHwg] = ACTIONS(4901),
    [anon_sym_BSLASHwh] = ACTIONS(4903),
    [anon_sym_BSLASHwa] = ACTIONS(4905),
    [anon_sym_BSLASHfig] = ACTIONS(4907),
    [anon_sym_BSLASHjmp] = ACTIONS(4909),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(4911),
    [sym_milestoneEndTag] = ACTIONS(4913),
    [sym_zSpaceTag] = ACTIONS(4915),
  },
  [342] = {
    [sym_customAttribute] = STATE(343),
    [sym_defaultAttribute] = STATE(343),
    [sym_linkAttribute] = STATE(343),
    [sym__linkAttributeName] = STATE(2937),
    [sym__linkAttributeUserDefinedName] = STATE(2937),
    [aux_sym__attributesInCrossref_repeat1] = STATE(343),
    [aux_sym_text_token1] = ACTIONS(5012),
    [anon_sym_BSLASHref] = ACTIONS(5012),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5012),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5012),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5012),
    [anon_sym_BSLASHfr] = ACTIONS(5012),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5012),
    [anon_sym_BSLASHfq] = ACTIONS(5012),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5012),
    [anon_sym_BSLASHfqa] = ACTIONS(5012),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5012),
    [anon_sym_BSLASHfk] = ACTIONS(5012),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5012),
    [anon_sym_BSLASHfl] = ACTIONS(5012),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5012),
    [anon_sym_BSLASHfw] = ACTIONS(5012),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5012),
    [anon_sym_BSLASHfp] = ACTIONS(5012),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5012),
    [anon_sym_BSLASHft] = ACTIONS(5012),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5012),
    [anon_sym_BSLASHfdc] = ACTIONS(5012),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5012),
    [anon_sym_BSLASHfv] = ACTIONS(5012),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5012),
    [anon_sym_BSLASHxt] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5012),
    [anon_sym_BSLASHadd] = ACTIONS(5012),
    [anon_sym_BSLASHbk] = ACTIONS(5012),
    [anon_sym_BSLASHdc] = ACTIONS(5012),
    [anon_sym_BSLASHk] = ACTIONS(5012),
    [anon_sym_BSLASHnd] = ACTIONS(5012),
    [anon_sym_BSLASHord] = ACTIONS(5012),
    [anon_sym_BSLASHpn] = ACTIONS(5012),
    [anon_sym_BSLASHpng] = ACTIONS(5012),
    [anon_sym_BSLASHaddpn] = ACTIONS(5012),
    [anon_sym_BSLASHqt] = ACTIONS(5012),
    [anon_sym_BSLASHsig] = ACTIONS(5012),
    [anon_sym_BSLASHsls] = ACTIONS(5012),
    [anon_sym_BSLASHtl] = ACTIONS(5012),
    [anon_sym_BSLASHwj] = ACTIONS(5012),
    [anon_sym_BSLASHem] = ACTIONS(5012),
    [anon_sym_BSLASHbd] = ACTIONS(5012),
    [anon_sym_BSLASHit] = ACTIONS(5012),
    [anon_sym_BSLASHbdit] = ACTIONS(5012),
    [anon_sym_BSLASHno] = ACTIONS(5012),
    [anon_sym_BSLASHsc] = ACTIONS(5012),
    [anon_sym_BSLASHsup] = ACTIONS(5012),
    [anon_sym_BSLASHndx] = ACTIONS(5012),
    [anon_sym_BSLASHpro] = ACTIONS(5012),
    [anon_sym_BSLASHrb] = ACTIONS(5012),
    [anon_sym_BSLASHw] = ACTIONS(5012),
    [anon_sym_BSLASHwg] = ACTIONS(5012),
    [anon_sym_BSLASHwh] = ACTIONS(5012),
    [anon_sym_BSLASHwa] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5012),
    [anon_sym_BSLASHfig] = ACTIONS(5012),
    [anon_sym_BSLASHjmp] = ACTIONS(5012),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5012),
    [anon_sym_BSLASHcat] = ACTIONS(5012),
    [sym_customAttributeName] = ACTIONS(5014),
    [anon_sym_PIPE] = ACTIONS(5016),
    [anon_sym_link_DASHhref] = ACTIONS(5018),
    [anon_sym_link_DASHtitle] = ACTIONS(5018),
    [anon_sym_link_DASHid] = ACTIONS(5018),
    [anon_sym_href] = ACTIONS(5018),
    [anon_sym_title] = ACTIONS(5018),
    [anon_sym_id] = ACTIONS(5018),
    [anon_sym_x_DASH] = ACTIONS(5020),
  },
  [343] = {
    [sym_customAttribute] = STATE(343),
    [sym_defaultAttribute] = STATE(343),
    [sym_linkAttribute] = STATE(343),
    [sym__linkAttributeName] = STATE(2937),
    [sym__linkAttributeUserDefinedName] = STATE(2937),
    [aux_sym__attributesInCrossref_repeat1] = STATE(343),
    [aux_sym_text_token1] = ACTIONS(5022),
    [anon_sym_BSLASHref] = ACTIONS(5022),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5022),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5022),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5022),
    [anon_sym_BSLASHfr] = ACTIONS(5022),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5022),
    [anon_sym_BSLASHfq] = ACTIONS(5022),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5022),
    [anon_sym_BSLASHfqa] = ACTIONS(5022),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5022),
    [anon_sym_BSLASHfk] = ACTIONS(5022),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5022),
    [anon_sym_BSLASHfl] = ACTIONS(5022),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5022),
    [anon_sym_BSLASHfw] = ACTIONS(5022),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5022),
    [anon_sym_BSLASHfp] = ACTIONS(5022),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5022),
    [anon_sym_BSLASHft] = ACTIONS(5022),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5022),
    [anon_sym_BSLASHfdc] = ACTIONS(5022),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5022),
    [anon_sym_BSLASHfv] = ACTIONS(5022),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5022),
    [anon_sym_BSLASHxt] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5022),
    [anon_sym_BSLASHadd] = ACTIONS(5022),
    [anon_sym_BSLASHbk] = ACTIONS(5022),
    [anon_sym_BSLASHdc] = ACTIONS(5022),
    [anon_sym_BSLASHk] = ACTIONS(5022),
    [anon_sym_BSLASHnd] = ACTIONS(5022),
    [anon_sym_BSLASHord] = ACTIONS(5022),
    [anon_sym_BSLASHpn] = ACTIONS(5022),
    [anon_sym_BSLASHpng] = ACTIONS(5022),
    [anon_sym_BSLASHaddpn] = ACTIONS(5022),
    [anon_sym_BSLASHqt] = ACTIONS(5022),
    [anon_sym_BSLASHsig] = ACTIONS(5022),
    [anon_sym_BSLASHsls] = ACTIONS(5022),
    [anon_sym_BSLASHtl] = ACTIONS(5022),
    [anon_sym_BSLASHwj] = ACTIONS(5022),
    [anon_sym_BSLASHem] = ACTIONS(5022),
    [anon_sym_BSLASHbd] = ACTIONS(5022),
    [anon_sym_BSLASHit] = ACTIONS(5022),
    [anon_sym_BSLASHbdit] = ACTIONS(5022),
    [anon_sym_BSLASHno] = ACTIONS(5022),
    [anon_sym_BSLASHsc] = ACTIONS(5022),
    [anon_sym_BSLASHsup] = ACTIONS(5022),
    [anon_sym_BSLASHndx] = ACTIONS(5022),
    [anon_sym_BSLASHpro] = ACTIONS(5022),
    [anon_sym_BSLASHrb] = ACTIONS(5022),
    [anon_sym_BSLASHw] = ACTIONS(5022),
    [anon_sym_BSLASHwg] = ACTIONS(5022),
    [anon_sym_BSLASHwh] = ACTIONS(5022),
    [anon_sym_BSLASHwa] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5022),
    [anon_sym_BSLASHfig] = ACTIONS(5022),
    [anon_sym_BSLASHjmp] = ACTIONS(5022),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5022),
    [anon_sym_BSLASHcat] = ACTIONS(5022),
    [sym_customAttributeName] = ACTIONS(5024),
    [anon_sym_PIPE] = ACTIONS(5027),
    [anon_sym_link_DASHhref] = ACTIONS(5030),
    [anon_sym_link_DASHtitle] = ACTIONS(5030),
    [anon_sym_link_DASHid] = ACTIONS(5030),
    [anon_sym_href] = ACTIONS(5030),
    [anon_sym_title] = ACTIONS(5030),
    [anon_sym_id] = ACTIONS(5030),
    [anon_sym_x_DASH] = ACTIONS(5033),
  },
  [344] = {
    [sym_text] = STATE(347),
    [sym_ref] = STATE(347),
    [aux_sym__introText] = STATE(347),
    [sym_iqt] = STATE(347),
    [sym_ior] = STATE(1713),
    [sym_xt_standalone] = STATE(347),
    [sym_add] = STATE(347),
    [sym_bk] = STATE(347),
    [sym_dc] = STATE(347),
    [sym_k] = STATE(347),
    [sym_nd] = STATE(347),
    [sym_ord] = STATE(347),
    [sym_pn] = STATE(347),
    [sym_png] = STATE(347),
    [sym_addpn] = STATE(347),
    [sym_qt] = STATE(347),
    [sym_sig] = STATE(347),
    [sym_sls] = STATE(347),
    [sym_tl] = STATE(347),
    [sym_wj] = STATE(347),
    [sym_em] = STATE(347),
    [sym_bd] = STATE(347),
    [sym_it] = STATE(347),
    [sym_bdit] = STATE(347),
    [sym_no] = STATE(347),
    [sym_sc] = STATE(347),
    [sym_sup] = STATE(347),
    [sym_ndx] = STATE(347),
    [sym_pro] = STATE(347),
    [sym_rb] = STATE(347),
    [sym_w] = STATE(347),
    [sym_wg] = STATE(347),
    [sym_wh] = STATE(347),
    [sym_wa] = STATE(347),
    [sym__characterMarker] = STATE(347),
    [sym_fig] = STATE(347),
    [sym_jmp] = STATE(347),
    [ts_builtin_sym_end] = ACTIONS(5036),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHsts] = ACTIONS(5042),
    [anon_sym_BSLASHrem] = ACTIONS(5042),
    [anon_sym_BSLASHrestore] = ACTIONS(5042),
    [anon_sym_BSLASHlit] = ACTIONS(5042),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHimt] = ACTIONS(5042),
    [anon_sym_BSLASHimte] = ACTIONS(5042),
    [anon_sym_BSLASHis] = ACTIONS(5042),
    [anon_sym_BSLASHio] = ACTIONS(5042),
    [anon_sym_BSLASHior] = ACTIONS(5046),
    [anon_sym_BSLASHiot] = ACTIONS(5042),
    [anon_sym_BSLASHip] = ACTIONS(5042),
    [anon_sym_BSLASHim] = ACTIONS(5042),
    [anon_sym_BSLASHipi] = ACTIONS(5042),
    [anon_sym_BSLASHimi] = ACTIONS(5042),
    [anon_sym_BSLASHili] = ACTIONS(5042),
    [anon_sym_BSLASHipq] = ACTIONS(5042),
    [anon_sym_BSLASHimq] = ACTIONS(5042),
    [anon_sym_BSLASHipr] = ACTIONS(5042),
    [anon_sym_BSLASHib] = ACTIONS(5042),
    [anon_sym_BSLASHiq] = ACTIONS(5042),
    [anon_sym_BSLASHie] = ACTIONS(5042),
    [anon_sym_BSLASHiex] = ACTIONS(5042),
    [anon_sym_BSLASHc] = ACTIONS(5042),
    [anon_sym_BSLASHcl] = ACTIONS(5042),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
    [anon_sym_BSLASH] = ACTIONS(5042),
    [sym_milestoneStartTag] = ACTIONS(5042),
    [sym_milestoneEndTag] = ACTIONS(5042),
    [sym_zSpaceTag] = ACTIONS(5042),
    [anon_sym_BSLASHesb] = ACTIONS(5042),
  },
  [345] = {
    [sym_text] = STATE(349),
    [sym__milestoneAttributes] = STATE(2126),
    [ts_builtin_sym_end] = ACTIONS(5110),
    [aux_sym_text_token1] = ACTIONS(5112),
    [anon_sym_BSLASHref] = ACTIONS(5114),
    [anon_sym_BSLASHsts] = ACTIONS(5114),
    [anon_sym_BSLASHrem] = ACTIONS(5114),
    [anon_sym_BSLASHrestore] = ACTIONS(5114),
    [anon_sym_BSLASHlit] = ACTIONS(5114),
    [anon_sym_BSLASHip] = ACTIONS(5114),
    [anon_sym_BSLASHiex] = ACTIONS(5114),
    [anon_sym_BSLASHv] = ACTIONS(5114),
    [anon_sym_BSLASHva] = ACTIONS(5114),
    [anon_sym_BSLASHvp] = ACTIONS(5114),
    [anon_sym_BSLASHc] = ACTIONS(5114),
    [anon_sym_BSLASHcl] = ACTIONS(5114),
    [anon_sym_BSLASHca] = ACTIONS(5114),
    [anon_sym_BSLASHcp] = ACTIONS(5114),
    [anon_sym_BSLASHcd] = ACTIONS(5114),
    [anon_sym_BSLASHmte] = ACTIONS(5114),
    [anon_sym_BSLASHms] = ACTIONS(5114),
    [anon_sym_BSLASHs] = ACTIONS(5114),
    [anon_sym_BSLASHr] = ACTIONS(5114),
    [anon_sym_BSLASHsp] = ACTIONS(5114),
    [anon_sym_BSLASHd] = ACTIONS(5114),
    [anon_sym_BSLASHsd] = ACTIONS(5114),
    [anon_sym_BSLASHp] = ACTIONS(5114),
    [anon_sym_BSLASHm] = ACTIONS(5114),
    [anon_sym_BSLASHpo] = ACTIONS(5114),
    [anon_sym_BSLASHpr] = ACTIONS(5114),
    [anon_sym_BSLASHcls] = ACTIONS(5114),
    [anon_sym_BSLASHpmo] = ACTIONS(5114),
    [anon_sym_BSLASHpm] = ACTIONS(5114),
    [anon_sym_BSLASHpmc] = ACTIONS(5114),
    [anon_sym_BSLASHpmr] = ACTIONS(5114),
    [anon_sym_BSLASHpi] = ACTIONS(5114),
    [anon_sym_BSLASHmi] = ACTIONS(5114),
    [anon_sym_BSLASHnb] = ACTIONS(5114),
    [anon_sym_BSLASHpc] = ACTIONS(5114),
    [anon_sym_BSLASHph] = ACTIONS(5114),
    [anon_sym_BSLASHb] = ACTIONS(5114),
    [anon_sym_BSLASHq] = ACTIONS(5114),
    [anon_sym_BSLASHqr] = ACTIONS(5114),
    [anon_sym_BSLASHqc] = ACTIONS(5114),
    [anon_sym_BSLASHqa] = ACTIONS(5114),
    [anon_sym_BSLASHqm] = ACTIONS(5114),
    [anon_sym_BSLASHqd] = ACTIONS(5114),
    [anon_sym_BSLASHlh] = ACTIONS(5114),
    [anon_sym_BSLASHlf] = ACTIONS(5114),
    [anon_sym_BSLASHli] = ACTIONS(5114),
    [anon_sym_BSLASHlim] = ACTIONS(5114),
    [anon_sym_BSLASHliv] = ACTIONS(5114),
    [anon_sym_BSLASHlik] = ACTIONS(5114),
    [anon_sym_BSLASHlitl] = ACTIONS(5114),
    [anon_sym_BSLASHtr] = ACTIONS(5114),
    [anon_sym_BSLASHf] = ACTIONS(5114),
    [anon_sym_BSLASHfe] = ACTIONS(5114),
    [anon_sym_BSLASHef] = ACTIONS(5114),
    [anon_sym_BSLASHfm] = ACTIONS(5114),
    [anon_sym_BSLASHx] = ACTIONS(5114),
    [anon_sym_BSLASHxt] = ACTIONS(5114),
    [anon_sym_BSLASHrq] = ACTIONS(5114),
    [anon_sym_BSLASHadd] = ACTIONS(5114),
    [anon_sym_BSLASHbk] = ACTIONS(5114),
    [anon_sym_BSLASHdc] = ACTIONS(5114),
    [anon_sym_BSLASHk] = ACTIONS(5114),
    [anon_sym_BSLASHnd] = ACTIONS(5114),
    [anon_sym_BSLASHord] = ACTIONS(5114),
    [anon_sym_BSLASHpn] = ACTIONS(5114),
    [anon_sym_BSLASHpng] = ACTIONS(5114),
    [anon_sym_BSLASHaddpn] = ACTIONS(5114),
    [anon_sym_BSLASHqt] = ACTIONS(5114),
    [anon_sym_BSLASHsig] = ACTIONS(5114),
    [anon_sym_BSLASHsls] = ACTIONS(5114),
    [anon_sym_BSLASHtl] = ACTIONS(5114),
    [anon_sym_BSLASHwj] = ACTIONS(5114),
    [anon_sym_BSLASHem] = ACTIONS(5114),
    [anon_sym_BSLASHbd] = ACTIONS(5114),
    [anon_sym_BSLASHit] = ACTIONS(5114),
    [anon_sym_BSLASHbdit] = ACTIONS(5114),
    [anon_sym_BSLASHno] = ACTIONS(5114),
    [anon_sym_BSLASHsc] = ACTIONS(5114),
    [anon_sym_BSLASHsup] = ACTIONS(5114),
    [anon_sym_BSLASHndx] = ACTIONS(5114),
    [anon_sym_BSLASHpro] = ACTIONS(5114),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5114),
    [anon_sym_BSLASHwg] = ACTIONS(5114),
    [anon_sym_BSLASHwh] = ACTIONS(5114),
    [anon_sym_BSLASHwa] = ACTIONS(5114),
    [anon_sym_BSLASHfig] = ACTIONS(5114),
    [anon_sym_BSLASHjmp] = ACTIONS(5114),
    [anon_sym_BSLASHpb] = ACTIONS(5114),
    [anon_sym_BSLASH] = ACTIONS(5114),
    [anon_sym_BSLASH_STAR] = ACTIONS(5116),
    [sym_milestoneStartTag] = ACTIONS(5114),
    [sym_milestoneEndTag] = ACTIONS(5114),
    [sym_zSpaceTag] = ACTIONS(5114),
    [sym__zSpaceClose] = ACTIONS(5118),
    [anon_sym_BSLASHesb] = ACTIONS(5114),
    [anon_sym_PIPE] = ACTIONS(5120),
  },
  [346] = {
    [sym__verseMeta] = STATE(346),
    [sym_va] = STATE(346),
    [sym_vp] = STATE(346),
    [aux_sym_v_repeat1] = STATE(346),
    [ts_builtin_sym_end] = ACTIONS(5122),
    [aux_sym_text_token1] = ACTIONS(5122),
    [anon_sym_BSLASHref] = ACTIONS(5124),
    [anon_sym_BSLASHsts] = ACTIONS(5124),
    [anon_sym_BSLASHrem] = ACTIONS(5124),
    [anon_sym_BSLASHrestore] = ACTIONS(5124),
    [anon_sym_BSLASHlit] = ACTIONS(5124),
    [anon_sym_BSLASHip] = ACTIONS(5124),
    [anon_sym_BSLASHiex] = ACTIONS(5124),
    [anon_sym_BSLASHv] = ACTIONS(5124),
    [anon_sym_BSLASHva] = ACTIONS(5126),
    [anon_sym_BSLASHvp] = ACTIONS(5129),
    [anon_sym_BSLASHc] = ACTIONS(5124),
    [anon_sym_BSLASHcl] = ACTIONS(5124),
    [anon_sym_BSLASHca] = ACTIONS(5124),
    [anon_sym_BSLASHcp] = ACTIONS(5124),
    [anon_sym_BSLASHcd] = ACTIONS(5124),
    [anon_sym_BSLASHmte] = ACTIONS(5124),
    [anon_sym_BSLASHms] = ACTIONS(5124),
    [anon_sym_BSLASHs] = ACTIONS(5124),
    [anon_sym_BSLASHr] = ACTIONS(5124),
    [anon_sym_BSLASHsp] = ACTIONS(5124),
    [anon_sym_BSLASHd] = ACTIONS(5124),
    [anon_sym_BSLASHsd] = ACTIONS(5124),
    [anon_sym_BSLASHp] = ACTIONS(5124),
    [anon_sym_BSLASHm] = ACTIONS(5124),
    [anon_sym_BSLASHpo] = ACTIONS(5124),
    [anon_sym_BSLASHpr] = ACTIONS(5124),
    [anon_sym_BSLASHcls] = ACTIONS(5124),
    [anon_sym_BSLASHpmo] = ACTIONS(5124),
    [anon_sym_BSLASHpm] = ACTIONS(5124),
    [anon_sym_BSLASHpmc] = ACTIONS(5124),
    [anon_sym_BSLASHpmr] = ACTIONS(5124),
    [anon_sym_BSLASHpi] = ACTIONS(5124),
    [anon_sym_BSLASHmi] = ACTIONS(5124),
    [anon_sym_BSLASHnb] = ACTIONS(5124),
    [anon_sym_BSLASHpc] = ACTIONS(5124),
    [anon_sym_BSLASHph] = ACTIONS(5124),
    [anon_sym_BSLASHb] = ACTIONS(5124),
    [anon_sym_BSLASHq] = ACTIONS(5124),
    [anon_sym_BSLASHqr] = ACTIONS(5124),
    [anon_sym_BSLASHqc] = ACTIONS(5124),
    [anon_sym_BSLASHqa] = ACTIONS(5124),
    [anon_sym_BSLASHqm] = ACTIONS(5124),
    [anon_sym_BSLASHqd] = ACTIONS(5124),
    [anon_sym_BSLASHlh] = ACTIONS(5124),
    [anon_sym_BSLASHlf] = ACTIONS(5124),
    [anon_sym_BSLASHli] = ACTIONS(5124),
    [anon_sym_BSLASHlim] = ACTIONS(5124),
    [anon_sym_BSLASHliv] = ACTIONS(5124),
    [anon_sym_BSLASHlik] = ACTIONS(5124),
    [anon_sym_BSLASHlitl] = ACTIONS(5124),
    [anon_sym_BSLASHtr] = ACTIONS(5124),
    [anon_sym_BSLASHf] = ACTIONS(5124),
    [anon_sym_BSLASHfe] = ACTIONS(5124),
    [anon_sym_BSLASHef] = ACTIONS(5124),
    [anon_sym_BSLASHfm] = ACTIONS(5124),
    [anon_sym_BSLASHx] = ACTIONS(5124),
    [anon_sym_BSLASHxt] = ACTIONS(5124),
    [anon_sym_BSLASHrq] = ACTIONS(5124),
    [anon_sym_BSLASHadd] = ACTIONS(5124),
    [anon_sym_BSLASHbk] = ACTIONS(5124),
    [anon_sym_BSLASHdc] = ACTIONS(5124),
    [anon_sym_BSLASHk] = ACTIONS(5124),
    [anon_sym_BSLASHnd] = ACTIONS(5124),
    [anon_sym_BSLASHord] = ACTIONS(5124),
    [anon_sym_BSLASHpn] = ACTIONS(5124),
    [anon_sym_BSLASHpng] = ACTIONS(5124),
    [anon_sym_BSLASHaddpn] = ACTIONS(5124),
    [anon_sym_BSLASHqt] = ACTIONS(5124),
    [anon_sym_BSLASHsig] = ACTIONS(5124),
    [anon_sym_BSLASHsls] = ACTIONS(5124),
    [anon_sym_BSLASHtl] = ACTIONS(5124),
    [anon_sym_BSLASHwj] = ACTIONS(5124),
    [anon_sym_BSLASHem] = ACTIONS(5124),
    [anon_sym_BSLASHbd] = ACTIONS(5124),
    [anon_sym_BSLASHit] = ACTIONS(5124),
    [anon_sym_BSLASHbdit] = ACTIONS(5124),
    [anon_sym_BSLASHno] = ACTIONS(5124),
    [anon_sym_BSLASHsc] = ACTIONS(5124),
    [anon_sym_BSLASHsup] = ACTIONS(5124),
    [anon_sym_BSLASHndx] = ACTIONS(5124),
    [anon_sym_BSLASHpro] = ACTIONS(5124),
    [anon_sym_BSLASHrb] = ACTIONS(5124),
    [anon_sym_BSLASHw] = ACTIONS(5124),
    [anon_sym_BSLASHwg] = ACTIONS(5124),
    [anon_sym_BSLASHwh] = ACTIONS(5124),
    [anon_sym_BSLASHwa] = ACTIONS(5124),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5124),
    [anon_sym_BSLASHpb] = ACTIONS(5124),
    [anon_sym_BSLASH] = ACTIONS(5124),
    [sym_milestoneStartTag] = ACTIONS(5124),
    [sym_milestoneEndTag] = ACTIONS(5124),
    [sym_zSpaceTag] = ACTIONS(5124),
    [anon_sym_BSLASHesb] = ACTIONS(5124),
  },
  [347] = {
    [sym_text] = STATE(347),
    [sym_ref] = STATE(347),
    [aux_sym__introText] = STATE(347),
    [sym_iqt] = STATE(347),
    [sym_xt_standalone] = STATE(347),
    [sym_add] = STATE(347),
    [sym_bk] = STATE(347),
    [sym_dc] = STATE(347),
    [sym_k] = STATE(347),
    [sym_nd] = STATE(347),
    [sym_ord] = STATE(347),
    [sym_pn] = STATE(347),
    [sym_png] = STATE(347),
    [sym_addpn] = STATE(347),
    [sym_qt] = STATE(347),
    [sym_sig] = STATE(347),
    [sym_sls] = STATE(347),
    [sym_tl] = STATE(347),
    [sym_wj] = STATE(347),
    [sym_em] = STATE(347),
    [sym_bd] = STATE(347),
    [sym_it] = STATE(347),
    [sym_bdit] = STATE(347),
    [sym_no] = STATE(347),
    [sym_sc] = STATE(347),
    [sym_sup] = STATE(347),
    [sym_ndx] = STATE(347),
    [sym_pro] = STATE(347),
    [sym_rb] = STATE(347),
    [sym_w] = STATE(347),
    [sym_wg] = STATE(347),
    [sym_wh] = STATE(347),
    [sym_wa] = STATE(347),
    [sym__characterMarker] = STATE(347),
    [sym_fig] = STATE(347),
    [sym_jmp] = STATE(347),
    [ts_builtin_sym_end] = ACTIONS(3775),
    [aux_sym_text_token1] = ACTIONS(5132),
    [anon_sym_BSLASHref] = ACTIONS(5135),
    [anon_sym_BSLASHsts] = ACTIONS(3783),
    [anon_sym_BSLASHrem] = ACTIONS(3783),
    [anon_sym_BSLASHrestore] = ACTIONS(3783),
    [anon_sym_BSLASHlit] = ACTIONS(3783),
    [anon_sym_BSLASHiqt] = ACTIONS(5138),
    [anon_sym_BSLASHimt] = ACTIONS(3783),
    [anon_sym_BSLASHimte] = ACTIONS(3783),
    [anon_sym_BSLASHis] = ACTIONS(3783),
    [anon_sym_BSLASHio] = ACTIONS(3783),
    [anon_sym_BSLASHior] = ACTIONS(3783),
    [anon_sym_BSLASHiot] = ACTIONS(3783),
    [anon_sym_BSLASHip] = ACTIONS(3783),
    [anon_sym_BSLASHim] = ACTIONS(3783),
    [anon_sym_BSLASHipi] = ACTIONS(3783),
    [anon_sym_BSLASHimi] = ACTIONS(3783),
    [anon_sym_BSLASHili] = ACTIONS(3783),
    [anon_sym_BSLASHipq] = ACTIONS(3783),
    [anon_sym_BSLASHimq] = ACTIONS(3783),
    [anon_sym_BSLASHipr] = ACTIONS(3783),
    [anon_sym_BSLASHib] = ACTIONS(3783),
    [anon_sym_BSLASHiq] = ACTIONS(3783),
    [anon_sym_BSLASHie] = ACTIONS(3783),
    [anon_sym_BSLASHiex] = ACTIONS(3783),
    [anon_sym_BSLASHc] = ACTIONS(3783),
    [anon_sym_BSLASHcl] = ACTIONS(3783),
    [anon_sym_BSLASHxt] = ACTIONS(5141),
    [anon_sym_BSLASHadd] = ACTIONS(5144),
    [anon_sym_BSLASHbk] = ACTIONS(5147),
    [anon_sym_BSLASHdc] = ACTIONS(5150),
    [anon_sym_BSLASHk] = ACTIONS(5153),
    [anon_sym_BSLASHnd] = ACTIONS(5156),
    [anon_sym_BSLASHord] = ACTIONS(5159),
    [anon_sym_BSLASHpn] = ACTIONS(5162),
    [anon_sym_BSLASHpng] = ACTIONS(5165),
    [anon_sym_BSLASHaddpn] = ACTIONS(5168),
    [anon_sym_BSLASHqt] = ACTIONS(5171),
    [anon_sym_BSLASHsig] = ACTIONS(5174),
    [anon_sym_BSLASHsls] = ACTIONS(5177),
    [anon_sym_BSLASHtl] = ACTIONS(5180),
    [anon_sym_BSLASHwj] = ACTIONS(5183),
    [anon_sym_BSLASHem] = ACTIONS(5186),
    [anon_sym_BSLASHbd] = ACTIONS(5189),
    [anon_sym_BSLASHit] = ACTIONS(5192),
    [anon_sym_BSLASHbdit] = ACTIONS(5195),
    [anon_sym_BSLASHno] = ACTIONS(5198),
    [anon_sym_BSLASHsc] = ACTIONS(5201),
    [anon_sym_BSLASHsup] = ACTIONS(5204),
    [anon_sym_BSLASHndx] = ACTIONS(5207),
    [anon_sym_BSLASHpro] = ACTIONS(5210),
    [anon_sym_BSLASHrb] = ACTIONS(5213),
    [anon_sym_BSLASHw] = ACTIONS(5216),
    [anon_sym_BSLASHwg] = ACTIONS(5219),
    [anon_sym_BSLASHwh] = ACTIONS(5222),
    [anon_sym_BSLASHwa] = ACTIONS(5225),
    [anon_sym_BSLASHfig] = ACTIONS(5228),
    [anon_sym_BSLASHjmp] = ACTIONS(5231),
    [anon_sym_BSLASH] = ACTIONS(3783),
    [sym_milestoneStartTag] = ACTIONS(3783),
    [sym_milestoneEndTag] = ACTIONS(3783),
    [sym_zSpaceTag] = ACTIONS(3783),
    [anon_sym_BSLASHesb] = ACTIONS(3783),
  },
  [348] = {
    [sym__verseMeta] = STATE(346),
    [sym_va] = STATE(346),
    [sym_vp] = STATE(346),
    [aux_sym_v_repeat1] = STATE(346),
    [ts_builtin_sym_end] = ACTIONS(5234),
    [aux_sym_text_token1] = ACTIONS(5234),
    [anon_sym_BSLASHref] = ACTIONS(5236),
    [anon_sym_BSLASHsts] = ACTIONS(5236),
    [anon_sym_BSLASHrem] = ACTIONS(5236),
    [anon_sym_BSLASHrestore] = ACTIONS(5236),
    [anon_sym_BSLASHlit] = ACTIONS(5236),
    [anon_sym_BSLASHip] = ACTIONS(5236),
    [anon_sym_BSLASHiex] = ACTIONS(5236),
    [anon_sym_BSLASHv] = ACTIONS(5236),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(5236),
    [anon_sym_BSLASHcl] = ACTIONS(5236),
    [anon_sym_BSLASHca] = ACTIONS(5236),
    [anon_sym_BSLASHcp] = ACTIONS(5236),
    [anon_sym_BSLASHcd] = ACTIONS(5236),
    [anon_sym_BSLASHmte] = ACTIONS(5236),
    [anon_sym_BSLASHms] = ACTIONS(5236),
    [anon_sym_BSLASHs] = ACTIONS(5236),
    [anon_sym_BSLASHr] = ACTIONS(5236),
    [anon_sym_BSLASHsp] = ACTIONS(5236),
    [anon_sym_BSLASHd] = ACTIONS(5236),
    [anon_sym_BSLASHsd] = ACTIONS(5236),
    [anon_sym_BSLASHp] = ACTIONS(5236),
    [anon_sym_BSLASHm] = ACTIONS(5236),
    [anon_sym_BSLASHpo] = ACTIONS(5236),
    [anon_sym_BSLASHpr] = ACTIONS(5236),
    [anon_sym_BSLASHcls] = ACTIONS(5236),
    [anon_sym_BSLASHpmo] = ACTIONS(5236),
    [anon_sym_BSLASHpm] = ACTIONS(5236),
    [anon_sym_BSLASHpmc] = ACTIONS(5236),
    [anon_sym_BSLASHpmr] = ACTIONS(5236),
    [anon_sym_BSLASHpi] = ACTIONS(5236),
    [anon_sym_BSLASHmi] = ACTIONS(5236),
    [anon_sym_BSLASHnb] = ACTIONS(5236),
    [anon_sym_BSLASHpc] = ACTIONS(5236),
    [anon_sym_BSLASHph] = ACTIONS(5236),
    [anon_sym_BSLASHb] = ACTIONS(5236),
    [anon_sym_BSLASHq] = ACTIONS(5236),
    [anon_sym_BSLASHqr] = ACTIONS(5236),
    [anon_sym_BSLASHqc] = ACTIONS(5236),
    [anon_sym_BSLASHqa] = ACTIONS(5236),
    [anon_sym_BSLASHqm] = ACTIONS(5236),
    [anon_sym_BSLASHqd] = ACTIONS(5236),
    [anon_sym_BSLASHlh] = ACTIONS(5236),
    [anon_sym_BSLASHlf] = ACTIONS(5236),
    [anon_sym_BSLASHli] = ACTIONS(5236),
    [anon_sym_BSLASHlim] = ACTIONS(5236),
    [anon_sym_BSLASHliv] = ACTIONS(5236),
    [anon_sym_BSLASHlik] = ACTIONS(5236),
    [anon_sym_BSLASHlitl] = ACTIONS(5236),
    [anon_sym_BSLASHtr] = ACTIONS(5236),
    [anon_sym_BSLASHf] = ACTIONS(5236),
    [anon_sym_BSLASHfe] = ACTIONS(5236),
    [anon_sym_BSLASHef] = ACTIONS(5236),
    [anon_sym_BSLASHfm] = ACTIONS(5236),
    [anon_sym_BSLASHx] = ACTIONS(5236),
    [anon_sym_BSLASHxt] = ACTIONS(5236),
    [anon_sym_BSLASHrq] = ACTIONS(5236),
    [anon_sym_BSLASHadd] = ACTIONS(5236),
    [anon_sym_BSLASHbk] = ACTIONS(5236),
    [anon_sym_BSLASHdc] = ACTIONS(5236),
    [anon_sym_BSLASHk] = ACTIONS(5236),
    [anon_sym_BSLASHnd] = ACTIONS(5236),
    [anon_sym_BSLASHord] = ACTIONS(5236),
    [anon_sym_BSLASHpn] = ACTIONS(5236),
    [anon_sym_BSLASHpng] = ACTIONS(5236),
    [anon_sym_BSLASHaddpn] = ACTIONS(5236),
    [anon_sym_BSLASHqt] = ACTIONS(5236),
    [anon_sym_BSLASHsig] = ACTIONS(5236),
    [anon_sym_BSLASHsls] = ACTIONS(5236),
    [anon_sym_BSLASHtl] = ACTIONS(5236),
    [anon_sym_BSLASHwj] = ACTIONS(5236),
    [anon_sym_BSLASHem] = ACTIONS(5236),
    [anon_sym_BSLASHbd] = ACTIONS(5236),
    [anon_sym_BSLASHit] = ACTIONS(5236),
    [anon_sym_BSLASHbdit] = ACTIONS(5236),
    [anon_sym_BSLASHno] = ACTIONS(5236),
    [anon_sym_BSLASHsc] = ACTIONS(5236),
    [anon_sym_BSLASHsup] = ACTIONS(5236),
    [anon_sym_BSLASHndx] = ACTIONS(5236),
    [anon_sym_BSLASHpro] = ACTIONS(5236),
    [anon_sym_BSLASHrb] = ACTIONS(5236),
    [anon_sym_BSLASHw] = ACTIONS(5236),
    [anon_sym_BSLASHwg] = ACTIONS(5236),
    [anon_sym_BSLASHwh] = ACTIONS(5236),
    [anon_sym_BSLASHwa] = ACTIONS(5236),
    [anon_sym_BSLASHfig] = ACTIONS(5236),
    [anon_sym_BSLASHjmp] = ACTIONS(5236),
    [anon_sym_BSLASHpb] = ACTIONS(5236),
    [anon_sym_BSLASH] = ACTIONS(5236),
    [sym_milestoneStartTag] = ACTIONS(5236),
    [sym_milestoneEndTag] = ACTIONS(5236),
    [sym_zSpaceTag] = ACTIONS(5236),
    [anon_sym_BSLASHesb] = ACTIONS(5236),
  },
  [349] = {
    [sym__milestoneAttributes] = STATE(2104),
    [ts_builtin_sym_end] = ACTIONS(5238),
    [aux_sym_text_token1] = ACTIONS(5238),
    [anon_sym_BSLASHref] = ACTIONS(5240),
    [anon_sym_BSLASHsts] = ACTIONS(5240),
    [anon_sym_BSLASHrem] = ACTIONS(5240),
    [anon_sym_BSLASHrestore] = ACTIONS(5240),
    [anon_sym_BSLASHlit] = ACTIONS(5240),
    [anon_sym_BSLASHip] = ACTIONS(5240),
    [anon_sym_BSLASHiex] = ACTIONS(5240),
    [anon_sym_BSLASHv] = ACTIONS(5240),
    [anon_sym_BSLASHva] = ACTIONS(5240),
    [anon_sym_BSLASHvp] = ACTIONS(5240),
    [anon_sym_BSLASHc] = ACTIONS(5240),
    [anon_sym_BSLASHcl] = ACTIONS(5240),
    [anon_sym_BSLASHca] = ACTIONS(5240),
    [anon_sym_BSLASHcp] = ACTIONS(5240),
    [anon_sym_BSLASHcd] = ACTIONS(5240),
    [anon_sym_BSLASHmte] = ACTIONS(5240),
    [anon_sym_BSLASHms] = ACTIONS(5240),
    [anon_sym_BSLASHs] = ACTIONS(5240),
    [anon_sym_BSLASHr] = ACTIONS(5240),
    [anon_sym_BSLASHsp] = ACTIONS(5240),
    [anon_sym_BSLASHd] = ACTIONS(5240),
    [anon_sym_BSLASHsd] = ACTIONS(5240),
    [anon_sym_BSLASHp] = ACTIONS(5240),
    [anon_sym_BSLASHm] = ACTIONS(5240),
    [anon_sym_BSLASHpo] = ACTIONS(5240),
    [anon_sym_BSLASHpr] = ACTIONS(5240),
    [anon_sym_BSLASHcls] = ACTIONS(5240),
    [anon_sym_BSLASHpmo] = ACTIONS(5240),
    [anon_sym_BSLASHpm] = ACTIONS(5240),
    [anon_sym_BSLASHpmc] = ACTIONS(5240),
    [anon_sym_BSLASHpmr] = ACTIONS(5240),
    [anon_sym_BSLASHpi] = ACTIONS(5240),
    [anon_sym_BSLASHmi] = ACTIONS(5240),
    [anon_sym_BSLASHnb] = ACTIONS(5240),
    [anon_sym_BSLASHpc] = ACTIONS(5240),
    [anon_sym_BSLASHph] = ACTIONS(5240),
    [anon_sym_BSLASHb] = ACTIONS(5240),
    [anon_sym_BSLASHq] = ACTIONS(5240),
    [anon_sym_BSLASHqr] = ACTIONS(5240),
    [anon_sym_BSLASHqc] = ACTIONS(5240),
    [anon_sym_BSLASHqa] = ACTIONS(5240),
    [anon_sym_BSLASHqm] = ACTIONS(5240),
    [anon_sym_BSLASHqd] = ACTIONS(5240),
    [anon_sym_BSLASHlh] = ACTIONS(5240),
    [anon_sym_BSLASHlf] = ACTIONS(5240),
    [anon_sym_BSLASHli] = ACTIONS(5240),
    [anon_sym_BSLASHlim] = ACTIONS(5240),
    [anon_sym_BSLASHliv] = ACTIONS(5240),
    [anon_sym_BSLASHlik] = ACTIONS(5240),
    [anon_sym_BSLASHlitl] = ACTIONS(5240),
    [anon_sym_BSLASHtr] = ACTIONS(5240),
    [anon_sym_BSLASHf] = ACTIONS(5240),
    [anon_sym_BSLASHfe] = ACTIONS(5240),
    [anon_sym_BSLASHef] = ACTIONS(5240),
    [anon_sym_BSLASHfm] = ACTIONS(5240),
    [anon_sym_BSLASHx] = ACTIONS(5240),
    [anon_sym_BSLASHxt] = ACTIONS(5240),
    [anon_sym_BSLASHrq] = ACTIONS(5240),
    [anon_sym_BSLASHadd] = ACTIONS(5240),
    [anon_sym_BSLASHbk] = ACTIONS(5240),
    [anon_sym_BSLASHdc] = ACTIONS(5240),
    [anon_sym_BSLASHk] = ACTIONS(5240),
    [anon_sym_BSLASHnd] = ACTIONS(5240),
    [anon_sym_BSLASHord] = ACTIONS(5240),
    [anon_sym_BSLASHpn] = ACTIONS(5240),
    [anon_sym_BSLASHpng] = ACTIONS(5240),
    [anon_sym_BSLASHaddpn] = ACTIONS(5240),
    [anon_sym_BSLASHqt] = ACTIONS(5240),
    [anon_sym_BSLASHsig] = ACTIONS(5240),
    [anon_sym_BSLASHsls] = ACTIONS(5240),
    [anon_sym_BSLASHtl] = ACTIONS(5240),
    [anon_sym_BSLASHwj] = ACTIONS(5240),
    [anon_sym_BSLASHem] = ACTIONS(5240),
    [anon_sym_BSLASHbd] = ACTIONS(5240),
    [anon_sym_BSLASHit] = ACTIONS(5240),
    [anon_sym_BSLASHbdit] = ACTIONS(5240),
    [anon_sym_BSLASHno] = ACTIONS(5240),
    [anon_sym_BSLASHsc] = ACTIONS(5240),
    [anon_sym_BSLASHsup] = ACTIONS(5240),
    [anon_sym_BSLASHndx] = ACTIONS(5240),
    [anon_sym_BSLASHpro] = ACTIONS(5240),
    [anon_sym_BSLASHrb] = ACTIONS(5240),
    [anon_sym_BSLASHw] = ACTIONS(5240),
    [anon_sym_BSLASHwg] = ACTIONS(5240),
    [anon_sym_BSLASHwh] = ACTIONS(5240),
    [anon_sym_BSLASHwa] = ACTIONS(5240),
    [anon_sym_BSLASHfig] = ACTIONS(5240),
    [anon_sym_BSLASHjmp] = ACTIONS(5240),
    [anon_sym_BSLASHpb] = ACTIONS(5240),
    [anon_sym_BSLASH] = ACTIONS(5240),
    [anon_sym_BSLASH_STAR] = ACTIONS(5242),
    [sym_milestoneStartTag] = ACTIONS(5240),
    [sym_milestoneEndTag] = ACTIONS(5240),
    [sym_zSpaceTag] = ACTIONS(5240),
    [sym__zSpaceClose] = ACTIONS(5244),
    [anon_sym_BSLASHesb] = ACTIONS(5240),
    [anon_sym_PIPE] = ACTIONS(5120),
  },
  [350] = {
    [sym__verseMeta] = STATE(348),
    [sym_va] = STATE(348),
    [sym_vp] = STATE(348),
    [aux_sym_v_repeat1] = STATE(348),
    [ts_builtin_sym_end] = ACTIONS(5246),
    [aux_sym_text_token1] = ACTIONS(5246),
    [anon_sym_BSLASHref] = ACTIONS(5248),
    [anon_sym_BSLASHsts] = ACTIONS(5248),
    [anon_sym_BSLASHrem] = ACTIONS(5248),
    [anon_sym_BSLASHrestore] = ACTIONS(5248),
    [anon_sym_BSLASHlit] = ACTIONS(5248),
    [anon_sym_BSLASHip] = ACTIONS(5248),
    [anon_sym_BSLASHiex] = ACTIONS(5248),
    [anon_sym_BSLASHv] = ACTIONS(5248),
    [anon_sym_BSLASHva] = ACTIONS(231),
    [anon_sym_BSLASHvp] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(5248),
    [anon_sym_BSLASHcl] = ACTIONS(5248),
    [anon_sym_BSLASHca] = ACTIONS(5248),
    [anon_sym_BSLASHcp] = ACTIONS(5248),
    [anon_sym_BSLASHcd] = ACTIONS(5248),
    [anon_sym_BSLASHmte] = ACTIONS(5248),
    [anon_sym_BSLASHms] = ACTIONS(5248),
    [anon_sym_BSLASHs] = ACTIONS(5248),
    [anon_sym_BSLASHr] = ACTIONS(5248),
    [anon_sym_BSLASHsp] = ACTIONS(5248),
    [anon_sym_BSLASHd] = ACTIONS(5248),
    [anon_sym_BSLASHsd] = ACTIONS(5248),
    [anon_sym_BSLASHp] = ACTIONS(5248),
    [anon_sym_BSLASHm] = ACTIONS(5248),
    [anon_sym_BSLASHpo] = ACTIONS(5248),
    [anon_sym_BSLASHpr] = ACTIONS(5248),
    [anon_sym_BSLASHcls] = ACTIONS(5248),
    [anon_sym_BSLASHpmo] = ACTIONS(5248),
    [anon_sym_BSLASHpm] = ACTIONS(5248),
    [anon_sym_BSLASHpmc] = ACTIONS(5248),
    [anon_sym_BSLASHpmr] = ACTIONS(5248),
    [anon_sym_BSLASHpi] = ACTIONS(5248),
    [anon_sym_BSLASHmi] = ACTIONS(5248),
    [anon_sym_BSLASHnb] = ACTIONS(5248),
    [anon_sym_BSLASHpc] = ACTIONS(5248),
    [anon_sym_BSLASHph] = ACTIONS(5248),
    [anon_sym_BSLASHb] = ACTIONS(5248),
    [anon_sym_BSLASHq] = ACTIONS(5248),
    [anon_sym_BSLASHqr] = ACTIONS(5248),
    [anon_sym_BSLASHqc] = ACTIONS(5248),
    [anon_sym_BSLASHqa] = ACTIONS(5248),
    [anon_sym_BSLASHqm] = ACTIONS(5248),
    [anon_sym_BSLASHqd] = ACTIONS(5248),
    [anon_sym_BSLASHlh] = ACTIONS(5248),
    [anon_sym_BSLASHlf] = ACTIONS(5248),
    [anon_sym_BSLASHli] = ACTIONS(5248),
    [anon_sym_BSLASHlim] = ACTIONS(5248),
    [anon_sym_BSLASHliv] = ACTIONS(5248),
    [anon_sym_BSLASHlik] = ACTIONS(5248),
    [anon_sym_BSLASHlitl] = ACTIONS(5248),
    [anon_sym_BSLASHtr] = ACTIONS(5248),
    [anon_sym_BSLASHf] = ACTIONS(5248),
    [anon_sym_BSLASHfe] = ACTIONS(5248),
    [anon_sym_BSLASHef] = ACTIONS(5248),
    [anon_sym_BSLASHfm] = ACTIONS(5248),
    [anon_sym_BSLASHx] = ACTIONS(5248),
    [anon_sym_BSLASHxt] = ACTIONS(5248),
    [anon_sym_BSLASHrq] = ACTIONS(5248),
    [anon_sym_BSLASHadd] = ACTIONS(5248),
    [anon_sym_BSLASHbk] = ACTIONS(5248),
    [anon_sym_BSLASHdc] = ACTIONS(5248),
    [anon_sym_BSLASHk] = ACTIONS(5248),
    [anon_sym_BSLASHnd] = ACTIONS(5248),
    [anon_sym_BSLASHord] = ACTIONS(5248),
    [anon_sym_BSLASHpn] = ACTIONS(5248),
    [anon_sym_BSLASHpng] = ACTIONS(5248),
    [anon_sym_BSLASHaddpn] = ACTIONS(5248),
    [anon_sym_BSLASHqt] = ACTIONS(5248),
    [anon_sym_BSLASHsig] = ACTIONS(5248),
    [anon_sym_BSLASHsls] = ACTIONS(5248),
    [anon_sym_BSLASHtl] = ACTIONS(5248),
    [anon_sym_BSLASHwj] = ACTIONS(5248),
    [anon_sym_BSLASHem] = ACTIONS(5248),
    [anon_sym_BSLASHbd] = ACTIONS(5248),
    [anon_sym_BSLASHit] = ACTIONS(5248),
    [anon_sym_BSLASHbdit] = ACTIONS(5248),
    [anon_sym_BSLASHno] = ACTIONS(5248),
    [anon_sym_BSLASHsc] = ACTIONS(5248),
    [anon_sym_BSLASHsup] = ACTIONS(5248),
    [anon_sym_BSLASHndx] = ACTIONS(5248),
    [anon_sym_BSLASHpro] = ACTIONS(5248),
    [anon_sym_BSLASHrb] = ACTIONS(5248),
    [anon_sym_BSLASHw] = ACTIONS(5248),
    [anon_sym_BSLASHwg] = ACTIONS(5248),
    [anon_sym_BSLASHwh] = ACTIONS(5248),
    [anon_sym_BSLASHwa] = ACTIONS(5248),
    [anon_sym_BSLASHfig] = ACTIONS(5248),
    [anon_sym_BSLASHjmp] = ACTIONS(5248),
    [anon_sym_BSLASHpb] = ACTIONS(5248),
    [anon_sym_BSLASH] = ACTIONS(5248),
    [sym_milestoneStartTag] = ACTIONS(5248),
    [sym_milestoneEndTag] = ACTIONS(5248),
    [sym_zSpaceTag] = ACTIONS(5248),
    [anon_sym_BSLASHesb] = ACTIONS(5248),
  },
  [351] = {
    [ts_builtin_sym_end] = ACTIONS(2707),
    [aux_sym_text_token1] = ACTIONS(2707),
    [anon_sym_BSLASHref] = ACTIONS(2709),
    [anon_sym_BSLASHsts] = ACTIONS(2709),
    [anon_sym_BSLASHrem] = ACTIONS(2709),
    [anon_sym_BSLASHrestore] = ACTIONS(2709),
    [anon_sym_BSLASHlit] = ACTIONS(2709),
    [anon_sym_BSLASHiqt] = ACTIONS(2709),
    [anon_sym_BSLASHip] = ACTIONS(2709),
    [anon_sym_BSLASHiex] = ACTIONS(2709),
    [anon_sym_BSLASHv] = ACTIONS(2709),
    [anon_sym_BSLASHva] = ACTIONS(2709),
    [anon_sym_BSLASHvp] = ACTIONS(2709),
    [anon_sym_BSLASHc] = ACTIONS(2709),
    [anon_sym_BSLASHcl] = ACTIONS(2709),
    [anon_sym_BSLASHca] = ACTIONS(2709),
    [anon_sym_BSLASHcp] = ACTIONS(2709),
    [anon_sym_BSLASHcd] = ACTIONS(2709),
    [anon_sym_BSLASHmte] = ACTIONS(2709),
    [anon_sym_BSLASHms] = ACTIONS(2709),
    [anon_sym_BSLASHmr] = ACTIONS(2709),
    [anon_sym_BSLASHs] = ACTIONS(2709),
    [anon_sym_BSLASHsr] = ACTIONS(2709),
    [anon_sym_BSLASHr] = ACTIONS(2709),
    [anon_sym_BSLASHsp] = ACTIONS(2709),
    [anon_sym_BSLASHd] = ACTIONS(2709),
    [anon_sym_BSLASHsd] = ACTIONS(2709),
    [anon_sym_BSLASHp] = ACTIONS(2709),
    [anon_sym_BSLASHm] = ACTIONS(2709),
    [anon_sym_BSLASHpo] = ACTIONS(2709),
    [anon_sym_BSLASHpr] = ACTIONS(2709),
    [anon_sym_BSLASHcls] = ACTIONS(2709),
    [anon_sym_BSLASHpmo] = ACTIONS(2709),
    [anon_sym_BSLASHpm] = ACTIONS(2709),
    [anon_sym_BSLASHpmc] = ACTIONS(2709),
    [anon_sym_BSLASHpmr] = ACTIONS(2709),
    [anon_sym_BSLASHpi] = ACTIONS(2709),
    [anon_sym_BSLASHmi] = ACTIONS(2709),
    [anon_sym_BSLASHnb] = ACTIONS(2709),
    [anon_sym_BSLASHpc] = ACTIONS(2709),
    [anon_sym_BSLASHph] = ACTIONS(2709),
    [anon_sym_BSLASHb] = ACTIONS(2709),
    [anon_sym_BSLASHq] = ACTIONS(2709),
    [anon_sym_BSLASHqr] = ACTIONS(2709),
    [anon_sym_BSLASHqc] = ACTIONS(2709),
    [anon_sym_BSLASHqa] = ACTIONS(2709),
    [anon_sym_BSLASHqm] = ACTIONS(2709),
    [anon_sym_BSLASHqd] = ACTIONS(2709),
    [anon_sym_BSLASHlh] = ACTIONS(2709),
    [anon_sym_BSLASHlf] = ACTIONS(2709),
    [anon_sym_BSLASHli] = ACTIONS(2709),
    [anon_sym_BSLASHlim] = ACTIONS(2709),
    [anon_sym_BSLASHliv] = ACTIONS(2709),
    [anon_sym_BSLASHlik] = ACTIONS(2709),
    [anon_sym_BSLASHlitl] = ACTIONS(2709),
    [anon_sym_BSLASHtr] = ACTIONS(2709),
    [anon_sym_BSLASHf] = ACTIONS(2709),
    [anon_sym_BSLASHfe] = ACTIONS(2709),
    [anon_sym_BSLASHef] = ACTIONS(2709),
    [anon_sym_BSLASHfm] = ACTIONS(2709),
    [anon_sym_BSLASHx] = ACTIONS(2709),
    [anon_sym_BSLASHxt] = ACTIONS(2709),
    [anon_sym_BSLASHrq] = ACTIONS(2709),
    [anon_sym_BSLASHadd] = ACTIONS(2709),
    [anon_sym_BSLASHbk] = ACTIONS(2709),
    [anon_sym_BSLASHdc] = ACTIONS(2709),
    [anon_sym_BSLASHk] = ACTIONS(2709),
    [anon_sym_BSLASHnd] = ACTIONS(2709),
    [anon_sym_BSLASHord] = ACTIONS(2709),
    [anon_sym_BSLASHpn] = ACTIONS(2709),
    [anon_sym_BSLASHpng] = ACTIONS(2709),
    [anon_sym_BSLASHaddpn] = ACTIONS(2709),
    [anon_sym_BSLASHqt] = ACTIONS(2709),
    [anon_sym_BSLASHsig] = ACTIONS(2709),
    [anon_sym_BSLASHsls] = ACTIONS(2709),
    [anon_sym_BSLASHtl] = ACTIONS(2709),
    [anon_sym_BSLASHwj] = ACTIONS(2709),
    [anon_sym_BSLASHem] = ACTIONS(2709),
    [anon_sym_BSLASHbd] = ACTIONS(2709),
    [anon_sym_BSLASHit] = ACTIONS(2709),
    [anon_sym_BSLASHbdit] = ACTIONS(2709),
    [anon_sym_BSLASHno] = ACTIONS(2709),
    [anon_sym_BSLASHsc] = ACTIONS(2709),
    [anon_sym_BSLASHsup] = ACTIONS(2709),
    [anon_sym_BSLASHndx] = ACTIONS(2709),
    [anon_sym_BSLASHpro] = ACTIONS(2709),
    [anon_sym_BSLASHrb] = ACTIONS(2709),
    [anon_sym_BSLASHw] = ACTIONS(2709),
    [anon_sym_BSLASHwg] = ACTIONS(2709),
    [anon_sym_BSLASHwh] = ACTIONS(2709),
    [anon_sym_BSLASHwa] = ACTIONS(2709),
    [anon_sym_BSLASHfig] = ACTIONS(2709),
    [anon_sym_BSLASHjmp] = ACTIONS(2709),
    [anon_sym_BSLASHpb] = ACTIONS(2709),
    [anon_sym_BSLASH] = ACTIONS(2709),
    [sym_milestoneStartTag] = ACTIONS(2709),
    [sym_milestoneEndTag] = ACTIONS(2709),
    [sym_zSpaceTag] = ACTIONS(2709),
    [anon_sym_BSLASHesb] = ACTIONS(2709),
  },
  [352] = {
    [ts_builtin_sym_end] = ACTIONS(2723),
    [aux_sym_text_token1] = ACTIONS(2723),
    [anon_sym_BSLASHref] = ACTIONS(2725),
    [anon_sym_BSLASHsts] = ACTIONS(2725),
    [anon_sym_BSLASHrem] = ACTIONS(2725),
    [anon_sym_BSLASHrestore] = ACTIONS(2725),
    [anon_sym_BSLASHlit] = ACTIONS(2725),
    [anon_sym_BSLASHiqt] = ACTIONS(2725),
    [anon_sym_BSLASHip] = ACTIONS(2725),
    [anon_sym_BSLASHiex] = ACTIONS(2725),
    [anon_sym_BSLASHv] = ACTIONS(2725),
    [anon_sym_BSLASHva] = ACTIONS(2725),
    [anon_sym_BSLASHvp] = ACTIONS(2725),
    [anon_sym_BSLASHc] = ACTIONS(2725),
    [anon_sym_BSLASHcl] = ACTIONS(2725),
    [anon_sym_BSLASHca] = ACTIONS(2725),
    [anon_sym_BSLASHcp] = ACTIONS(2725),
    [anon_sym_BSLASHcd] = ACTIONS(2725),
    [anon_sym_BSLASHmte] = ACTIONS(2725),
    [anon_sym_BSLASHms] = ACTIONS(2725),
    [anon_sym_BSLASHmr] = ACTIONS(2725),
    [anon_sym_BSLASHs] = ACTIONS(2725),
    [anon_sym_BSLASHsr] = ACTIONS(2725),
    [anon_sym_BSLASHr] = ACTIONS(2725),
    [anon_sym_BSLASHsp] = ACTIONS(2725),
    [anon_sym_BSLASHd] = ACTIONS(2725),
    [anon_sym_BSLASHsd] = ACTIONS(2725),
    [anon_sym_BSLASHp] = ACTIONS(2725),
    [anon_sym_BSLASHm] = ACTIONS(2725),
    [anon_sym_BSLASHpo] = ACTIONS(2725),
    [anon_sym_BSLASHpr] = ACTIONS(2725),
    [anon_sym_BSLASHcls] = ACTIONS(2725),
    [anon_sym_BSLASHpmo] = ACTIONS(2725),
    [anon_sym_BSLASHpm] = ACTIONS(2725),
    [anon_sym_BSLASHpmc] = ACTIONS(2725),
    [anon_sym_BSLASHpmr] = ACTIONS(2725),
    [anon_sym_BSLASHpi] = ACTIONS(2725),
    [anon_sym_BSLASHmi] = ACTIONS(2725),
    [anon_sym_BSLASHnb] = ACTIONS(2725),
    [anon_sym_BSLASHpc] = ACTIONS(2725),
    [anon_sym_BSLASHph] = ACTIONS(2725),
    [anon_sym_BSLASHb] = ACTIONS(2725),
    [anon_sym_BSLASHq] = ACTIONS(2725),
    [anon_sym_BSLASHqr] = ACTIONS(2725),
    [anon_sym_BSLASHqc] = ACTIONS(2725),
    [anon_sym_BSLASHqa] = ACTIONS(2725),
    [anon_sym_BSLASHqm] = ACTIONS(2725),
    [anon_sym_BSLASHqd] = ACTIONS(2725),
    [anon_sym_BSLASHlh] = ACTIONS(2725),
    [anon_sym_BSLASHlf] = ACTIONS(2725),
    [anon_sym_BSLASHli] = ACTIONS(2725),
    [anon_sym_BSLASHlim] = ACTIONS(2725),
    [anon_sym_BSLASHliv] = ACTIONS(2725),
    [anon_sym_BSLASHlik] = ACTIONS(2725),
    [anon_sym_BSLASHlitl] = ACTIONS(2725),
    [anon_sym_BSLASHtr] = ACTIONS(2725),
    [anon_sym_BSLASHf] = ACTIONS(2725),
    [anon_sym_BSLASHfe] = ACTIONS(2725),
    [anon_sym_BSLASHef] = ACTIONS(2725),
    [anon_sym_BSLASHfm] = ACTIONS(2725),
    [anon_sym_BSLASHx] = ACTIONS(2725),
    [anon_sym_BSLASHxt] = ACTIONS(2725),
    [anon_sym_BSLASHrq] = ACTIONS(2725),
    [anon_sym_BSLASHadd] = ACTIONS(2725),
    [anon_sym_BSLASHbk] = ACTIONS(2725),
    [anon_sym_BSLASHdc] = ACTIONS(2725),
    [anon_sym_BSLASHk] = ACTIONS(2725),
    [anon_sym_BSLASHnd] = ACTIONS(2725),
    [anon_sym_BSLASHord] = ACTIONS(2725),
    [anon_sym_BSLASHpn] = ACTIONS(2725),
    [anon_sym_BSLASHpng] = ACTIONS(2725),
    [anon_sym_BSLASHaddpn] = ACTIONS(2725),
    [anon_sym_BSLASHqt] = ACTIONS(2725),
    [anon_sym_BSLASHsig] = ACTIONS(2725),
    [anon_sym_BSLASHsls] = ACTIONS(2725),
    [anon_sym_BSLASHtl] = ACTIONS(2725),
    [anon_sym_BSLASHwj] = ACTIONS(2725),
    [anon_sym_BSLASHem] = ACTIONS(2725),
    [anon_sym_BSLASHbd] = ACTIONS(2725),
    [anon_sym_BSLASHit] = ACTIONS(2725),
    [anon_sym_BSLASHbdit] = ACTIONS(2725),
    [anon_sym_BSLASHno] = ACTIONS(2725),
    [anon_sym_BSLASHsc] = ACTIONS(2725),
    [anon_sym_BSLASHsup] = ACTIONS(2725),
    [anon_sym_BSLASHndx] = ACTIONS(2725),
    [anon_sym_BSLASHpro] = ACTIONS(2725),
    [anon_sym_BSLASHrb] = ACTIONS(2725),
    [anon_sym_BSLASHw] = ACTIONS(2725),
    [anon_sym_BSLASHwg] = ACTIONS(2725),
    [anon_sym_BSLASHwh] = ACTIONS(2725),
    [anon_sym_BSLASHwa] = ACTIONS(2725),
    [anon_sym_BSLASHfig] = ACTIONS(2725),
    [anon_sym_BSLASHjmp] = ACTIONS(2725),
    [anon_sym_BSLASHpb] = ACTIONS(2725),
    [anon_sym_BSLASH] = ACTIONS(2725),
    [sym_milestoneStartTag] = ACTIONS(2725),
    [sym_milestoneEndTag] = ACTIONS(2725),
    [sym_zSpaceTag] = ACTIONS(2725),
    [anon_sym_BSLASHesb] = ACTIONS(2725),
  },
  [353] = {
    [sym_text] = STATE(347),
    [sym_ref] = STATE(347),
    [aux_sym__introText] = STATE(347),
    [sym_iqt] = STATE(347),
    [sym_xt_standalone] = STATE(347),
    [sym_add] = STATE(347),
    [sym_bk] = STATE(347),
    [sym_dc] = STATE(347),
    [sym_k] = STATE(347),
    [sym_nd] = STATE(347),
    [sym_ord] = STATE(347),
    [sym_pn] = STATE(347),
    [sym_png] = STATE(347),
    [sym_addpn] = STATE(347),
    [sym_qt] = STATE(347),
    [sym_sig] = STATE(347),
    [sym_sls] = STATE(347),
    [sym_tl] = STATE(347),
    [sym_wj] = STATE(347),
    [sym_em] = STATE(347),
    [sym_bd] = STATE(347),
    [sym_it] = STATE(347),
    [sym_bdit] = STATE(347),
    [sym_no] = STATE(347),
    [sym_sc] = STATE(347),
    [sym_sup] = STATE(347),
    [sym_ndx] = STATE(347),
    [sym_pro] = STATE(347),
    [sym_rb] = STATE(347),
    [sym_w] = STATE(347),
    [sym_wg] = STATE(347),
    [sym_wh] = STATE(347),
    [sym_wa] = STATE(347),
    [sym__characterMarker] = STATE(347),
    [sym_fig] = STATE(347),
    [sym_jmp] = STATE(347),
    [ts_builtin_sym_end] = ACTIONS(5250),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHsts] = ACTIONS(5252),
    [anon_sym_BSLASHrem] = ACTIONS(5252),
    [anon_sym_BSLASHrestore] = ACTIONS(5252),
    [anon_sym_BSLASHlit] = ACTIONS(5252),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHimt] = ACTIONS(5252),
    [anon_sym_BSLASHimte] = ACTIONS(5252),
    [anon_sym_BSLASHis] = ACTIONS(5252),
    [anon_sym_BSLASHio] = ACTIONS(5252),
    [anon_sym_BSLASHiot] = ACTIONS(5252),
    [anon_sym_BSLASHip] = ACTIONS(5252),
    [anon_sym_BSLASHim] = ACTIONS(5252),
    [anon_sym_BSLASHipi] = ACTIONS(5252),
    [anon_sym_BSLASHimi] = ACTIONS(5252),
    [anon_sym_BSLASHili] = ACTIONS(5252),
    [anon_sym_BSLASHipq] = ACTIONS(5252),
    [anon_sym_BSLASHimq] = ACTIONS(5252),
    [anon_sym_BSLASHipr] = ACTIONS(5252),
    [anon_sym_BSLASHib] = ACTIONS(5252),
    [anon_sym_BSLASHiq] = ACTIONS(5252),
    [anon_sym_BSLASHie] = ACTIONS(5252),
    [anon_sym_BSLASHiex] = ACTIONS(5252),
    [anon_sym_BSLASHc] = ACTIONS(5252),
    [anon_sym_BSLASHcl] = ACTIONS(5252),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
    [anon_sym_BSLASH] = ACTIONS(5252),
    [sym_milestoneStartTag] = ACTIONS(5252),
    [sym_milestoneEndTag] = ACTIONS(5252),
    [sym_zSpaceTag] = ACTIONS(5252),
    [anon_sym_BSLASHesb] = ACTIONS(5252),
  },
  [354] = {
    [sym_text] = STATE(347),
    [sym_ref] = STATE(347),
    [aux_sym__introText] = STATE(347),
    [sym_iqt] = STATE(347),
    [sym_xt_standalone] = STATE(347),
    [sym_add] = STATE(347),
    [sym_bk] = STATE(347),
    [sym_dc] = STATE(347),
    [sym_k] = STATE(347),
    [sym_nd] = STATE(347),
    [sym_ord] = STATE(347),
    [sym_pn] = STATE(347),
    [sym_png] = STATE(347),
    [sym_addpn] = STATE(347),
    [sym_qt] = STATE(347),
    [sym_sig] = STATE(347),
    [sym_sls] = STATE(347),
    [sym_tl] = STATE(347),
    [sym_wj] = STATE(347),
    [sym_em] = STATE(347),
    [sym_bd] = STATE(347),
    [sym_it] = STATE(347),
    [sym_bdit] = STATE(347),
    [sym_no] = STATE(347),
    [sym_sc] = STATE(347),
    [sym_sup] = STATE(347),
    [sym_ndx] = STATE(347),
    [sym_pro] = STATE(347),
    [sym_rb] = STATE(347),
    [sym_w] = STATE(347),
    [sym_wg] = STATE(347),
    [sym_wh] = STATE(347),
    [sym_wa] = STATE(347),
    [sym__characterMarker] = STATE(347),
    [sym_fig] = STATE(347),
    [sym_jmp] = STATE(347),
    [ts_builtin_sym_end] = ACTIONS(3769),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHsts] = ACTIONS(3771),
    [anon_sym_BSLASHrem] = ACTIONS(3771),
    [anon_sym_BSLASHrestore] = ACTIONS(3771),
    [anon_sym_BSLASHlit] = ACTIONS(3771),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHimt] = ACTIONS(3771),
    [anon_sym_BSLASHimte] = ACTIONS(3771),
    [anon_sym_BSLASHis] = ACTIONS(3771),
    [anon_sym_BSLASHio] = ACTIONS(3771),
    [anon_sym_BSLASHiot] = ACTIONS(3771),
    [anon_sym_BSLASHip] = ACTIONS(3771),
    [anon_sym_BSLASHim] = ACTIONS(3771),
    [anon_sym_BSLASHipi] = ACTIONS(3771),
    [anon_sym_BSLASHimi] = ACTIONS(3771),
    [anon_sym_BSLASHili] = ACTIONS(3771),
    [anon_sym_BSLASHipq] = ACTIONS(3771),
    [anon_sym_BSLASHimq] = ACTIONS(3771),
    [anon_sym_BSLASHipr] = ACTIONS(3771),
    [anon_sym_BSLASHib] = ACTIONS(3771),
    [anon_sym_BSLASHiq] = ACTIONS(3771),
    [anon_sym_BSLASHie] = ACTIONS(3771),
    [anon_sym_BSLASHiex] = ACTIONS(3771),
    [anon_sym_BSLASHc] = ACTIONS(3771),
    [anon_sym_BSLASHcl] = ACTIONS(3771),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
    [anon_sym_BSLASH] = ACTIONS(3771),
    [sym_milestoneStartTag] = ACTIONS(3771),
    [sym_milestoneEndTag] = ACTIONS(3771),
    [sym_zSpaceTag] = ACTIONS(3771),
    [anon_sym_BSLASHesb] = ACTIONS(3771),
  },
  [355] = {
    [ts_builtin_sym_end] = ACTIONS(2743),
    [aux_sym_text_token1] = ACTIONS(2743),
    [anon_sym_BSLASHref] = ACTIONS(2745),
    [anon_sym_BSLASHsts] = ACTIONS(2745),
    [anon_sym_BSLASHrem] = ACTIONS(2745),
    [anon_sym_BSLASHrestore] = ACTIONS(2745),
    [anon_sym_BSLASHlit] = ACTIONS(2745),
    [anon_sym_BSLASHiqt] = ACTIONS(2745),
    [anon_sym_BSLASHip] = ACTIONS(2745),
    [anon_sym_BSLASHiex] = ACTIONS(2745),
    [anon_sym_BSLASHv] = ACTIONS(2745),
    [anon_sym_BSLASHva] = ACTIONS(2745),
    [anon_sym_BSLASHvp] = ACTIONS(2745),
    [anon_sym_BSLASHc] = ACTIONS(2745),
    [anon_sym_BSLASHcl] = ACTIONS(2745),
    [anon_sym_BSLASHca] = ACTIONS(2745),
    [anon_sym_BSLASHcp] = ACTIONS(2745),
    [anon_sym_BSLASHcd] = ACTIONS(2745),
    [anon_sym_BSLASHmte] = ACTIONS(2745),
    [anon_sym_BSLASHms] = ACTIONS(2745),
    [anon_sym_BSLASHmr] = ACTIONS(2745),
    [anon_sym_BSLASHs] = ACTIONS(2745),
    [anon_sym_BSLASHsr] = ACTIONS(2745),
    [anon_sym_BSLASHr] = ACTIONS(2745),
    [anon_sym_BSLASHsp] = ACTIONS(2745),
    [anon_sym_BSLASHd] = ACTIONS(2745),
    [anon_sym_BSLASHsd] = ACTIONS(2745),
    [anon_sym_BSLASHp] = ACTIONS(2745),
    [anon_sym_BSLASHm] = ACTIONS(2745),
    [anon_sym_BSLASHpo] = ACTIONS(2745),
    [anon_sym_BSLASHpr] = ACTIONS(2745),
    [anon_sym_BSLASHcls] = ACTIONS(2745),
    [anon_sym_BSLASHpmo] = ACTIONS(2745),
    [anon_sym_BSLASHpm] = ACTIONS(2745),
    [anon_sym_BSLASHpmc] = ACTIONS(2745),
    [anon_sym_BSLASHpmr] = ACTIONS(2745),
    [anon_sym_BSLASHpi] = ACTIONS(2745),
    [anon_sym_BSLASHmi] = ACTIONS(2745),
    [anon_sym_BSLASHnb] = ACTIONS(2745),
    [anon_sym_BSLASHpc] = ACTIONS(2745),
    [anon_sym_BSLASHph] = ACTIONS(2745),
    [anon_sym_BSLASHb] = ACTIONS(2745),
    [anon_sym_BSLASHq] = ACTIONS(2745),
    [anon_sym_BSLASHqr] = ACTIONS(2745),
    [anon_sym_BSLASHqc] = ACTIONS(2745),
    [anon_sym_BSLASHqa] = ACTIONS(2745),
    [anon_sym_BSLASHqm] = ACTIONS(2745),
    [anon_sym_BSLASHqd] = ACTIONS(2745),
    [anon_sym_BSLASHlh] = ACTIONS(2745),
    [anon_sym_BSLASHlf] = ACTIONS(2745),
    [anon_sym_BSLASHli] = ACTIONS(2745),
    [anon_sym_BSLASHlim] = ACTIONS(2745),
    [anon_sym_BSLASHliv] = ACTIONS(2745),
    [anon_sym_BSLASHlik] = ACTIONS(2745),
    [anon_sym_BSLASHlitl] = ACTIONS(2745),
    [anon_sym_BSLASHtr] = ACTIONS(2745),
    [anon_sym_BSLASHf] = ACTIONS(2745),
    [anon_sym_BSLASHfe] = ACTIONS(2745),
    [anon_sym_BSLASHef] = ACTIONS(2745),
    [anon_sym_BSLASHfm] = ACTIONS(2745),
    [anon_sym_BSLASHx] = ACTIONS(2745),
    [anon_sym_BSLASHxt] = ACTIONS(2745),
    [anon_sym_BSLASHrq] = ACTIONS(2745),
    [anon_sym_BSLASHadd] = ACTIONS(2745),
    [anon_sym_BSLASHbk] = ACTIONS(2745),
    [anon_sym_BSLASHdc] = ACTIONS(2745),
    [anon_sym_BSLASHk] = ACTIONS(2745),
    [anon_sym_BSLASHnd] = ACTIONS(2745),
    [anon_sym_BSLASHord] = ACTIONS(2745),
    [anon_sym_BSLASHpn] = ACTIONS(2745),
    [anon_sym_BSLASHpng] = ACTIONS(2745),
    [anon_sym_BSLASHaddpn] = ACTIONS(2745),
    [anon_sym_BSLASHqt] = ACTIONS(2745),
    [anon_sym_BSLASHsig] = ACTIONS(2745),
    [anon_sym_BSLASHsls] = ACTIONS(2745),
    [anon_sym_BSLASHtl] = ACTIONS(2745),
    [anon_sym_BSLASHwj] = ACTIONS(2745),
    [anon_sym_BSLASHem] = ACTIONS(2745),
    [anon_sym_BSLASHbd] = ACTIONS(2745),
    [anon_sym_BSLASHit] = ACTIONS(2745),
    [anon_sym_BSLASHbdit] = ACTIONS(2745),
    [anon_sym_BSLASHno] = ACTIONS(2745),
    [anon_sym_BSLASHsc] = ACTIONS(2745),
    [anon_sym_BSLASHsup] = ACTIONS(2745),
    [anon_sym_BSLASHndx] = ACTIONS(2745),
    [anon_sym_BSLASHpro] = ACTIONS(2745),
    [anon_sym_BSLASHrb] = ACTIONS(2745),
    [anon_sym_BSLASHw] = ACTIONS(2745),
    [anon_sym_BSLASHwg] = ACTIONS(2745),
    [anon_sym_BSLASHwh] = ACTIONS(2745),
    [anon_sym_BSLASHwa] = ACTIONS(2745),
    [anon_sym_BSLASHfig] = ACTIONS(2745),
    [anon_sym_BSLASHjmp] = ACTIONS(2745),
    [anon_sym_BSLASHpb] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2745),
    [sym_milestoneStartTag] = ACTIONS(2745),
    [sym_milestoneEndTag] = ACTIONS(2745),
    [sym_zSpaceTag] = ACTIONS(2745),
    [anon_sym_BSLASHesb] = ACTIONS(2745),
  },
  [356] = {
    [ts_builtin_sym_end] = ACTIONS(2739),
    [aux_sym_text_token1] = ACTIONS(2739),
    [anon_sym_BSLASHref] = ACTIONS(2741),
    [anon_sym_BSLASHsts] = ACTIONS(2741),
    [anon_sym_BSLASHrem] = ACTIONS(2741),
    [anon_sym_BSLASHrestore] = ACTIONS(2741),
    [anon_sym_BSLASHlit] = ACTIONS(2741),
    [anon_sym_BSLASHiqt] = ACTIONS(2741),
    [anon_sym_BSLASHip] = ACTIONS(2741),
    [anon_sym_BSLASHiex] = ACTIONS(2741),
    [anon_sym_BSLASHv] = ACTIONS(2741),
    [anon_sym_BSLASHva] = ACTIONS(2741),
    [anon_sym_BSLASHvp] = ACTIONS(2741),
    [anon_sym_BSLASHc] = ACTIONS(2741),
    [anon_sym_BSLASHcl] = ACTIONS(2741),
    [anon_sym_BSLASHca] = ACTIONS(2741),
    [anon_sym_BSLASHcp] = ACTIONS(2741),
    [anon_sym_BSLASHcd] = ACTIONS(2741),
    [anon_sym_BSLASHmte] = ACTIONS(2741),
    [anon_sym_BSLASHms] = ACTIONS(2741),
    [anon_sym_BSLASHmr] = ACTIONS(2741),
    [anon_sym_BSLASHs] = ACTIONS(2741),
    [anon_sym_BSLASHsr] = ACTIONS(2741),
    [anon_sym_BSLASHr] = ACTIONS(2741),
    [anon_sym_BSLASHsp] = ACTIONS(2741),
    [anon_sym_BSLASHd] = ACTIONS(2741),
    [anon_sym_BSLASHsd] = ACTIONS(2741),
    [anon_sym_BSLASHp] = ACTIONS(2741),
    [anon_sym_BSLASHm] = ACTIONS(2741),
    [anon_sym_BSLASHpo] = ACTIONS(2741),
    [anon_sym_BSLASHpr] = ACTIONS(2741),
    [anon_sym_BSLASHcls] = ACTIONS(2741),
    [anon_sym_BSLASHpmo] = ACTIONS(2741),
    [anon_sym_BSLASHpm] = ACTIONS(2741),
    [anon_sym_BSLASHpmc] = ACTIONS(2741),
    [anon_sym_BSLASHpmr] = ACTIONS(2741),
    [anon_sym_BSLASHpi] = ACTIONS(2741),
    [anon_sym_BSLASHmi] = ACTIONS(2741),
    [anon_sym_BSLASHnb] = ACTIONS(2741),
    [anon_sym_BSLASHpc] = ACTIONS(2741),
    [anon_sym_BSLASHph] = ACTIONS(2741),
    [anon_sym_BSLASHb] = ACTIONS(2741),
    [anon_sym_BSLASHq] = ACTIONS(2741),
    [anon_sym_BSLASHqr] = ACTIONS(2741),
    [anon_sym_BSLASHqc] = ACTIONS(2741),
    [anon_sym_BSLASHqa] = ACTIONS(2741),
    [anon_sym_BSLASHqm] = ACTIONS(2741),
    [anon_sym_BSLASHqd] = ACTIONS(2741),
    [anon_sym_BSLASHlh] = ACTIONS(2741),
    [anon_sym_BSLASHlf] = ACTIONS(2741),
    [anon_sym_BSLASHli] = ACTIONS(2741),
    [anon_sym_BSLASHlim] = ACTIONS(2741),
    [anon_sym_BSLASHliv] = ACTIONS(2741),
    [anon_sym_BSLASHlik] = ACTIONS(2741),
    [anon_sym_BSLASHlitl] = ACTIONS(2741),
    [anon_sym_BSLASHtr] = ACTIONS(2741),
    [anon_sym_BSLASHf] = ACTIONS(2741),
    [anon_sym_BSLASHfe] = ACTIONS(2741),
    [anon_sym_BSLASHef] = ACTIONS(2741),
    [anon_sym_BSLASHfm] = ACTIONS(2741),
    [anon_sym_BSLASHx] = ACTIONS(2741),
    [anon_sym_BSLASHxt] = ACTIONS(2741),
    [anon_sym_BSLASHrq] = ACTIONS(2741),
    [anon_sym_BSLASHadd] = ACTIONS(2741),
    [anon_sym_BSLASHbk] = ACTIONS(2741),
    [anon_sym_BSLASHdc] = ACTIONS(2741),
    [anon_sym_BSLASHk] = ACTIONS(2741),
    [anon_sym_BSLASHnd] = ACTIONS(2741),
    [anon_sym_BSLASHord] = ACTIONS(2741),
    [anon_sym_BSLASHpn] = ACTIONS(2741),
    [anon_sym_BSLASHpng] = ACTIONS(2741),
    [anon_sym_BSLASHaddpn] = ACTIONS(2741),
    [anon_sym_BSLASHqt] = ACTIONS(2741),
    [anon_sym_BSLASHsig] = ACTIONS(2741),
    [anon_sym_BSLASHsls] = ACTIONS(2741),
    [anon_sym_BSLASHtl] = ACTIONS(2741),
    [anon_sym_BSLASHwj] = ACTIONS(2741),
    [anon_sym_BSLASHem] = ACTIONS(2741),
    [anon_sym_BSLASHbd] = ACTIONS(2741),
    [anon_sym_BSLASHit] = ACTIONS(2741),
    [anon_sym_BSLASHbdit] = ACTIONS(2741),
    [anon_sym_BSLASHno] = ACTIONS(2741),
    [anon_sym_BSLASHsc] = ACTIONS(2741),
    [anon_sym_BSLASHsup] = ACTIONS(2741),
    [anon_sym_BSLASHndx] = ACTIONS(2741),
    [anon_sym_BSLASHpro] = ACTIONS(2741),
    [anon_sym_BSLASHrb] = ACTIONS(2741),
    [anon_sym_BSLASHw] = ACTIONS(2741),
    [anon_sym_BSLASHwg] = ACTIONS(2741),
    [anon_sym_BSLASHwh] = ACTIONS(2741),
    [anon_sym_BSLASHwa] = ACTIONS(2741),
    [anon_sym_BSLASHfig] = ACTIONS(2741),
    [anon_sym_BSLASHjmp] = ACTIONS(2741),
    [anon_sym_BSLASHpb] = ACTIONS(2741),
    [anon_sym_BSLASH] = ACTIONS(2741),
    [sym_milestoneStartTag] = ACTIONS(2741),
    [sym_milestoneEndTag] = ACTIONS(2741),
    [sym_zSpaceTag] = ACTIONS(2741),
    [anon_sym_BSLASHesb] = ACTIONS(2741),
  },
  [357] = {
    [ts_builtin_sym_end] = ACTIONS(2735),
    [aux_sym_text_token1] = ACTIONS(2735),
    [anon_sym_BSLASHref] = ACTIONS(2737),
    [anon_sym_BSLASHsts] = ACTIONS(2737),
    [anon_sym_BSLASHrem] = ACTIONS(2737),
    [anon_sym_BSLASHrestore] = ACTIONS(2737),
    [anon_sym_BSLASHlit] = ACTIONS(2737),
    [anon_sym_BSLASHiqt] = ACTIONS(2737),
    [anon_sym_BSLASHip] = ACTIONS(2737),
    [anon_sym_BSLASHiex] = ACTIONS(2737),
    [anon_sym_BSLASHv] = ACTIONS(2737),
    [anon_sym_BSLASHva] = ACTIONS(2737),
    [anon_sym_BSLASHvp] = ACTIONS(2737),
    [anon_sym_BSLASHc] = ACTIONS(2737),
    [anon_sym_BSLASHcl] = ACTIONS(2737),
    [anon_sym_BSLASHca] = ACTIONS(2737),
    [anon_sym_BSLASHcp] = ACTIONS(2737),
    [anon_sym_BSLASHcd] = ACTIONS(2737),
    [anon_sym_BSLASHmte] = ACTIONS(2737),
    [anon_sym_BSLASHms] = ACTIONS(2737),
    [anon_sym_BSLASHmr] = ACTIONS(2737),
    [anon_sym_BSLASHs] = ACTIONS(2737),
    [anon_sym_BSLASHsr] = ACTIONS(2737),
    [anon_sym_BSLASHr] = ACTIONS(2737),
    [anon_sym_BSLASHsp] = ACTIONS(2737),
    [anon_sym_BSLASHd] = ACTIONS(2737),
    [anon_sym_BSLASHsd] = ACTIONS(2737),
    [anon_sym_BSLASHp] = ACTIONS(2737),
    [anon_sym_BSLASHm] = ACTIONS(2737),
    [anon_sym_BSLASHpo] = ACTIONS(2737),
    [anon_sym_BSLASHpr] = ACTIONS(2737),
    [anon_sym_BSLASHcls] = ACTIONS(2737),
    [anon_sym_BSLASHpmo] = ACTIONS(2737),
    [anon_sym_BSLASHpm] = ACTIONS(2737),
    [anon_sym_BSLASHpmc] = ACTIONS(2737),
    [anon_sym_BSLASHpmr] = ACTIONS(2737),
    [anon_sym_BSLASHpi] = ACTIONS(2737),
    [anon_sym_BSLASHmi] = ACTIONS(2737),
    [anon_sym_BSLASHnb] = ACTIONS(2737),
    [anon_sym_BSLASHpc] = ACTIONS(2737),
    [anon_sym_BSLASHph] = ACTIONS(2737),
    [anon_sym_BSLASHb] = ACTIONS(2737),
    [anon_sym_BSLASHq] = ACTIONS(2737),
    [anon_sym_BSLASHqr] = ACTIONS(2737),
    [anon_sym_BSLASHqc] = ACTIONS(2737),
    [anon_sym_BSLASHqa] = ACTIONS(2737),
    [anon_sym_BSLASHqm] = ACTIONS(2737),
    [anon_sym_BSLASHqd] = ACTIONS(2737),
    [anon_sym_BSLASHlh] = ACTIONS(2737),
    [anon_sym_BSLASHlf] = ACTIONS(2737),
    [anon_sym_BSLASHli] = ACTIONS(2737),
    [anon_sym_BSLASHlim] = ACTIONS(2737),
    [anon_sym_BSLASHliv] = ACTIONS(2737),
    [anon_sym_BSLASHlik] = ACTIONS(2737),
    [anon_sym_BSLASHlitl] = ACTIONS(2737),
    [anon_sym_BSLASHtr] = ACTIONS(2737),
    [anon_sym_BSLASHf] = ACTIONS(2737),
    [anon_sym_BSLASHfe] = ACTIONS(2737),
    [anon_sym_BSLASHef] = ACTIONS(2737),
    [anon_sym_BSLASHfm] = ACTIONS(2737),
    [anon_sym_BSLASHx] = ACTIONS(2737),
    [anon_sym_BSLASHxt] = ACTIONS(2737),
    [anon_sym_BSLASHrq] = ACTIONS(2737),
    [anon_sym_BSLASHadd] = ACTIONS(2737),
    [anon_sym_BSLASHbk] = ACTIONS(2737),
    [anon_sym_BSLASHdc] = ACTIONS(2737),
    [anon_sym_BSLASHk] = ACTIONS(2737),
    [anon_sym_BSLASHnd] = ACTIONS(2737),
    [anon_sym_BSLASHord] = ACTIONS(2737),
    [anon_sym_BSLASHpn] = ACTIONS(2737),
    [anon_sym_BSLASHpng] = ACTIONS(2737),
    [anon_sym_BSLASHaddpn] = ACTIONS(2737),
    [anon_sym_BSLASHqt] = ACTIONS(2737),
    [anon_sym_BSLASHsig] = ACTIONS(2737),
    [anon_sym_BSLASHsls] = ACTIONS(2737),
    [anon_sym_BSLASHtl] = ACTIONS(2737),
    [anon_sym_BSLASHwj] = ACTIONS(2737),
    [anon_sym_BSLASHem] = ACTIONS(2737),
    [anon_sym_BSLASHbd] = ACTIONS(2737),
    [anon_sym_BSLASHit] = ACTIONS(2737),
    [anon_sym_BSLASHbdit] = ACTIONS(2737),
    [anon_sym_BSLASHno] = ACTIONS(2737),
    [anon_sym_BSLASHsc] = ACTIONS(2737),
    [anon_sym_BSLASHsup] = ACTIONS(2737),
    [anon_sym_BSLASHndx] = ACTIONS(2737),
    [anon_sym_BSLASHpro] = ACTIONS(2737),
    [anon_sym_BSLASHrb] = ACTIONS(2737),
    [anon_sym_BSLASHw] = ACTIONS(2737),
    [anon_sym_BSLASHwg] = ACTIONS(2737),
    [anon_sym_BSLASHwh] = ACTIONS(2737),
    [anon_sym_BSLASHwa] = ACTIONS(2737),
    [anon_sym_BSLASHfig] = ACTIONS(2737),
    [anon_sym_BSLASHjmp] = ACTIONS(2737),
    [anon_sym_BSLASHpb] = ACTIONS(2737),
    [anon_sym_BSLASH] = ACTIONS(2737),
    [sym_milestoneStartTag] = ACTIONS(2737),
    [sym_milestoneEndTag] = ACTIONS(2737),
    [sym_zSpaceTag] = ACTIONS(2737),
    [anon_sym_BSLASHesb] = ACTIONS(2737),
  },
  [358] = {
    [ts_builtin_sym_end] = ACTIONS(2667),
    [aux_sym_text_token1] = ACTIONS(2667),
    [anon_sym_BSLASHref] = ACTIONS(2669),
    [anon_sym_BSLASHsts] = ACTIONS(2669),
    [anon_sym_BSLASHrem] = ACTIONS(2669),
    [anon_sym_BSLASHrestore] = ACTIONS(2669),
    [anon_sym_BSLASHlit] = ACTIONS(2669),
    [anon_sym_BSLASHiqt] = ACTIONS(2669),
    [anon_sym_BSLASHip] = ACTIONS(2669),
    [anon_sym_BSLASHiex] = ACTIONS(2669),
    [anon_sym_BSLASHv] = ACTIONS(2669),
    [anon_sym_BSLASHva] = ACTIONS(2669),
    [anon_sym_BSLASHvp] = ACTIONS(2669),
    [anon_sym_BSLASHc] = ACTIONS(2669),
    [anon_sym_BSLASHcl] = ACTIONS(2669),
    [anon_sym_BSLASHca] = ACTIONS(2669),
    [anon_sym_BSLASHcp] = ACTIONS(2669),
    [anon_sym_BSLASHcd] = ACTIONS(2669),
    [anon_sym_BSLASHmte] = ACTIONS(2669),
    [anon_sym_BSLASHms] = ACTIONS(2669),
    [anon_sym_BSLASHmr] = ACTIONS(2669),
    [anon_sym_BSLASHs] = ACTIONS(2669),
    [anon_sym_BSLASHsr] = ACTIONS(2669),
    [anon_sym_BSLASHr] = ACTIONS(2669),
    [anon_sym_BSLASHsp] = ACTIONS(2669),
    [anon_sym_BSLASHd] = ACTIONS(2669),
    [anon_sym_BSLASHsd] = ACTIONS(2669),
    [anon_sym_BSLASHp] = ACTIONS(2669),
    [anon_sym_BSLASHm] = ACTIONS(2669),
    [anon_sym_BSLASHpo] = ACTIONS(2669),
    [anon_sym_BSLASHpr] = ACTIONS(2669),
    [anon_sym_BSLASHcls] = ACTIONS(2669),
    [anon_sym_BSLASHpmo] = ACTIONS(2669),
    [anon_sym_BSLASHpm] = ACTIONS(2669),
    [anon_sym_BSLASHpmc] = ACTIONS(2669),
    [anon_sym_BSLASHpmr] = ACTIONS(2669),
    [anon_sym_BSLASHpi] = ACTIONS(2669),
    [anon_sym_BSLASHmi] = ACTIONS(2669),
    [anon_sym_BSLASHnb] = ACTIONS(2669),
    [anon_sym_BSLASHpc] = ACTIONS(2669),
    [anon_sym_BSLASHph] = ACTIONS(2669),
    [anon_sym_BSLASHb] = ACTIONS(2669),
    [anon_sym_BSLASHq] = ACTIONS(2669),
    [anon_sym_BSLASHqr] = ACTIONS(2669),
    [anon_sym_BSLASHqc] = ACTIONS(2669),
    [anon_sym_BSLASHqa] = ACTIONS(2669),
    [anon_sym_BSLASHqm] = ACTIONS(2669),
    [anon_sym_BSLASHqd] = ACTIONS(2669),
    [anon_sym_BSLASHlh] = ACTIONS(2669),
    [anon_sym_BSLASHlf] = ACTIONS(2669),
    [anon_sym_BSLASHli] = ACTIONS(2669),
    [anon_sym_BSLASHlim] = ACTIONS(2669),
    [anon_sym_BSLASHliv] = ACTIONS(2669),
    [anon_sym_BSLASHlik] = ACTIONS(2669),
    [anon_sym_BSLASHlitl] = ACTIONS(2669),
    [anon_sym_BSLASHtr] = ACTIONS(2669),
    [anon_sym_BSLASHf] = ACTIONS(2669),
    [anon_sym_BSLASHfe] = ACTIONS(2669),
    [anon_sym_BSLASHef] = ACTIONS(2669),
    [anon_sym_BSLASHfm] = ACTIONS(2669),
    [anon_sym_BSLASHx] = ACTIONS(2669),
    [anon_sym_BSLASHxt] = ACTIONS(2669),
    [anon_sym_BSLASHrq] = ACTIONS(2669),
    [anon_sym_BSLASHadd] = ACTIONS(2669),
    [anon_sym_BSLASHbk] = ACTIONS(2669),
    [anon_sym_BSLASHdc] = ACTIONS(2669),
    [anon_sym_BSLASHk] = ACTIONS(2669),
    [anon_sym_BSLASHnd] = ACTIONS(2669),
    [anon_sym_BSLASHord] = ACTIONS(2669),
    [anon_sym_BSLASHpn] = ACTIONS(2669),
    [anon_sym_BSLASHpng] = ACTIONS(2669),
    [anon_sym_BSLASHaddpn] = ACTIONS(2669),
    [anon_sym_BSLASHqt] = ACTIONS(2669),
    [anon_sym_BSLASHsig] = ACTIONS(2669),
    [anon_sym_BSLASHsls] = ACTIONS(2669),
    [anon_sym_BSLASHtl] = ACTIONS(2669),
    [anon_sym_BSLASHwj] = ACTIONS(2669),
    [anon_sym_BSLASHem] = ACTIONS(2669),
    [anon_sym_BSLASHbd] = ACTIONS(2669),
    [anon_sym_BSLASHit] = ACTIONS(2669),
    [anon_sym_BSLASHbdit] = ACTIONS(2669),
    [anon_sym_BSLASHno] = ACTIONS(2669),
    [anon_sym_BSLASHsc] = ACTIONS(2669),
    [anon_sym_BSLASHsup] = ACTIONS(2669),
    [anon_sym_BSLASHndx] = ACTIONS(2669),
    [anon_sym_BSLASHpro] = ACTIONS(2669),
    [anon_sym_BSLASHrb] = ACTIONS(2669),
    [anon_sym_BSLASHw] = ACTIONS(2669),
    [anon_sym_BSLASHwg] = ACTIONS(2669),
    [anon_sym_BSLASHwh] = ACTIONS(2669),
    [anon_sym_BSLASHwa] = ACTIONS(2669),
    [anon_sym_BSLASHfig] = ACTIONS(2669),
    [anon_sym_BSLASHjmp] = ACTIONS(2669),
    [anon_sym_BSLASHpb] = ACTIONS(2669),
    [anon_sym_BSLASH] = ACTIONS(2669),
    [sym_milestoneStartTag] = ACTIONS(2669),
    [sym_milestoneEndTag] = ACTIONS(2669),
    [sym_zSpaceTag] = ACTIONS(2669),
    [anon_sym_BSLASHesb] = ACTIONS(2669),
  },
  [359] = {
    [ts_builtin_sym_end] = ACTIONS(2695),
    [aux_sym_text_token1] = ACTIONS(2695),
    [anon_sym_BSLASHref] = ACTIONS(2697),
    [anon_sym_BSLASHsts] = ACTIONS(2697),
    [anon_sym_BSLASHrem] = ACTIONS(2697),
    [anon_sym_BSLASHrestore] = ACTIONS(2697),
    [anon_sym_BSLASHlit] = ACTIONS(2697),
    [anon_sym_BSLASHiqt] = ACTIONS(2697),
    [anon_sym_BSLASHip] = ACTIONS(2697),
    [anon_sym_BSLASHiex] = ACTIONS(2697),
    [anon_sym_BSLASHv] = ACTIONS(2697),
    [anon_sym_BSLASHva] = ACTIONS(2697),
    [anon_sym_BSLASHvp] = ACTIONS(2697),
    [anon_sym_BSLASHc] = ACTIONS(2697),
    [anon_sym_BSLASHcl] = ACTIONS(2697),
    [anon_sym_BSLASHca] = ACTIONS(2697),
    [anon_sym_BSLASHcp] = ACTIONS(2697),
    [anon_sym_BSLASHcd] = ACTIONS(2697),
    [anon_sym_BSLASHmte] = ACTIONS(2697),
    [anon_sym_BSLASHms] = ACTIONS(2697),
    [anon_sym_BSLASHmr] = ACTIONS(2697),
    [anon_sym_BSLASHs] = ACTIONS(2697),
    [anon_sym_BSLASHsr] = ACTIONS(2697),
    [anon_sym_BSLASHr] = ACTIONS(2697),
    [anon_sym_BSLASHsp] = ACTIONS(2697),
    [anon_sym_BSLASHd] = ACTIONS(2697),
    [anon_sym_BSLASHsd] = ACTIONS(2697),
    [anon_sym_BSLASHp] = ACTIONS(2697),
    [anon_sym_BSLASHm] = ACTIONS(2697),
    [anon_sym_BSLASHpo] = ACTIONS(2697),
    [anon_sym_BSLASHpr] = ACTIONS(2697),
    [anon_sym_BSLASHcls] = ACTIONS(2697),
    [anon_sym_BSLASHpmo] = ACTIONS(2697),
    [anon_sym_BSLASHpm] = ACTIONS(2697),
    [anon_sym_BSLASHpmc] = ACTIONS(2697),
    [anon_sym_BSLASHpmr] = ACTIONS(2697),
    [anon_sym_BSLASHpi] = ACTIONS(2697),
    [anon_sym_BSLASHmi] = ACTIONS(2697),
    [anon_sym_BSLASHnb] = ACTIONS(2697),
    [anon_sym_BSLASHpc] = ACTIONS(2697),
    [anon_sym_BSLASHph] = ACTIONS(2697),
    [anon_sym_BSLASHb] = ACTIONS(2697),
    [anon_sym_BSLASHq] = ACTIONS(2697),
    [anon_sym_BSLASHqr] = ACTIONS(2697),
    [anon_sym_BSLASHqc] = ACTIONS(2697),
    [anon_sym_BSLASHqa] = ACTIONS(2697),
    [anon_sym_BSLASHqm] = ACTIONS(2697),
    [anon_sym_BSLASHqd] = ACTIONS(2697),
    [anon_sym_BSLASHlh] = ACTIONS(2697),
    [anon_sym_BSLASHlf] = ACTIONS(2697),
    [anon_sym_BSLASHli] = ACTIONS(2697),
    [anon_sym_BSLASHlim] = ACTIONS(2697),
    [anon_sym_BSLASHliv] = ACTIONS(2697),
    [anon_sym_BSLASHlik] = ACTIONS(2697),
    [anon_sym_BSLASHlitl] = ACTIONS(2697),
    [anon_sym_BSLASHtr] = ACTIONS(2697),
    [anon_sym_BSLASHf] = ACTIONS(2697),
    [anon_sym_BSLASHfe] = ACTIONS(2697),
    [anon_sym_BSLASHef] = ACTIONS(2697),
    [anon_sym_BSLASHfm] = ACTIONS(2697),
    [anon_sym_BSLASHx] = ACTIONS(2697),
    [anon_sym_BSLASHxt] = ACTIONS(2697),
    [anon_sym_BSLASHrq] = ACTIONS(2697),
    [anon_sym_BSLASHadd] = ACTIONS(2697),
    [anon_sym_BSLASHbk] = ACTIONS(2697),
    [anon_sym_BSLASHdc] = ACTIONS(2697),
    [anon_sym_BSLASHk] = ACTIONS(2697),
    [anon_sym_BSLASHnd] = ACTIONS(2697),
    [anon_sym_BSLASHord] = ACTIONS(2697),
    [anon_sym_BSLASHpn] = ACTIONS(2697),
    [anon_sym_BSLASHpng] = ACTIONS(2697),
    [anon_sym_BSLASHaddpn] = ACTIONS(2697),
    [anon_sym_BSLASHqt] = ACTIONS(2697),
    [anon_sym_BSLASHsig] = ACTIONS(2697),
    [anon_sym_BSLASHsls] = ACTIONS(2697),
    [anon_sym_BSLASHtl] = ACTIONS(2697),
    [anon_sym_BSLASHwj] = ACTIONS(2697),
    [anon_sym_BSLASHem] = ACTIONS(2697),
    [anon_sym_BSLASHbd] = ACTIONS(2697),
    [anon_sym_BSLASHit] = ACTIONS(2697),
    [anon_sym_BSLASHbdit] = ACTIONS(2697),
    [anon_sym_BSLASHno] = ACTIONS(2697),
    [anon_sym_BSLASHsc] = ACTIONS(2697),
    [anon_sym_BSLASHsup] = ACTIONS(2697),
    [anon_sym_BSLASHndx] = ACTIONS(2697),
    [anon_sym_BSLASHpro] = ACTIONS(2697),
    [anon_sym_BSLASHrb] = ACTIONS(2697),
    [anon_sym_BSLASHw] = ACTIONS(2697),
    [anon_sym_BSLASHwg] = ACTIONS(2697),
    [anon_sym_BSLASHwh] = ACTIONS(2697),
    [anon_sym_BSLASHwa] = ACTIONS(2697),
    [anon_sym_BSLASHfig] = ACTIONS(2697),
    [anon_sym_BSLASHjmp] = ACTIONS(2697),
    [anon_sym_BSLASHpb] = ACTIONS(2697),
    [anon_sym_BSLASH] = ACTIONS(2697),
    [sym_milestoneStartTag] = ACTIONS(2697),
    [sym_milestoneEndTag] = ACTIONS(2697),
    [sym_zSpaceTag] = ACTIONS(2697),
    [anon_sym_BSLASHesb] = ACTIONS(2697),
  },
  [360] = {
    [ts_builtin_sym_end] = ACTIONS(2691),
    [aux_sym_text_token1] = ACTIONS(2691),
    [anon_sym_BSLASHref] = ACTIONS(2693),
    [anon_sym_BSLASHsts] = ACTIONS(2693),
    [anon_sym_BSLASHrem] = ACTIONS(2693),
    [anon_sym_BSLASHrestore] = ACTIONS(2693),
    [anon_sym_BSLASHlit] = ACTIONS(2693),
    [anon_sym_BSLASHiqt] = ACTIONS(2693),
    [anon_sym_BSLASHip] = ACTIONS(2693),
    [anon_sym_BSLASHiex] = ACTIONS(2693),
    [anon_sym_BSLASHv] = ACTIONS(2693),
    [anon_sym_BSLASHva] = ACTIONS(2693),
    [anon_sym_BSLASHvp] = ACTIONS(2693),
    [anon_sym_BSLASHc] = ACTIONS(2693),
    [anon_sym_BSLASHcl] = ACTIONS(2693),
    [anon_sym_BSLASHca] = ACTIONS(2693),
    [anon_sym_BSLASHcp] = ACTIONS(2693),
    [anon_sym_BSLASHcd] = ACTIONS(2693),
    [anon_sym_BSLASHmte] = ACTIONS(2693),
    [anon_sym_BSLASHms] = ACTIONS(2693),
    [anon_sym_BSLASHmr] = ACTIONS(2693),
    [anon_sym_BSLASHs] = ACTIONS(2693),
    [anon_sym_BSLASHsr] = ACTIONS(2693),
    [anon_sym_BSLASHr] = ACTIONS(2693),
    [anon_sym_BSLASHsp] = ACTIONS(2693),
    [anon_sym_BSLASHd] = ACTIONS(2693),
    [anon_sym_BSLASHsd] = ACTIONS(2693),
    [anon_sym_BSLASHp] = ACTIONS(2693),
    [anon_sym_BSLASHm] = ACTIONS(2693),
    [anon_sym_BSLASHpo] = ACTIONS(2693),
    [anon_sym_BSLASHpr] = ACTIONS(2693),
    [anon_sym_BSLASHcls] = ACTIONS(2693),
    [anon_sym_BSLASHpmo] = ACTIONS(2693),
    [anon_sym_BSLASHpm] = ACTIONS(2693),
    [anon_sym_BSLASHpmc] = ACTIONS(2693),
    [anon_sym_BSLASHpmr] = ACTIONS(2693),
    [anon_sym_BSLASHpi] = ACTIONS(2693),
    [anon_sym_BSLASHmi] = ACTIONS(2693),
    [anon_sym_BSLASHnb] = ACTIONS(2693),
    [anon_sym_BSLASHpc] = ACTIONS(2693),
    [anon_sym_BSLASHph] = ACTIONS(2693),
    [anon_sym_BSLASHb] = ACTIONS(2693),
    [anon_sym_BSLASHq] = ACTIONS(2693),
    [anon_sym_BSLASHqr] = ACTIONS(2693),
    [anon_sym_BSLASHqc] = ACTIONS(2693),
    [anon_sym_BSLASHqa] = ACTIONS(2693),
    [anon_sym_BSLASHqm] = ACTIONS(2693),
    [anon_sym_BSLASHqd] = ACTIONS(2693),
    [anon_sym_BSLASHlh] = ACTIONS(2693),
    [anon_sym_BSLASHlf] = ACTIONS(2693),
    [anon_sym_BSLASHli] = ACTIONS(2693),
    [anon_sym_BSLASHlim] = ACTIONS(2693),
    [anon_sym_BSLASHliv] = ACTIONS(2693),
    [anon_sym_BSLASHlik] = ACTIONS(2693),
    [anon_sym_BSLASHlitl] = ACTIONS(2693),
    [anon_sym_BSLASHtr] = ACTIONS(2693),
    [anon_sym_BSLASHf] = ACTIONS(2693),
    [anon_sym_BSLASHfe] = ACTIONS(2693),
    [anon_sym_BSLASHef] = ACTIONS(2693),
    [anon_sym_BSLASHfm] = ACTIONS(2693),
    [anon_sym_BSLASHx] = ACTIONS(2693),
    [anon_sym_BSLASHxt] = ACTIONS(2693),
    [anon_sym_BSLASHrq] = ACTIONS(2693),
    [anon_sym_BSLASHadd] = ACTIONS(2693),
    [anon_sym_BSLASHbk] = ACTIONS(2693),
    [anon_sym_BSLASHdc] = ACTIONS(2693),
    [anon_sym_BSLASHk] = ACTIONS(2693),
    [anon_sym_BSLASHnd] = ACTIONS(2693),
    [anon_sym_BSLASHord] = ACTIONS(2693),
    [anon_sym_BSLASHpn] = ACTIONS(2693),
    [anon_sym_BSLASHpng] = ACTIONS(2693),
    [anon_sym_BSLASHaddpn] = ACTIONS(2693),
    [anon_sym_BSLASHqt] = ACTIONS(2693),
    [anon_sym_BSLASHsig] = ACTIONS(2693),
    [anon_sym_BSLASHsls] = ACTIONS(2693),
    [anon_sym_BSLASHtl] = ACTIONS(2693),
    [anon_sym_BSLASHwj] = ACTIONS(2693),
    [anon_sym_BSLASHem] = ACTIONS(2693),
    [anon_sym_BSLASHbd] = ACTIONS(2693),
    [anon_sym_BSLASHit] = ACTIONS(2693),
    [anon_sym_BSLASHbdit] = ACTIONS(2693),
    [anon_sym_BSLASHno] = ACTIONS(2693),
    [anon_sym_BSLASHsc] = ACTIONS(2693),
    [anon_sym_BSLASHsup] = ACTIONS(2693),
    [anon_sym_BSLASHndx] = ACTIONS(2693),
    [anon_sym_BSLASHpro] = ACTIONS(2693),
    [anon_sym_BSLASHrb] = ACTIONS(2693),
    [anon_sym_BSLASHw] = ACTIONS(2693),
    [anon_sym_BSLASHwg] = ACTIONS(2693),
    [anon_sym_BSLASHwh] = ACTIONS(2693),
    [anon_sym_BSLASHwa] = ACTIONS(2693),
    [anon_sym_BSLASHfig] = ACTIONS(2693),
    [anon_sym_BSLASHjmp] = ACTIONS(2693),
    [anon_sym_BSLASHpb] = ACTIONS(2693),
    [anon_sym_BSLASH] = ACTIONS(2693),
    [sym_milestoneStartTag] = ACTIONS(2693),
    [sym_milestoneEndTag] = ACTIONS(2693),
    [sym_zSpaceTag] = ACTIONS(2693),
    [anon_sym_BSLASHesb] = ACTIONS(2693),
  },
  [361] = {
    [sym_text] = STATE(347),
    [sym_ref] = STATE(347),
    [aux_sym__introText] = STATE(347),
    [sym_iqt] = STATE(347),
    [sym_xt_standalone] = STATE(347),
    [sym_add] = STATE(347),
    [sym_bk] = STATE(347),
    [sym_dc] = STATE(347),
    [sym_k] = STATE(347),
    [sym_nd] = STATE(347),
    [sym_ord] = STATE(347),
    [sym_pn] = STATE(347),
    [sym_png] = STATE(347),
    [sym_addpn] = STATE(347),
    [sym_qt] = STATE(347),
    [sym_sig] = STATE(347),
    [sym_sls] = STATE(347),
    [sym_tl] = STATE(347),
    [sym_wj] = STATE(347),
    [sym_em] = STATE(347),
    [sym_bd] = STATE(347),
    [sym_it] = STATE(347),
    [sym_bdit] = STATE(347),
    [sym_no] = STATE(347),
    [sym_sc] = STATE(347),
    [sym_sup] = STATE(347),
    [sym_ndx] = STATE(347),
    [sym_pro] = STATE(347),
    [sym_rb] = STATE(347),
    [sym_w] = STATE(347),
    [sym_wg] = STATE(347),
    [sym_wh] = STATE(347),
    [sym_wa] = STATE(347),
    [sym__characterMarker] = STATE(347),
    [sym_fig] = STATE(347),
    [sym_jmp] = STATE(347),
    [ts_builtin_sym_end] = ACTIONS(5254),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHsts] = ACTIONS(5256),
    [anon_sym_BSLASHrem] = ACTIONS(5256),
    [anon_sym_BSLASHrestore] = ACTIONS(5256),
    [anon_sym_BSLASHlit] = ACTIONS(5256),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHimt] = ACTIONS(5256),
    [anon_sym_BSLASHimte] = ACTIONS(5256),
    [anon_sym_BSLASHis] = ACTIONS(5256),
    [anon_sym_BSLASHio] = ACTIONS(5256),
    [anon_sym_BSLASHiot] = ACTIONS(5256),
    [anon_sym_BSLASHip] = ACTIONS(5256),
    [anon_sym_BSLASHim] = ACTIONS(5256),
    [anon_sym_BSLASHipi] = ACTIONS(5256),
    [anon_sym_BSLASHimi] = ACTIONS(5256),
    [anon_sym_BSLASHili] = ACTIONS(5256),
    [anon_sym_BSLASHipq] = ACTIONS(5256),
    [anon_sym_BSLASHimq] = ACTIONS(5256),
    [anon_sym_BSLASHipr] = ACTIONS(5256),
    [anon_sym_BSLASHib] = ACTIONS(5256),
    [anon_sym_BSLASHiq] = ACTIONS(5256),
    [anon_sym_BSLASHie] = ACTIONS(5256),
    [anon_sym_BSLASHiex] = ACTIONS(5256),
    [anon_sym_BSLASHc] = ACTIONS(5256),
    [anon_sym_BSLASHcl] = ACTIONS(5256),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
    [anon_sym_BSLASH] = ACTIONS(5256),
    [sym_milestoneStartTag] = ACTIONS(5256),
    [sym_milestoneEndTag] = ACTIONS(5256),
    [sym_zSpaceTag] = ACTIONS(5256),
    [anon_sym_BSLASHesb] = ACTIONS(5256),
  },
  [362] = {
    [ts_builtin_sym_end] = ACTIONS(2699),
    [aux_sym_text_token1] = ACTIONS(2699),
    [anon_sym_BSLASHref] = ACTIONS(2701),
    [anon_sym_BSLASHsts] = ACTIONS(2701),
    [anon_sym_BSLASHrem] = ACTIONS(2701),
    [anon_sym_BSLASHrestore] = ACTIONS(2701),
    [anon_sym_BSLASHlit] = ACTIONS(2701),
    [anon_sym_BSLASHiqt] = ACTIONS(2701),
    [anon_sym_BSLASHip] = ACTIONS(2701),
    [anon_sym_BSLASHiex] = ACTIONS(2701),
    [anon_sym_BSLASHv] = ACTIONS(2701),
    [anon_sym_BSLASHva] = ACTIONS(2701),
    [anon_sym_BSLASHvp] = ACTIONS(2701),
    [anon_sym_BSLASHc] = ACTIONS(2701),
    [anon_sym_BSLASHcl] = ACTIONS(2701),
    [anon_sym_BSLASHca] = ACTIONS(2701),
    [anon_sym_BSLASHcp] = ACTIONS(2701),
    [anon_sym_BSLASHcd] = ACTIONS(2701),
    [anon_sym_BSLASHmte] = ACTIONS(2701),
    [anon_sym_BSLASHms] = ACTIONS(2701),
    [anon_sym_BSLASHmr] = ACTIONS(2701),
    [anon_sym_BSLASHs] = ACTIONS(2701),
    [anon_sym_BSLASHsr] = ACTIONS(2701),
    [anon_sym_BSLASHr] = ACTIONS(2701),
    [anon_sym_BSLASHsp] = ACTIONS(2701),
    [anon_sym_BSLASHd] = ACTIONS(2701),
    [anon_sym_BSLASHsd] = ACTIONS(2701),
    [anon_sym_BSLASHp] = ACTIONS(2701),
    [anon_sym_BSLASHm] = ACTIONS(2701),
    [anon_sym_BSLASHpo] = ACTIONS(2701),
    [anon_sym_BSLASHpr] = ACTIONS(2701),
    [anon_sym_BSLASHcls] = ACTIONS(2701),
    [anon_sym_BSLASHpmo] = ACTIONS(2701),
    [anon_sym_BSLASHpm] = ACTIONS(2701),
    [anon_sym_BSLASHpmc] = ACTIONS(2701),
    [anon_sym_BSLASHpmr] = ACTIONS(2701),
    [anon_sym_BSLASHpi] = ACTIONS(2701),
    [anon_sym_BSLASHmi] = ACTIONS(2701),
    [anon_sym_BSLASHnb] = ACTIONS(2701),
    [anon_sym_BSLASHpc] = ACTIONS(2701),
    [anon_sym_BSLASHph] = ACTIONS(2701),
    [anon_sym_BSLASHb] = ACTIONS(2701),
    [anon_sym_BSLASHq] = ACTIONS(2701),
    [anon_sym_BSLASHqr] = ACTIONS(2701),
    [anon_sym_BSLASHqc] = ACTIONS(2701),
    [anon_sym_BSLASHqa] = ACTIONS(2701),
    [anon_sym_BSLASHqm] = ACTIONS(2701),
    [anon_sym_BSLASHqd] = ACTIONS(2701),
    [anon_sym_BSLASHlh] = ACTIONS(2701),
    [anon_sym_BSLASHlf] = ACTIONS(2701),
    [anon_sym_BSLASHli] = ACTIONS(2701),
    [anon_sym_BSLASHlim] = ACTIONS(2701),
    [anon_sym_BSLASHliv] = ACTIONS(2701),
    [anon_sym_BSLASHlik] = ACTIONS(2701),
    [anon_sym_BSLASHlitl] = ACTIONS(2701),
    [anon_sym_BSLASHtr] = ACTIONS(2701),
    [anon_sym_BSLASHf] = ACTIONS(2701),
    [anon_sym_BSLASHfe] = ACTIONS(2701),
    [anon_sym_BSLASHef] = ACTIONS(2701),
    [anon_sym_BSLASHfm] = ACTIONS(2701),
    [anon_sym_BSLASHx] = ACTIONS(2701),
    [anon_sym_BSLASHxt] = ACTIONS(2701),
    [anon_sym_BSLASHrq] = ACTIONS(2701),
    [anon_sym_BSLASHadd] = ACTIONS(2701),
    [anon_sym_BSLASHbk] = ACTIONS(2701),
    [anon_sym_BSLASHdc] = ACTIONS(2701),
    [anon_sym_BSLASHk] = ACTIONS(2701),
    [anon_sym_BSLASHnd] = ACTIONS(2701),
    [anon_sym_BSLASHord] = ACTIONS(2701),
    [anon_sym_BSLASHpn] = ACTIONS(2701),
    [anon_sym_BSLASHpng] = ACTIONS(2701),
    [anon_sym_BSLASHaddpn] = ACTIONS(2701),
    [anon_sym_BSLASHqt] = ACTIONS(2701),
    [anon_sym_BSLASHsig] = ACTIONS(2701),
    [anon_sym_BSLASHsls] = ACTIONS(2701),
    [anon_sym_BSLASHtl] = ACTIONS(2701),
    [anon_sym_BSLASHwj] = ACTIONS(2701),
    [anon_sym_BSLASHem] = ACTIONS(2701),
    [anon_sym_BSLASHbd] = ACTIONS(2701),
    [anon_sym_BSLASHit] = ACTIONS(2701),
    [anon_sym_BSLASHbdit] = ACTIONS(2701),
    [anon_sym_BSLASHno] = ACTIONS(2701),
    [anon_sym_BSLASHsc] = ACTIONS(2701),
    [anon_sym_BSLASHsup] = ACTIONS(2701),
    [anon_sym_BSLASHndx] = ACTIONS(2701),
    [anon_sym_BSLASHpro] = ACTIONS(2701),
    [anon_sym_BSLASHrb] = ACTIONS(2701),
    [anon_sym_BSLASHw] = ACTIONS(2701),
    [anon_sym_BSLASHwg] = ACTIONS(2701),
    [anon_sym_BSLASHwh] = ACTIONS(2701),
    [anon_sym_BSLASHwa] = ACTIONS(2701),
    [anon_sym_BSLASHfig] = ACTIONS(2701),
    [anon_sym_BSLASHjmp] = ACTIONS(2701),
    [anon_sym_BSLASHpb] = ACTIONS(2701),
    [anon_sym_BSLASH] = ACTIONS(2701),
    [sym_milestoneStartTag] = ACTIONS(2701),
    [sym_milestoneEndTag] = ACTIONS(2701),
    [sym_zSpaceTag] = ACTIONS(2701),
    [anon_sym_BSLASHesb] = ACTIONS(2701),
  },
  [363] = {
    [sym_text] = STATE(407),
    [sym__milestoneAttributes] = STATE(2076),
    [ts_builtin_sym_end] = ACTIONS(5110),
    [aux_sym_text_token1] = ACTIONS(5258),
    [anon_sym_BSLASHref] = ACTIONS(5114),
    [anon_sym_BSLASHsts] = ACTIONS(5114),
    [anon_sym_BSLASHrem] = ACTIONS(5114),
    [anon_sym_BSLASHrestore] = ACTIONS(5114),
    [anon_sym_BSLASHlit] = ACTIONS(5114),
    [anon_sym_BSLASHip] = ACTIONS(5114),
    [anon_sym_BSLASHiex] = ACTIONS(5114),
    [anon_sym_BSLASHv] = ACTIONS(5114),
    [anon_sym_BSLASHva] = ACTIONS(5114),
    [anon_sym_BSLASHvp] = ACTIONS(5114),
    [anon_sym_BSLASHc] = ACTIONS(5114),
    [anon_sym_BSLASHcl] = ACTIONS(5114),
    [anon_sym_BSLASHca] = ACTIONS(5114),
    [anon_sym_BSLASHcp] = ACTIONS(5114),
    [anon_sym_BSLASHcd] = ACTIONS(5114),
    [anon_sym_BSLASHmte] = ACTIONS(5114),
    [anon_sym_BSLASHms] = ACTIONS(5114),
    [anon_sym_BSLASHs] = ACTIONS(5114),
    [anon_sym_BSLASHr] = ACTIONS(5114),
    [anon_sym_BSLASHsp] = ACTIONS(5114),
    [anon_sym_BSLASHd] = ACTIONS(5114),
    [anon_sym_BSLASHsd] = ACTIONS(5114),
    [anon_sym_BSLASHp] = ACTIONS(5114),
    [anon_sym_BSLASHm] = ACTIONS(5114),
    [anon_sym_BSLASHpo] = ACTIONS(5114),
    [anon_sym_BSLASHpr] = ACTIONS(5114),
    [anon_sym_BSLASHcls] = ACTIONS(5114),
    [anon_sym_BSLASHpmo] = ACTIONS(5114),
    [anon_sym_BSLASHpm] = ACTIONS(5114),
    [anon_sym_BSLASHpmc] = ACTIONS(5114),
    [anon_sym_BSLASHpmr] = ACTIONS(5114),
    [anon_sym_BSLASHpi] = ACTIONS(5114),
    [anon_sym_BSLASHmi] = ACTIONS(5114),
    [anon_sym_BSLASHnb] = ACTIONS(5114),
    [anon_sym_BSLASHpc] = ACTIONS(5114),
    [anon_sym_BSLASHph] = ACTIONS(5114),
    [anon_sym_BSLASHb] = ACTIONS(5114),
    [anon_sym_BSLASHq] = ACTIONS(5114),
    [anon_sym_BSLASHqr] = ACTIONS(5114),
    [anon_sym_BSLASHqc] = ACTIONS(5114),
    [anon_sym_BSLASHqs] = ACTIONS(5114),
    [anon_sym_BSLASHqa] = ACTIONS(5114),
    [anon_sym_BSLASHqac] = ACTIONS(5114),
    [anon_sym_BSLASHqm] = ACTIONS(5114),
    [anon_sym_BSLASHqd] = ACTIONS(5114),
    [anon_sym_BSLASHlh] = ACTIONS(5114),
    [anon_sym_BSLASHli] = ACTIONS(5114),
    [anon_sym_BSLASHlim] = ACTIONS(5114),
    [anon_sym_BSLASHtr] = ACTIONS(5114),
    [anon_sym_BSLASHf] = ACTIONS(5114),
    [anon_sym_BSLASHfe] = ACTIONS(5114),
    [anon_sym_BSLASHef] = ACTIONS(5114),
    [anon_sym_BSLASHfm] = ACTIONS(5114),
    [anon_sym_BSLASHx] = ACTIONS(5114),
    [anon_sym_BSLASHxt] = ACTIONS(5114),
    [anon_sym_BSLASHrq] = ACTIONS(5114),
    [anon_sym_BSLASHadd] = ACTIONS(5114),
    [anon_sym_BSLASHbk] = ACTIONS(5114),
    [anon_sym_BSLASHdc] = ACTIONS(5114),
    [anon_sym_BSLASHk] = ACTIONS(5114),
    [anon_sym_BSLASHnd] = ACTIONS(5114),
    [anon_sym_BSLASHord] = ACTIONS(5114),
    [anon_sym_BSLASHpn] = ACTIONS(5114),
    [anon_sym_BSLASHpng] = ACTIONS(5114),
    [anon_sym_BSLASHaddpn] = ACTIONS(5114),
    [anon_sym_BSLASHqt] = ACTIONS(5114),
    [anon_sym_BSLASHsig] = ACTIONS(5114),
    [anon_sym_BSLASHsls] = ACTIONS(5114),
    [anon_sym_BSLASHtl] = ACTIONS(5114),
    [anon_sym_BSLASHwj] = ACTIONS(5114),
    [anon_sym_BSLASHem] = ACTIONS(5114),
    [anon_sym_BSLASHbd] = ACTIONS(5114),
    [anon_sym_BSLASHit] = ACTIONS(5114),
    [anon_sym_BSLASHbdit] = ACTIONS(5114),
    [anon_sym_BSLASHno] = ACTIONS(5114),
    [anon_sym_BSLASHsc] = ACTIONS(5114),
    [anon_sym_BSLASHsup] = ACTIONS(5114),
    [anon_sym_BSLASHndx] = ACTIONS(5114),
    [anon_sym_BSLASHpro] = ACTIONS(5114),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5114),
    [anon_sym_BSLASHwg] = ACTIONS(5114),
    [anon_sym_BSLASHwh] = ACTIONS(5114),
    [anon_sym_BSLASHwa] = ACTIONS(5114),
    [anon_sym_BSLASHfig] = ACTIONS(5114),
    [anon_sym_BSLASHjmp] = ACTIONS(5114),
    [anon_sym_BSLASHpb] = ACTIONS(5114),
    [anon_sym_BSLASH] = ACTIONS(5114),
    [anon_sym_BSLASH_STAR] = ACTIONS(5260),
    [sym_milestoneStartTag] = ACTIONS(5114),
    [sym_milestoneEndTag] = ACTIONS(5114),
    [sym_zSpaceTag] = ACTIONS(5114),
    [sym__zSpaceClose] = ACTIONS(5262),
    [anon_sym_BSLASHesb] = ACTIONS(5114),
    [anon_sym_PIPE] = ACTIONS(5120),
  },
  [364] = {
    [sym_text] = STATE(347),
    [sym_ref] = STATE(347),
    [aux_sym__introText] = STATE(347),
    [sym_iqt] = STATE(347),
    [sym_xt_standalone] = STATE(347),
    [sym_add] = STATE(347),
    [sym_bk] = STATE(347),
    [sym_dc] = STATE(347),
    [sym_k] = STATE(347),
    [sym_nd] = STATE(347),
    [sym_ord] = STATE(347),
    [sym_pn] = STATE(347),
    [sym_png] = STATE(347),
    [sym_addpn] = STATE(347),
    [sym_qt] = STATE(347),
    [sym_sig] = STATE(347),
    [sym_sls] = STATE(347),
    [sym_tl] = STATE(347),
    [sym_wj] = STATE(347),
    [sym_em] = STATE(347),
    [sym_bd] = STATE(347),
    [sym_it] = STATE(347),
    [sym_bdit] = STATE(347),
    [sym_no] = STATE(347),
    [sym_sc] = STATE(347),
    [sym_sup] = STATE(347),
    [sym_ndx] = STATE(347),
    [sym_pro] = STATE(347),
    [sym_rb] = STATE(347),
    [sym_w] = STATE(347),
    [sym_wg] = STATE(347),
    [sym_wh] = STATE(347),
    [sym_wa] = STATE(347),
    [sym__characterMarker] = STATE(347),
    [sym_fig] = STATE(347),
    [sym_jmp] = STATE(347),
    [ts_builtin_sym_end] = ACTIONS(5264),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHsts] = ACTIONS(5266),
    [anon_sym_BSLASHrem] = ACTIONS(5266),
    [anon_sym_BSLASHrestore] = ACTIONS(5266),
    [anon_sym_BSLASHlit] = ACTIONS(5266),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHimt] = ACTIONS(5266),
    [anon_sym_BSLASHimte] = ACTIONS(5266),
    [anon_sym_BSLASHis] = ACTIONS(5266),
    [anon_sym_BSLASHio] = ACTIONS(5266),
    [anon_sym_BSLASHiot] = ACTIONS(5266),
    [anon_sym_BSLASHip] = ACTIONS(5266),
    [anon_sym_BSLASHim] = ACTIONS(5266),
    [anon_sym_BSLASHipi] = ACTIONS(5266),
    [anon_sym_BSLASHimi] = ACTIONS(5266),
    [anon_sym_BSLASHili] = ACTIONS(5266),
    [anon_sym_BSLASHipq] = ACTIONS(5266),
    [anon_sym_BSLASHimq] = ACTIONS(5266),
    [anon_sym_BSLASHipr] = ACTIONS(5266),
    [anon_sym_BSLASHib] = ACTIONS(5266),
    [anon_sym_BSLASHiq] = ACTIONS(5266),
    [anon_sym_BSLASHie] = ACTIONS(5266),
    [anon_sym_BSLASHiex] = ACTIONS(5266),
    [anon_sym_BSLASHc] = ACTIONS(5266),
    [anon_sym_BSLASHcl] = ACTIONS(5266),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
    [anon_sym_BSLASH] = ACTIONS(5266),
    [sym_milestoneStartTag] = ACTIONS(5266),
    [sym_milestoneEndTag] = ACTIONS(5266),
    [sym_zSpaceTag] = ACTIONS(5266),
    [anon_sym_BSLASHesb] = ACTIONS(5266),
  },
  [365] = {
    [ts_builtin_sym_end] = ACTIONS(2687),
    [aux_sym_text_token1] = ACTIONS(2687),
    [anon_sym_BSLASHref] = ACTIONS(2689),
    [anon_sym_BSLASHsts] = ACTIONS(2689),
    [anon_sym_BSLASHrem] = ACTIONS(2689),
    [anon_sym_BSLASHrestore] = ACTIONS(2689),
    [anon_sym_BSLASHlit] = ACTIONS(2689),
    [anon_sym_BSLASHiqt] = ACTIONS(2689),
    [anon_sym_BSLASHip] = ACTIONS(2689),
    [anon_sym_BSLASHiex] = ACTIONS(2689),
    [anon_sym_BSLASHv] = ACTIONS(2689),
    [anon_sym_BSLASHva] = ACTIONS(2689),
    [anon_sym_BSLASHvp] = ACTIONS(2689),
    [anon_sym_BSLASHc] = ACTIONS(2689),
    [anon_sym_BSLASHcl] = ACTIONS(2689),
    [anon_sym_BSLASHca] = ACTIONS(2689),
    [anon_sym_BSLASHcp] = ACTIONS(2689),
    [anon_sym_BSLASHcd] = ACTIONS(2689),
    [anon_sym_BSLASHmte] = ACTIONS(2689),
    [anon_sym_BSLASHms] = ACTIONS(2689),
    [anon_sym_BSLASHmr] = ACTIONS(2689),
    [anon_sym_BSLASHs] = ACTIONS(2689),
    [anon_sym_BSLASHsr] = ACTIONS(2689),
    [anon_sym_BSLASHr] = ACTIONS(2689),
    [anon_sym_BSLASHsp] = ACTIONS(2689),
    [anon_sym_BSLASHd] = ACTIONS(2689),
    [anon_sym_BSLASHsd] = ACTIONS(2689),
    [anon_sym_BSLASHp] = ACTIONS(2689),
    [anon_sym_BSLASHm] = ACTIONS(2689),
    [anon_sym_BSLASHpo] = ACTIONS(2689),
    [anon_sym_BSLASHpr] = ACTIONS(2689),
    [anon_sym_BSLASHcls] = ACTIONS(2689),
    [anon_sym_BSLASHpmo] = ACTIONS(2689),
    [anon_sym_BSLASHpm] = ACTIONS(2689),
    [anon_sym_BSLASHpmc] = ACTIONS(2689),
    [anon_sym_BSLASHpmr] = ACTIONS(2689),
    [anon_sym_BSLASHpi] = ACTIONS(2689),
    [anon_sym_BSLASHmi] = ACTIONS(2689),
    [anon_sym_BSLASHnb] = ACTIONS(2689),
    [anon_sym_BSLASHpc] = ACTIONS(2689),
    [anon_sym_BSLASHph] = ACTIONS(2689),
    [anon_sym_BSLASHb] = ACTIONS(2689),
    [anon_sym_BSLASHq] = ACTIONS(2689),
    [anon_sym_BSLASHqr] = ACTIONS(2689),
    [anon_sym_BSLASHqc] = ACTIONS(2689),
    [anon_sym_BSLASHqa] = ACTIONS(2689),
    [anon_sym_BSLASHqm] = ACTIONS(2689),
    [anon_sym_BSLASHqd] = ACTIONS(2689),
    [anon_sym_BSLASHlh] = ACTIONS(2689),
    [anon_sym_BSLASHlf] = ACTIONS(2689),
    [anon_sym_BSLASHli] = ACTIONS(2689),
    [anon_sym_BSLASHlim] = ACTIONS(2689),
    [anon_sym_BSLASHliv] = ACTIONS(2689),
    [anon_sym_BSLASHlik] = ACTIONS(2689),
    [anon_sym_BSLASHlitl] = ACTIONS(2689),
    [anon_sym_BSLASHtr] = ACTIONS(2689),
    [anon_sym_BSLASHf] = ACTIONS(2689),
    [anon_sym_BSLASHfe] = ACTIONS(2689),
    [anon_sym_BSLASHef] = ACTIONS(2689),
    [anon_sym_BSLASHfm] = ACTIONS(2689),
    [anon_sym_BSLASHx] = ACTIONS(2689),
    [anon_sym_BSLASHxt] = ACTIONS(2689),
    [anon_sym_BSLASHrq] = ACTIONS(2689),
    [anon_sym_BSLASHadd] = ACTIONS(2689),
    [anon_sym_BSLASHbk] = ACTIONS(2689),
    [anon_sym_BSLASHdc] = ACTIONS(2689),
    [anon_sym_BSLASHk] = ACTIONS(2689),
    [anon_sym_BSLASHnd] = ACTIONS(2689),
    [anon_sym_BSLASHord] = ACTIONS(2689),
    [anon_sym_BSLASHpn] = ACTIONS(2689),
    [anon_sym_BSLASHpng] = ACTIONS(2689),
    [anon_sym_BSLASHaddpn] = ACTIONS(2689),
    [anon_sym_BSLASHqt] = ACTIONS(2689),
    [anon_sym_BSLASHsig] = ACTIONS(2689),
    [anon_sym_BSLASHsls] = ACTIONS(2689),
    [anon_sym_BSLASHtl] = ACTIONS(2689),
    [anon_sym_BSLASHwj] = ACTIONS(2689),
    [anon_sym_BSLASHem] = ACTIONS(2689),
    [anon_sym_BSLASHbd] = ACTIONS(2689),
    [anon_sym_BSLASHit] = ACTIONS(2689),
    [anon_sym_BSLASHbdit] = ACTIONS(2689),
    [anon_sym_BSLASHno] = ACTIONS(2689),
    [anon_sym_BSLASHsc] = ACTIONS(2689),
    [anon_sym_BSLASHsup] = ACTIONS(2689),
    [anon_sym_BSLASHndx] = ACTIONS(2689),
    [anon_sym_BSLASHpro] = ACTIONS(2689),
    [anon_sym_BSLASHrb] = ACTIONS(2689),
    [anon_sym_BSLASHw] = ACTIONS(2689),
    [anon_sym_BSLASHwg] = ACTIONS(2689),
    [anon_sym_BSLASHwh] = ACTIONS(2689),
    [anon_sym_BSLASHwa] = ACTIONS(2689),
    [anon_sym_BSLASHfig] = ACTIONS(2689),
    [anon_sym_BSLASHjmp] = ACTIONS(2689),
    [anon_sym_BSLASHpb] = ACTIONS(2689),
    [anon_sym_BSLASH] = ACTIONS(2689),
    [sym_milestoneStartTag] = ACTIONS(2689),
    [sym_milestoneEndTag] = ACTIONS(2689),
    [sym_zSpaceTag] = ACTIONS(2689),
    [anon_sym_BSLASHesb] = ACTIONS(2689),
  },
  [366] = {
    [sym_text] = STATE(347),
    [sym_ref] = STATE(347),
    [aux_sym__introText] = STATE(347),
    [sym_iqt] = STATE(347),
    [sym_xt_standalone] = STATE(347),
    [sym_add] = STATE(347),
    [sym_bk] = STATE(347),
    [sym_dc] = STATE(347),
    [sym_k] = STATE(347),
    [sym_nd] = STATE(347),
    [sym_ord] = STATE(347),
    [sym_pn] = STATE(347),
    [sym_png] = STATE(347),
    [sym_addpn] = STATE(347),
    [sym_qt] = STATE(347),
    [sym_sig] = STATE(347),
    [sym_sls] = STATE(347),
    [sym_tl] = STATE(347),
    [sym_wj] = STATE(347),
    [sym_em] = STATE(347),
    [sym_bd] = STATE(347),
    [sym_it] = STATE(347),
    [sym_bdit] = STATE(347),
    [sym_no] = STATE(347),
    [sym_sc] = STATE(347),
    [sym_sup] = STATE(347),
    [sym_ndx] = STATE(347),
    [sym_pro] = STATE(347),
    [sym_rb] = STATE(347),
    [sym_w] = STATE(347),
    [sym_wg] = STATE(347),
    [sym_wh] = STATE(347),
    [sym_wa] = STATE(347),
    [sym__characterMarker] = STATE(347),
    [sym_fig] = STATE(347),
    [sym_jmp] = STATE(347),
    [ts_builtin_sym_end] = ACTIONS(5268),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHsts] = ACTIONS(5270),
    [anon_sym_BSLASHrem] = ACTIONS(5270),
    [anon_sym_BSLASHrestore] = ACTIONS(5270),
    [anon_sym_BSLASHlit] = ACTIONS(5270),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHimt] = ACTIONS(5270),
    [anon_sym_BSLASHimte] = ACTIONS(5270),
    [anon_sym_BSLASHis] = ACTIONS(5270),
    [anon_sym_BSLASHio] = ACTIONS(5270),
    [anon_sym_BSLASHiot] = ACTIONS(5270),
    [anon_sym_BSLASHip] = ACTIONS(5270),
    [anon_sym_BSLASHim] = ACTIONS(5270),
    [anon_sym_BSLASHipi] = ACTIONS(5270),
    [anon_sym_BSLASHimi] = ACTIONS(5270),
    [anon_sym_BSLASHili] = ACTIONS(5270),
    [anon_sym_BSLASHipq] = ACTIONS(5270),
    [anon_sym_BSLASHimq] = ACTIONS(5270),
    [anon_sym_BSLASHipr] = ACTIONS(5270),
    [anon_sym_BSLASHib] = ACTIONS(5270),
    [anon_sym_BSLASHiq] = ACTIONS(5270),
    [anon_sym_BSLASHie] = ACTIONS(5270),
    [anon_sym_BSLASHiex] = ACTIONS(5270),
    [anon_sym_BSLASHc] = ACTIONS(5270),
    [anon_sym_BSLASHcl] = ACTIONS(5270),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
    [anon_sym_BSLASH] = ACTIONS(5270),
    [sym_milestoneStartTag] = ACTIONS(5270),
    [sym_milestoneEndTag] = ACTIONS(5270),
    [sym_zSpaceTag] = ACTIONS(5270),
    [anon_sym_BSLASHesb] = ACTIONS(5270),
  },
  [367] = {
    [ts_builtin_sym_end] = ACTIONS(2671),
    [aux_sym_text_token1] = ACTIONS(2671),
    [anon_sym_BSLASHref] = ACTIONS(2673),
    [anon_sym_BSLASHsts] = ACTIONS(2673),
    [anon_sym_BSLASHrem] = ACTIONS(2673),
    [anon_sym_BSLASHrestore] = ACTIONS(2673),
    [anon_sym_BSLASHlit] = ACTIONS(2673),
    [anon_sym_BSLASHiqt] = ACTIONS(2673),
    [anon_sym_BSLASHip] = ACTIONS(2673),
    [anon_sym_BSLASHiex] = ACTIONS(2673),
    [anon_sym_BSLASHv] = ACTIONS(2673),
    [anon_sym_BSLASHva] = ACTIONS(2673),
    [anon_sym_BSLASHvp] = ACTIONS(2673),
    [anon_sym_BSLASHc] = ACTIONS(2673),
    [anon_sym_BSLASHcl] = ACTIONS(2673),
    [anon_sym_BSLASHca] = ACTIONS(2673),
    [anon_sym_BSLASHcp] = ACTIONS(2673),
    [anon_sym_BSLASHcd] = ACTIONS(2673),
    [anon_sym_BSLASHmte] = ACTIONS(2673),
    [anon_sym_BSLASHms] = ACTIONS(2673),
    [anon_sym_BSLASHmr] = ACTIONS(2673),
    [anon_sym_BSLASHs] = ACTIONS(2673),
    [anon_sym_BSLASHsr] = ACTIONS(2673),
    [anon_sym_BSLASHr] = ACTIONS(2673),
    [anon_sym_BSLASHsp] = ACTIONS(2673),
    [anon_sym_BSLASHd] = ACTIONS(2673),
    [anon_sym_BSLASHsd] = ACTIONS(2673),
    [anon_sym_BSLASHp] = ACTIONS(2673),
    [anon_sym_BSLASHm] = ACTIONS(2673),
    [anon_sym_BSLASHpo] = ACTIONS(2673),
    [anon_sym_BSLASHpr] = ACTIONS(2673),
    [anon_sym_BSLASHcls] = ACTIONS(2673),
    [anon_sym_BSLASHpmo] = ACTIONS(2673),
    [anon_sym_BSLASHpm] = ACTIONS(2673),
    [anon_sym_BSLASHpmc] = ACTIONS(2673),
    [anon_sym_BSLASHpmr] = ACTIONS(2673),
    [anon_sym_BSLASHpi] = ACTIONS(2673),
    [anon_sym_BSLASHmi] = ACTIONS(2673),
    [anon_sym_BSLASHnb] = ACTIONS(2673),
    [anon_sym_BSLASHpc] = ACTIONS(2673),
    [anon_sym_BSLASHph] = ACTIONS(2673),
    [anon_sym_BSLASHb] = ACTIONS(2673),
    [anon_sym_BSLASHq] = ACTIONS(2673),
    [anon_sym_BSLASHqr] = ACTIONS(2673),
    [anon_sym_BSLASHqc] = ACTIONS(2673),
    [anon_sym_BSLASHqa] = ACTIONS(2673),
    [anon_sym_BSLASHqm] = ACTIONS(2673),
    [anon_sym_BSLASHqd] = ACTIONS(2673),
    [anon_sym_BSLASHlh] = ACTIONS(2673),
    [anon_sym_BSLASHlf] = ACTIONS(2673),
    [anon_sym_BSLASHli] = ACTIONS(2673),
    [anon_sym_BSLASHlim] = ACTIONS(2673),
    [anon_sym_BSLASHliv] = ACTIONS(2673),
    [anon_sym_BSLASHlik] = ACTIONS(2673),
    [anon_sym_BSLASHlitl] = ACTIONS(2673),
    [anon_sym_BSLASHtr] = ACTIONS(2673),
    [anon_sym_BSLASHf] = ACTIONS(2673),
    [anon_sym_BSLASHfe] = ACTIONS(2673),
    [anon_sym_BSLASHef] = ACTIONS(2673),
    [anon_sym_BSLASHfm] = ACTIONS(2673),
    [anon_sym_BSLASHx] = ACTIONS(2673),
    [anon_sym_BSLASHxt] = ACTIONS(2673),
    [anon_sym_BSLASHrq] = ACTIONS(2673),
    [anon_sym_BSLASHadd] = ACTIONS(2673),
    [anon_sym_BSLASHbk] = ACTIONS(2673),
    [anon_sym_BSLASHdc] = ACTIONS(2673),
    [anon_sym_BSLASHk] = ACTIONS(2673),
    [anon_sym_BSLASHnd] = ACTIONS(2673),
    [anon_sym_BSLASHord] = ACTIONS(2673),
    [anon_sym_BSLASHpn] = ACTIONS(2673),
    [anon_sym_BSLASHpng] = ACTIONS(2673),
    [anon_sym_BSLASHaddpn] = ACTIONS(2673),
    [anon_sym_BSLASHqt] = ACTIONS(2673),
    [anon_sym_BSLASHsig] = ACTIONS(2673),
    [anon_sym_BSLASHsls] = ACTIONS(2673),
    [anon_sym_BSLASHtl] = ACTIONS(2673),
    [anon_sym_BSLASHwj] = ACTIONS(2673),
    [anon_sym_BSLASHem] = ACTIONS(2673),
    [anon_sym_BSLASHbd] = ACTIONS(2673),
    [anon_sym_BSLASHit] = ACTIONS(2673),
    [anon_sym_BSLASHbdit] = ACTIONS(2673),
    [anon_sym_BSLASHno] = ACTIONS(2673),
    [anon_sym_BSLASHsc] = ACTIONS(2673),
    [anon_sym_BSLASHsup] = ACTIONS(2673),
    [anon_sym_BSLASHndx] = ACTIONS(2673),
    [anon_sym_BSLASHpro] = ACTIONS(2673),
    [anon_sym_BSLASHrb] = ACTIONS(2673),
    [anon_sym_BSLASHw] = ACTIONS(2673),
    [anon_sym_BSLASHwg] = ACTIONS(2673),
    [anon_sym_BSLASHwh] = ACTIONS(2673),
    [anon_sym_BSLASHwa] = ACTIONS(2673),
    [anon_sym_BSLASHfig] = ACTIONS(2673),
    [anon_sym_BSLASHjmp] = ACTIONS(2673),
    [anon_sym_BSLASHpb] = ACTIONS(2673),
    [anon_sym_BSLASH] = ACTIONS(2673),
    [sym_milestoneStartTag] = ACTIONS(2673),
    [sym_milestoneEndTag] = ACTIONS(2673),
    [sym_zSpaceTag] = ACTIONS(2673),
    [anon_sym_BSLASHesb] = ACTIONS(2673),
  },
  [368] = {
    [ts_builtin_sym_end] = ACTIONS(2703),
    [aux_sym_text_token1] = ACTIONS(2703),
    [anon_sym_BSLASHref] = ACTIONS(2705),
    [anon_sym_BSLASHsts] = ACTIONS(2705),
    [anon_sym_BSLASHrem] = ACTIONS(2705),
    [anon_sym_BSLASHrestore] = ACTIONS(2705),
    [anon_sym_BSLASHlit] = ACTIONS(2705),
    [anon_sym_BSLASHiqt] = ACTIONS(2705),
    [anon_sym_BSLASHip] = ACTIONS(2705),
    [anon_sym_BSLASHiex] = ACTIONS(2705),
    [anon_sym_BSLASHv] = ACTIONS(2705),
    [anon_sym_BSLASHva] = ACTIONS(2705),
    [anon_sym_BSLASHvp] = ACTIONS(2705),
    [anon_sym_BSLASHc] = ACTIONS(2705),
    [anon_sym_BSLASHcl] = ACTIONS(2705),
    [anon_sym_BSLASHca] = ACTIONS(2705),
    [anon_sym_BSLASHcp] = ACTIONS(2705),
    [anon_sym_BSLASHcd] = ACTIONS(2705),
    [anon_sym_BSLASHmte] = ACTIONS(2705),
    [anon_sym_BSLASHms] = ACTIONS(2705),
    [anon_sym_BSLASHmr] = ACTIONS(2705),
    [anon_sym_BSLASHs] = ACTIONS(2705),
    [anon_sym_BSLASHsr] = ACTIONS(2705),
    [anon_sym_BSLASHr] = ACTIONS(2705),
    [anon_sym_BSLASHsp] = ACTIONS(2705),
    [anon_sym_BSLASHd] = ACTIONS(2705),
    [anon_sym_BSLASHsd] = ACTIONS(2705),
    [anon_sym_BSLASHp] = ACTIONS(2705),
    [anon_sym_BSLASHm] = ACTIONS(2705),
    [anon_sym_BSLASHpo] = ACTIONS(2705),
    [anon_sym_BSLASHpr] = ACTIONS(2705),
    [anon_sym_BSLASHcls] = ACTIONS(2705),
    [anon_sym_BSLASHpmo] = ACTIONS(2705),
    [anon_sym_BSLASHpm] = ACTIONS(2705),
    [anon_sym_BSLASHpmc] = ACTIONS(2705),
    [anon_sym_BSLASHpmr] = ACTIONS(2705),
    [anon_sym_BSLASHpi] = ACTIONS(2705),
    [anon_sym_BSLASHmi] = ACTIONS(2705),
    [anon_sym_BSLASHnb] = ACTIONS(2705),
    [anon_sym_BSLASHpc] = ACTIONS(2705),
    [anon_sym_BSLASHph] = ACTIONS(2705),
    [anon_sym_BSLASHb] = ACTIONS(2705),
    [anon_sym_BSLASHq] = ACTIONS(2705),
    [anon_sym_BSLASHqr] = ACTIONS(2705),
    [anon_sym_BSLASHqc] = ACTIONS(2705),
    [anon_sym_BSLASHqa] = ACTIONS(2705),
    [anon_sym_BSLASHqm] = ACTIONS(2705),
    [anon_sym_BSLASHqd] = ACTIONS(2705),
    [anon_sym_BSLASHlh] = ACTIONS(2705),
    [anon_sym_BSLASHlf] = ACTIONS(2705),
    [anon_sym_BSLASHli] = ACTIONS(2705),
    [anon_sym_BSLASHlim] = ACTIONS(2705),
    [anon_sym_BSLASHliv] = ACTIONS(2705),
    [anon_sym_BSLASHlik] = ACTIONS(2705),
    [anon_sym_BSLASHlitl] = ACTIONS(2705),
    [anon_sym_BSLASHtr] = ACTIONS(2705),
    [anon_sym_BSLASHf] = ACTIONS(2705),
    [anon_sym_BSLASHfe] = ACTIONS(2705),
    [anon_sym_BSLASHef] = ACTIONS(2705),
    [anon_sym_BSLASHfm] = ACTIONS(2705),
    [anon_sym_BSLASHx] = ACTIONS(2705),
    [anon_sym_BSLASHxt] = ACTIONS(2705),
    [anon_sym_BSLASHrq] = ACTIONS(2705),
    [anon_sym_BSLASHadd] = ACTIONS(2705),
    [anon_sym_BSLASHbk] = ACTIONS(2705),
    [anon_sym_BSLASHdc] = ACTIONS(2705),
    [anon_sym_BSLASHk] = ACTIONS(2705),
    [anon_sym_BSLASHnd] = ACTIONS(2705),
    [anon_sym_BSLASHord] = ACTIONS(2705),
    [anon_sym_BSLASHpn] = ACTIONS(2705),
    [anon_sym_BSLASHpng] = ACTIONS(2705),
    [anon_sym_BSLASHaddpn] = ACTIONS(2705),
    [anon_sym_BSLASHqt] = ACTIONS(2705),
    [anon_sym_BSLASHsig] = ACTIONS(2705),
    [anon_sym_BSLASHsls] = ACTIONS(2705),
    [anon_sym_BSLASHtl] = ACTIONS(2705),
    [anon_sym_BSLASHwj] = ACTIONS(2705),
    [anon_sym_BSLASHem] = ACTIONS(2705),
    [anon_sym_BSLASHbd] = ACTIONS(2705),
    [anon_sym_BSLASHit] = ACTIONS(2705),
    [anon_sym_BSLASHbdit] = ACTIONS(2705),
    [anon_sym_BSLASHno] = ACTIONS(2705),
    [anon_sym_BSLASHsc] = ACTIONS(2705),
    [anon_sym_BSLASHsup] = ACTIONS(2705),
    [anon_sym_BSLASHndx] = ACTIONS(2705),
    [anon_sym_BSLASHpro] = ACTIONS(2705),
    [anon_sym_BSLASHrb] = ACTIONS(2705),
    [anon_sym_BSLASHw] = ACTIONS(2705),
    [anon_sym_BSLASHwg] = ACTIONS(2705),
    [anon_sym_BSLASHwh] = ACTIONS(2705),
    [anon_sym_BSLASHwa] = ACTIONS(2705),
    [anon_sym_BSLASHfig] = ACTIONS(2705),
    [anon_sym_BSLASHjmp] = ACTIONS(2705),
    [anon_sym_BSLASHpb] = ACTIONS(2705),
    [anon_sym_BSLASH] = ACTIONS(2705),
    [sym_milestoneStartTag] = ACTIONS(2705),
    [sym_milestoneEndTag] = ACTIONS(2705),
    [sym_zSpaceTag] = ACTIONS(2705),
    [anon_sym_BSLASHesb] = ACTIONS(2705),
  },
  [369] = {
    [sym_text] = STATE(347),
    [sym_ref] = STATE(347),
    [aux_sym__introText] = STATE(347),
    [sym_iqt] = STATE(347),
    [sym_xt_standalone] = STATE(347),
    [sym_add] = STATE(347),
    [sym_bk] = STATE(347),
    [sym_dc] = STATE(347),
    [sym_k] = STATE(347),
    [sym_nd] = STATE(347),
    [sym_ord] = STATE(347),
    [sym_pn] = STATE(347),
    [sym_png] = STATE(347),
    [sym_addpn] = STATE(347),
    [sym_qt] = STATE(347),
    [sym_sig] = STATE(347),
    [sym_sls] = STATE(347),
    [sym_tl] = STATE(347),
    [sym_wj] = STATE(347),
    [sym_em] = STATE(347),
    [sym_bd] = STATE(347),
    [sym_it] = STATE(347),
    [sym_bdit] = STATE(347),
    [sym_no] = STATE(347),
    [sym_sc] = STATE(347),
    [sym_sup] = STATE(347),
    [sym_ndx] = STATE(347),
    [sym_pro] = STATE(347),
    [sym_rb] = STATE(347),
    [sym_w] = STATE(347),
    [sym_wg] = STATE(347),
    [sym_wh] = STATE(347),
    [sym_wa] = STATE(347),
    [sym__characterMarker] = STATE(347),
    [sym_fig] = STATE(347),
    [sym_jmp] = STATE(347),
    [ts_builtin_sym_end] = ACTIONS(5272),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHsts] = ACTIONS(5274),
    [anon_sym_BSLASHrem] = ACTIONS(5274),
    [anon_sym_BSLASHrestore] = ACTIONS(5274),
    [anon_sym_BSLASHlit] = ACTIONS(5274),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHimt] = ACTIONS(5274),
    [anon_sym_BSLASHimte] = ACTIONS(5274),
    [anon_sym_BSLASHis] = ACTIONS(5274),
    [anon_sym_BSLASHio] = ACTIONS(5274),
    [anon_sym_BSLASHiot] = ACTIONS(5274),
    [anon_sym_BSLASHip] = ACTIONS(5274),
    [anon_sym_BSLASHim] = ACTIONS(5274),
    [anon_sym_BSLASHipi] = ACTIONS(5274),
    [anon_sym_BSLASHimi] = ACTIONS(5274),
    [anon_sym_BSLASHili] = ACTIONS(5274),
    [anon_sym_BSLASHipq] = ACTIONS(5274),
    [anon_sym_BSLASHimq] = ACTIONS(5274),
    [anon_sym_BSLASHipr] = ACTIONS(5274),
    [anon_sym_BSLASHib] = ACTIONS(5274),
    [anon_sym_BSLASHiq] = ACTIONS(5274),
    [anon_sym_BSLASHie] = ACTIONS(5274),
    [anon_sym_BSLASHiex] = ACTIONS(5274),
    [anon_sym_BSLASHc] = ACTIONS(5274),
    [anon_sym_BSLASHcl] = ACTIONS(5274),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
    [anon_sym_BSLASH] = ACTIONS(5274),
    [sym_milestoneStartTag] = ACTIONS(5274),
    [sym_milestoneEndTag] = ACTIONS(5274),
    [sym_zSpaceTag] = ACTIONS(5274),
    [anon_sym_BSLASHesb] = ACTIONS(5274),
  },
  [370] = {
    [sym_text] = STATE(347),
    [sym_ref] = STATE(347),
    [aux_sym__introText] = STATE(347),
    [sym_iqt] = STATE(347),
    [sym_xt_standalone] = STATE(347),
    [sym_add] = STATE(347),
    [sym_bk] = STATE(347),
    [sym_dc] = STATE(347),
    [sym_k] = STATE(347),
    [sym_nd] = STATE(347),
    [sym_ord] = STATE(347),
    [sym_pn] = STATE(347),
    [sym_png] = STATE(347),
    [sym_addpn] = STATE(347),
    [sym_qt] = STATE(347),
    [sym_sig] = STATE(347),
    [sym_sls] = STATE(347),
    [sym_tl] = STATE(347),
    [sym_wj] = STATE(347),
    [sym_em] = STATE(347),
    [sym_bd] = STATE(347),
    [sym_it] = STATE(347),
    [sym_bdit] = STATE(347),
    [sym_no] = STATE(347),
    [sym_sc] = STATE(347),
    [sym_sup] = STATE(347),
    [sym_ndx] = STATE(347),
    [sym_pro] = STATE(347),
    [sym_rb] = STATE(347),
    [sym_w] = STATE(347),
    [sym_wg] = STATE(347),
    [sym_wh] = STATE(347),
    [sym_wa] = STATE(347),
    [sym__characterMarker] = STATE(347),
    [sym_fig] = STATE(347),
    [sym_jmp] = STATE(347),
    [ts_builtin_sym_end] = ACTIONS(5276),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHsts] = ACTIONS(5278),
    [anon_sym_BSLASHrem] = ACTIONS(5278),
    [anon_sym_BSLASHrestore] = ACTIONS(5278),
    [anon_sym_BSLASHlit] = ACTIONS(5278),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHimt] = ACTIONS(5278),
    [anon_sym_BSLASHimte] = ACTIONS(5278),
    [anon_sym_BSLASHis] = ACTIONS(5278),
    [anon_sym_BSLASHio] = ACTIONS(5278),
    [anon_sym_BSLASHiot] = ACTIONS(5278),
    [anon_sym_BSLASHip] = ACTIONS(5278),
    [anon_sym_BSLASHim] = ACTIONS(5278),
    [anon_sym_BSLASHipi] = ACTIONS(5278),
    [anon_sym_BSLASHimi] = ACTIONS(5278),
    [anon_sym_BSLASHili] = ACTIONS(5278),
    [anon_sym_BSLASHipq] = ACTIONS(5278),
    [anon_sym_BSLASHimq] = ACTIONS(5278),
    [anon_sym_BSLASHipr] = ACTIONS(5278),
    [anon_sym_BSLASHib] = ACTIONS(5278),
    [anon_sym_BSLASHiq] = ACTIONS(5278),
    [anon_sym_BSLASHie] = ACTIONS(5278),
    [anon_sym_BSLASHiex] = ACTIONS(5278),
    [anon_sym_BSLASHc] = ACTIONS(5278),
    [anon_sym_BSLASHcl] = ACTIONS(5278),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
    [anon_sym_BSLASH] = ACTIONS(5278),
    [sym_milestoneStartTag] = ACTIONS(5278),
    [sym_milestoneEndTag] = ACTIONS(5278),
    [sym_zSpaceTag] = ACTIONS(5278),
    [anon_sym_BSLASHesb] = ACTIONS(5278),
  },
  [371] = {
    [sym_text] = STATE(347),
    [sym_ref] = STATE(347),
    [aux_sym__introText] = STATE(347),
    [sym_iqt] = STATE(347),
    [sym_xt_standalone] = STATE(347),
    [sym_add] = STATE(347),
    [sym_bk] = STATE(347),
    [sym_dc] = STATE(347),
    [sym_k] = STATE(347),
    [sym_nd] = STATE(347),
    [sym_ord] = STATE(347),
    [sym_pn] = STATE(347),
    [sym_png] = STATE(347),
    [sym_addpn] = STATE(347),
    [sym_qt] = STATE(347),
    [sym_sig] = STATE(347),
    [sym_sls] = STATE(347),
    [sym_tl] = STATE(347),
    [sym_wj] = STATE(347),
    [sym_em] = STATE(347),
    [sym_bd] = STATE(347),
    [sym_it] = STATE(347),
    [sym_bdit] = STATE(347),
    [sym_no] = STATE(347),
    [sym_sc] = STATE(347),
    [sym_sup] = STATE(347),
    [sym_ndx] = STATE(347),
    [sym_pro] = STATE(347),
    [sym_rb] = STATE(347),
    [sym_w] = STATE(347),
    [sym_wg] = STATE(347),
    [sym_wh] = STATE(347),
    [sym_wa] = STATE(347),
    [sym__characterMarker] = STATE(347),
    [sym_fig] = STATE(347),
    [sym_jmp] = STATE(347),
    [ts_builtin_sym_end] = ACTIONS(3881),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHsts] = ACTIONS(3883),
    [anon_sym_BSLASHrem] = ACTIONS(3883),
    [anon_sym_BSLASHrestore] = ACTIONS(3883),
    [anon_sym_BSLASHlit] = ACTIONS(3883),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHimt] = ACTIONS(3883),
    [anon_sym_BSLASHimte] = ACTIONS(3883),
    [anon_sym_BSLASHis] = ACTIONS(3883),
    [anon_sym_BSLASHio] = ACTIONS(3883),
    [anon_sym_BSLASHiot] = ACTIONS(3883),
    [anon_sym_BSLASHip] = ACTIONS(3883),
    [anon_sym_BSLASHim] = ACTIONS(3883),
    [anon_sym_BSLASHipi] = ACTIONS(3883),
    [anon_sym_BSLASHimi] = ACTIONS(3883),
    [anon_sym_BSLASHili] = ACTIONS(3883),
    [anon_sym_BSLASHipq] = ACTIONS(3883),
    [anon_sym_BSLASHimq] = ACTIONS(3883),
    [anon_sym_BSLASHipr] = ACTIONS(3883),
    [anon_sym_BSLASHib] = ACTIONS(3883),
    [anon_sym_BSLASHiq] = ACTIONS(3883),
    [anon_sym_BSLASHie] = ACTIONS(3883),
    [anon_sym_BSLASHiex] = ACTIONS(3883),
    [anon_sym_BSLASHc] = ACTIONS(3883),
    [anon_sym_BSLASHcl] = ACTIONS(3883),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
    [anon_sym_BSLASH] = ACTIONS(3883),
    [sym_milestoneStartTag] = ACTIONS(3883),
    [sym_milestoneEndTag] = ACTIONS(3883),
    [sym_zSpaceTag] = ACTIONS(3883),
    [anon_sym_BSLASHesb] = ACTIONS(3883),
  },
  [372] = {
    [ts_builtin_sym_end] = ACTIONS(2731),
    [aux_sym_text_token1] = ACTIONS(2731),
    [anon_sym_BSLASHref] = ACTIONS(2733),
    [anon_sym_BSLASHsts] = ACTIONS(2733),
    [anon_sym_BSLASHrem] = ACTIONS(2733),
    [anon_sym_BSLASHrestore] = ACTIONS(2733),
    [anon_sym_BSLASHlit] = ACTIONS(2733),
    [anon_sym_BSLASHiqt] = ACTIONS(2733),
    [anon_sym_BSLASHip] = ACTIONS(2733),
    [anon_sym_BSLASHiex] = ACTIONS(2733),
    [anon_sym_BSLASHv] = ACTIONS(2733),
    [anon_sym_BSLASHva] = ACTIONS(2733),
    [anon_sym_BSLASHvp] = ACTIONS(2733),
    [anon_sym_BSLASHc] = ACTIONS(2733),
    [anon_sym_BSLASHcl] = ACTIONS(2733),
    [anon_sym_BSLASHca] = ACTIONS(2733),
    [anon_sym_BSLASHcp] = ACTIONS(2733),
    [anon_sym_BSLASHcd] = ACTIONS(2733),
    [anon_sym_BSLASHmte] = ACTIONS(2733),
    [anon_sym_BSLASHms] = ACTIONS(2733),
    [anon_sym_BSLASHmr] = ACTIONS(2733),
    [anon_sym_BSLASHs] = ACTIONS(2733),
    [anon_sym_BSLASHsr] = ACTIONS(2733),
    [anon_sym_BSLASHr] = ACTIONS(2733),
    [anon_sym_BSLASHsp] = ACTIONS(2733),
    [anon_sym_BSLASHd] = ACTIONS(2733),
    [anon_sym_BSLASHsd] = ACTIONS(2733),
    [anon_sym_BSLASHp] = ACTIONS(2733),
    [anon_sym_BSLASHm] = ACTIONS(2733),
    [anon_sym_BSLASHpo] = ACTIONS(2733),
    [anon_sym_BSLASHpr] = ACTIONS(2733),
    [anon_sym_BSLASHcls] = ACTIONS(2733),
    [anon_sym_BSLASHpmo] = ACTIONS(2733),
    [anon_sym_BSLASHpm] = ACTIONS(2733),
    [anon_sym_BSLASHpmc] = ACTIONS(2733),
    [anon_sym_BSLASHpmr] = ACTIONS(2733),
    [anon_sym_BSLASHpi] = ACTIONS(2733),
    [anon_sym_BSLASHmi] = ACTIONS(2733),
    [anon_sym_BSLASHnb] = ACTIONS(2733),
    [anon_sym_BSLASHpc] = ACTIONS(2733),
    [anon_sym_BSLASHph] = ACTIONS(2733),
    [anon_sym_BSLASHb] = ACTIONS(2733),
    [anon_sym_BSLASHq] = ACTIONS(2733),
    [anon_sym_BSLASHqr] = ACTIONS(2733),
    [anon_sym_BSLASHqc] = ACTIONS(2733),
    [anon_sym_BSLASHqa] = ACTIONS(2733),
    [anon_sym_BSLASHqm] = ACTIONS(2733),
    [anon_sym_BSLASHqd] = ACTIONS(2733),
    [anon_sym_BSLASHlh] = ACTIONS(2733),
    [anon_sym_BSLASHlf] = ACTIONS(2733),
    [anon_sym_BSLASHli] = ACTIONS(2733),
    [anon_sym_BSLASHlim] = ACTIONS(2733),
    [anon_sym_BSLASHliv] = ACTIONS(2733),
    [anon_sym_BSLASHlik] = ACTIONS(2733),
    [anon_sym_BSLASHlitl] = ACTIONS(2733),
    [anon_sym_BSLASHtr] = ACTIONS(2733),
    [anon_sym_BSLASHf] = ACTIONS(2733),
    [anon_sym_BSLASHfe] = ACTIONS(2733),
    [anon_sym_BSLASHef] = ACTIONS(2733),
    [anon_sym_BSLASHfm] = ACTIONS(2733),
    [anon_sym_BSLASHx] = ACTIONS(2733),
    [anon_sym_BSLASHxt] = ACTIONS(2733),
    [anon_sym_BSLASHrq] = ACTIONS(2733),
    [anon_sym_BSLASHadd] = ACTIONS(2733),
    [anon_sym_BSLASHbk] = ACTIONS(2733),
    [anon_sym_BSLASHdc] = ACTIONS(2733),
    [anon_sym_BSLASHk] = ACTIONS(2733),
    [anon_sym_BSLASHnd] = ACTIONS(2733),
    [anon_sym_BSLASHord] = ACTIONS(2733),
    [anon_sym_BSLASHpn] = ACTIONS(2733),
    [anon_sym_BSLASHpng] = ACTIONS(2733),
    [anon_sym_BSLASHaddpn] = ACTIONS(2733),
    [anon_sym_BSLASHqt] = ACTIONS(2733),
    [anon_sym_BSLASHsig] = ACTIONS(2733),
    [anon_sym_BSLASHsls] = ACTIONS(2733),
    [anon_sym_BSLASHtl] = ACTIONS(2733),
    [anon_sym_BSLASHwj] = ACTIONS(2733),
    [anon_sym_BSLASHem] = ACTIONS(2733),
    [anon_sym_BSLASHbd] = ACTIONS(2733),
    [anon_sym_BSLASHit] = ACTIONS(2733),
    [anon_sym_BSLASHbdit] = ACTIONS(2733),
    [anon_sym_BSLASHno] = ACTIONS(2733),
    [anon_sym_BSLASHsc] = ACTIONS(2733),
    [anon_sym_BSLASHsup] = ACTIONS(2733),
    [anon_sym_BSLASHndx] = ACTIONS(2733),
    [anon_sym_BSLASHpro] = ACTIONS(2733),
    [anon_sym_BSLASHrb] = ACTIONS(2733),
    [anon_sym_BSLASHw] = ACTIONS(2733),
    [anon_sym_BSLASHwg] = ACTIONS(2733),
    [anon_sym_BSLASHwh] = ACTIONS(2733),
    [anon_sym_BSLASHwa] = ACTIONS(2733),
    [anon_sym_BSLASHfig] = ACTIONS(2733),
    [anon_sym_BSLASHjmp] = ACTIONS(2733),
    [anon_sym_BSLASHpb] = ACTIONS(2733),
    [anon_sym_BSLASH] = ACTIONS(2733),
    [sym_milestoneStartTag] = ACTIONS(2733),
    [sym_milestoneEndTag] = ACTIONS(2733),
    [sym_zSpaceTag] = ACTIONS(2733),
    [anon_sym_BSLASHesb] = ACTIONS(2733),
  },
  [373] = {
    [ts_builtin_sym_end] = ACTIONS(2711),
    [aux_sym_text_token1] = ACTIONS(2711),
    [anon_sym_BSLASHref] = ACTIONS(2713),
    [anon_sym_BSLASHsts] = ACTIONS(2713),
    [anon_sym_BSLASHrem] = ACTIONS(2713),
    [anon_sym_BSLASHrestore] = ACTIONS(2713),
    [anon_sym_BSLASHlit] = ACTIONS(2713),
    [anon_sym_BSLASHiqt] = ACTIONS(2713),
    [anon_sym_BSLASHip] = ACTIONS(2713),
    [anon_sym_BSLASHiex] = ACTIONS(2713),
    [anon_sym_BSLASHv] = ACTIONS(2713),
    [anon_sym_BSLASHva] = ACTIONS(2713),
    [anon_sym_BSLASHvp] = ACTIONS(2713),
    [anon_sym_BSLASHc] = ACTIONS(2713),
    [anon_sym_BSLASHcl] = ACTIONS(2713),
    [anon_sym_BSLASHca] = ACTIONS(2713),
    [anon_sym_BSLASHcp] = ACTIONS(2713),
    [anon_sym_BSLASHcd] = ACTIONS(2713),
    [anon_sym_BSLASHmte] = ACTIONS(2713),
    [anon_sym_BSLASHms] = ACTIONS(2713),
    [anon_sym_BSLASHmr] = ACTIONS(2713),
    [anon_sym_BSLASHs] = ACTIONS(2713),
    [anon_sym_BSLASHsr] = ACTIONS(2713),
    [anon_sym_BSLASHr] = ACTIONS(2713),
    [anon_sym_BSLASHsp] = ACTIONS(2713),
    [anon_sym_BSLASHd] = ACTIONS(2713),
    [anon_sym_BSLASHsd] = ACTIONS(2713),
    [anon_sym_BSLASHp] = ACTIONS(2713),
    [anon_sym_BSLASHm] = ACTIONS(2713),
    [anon_sym_BSLASHpo] = ACTIONS(2713),
    [anon_sym_BSLASHpr] = ACTIONS(2713),
    [anon_sym_BSLASHcls] = ACTIONS(2713),
    [anon_sym_BSLASHpmo] = ACTIONS(2713),
    [anon_sym_BSLASHpm] = ACTIONS(2713),
    [anon_sym_BSLASHpmc] = ACTIONS(2713),
    [anon_sym_BSLASHpmr] = ACTIONS(2713),
    [anon_sym_BSLASHpi] = ACTIONS(2713),
    [anon_sym_BSLASHmi] = ACTIONS(2713),
    [anon_sym_BSLASHnb] = ACTIONS(2713),
    [anon_sym_BSLASHpc] = ACTIONS(2713),
    [anon_sym_BSLASHph] = ACTIONS(2713),
    [anon_sym_BSLASHb] = ACTIONS(2713),
    [anon_sym_BSLASHq] = ACTIONS(2713),
    [anon_sym_BSLASHqr] = ACTIONS(2713),
    [anon_sym_BSLASHqc] = ACTIONS(2713),
    [anon_sym_BSLASHqa] = ACTIONS(2713),
    [anon_sym_BSLASHqm] = ACTIONS(2713),
    [anon_sym_BSLASHqd] = ACTIONS(2713),
    [anon_sym_BSLASHlh] = ACTIONS(2713),
    [anon_sym_BSLASHlf] = ACTIONS(2713),
    [anon_sym_BSLASHli] = ACTIONS(2713),
    [anon_sym_BSLASHlim] = ACTIONS(2713),
    [anon_sym_BSLASHliv] = ACTIONS(2713),
    [anon_sym_BSLASHlik] = ACTIONS(2713),
    [anon_sym_BSLASHlitl] = ACTIONS(2713),
    [anon_sym_BSLASHtr] = ACTIONS(2713),
    [anon_sym_BSLASHf] = ACTIONS(2713),
    [anon_sym_BSLASHfe] = ACTIONS(2713),
    [anon_sym_BSLASHef] = ACTIONS(2713),
    [anon_sym_BSLASHfm] = ACTIONS(2713),
    [anon_sym_BSLASHx] = ACTIONS(2713),
    [anon_sym_BSLASHxt] = ACTIONS(2713),
    [anon_sym_BSLASHrq] = ACTIONS(2713),
    [anon_sym_BSLASHadd] = ACTIONS(2713),
    [anon_sym_BSLASHbk] = ACTIONS(2713),
    [anon_sym_BSLASHdc] = ACTIONS(2713),
    [anon_sym_BSLASHk] = ACTIONS(2713),
    [anon_sym_BSLASHnd] = ACTIONS(2713),
    [anon_sym_BSLASHord] = ACTIONS(2713),
    [anon_sym_BSLASHpn] = ACTIONS(2713),
    [anon_sym_BSLASHpng] = ACTIONS(2713),
    [anon_sym_BSLASHaddpn] = ACTIONS(2713),
    [anon_sym_BSLASHqt] = ACTIONS(2713),
    [anon_sym_BSLASHsig] = ACTIONS(2713),
    [anon_sym_BSLASHsls] = ACTIONS(2713),
    [anon_sym_BSLASHtl] = ACTIONS(2713),
    [anon_sym_BSLASHwj] = ACTIONS(2713),
    [anon_sym_BSLASHem] = ACTIONS(2713),
    [anon_sym_BSLASHbd] = ACTIONS(2713),
    [anon_sym_BSLASHit] = ACTIONS(2713),
    [anon_sym_BSLASHbdit] = ACTIONS(2713),
    [anon_sym_BSLASHno] = ACTIONS(2713),
    [anon_sym_BSLASHsc] = ACTIONS(2713),
    [anon_sym_BSLASHsup] = ACTIONS(2713),
    [anon_sym_BSLASHndx] = ACTIONS(2713),
    [anon_sym_BSLASHpro] = ACTIONS(2713),
    [anon_sym_BSLASHrb] = ACTIONS(2713),
    [anon_sym_BSLASHw] = ACTIONS(2713),
    [anon_sym_BSLASHwg] = ACTIONS(2713),
    [anon_sym_BSLASHwh] = ACTIONS(2713),
    [anon_sym_BSLASHwa] = ACTIONS(2713),
    [anon_sym_BSLASHfig] = ACTIONS(2713),
    [anon_sym_BSLASHjmp] = ACTIONS(2713),
    [anon_sym_BSLASHpb] = ACTIONS(2713),
    [anon_sym_BSLASH] = ACTIONS(2713),
    [sym_milestoneStartTag] = ACTIONS(2713),
    [sym_milestoneEndTag] = ACTIONS(2713),
    [sym_zSpaceTag] = ACTIONS(2713),
    [anon_sym_BSLASHesb] = ACTIONS(2713),
  },
  [374] = {
    [ts_builtin_sym_end] = ACTIONS(25),
    [aux_sym_text_token1] = ACTIONS(25),
    [anon_sym_BSLASHref] = ACTIONS(27),
    [anon_sym_BSLASHsts] = ACTIONS(27),
    [anon_sym_BSLASHrem] = ACTIONS(27),
    [anon_sym_BSLASHrestore] = ACTIONS(27),
    [anon_sym_BSLASHlit] = ACTIONS(27),
    [anon_sym_BSLASHiqt] = ACTIONS(27),
    [anon_sym_BSLASHip] = ACTIONS(27),
    [anon_sym_BSLASHiex] = ACTIONS(27),
    [anon_sym_BSLASHv] = ACTIONS(27),
    [anon_sym_BSLASHva] = ACTIONS(27),
    [anon_sym_BSLASHvp] = ACTIONS(27),
    [anon_sym_BSLASHc] = ACTIONS(27),
    [anon_sym_BSLASHcl] = ACTIONS(27),
    [anon_sym_BSLASHca] = ACTIONS(27),
    [anon_sym_BSLASHcp] = ACTIONS(27),
    [anon_sym_BSLASHcd] = ACTIONS(27),
    [anon_sym_BSLASHmte] = ACTIONS(27),
    [anon_sym_BSLASHms] = ACTIONS(27),
    [anon_sym_BSLASHmr] = ACTIONS(27),
    [anon_sym_BSLASHs] = ACTIONS(27),
    [anon_sym_BSLASHsr] = ACTIONS(27),
    [anon_sym_BSLASHr] = ACTIONS(27),
    [anon_sym_BSLASHsp] = ACTIONS(27),
    [anon_sym_BSLASHd] = ACTIONS(27),
    [anon_sym_BSLASHsd] = ACTIONS(27),
    [anon_sym_BSLASHp] = ACTIONS(27),
    [anon_sym_BSLASHm] = ACTIONS(27),
    [anon_sym_BSLASHpo] = ACTIONS(27),
    [anon_sym_BSLASHpr] = ACTIONS(27),
    [anon_sym_BSLASHcls] = ACTIONS(27),
    [anon_sym_BSLASHpmo] = ACTIONS(27),
    [anon_sym_BSLASHpm] = ACTIONS(27),
    [anon_sym_BSLASHpmc] = ACTIONS(27),
    [anon_sym_BSLASHpmr] = ACTIONS(27),
    [anon_sym_BSLASHpi] = ACTIONS(27),
    [anon_sym_BSLASHmi] = ACTIONS(27),
    [anon_sym_BSLASHnb] = ACTIONS(27),
    [anon_sym_BSLASHpc] = ACTIONS(27),
    [anon_sym_BSLASHph] = ACTIONS(27),
    [anon_sym_BSLASHb] = ACTIONS(27),
    [anon_sym_BSLASHq] = ACTIONS(27),
    [anon_sym_BSLASHqr] = ACTIONS(27),
    [anon_sym_BSLASHqc] = ACTIONS(27),
    [anon_sym_BSLASHqa] = ACTIONS(27),
    [anon_sym_BSLASHqm] = ACTIONS(27),
    [anon_sym_BSLASHqd] = ACTIONS(27),
    [anon_sym_BSLASHlh] = ACTIONS(27),
    [anon_sym_BSLASHlf] = ACTIONS(27),
    [anon_sym_BSLASHli] = ACTIONS(27),
    [anon_sym_BSLASHlim] = ACTIONS(27),
    [anon_sym_BSLASHliv] = ACTIONS(27),
    [anon_sym_BSLASHlik] = ACTIONS(27),
    [anon_sym_BSLASHlitl] = ACTIONS(27),
    [anon_sym_BSLASHtr] = ACTIONS(27),
    [anon_sym_BSLASHf] = ACTIONS(27),
    [anon_sym_BSLASHfe] = ACTIONS(27),
    [anon_sym_BSLASHef] = ACTIONS(27),
    [anon_sym_BSLASHfm] = ACTIONS(27),
    [anon_sym_BSLASHx] = ACTIONS(27),
    [anon_sym_BSLASHxt] = ACTIONS(27),
    [anon_sym_BSLASHrq] = ACTIONS(27),
    [anon_sym_BSLASHadd] = ACTIONS(27),
    [anon_sym_BSLASHbk] = ACTIONS(27),
    [anon_sym_BSLASHdc] = ACTIONS(27),
    [anon_sym_BSLASHk] = ACTIONS(27),
    [anon_sym_BSLASHnd] = ACTIONS(27),
    [anon_sym_BSLASHord] = ACTIONS(27),
    [anon_sym_BSLASHpn] = ACTIONS(27),
    [anon_sym_BSLASHpng] = ACTIONS(27),
    [anon_sym_BSLASHaddpn] = ACTIONS(27),
    [anon_sym_BSLASHqt] = ACTIONS(27),
    [anon_sym_BSLASHsig] = ACTIONS(27),
    [anon_sym_BSLASHsls] = ACTIONS(27),
    [anon_sym_BSLASHtl] = ACTIONS(27),
    [anon_sym_BSLASHwj] = ACTIONS(27),
    [anon_sym_BSLASHem] = ACTIONS(27),
    [anon_sym_BSLASHbd] = ACTIONS(27),
    [anon_sym_BSLASHit] = ACTIONS(27),
    [anon_sym_BSLASHbdit] = ACTIONS(27),
    [anon_sym_BSLASHno] = ACTIONS(27),
    [anon_sym_BSLASHsc] = ACTIONS(27),
    [anon_sym_BSLASHsup] = ACTIONS(27),
    [anon_sym_BSLASHndx] = ACTIONS(27),
    [anon_sym_BSLASHpro] = ACTIONS(27),
    [anon_sym_BSLASHrb] = ACTIONS(27),
    [anon_sym_BSLASHw] = ACTIONS(27),
    [anon_sym_BSLASHwg] = ACTIONS(27),
    [anon_sym_BSLASHwh] = ACTIONS(27),
    [anon_sym_BSLASHwa] = ACTIONS(27),
    [anon_sym_BSLASHfig] = ACTIONS(27),
    [anon_sym_BSLASHjmp] = ACTIONS(27),
    [anon_sym_BSLASHpb] = ACTIONS(27),
    [anon_sym_BSLASH] = ACTIONS(27),
    [sym_milestoneStartTag] = ACTIONS(27),
    [sym_milestoneEndTag] = ACTIONS(27),
    [sym_zSpaceTag] = ACTIONS(27),
    [anon_sym_BSLASHesb] = ACTIONS(27),
  },
  [375] = {
    [ts_builtin_sym_end] = ACTIONS(2679),
    [aux_sym_text_token1] = ACTIONS(2679),
    [anon_sym_BSLASHref] = ACTIONS(2681),
    [anon_sym_BSLASHsts] = ACTIONS(2681),
    [anon_sym_BSLASHrem] = ACTIONS(2681),
    [anon_sym_BSLASHrestore] = ACTIONS(2681),
    [anon_sym_BSLASHlit] = ACTIONS(2681),
    [anon_sym_BSLASHiqt] = ACTIONS(2681),
    [anon_sym_BSLASHip] = ACTIONS(2681),
    [anon_sym_BSLASHiex] = ACTIONS(2681),
    [anon_sym_BSLASHv] = ACTIONS(2681),
    [anon_sym_BSLASHva] = ACTIONS(2681),
    [anon_sym_BSLASHvp] = ACTIONS(2681),
    [anon_sym_BSLASHc] = ACTIONS(2681),
    [anon_sym_BSLASHcl] = ACTIONS(2681),
    [anon_sym_BSLASHca] = ACTIONS(2681),
    [anon_sym_BSLASHcp] = ACTIONS(2681),
    [anon_sym_BSLASHcd] = ACTIONS(2681),
    [anon_sym_BSLASHmte] = ACTIONS(2681),
    [anon_sym_BSLASHms] = ACTIONS(2681),
    [anon_sym_BSLASHmr] = ACTIONS(2681),
    [anon_sym_BSLASHs] = ACTIONS(2681),
    [anon_sym_BSLASHsr] = ACTIONS(2681),
    [anon_sym_BSLASHr] = ACTIONS(2681),
    [anon_sym_BSLASHsp] = ACTIONS(2681),
    [anon_sym_BSLASHd] = ACTIONS(2681),
    [anon_sym_BSLASHsd] = ACTIONS(2681),
    [anon_sym_BSLASHp] = ACTIONS(2681),
    [anon_sym_BSLASHm] = ACTIONS(2681),
    [anon_sym_BSLASHpo] = ACTIONS(2681),
    [anon_sym_BSLASHpr] = ACTIONS(2681),
    [anon_sym_BSLASHcls] = ACTIONS(2681),
    [anon_sym_BSLASHpmo] = ACTIONS(2681),
    [anon_sym_BSLASHpm] = ACTIONS(2681),
    [anon_sym_BSLASHpmc] = ACTIONS(2681),
    [anon_sym_BSLASHpmr] = ACTIONS(2681),
    [anon_sym_BSLASHpi] = ACTIONS(2681),
    [anon_sym_BSLASHmi] = ACTIONS(2681),
    [anon_sym_BSLASHnb] = ACTIONS(2681),
    [anon_sym_BSLASHpc] = ACTIONS(2681),
    [anon_sym_BSLASHph] = ACTIONS(2681),
    [anon_sym_BSLASHb] = ACTIONS(2681),
    [anon_sym_BSLASHq] = ACTIONS(2681),
    [anon_sym_BSLASHqr] = ACTIONS(2681),
    [anon_sym_BSLASHqc] = ACTIONS(2681),
    [anon_sym_BSLASHqa] = ACTIONS(2681),
    [anon_sym_BSLASHqm] = ACTIONS(2681),
    [anon_sym_BSLASHqd] = ACTIONS(2681),
    [anon_sym_BSLASHlh] = ACTIONS(2681),
    [anon_sym_BSLASHlf] = ACTIONS(2681),
    [anon_sym_BSLASHli] = ACTIONS(2681),
    [anon_sym_BSLASHlim] = ACTIONS(2681),
    [anon_sym_BSLASHliv] = ACTIONS(2681),
    [anon_sym_BSLASHlik] = ACTIONS(2681),
    [anon_sym_BSLASHlitl] = ACTIONS(2681),
    [anon_sym_BSLASHtr] = ACTIONS(2681),
    [anon_sym_BSLASHf] = ACTIONS(2681),
    [anon_sym_BSLASHfe] = ACTIONS(2681),
    [anon_sym_BSLASHef] = ACTIONS(2681),
    [anon_sym_BSLASHfm] = ACTIONS(2681),
    [anon_sym_BSLASHx] = ACTIONS(2681),
    [anon_sym_BSLASHxt] = ACTIONS(2681),
    [anon_sym_BSLASHrq] = ACTIONS(2681),
    [anon_sym_BSLASHadd] = ACTIONS(2681),
    [anon_sym_BSLASHbk] = ACTIONS(2681),
    [anon_sym_BSLASHdc] = ACTIONS(2681),
    [anon_sym_BSLASHk] = ACTIONS(2681),
    [anon_sym_BSLASHnd] = ACTIONS(2681),
    [anon_sym_BSLASHord] = ACTIONS(2681),
    [anon_sym_BSLASHpn] = ACTIONS(2681),
    [anon_sym_BSLASHpng] = ACTIONS(2681),
    [anon_sym_BSLASHaddpn] = ACTIONS(2681),
    [anon_sym_BSLASHqt] = ACTIONS(2681),
    [anon_sym_BSLASHsig] = ACTIONS(2681),
    [anon_sym_BSLASHsls] = ACTIONS(2681),
    [anon_sym_BSLASHtl] = ACTIONS(2681),
    [anon_sym_BSLASHwj] = ACTIONS(2681),
    [anon_sym_BSLASHem] = ACTIONS(2681),
    [anon_sym_BSLASHbd] = ACTIONS(2681),
    [anon_sym_BSLASHit] = ACTIONS(2681),
    [anon_sym_BSLASHbdit] = ACTIONS(2681),
    [anon_sym_BSLASHno] = ACTIONS(2681),
    [anon_sym_BSLASHsc] = ACTIONS(2681),
    [anon_sym_BSLASHsup] = ACTIONS(2681),
    [anon_sym_BSLASHndx] = ACTIONS(2681),
    [anon_sym_BSLASHpro] = ACTIONS(2681),
    [anon_sym_BSLASHrb] = ACTIONS(2681),
    [anon_sym_BSLASHw] = ACTIONS(2681),
    [anon_sym_BSLASHwg] = ACTIONS(2681),
    [anon_sym_BSLASHwh] = ACTIONS(2681),
    [anon_sym_BSLASHwa] = ACTIONS(2681),
    [anon_sym_BSLASHfig] = ACTIONS(2681),
    [anon_sym_BSLASHjmp] = ACTIONS(2681),
    [anon_sym_BSLASHpb] = ACTIONS(2681),
    [anon_sym_BSLASH] = ACTIONS(2681),
    [sym_milestoneStartTag] = ACTIONS(2681),
    [sym_milestoneEndTag] = ACTIONS(2681),
    [sym_zSpaceTag] = ACTIONS(2681),
    [anon_sym_BSLASHesb] = ACTIONS(2681),
  },
  [376] = {
    [ts_builtin_sym_end] = ACTIONS(2751),
    [aux_sym_text_token1] = ACTIONS(2751),
    [anon_sym_BSLASHref] = ACTIONS(2753),
    [anon_sym_BSLASHsts] = ACTIONS(2753),
    [anon_sym_BSLASHrem] = ACTIONS(2753),
    [anon_sym_BSLASHrestore] = ACTIONS(2753),
    [anon_sym_BSLASHlit] = ACTIONS(2753),
    [anon_sym_BSLASHiqt] = ACTIONS(2753),
    [anon_sym_BSLASHip] = ACTIONS(2753),
    [anon_sym_BSLASHiex] = ACTIONS(2753),
    [anon_sym_BSLASHv] = ACTIONS(2753),
    [anon_sym_BSLASHva] = ACTIONS(2753),
    [anon_sym_BSLASHvp] = ACTIONS(2753),
    [anon_sym_BSLASHc] = ACTIONS(2753),
    [anon_sym_BSLASHcl] = ACTIONS(2753),
    [anon_sym_BSLASHca] = ACTIONS(2753),
    [anon_sym_BSLASHcp] = ACTIONS(2753),
    [anon_sym_BSLASHcd] = ACTIONS(2753),
    [anon_sym_BSLASHmte] = ACTIONS(2753),
    [anon_sym_BSLASHms] = ACTIONS(2753),
    [anon_sym_BSLASHmr] = ACTIONS(2753),
    [anon_sym_BSLASHs] = ACTIONS(2753),
    [anon_sym_BSLASHsr] = ACTIONS(2753),
    [anon_sym_BSLASHr] = ACTIONS(2753),
    [anon_sym_BSLASHsp] = ACTIONS(2753),
    [anon_sym_BSLASHd] = ACTIONS(2753),
    [anon_sym_BSLASHsd] = ACTIONS(2753),
    [anon_sym_BSLASHp] = ACTIONS(2753),
    [anon_sym_BSLASHm] = ACTIONS(2753),
    [anon_sym_BSLASHpo] = ACTIONS(2753),
    [anon_sym_BSLASHpr] = ACTIONS(2753),
    [anon_sym_BSLASHcls] = ACTIONS(2753),
    [anon_sym_BSLASHpmo] = ACTIONS(2753),
    [anon_sym_BSLASHpm] = ACTIONS(2753),
    [anon_sym_BSLASHpmc] = ACTIONS(2753),
    [anon_sym_BSLASHpmr] = ACTIONS(2753),
    [anon_sym_BSLASHpi] = ACTIONS(2753),
    [anon_sym_BSLASHmi] = ACTIONS(2753),
    [anon_sym_BSLASHnb] = ACTIONS(2753),
    [anon_sym_BSLASHpc] = ACTIONS(2753),
    [anon_sym_BSLASHph] = ACTIONS(2753),
    [anon_sym_BSLASHb] = ACTIONS(2753),
    [anon_sym_BSLASHq] = ACTIONS(2753),
    [anon_sym_BSLASHqr] = ACTIONS(2753),
    [anon_sym_BSLASHqc] = ACTIONS(2753),
    [anon_sym_BSLASHqa] = ACTIONS(2753),
    [anon_sym_BSLASHqm] = ACTIONS(2753),
    [anon_sym_BSLASHqd] = ACTIONS(2753),
    [anon_sym_BSLASHlh] = ACTIONS(2753),
    [anon_sym_BSLASHlf] = ACTIONS(2753),
    [anon_sym_BSLASHli] = ACTIONS(2753),
    [anon_sym_BSLASHlim] = ACTIONS(2753),
    [anon_sym_BSLASHliv] = ACTIONS(2753),
    [anon_sym_BSLASHlik] = ACTIONS(2753),
    [anon_sym_BSLASHlitl] = ACTIONS(2753),
    [anon_sym_BSLASHtr] = ACTIONS(2753),
    [anon_sym_BSLASHf] = ACTIONS(2753),
    [anon_sym_BSLASHfe] = ACTIONS(2753),
    [anon_sym_BSLASHef] = ACTIONS(2753),
    [anon_sym_BSLASHfm] = ACTIONS(2753),
    [anon_sym_BSLASHx] = ACTIONS(2753),
    [anon_sym_BSLASHxt] = ACTIONS(2753),
    [anon_sym_BSLASHrq] = ACTIONS(2753),
    [anon_sym_BSLASHadd] = ACTIONS(2753),
    [anon_sym_BSLASHbk] = ACTIONS(2753),
    [anon_sym_BSLASHdc] = ACTIONS(2753),
    [anon_sym_BSLASHk] = ACTIONS(2753),
    [anon_sym_BSLASHnd] = ACTIONS(2753),
    [anon_sym_BSLASHord] = ACTIONS(2753),
    [anon_sym_BSLASHpn] = ACTIONS(2753),
    [anon_sym_BSLASHpng] = ACTIONS(2753),
    [anon_sym_BSLASHaddpn] = ACTIONS(2753),
    [anon_sym_BSLASHqt] = ACTIONS(2753),
    [anon_sym_BSLASHsig] = ACTIONS(2753),
    [anon_sym_BSLASHsls] = ACTIONS(2753),
    [anon_sym_BSLASHtl] = ACTIONS(2753),
    [anon_sym_BSLASHwj] = ACTIONS(2753),
    [anon_sym_BSLASHem] = ACTIONS(2753),
    [anon_sym_BSLASHbd] = ACTIONS(2753),
    [anon_sym_BSLASHit] = ACTIONS(2753),
    [anon_sym_BSLASHbdit] = ACTIONS(2753),
    [anon_sym_BSLASHno] = ACTIONS(2753),
    [anon_sym_BSLASHsc] = ACTIONS(2753),
    [anon_sym_BSLASHsup] = ACTIONS(2753),
    [anon_sym_BSLASHndx] = ACTIONS(2753),
    [anon_sym_BSLASHpro] = ACTIONS(2753),
    [anon_sym_BSLASHrb] = ACTIONS(2753),
    [anon_sym_BSLASHw] = ACTIONS(2753),
    [anon_sym_BSLASHwg] = ACTIONS(2753),
    [anon_sym_BSLASHwh] = ACTIONS(2753),
    [anon_sym_BSLASHwa] = ACTIONS(2753),
    [anon_sym_BSLASHfig] = ACTIONS(2753),
    [anon_sym_BSLASHjmp] = ACTIONS(2753),
    [anon_sym_BSLASHpb] = ACTIONS(2753),
    [anon_sym_BSLASH] = ACTIONS(2753),
    [sym_milestoneStartTag] = ACTIONS(2753),
    [sym_milestoneEndTag] = ACTIONS(2753),
    [sym_zSpaceTag] = ACTIONS(2753),
    [anon_sym_BSLASHesb] = ACTIONS(2753),
  },
  [377] = {
    [ts_builtin_sym_end] = ACTIONS(17),
    [aux_sym_text_token1] = ACTIONS(17),
    [anon_sym_BSLASHref] = ACTIONS(19),
    [anon_sym_BSLASHsts] = ACTIONS(19),
    [anon_sym_BSLASHrem] = ACTIONS(19),
    [anon_sym_BSLASHrestore] = ACTIONS(19),
    [anon_sym_BSLASHlit] = ACTIONS(19),
    [anon_sym_BSLASHiqt] = ACTIONS(19),
    [anon_sym_BSLASHip] = ACTIONS(19),
    [anon_sym_BSLASHiex] = ACTIONS(19),
    [anon_sym_BSLASHv] = ACTIONS(19),
    [anon_sym_BSLASHva] = ACTIONS(19),
    [anon_sym_BSLASHvp] = ACTIONS(19),
    [anon_sym_BSLASHc] = ACTIONS(19),
    [anon_sym_BSLASHcl] = ACTIONS(19),
    [anon_sym_BSLASHca] = ACTIONS(19),
    [anon_sym_BSLASHcp] = ACTIONS(19),
    [anon_sym_BSLASHcd] = ACTIONS(19),
    [anon_sym_BSLASHmte] = ACTIONS(19),
    [anon_sym_BSLASHms] = ACTIONS(19),
    [anon_sym_BSLASHmr] = ACTIONS(19),
    [anon_sym_BSLASHs] = ACTIONS(19),
    [anon_sym_BSLASHsr] = ACTIONS(19),
    [anon_sym_BSLASHr] = ACTIONS(19),
    [anon_sym_BSLASHsp] = ACTIONS(19),
    [anon_sym_BSLASHd] = ACTIONS(19),
    [anon_sym_BSLASHsd] = ACTIONS(19),
    [anon_sym_BSLASHp] = ACTIONS(19),
    [anon_sym_BSLASHm] = ACTIONS(19),
    [anon_sym_BSLASHpo] = ACTIONS(19),
    [anon_sym_BSLASHpr] = ACTIONS(19),
    [anon_sym_BSLASHcls] = ACTIONS(19),
    [anon_sym_BSLASHpmo] = ACTIONS(19),
    [anon_sym_BSLASHpm] = ACTIONS(19),
    [anon_sym_BSLASHpmc] = ACTIONS(19),
    [anon_sym_BSLASHpmr] = ACTIONS(19),
    [anon_sym_BSLASHpi] = ACTIONS(19),
    [anon_sym_BSLASHmi] = ACTIONS(19),
    [anon_sym_BSLASHnb] = ACTIONS(19),
    [anon_sym_BSLASHpc] = ACTIONS(19),
    [anon_sym_BSLASHph] = ACTIONS(19),
    [anon_sym_BSLASHb] = ACTIONS(19),
    [anon_sym_BSLASHq] = ACTIONS(19),
    [anon_sym_BSLASHqr] = ACTIONS(19),
    [anon_sym_BSLASHqc] = ACTIONS(19),
    [anon_sym_BSLASHqa] = ACTIONS(19),
    [anon_sym_BSLASHqm] = ACTIONS(19),
    [anon_sym_BSLASHqd] = ACTIONS(19),
    [anon_sym_BSLASHlh] = ACTIONS(19),
    [anon_sym_BSLASHlf] = ACTIONS(19),
    [anon_sym_BSLASHli] = ACTIONS(19),
    [anon_sym_BSLASHlim] = ACTIONS(19),
    [anon_sym_BSLASHliv] = ACTIONS(19),
    [anon_sym_BSLASHlik] = ACTIONS(19),
    [anon_sym_BSLASHlitl] = ACTIONS(19),
    [anon_sym_BSLASHtr] = ACTIONS(19),
    [anon_sym_BSLASHf] = ACTIONS(19),
    [anon_sym_BSLASHfe] = ACTIONS(19),
    [anon_sym_BSLASHef] = ACTIONS(19),
    [anon_sym_BSLASHfm] = ACTIONS(19),
    [anon_sym_BSLASHx] = ACTIONS(19),
    [anon_sym_BSLASHxt] = ACTIONS(19),
    [anon_sym_BSLASHrq] = ACTIONS(19),
    [anon_sym_BSLASHadd] = ACTIONS(19),
    [anon_sym_BSLASHbk] = ACTIONS(19),
    [anon_sym_BSLASHdc] = ACTIONS(19),
    [anon_sym_BSLASHk] = ACTIONS(19),
    [anon_sym_BSLASHnd] = ACTIONS(19),
    [anon_sym_BSLASHord] = ACTIONS(19),
    [anon_sym_BSLASHpn] = ACTIONS(19),
    [anon_sym_BSLASHpng] = ACTIONS(19),
    [anon_sym_BSLASHaddpn] = ACTIONS(19),
    [anon_sym_BSLASHqt] = ACTIONS(19),
    [anon_sym_BSLASHsig] = ACTIONS(19),
    [anon_sym_BSLASHsls] = ACTIONS(19),
    [anon_sym_BSLASHtl] = ACTIONS(19),
    [anon_sym_BSLASHwj] = ACTIONS(19),
    [anon_sym_BSLASHem] = ACTIONS(19),
    [anon_sym_BSLASHbd] = ACTIONS(19),
    [anon_sym_BSLASHit] = ACTIONS(19),
    [anon_sym_BSLASHbdit] = ACTIONS(19),
    [anon_sym_BSLASHno] = ACTIONS(19),
    [anon_sym_BSLASHsc] = ACTIONS(19),
    [anon_sym_BSLASHsup] = ACTIONS(19),
    [anon_sym_BSLASHndx] = ACTIONS(19),
    [anon_sym_BSLASHpro] = ACTIONS(19),
    [anon_sym_BSLASHrb] = ACTIONS(19),
    [anon_sym_BSLASHw] = ACTIONS(19),
    [anon_sym_BSLASHwg] = ACTIONS(19),
    [anon_sym_BSLASHwh] = ACTIONS(19),
    [anon_sym_BSLASHwa] = ACTIONS(19),
    [anon_sym_BSLASHfig] = ACTIONS(19),
    [anon_sym_BSLASHjmp] = ACTIONS(19),
    [anon_sym_BSLASHpb] = ACTIONS(19),
    [anon_sym_BSLASH] = ACTIONS(19),
    [sym_milestoneStartTag] = ACTIONS(19),
    [sym_milestoneEndTag] = ACTIONS(19),
    [sym_zSpaceTag] = ACTIONS(19),
    [anon_sym_BSLASHesb] = ACTIONS(19),
  },
  [378] = {
    [ts_builtin_sym_end] = ACTIONS(2783),
    [aux_sym_text_token1] = ACTIONS(2783),
    [anon_sym_BSLASHref] = ACTIONS(2785),
    [anon_sym_BSLASHsts] = ACTIONS(2785),
    [anon_sym_BSLASHrem] = ACTIONS(2785),
    [anon_sym_BSLASHrestore] = ACTIONS(2785),
    [anon_sym_BSLASHlit] = ACTIONS(2785),
    [anon_sym_BSLASHiqt] = ACTIONS(2785),
    [anon_sym_BSLASHip] = ACTIONS(2785),
    [anon_sym_BSLASHiex] = ACTIONS(2785),
    [anon_sym_BSLASHv] = ACTIONS(2785),
    [anon_sym_BSLASHva] = ACTIONS(2785),
    [anon_sym_BSLASHvp] = ACTIONS(2785),
    [anon_sym_BSLASHc] = ACTIONS(2785),
    [anon_sym_BSLASHcl] = ACTIONS(2785),
    [anon_sym_BSLASHca] = ACTIONS(2785),
    [anon_sym_BSLASHcp] = ACTIONS(2785),
    [anon_sym_BSLASHcd] = ACTIONS(2785),
    [anon_sym_BSLASHmte] = ACTIONS(2785),
    [anon_sym_BSLASHms] = ACTIONS(2785),
    [anon_sym_BSLASHmr] = ACTIONS(2785),
    [anon_sym_BSLASHs] = ACTIONS(2785),
    [anon_sym_BSLASHsr] = ACTIONS(2785),
    [anon_sym_BSLASHr] = ACTIONS(2785),
    [anon_sym_BSLASHsp] = ACTIONS(2785),
    [anon_sym_BSLASHd] = ACTIONS(2785),
    [anon_sym_BSLASHsd] = ACTIONS(2785),
    [anon_sym_BSLASHp] = ACTIONS(2785),
    [anon_sym_BSLASHm] = ACTIONS(2785),
    [anon_sym_BSLASHpo] = ACTIONS(2785),
    [anon_sym_BSLASHpr] = ACTIONS(2785),
    [anon_sym_BSLASHcls] = ACTIONS(2785),
    [anon_sym_BSLASHpmo] = ACTIONS(2785),
    [anon_sym_BSLASHpm] = ACTIONS(2785),
    [anon_sym_BSLASHpmc] = ACTIONS(2785),
    [anon_sym_BSLASHpmr] = ACTIONS(2785),
    [anon_sym_BSLASHpi] = ACTIONS(2785),
    [anon_sym_BSLASHmi] = ACTIONS(2785),
    [anon_sym_BSLASHnb] = ACTIONS(2785),
    [anon_sym_BSLASHpc] = ACTIONS(2785),
    [anon_sym_BSLASHph] = ACTIONS(2785),
    [anon_sym_BSLASHb] = ACTIONS(2785),
    [anon_sym_BSLASHq] = ACTIONS(2785),
    [anon_sym_BSLASHqr] = ACTIONS(2785),
    [anon_sym_BSLASHqc] = ACTIONS(2785),
    [anon_sym_BSLASHqa] = ACTIONS(2785),
    [anon_sym_BSLASHqm] = ACTIONS(2785),
    [anon_sym_BSLASHqd] = ACTIONS(2785),
    [anon_sym_BSLASHlh] = ACTIONS(2785),
    [anon_sym_BSLASHlf] = ACTIONS(2785),
    [anon_sym_BSLASHli] = ACTIONS(2785),
    [anon_sym_BSLASHlim] = ACTIONS(2785),
    [anon_sym_BSLASHliv] = ACTIONS(2785),
    [anon_sym_BSLASHlik] = ACTIONS(2785),
    [anon_sym_BSLASHlitl] = ACTIONS(2785),
    [anon_sym_BSLASHtr] = ACTIONS(2785),
    [anon_sym_BSLASHf] = ACTIONS(2785),
    [anon_sym_BSLASHfe] = ACTIONS(2785),
    [anon_sym_BSLASHef] = ACTIONS(2785),
    [anon_sym_BSLASHfm] = ACTIONS(2785),
    [anon_sym_BSLASHx] = ACTIONS(2785),
    [anon_sym_BSLASHxt] = ACTIONS(2785),
    [anon_sym_BSLASHrq] = ACTIONS(2785),
    [anon_sym_BSLASHadd] = ACTIONS(2785),
    [anon_sym_BSLASHbk] = ACTIONS(2785),
    [anon_sym_BSLASHdc] = ACTIONS(2785),
    [anon_sym_BSLASHk] = ACTIONS(2785),
    [anon_sym_BSLASHnd] = ACTIONS(2785),
    [anon_sym_BSLASHord] = ACTIONS(2785),
    [anon_sym_BSLASHpn] = ACTIONS(2785),
    [anon_sym_BSLASHpng] = ACTIONS(2785),
    [anon_sym_BSLASHaddpn] = ACTIONS(2785),
    [anon_sym_BSLASHqt] = ACTIONS(2785),
    [anon_sym_BSLASHsig] = ACTIONS(2785),
    [anon_sym_BSLASHsls] = ACTIONS(2785),
    [anon_sym_BSLASHtl] = ACTIONS(2785),
    [anon_sym_BSLASHwj] = ACTIONS(2785),
    [anon_sym_BSLASHem] = ACTIONS(2785),
    [anon_sym_BSLASHbd] = ACTIONS(2785),
    [anon_sym_BSLASHit] = ACTIONS(2785),
    [anon_sym_BSLASHbdit] = ACTIONS(2785),
    [anon_sym_BSLASHno] = ACTIONS(2785),
    [anon_sym_BSLASHsc] = ACTIONS(2785),
    [anon_sym_BSLASHsup] = ACTIONS(2785),
    [anon_sym_BSLASHndx] = ACTIONS(2785),
    [anon_sym_BSLASHpro] = ACTIONS(2785),
    [anon_sym_BSLASHrb] = ACTIONS(2785),
    [anon_sym_BSLASHw] = ACTIONS(2785),
    [anon_sym_BSLASHwg] = ACTIONS(2785),
    [anon_sym_BSLASHwh] = ACTIONS(2785),
    [anon_sym_BSLASHwa] = ACTIONS(2785),
    [anon_sym_BSLASHfig] = ACTIONS(2785),
    [anon_sym_BSLASHjmp] = ACTIONS(2785),
    [anon_sym_BSLASHpb] = ACTIONS(2785),
    [anon_sym_BSLASH] = ACTIONS(2785),
    [sym_milestoneStartTag] = ACTIONS(2785),
    [sym_milestoneEndTag] = ACTIONS(2785),
    [sym_zSpaceTag] = ACTIONS(2785),
    [anon_sym_BSLASHesb] = ACTIONS(2785),
  },
  [379] = {
    [ts_builtin_sym_end] = ACTIONS(5),
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHref] = ACTIONS(7),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHiex] = ACTIONS(7),
    [anon_sym_BSLASHv] = ACTIONS(7),
    [anon_sym_BSLASHva] = ACTIONS(7),
    [anon_sym_BSLASHvp] = ACTIONS(7),
    [anon_sym_BSLASHc] = ACTIONS(7),
    [anon_sym_BSLASHcl] = ACTIONS(7),
    [anon_sym_BSLASHca] = ACTIONS(7),
    [anon_sym_BSLASHcp] = ACTIONS(7),
    [anon_sym_BSLASHcd] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHlf] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHliv] = ACTIONS(7),
    [anon_sym_BSLASHlik] = ACTIONS(7),
    [anon_sym_BSLASHlitl] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHx] = ACTIONS(7),
    [anon_sym_BSLASHxt] = ACTIONS(7),
    [anon_sym_BSLASHrq] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_BSLASH_STAR] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [sym__zSpaceClose] = ACTIONS(7),
    [anon_sym_BSLASHesb] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
  },
  [380] = {
    [ts_builtin_sym_end] = ACTIONS(2787),
    [aux_sym_text_token1] = ACTIONS(2787),
    [anon_sym_BSLASHref] = ACTIONS(2789),
    [anon_sym_BSLASHsts] = ACTIONS(2789),
    [anon_sym_BSLASHrem] = ACTIONS(2789),
    [anon_sym_BSLASHrestore] = ACTIONS(2789),
    [anon_sym_BSLASHlit] = ACTIONS(2789),
    [anon_sym_BSLASHiqt] = ACTIONS(2789),
    [anon_sym_BSLASHip] = ACTIONS(2789),
    [anon_sym_BSLASHiex] = ACTIONS(2789),
    [anon_sym_BSLASHv] = ACTIONS(2789),
    [anon_sym_BSLASHva] = ACTIONS(2789),
    [anon_sym_BSLASHvp] = ACTIONS(2789),
    [anon_sym_BSLASHc] = ACTIONS(2789),
    [anon_sym_BSLASHcl] = ACTIONS(2789),
    [anon_sym_BSLASHca] = ACTIONS(2789),
    [anon_sym_BSLASHcp] = ACTIONS(2789),
    [anon_sym_BSLASHcd] = ACTIONS(2789),
    [anon_sym_BSLASHmte] = ACTIONS(2789),
    [anon_sym_BSLASHms] = ACTIONS(2789),
    [anon_sym_BSLASHmr] = ACTIONS(2789),
    [anon_sym_BSLASHs] = ACTIONS(2789),
    [anon_sym_BSLASHsr] = ACTIONS(2789),
    [anon_sym_BSLASHr] = ACTIONS(2789),
    [anon_sym_BSLASHsp] = ACTIONS(2789),
    [anon_sym_BSLASHd] = ACTIONS(2789),
    [anon_sym_BSLASHsd] = ACTIONS(2789),
    [anon_sym_BSLASHp] = ACTIONS(2789),
    [anon_sym_BSLASHm] = ACTIONS(2789),
    [anon_sym_BSLASHpo] = ACTIONS(2789),
    [anon_sym_BSLASHpr] = ACTIONS(2789),
    [anon_sym_BSLASHcls] = ACTIONS(2789),
    [anon_sym_BSLASHpmo] = ACTIONS(2789),
    [anon_sym_BSLASHpm] = ACTIONS(2789),
    [anon_sym_BSLASHpmc] = ACTIONS(2789),
    [anon_sym_BSLASHpmr] = ACTIONS(2789),
    [anon_sym_BSLASHpi] = ACTIONS(2789),
    [anon_sym_BSLASHmi] = ACTIONS(2789),
    [anon_sym_BSLASHnb] = ACTIONS(2789),
    [anon_sym_BSLASHpc] = ACTIONS(2789),
    [anon_sym_BSLASHph] = ACTIONS(2789),
    [anon_sym_BSLASHb] = ACTIONS(2789),
    [anon_sym_BSLASHq] = ACTIONS(2789),
    [anon_sym_BSLASHqr] = ACTIONS(2789),
    [anon_sym_BSLASHqc] = ACTIONS(2789),
    [anon_sym_BSLASHqa] = ACTIONS(2789),
    [anon_sym_BSLASHqm] = ACTIONS(2789),
    [anon_sym_BSLASHqd] = ACTIONS(2789),
    [anon_sym_BSLASHlh] = ACTIONS(2789),
    [anon_sym_BSLASHlf] = ACTIONS(2789),
    [anon_sym_BSLASHli] = ACTIONS(2789),
    [anon_sym_BSLASHlim] = ACTIONS(2789),
    [anon_sym_BSLASHliv] = ACTIONS(2789),
    [anon_sym_BSLASHlik] = ACTIONS(2789),
    [anon_sym_BSLASHlitl] = ACTIONS(2789),
    [anon_sym_BSLASHtr] = ACTIONS(2789),
    [anon_sym_BSLASHf] = ACTIONS(2789),
    [anon_sym_BSLASHfe] = ACTIONS(2789),
    [anon_sym_BSLASHef] = ACTIONS(2789),
    [anon_sym_BSLASHfm] = ACTIONS(2789),
    [anon_sym_BSLASHx] = ACTIONS(2789),
    [anon_sym_BSLASHxt] = ACTIONS(2789),
    [anon_sym_BSLASHrq] = ACTIONS(2789),
    [anon_sym_BSLASHadd] = ACTIONS(2789),
    [anon_sym_BSLASHbk] = ACTIONS(2789),
    [anon_sym_BSLASHdc] = ACTIONS(2789),
    [anon_sym_BSLASHk] = ACTIONS(2789),
    [anon_sym_BSLASHnd] = ACTIONS(2789),
    [anon_sym_BSLASHord] = ACTIONS(2789),
    [anon_sym_BSLASHpn] = ACTIONS(2789),
    [anon_sym_BSLASHpng] = ACTIONS(2789),
    [anon_sym_BSLASHaddpn] = ACTIONS(2789),
    [anon_sym_BSLASHqt] = ACTIONS(2789),
    [anon_sym_BSLASHsig] = ACTIONS(2789),
    [anon_sym_BSLASHsls] = ACTIONS(2789),
    [anon_sym_BSLASHtl] = ACTIONS(2789),
    [anon_sym_BSLASHwj] = ACTIONS(2789),
    [anon_sym_BSLASHem] = ACTIONS(2789),
    [anon_sym_BSLASHbd] = ACTIONS(2789),
    [anon_sym_BSLASHit] = ACTIONS(2789),
    [anon_sym_BSLASHbdit] = ACTIONS(2789),
    [anon_sym_BSLASHno] = ACTIONS(2789),
    [anon_sym_BSLASHsc] = ACTIONS(2789),
    [anon_sym_BSLASHsup] = ACTIONS(2789),
    [anon_sym_BSLASHndx] = ACTIONS(2789),
    [anon_sym_BSLASHpro] = ACTIONS(2789),
    [anon_sym_BSLASHrb] = ACTIONS(2789),
    [anon_sym_BSLASHw] = ACTIONS(2789),
    [anon_sym_BSLASHwg] = ACTIONS(2789),
    [anon_sym_BSLASHwh] = ACTIONS(2789),
    [anon_sym_BSLASHwa] = ACTIONS(2789),
    [anon_sym_BSLASHfig] = ACTIONS(2789),
    [anon_sym_BSLASHjmp] = ACTIONS(2789),
    [anon_sym_BSLASHpb] = ACTIONS(2789),
    [anon_sym_BSLASH] = ACTIONS(2789),
    [sym_milestoneStartTag] = ACTIONS(2789),
    [sym_milestoneEndTag] = ACTIONS(2789),
    [sym_zSpaceTag] = ACTIONS(2789),
    [anon_sym_BSLASHesb] = ACTIONS(2789),
  },
  [381] = {
    [ts_builtin_sym_end] = ACTIONS(2747),
    [aux_sym_text_token1] = ACTIONS(2747),
    [anon_sym_BSLASHref] = ACTIONS(2749),
    [anon_sym_BSLASHsts] = ACTIONS(2749),
    [anon_sym_BSLASHrem] = ACTIONS(2749),
    [anon_sym_BSLASHrestore] = ACTIONS(2749),
    [anon_sym_BSLASHlit] = ACTIONS(2749),
    [anon_sym_BSLASHiqt] = ACTIONS(2749),
    [anon_sym_BSLASHip] = ACTIONS(2749),
    [anon_sym_BSLASHiex] = ACTIONS(2749),
    [anon_sym_BSLASHv] = ACTIONS(2749),
    [anon_sym_BSLASHva] = ACTIONS(2749),
    [anon_sym_BSLASHvp] = ACTIONS(2749),
    [anon_sym_BSLASHc] = ACTIONS(2749),
    [anon_sym_BSLASHcl] = ACTIONS(2749),
    [anon_sym_BSLASHca] = ACTIONS(2749),
    [anon_sym_BSLASHcp] = ACTIONS(2749),
    [anon_sym_BSLASHcd] = ACTIONS(2749),
    [anon_sym_BSLASHmte] = ACTIONS(2749),
    [anon_sym_BSLASHms] = ACTIONS(2749),
    [anon_sym_BSLASHmr] = ACTIONS(2749),
    [anon_sym_BSLASHs] = ACTIONS(2749),
    [anon_sym_BSLASHsr] = ACTIONS(2749),
    [anon_sym_BSLASHr] = ACTIONS(2749),
    [anon_sym_BSLASHsp] = ACTIONS(2749),
    [anon_sym_BSLASHd] = ACTIONS(2749),
    [anon_sym_BSLASHsd] = ACTIONS(2749),
    [anon_sym_BSLASHp] = ACTIONS(2749),
    [anon_sym_BSLASHm] = ACTIONS(2749),
    [anon_sym_BSLASHpo] = ACTIONS(2749),
    [anon_sym_BSLASHpr] = ACTIONS(2749),
    [anon_sym_BSLASHcls] = ACTIONS(2749),
    [anon_sym_BSLASHpmo] = ACTIONS(2749),
    [anon_sym_BSLASHpm] = ACTIONS(2749),
    [anon_sym_BSLASHpmc] = ACTIONS(2749),
    [anon_sym_BSLASHpmr] = ACTIONS(2749),
    [anon_sym_BSLASHpi] = ACTIONS(2749),
    [anon_sym_BSLASHmi] = ACTIONS(2749),
    [anon_sym_BSLASHnb] = ACTIONS(2749),
    [anon_sym_BSLASHpc] = ACTIONS(2749),
    [anon_sym_BSLASHph] = ACTIONS(2749),
    [anon_sym_BSLASHb] = ACTIONS(2749),
    [anon_sym_BSLASHq] = ACTIONS(2749),
    [anon_sym_BSLASHqr] = ACTIONS(2749),
    [anon_sym_BSLASHqc] = ACTIONS(2749),
    [anon_sym_BSLASHqa] = ACTIONS(2749),
    [anon_sym_BSLASHqm] = ACTIONS(2749),
    [anon_sym_BSLASHqd] = ACTIONS(2749),
    [anon_sym_BSLASHlh] = ACTIONS(2749),
    [anon_sym_BSLASHlf] = ACTIONS(2749),
    [anon_sym_BSLASHli] = ACTIONS(2749),
    [anon_sym_BSLASHlim] = ACTIONS(2749),
    [anon_sym_BSLASHliv] = ACTIONS(2749),
    [anon_sym_BSLASHlik] = ACTIONS(2749),
    [anon_sym_BSLASHlitl] = ACTIONS(2749),
    [anon_sym_BSLASHtr] = ACTIONS(2749),
    [anon_sym_BSLASHf] = ACTIONS(2749),
    [anon_sym_BSLASHfe] = ACTIONS(2749),
    [anon_sym_BSLASHef] = ACTIONS(2749),
    [anon_sym_BSLASHfm] = ACTIONS(2749),
    [anon_sym_BSLASHx] = ACTIONS(2749),
    [anon_sym_BSLASHxt] = ACTIONS(2749),
    [anon_sym_BSLASHrq] = ACTIONS(2749),
    [anon_sym_BSLASHadd] = ACTIONS(2749),
    [anon_sym_BSLASHbk] = ACTIONS(2749),
    [anon_sym_BSLASHdc] = ACTIONS(2749),
    [anon_sym_BSLASHk] = ACTIONS(2749),
    [anon_sym_BSLASHnd] = ACTIONS(2749),
    [anon_sym_BSLASHord] = ACTIONS(2749),
    [anon_sym_BSLASHpn] = ACTIONS(2749),
    [anon_sym_BSLASHpng] = ACTIONS(2749),
    [anon_sym_BSLASHaddpn] = ACTIONS(2749),
    [anon_sym_BSLASHqt] = ACTIONS(2749),
    [anon_sym_BSLASHsig] = ACTIONS(2749),
    [anon_sym_BSLASHsls] = ACTIONS(2749),
    [anon_sym_BSLASHtl] = ACTIONS(2749),
    [anon_sym_BSLASHwj] = ACTIONS(2749),
    [anon_sym_BSLASHem] = ACTIONS(2749),
    [anon_sym_BSLASHbd] = ACTIONS(2749),
    [anon_sym_BSLASHit] = ACTIONS(2749),
    [anon_sym_BSLASHbdit] = ACTIONS(2749),
    [anon_sym_BSLASHno] = ACTIONS(2749),
    [anon_sym_BSLASHsc] = ACTIONS(2749),
    [anon_sym_BSLASHsup] = ACTIONS(2749),
    [anon_sym_BSLASHndx] = ACTIONS(2749),
    [anon_sym_BSLASHpro] = ACTIONS(2749),
    [anon_sym_BSLASHrb] = ACTIONS(2749),
    [anon_sym_BSLASHw] = ACTIONS(2749),
    [anon_sym_BSLASHwg] = ACTIONS(2749),
    [anon_sym_BSLASHwh] = ACTIONS(2749),
    [anon_sym_BSLASHwa] = ACTIONS(2749),
    [anon_sym_BSLASHfig] = ACTIONS(2749),
    [anon_sym_BSLASHjmp] = ACTIONS(2749),
    [anon_sym_BSLASHpb] = ACTIONS(2749),
    [anon_sym_BSLASH] = ACTIONS(2749),
    [sym_milestoneStartTag] = ACTIONS(2749),
    [sym_milestoneEndTag] = ACTIONS(2749),
    [sym_zSpaceTag] = ACTIONS(2749),
    [anon_sym_BSLASHesb] = ACTIONS(2749),
  },
  [382] = {
    [ts_builtin_sym_end] = ACTIONS(2791),
    [aux_sym_text_token1] = ACTIONS(2791),
    [anon_sym_BSLASHref] = ACTIONS(2793),
    [anon_sym_BSLASHsts] = ACTIONS(2793),
    [anon_sym_BSLASHrem] = ACTIONS(2793),
    [anon_sym_BSLASHrestore] = ACTIONS(2793),
    [anon_sym_BSLASHlit] = ACTIONS(2793),
    [anon_sym_BSLASHiqt] = ACTIONS(2793),
    [anon_sym_BSLASHip] = ACTIONS(2793),
    [anon_sym_BSLASHiex] = ACTIONS(2793),
    [anon_sym_BSLASHv] = ACTIONS(2793),
    [anon_sym_BSLASHva] = ACTIONS(2793),
    [anon_sym_BSLASHvp] = ACTIONS(2793),
    [anon_sym_BSLASHc] = ACTIONS(2793),
    [anon_sym_BSLASHcl] = ACTIONS(2793),
    [anon_sym_BSLASHca] = ACTIONS(2793),
    [anon_sym_BSLASHcp] = ACTIONS(2793),
    [anon_sym_BSLASHcd] = ACTIONS(2793),
    [anon_sym_BSLASHmte] = ACTIONS(2793),
    [anon_sym_BSLASHms] = ACTIONS(2793),
    [anon_sym_BSLASHmr] = ACTIONS(2793),
    [anon_sym_BSLASHs] = ACTIONS(2793),
    [anon_sym_BSLASHsr] = ACTIONS(2793),
    [anon_sym_BSLASHr] = ACTIONS(2793),
    [anon_sym_BSLASHsp] = ACTIONS(2793),
    [anon_sym_BSLASHd] = ACTIONS(2793),
    [anon_sym_BSLASHsd] = ACTIONS(2793),
    [anon_sym_BSLASHp] = ACTIONS(2793),
    [anon_sym_BSLASHm] = ACTIONS(2793),
    [anon_sym_BSLASHpo] = ACTIONS(2793),
    [anon_sym_BSLASHpr] = ACTIONS(2793),
    [anon_sym_BSLASHcls] = ACTIONS(2793),
    [anon_sym_BSLASHpmo] = ACTIONS(2793),
    [anon_sym_BSLASHpm] = ACTIONS(2793),
    [anon_sym_BSLASHpmc] = ACTIONS(2793),
    [anon_sym_BSLASHpmr] = ACTIONS(2793),
    [anon_sym_BSLASHpi] = ACTIONS(2793),
    [anon_sym_BSLASHmi] = ACTIONS(2793),
    [anon_sym_BSLASHnb] = ACTIONS(2793),
    [anon_sym_BSLASHpc] = ACTIONS(2793),
    [anon_sym_BSLASHph] = ACTIONS(2793),
    [anon_sym_BSLASHb] = ACTIONS(2793),
    [anon_sym_BSLASHq] = ACTIONS(2793),
    [anon_sym_BSLASHqr] = ACTIONS(2793),
    [anon_sym_BSLASHqc] = ACTIONS(2793),
    [anon_sym_BSLASHqa] = ACTIONS(2793),
    [anon_sym_BSLASHqm] = ACTIONS(2793),
    [anon_sym_BSLASHqd] = ACTIONS(2793),
    [anon_sym_BSLASHlh] = ACTIONS(2793),
    [anon_sym_BSLASHlf] = ACTIONS(2793),
    [anon_sym_BSLASHli] = ACTIONS(2793),
    [anon_sym_BSLASHlim] = ACTIONS(2793),
    [anon_sym_BSLASHliv] = ACTIONS(2793),
    [anon_sym_BSLASHlik] = ACTIONS(2793),
    [anon_sym_BSLASHlitl] = ACTIONS(2793),
    [anon_sym_BSLASHtr] = ACTIONS(2793),
    [anon_sym_BSLASHf] = ACTIONS(2793),
    [anon_sym_BSLASHfe] = ACTIONS(2793),
    [anon_sym_BSLASHef] = ACTIONS(2793),
    [anon_sym_BSLASHfm] = ACTIONS(2793),
    [anon_sym_BSLASHx] = ACTIONS(2793),
    [anon_sym_BSLASHxt] = ACTIONS(2793),
    [anon_sym_BSLASHrq] = ACTIONS(2793),
    [anon_sym_BSLASHadd] = ACTIONS(2793),
    [anon_sym_BSLASHbk] = ACTIONS(2793),
    [anon_sym_BSLASHdc] = ACTIONS(2793),
    [anon_sym_BSLASHk] = ACTIONS(2793),
    [anon_sym_BSLASHnd] = ACTIONS(2793),
    [anon_sym_BSLASHord] = ACTIONS(2793),
    [anon_sym_BSLASHpn] = ACTIONS(2793),
    [anon_sym_BSLASHpng] = ACTIONS(2793),
    [anon_sym_BSLASHaddpn] = ACTIONS(2793),
    [anon_sym_BSLASHqt] = ACTIONS(2793),
    [anon_sym_BSLASHsig] = ACTIONS(2793),
    [anon_sym_BSLASHsls] = ACTIONS(2793),
    [anon_sym_BSLASHtl] = ACTIONS(2793),
    [anon_sym_BSLASHwj] = ACTIONS(2793),
    [anon_sym_BSLASHem] = ACTIONS(2793),
    [anon_sym_BSLASHbd] = ACTIONS(2793),
    [anon_sym_BSLASHit] = ACTIONS(2793),
    [anon_sym_BSLASHbdit] = ACTIONS(2793),
    [anon_sym_BSLASHno] = ACTIONS(2793),
    [anon_sym_BSLASHsc] = ACTIONS(2793),
    [anon_sym_BSLASHsup] = ACTIONS(2793),
    [anon_sym_BSLASHndx] = ACTIONS(2793),
    [anon_sym_BSLASHpro] = ACTIONS(2793),
    [anon_sym_BSLASHrb] = ACTIONS(2793),
    [anon_sym_BSLASHw] = ACTIONS(2793),
    [anon_sym_BSLASHwg] = ACTIONS(2793),
    [anon_sym_BSLASHwh] = ACTIONS(2793),
    [anon_sym_BSLASHwa] = ACTIONS(2793),
    [anon_sym_BSLASHfig] = ACTIONS(2793),
    [anon_sym_BSLASHjmp] = ACTIONS(2793),
    [anon_sym_BSLASHpb] = ACTIONS(2793),
    [anon_sym_BSLASH] = ACTIONS(2793),
    [sym_milestoneStartTag] = ACTIONS(2793),
    [sym_milestoneEndTag] = ACTIONS(2793),
    [sym_zSpaceTag] = ACTIONS(2793),
    [anon_sym_BSLASHesb] = ACTIONS(2793),
  },
  [383] = {
    [ts_builtin_sym_end] = ACTIONS(13),
    [aux_sym_text_token1] = ACTIONS(13),
    [anon_sym_BSLASHref] = ACTIONS(15),
    [anon_sym_BSLASHsts] = ACTIONS(15),
    [anon_sym_BSLASHrem] = ACTIONS(15),
    [anon_sym_BSLASHrestore] = ACTIONS(15),
    [anon_sym_BSLASHlit] = ACTIONS(15),
    [anon_sym_BSLASHiqt] = ACTIONS(15),
    [anon_sym_BSLASHip] = ACTIONS(15),
    [anon_sym_BSLASHiex] = ACTIONS(15),
    [anon_sym_BSLASHv] = ACTIONS(15),
    [anon_sym_BSLASHva] = ACTIONS(15),
    [anon_sym_BSLASHvp] = ACTIONS(15),
    [anon_sym_BSLASHc] = ACTIONS(15),
    [anon_sym_BSLASHcl] = ACTIONS(15),
    [anon_sym_BSLASHca] = ACTIONS(15),
    [anon_sym_BSLASHcp] = ACTIONS(15),
    [anon_sym_BSLASHcd] = ACTIONS(15),
    [anon_sym_BSLASHmte] = ACTIONS(15),
    [anon_sym_BSLASHms] = ACTIONS(15),
    [anon_sym_BSLASHmr] = ACTIONS(15),
    [anon_sym_BSLASHs] = ACTIONS(15),
    [anon_sym_BSLASHsr] = ACTIONS(15),
    [anon_sym_BSLASHr] = ACTIONS(15),
    [anon_sym_BSLASHsp] = ACTIONS(15),
    [anon_sym_BSLASHd] = ACTIONS(15),
    [anon_sym_BSLASHsd] = ACTIONS(15),
    [anon_sym_BSLASHp] = ACTIONS(15),
    [anon_sym_BSLASHm] = ACTIONS(15),
    [anon_sym_BSLASHpo] = ACTIONS(15),
    [anon_sym_BSLASHpr] = ACTIONS(15),
    [anon_sym_BSLASHcls] = ACTIONS(15),
    [anon_sym_BSLASHpmo] = ACTIONS(15),
    [anon_sym_BSLASHpm] = ACTIONS(15),
    [anon_sym_BSLASHpmc] = ACTIONS(15),
    [anon_sym_BSLASHpmr] = ACTIONS(15),
    [anon_sym_BSLASHpi] = ACTIONS(15),
    [anon_sym_BSLASHmi] = ACTIONS(15),
    [anon_sym_BSLASHnb] = ACTIONS(15),
    [anon_sym_BSLASHpc] = ACTIONS(15),
    [anon_sym_BSLASHph] = ACTIONS(15),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [anon_sym_BSLASHq] = ACTIONS(15),
    [anon_sym_BSLASHqr] = ACTIONS(15),
    [anon_sym_BSLASHqc] = ACTIONS(15),
    [anon_sym_BSLASHqa] = ACTIONS(15),
    [anon_sym_BSLASHqm] = ACTIONS(15),
    [anon_sym_BSLASHqd] = ACTIONS(15),
    [anon_sym_BSLASHlh] = ACTIONS(15),
    [anon_sym_BSLASHlf] = ACTIONS(15),
    [anon_sym_BSLASHli] = ACTIONS(15),
    [anon_sym_BSLASHlim] = ACTIONS(15),
    [anon_sym_BSLASHliv] = ACTIONS(15),
    [anon_sym_BSLASHlik] = ACTIONS(15),
    [anon_sym_BSLASHlitl] = ACTIONS(15),
    [anon_sym_BSLASHtr] = ACTIONS(15),
    [anon_sym_BSLASHf] = ACTIONS(15),
    [anon_sym_BSLASHfe] = ACTIONS(15),
    [anon_sym_BSLASHef] = ACTIONS(15),
    [anon_sym_BSLASHfm] = ACTIONS(15),
    [anon_sym_BSLASHx] = ACTIONS(15),
    [anon_sym_BSLASHxt] = ACTIONS(15),
    [anon_sym_BSLASHrq] = ACTIONS(15),
    [anon_sym_BSLASHadd] = ACTIONS(15),
    [anon_sym_BSLASHbk] = ACTIONS(15),
    [anon_sym_BSLASHdc] = ACTIONS(15),
    [anon_sym_BSLASHk] = ACTIONS(15),
    [anon_sym_BSLASHnd] = ACTIONS(15),
    [anon_sym_BSLASHord] = ACTIONS(15),
    [anon_sym_BSLASHpn] = ACTIONS(15),
    [anon_sym_BSLASHpng] = ACTIONS(15),
    [anon_sym_BSLASHaddpn] = ACTIONS(15),
    [anon_sym_BSLASHqt] = ACTIONS(15),
    [anon_sym_BSLASHsig] = ACTIONS(15),
    [anon_sym_BSLASHsls] = ACTIONS(15),
    [anon_sym_BSLASHtl] = ACTIONS(15),
    [anon_sym_BSLASHwj] = ACTIONS(15),
    [anon_sym_BSLASHem] = ACTIONS(15),
    [anon_sym_BSLASHbd] = ACTIONS(15),
    [anon_sym_BSLASHit] = ACTIONS(15),
    [anon_sym_BSLASHbdit] = ACTIONS(15),
    [anon_sym_BSLASHno] = ACTIONS(15),
    [anon_sym_BSLASHsc] = ACTIONS(15),
    [anon_sym_BSLASHsup] = ACTIONS(15),
    [anon_sym_BSLASHndx] = ACTIONS(15),
    [anon_sym_BSLASHpro] = ACTIONS(15),
    [anon_sym_BSLASHrb] = ACTIONS(15),
    [anon_sym_BSLASHw] = ACTIONS(15),
    [anon_sym_BSLASHwg] = ACTIONS(15),
    [anon_sym_BSLASHwh] = ACTIONS(15),
    [anon_sym_BSLASHwa] = ACTIONS(15),
    [anon_sym_BSLASHfig] = ACTIONS(15),
    [anon_sym_BSLASHjmp] = ACTIONS(15),
    [anon_sym_BSLASHpb] = ACTIONS(15),
    [anon_sym_BSLASH] = ACTIONS(15),
    [sym_milestoneStartTag] = ACTIONS(15),
    [sym_milestoneEndTag] = ACTIONS(15),
    [sym_zSpaceTag] = ACTIONS(15),
    [anon_sym_BSLASHesb] = ACTIONS(15),
  },
  [384] = {
    [ts_builtin_sym_end] = ACTIONS(2795),
    [aux_sym_text_token1] = ACTIONS(2795),
    [anon_sym_BSLASHref] = ACTIONS(2797),
    [anon_sym_BSLASHsts] = ACTIONS(2797),
    [anon_sym_BSLASHrem] = ACTIONS(2797),
    [anon_sym_BSLASHrestore] = ACTIONS(2797),
    [anon_sym_BSLASHlit] = ACTIONS(2797),
    [anon_sym_BSLASHiqt] = ACTIONS(2797),
    [anon_sym_BSLASHip] = ACTIONS(2797),
    [anon_sym_BSLASHiex] = ACTIONS(2797),
    [anon_sym_BSLASHv] = ACTIONS(2797),
    [anon_sym_BSLASHva] = ACTIONS(2797),
    [anon_sym_BSLASHvp] = ACTIONS(2797),
    [anon_sym_BSLASHc] = ACTIONS(2797),
    [anon_sym_BSLASHcl] = ACTIONS(2797),
    [anon_sym_BSLASHca] = ACTIONS(2797),
    [anon_sym_BSLASHcp] = ACTIONS(2797),
    [anon_sym_BSLASHcd] = ACTIONS(2797),
    [anon_sym_BSLASHmte] = ACTIONS(2797),
    [anon_sym_BSLASHms] = ACTIONS(2797),
    [anon_sym_BSLASHmr] = ACTIONS(2797),
    [anon_sym_BSLASHs] = ACTIONS(2797),
    [anon_sym_BSLASHsr] = ACTIONS(2797),
    [anon_sym_BSLASHr] = ACTIONS(2797),
    [anon_sym_BSLASHsp] = ACTIONS(2797),
    [anon_sym_BSLASHd] = ACTIONS(2797),
    [anon_sym_BSLASHsd] = ACTIONS(2797),
    [anon_sym_BSLASHp] = ACTIONS(2797),
    [anon_sym_BSLASHm] = ACTIONS(2797),
    [anon_sym_BSLASHpo] = ACTIONS(2797),
    [anon_sym_BSLASHpr] = ACTIONS(2797),
    [anon_sym_BSLASHcls] = ACTIONS(2797),
    [anon_sym_BSLASHpmo] = ACTIONS(2797),
    [anon_sym_BSLASHpm] = ACTIONS(2797),
    [anon_sym_BSLASHpmc] = ACTIONS(2797),
    [anon_sym_BSLASHpmr] = ACTIONS(2797),
    [anon_sym_BSLASHpi] = ACTIONS(2797),
    [anon_sym_BSLASHmi] = ACTIONS(2797),
    [anon_sym_BSLASHnb] = ACTIONS(2797),
    [anon_sym_BSLASHpc] = ACTIONS(2797),
    [anon_sym_BSLASHph] = ACTIONS(2797),
    [anon_sym_BSLASHb] = ACTIONS(2797),
    [anon_sym_BSLASHq] = ACTIONS(2797),
    [anon_sym_BSLASHqr] = ACTIONS(2797),
    [anon_sym_BSLASHqc] = ACTIONS(2797),
    [anon_sym_BSLASHqa] = ACTIONS(2797),
    [anon_sym_BSLASHqm] = ACTIONS(2797),
    [anon_sym_BSLASHqd] = ACTIONS(2797),
    [anon_sym_BSLASHlh] = ACTIONS(2797),
    [anon_sym_BSLASHlf] = ACTIONS(2797),
    [anon_sym_BSLASHli] = ACTIONS(2797),
    [anon_sym_BSLASHlim] = ACTIONS(2797),
    [anon_sym_BSLASHliv] = ACTIONS(2797),
    [anon_sym_BSLASHlik] = ACTIONS(2797),
    [anon_sym_BSLASHlitl] = ACTIONS(2797),
    [anon_sym_BSLASHtr] = ACTIONS(2797),
    [anon_sym_BSLASHf] = ACTIONS(2797),
    [anon_sym_BSLASHfe] = ACTIONS(2797),
    [anon_sym_BSLASHef] = ACTIONS(2797),
    [anon_sym_BSLASHfm] = ACTIONS(2797),
    [anon_sym_BSLASHx] = ACTIONS(2797),
    [anon_sym_BSLASHxt] = ACTIONS(2797),
    [anon_sym_BSLASHrq] = ACTIONS(2797),
    [anon_sym_BSLASHadd] = ACTIONS(2797),
    [anon_sym_BSLASHbk] = ACTIONS(2797),
    [anon_sym_BSLASHdc] = ACTIONS(2797),
    [anon_sym_BSLASHk] = ACTIONS(2797),
    [anon_sym_BSLASHnd] = ACTIONS(2797),
    [anon_sym_BSLASHord] = ACTIONS(2797),
    [anon_sym_BSLASHpn] = ACTIONS(2797),
    [anon_sym_BSLASHpng] = ACTIONS(2797),
    [anon_sym_BSLASHaddpn] = ACTIONS(2797),
    [anon_sym_BSLASHqt] = ACTIONS(2797),
    [anon_sym_BSLASHsig] = ACTIONS(2797),
    [anon_sym_BSLASHsls] = ACTIONS(2797),
    [anon_sym_BSLASHtl] = ACTIONS(2797),
    [anon_sym_BSLASHwj] = ACTIONS(2797),
    [anon_sym_BSLASHem] = ACTIONS(2797),
    [anon_sym_BSLASHbd] = ACTIONS(2797),
    [anon_sym_BSLASHit] = ACTIONS(2797),
    [anon_sym_BSLASHbdit] = ACTIONS(2797),
    [anon_sym_BSLASHno] = ACTIONS(2797),
    [anon_sym_BSLASHsc] = ACTIONS(2797),
    [anon_sym_BSLASHsup] = ACTIONS(2797),
    [anon_sym_BSLASHndx] = ACTIONS(2797),
    [anon_sym_BSLASHpro] = ACTIONS(2797),
    [anon_sym_BSLASHrb] = ACTIONS(2797),
    [anon_sym_BSLASHw] = ACTIONS(2797),
    [anon_sym_BSLASHwg] = ACTIONS(2797),
    [anon_sym_BSLASHwh] = ACTIONS(2797),
    [anon_sym_BSLASHwa] = ACTIONS(2797),
    [anon_sym_BSLASHfig] = ACTIONS(2797),
    [anon_sym_BSLASHjmp] = ACTIONS(2797),
    [anon_sym_BSLASHpb] = ACTIONS(2797),
    [anon_sym_BSLASH] = ACTIONS(2797),
    [sym_milestoneStartTag] = ACTIONS(2797),
    [sym_milestoneEndTag] = ACTIONS(2797),
    [sym_zSpaceTag] = ACTIONS(2797),
    [anon_sym_BSLASHesb] = ACTIONS(2797),
  },
  [385] = {
    [ts_builtin_sym_end] = ACTIONS(2683),
    [aux_sym_text_token1] = ACTIONS(2683),
    [anon_sym_BSLASHref] = ACTIONS(2685),
    [anon_sym_BSLASHsts] = ACTIONS(2685),
    [anon_sym_BSLASHrem] = ACTIONS(2685),
    [anon_sym_BSLASHrestore] = ACTIONS(2685),
    [anon_sym_BSLASHlit] = ACTIONS(2685),
    [anon_sym_BSLASHiqt] = ACTIONS(2685),
    [anon_sym_BSLASHip] = ACTIONS(2685),
    [anon_sym_BSLASHiex] = ACTIONS(2685),
    [anon_sym_BSLASHv] = ACTIONS(2685),
    [anon_sym_BSLASHva] = ACTIONS(2685),
    [anon_sym_BSLASHvp] = ACTIONS(2685),
    [anon_sym_BSLASHc] = ACTIONS(2685),
    [anon_sym_BSLASHcl] = ACTIONS(2685),
    [anon_sym_BSLASHca] = ACTIONS(2685),
    [anon_sym_BSLASHcp] = ACTIONS(2685),
    [anon_sym_BSLASHcd] = ACTIONS(2685),
    [anon_sym_BSLASHmte] = ACTIONS(2685),
    [anon_sym_BSLASHms] = ACTIONS(2685),
    [anon_sym_BSLASHmr] = ACTIONS(2685),
    [anon_sym_BSLASHs] = ACTIONS(2685),
    [anon_sym_BSLASHsr] = ACTIONS(2685),
    [anon_sym_BSLASHr] = ACTIONS(2685),
    [anon_sym_BSLASHsp] = ACTIONS(2685),
    [anon_sym_BSLASHd] = ACTIONS(2685),
    [anon_sym_BSLASHsd] = ACTIONS(2685),
    [anon_sym_BSLASHp] = ACTIONS(2685),
    [anon_sym_BSLASHm] = ACTIONS(2685),
    [anon_sym_BSLASHpo] = ACTIONS(2685),
    [anon_sym_BSLASHpr] = ACTIONS(2685),
    [anon_sym_BSLASHcls] = ACTIONS(2685),
    [anon_sym_BSLASHpmo] = ACTIONS(2685),
    [anon_sym_BSLASHpm] = ACTIONS(2685),
    [anon_sym_BSLASHpmc] = ACTIONS(2685),
    [anon_sym_BSLASHpmr] = ACTIONS(2685),
    [anon_sym_BSLASHpi] = ACTIONS(2685),
    [anon_sym_BSLASHmi] = ACTIONS(2685),
    [anon_sym_BSLASHnb] = ACTIONS(2685),
    [anon_sym_BSLASHpc] = ACTIONS(2685),
    [anon_sym_BSLASHph] = ACTIONS(2685),
    [anon_sym_BSLASHb] = ACTIONS(2685),
    [anon_sym_BSLASHq] = ACTIONS(2685),
    [anon_sym_BSLASHqr] = ACTIONS(2685),
    [anon_sym_BSLASHqc] = ACTIONS(2685),
    [anon_sym_BSLASHqa] = ACTIONS(2685),
    [anon_sym_BSLASHqm] = ACTIONS(2685),
    [anon_sym_BSLASHqd] = ACTIONS(2685),
    [anon_sym_BSLASHlh] = ACTIONS(2685),
    [anon_sym_BSLASHlf] = ACTIONS(2685),
    [anon_sym_BSLASHli] = ACTIONS(2685),
    [anon_sym_BSLASHlim] = ACTIONS(2685),
    [anon_sym_BSLASHliv] = ACTIONS(2685),
    [anon_sym_BSLASHlik] = ACTIONS(2685),
    [anon_sym_BSLASHlitl] = ACTIONS(2685),
    [anon_sym_BSLASHtr] = ACTIONS(2685),
    [anon_sym_BSLASHf] = ACTIONS(2685),
    [anon_sym_BSLASHfe] = ACTIONS(2685),
    [anon_sym_BSLASHef] = ACTIONS(2685),
    [anon_sym_BSLASHfm] = ACTIONS(2685),
    [anon_sym_BSLASHx] = ACTIONS(2685),
    [anon_sym_BSLASHxt] = ACTIONS(2685),
    [anon_sym_BSLASHrq] = ACTIONS(2685),
    [anon_sym_BSLASHadd] = ACTIONS(2685),
    [anon_sym_BSLASHbk] = ACTIONS(2685),
    [anon_sym_BSLASHdc] = ACTIONS(2685),
    [anon_sym_BSLASHk] = ACTIONS(2685),
    [anon_sym_BSLASHnd] = ACTIONS(2685),
    [anon_sym_BSLASHord] = ACTIONS(2685),
    [anon_sym_BSLASHpn] = ACTIONS(2685),
    [anon_sym_BSLASHpng] = ACTIONS(2685),
    [anon_sym_BSLASHaddpn] = ACTIONS(2685),
    [anon_sym_BSLASHqt] = ACTIONS(2685),
    [anon_sym_BSLASHsig] = ACTIONS(2685),
    [anon_sym_BSLASHsls] = ACTIONS(2685),
    [anon_sym_BSLASHtl] = ACTIONS(2685),
    [anon_sym_BSLASHwj] = ACTIONS(2685),
    [anon_sym_BSLASHem] = ACTIONS(2685),
    [anon_sym_BSLASHbd] = ACTIONS(2685),
    [anon_sym_BSLASHit] = ACTIONS(2685),
    [anon_sym_BSLASHbdit] = ACTIONS(2685),
    [anon_sym_BSLASHno] = ACTIONS(2685),
    [anon_sym_BSLASHsc] = ACTIONS(2685),
    [anon_sym_BSLASHsup] = ACTIONS(2685),
    [anon_sym_BSLASHndx] = ACTIONS(2685),
    [anon_sym_BSLASHpro] = ACTIONS(2685),
    [anon_sym_BSLASHrb] = ACTIONS(2685),
    [anon_sym_BSLASHw] = ACTIONS(2685),
    [anon_sym_BSLASHwg] = ACTIONS(2685),
    [anon_sym_BSLASHwh] = ACTIONS(2685),
    [anon_sym_BSLASHwa] = ACTIONS(2685),
    [anon_sym_BSLASHfig] = ACTIONS(2685),
    [anon_sym_BSLASHjmp] = ACTIONS(2685),
    [anon_sym_BSLASHpb] = ACTIONS(2685),
    [anon_sym_BSLASH] = ACTIONS(2685),
    [sym_milestoneStartTag] = ACTIONS(2685),
    [sym_milestoneEndTag] = ACTIONS(2685),
    [sym_zSpaceTag] = ACTIONS(2685),
    [anon_sym_BSLASHesb] = ACTIONS(2685),
  },
  [386] = {
    [ts_builtin_sym_end] = ACTIONS(2755),
    [aux_sym_text_token1] = ACTIONS(2755),
    [anon_sym_BSLASHref] = ACTIONS(2757),
    [anon_sym_BSLASHsts] = ACTIONS(2757),
    [anon_sym_BSLASHrem] = ACTIONS(2757),
    [anon_sym_BSLASHrestore] = ACTIONS(2757),
    [anon_sym_BSLASHlit] = ACTIONS(2757),
    [anon_sym_BSLASHiqt] = ACTIONS(2757),
    [anon_sym_BSLASHip] = ACTIONS(2757),
    [anon_sym_BSLASHiex] = ACTIONS(2757),
    [anon_sym_BSLASHv] = ACTIONS(2757),
    [anon_sym_BSLASHva] = ACTIONS(2757),
    [anon_sym_BSLASHvp] = ACTIONS(2757),
    [anon_sym_BSLASHc] = ACTIONS(2757),
    [anon_sym_BSLASHcl] = ACTIONS(2757),
    [anon_sym_BSLASHca] = ACTIONS(2757),
    [anon_sym_BSLASHcp] = ACTIONS(2757),
    [anon_sym_BSLASHcd] = ACTIONS(2757),
    [anon_sym_BSLASHmte] = ACTIONS(2757),
    [anon_sym_BSLASHms] = ACTIONS(2757),
    [anon_sym_BSLASHmr] = ACTIONS(2757),
    [anon_sym_BSLASHs] = ACTIONS(2757),
    [anon_sym_BSLASHsr] = ACTIONS(2757),
    [anon_sym_BSLASHr] = ACTIONS(2757),
    [anon_sym_BSLASHsp] = ACTIONS(2757),
    [anon_sym_BSLASHd] = ACTIONS(2757),
    [anon_sym_BSLASHsd] = ACTIONS(2757),
    [anon_sym_BSLASHp] = ACTIONS(2757),
    [anon_sym_BSLASHm] = ACTIONS(2757),
    [anon_sym_BSLASHpo] = ACTIONS(2757),
    [anon_sym_BSLASHpr] = ACTIONS(2757),
    [anon_sym_BSLASHcls] = ACTIONS(2757),
    [anon_sym_BSLASHpmo] = ACTIONS(2757),
    [anon_sym_BSLASHpm] = ACTIONS(2757),
    [anon_sym_BSLASHpmc] = ACTIONS(2757),
    [anon_sym_BSLASHpmr] = ACTIONS(2757),
    [anon_sym_BSLASHpi] = ACTIONS(2757),
    [anon_sym_BSLASHmi] = ACTIONS(2757),
    [anon_sym_BSLASHnb] = ACTIONS(2757),
    [anon_sym_BSLASHpc] = ACTIONS(2757),
    [anon_sym_BSLASHph] = ACTIONS(2757),
    [anon_sym_BSLASHb] = ACTIONS(2757),
    [anon_sym_BSLASHq] = ACTIONS(2757),
    [anon_sym_BSLASHqr] = ACTIONS(2757),
    [anon_sym_BSLASHqc] = ACTIONS(2757),
    [anon_sym_BSLASHqa] = ACTIONS(2757),
    [anon_sym_BSLASHqm] = ACTIONS(2757),
    [anon_sym_BSLASHqd] = ACTIONS(2757),
    [anon_sym_BSLASHlh] = ACTIONS(2757),
    [anon_sym_BSLASHlf] = ACTIONS(2757),
    [anon_sym_BSLASHli] = ACTIONS(2757),
    [anon_sym_BSLASHlim] = ACTIONS(2757),
    [anon_sym_BSLASHliv] = ACTIONS(2757),
    [anon_sym_BSLASHlik] = ACTIONS(2757),
    [anon_sym_BSLASHlitl] = ACTIONS(2757),
    [anon_sym_BSLASHtr] = ACTIONS(2757),
    [anon_sym_BSLASHf] = ACTIONS(2757),
    [anon_sym_BSLASHfe] = ACTIONS(2757),
    [anon_sym_BSLASHef] = ACTIONS(2757),
    [anon_sym_BSLASHfm] = ACTIONS(2757),
    [anon_sym_BSLASHx] = ACTIONS(2757),
    [anon_sym_BSLASHxt] = ACTIONS(2757),
    [anon_sym_BSLASHrq] = ACTIONS(2757),
    [anon_sym_BSLASHadd] = ACTIONS(2757),
    [anon_sym_BSLASHbk] = ACTIONS(2757),
    [anon_sym_BSLASHdc] = ACTIONS(2757),
    [anon_sym_BSLASHk] = ACTIONS(2757),
    [anon_sym_BSLASHnd] = ACTIONS(2757),
    [anon_sym_BSLASHord] = ACTIONS(2757),
    [anon_sym_BSLASHpn] = ACTIONS(2757),
    [anon_sym_BSLASHpng] = ACTIONS(2757),
    [anon_sym_BSLASHaddpn] = ACTIONS(2757),
    [anon_sym_BSLASHqt] = ACTIONS(2757),
    [anon_sym_BSLASHsig] = ACTIONS(2757),
    [anon_sym_BSLASHsls] = ACTIONS(2757),
    [anon_sym_BSLASHtl] = ACTIONS(2757),
    [anon_sym_BSLASHwj] = ACTIONS(2757),
    [anon_sym_BSLASHem] = ACTIONS(2757),
    [anon_sym_BSLASHbd] = ACTIONS(2757),
    [anon_sym_BSLASHit] = ACTIONS(2757),
    [anon_sym_BSLASHbdit] = ACTIONS(2757),
    [anon_sym_BSLASHno] = ACTIONS(2757),
    [anon_sym_BSLASHsc] = ACTIONS(2757),
    [anon_sym_BSLASHsup] = ACTIONS(2757),
    [anon_sym_BSLASHndx] = ACTIONS(2757),
    [anon_sym_BSLASHpro] = ACTIONS(2757),
    [anon_sym_BSLASHrb] = ACTIONS(2757),
    [anon_sym_BSLASHw] = ACTIONS(2757),
    [anon_sym_BSLASHwg] = ACTIONS(2757),
    [anon_sym_BSLASHwh] = ACTIONS(2757),
    [anon_sym_BSLASHwa] = ACTIONS(2757),
    [anon_sym_BSLASHfig] = ACTIONS(2757),
    [anon_sym_BSLASHjmp] = ACTIONS(2757),
    [anon_sym_BSLASHpb] = ACTIONS(2757),
    [anon_sym_BSLASH] = ACTIONS(2757),
    [sym_milestoneStartTag] = ACTIONS(2757),
    [sym_milestoneEndTag] = ACTIONS(2757),
    [sym_zSpaceTag] = ACTIONS(2757),
    [anon_sym_BSLASHesb] = ACTIONS(2757),
  },
  [387] = {
    [ts_builtin_sym_end] = ACTIONS(2779),
    [aux_sym_text_token1] = ACTIONS(2779),
    [anon_sym_BSLASHref] = ACTIONS(2781),
    [anon_sym_BSLASHsts] = ACTIONS(2781),
    [anon_sym_BSLASHrem] = ACTIONS(2781),
    [anon_sym_BSLASHrestore] = ACTIONS(2781),
    [anon_sym_BSLASHlit] = ACTIONS(2781),
    [anon_sym_BSLASHiqt] = ACTIONS(2781),
    [anon_sym_BSLASHip] = ACTIONS(2781),
    [anon_sym_BSLASHiex] = ACTIONS(2781),
    [anon_sym_BSLASHv] = ACTIONS(2781),
    [anon_sym_BSLASHva] = ACTIONS(2781),
    [anon_sym_BSLASHvp] = ACTIONS(2781),
    [anon_sym_BSLASHc] = ACTIONS(2781),
    [anon_sym_BSLASHcl] = ACTIONS(2781),
    [anon_sym_BSLASHca] = ACTIONS(2781),
    [anon_sym_BSLASHcp] = ACTIONS(2781),
    [anon_sym_BSLASHcd] = ACTIONS(2781),
    [anon_sym_BSLASHmte] = ACTIONS(2781),
    [anon_sym_BSLASHms] = ACTIONS(2781),
    [anon_sym_BSLASHmr] = ACTIONS(2781),
    [anon_sym_BSLASHs] = ACTIONS(2781),
    [anon_sym_BSLASHsr] = ACTIONS(2781),
    [anon_sym_BSLASHr] = ACTIONS(2781),
    [anon_sym_BSLASHsp] = ACTIONS(2781),
    [anon_sym_BSLASHd] = ACTIONS(2781),
    [anon_sym_BSLASHsd] = ACTIONS(2781),
    [anon_sym_BSLASHp] = ACTIONS(2781),
    [anon_sym_BSLASHm] = ACTIONS(2781),
    [anon_sym_BSLASHpo] = ACTIONS(2781),
    [anon_sym_BSLASHpr] = ACTIONS(2781),
    [anon_sym_BSLASHcls] = ACTIONS(2781),
    [anon_sym_BSLASHpmo] = ACTIONS(2781),
    [anon_sym_BSLASHpm] = ACTIONS(2781),
    [anon_sym_BSLASHpmc] = ACTIONS(2781),
    [anon_sym_BSLASHpmr] = ACTIONS(2781),
    [anon_sym_BSLASHpi] = ACTIONS(2781),
    [anon_sym_BSLASHmi] = ACTIONS(2781),
    [anon_sym_BSLASHnb] = ACTIONS(2781),
    [anon_sym_BSLASHpc] = ACTIONS(2781),
    [anon_sym_BSLASHph] = ACTIONS(2781),
    [anon_sym_BSLASHb] = ACTIONS(2781),
    [anon_sym_BSLASHq] = ACTIONS(2781),
    [anon_sym_BSLASHqr] = ACTIONS(2781),
    [anon_sym_BSLASHqc] = ACTIONS(2781),
    [anon_sym_BSLASHqa] = ACTIONS(2781),
    [anon_sym_BSLASHqm] = ACTIONS(2781),
    [anon_sym_BSLASHqd] = ACTIONS(2781),
    [anon_sym_BSLASHlh] = ACTIONS(2781),
    [anon_sym_BSLASHlf] = ACTIONS(2781),
    [anon_sym_BSLASHli] = ACTIONS(2781),
    [anon_sym_BSLASHlim] = ACTIONS(2781),
    [anon_sym_BSLASHliv] = ACTIONS(2781),
    [anon_sym_BSLASHlik] = ACTIONS(2781),
    [anon_sym_BSLASHlitl] = ACTIONS(2781),
    [anon_sym_BSLASHtr] = ACTIONS(2781),
    [anon_sym_BSLASHf] = ACTIONS(2781),
    [anon_sym_BSLASHfe] = ACTIONS(2781),
    [anon_sym_BSLASHef] = ACTIONS(2781),
    [anon_sym_BSLASHfm] = ACTIONS(2781),
    [anon_sym_BSLASHx] = ACTIONS(2781),
    [anon_sym_BSLASHxt] = ACTIONS(2781),
    [anon_sym_BSLASHrq] = ACTIONS(2781),
    [anon_sym_BSLASHadd] = ACTIONS(2781),
    [anon_sym_BSLASHbk] = ACTIONS(2781),
    [anon_sym_BSLASHdc] = ACTIONS(2781),
    [anon_sym_BSLASHk] = ACTIONS(2781),
    [anon_sym_BSLASHnd] = ACTIONS(2781),
    [anon_sym_BSLASHord] = ACTIONS(2781),
    [anon_sym_BSLASHpn] = ACTIONS(2781),
    [anon_sym_BSLASHpng] = ACTIONS(2781),
    [anon_sym_BSLASHaddpn] = ACTIONS(2781),
    [anon_sym_BSLASHqt] = ACTIONS(2781),
    [anon_sym_BSLASHsig] = ACTIONS(2781),
    [anon_sym_BSLASHsls] = ACTIONS(2781),
    [anon_sym_BSLASHtl] = ACTIONS(2781),
    [anon_sym_BSLASHwj] = ACTIONS(2781),
    [anon_sym_BSLASHem] = ACTIONS(2781),
    [anon_sym_BSLASHbd] = ACTIONS(2781),
    [anon_sym_BSLASHit] = ACTIONS(2781),
    [anon_sym_BSLASHbdit] = ACTIONS(2781),
    [anon_sym_BSLASHno] = ACTIONS(2781),
    [anon_sym_BSLASHsc] = ACTIONS(2781),
    [anon_sym_BSLASHsup] = ACTIONS(2781),
    [anon_sym_BSLASHndx] = ACTIONS(2781),
    [anon_sym_BSLASHpro] = ACTIONS(2781),
    [anon_sym_BSLASHrb] = ACTIONS(2781),
    [anon_sym_BSLASHw] = ACTIONS(2781),
    [anon_sym_BSLASHwg] = ACTIONS(2781),
    [anon_sym_BSLASHwh] = ACTIONS(2781),
    [anon_sym_BSLASHwa] = ACTIONS(2781),
    [anon_sym_BSLASHfig] = ACTIONS(2781),
    [anon_sym_BSLASHjmp] = ACTIONS(2781),
    [anon_sym_BSLASHpb] = ACTIONS(2781),
    [anon_sym_BSLASH] = ACTIONS(2781),
    [sym_milestoneStartTag] = ACTIONS(2781),
    [sym_milestoneEndTag] = ACTIONS(2781),
    [sym_zSpaceTag] = ACTIONS(2781),
    [anon_sym_BSLASHesb] = ACTIONS(2781),
  },
  [388] = {
    [ts_builtin_sym_end] = ACTIONS(2759),
    [aux_sym_text_token1] = ACTIONS(2759),
    [anon_sym_BSLASHref] = ACTIONS(2761),
    [anon_sym_BSLASHsts] = ACTIONS(2761),
    [anon_sym_BSLASHrem] = ACTIONS(2761),
    [anon_sym_BSLASHrestore] = ACTIONS(2761),
    [anon_sym_BSLASHlit] = ACTIONS(2761),
    [anon_sym_BSLASHiqt] = ACTIONS(2761),
    [anon_sym_BSLASHip] = ACTIONS(2761),
    [anon_sym_BSLASHiex] = ACTIONS(2761),
    [anon_sym_BSLASHv] = ACTIONS(2761),
    [anon_sym_BSLASHva] = ACTIONS(2761),
    [anon_sym_BSLASHvp] = ACTIONS(2761),
    [anon_sym_BSLASHc] = ACTIONS(2761),
    [anon_sym_BSLASHcl] = ACTIONS(2761),
    [anon_sym_BSLASHca] = ACTIONS(2761),
    [anon_sym_BSLASHcp] = ACTIONS(2761),
    [anon_sym_BSLASHcd] = ACTIONS(2761),
    [anon_sym_BSLASHmte] = ACTIONS(2761),
    [anon_sym_BSLASHms] = ACTIONS(2761),
    [anon_sym_BSLASHmr] = ACTIONS(2761),
    [anon_sym_BSLASHs] = ACTIONS(2761),
    [anon_sym_BSLASHsr] = ACTIONS(2761),
    [anon_sym_BSLASHr] = ACTIONS(2761),
    [anon_sym_BSLASHsp] = ACTIONS(2761),
    [anon_sym_BSLASHd] = ACTIONS(2761),
    [anon_sym_BSLASHsd] = ACTIONS(2761),
    [anon_sym_BSLASHp] = ACTIONS(2761),
    [anon_sym_BSLASHm] = ACTIONS(2761),
    [anon_sym_BSLASHpo] = ACTIONS(2761),
    [anon_sym_BSLASHpr] = ACTIONS(2761),
    [anon_sym_BSLASHcls] = ACTIONS(2761),
    [anon_sym_BSLASHpmo] = ACTIONS(2761),
    [anon_sym_BSLASHpm] = ACTIONS(2761),
    [anon_sym_BSLASHpmc] = ACTIONS(2761),
    [anon_sym_BSLASHpmr] = ACTIONS(2761),
    [anon_sym_BSLASHpi] = ACTIONS(2761),
    [anon_sym_BSLASHmi] = ACTIONS(2761),
    [anon_sym_BSLASHnb] = ACTIONS(2761),
    [anon_sym_BSLASHpc] = ACTIONS(2761),
    [anon_sym_BSLASHph] = ACTIONS(2761),
    [anon_sym_BSLASHb] = ACTIONS(2761),
    [anon_sym_BSLASHq] = ACTIONS(2761),
    [anon_sym_BSLASHqr] = ACTIONS(2761),
    [anon_sym_BSLASHqc] = ACTIONS(2761),
    [anon_sym_BSLASHqa] = ACTIONS(2761),
    [anon_sym_BSLASHqm] = ACTIONS(2761),
    [anon_sym_BSLASHqd] = ACTIONS(2761),
    [anon_sym_BSLASHlh] = ACTIONS(2761),
    [anon_sym_BSLASHlf] = ACTIONS(2761),
    [anon_sym_BSLASHli] = ACTIONS(2761),
    [anon_sym_BSLASHlim] = ACTIONS(2761),
    [anon_sym_BSLASHliv] = ACTIONS(2761),
    [anon_sym_BSLASHlik] = ACTIONS(2761),
    [anon_sym_BSLASHlitl] = ACTIONS(2761),
    [anon_sym_BSLASHtr] = ACTIONS(2761),
    [anon_sym_BSLASHf] = ACTIONS(2761),
    [anon_sym_BSLASHfe] = ACTIONS(2761),
    [anon_sym_BSLASHef] = ACTIONS(2761),
    [anon_sym_BSLASHfm] = ACTIONS(2761),
    [anon_sym_BSLASHx] = ACTIONS(2761),
    [anon_sym_BSLASHxt] = ACTIONS(2761),
    [anon_sym_BSLASHrq] = ACTIONS(2761),
    [anon_sym_BSLASHadd] = ACTIONS(2761),
    [anon_sym_BSLASHbk] = ACTIONS(2761),
    [anon_sym_BSLASHdc] = ACTIONS(2761),
    [anon_sym_BSLASHk] = ACTIONS(2761),
    [anon_sym_BSLASHnd] = ACTIONS(2761),
    [anon_sym_BSLASHord] = ACTIONS(2761),
    [anon_sym_BSLASHpn] = ACTIONS(2761),
    [anon_sym_BSLASHpng] = ACTIONS(2761),
    [anon_sym_BSLASHaddpn] = ACTIONS(2761),
    [anon_sym_BSLASHqt] = ACTIONS(2761),
    [anon_sym_BSLASHsig] = ACTIONS(2761),
    [anon_sym_BSLASHsls] = ACTIONS(2761),
    [anon_sym_BSLASHtl] = ACTIONS(2761),
    [anon_sym_BSLASHwj] = ACTIONS(2761),
    [anon_sym_BSLASHem] = ACTIONS(2761),
    [anon_sym_BSLASHbd] = ACTIONS(2761),
    [anon_sym_BSLASHit] = ACTIONS(2761),
    [anon_sym_BSLASHbdit] = ACTIONS(2761),
    [anon_sym_BSLASHno] = ACTIONS(2761),
    [anon_sym_BSLASHsc] = ACTIONS(2761),
    [anon_sym_BSLASHsup] = ACTIONS(2761),
    [anon_sym_BSLASHndx] = ACTIONS(2761),
    [anon_sym_BSLASHpro] = ACTIONS(2761),
    [anon_sym_BSLASHrb] = ACTIONS(2761),
    [anon_sym_BSLASHw] = ACTIONS(2761),
    [anon_sym_BSLASHwg] = ACTIONS(2761),
    [anon_sym_BSLASHwh] = ACTIONS(2761),
    [anon_sym_BSLASHwa] = ACTIONS(2761),
    [anon_sym_BSLASHfig] = ACTIONS(2761),
    [anon_sym_BSLASHjmp] = ACTIONS(2761),
    [anon_sym_BSLASHpb] = ACTIONS(2761),
    [anon_sym_BSLASH] = ACTIONS(2761),
    [sym_milestoneStartTag] = ACTIONS(2761),
    [sym_milestoneEndTag] = ACTIONS(2761),
    [sym_zSpaceTag] = ACTIONS(2761),
    [anon_sym_BSLASHesb] = ACTIONS(2761),
  },
  [389] = {
    [ts_builtin_sym_end] = ACTIONS(2763),
    [aux_sym_text_token1] = ACTIONS(2763),
    [anon_sym_BSLASHref] = ACTIONS(2765),
    [anon_sym_BSLASHsts] = ACTIONS(2765),
    [anon_sym_BSLASHrem] = ACTIONS(2765),
    [anon_sym_BSLASHrestore] = ACTIONS(2765),
    [anon_sym_BSLASHlit] = ACTIONS(2765),
    [anon_sym_BSLASHiqt] = ACTIONS(2765),
    [anon_sym_BSLASHip] = ACTIONS(2765),
    [anon_sym_BSLASHiex] = ACTIONS(2765),
    [anon_sym_BSLASHv] = ACTIONS(2765),
    [anon_sym_BSLASHva] = ACTIONS(2765),
    [anon_sym_BSLASHvp] = ACTIONS(2765),
    [anon_sym_BSLASHc] = ACTIONS(2765),
    [anon_sym_BSLASHcl] = ACTIONS(2765),
    [anon_sym_BSLASHca] = ACTIONS(2765),
    [anon_sym_BSLASHcp] = ACTIONS(2765),
    [anon_sym_BSLASHcd] = ACTIONS(2765),
    [anon_sym_BSLASHmte] = ACTIONS(2765),
    [anon_sym_BSLASHms] = ACTIONS(2765),
    [anon_sym_BSLASHmr] = ACTIONS(2765),
    [anon_sym_BSLASHs] = ACTIONS(2765),
    [anon_sym_BSLASHsr] = ACTIONS(2765),
    [anon_sym_BSLASHr] = ACTIONS(2765),
    [anon_sym_BSLASHsp] = ACTIONS(2765),
    [anon_sym_BSLASHd] = ACTIONS(2765),
    [anon_sym_BSLASHsd] = ACTIONS(2765),
    [anon_sym_BSLASHp] = ACTIONS(2765),
    [anon_sym_BSLASHm] = ACTIONS(2765),
    [anon_sym_BSLASHpo] = ACTIONS(2765),
    [anon_sym_BSLASHpr] = ACTIONS(2765),
    [anon_sym_BSLASHcls] = ACTIONS(2765),
    [anon_sym_BSLASHpmo] = ACTIONS(2765),
    [anon_sym_BSLASHpm] = ACTIONS(2765),
    [anon_sym_BSLASHpmc] = ACTIONS(2765),
    [anon_sym_BSLASHpmr] = ACTIONS(2765),
    [anon_sym_BSLASHpi] = ACTIONS(2765),
    [anon_sym_BSLASHmi] = ACTIONS(2765),
    [anon_sym_BSLASHnb] = ACTIONS(2765),
    [anon_sym_BSLASHpc] = ACTIONS(2765),
    [anon_sym_BSLASHph] = ACTIONS(2765),
    [anon_sym_BSLASHb] = ACTIONS(2765),
    [anon_sym_BSLASHq] = ACTIONS(2765),
    [anon_sym_BSLASHqr] = ACTIONS(2765),
    [anon_sym_BSLASHqc] = ACTIONS(2765),
    [anon_sym_BSLASHqa] = ACTIONS(2765),
    [anon_sym_BSLASHqm] = ACTIONS(2765),
    [anon_sym_BSLASHqd] = ACTIONS(2765),
    [anon_sym_BSLASHlh] = ACTIONS(2765),
    [anon_sym_BSLASHlf] = ACTIONS(2765),
    [anon_sym_BSLASHli] = ACTIONS(2765),
    [anon_sym_BSLASHlim] = ACTIONS(2765),
    [anon_sym_BSLASHliv] = ACTIONS(2765),
    [anon_sym_BSLASHlik] = ACTIONS(2765),
    [anon_sym_BSLASHlitl] = ACTIONS(2765),
    [anon_sym_BSLASHtr] = ACTIONS(2765),
    [anon_sym_BSLASHf] = ACTIONS(2765),
    [anon_sym_BSLASHfe] = ACTIONS(2765),
    [anon_sym_BSLASHef] = ACTIONS(2765),
    [anon_sym_BSLASHfm] = ACTIONS(2765),
    [anon_sym_BSLASHx] = ACTIONS(2765),
    [anon_sym_BSLASHxt] = ACTIONS(2765),
    [anon_sym_BSLASHrq] = ACTIONS(2765),
    [anon_sym_BSLASHadd] = ACTIONS(2765),
    [anon_sym_BSLASHbk] = ACTIONS(2765),
    [anon_sym_BSLASHdc] = ACTIONS(2765),
    [anon_sym_BSLASHk] = ACTIONS(2765),
    [anon_sym_BSLASHnd] = ACTIONS(2765),
    [anon_sym_BSLASHord] = ACTIONS(2765),
    [anon_sym_BSLASHpn] = ACTIONS(2765),
    [anon_sym_BSLASHpng] = ACTIONS(2765),
    [anon_sym_BSLASHaddpn] = ACTIONS(2765),
    [anon_sym_BSLASHqt] = ACTIONS(2765),
    [anon_sym_BSLASHsig] = ACTIONS(2765),
    [anon_sym_BSLASHsls] = ACTIONS(2765),
    [anon_sym_BSLASHtl] = ACTIONS(2765),
    [anon_sym_BSLASHwj] = ACTIONS(2765),
    [anon_sym_BSLASHem] = ACTIONS(2765),
    [anon_sym_BSLASHbd] = ACTIONS(2765),
    [anon_sym_BSLASHit] = ACTIONS(2765),
    [anon_sym_BSLASHbdit] = ACTIONS(2765),
    [anon_sym_BSLASHno] = ACTIONS(2765),
    [anon_sym_BSLASHsc] = ACTIONS(2765),
    [anon_sym_BSLASHsup] = ACTIONS(2765),
    [anon_sym_BSLASHndx] = ACTIONS(2765),
    [anon_sym_BSLASHpro] = ACTIONS(2765),
    [anon_sym_BSLASHrb] = ACTIONS(2765),
    [anon_sym_BSLASHw] = ACTIONS(2765),
    [anon_sym_BSLASHwg] = ACTIONS(2765),
    [anon_sym_BSLASHwh] = ACTIONS(2765),
    [anon_sym_BSLASHwa] = ACTIONS(2765),
    [anon_sym_BSLASHfig] = ACTIONS(2765),
    [anon_sym_BSLASHjmp] = ACTIONS(2765),
    [anon_sym_BSLASHpb] = ACTIONS(2765),
    [anon_sym_BSLASH] = ACTIONS(2765),
    [sym_milestoneStartTag] = ACTIONS(2765),
    [sym_milestoneEndTag] = ACTIONS(2765),
    [sym_zSpaceTag] = ACTIONS(2765),
    [anon_sym_BSLASHesb] = ACTIONS(2765),
  },
  [390] = {
    [ts_builtin_sym_end] = ACTIONS(21),
    [aux_sym_text_token1] = ACTIONS(21),
    [anon_sym_BSLASHref] = ACTIONS(23),
    [anon_sym_BSLASHsts] = ACTIONS(23),
    [anon_sym_BSLASHrem] = ACTIONS(23),
    [anon_sym_BSLASHrestore] = ACTIONS(23),
    [anon_sym_BSLASHlit] = ACTIONS(23),
    [anon_sym_BSLASHiqt] = ACTIONS(23),
    [anon_sym_BSLASHip] = ACTIONS(23),
    [anon_sym_BSLASHiex] = ACTIONS(23),
    [anon_sym_BSLASHv] = ACTIONS(23),
    [anon_sym_BSLASHva] = ACTIONS(23),
    [anon_sym_BSLASHvp] = ACTIONS(23),
    [anon_sym_BSLASHc] = ACTIONS(23),
    [anon_sym_BSLASHcl] = ACTIONS(23),
    [anon_sym_BSLASHca] = ACTIONS(23),
    [anon_sym_BSLASHcp] = ACTIONS(23),
    [anon_sym_BSLASHcd] = ACTIONS(23),
    [anon_sym_BSLASHmte] = ACTIONS(23),
    [anon_sym_BSLASHms] = ACTIONS(23),
    [anon_sym_BSLASHmr] = ACTIONS(23),
    [anon_sym_BSLASHs] = ACTIONS(23),
    [anon_sym_BSLASHsr] = ACTIONS(23),
    [anon_sym_BSLASHr] = ACTIONS(23),
    [anon_sym_BSLASHsp] = ACTIONS(23),
    [anon_sym_BSLASHd] = ACTIONS(23),
    [anon_sym_BSLASHsd] = ACTIONS(23),
    [anon_sym_BSLASHp] = ACTIONS(23),
    [anon_sym_BSLASHm] = ACTIONS(23),
    [anon_sym_BSLASHpo] = ACTIONS(23),
    [anon_sym_BSLASHpr] = ACTIONS(23),
    [anon_sym_BSLASHcls] = ACTIONS(23),
    [anon_sym_BSLASHpmo] = ACTIONS(23),
    [anon_sym_BSLASHpm] = ACTIONS(23),
    [anon_sym_BSLASHpmc] = ACTIONS(23),
    [anon_sym_BSLASHpmr] = ACTIONS(23),
    [anon_sym_BSLASHpi] = ACTIONS(23),
    [anon_sym_BSLASHmi] = ACTIONS(23),
    [anon_sym_BSLASHnb] = ACTIONS(23),
    [anon_sym_BSLASHpc] = ACTIONS(23),
    [anon_sym_BSLASHph] = ACTIONS(23),
    [anon_sym_BSLASHb] = ACTIONS(23),
    [anon_sym_BSLASHq] = ACTIONS(23),
    [anon_sym_BSLASHqr] = ACTIONS(23),
    [anon_sym_BSLASHqc] = ACTIONS(23),
    [anon_sym_BSLASHqa] = ACTIONS(23),
    [anon_sym_BSLASHqm] = ACTIONS(23),
    [anon_sym_BSLASHqd] = ACTIONS(23),
    [anon_sym_BSLASHlh] = ACTIONS(23),
    [anon_sym_BSLASHlf] = ACTIONS(23),
    [anon_sym_BSLASHli] = ACTIONS(23),
    [anon_sym_BSLASHlim] = ACTIONS(23),
    [anon_sym_BSLASHliv] = ACTIONS(23),
    [anon_sym_BSLASHlik] = ACTIONS(23),
    [anon_sym_BSLASHlitl] = ACTIONS(23),
    [anon_sym_BSLASHtr] = ACTIONS(23),
    [anon_sym_BSLASHf] = ACTIONS(23),
    [anon_sym_BSLASHfe] = ACTIONS(23),
    [anon_sym_BSLASHef] = ACTIONS(23),
    [anon_sym_BSLASHfm] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(23),
    [anon_sym_BSLASHxt] = ACTIONS(23),
    [anon_sym_BSLASHrq] = ACTIONS(23),
    [anon_sym_BSLASHadd] = ACTIONS(23),
    [anon_sym_BSLASHbk] = ACTIONS(23),
    [anon_sym_BSLASHdc] = ACTIONS(23),
    [anon_sym_BSLASHk] = ACTIONS(23),
    [anon_sym_BSLASHnd] = ACTIONS(23),
    [anon_sym_BSLASHord] = ACTIONS(23),
    [anon_sym_BSLASHpn] = ACTIONS(23),
    [anon_sym_BSLASHpng] = ACTIONS(23),
    [anon_sym_BSLASHaddpn] = ACTIONS(23),
    [anon_sym_BSLASHqt] = ACTIONS(23),
    [anon_sym_BSLASHsig] = ACTIONS(23),
    [anon_sym_BSLASHsls] = ACTIONS(23),
    [anon_sym_BSLASHtl] = ACTIONS(23),
    [anon_sym_BSLASHwj] = ACTIONS(23),
    [anon_sym_BSLASHem] = ACTIONS(23),
    [anon_sym_BSLASHbd] = ACTIONS(23),
    [anon_sym_BSLASHit] = ACTIONS(23),
    [anon_sym_BSLASHbdit] = ACTIONS(23),
    [anon_sym_BSLASHno] = ACTIONS(23),
    [anon_sym_BSLASHsc] = ACTIONS(23),
    [anon_sym_BSLASHsup] = ACTIONS(23),
    [anon_sym_BSLASHndx] = ACTIONS(23),
    [anon_sym_BSLASHpro] = ACTIONS(23),
    [anon_sym_BSLASHrb] = ACTIONS(23),
    [anon_sym_BSLASHw] = ACTIONS(23),
    [anon_sym_BSLASHwg] = ACTIONS(23),
    [anon_sym_BSLASHwh] = ACTIONS(23),
    [anon_sym_BSLASHwa] = ACTIONS(23),
    [anon_sym_BSLASHfig] = ACTIONS(23),
    [anon_sym_BSLASHjmp] = ACTIONS(23),
    [anon_sym_BSLASHpb] = ACTIONS(23),
    [anon_sym_BSLASH] = ACTIONS(23),
    [sym_milestoneStartTag] = ACTIONS(23),
    [sym_milestoneEndTag] = ACTIONS(23),
    [sym_zSpaceTag] = ACTIONS(23),
    [anon_sym_BSLASHesb] = ACTIONS(23),
  },
  [391] = {
    [ts_builtin_sym_end] = ACTIONS(2719),
    [aux_sym_text_token1] = ACTIONS(2719),
    [anon_sym_BSLASHref] = ACTIONS(2721),
    [anon_sym_BSLASHsts] = ACTIONS(2721),
    [anon_sym_BSLASHrem] = ACTIONS(2721),
    [anon_sym_BSLASHrestore] = ACTIONS(2721),
    [anon_sym_BSLASHlit] = ACTIONS(2721),
    [anon_sym_BSLASHiqt] = ACTIONS(2721),
    [anon_sym_BSLASHip] = ACTIONS(2721),
    [anon_sym_BSLASHiex] = ACTIONS(2721),
    [anon_sym_BSLASHv] = ACTIONS(2721),
    [anon_sym_BSLASHva] = ACTIONS(2721),
    [anon_sym_BSLASHvp] = ACTIONS(2721),
    [anon_sym_BSLASHc] = ACTIONS(2721),
    [anon_sym_BSLASHcl] = ACTIONS(2721),
    [anon_sym_BSLASHca] = ACTIONS(2721),
    [anon_sym_BSLASHcp] = ACTIONS(2721),
    [anon_sym_BSLASHcd] = ACTIONS(2721),
    [anon_sym_BSLASHmte] = ACTIONS(2721),
    [anon_sym_BSLASHms] = ACTIONS(2721),
    [anon_sym_BSLASHmr] = ACTIONS(2721),
    [anon_sym_BSLASHs] = ACTIONS(2721),
    [anon_sym_BSLASHsr] = ACTIONS(2721),
    [anon_sym_BSLASHr] = ACTIONS(2721),
    [anon_sym_BSLASHsp] = ACTIONS(2721),
    [anon_sym_BSLASHd] = ACTIONS(2721),
    [anon_sym_BSLASHsd] = ACTIONS(2721),
    [anon_sym_BSLASHp] = ACTIONS(2721),
    [anon_sym_BSLASHm] = ACTIONS(2721),
    [anon_sym_BSLASHpo] = ACTIONS(2721),
    [anon_sym_BSLASHpr] = ACTIONS(2721),
    [anon_sym_BSLASHcls] = ACTIONS(2721),
    [anon_sym_BSLASHpmo] = ACTIONS(2721),
    [anon_sym_BSLASHpm] = ACTIONS(2721),
    [anon_sym_BSLASHpmc] = ACTIONS(2721),
    [anon_sym_BSLASHpmr] = ACTIONS(2721),
    [anon_sym_BSLASHpi] = ACTIONS(2721),
    [anon_sym_BSLASHmi] = ACTIONS(2721),
    [anon_sym_BSLASHnb] = ACTIONS(2721),
    [anon_sym_BSLASHpc] = ACTIONS(2721),
    [anon_sym_BSLASHph] = ACTIONS(2721),
    [anon_sym_BSLASHb] = ACTIONS(2721),
    [anon_sym_BSLASHq] = ACTIONS(2721),
    [anon_sym_BSLASHqr] = ACTIONS(2721),
    [anon_sym_BSLASHqc] = ACTIONS(2721),
    [anon_sym_BSLASHqa] = ACTIONS(2721),
    [anon_sym_BSLASHqm] = ACTIONS(2721),
    [anon_sym_BSLASHqd] = ACTIONS(2721),
    [anon_sym_BSLASHlh] = ACTIONS(2721),
    [anon_sym_BSLASHlf] = ACTIONS(2721),
    [anon_sym_BSLASHli] = ACTIONS(2721),
    [anon_sym_BSLASHlim] = ACTIONS(2721),
    [anon_sym_BSLASHliv] = ACTIONS(2721),
    [anon_sym_BSLASHlik] = ACTIONS(2721),
    [anon_sym_BSLASHlitl] = ACTIONS(2721),
    [anon_sym_BSLASHtr] = ACTIONS(2721),
    [anon_sym_BSLASHf] = ACTIONS(2721),
    [anon_sym_BSLASHfe] = ACTIONS(2721),
    [anon_sym_BSLASHef] = ACTIONS(2721),
    [anon_sym_BSLASHfm] = ACTIONS(2721),
    [anon_sym_BSLASHx] = ACTIONS(2721),
    [anon_sym_BSLASHxt] = ACTIONS(2721),
    [anon_sym_BSLASHrq] = ACTIONS(2721),
    [anon_sym_BSLASHadd] = ACTIONS(2721),
    [anon_sym_BSLASHbk] = ACTIONS(2721),
    [anon_sym_BSLASHdc] = ACTIONS(2721),
    [anon_sym_BSLASHk] = ACTIONS(2721),
    [anon_sym_BSLASHnd] = ACTIONS(2721),
    [anon_sym_BSLASHord] = ACTIONS(2721),
    [anon_sym_BSLASHpn] = ACTIONS(2721),
    [anon_sym_BSLASHpng] = ACTIONS(2721),
    [anon_sym_BSLASHaddpn] = ACTIONS(2721),
    [anon_sym_BSLASHqt] = ACTIONS(2721),
    [anon_sym_BSLASHsig] = ACTIONS(2721),
    [anon_sym_BSLASHsls] = ACTIONS(2721),
    [anon_sym_BSLASHtl] = ACTIONS(2721),
    [anon_sym_BSLASHwj] = ACTIONS(2721),
    [anon_sym_BSLASHem] = ACTIONS(2721),
    [anon_sym_BSLASHbd] = ACTIONS(2721),
    [anon_sym_BSLASHit] = ACTIONS(2721),
    [anon_sym_BSLASHbdit] = ACTIONS(2721),
    [anon_sym_BSLASHno] = ACTIONS(2721),
    [anon_sym_BSLASHsc] = ACTIONS(2721),
    [anon_sym_BSLASHsup] = ACTIONS(2721),
    [anon_sym_BSLASHndx] = ACTIONS(2721),
    [anon_sym_BSLASHpro] = ACTIONS(2721),
    [anon_sym_BSLASHrb] = ACTIONS(2721),
    [anon_sym_BSLASHw] = ACTIONS(2721),
    [anon_sym_BSLASHwg] = ACTIONS(2721),
    [anon_sym_BSLASHwh] = ACTIONS(2721),
    [anon_sym_BSLASHwa] = ACTIONS(2721),
    [anon_sym_BSLASHfig] = ACTIONS(2721),
    [anon_sym_BSLASHjmp] = ACTIONS(2721),
    [anon_sym_BSLASHpb] = ACTIONS(2721),
    [anon_sym_BSLASH] = ACTIONS(2721),
    [sym_milestoneStartTag] = ACTIONS(2721),
    [sym_milestoneEndTag] = ACTIONS(2721),
    [sym_zSpaceTag] = ACTIONS(2721),
    [anon_sym_BSLASHesb] = ACTIONS(2721),
  },
  [392] = {
    [ts_builtin_sym_end] = ACTIONS(5),
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHref] = ACTIONS(7),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHiqt] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHiex] = ACTIONS(7),
    [anon_sym_BSLASHv] = ACTIONS(7),
    [anon_sym_BSLASHva] = ACTIONS(7),
    [anon_sym_BSLASHvp] = ACTIONS(7),
    [anon_sym_BSLASHc] = ACTIONS(7),
    [anon_sym_BSLASHcl] = ACTIONS(7),
    [anon_sym_BSLASHca] = ACTIONS(7),
    [anon_sym_BSLASHcp] = ACTIONS(7),
    [anon_sym_BSLASHcd] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHmr] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHsr] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHlf] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHliv] = ACTIONS(7),
    [anon_sym_BSLASHlik] = ACTIONS(7),
    [anon_sym_BSLASHlitl] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHx] = ACTIONS(7),
    [anon_sym_BSLASHxt] = ACTIONS(7),
    [anon_sym_BSLASHrq] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [anon_sym_BSLASHesb] = ACTIONS(7),
  },
  [393] = {
    [ts_builtin_sym_end] = ACTIONS(9),
    [aux_sym_text_token1] = ACTIONS(9),
    [anon_sym_BSLASHref] = ACTIONS(11),
    [anon_sym_BSLASHsts] = ACTIONS(11),
    [anon_sym_BSLASHrem] = ACTIONS(11),
    [anon_sym_BSLASHrestore] = ACTIONS(11),
    [anon_sym_BSLASHlit] = ACTIONS(11),
    [anon_sym_BSLASHiqt] = ACTIONS(11),
    [anon_sym_BSLASHip] = ACTIONS(11),
    [anon_sym_BSLASHiex] = ACTIONS(11),
    [anon_sym_BSLASHv] = ACTIONS(11),
    [anon_sym_BSLASHva] = ACTIONS(11),
    [anon_sym_BSLASHvp] = ACTIONS(11),
    [anon_sym_BSLASHc] = ACTIONS(11),
    [anon_sym_BSLASHcl] = ACTIONS(11),
    [anon_sym_BSLASHca] = ACTIONS(11),
    [anon_sym_BSLASHcp] = ACTIONS(11),
    [anon_sym_BSLASHcd] = ACTIONS(11),
    [anon_sym_BSLASHmte] = ACTIONS(11),
    [anon_sym_BSLASHms] = ACTIONS(11),
    [anon_sym_BSLASHmr] = ACTIONS(11),
    [anon_sym_BSLASHs] = ACTIONS(11),
    [anon_sym_BSLASHsr] = ACTIONS(11),
    [anon_sym_BSLASHr] = ACTIONS(11),
    [anon_sym_BSLASHsp] = ACTIONS(11),
    [anon_sym_BSLASHd] = ACTIONS(11),
    [anon_sym_BSLASHsd] = ACTIONS(11),
    [anon_sym_BSLASHp] = ACTIONS(11),
    [anon_sym_BSLASHm] = ACTIONS(11),
    [anon_sym_BSLASHpo] = ACTIONS(11),
    [anon_sym_BSLASHpr] = ACTIONS(11),
    [anon_sym_BSLASHcls] = ACTIONS(11),
    [anon_sym_BSLASHpmo] = ACTIONS(11),
    [anon_sym_BSLASHpm] = ACTIONS(11),
    [anon_sym_BSLASHpmc] = ACTIONS(11),
    [anon_sym_BSLASHpmr] = ACTIONS(11),
    [anon_sym_BSLASHpi] = ACTIONS(11),
    [anon_sym_BSLASHmi] = ACTIONS(11),
    [anon_sym_BSLASHnb] = ACTIONS(11),
    [anon_sym_BSLASHpc] = ACTIONS(11),
    [anon_sym_BSLASHph] = ACTIONS(11),
    [anon_sym_BSLASHb] = ACTIONS(11),
    [anon_sym_BSLASHq] = ACTIONS(11),
    [anon_sym_BSLASHqr] = ACTIONS(11),
    [anon_sym_BSLASHqc] = ACTIONS(11),
    [anon_sym_BSLASHqa] = ACTIONS(11),
    [anon_sym_BSLASHqm] = ACTIONS(11),
    [anon_sym_BSLASHqd] = ACTIONS(11),
    [anon_sym_BSLASHlh] = ACTIONS(11),
    [anon_sym_BSLASHlf] = ACTIONS(11),
    [anon_sym_BSLASHli] = ACTIONS(11),
    [anon_sym_BSLASHlim] = ACTIONS(11),
    [anon_sym_BSLASHliv] = ACTIONS(11),
    [anon_sym_BSLASHlik] = ACTIONS(11),
    [anon_sym_BSLASHlitl] = ACTIONS(11),
    [anon_sym_BSLASHtr] = ACTIONS(11),
    [anon_sym_BSLASHf] = ACTIONS(11),
    [anon_sym_BSLASHfe] = ACTIONS(11),
    [anon_sym_BSLASHef] = ACTIONS(11),
    [anon_sym_BSLASHfm] = ACTIONS(11),
    [anon_sym_BSLASHx] = ACTIONS(11),
    [anon_sym_BSLASHxt] = ACTIONS(11),
    [anon_sym_BSLASHrq] = ACTIONS(11),
    [anon_sym_BSLASHadd] = ACTIONS(11),
    [anon_sym_BSLASHbk] = ACTIONS(11),
    [anon_sym_BSLASHdc] = ACTIONS(11),
    [anon_sym_BSLASHk] = ACTIONS(11),
    [anon_sym_BSLASHnd] = ACTIONS(11),
    [anon_sym_BSLASHord] = ACTIONS(11),
    [anon_sym_BSLASHpn] = ACTIONS(11),
    [anon_sym_BSLASHpng] = ACTIONS(11),
    [anon_sym_BSLASHaddpn] = ACTIONS(11),
    [anon_sym_BSLASHqt] = ACTIONS(11),
    [anon_sym_BSLASHsig] = ACTIONS(11),
    [anon_sym_BSLASHsls] = ACTIONS(11),
    [anon_sym_BSLASHtl] = ACTIONS(11),
    [anon_sym_BSLASHwj] = ACTIONS(11),
    [anon_sym_BSLASHem] = ACTIONS(11),
    [anon_sym_BSLASHbd] = ACTIONS(11),
    [anon_sym_BSLASHit] = ACTIONS(11),
    [anon_sym_BSLASHbdit] = ACTIONS(11),
    [anon_sym_BSLASHno] = ACTIONS(11),
    [anon_sym_BSLASHsc] = ACTIONS(11),
    [anon_sym_BSLASHsup] = ACTIONS(11),
    [anon_sym_BSLASHndx] = ACTIONS(11),
    [anon_sym_BSLASHpro] = ACTIONS(11),
    [anon_sym_BSLASHrb] = ACTIONS(11),
    [anon_sym_BSLASHw] = ACTIONS(11),
    [anon_sym_BSLASHwg] = ACTIONS(11),
    [anon_sym_BSLASHwh] = ACTIONS(11),
    [anon_sym_BSLASHwa] = ACTIONS(11),
    [anon_sym_BSLASHfig] = ACTIONS(11),
    [anon_sym_BSLASHjmp] = ACTIONS(11),
    [anon_sym_BSLASHpb] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(11),
    [sym_milestoneStartTag] = ACTIONS(11),
    [sym_milestoneEndTag] = ACTIONS(11),
    [sym_zSpaceTag] = ACTIONS(11),
    [anon_sym_BSLASHesb] = ACTIONS(11),
  },
  [394] = {
    [ts_builtin_sym_end] = ACTIONS(2767),
    [aux_sym_text_token1] = ACTIONS(2767),
    [anon_sym_BSLASHref] = ACTIONS(2769),
    [anon_sym_BSLASHsts] = ACTIONS(2769),
    [anon_sym_BSLASHrem] = ACTIONS(2769),
    [anon_sym_BSLASHrestore] = ACTIONS(2769),
    [anon_sym_BSLASHlit] = ACTIONS(2769),
    [anon_sym_BSLASHiqt] = ACTIONS(2769),
    [anon_sym_BSLASHip] = ACTIONS(2769),
    [anon_sym_BSLASHiex] = ACTIONS(2769),
    [anon_sym_BSLASHv] = ACTIONS(2769),
    [anon_sym_BSLASHva] = ACTIONS(2769),
    [anon_sym_BSLASHvp] = ACTIONS(2769),
    [anon_sym_BSLASHc] = ACTIONS(2769),
    [anon_sym_BSLASHcl] = ACTIONS(2769),
    [anon_sym_BSLASHca] = ACTIONS(2769),
    [anon_sym_BSLASHcp] = ACTIONS(2769),
    [anon_sym_BSLASHcd] = ACTIONS(2769),
    [anon_sym_BSLASHmte] = ACTIONS(2769),
    [anon_sym_BSLASHms] = ACTIONS(2769),
    [anon_sym_BSLASHmr] = ACTIONS(2769),
    [anon_sym_BSLASHs] = ACTIONS(2769),
    [anon_sym_BSLASHsr] = ACTIONS(2769),
    [anon_sym_BSLASHr] = ACTIONS(2769),
    [anon_sym_BSLASHsp] = ACTIONS(2769),
    [anon_sym_BSLASHd] = ACTIONS(2769),
    [anon_sym_BSLASHsd] = ACTIONS(2769),
    [anon_sym_BSLASHp] = ACTIONS(2769),
    [anon_sym_BSLASHm] = ACTIONS(2769),
    [anon_sym_BSLASHpo] = ACTIONS(2769),
    [anon_sym_BSLASHpr] = ACTIONS(2769),
    [anon_sym_BSLASHcls] = ACTIONS(2769),
    [anon_sym_BSLASHpmo] = ACTIONS(2769),
    [anon_sym_BSLASHpm] = ACTIONS(2769),
    [anon_sym_BSLASHpmc] = ACTIONS(2769),
    [anon_sym_BSLASHpmr] = ACTIONS(2769),
    [anon_sym_BSLASHpi] = ACTIONS(2769),
    [anon_sym_BSLASHmi] = ACTIONS(2769),
    [anon_sym_BSLASHnb] = ACTIONS(2769),
    [anon_sym_BSLASHpc] = ACTIONS(2769),
    [anon_sym_BSLASHph] = ACTIONS(2769),
    [anon_sym_BSLASHb] = ACTIONS(2769),
    [anon_sym_BSLASHq] = ACTIONS(2769),
    [anon_sym_BSLASHqr] = ACTIONS(2769),
    [anon_sym_BSLASHqc] = ACTIONS(2769),
    [anon_sym_BSLASHqa] = ACTIONS(2769),
    [anon_sym_BSLASHqm] = ACTIONS(2769),
    [anon_sym_BSLASHqd] = ACTIONS(2769),
    [anon_sym_BSLASHlh] = ACTIONS(2769),
    [anon_sym_BSLASHlf] = ACTIONS(2769),
    [anon_sym_BSLASHli] = ACTIONS(2769),
    [anon_sym_BSLASHlim] = ACTIONS(2769),
    [anon_sym_BSLASHliv] = ACTIONS(2769),
    [anon_sym_BSLASHlik] = ACTIONS(2769),
    [anon_sym_BSLASHlitl] = ACTIONS(2769),
    [anon_sym_BSLASHtr] = ACTIONS(2769),
    [anon_sym_BSLASHf] = ACTIONS(2769),
    [anon_sym_BSLASHfe] = ACTIONS(2769),
    [anon_sym_BSLASHef] = ACTIONS(2769),
    [anon_sym_BSLASHfm] = ACTIONS(2769),
    [anon_sym_BSLASHx] = ACTIONS(2769),
    [anon_sym_BSLASHxt] = ACTIONS(2769),
    [anon_sym_BSLASHrq] = ACTIONS(2769),
    [anon_sym_BSLASHadd] = ACTIONS(2769),
    [anon_sym_BSLASHbk] = ACTIONS(2769),
    [anon_sym_BSLASHdc] = ACTIONS(2769),
    [anon_sym_BSLASHk] = ACTIONS(2769),
    [anon_sym_BSLASHnd] = ACTIONS(2769),
    [anon_sym_BSLASHord] = ACTIONS(2769),
    [anon_sym_BSLASHpn] = ACTIONS(2769),
    [anon_sym_BSLASHpng] = ACTIONS(2769),
    [anon_sym_BSLASHaddpn] = ACTIONS(2769),
    [anon_sym_BSLASHqt] = ACTIONS(2769),
    [anon_sym_BSLASHsig] = ACTIONS(2769),
    [anon_sym_BSLASHsls] = ACTIONS(2769),
    [anon_sym_BSLASHtl] = ACTIONS(2769),
    [anon_sym_BSLASHwj] = ACTIONS(2769),
    [anon_sym_BSLASHem] = ACTIONS(2769),
    [anon_sym_BSLASHbd] = ACTIONS(2769),
    [anon_sym_BSLASHit] = ACTIONS(2769),
    [anon_sym_BSLASHbdit] = ACTIONS(2769),
    [anon_sym_BSLASHno] = ACTIONS(2769),
    [anon_sym_BSLASHsc] = ACTIONS(2769),
    [anon_sym_BSLASHsup] = ACTIONS(2769),
    [anon_sym_BSLASHndx] = ACTIONS(2769),
    [anon_sym_BSLASHpro] = ACTIONS(2769),
    [anon_sym_BSLASHrb] = ACTIONS(2769),
    [anon_sym_BSLASHw] = ACTIONS(2769),
    [anon_sym_BSLASHwg] = ACTIONS(2769),
    [anon_sym_BSLASHwh] = ACTIONS(2769),
    [anon_sym_BSLASHwa] = ACTIONS(2769),
    [anon_sym_BSLASHfig] = ACTIONS(2769),
    [anon_sym_BSLASHjmp] = ACTIONS(2769),
    [anon_sym_BSLASHpb] = ACTIONS(2769),
    [anon_sym_BSLASH] = ACTIONS(2769),
    [sym_milestoneStartTag] = ACTIONS(2769),
    [sym_milestoneEndTag] = ACTIONS(2769),
    [sym_zSpaceTag] = ACTIONS(2769),
    [anon_sym_BSLASHesb] = ACTIONS(2769),
  },
  [395] = {
    [ts_builtin_sym_end] = ACTIONS(2715),
    [aux_sym_text_token1] = ACTIONS(2715),
    [anon_sym_BSLASHref] = ACTIONS(2717),
    [anon_sym_BSLASHsts] = ACTIONS(2717),
    [anon_sym_BSLASHrem] = ACTIONS(2717),
    [anon_sym_BSLASHrestore] = ACTIONS(2717),
    [anon_sym_BSLASHlit] = ACTIONS(2717),
    [anon_sym_BSLASHiqt] = ACTIONS(2717),
    [anon_sym_BSLASHip] = ACTIONS(2717),
    [anon_sym_BSLASHiex] = ACTIONS(2717),
    [anon_sym_BSLASHv] = ACTIONS(2717),
    [anon_sym_BSLASHva] = ACTIONS(2717),
    [anon_sym_BSLASHvp] = ACTIONS(2717),
    [anon_sym_BSLASHc] = ACTIONS(2717),
    [anon_sym_BSLASHcl] = ACTIONS(2717),
    [anon_sym_BSLASHca] = ACTIONS(2717),
    [anon_sym_BSLASHcp] = ACTIONS(2717),
    [anon_sym_BSLASHcd] = ACTIONS(2717),
    [anon_sym_BSLASHmte] = ACTIONS(2717),
    [anon_sym_BSLASHms] = ACTIONS(2717),
    [anon_sym_BSLASHmr] = ACTIONS(2717),
    [anon_sym_BSLASHs] = ACTIONS(2717),
    [anon_sym_BSLASHsr] = ACTIONS(2717),
    [anon_sym_BSLASHr] = ACTIONS(2717),
    [anon_sym_BSLASHsp] = ACTIONS(2717),
    [anon_sym_BSLASHd] = ACTIONS(2717),
    [anon_sym_BSLASHsd] = ACTIONS(2717),
    [anon_sym_BSLASHp] = ACTIONS(2717),
    [anon_sym_BSLASHm] = ACTIONS(2717),
    [anon_sym_BSLASHpo] = ACTIONS(2717),
    [anon_sym_BSLASHpr] = ACTIONS(2717),
    [anon_sym_BSLASHcls] = ACTIONS(2717),
    [anon_sym_BSLASHpmo] = ACTIONS(2717),
    [anon_sym_BSLASHpm] = ACTIONS(2717),
    [anon_sym_BSLASHpmc] = ACTIONS(2717),
    [anon_sym_BSLASHpmr] = ACTIONS(2717),
    [anon_sym_BSLASHpi] = ACTIONS(2717),
    [anon_sym_BSLASHmi] = ACTIONS(2717),
    [anon_sym_BSLASHnb] = ACTIONS(2717),
    [anon_sym_BSLASHpc] = ACTIONS(2717),
    [anon_sym_BSLASHph] = ACTIONS(2717),
    [anon_sym_BSLASHb] = ACTIONS(2717),
    [anon_sym_BSLASHq] = ACTIONS(2717),
    [anon_sym_BSLASHqr] = ACTIONS(2717),
    [anon_sym_BSLASHqc] = ACTIONS(2717),
    [anon_sym_BSLASHqa] = ACTIONS(2717),
    [anon_sym_BSLASHqm] = ACTIONS(2717),
    [anon_sym_BSLASHqd] = ACTIONS(2717),
    [anon_sym_BSLASHlh] = ACTIONS(2717),
    [anon_sym_BSLASHlf] = ACTIONS(2717),
    [anon_sym_BSLASHli] = ACTIONS(2717),
    [anon_sym_BSLASHlim] = ACTIONS(2717),
    [anon_sym_BSLASHliv] = ACTIONS(2717),
    [anon_sym_BSLASHlik] = ACTIONS(2717),
    [anon_sym_BSLASHlitl] = ACTIONS(2717),
    [anon_sym_BSLASHtr] = ACTIONS(2717),
    [anon_sym_BSLASHf] = ACTIONS(2717),
    [anon_sym_BSLASHfe] = ACTIONS(2717),
    [anon_sym_BSLASHef] = ACTIONS(2717),
    [anon_sym_BSLASHfm] = ACTIONS(2717),
    [anon_sym_BSLASHx] = ACTIONS(2717),
    [anon_sym_BSLASHxt] = ACTIONS(2717),
    [anon_sym_BSLASHrq] = ACTIONS(2717),
    [anon_sym_BSLASHadd] = ACTIONS(2717),
    [anon_sym_BSLASHbk] = ACTIONS(2717),
    [anon_sym_BSLASHdc] = ACTIONS(2717),
    [anon_sym_BSLASHk] = ACTIONS(2717),
    [anon_sym_BSLASHnd] = ACTIONS(2717),
    [anon_sym_BSLASHord] = ACTIONS(2717),
    [anon_sym_BSLASHpn] = ACTIONS(2717),
    [anon_sym_BSLASHpng] = ACTIONS(2717),
    [anon_sym_BSLASHaddpn] = ACTIONS(2717),
    [anon_sym_BSLASHqt] = ACTIONS(2717),
    [anon_sym_BSLASHsig] = ACTIONS(2717),
    [anon_sym_BSLASHsls] = ACTIONS(2717),
    [anon_sym_BSLASHtl] = ACTIONS(2717),
    [anon_sym_BSLASHwj] = ACTIONS(2717),
    [anon_sym_BSLASHem] = ACTIONS(2717),
    [anon_sym_BSLASHbd] = ACTIONS(2717),
    [anon_sym_BSLASHit] = ACTIONS(2717),
    [anon_sym_BSLASHbdit] = ACTIONS(2717),
    [anon_sym_BSLASHno] = ACTIONS(2717),
    [anon_sym_BSLASHsc] = ACTIONS(2717),
    [anon_sym_BSLASHsup] = ACTIONS(2717),
    [anon_sym_BSLASHndx] = ACTIONS(2717),
    [anon_sym_BSLASHpro] = ACTIONS(2717),
    [anon_sym_BSLASHrb] = ACTIONS(2717),
    [anon_sym_BSLASHw] = ACTIONS(2717),
    [anon_sym_BSLASHwg] = ACTIONS(2717),
    [anon_sym_BSLASHwh] = ACTIONS(2717),
    [anon_sym_BSLASHwa] = ACTIONS(2717),
    [anon_sym_BSLASHfig] = ACTIONS(2717),
    [anon_sym_BSLASHjmp] = ACTIONS(2717),
    [anon_sym_BSLASHpb] = ACTIONS(2717),
    [anon_sym_BSLASH] = ACTIONS(2717),
    [sym_milestoneStartTag] = ACTIONS(2717),
    [sym_milestoneEndTag] = ACTIONS(2717),
    [sym_zSpaceTag] = ACTIONS(2717),
    [anon_sym_BSLASHesb] = ACTIONS(2717),
  },
  [396] = {
    [ts_builtin_sym_end] = ACTIONS(2775),
    [aux_sym_text_token1] = ACTIONS(2775),
    [anon_sym_BSLASHref] = ACTIONS(2777),
    [anon_sym_BSLASHsts] = ACTIONS(2777),
    [anon_sym_BSLASHrem] = ACTIONS(2777),
    [anon_sym_BSLASHrestore] = ACTIONS(2777),
    [anon_sym_BSLASHlit] = ACTIONS(2777),
    [anon_sym_BSLASHiqt] = ACTIONS(2777),
    [anon_sym_BSLASHip] = ACTIONS(2777),
    [anon_sym_BSLASHiex] = ACTIONS(2777),
    [anon_sym_BSLASHv] = ACTIONS(2777),
    [anon_sym_BSLASHva] = ACTIONS(2777),
    [anon_sym_BSLASHvp] = ACTIONS(2777),
    [anon_sym_BSLASHc] = ACTIONS(2777),
    [anon_sym_BSLASHcl] = ACTIONS(2777),
    [anon_sym_BSLASHca] = ACTIONS(2777),
    [anon_sym_BSLASHcp] = ACTIONS(2777),
    [anon_sym_BSLASHcd] = ACTIONS(2777),
    [anon_sym_BSLASHmte] = ACTIONS(2777),
    [anon_sym_BSLASHms] = ACTIONS(2777),
    [anon_sym_BSLASHmr] = ACTIONS(2777),
    [anon_sym_BSLASHs] = ACTIONS(2777),
    [anon_sym_BSLASHsr] = ACTIONS(2777),
    [anon_sym_BSLASHr] = ACTIONS(2777),
    [anon_sym_BSLASHsp] = ACTIONS(2777),
    [anon_sym_BSLASHd] = ACTIONS(2777),
    [anon_sym_BSLASHsd] = ACTIONS(2777),
    [anon_sym_BSLASHp] = ACTIONS(2777),
    [anon_sym_BSLASHm] = ACTIONS(2777),
    [anon_sym_BSLASHpo] = ACTIONS(2777),
    [anon_sym_BSLASHpr] = ACTIONS(2777),
    [anon_sym_BSLASHcls] = ACTIONS(2777),
    [anon_sym_BSLASHpmo] = ACTIONS(2777),
    [anon_sym_BSLASHpm] = ACTIONS(2777),
    [anon_sym_BSLASHpmc] = ACTIONS(2777),
    [anon_sym_BSLASHpmr] = ACTIONS(2777),
    [anon_sym_BSLASHpi] = ACTIONS(2777),
    [anon_sym_BSLASHmi] = ACTIONS(2777),
    [anon_sym_BSLASHnb] = ACTIONS(2777),
    [anon_sym_BSLASHpc] = ACTIONS(2777),
    [anon_sym_BSLASHph] = ACTIONS(2777),
    [anon_sym_BSLASHb] = ACTIONS(2777),
    [anon_sym_BSLASHq] = ACTIONS(2777),
    [anon_sym_BSLASHqr] = ACTIONS(2777),
    [anon_sym_BSLASHqc] = ACTIONS(2777),
    [anon_sym_BSLASHqa] = ACTIONS(2777),
    [anon_sym_BSLASHqm] = ACTIONS(2777),
    [anon_sym_BSLASHqd] = ACTIONS(2777),
    [anon_sym_BSLASHlh] = ACTIONS(2777),
    [anon_sym_BSLASHlf] = ACTIONS(2777),
    [anon_sym_BSLASHli] = ACTIONS(2777),
    [anon_sym_BSLASHlim] = ACTIONS(2777),
    [anon_sym_BSLASHliv] = ACTIONS(2777),
    [anon_sym_BSLASHlik] = ACTIONS(2777),
    [anon_sym_BSLASHlitl] = ACTIONS(2777),
    [anon_sym_BSLASHtr] = ACTIONS(2777),
    [anon_sym_BSLASHf] = ACTIONS(2777),
    [anon_sym_BSLASHfe] = ACTIONS(2777),
    [anon_sym_BSLASHef] = ACTIONS(2777),
    [anon_sym_BSLASHfm] = ACTIONS(2777),
    [anon_sym_BSLASHx] = ACTIONS(2777),
    [anon_sym_BSLASHxt] = ACTIONS(2777),
    [anon_sym_BSLASHrq] = ACTIONS(2777),
    [anon_sym_BSLASHadd] = ACTIONS(2777),
    [anon_sym_BSLASHbk] = ACTIONS(2777),
    [anon_sym_BSLASHdc] = ACTIONS(2777),
    [anon_sym_BSLASHk] = ACTIONS(2777),
    [anon_sym_BSLASHnd] = ACTIONS(2777),
    [anon_sym_BSLASHord] = ACTIONS(2777),
    [anon_sym_BSLASHpn] = ACTIONS(2777),
    [anon_sym_BSLASHpng] = ACTIONS(2777),
    [anon_sym_BSLASHaddpn] = ACTIONS(2777),
    [anon_sym_BSLASHqt] = ACTIONS(2777),
    [anon_sym_BSLASHsig] = ACTIONS(2777),
    [anon_sym_BSLASHsls] = ACTIONS(2777),
    [anon_sym_BSLASHtl] = ACTIONS(2777),
    [anon_sym_BSLASHwj] = ACTIONS(2777),
    [anon_sym_BSLASHem] = ACTIONS(2777),
    [anon_sym_BSLASHbd] = ACTIONS(2777),
    [anon_sym_BSLASHit] = ACTIONS(2777),
    [anon_sym_BSLASHbdit] = ACTIONS(2777),
    [anon_sym_BSLASHno] = ACTIONS(2777),
    [anon_sym_BSLASHsc] = ACTIONS(2777),
    [anon_sym_BSLASHsup] = ACTIONS(2777),
    [anon_sym_BSLASHndx] = ACTIONS(2777),
    [anon_sym_BSLASHpro] = ACTIONS(2777),
    [anon_sym_BSLASHrb] = ACTIONS(2777),
    [anon_sym_BSLASHw] = ACTIONS(2777),
    [anon_sym_BSLASHwg] = ACTIONS(2777),
    [anon_sym_BSLASHwh] = ACTIONS(2777),
    [anon_sym_BSLASHwa] = ACTIONS(2777),
    [anon_sym_BSLASHfig] = ACTIONS(2777),
    [anon_sym_BSLASHjmp] = ACTIONS(2777),
    [anon_sym_BSLASHpb] = ACTIONS(2777),
    [anon_sym_BSLASH] = ACTIONS(2777),
    [sym_milestoneStartTag] = ACTIONS(2777),
    [sym_milestoneEndTag] = ACTIONS(2777),
    [sym_zSpaceTag] = ACTIONS(2777),
    [anon_sym_BSLASHesb] = ACTIONS(2777),
  },
  [397] = {
    [ts_builtin_sym_end] = ACTIONS(2675),
    [aux_sym_text_token1] = ACTIONS(2675),
    [anon_sym_BSLASHref] = ACTIONS(2677),
    [anon_sym_BSLASHsts] = ACTIONS(2677),
    [anon_sym_BSLASHrem] = ACTIONS(2677),
    [anon_sym_BSLASHrestore] = ACTIONS(2677),
    [anon_sym_BSLASHlit] = ACTIONS(2677),
    [anon_sym_BSLASHiqt] = ACTIONS(2677),
    [anon_sym_BSLASHip] = ACTIONS(2677),
    [anon_sym_BSLASHiex] = ACTIONS(2677),
    [anon_sym_BSLASHv] = ACTIONS(2677),
    [anon_sym_BSLASHva] = ACTIONS(2677),
    [anon_sym_BSLASHvp] = ACTIONS(2677),
    [anon_sym_BSLASHc] = ACTIONS(2677),
    [anon_sym_BSLASHcl] = ACTIONS(2677),
    [anon_sym_BSLASHca] = ACTIONS(2677),
    [anon_sym_BSLASHcp] = ACTIONS(2677),
    [anon_sym_BSLASHcd] = ACTIONS(2677),
    [anon_sym_BSLASHmte] = ACTIONS(2677),
    [anon_sym_BSLASHms] = ACTIONS(2677),
    [anon_sym_BSLASHmr] = ACTIONS(2677),
    [anon_sym_BSLASHs] = ACTIONS(2677),
    [anon_sym_BSLASHsr] = ACTIONS(2677),
    [anon_sym_BSLASHr] = ACTIONS(2677),
    [anon_sym_BSLASHsp] = ACTIONS(2677),
    [anon_sym_BSLASHd] = ACTIONS(2677),
    [anon_sym_BSLASHsd] = ACTIONS(2677),
    [anon_sym_BSLASHp] = ACTIONS(2677),
    [anon_sym_BSLASHm] = ACTIONS(2677),
    [anon_sym_BSLASHpo] = ACTIONS(2677),
    [anon_sym_BSLASHpr] = ACTIONS(2677),
    [anon_sym_BSLASHcls] = ACTIONS(2677),
    [anon_sym_BSLASHpmo] = ACTIONS(2677),
    [anon_sym_BSLASHpm] = ACTIONS(2677),
    [anon_sym_BSLASHpmc] = ACTIONS(2677),
    [anon_sym_BSLASHpmr] = ACTIONS(2677),
    [anon_sym_BSLASHpi] = ACTIONS(2677),
    [anon_sym_BSLASHmi] = ACTIONS(2677),
    [anon_sym_BSLASHnb] = ACTIONS(2677),
    [anon_sym_BSLASHpc] = ACTIONS(2677),
    [anon_sym_BSLASHph] = ACTIONS(2677),
    [anon_sym_BSLASHb] = ACTIONS(2677),
    [anon_sym_BSLASHq] = ACTIONS(2677),
    [anon_sym_BSLASHqr] = ACTIONS(2677),
    [anon_sym_BSLASHqc] = ACTIONS(2677),
    [anon_sym_BSLASHqa] = ACTIONS(2677),
    [anon_sym_BSLASHqm] = ACTIONS(2677),
    [anon_sym_BSLASHqd] = ACTIONS(2677),
    [anon_sym_BSLASHlh] = ACTIONS(2677),
    [anon_sym_BSLASHlf] = ACTIONS(2677),
    [anon_sym_BSLASHli] = ACTIONS(2677),
    [anon_sym_BSLASHlim] = ACTIONS(2677),
    [anon_sym_BSLASHliv] = ACTIONS(2677),
    [anon_sym_BSLASHlik] = ACTIONS(2677),
    [anon_sym_BSLASHlitl] = ACTIONS(2677),
    [anon_sym_BSLASHtr] = ACTIONS(2677),
    [anon_sym_BSLASHf] = ACTIONS(2677),
    [anon_sym_BSLASHfe] = ACTIONS(2677),
    [anon_sym_BSLASHef] = ACTIONS(2677),
    [anon_sym_BSLASHfm] = ACTIONS(2677),
    [anon_sym_BSLASHx] = ACTIONS(2677),
    [anon_sym_BSLASHxt] = ACTIONS(2677),
    [anon_sym_BSLASHrq] = ACTIONS(2677),
    [anon_sym_BSLASHadd] = ACTIONS(2677),
    [anon_sym_BSLASHbk] = ACTIONS(2677),
    [anon_sym_BSLASHdc] = ACTIONS(2677),
    [anon_sym_BSLASHk] = ACTIONS(2677),
    [anon_sym_BSLASHnd] = ACTIONS(2677),
    [anon_sym_BSLASHord] = ACTIONS(2677),
    [anon_sym_BSLASHpn] = ACTIONS(2677),
    [anon_sym_BSLASHpng] = ACTIONS(2677),
    [anon_sym_BSLASHaddpn] = ACTIONS(2677),
    [anon_sym_BSLASHqt] = ACTIONS(2677),
    [anon_sym_BSLASHsig] = ACTIONS(2677),
    [anon_sym_BSLASHsls] = ACTIONS(2677),
    [anon_sym_BSLASHtl] = ACTIONS(2677),
    [anon_sym_BSLASHwj] = ACTIONS(2677),
    [anon_sym_BSLASHem] = ACTIONS(2677),
    [anon_sym_BSLASHbd] = ACTIONS(2677),
    [anon_sym_BSLASHit] = ACTIONS(2677),
    [anon_sym_BSLASHbdit] = ACTIONS(2677),
    [anon_sym_BSLASHno] = ACTIONS(2677),
    [anon_sym_BSLASHsc] = ACTIONS(2677),
    [anon_sym_BSLASHsup] = ACTIONS(2677),
    [anon_sym_BSLASHndx] = ACTIONS(2677),
    [anon_sym_BSLASHpro] = ACTIONS(2677),
    [anon_sym_BSLASHrb] = ACTIONS(2677),
    [anon_sym_BSLASHw] = ACTIONS(2677),
    [anon_sym_BSLASHwg] = ACTIONS(2677),
    [anon_sym_BSLASHwh] = ACTIONS(2677),
    [anon_sym_BSLASHwa] = ACTIONS(2677),
    [anon_sym_BSLASHfig] = ACTIONS(2677),
    [anon_sym_BSLASHjmp] = ACTIONS(2677),
    [anon_sym_BSLASHpb] = ACTIONS(2677),
    [anon_sym_BSLASH] = ACTIONS(2677),
    [sym_milestoneStartTag] = ACTIONS(2677),
    [sym_milestoneEndTag] = ACTIONS(2677),
    [sym_zSpaceTag] = ACTIONS(2677),
    [anon_sym_BSLASHesb] = ACTIONS(2677),
  },
  [398] = {
    [sym_text] = STATE(347),
    [sym_ref] = STATE(347),
    [aux_sym__introText] = STATE(347),
    [sym_iqt] = STATE(347),
    [sym_xt_standalone] = STATE(347),
    [sym_add] = STATE(347),
    [sym_bk] = STATE(347),
    [sym_dc] = STATE(347),
    [sym_k] = STATE(347),
    [sym_nd] = STATE(347),
    [sym_ord] = STATE(347),
    [sym_pn] = STATE(347),
    [sym_png] = STATE(347),
    [sym_addpn] = STATE(347),
    [sym_qt] = STATE(347),
    [sym_sig] = STATE(347),
    [sym_sls] = STATE(347),
    [sym_tl] = STATE(347),
    [sym_wj] = STATE(347),
    [sym_em] = STATE(347),
    [sym_bd] = STATE(347),
    [sym_it] = STATE(347),
    [sym_bdit] = STATE(347),
    [sym_no] = STATE(347),
    [sym_sc] = STATE(347),
    [sym_sup] = STATE(347),
    [sym_ndx] = STATE(347),
    [sym_pro] = STATE(347),
    [sym_rb] = STATE(347),
    [sym_w] = STATE(347),
    [sym_wg] = STATE(347),
    [sym_wh] = STATE(347),
    [sym_wa] = STATE(347),
    [sym__characterMarker] = STATE(347),
    [sym_fig] = STATE(347),
    [sym_jmp] = STATE(347),
    [ts_builtin_sym_end] = ACTIONS(5280),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHsts] = ACTIONS(5282),
    [anon_sym_BSLASHrem] = ACTIONS(5282),
    [anon_sym_BSLASHrestore] = ACTIONS(5282),
    [anon_sym_BSLASHlit] = ACTIONS(5282),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHimt] = ACTIONS(5282),
    [anon_sym_BSLASHimte] = ACTIONS(5282),
    [anon_sym_BSLASHis] = ACTIONS(5282),
    [anon_sym_BSLASHio] = ACTIONS(5282),
    [anon_sym_BSLASHiot] = ACTIONS(5282),
    [anon_sym_BSLASHip] = ACTIONS(5282),
    [anon_sym_BSLASHim] = ACTIONS(5282),
    [anon_sym_BSLASHipi] = ACTIONS(5282),
    [anon_sym_BSLASHimi] = ACTIONS(5282),
    [anon_sym_BSLASHili] = ACTIONS(5282),
    [anon_sym_BSLASHipq] = ACTIONS(5282),
    [anon_sym_BSLASHimq] = ACTIONS(5282),
    [anon_sym_BSLASHipr] = ACTIONS(5282),
    [anon_sym_BSLASHib] = ACTIONS(5282),
    [anon_sym_BSLASHiq] = ACTIONS(5282),
    [anon_sym_BSLASHie] = ACTIONS(5282),
    [anon_sym_BSLASHiex] = ACTIONS(5282),
    [anon_sym_BSLASHc] = ACTIONS(5282),
    [anon_sym_BSLASHcl] = ACTIONS(5282),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
    [anon_sym_BSLASH] = ACTIONS(5282),
    [sym_milestoneStartTag] = ACTIONS(5282),
    [sym_milestoneEndTag] = ACTIONS(5282),
    [sym_zSpaceTag] = ACTIONS(5282),
    [anon_sym_BSLASHesb] = ACTIONS(5282),
  },
  [399] = {
    [sym_text] = STATE(347),
    [sym_ref] = STATE(347),
    [aux_sym__introText] = STATE(347),
    [sym_iqt] = STATE(347),
    [sym_xt_standalone] = STATE(347),
    [sym_add] = STATE(347),
    [sym_bk] = STATE(347),
    [sym_dc] = STATE(347),
    [sym_k] = STATE(347),
    [sym_nd] = STATE(347),
    [sym_ord] = STATE(347),
    [sym_pn] = STATE(347),
    [sym_png] = STATE(347),
    [sym_addpn] = STATE(347),
    [sym_qt] = STATE(347),
    [sym_sig] = STATE(347),
    [sym_sls] = STATE(347),
    [sym_tl] = STATE(347),
    [sym_wj] = STATE(347),
    [sym_em] = STATE(347),
    [sym_bd] = STATE(347),
    [sym_it] = STATE(347),
    [sym_bdit] = STATE(347),
    [sym_no] = STATE(347),
    [sym_sc] = STATE(347),
    [sym_sup] = STATE(347),
    [sym_ndx] = STATE(347),
    [sym_pro] = STATE(347),
    [sym_rb] = STATE(347),
    [sym_w] = STATE(347),
    [sym_wg] = STATE(347),
    [sym_wh] = STATE(347),
    [sym_wa] = STATE(347),
    [sym__characterMarker] = STATE(347),
    [sym_fig] = STATE(347),
    [sym_jmp] = STATE(347),
    [ts_builtin_sym_end] = ACTIONS(5284),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHsts] = ACTIONS(5286),
    [anon_sym_BSLASHrem] = ACTIONS(5286),
    [anon_sym_BSLASHrestore] = ACTIONS(5286),
    [anon_sym_BSLASHlit] = ACTIONS(5286),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHimt] = ACTIONS(5286),
    [anon_sym_BSLASHimte] = ACTIONS(5286),
    [anon_sym_BSLASHis] = ACTIONS(5286),
    [anon_sym_BSLASHio] = ACTIONS(5286),
    [anon_sym_BSLASHiot] = ACTIONS(5286),
    [anon_sym_BSLASHip] = ACTIONS(5286),
    [anon_sym_BSLASHim] = ACTIONS(5286),
    [anon_sym_BSLASHipi] = ACTIONS(5286),
    [anon_sym_BSLASHimi] = ACTIONS(5286),
    [anon_sym_BSLASHili] = ACTIONS(5286),
    [anon_sym_BSLASHipq] = ACTIONS(5286),
    [anon_sym_BSLASHimq] = ACTIONS(5286),
    [anon_sym_BSLASHipr] = ACTIONS(5286),
    [anon_sym_BSLASHib] = ACTIONS(5286),
    [anon_sym_BSLASHiq] = ACTIONS(5286),
    [anon_sym_BSLASHie] = ACTIONS(5286),
    [anon_sym_BSLASHiex] = ACTIONS(5286),
    [anon_sym_BSLASHc] = ACTIONS(5286),
    [anon_sym_BSLASHcl] = ACTIONS(5286),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
    [anon_sym_BSLASH] = ACTIONS(5286),
    [sym_milestoneStartTag] = ACTIONS(5286),
    [sym_milestoneEndTag] = ACTIONS(5286),
    [sym_zSpaceTag] = ACTIONS(5286),
    [anon_sym_BSLASHesb] = ACTIONS(5286),
  },
  [400] = {
    [ts_builtin_sym_end] = ACTIONS(2727),
    [aux_sym_text_token1] = ACTIONS(2727),
    [anon_sym_BSLASHref] = ACTIONS(2729),
    [anon_sym_BSLASHsts] = ACTIONS(2729),
    [anon_sym_BSLASHrem] = ACTIONS(2729),
    [anon_sym_BSLASHrestore] = ACTIONS(2729),
    [anon_sym_BSLASHlit] = ACTIONS(2729),
    [anon_sym_BSLASHiqt] = ACTIONS(2729),
    [anon_sym_BSLASHip] = ACTIONS(2729),
    [anon_sym_BSLASHiex] = ACTIONS(2729),
    [anon_sym_BSLASHv] = ACTIONS(2729),
    [anon_sym_BSLASHva] = ACTIONS(2729),
    [anon_sym_BSLASHvp] = ACTIONS(2729),
    [anon_sym_BSLASHc] = ACTIONS(2729),
    [anon_sym_BSLASHcl] = ACTIONS(2729),
    [anon_sym_BSLASHca] = ACTIONS(2729),
    [anon_sym_BSLASHcp] = ACTIONS(2729),
    [anon_sym_BSLASHcd] = ACTIONS(2729),
    [anon_sym_BSLASHmte] = ACTIONS(2729),
    [anon_sym_BSLASHms] = ACTIONS(2729),
    [anon_sym_BSLASHmr] = ACTIONS(2729),
    [anon_sym_BSLASHs] = ACTIONS(2729),
    [anon_sym_BSLASHsr] = ACTIONS(2729),
    [anon_sym_BSLASHr] = ACTIONS(2729),
    [anon_sym_BSLASHsp] = ACTIONS(2729),
    [anon_sym_BSLASHd] = ACTIONS(2729),
    [anon_sym_BSLASHsd] = ACTIONS(2729),
    [anon_sym_BSLASHp] = ACTIONS(2729),
    [anon_sym_BSLASHm] = ACTIONS(2729),
    [anon_sym_BSLASHpo] = ACTIONS(2729),
    [anon_sym_BSLASHpr] = ACTIONS(2729),
    [anon_sym_BSLASHcls] = ACTIONS(2729),
    [anon_sym_BSLASHpmo] = ACTIONS(2729),
    [anon_sym_BSLASHpm] = ACTIONS(2729),
    [anon_sym_BSLASHpmc] = ACTIONS(2729),
    [anon_sym_BSLASHpmr] = ACTIONS(2729),
    [anon_sym_BSLASHpi] = ACTIONS(2729),
    [anon_sym_BSLASHmi] = ACTIONS(2729),
    [anon_sym_BSLASHnb] = ACTIONS(2729),
    [anon_sym_BSLASHpc] = ACTIONS(2729),
    [anon_sym_BSLASHph] = ACTIONS(2729),
    [anon_sym_BSLASHb] = ACTIONS(2729),
    [anon_sym_BSLASHq] = ACTIONS(2729),
    [anon_sym_BSLASHqr] = ACTIONS(2729),
    [anon_sym_BSLASHqc] = ACTIONS(2729),
    [anon_sym_BSLASHqa] = ACTIONS(2729),
    [anon_sym_BSLASHqm] = ACTIONS(2729),
    [anon_sym_BSLASHqd] = ACTIONS(2729),
    [anon_sym_BSLASHlh] = ACTIONS(2729),
    [anon_sym_BSLASHlf] = ACTIONS(2729),
    [anon_sym_BSLASHli] = ACTIONS(2729),
    [anon_sym_BSLASHlim] = ACTIONS(2729),
    [anon_sym_BSLASHliv] = ACTIONS(2729),
    [anon_sym_BSLASHlik] = ACTIONS(2729),
    [anon_sym_BSLASHlitl] = ACTIONS(2729),
    [anon_sym_BSLASHtr] = ACTIONS(2729),
    [anon_sym_BSLASHf] = ACTIONS(2729),
    [anon_sym_BSLASHfe] = ACTIONS(2729),
    [anon_sym_BSLASHef] = ACTIONS(2729),
    [anon_sym_BSLASHfm] = ACTIONS(2729),
    [anon_sym_BSLASHx] = ACTIONS(2729),
    [anon_sym_BSLASHxt] = ACTIONS(2729),
    [anon_sym_BSLASHrq] = ACTIONS(2729),
    [anon_sym_BSLASHadd] = ACTIONS(2729),
    [anon_sym_BSLASHbk] = ACTIONS(2729),
    [anon_sym_BSLASHdc] = ACTIONS(2729),
    [anon_sym_BSLASHk] = ACTIONS(2729),
    [anon_sym_BSLASHnd] = ACTIONS(2729),
    [anon_sym_BSLASHord] = ACTIONS(2729),
    [anon_sym_BSLASHpn] = ACTIONS(2729),
    [anon_sym_BSLASHpng] = ACTIONS(2729),
    [anon_sym_BSLASHaddpn] = ACTIONS(2729),
    [anon_sym_BSLASHqt] = ACTIONS(2729),
    [anon_sym_BSLASHsig] = ACTIONS(2729),
    [anon_sym_BSLASHsls] = ACTIONS(2729),
    [anon_sym_BSLASHtl] = ACTIONS(2729),
    [anon_sym_BSLASHwj] = ACTIONS(2729),
    [anon_sym_BSLASHem] = ACTIONS(2729),
    [anon_sym_BSLASHbd] = ACTIONS(2729),
    [anon_sym_BSLASHit] = ACTIONS(2729),
    [anon_sym_BSLASHbdit] = ACTIONS(2729),
    [anon_sym_BSLASHno] = ACTIONS(2729),
    [anon_sym_BSLASHsc] = ACTIONS(2729),
    [anon_sym_BSLASHsup] = ACTIONS(2729),
    [anon_sym_BSLASHndx] = ACTIONS(2729),
    [anon_sym_BSLASHpro] = ACTIONS(2729),
    [anon_sym_BSLASHrb] = ACTIONS(2729),
    [anon_sym_BSLASHw] = ACTIONS(2729),
    [anon_sym_BSLASHwg] = ACTIONS(2729),
    [anon_sym_BSLASHwh] = ACTIONS(2729),
    [anon_sym_BSLASHwa] = ACTIONS(2729),
    [anon_sym_BSLASHfig] = ACTIONS(2729),
    [anon_sym_BSLASHjmp] = ACTIONS(2729),
    [anon_sym_BSLASHpb] = ACTIONS(2729),
    [anon_sym_BSLASH] = ACTIONS(2729),
    [sym_milestoneStartTag] = ACTIONS(2729),
    [sym_milestoneEndTag] = ACTIONS(2729),
    [sym_zSpaceTag] = ACTIONS(2729),
    [anon_sym_BSLASHesb] = ACTIONS(2729),
  },
  [401] = {
    [sym_text] = STATE(347),
    [sym_ref] = STATE(347),
    [aux_sym__introText] = STATE(347),
    [sym_iqt] = STATE(347),
    [sym_xt_standalone] = STATE(347),
    [sym_add] = STATE(347),
    [sym_bk] = STATE(347),
    [sym_dc] = STATE(347),
    [sym_k] = STATE(347),
    [sym_nd] = STATE(347),
    [sym_ord] = STATE(347),
    [sym_pn] = STATE(347),
    [sym_png] = STATE(347),
    [sym_addpn] = STATE(347),
    [sym_qt] = STATE(347),
    [sym_sig] = STATE(347),
    [sym_sls] = STATE(347),
    [sym_tl] = STATE(347),
    [sym_wj] = STATE(347),
    [sym_em] = STATE(347),
    [sym_bd] = STATE(347),
    [sym_it] = STATE(347),
    [sym_bdit] = STATE(347),
    [sym_no] = STATE(347),
    [sym_sc] = STATE(347),
    [sym_sup] = STATE(347),
    [sym_ndx] = STATE(347),
    [sym_pro] = STATE(347),
    [sym_rb] = STATE(347),
    [sym_w] = STATE(347),
    [sym_wg] = STATE(347),
    [sym_wh] = STATE(347),
    [sym_wa] = STATE(347),
    [sym__characterMarker] = STATE(347),
    [sym_fig] = STATE(347),
    [sym_jmp] = STATE(347),
    [ts_builtin_sym_end] = ACTIONS(5288),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHsts] = ACTIONS(5290),
    [anon_sym_BSLASHrem] = ACTIONS(5290),
    [anon_sym_BSLASHrestore] = ACTIONS(5290),
    [anon_sym_BSLASHlit] = ACTIONS(5290),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHimt] = ACTIONS(5290),
    [anon_sym_BSLASHimte] = ACTIONS(5290),
    [anon_sym_BSLASHis] = ACTIONS(5290),
    [anon_sym_BSLASHio] = ACTIONS(5290),
    [anon_sym_BSLASHiot] = ACTIONS(5290),
    [anon_sym_BSLASHip] = ACTIONS(5290),
    [anon_sym_BSLASHim] = ACTIONS(5290),
    [anon_sym_BSLASHipi] = ACTIONS(5290),
    [anon_sym_BSLASHimi] = ACTIONS(5290),
    [anon_sym_BSLASHili] = ACTIONS(5290),
    [anon_sym_BSLASHipq] = ACTIONS(5290),
    [anon_sym_BSLASHimq] = ACTIONS(5290),
    [anon_sym_BSLASHipr] = ACTIONS(5290),
    [anon_sym_BSLASHib] = ACTIONS(5290),
    [anon_sym_BSLASHiq] = ACTIONS(5290),
    [anon_sym_BSLASHie] = ACTIONS(5290),
    [anon_sym_BSLASHiex] = ACTIONS(5290),
    [anon_sym_BSLASHc] = ACTIONS(5290),
    [anon_sym_BSLASHcl] = ACTIONS(5290),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
    [anon_sym_BSLASH] = ACTIONS(5290),
    [sym_milestoneStartTag] = ACTIONS(5290),
    [sym_milestoneEndTag] = ACTIONS(5290),
    [sym_zSpaceTag] = ACTIONS(5290),
    [anon_sym_BSLASHesb] = ACTIONS(5290),
  },
  [402] = {
    [ts_builtin_sym_end] = ACTIONS(2663),
    [aux_sym_text_token1] = ACTIONS(2663),
    [anon_sym_BSLASHref] = ACTIONS(2665),
    [anon_sym_BSLASHsts] = ACTIONS(2665),
    [anon_sym_BSLASHrem] = ACTIONS(2665),
    [anon_sym_BSLASHrestore] = ACTIONS(2665),
    [anon_sym_BSLASHlit] = ACTIONS(2665),
    [anon_sym_BSLASHiqt] = ACTIONS(2665),
    [anon_sym_BSLASHip] = ACTIONS(2665),
    [anon_sym_BSLASHiex] = ACTIONS(2665),
    [anon_sym_BSLASHv] = ACTIONS(2665),
    [anon_sym_BSLASHva] = ACTIONS(2665),
    [anon_sym_BSLASHvp] = ACTIONS(2665),
    [anon_sym_BSLASHc] = ACTIONS(2665),
    [anon_sym_BSLASHcl] = ACTIONS(2665),
    [anon_sym_BSLASHca] = ACTIONS(2665),
    [anon_sym_BSLASHcp] = ACTIONS(2665),
    [anon_sym_BSLASHcd] = ACTIONS(2665),
    [anon_sym_BSLASHmte] = ACTIONS(2665),
    [anon_sym_BSLASHms] = ACTIONS(2665),
    [anon_sym_BSLASHmr] = ACTIONS(2665),
    [anon_sym_BSLASHs] = ACTIONS(2665),
    [anon_sym_BSLASHsr] = ACTIONS(2665),
    [anon_sym_BSLASHr] = ACTIONS(2665),
    [anon_sym_BSLASHsp] = ACTIONS(2665),
    [anon_sym_BSLASHd] = ACTIONS(2665),
    [anon_sym_BSLASHsd] = ACTIONS(2665),
    [anon_sym_BSLASHp] = ACTIONS(2665),
    [anon_sym_BSLASHm] = ACTIONS(2665),
    [anon_sym_BSLASHpo] = ACTIONS(2665),
    [anon_sym_BSLASHpr] = ACTIONS(2665),
    [anon_sym_BSLASHcls] = ACTIONS(2665),
    [anon_sym_BSLASHpmo] = ACTIONS(2665),
    [anon_sym_BSLASHpm] = ACTIONS(2665),
    [anon_sym_BSLASHpmc] = ACTIONS(2665),
    [anon_sym_BSLASHpmr] = ACTIONS(2665),
    [anon_sym_BSLASHpi] = ACTIONS(2665),
    [anon_sym_BSLASHmi] = ACTIONS(2665),
    [anon_sym_BSLASHnb] = ACTIONS(2665),
    [anon_sym_BSLASHpc] = ACTIONS(2665),
    [anon_sym_BSLASHph] = ACTIONS(2665),
    [anon_sym_BSLASHb] = ACTIONS(2665),
    [anon_sym_BSLASHq] = ACTIONS(2665),
    [anon_sym_BSLASHqr] = ACTIONS(2665),
    [anon_sym_BSLASHqc] = ACTIONS(2665),
    [anon_sym_BSLASHqa] = ACTIONS(2665),
    [anon_sym_BSLASHqm] = ACTIONS(2665),
    [anon_sym_BSLASHqd] = ACTIONS(2665),
    [anon_sym_BSLASHlh] = ACTIONS(2665),
    [anon_sym_BSLASHlf] = ACTIONS(2665),
    [anon_sym_BSLASHli] = ACTIONS(2665),
    [anon_sym_BSLASHlim] = ACTIONS(2665),
    [anon_sym_BSLASHliv] = ACTIONS(2665),
    [anon_sym_BSLASHlik] = ACTIONS(2665),
    [anon_sym_BSLASHlitl] = ACTIONS(2665),
    [anon_sym_BSLASHtr] = ACTIONS(2665),
    [anon_sym_BSLASHf] = ACTIONS(2665),
    [anon_sym_BSLASHfe] = ACTIONS(2665),
    [anon_sym_BSLASHef] = ACTIONS(2665),
    [anon_sym_BSLASHfm] = ACTIONS(2665),
    [anon_sym_BSLASHx] = ACTIONS(2665),
    [anon_sym_BSLASHxt] = ACTIONS(2665),
    [anon_sym_BSLASHrq] = ACTIONS(2665),
    [anon_sym_BSLASHadd] = ACTIONS(2665),
    [anon_sym_BSLASHbk] = ACTIONS(2665),
    [anon_sym_BSLASHdc] = ACTIONS(2665),
    [anon_sym_BSLASHk] = ACTIONS(2665),
    [anon_sym_BSLASHnd] = ACTIONS(2665),
    [anon_sym_BSLASHord] = ACTIONS(2665),
    [anon_sym_BSLASHpn] = ACTIONS(2665),
    [anon_sym_BSLASHpng] = ACTIONS(2665),
    [anon_sym_BSLASHaddpn] = ACTIONS(2665),
    [anon_sym_BSLASHqt] = ACTIONS(2665),
    [anon_sym_BSLASHsig] = ACTIONS(2665),
    [anon_sym_BSLASHsls] = ACTIONS(2665),
    [anon_sym_BSLASHtl] = ACTIONS(2665),
    [anon_sym_BSLASHwj] = ACTIONS(2665),
    [anon_sym_BSLASHem] = ACTIONS(2665),
    [anon_sym_BSLASHbd] = ACTIONS(2665),
    [anon_sym_BSLASHit] = ACTIONS(2665),
    [anon_sym_BSLASHbdit] = ACTIONS(2665),
    [anon_sym_BSLASHno] = ACTIONS(2665),
    [anon_sym_BSLASHsc] = ACTIONS(2665),
    [anon_sym_BSLASHsup] = ACTIONS(2665),
    [anon_sym_BSLASHndx] = ACTIONS(2665),
    [anon_sym_BSLASHpro] = ACTIONS(2665),
    [anon_sym_BSLASHrb] = ACTIONS(2665),
    [anon_sym_BSLASHw] = ACTIONS(2665),
    [anon_sym_BSLASHwg] = ACTIONS(2665),
    [anon_sym_BSLASHwh] = ACTIONS(2665),
    [anon_sym_BSLASHwa] = ACTIONS(2665),
    [anon_sym_BSLASHfig] = ACTIONS(2665),
    [anon_sym_BSLASHjmp] = ACTIONS(2665),
    [anon_sym_BSLASHpb] = ACTIONS(2665),
    [anon_sym_BSLASH] = ACTIONS(2665),
    [sym_milestoneStartTag] = ACTIONS(2665),
    [sym_milestoneEndTag] = ACTIONS(2665),
    [sym_zSpaceTag] = ACTIONS(2665),
    [anon_sym_BSLASHesb] = ACTIONS(2665),
  },
  [403] = {
    [ts_builtin_sym_end] = ACTIONS(2771),
    [aux_sym_text_token1] = ACTIONS(2771),
    [anon_sym_BSLASHref] = ACTIONS(2773),
    [anon_sym_BSLASHsts] = ACTIONS(2773),
    [anon_sym_BSLASHrem] = ACTIONS(2773),
    [anon_sym_BSLASHrestore] = ACTIONS(2773),
    [anon_sym_BSLASHlit] = ACTIONS(2773),
    [anon_sym_BSLASHiqt] = ACTIONS(2773),
    [anon_sym_BSLASHip] = ACTIONS(2773),
    [anon_sym_BSLASHiex] = ACTIONS(2773),
    [anon_sym_BSLASHv] = ACTIONS(2773),
    [anon_sym_BSLASHva] = ACTIONS(2773),
    [anon_sym_BSLASHvp] = ACTIONS(2773),
    [anon_sym_BSLASHc] = ACTIONS(2773),
    [anon_sym_BSLASHcl] = ACTIONS(2773),
    [anon_sym_BSLASHca] = ACTIONS(2773),
    [anon_sym_BSLASHcp] = ACTIONS(2773),
    [anon_sym_BSLASHcd] = ACTIONS(2773),
    [anon_sym_BSLASHmte] = ACTIONS(2773),
    [anon_sym_BSLASHms] = ACTIONS(2773),
    [anon_sym_BSLASHmr] = ACTIONS(2773),
    [anon_sym_BSLASHs] = ACTIONS(2773),
    [anon_sym_BSLASHsr] = ACTIONS(2773),
    [anon_sym_BSLASHr] = ACTIONS(2773),
    [anon_sym_BSLASHsp] = ACTIONS(2773),
    [anon_sym_BSLASHd] = ACTIONS(2773),
    [anon_sym_BSLASHsd] = ACTIONS(2773),
    [anon_sym_BSLASHp] = ACTIONS(2773),
    [anon_sym_BSLASHm] = ACTIONS(2773),
    [anon_sym_BSLASHpo] = ACTIONS(2773),
    [anon_sym_BSLASHpr] = ACTIONS(2773),
    [anon_sym_BSLASHcls] = ACTIONS(2773),
    [anon_sym_BSLASHpmo] = ACTIONS(2773),
    [anon_sym_BSLASHpm] = ACTIONS(2773),
    [anon_sym_BSLASHpmc] = ACTIONS(2773),
    [anon_sym_BSLASHpmr] = ACTIONS(2773),
    [anon_sym_BSLASHpi] = ACTIONS(2773),
    [anon_sym_BSLASHmi] = ACTIONS(2773),
    [anon_sym_BSLASHnb] = ACTIONS(2773),
    [anon_sym_BSLASHpc] = ACTIONS(2773),
    [anon_sym_BSLASHph] = ACTIONS(2773),
    [anon_sym_BSLASHb] = ACTIONS(2773),
    [anon_sym_BSLASHq] = ACTIONS(2773),
    [anon_sym_BSLASHqr] = ACTIONS(2773),
    [anon_sym_BSLASHqc] = ACTIONS(2773),
    [anon_sym_BSLASHqa] = ACTIONS(2773),
    [anon_sym_BSLASHqm] = ACTIONS(2773),
    [anon_sym_BSLASHqd] = ACTIONS(2773),
    [anon_sym_BSLASHlh] = ACTIONS(2773),
    [anon_sym_BSLASHlf] = ACTIONS(2773),
    [anon_sym_BSLASHli] = ACTIONS(2773),
    [anon_sym_BSLASHlim] = ACTIONS(2773),
    [anon_sym_BSLASHliv] = ACTIONS(2773),
    [anon_sym_BSLASHlik] = ACTIONS(2773),
    [anon_sym_BSLASHlitl] = ACTIONS(2773),
    [anon_sym_BSLASHtr] = ACTIONS(2773),
    [anon_sym_BSLASHf] = ACTIONS(2773),
    [anon_sym_BSLASHfe] = ACTIONS(2773),
    [anon_sym_BSLASHef] = ACTIONS(2773),
    [anon_sym_BSLASHfm] = ACTIONS(2773),
    [anon_sym_BSLASHx] = ACTIONS(2773),
    [anon_sym_BSLASHxt] = ACTIONS(2773),
    [anon_sym_BSLASHrq] = ACTIONS(2773),
    [anon_sym_BSLASHadd] = ACTIONS(2773),
    [anon_sym_BSLASHbk] = ACTIONS(2773),
    [anon_sym_BSLASHdc] = ACTIONS(2773),
    [anon_sym_BSLASHk] = ACTIONS(2773),
    [anon_sym_BSLASHnd] = ACTIONS(2773),
    [anon_sym_BSLASHord] = ACTIONS(2773),
    [anon_sym_BSLASHpn] = ACTIONS(2773),
    [anon_sym_BSLASHpng] = ACTIONS(2773),
    [anon_sym_BSLASHaddpn] = ACTIONS(2773),
    [anon_sym_BSLASHqt] = ACTIONS(2773),
    [anon_sym_BSLASHsig] = ACTIONS(2773),
    [anon_sym_BSLASHsls] = ACTIONS(2773),
    [anon_sym_BSLASHtl] = ACTIONS(2773),
    [anon_sym_BSLASHwj] = ACTIONS(2773),
    [anon_sym_BSLASHem] = ACTIONS(2773),
    [anon_sym_BSLASHbd] = ACTIONS(2773),
    [anon_sym_BSLASHit] = ACTIONS(2773),
    [anon_sym_BSLASHbdit] = ACTIONS(2773),
    [anon_sym_BSLASHno] = ACTIONS(2773),
    [anon_sym_BSLASHsc] = ACTIONS(2773),
    [anon_sym_BSLASHsup] = ACTIONS(2773),
    [anon_sym_BSLASHndx] = ACTIONS(2773),
    [anon_sym_BSLASHpro] = ACTIONS(2773),
    [anon_sym_BSLASHrb] = ACTIONS(2773),
    [anon_sym_BSLASHw] = ACTIONS(2773),
    [anon_sym_BSLASHwg] = ACTIONS(2773),
    [anon_sym_BSLASHwh] = ACTIONS(2773),
    [anon_sym_BSLASHwa] = ACTIONS(2773),
    [anon_sym_BSLASHfig] = ACTIONS(2773),
    [anon_sym_BSLASHjmp] = ACTIONS(2773),
    [anon_sym_BSLASHpb] = ACTIONS(2773),
    [anon_sym_BSLASH] = ACTIONS(2773),
    [sym_milestoneStartTag] = ACTIONS(2773),
    [sym_milestoneEndTag] = ACTIONS(2773),
    [sym_zSpaceTag] = ACTIONS(2773),
    [anon_sym_BSLASHesb] = ACTIONS(2773),
  },
  [404] = {
    [sym_text] = STATE(347),
    [sym_ref] = STATE(347),
    [aux_sym__introText] = STATE(347),
    [sym_iqt] = STATE(347),
    [sym_xt_standalone] = STATE(347),
    [sym_add] = STATE(347),
    [sym_bk] = STATE(347),
    [sym_dc] = STATE(347),
    [sym_k] = STATE(347),
    [sym_nd] = STATE(347),
    [sym_ord] = STATE(347),
    [sym_pn] = STATE(347),
    [sym_png] = STATE(347),
    [sym_addpn] = STATE(347),
    [sym_qt] = STATE(347),
    [sym_sig] = STATE(347),
    [sym_sls] = STATE(347),
    [sym_tl] = STATE(347),
    [sym_wj] = STATE(347),
    [sym_em] = STATE(347),
    [sym_bd] = STATE(347),
    [sym_it] = STATE(347),
    [sym_bdit] = STATE(347),
    [sym_no] = STATE(347),
    [sym_sc] = STATE(347),
    [sym_sup] = STATE(347),
    [sym_ndx] = STATE(347),
    [sym_pro] = STATE(347),
    [sym_rb] = STATE(347),
    [sym_w] = STATE(347),
    [sym_wg] = STATE(347),
    [sym_wh] = STATE(347),
    [sym_wa] = STATE(347),
    [sym__characterMarker] = STATE(347),
    [sym_fig] = STATE(347),
    [sym_jmp] = STATE(347),
    [ts_builtin_sym_end] = ACTIONS(5292),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHsts] = ACTIONS(5294),
    [anon_sym_BSLASHrem] = ACTIONS(5294),
    [anon_sym_BSLASHrestore] = ACTIONS(5294),
    [anon_sym_BSLASHlit] = ACTIONS(5294),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHimt] = ACTIONS(5294),
    [anon_sym_BSLASHimte] = ACTIONS(5294),
    [anon_sym_BSLASHis] = ACTIONS(5294),
    [anon_sym_BSLASHio] = ACTIONS(5294),
    [anon_sym_BSLASHiot] = ACTIONS(5294),
    [anon_sym_BSLASHip] = ACTIONS(5294),
    [anon_sym_BSLASHim] = ACTIONS(5294),
    [anon_sym_BSLASHipi] = ACTIONS(5294),
    [anon_sym_BSLASHimi] = ACTIONS(5294),
    [anon_sym_BSLASHili] = ACTIONS(5294),
    [anon_sym_BSLASHipq] = ACTIONS(5294),
    [anon_sym_BSLASHimq] = ACTIONS(5294),
    [anon_sym_BSLASHipr] = ACTIONS(5294),
    [anon_sym_BSLASHib] = ACTIONS(5294),
    [anon_sym_BSLASHiq] = ACTIONS(5294),
    [anon_sym_BSLASHie] = ACTIONS(5294),
    [anon_sym_BSLASHiex] = ACTIONS(5294),
    [anon_sym_BSLASHc] = ACTIONS(5294),
    [anon_sym_BSLASHcl] = ACTIONS(5294),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
    [anon_sym_BSLASH] = ACTIONS(5294),
    [sym_milestoneStartTag] = ACTIONS(5294),
    [sym_milestoneEndTag] = ACTIONS(5294),
    [sym_zSpaceTag] = ACTIONS(5294),
    [anon_sym_BSLASHesb] = ACTIONS(5294),
  },
  [405] = {
    [sym_text] = STATE(347),
    [sym_ref] = STATE(347),
    [aux_sym__introText] = STATE(347),
    [sym_iqt] = STATE(347),
    [sym_xt_standalone] = STATE(347),
    [sym_add] = STATE(347),
    [sym_bk] = STATE(347),
    [sym_dc] = STATE(347),
    [sym_k] = STATE(347),
    [sym_nd] = STATE(347),
    [sym_ord] = STATE(347),
    [sym_pn] = STATE(347),
    [sym_png] = STATE(347),
    [sym_addpn] = STATE(347),
    [sym_qt] = STATE(347),
    [sym_sig] = STATE(347),
    [sym_sls] = STATE(347),
    [sym_tl] = STATE(347),
    [sym_wj] = STATE(347),
    [sym_em] = STATE(347),
    [sym_bd] = STATE(347),
    [sym_it] = STATE(347),
    [sym_bdit] = STATE(347),
    [sym_no] = STATE(347),
    [sym_sc] = STATE(347),
    [sym_sup] = STATE(347),
    [sym_ndx] = STATE(347),
    [sym_pro] = STATE(347),
    [sym_rb] = STATE(347),
    [sym_w] = STATE(347),
    [sym_wg] = STATE(347),
    [sym_wh] = STATE(347),
    [sym_wa] = STATE(347),
    [sym__characterMarker] = STATE(347),
    [sym_fig] = STATE(347),
    [sym_jmp] = STATE(347),
    [ts_builtin_sym_end] = ACTIONS(5296),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHsts] = ACTIONS(5298),
    [anon_sym_BSLASHrem] = ACTIONS(5298),
    [anon_sym_BSLASHrestore] = ACTIONS(5298),
    [anon_sym_BSLASHlit] = ACTIONS(5298),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHimt] = ACTIONS(5298),
    [anon_sym_BSLASHimte] = ACTIONS(5298),
    [anon_sym_BSLASHis] = ACTIONS(5298),
    [anon_sym_BSLASHio] = ACTIONS(5298),
    [anon_sym_BSLASHiot] = ACTIONS(5298),
    [anon_sym_BSLASHip] = ACTIONS(5298),
    [anon_sym_BSLASHim] = ACTIONS(5298),
    [anon_sym_BSLASHipi] = ACTIONS(5298),
    [anon_sym_BSLASHimi] = ACTIONS(5298),
    [anon_sym_BSLASHili] = ACTIONS(5298),
    [anon_sym_BSLASHipq] = ACTIONS(5298),
    [anon_sym_BSLASHimq] = ACTIONS(5298),
    [anon_sym_BSLASHipr] = ACTIONS(5298),
    [anon_sym_BSLASHib] = ACTIONS(5298),
    [anon_sym_BSLASHiq] = ACTIONS(5298),
    [anon_sym_BSLASHie] = ACTIONS(5298),
    [anon_sym_BSLASHiex] = ACTIONS(5298),
    [anon_sym_BSLASHc] = ACTIONS(5298),
    [anon_sym_BSLASHcl] = ACTIONS(5298),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
    [anon_sym_BSLASH] = ACTIONS(5298),
    [sym_milestoneStartTag] = ACTIONS(5298),
    [sym_milestoneEndTag] = ACTIONS(5298),
    [sym_zSpaceTag] = ACTIONS(5298),
    [anon_sym_BSLASHesb] = ACTIONS(5298),
  },
  [406] = {
    [sym__verseMeta] = STATE(409),
    [sym_va] = STATE(409),
    [sym_vp] = STATE(409),
    [aux_sym_v_repeat1] = STATE(409),
    [ts_builtin_sym_end] = ACTIONS(5234),
    [aux_sym_text_token1] = ACTIONS(5234),
    [anon_sym_BSLASHref] = ACTIONS(5236),
    [anon_sym_BSLASHsts] = ACTIONS(5236),
    [anon_sym_BSLASHrem] = ACTIONS(5236),
    [anon_sym_BSLASHrestore] = ACTIONS(5236),
    [anon_sym_BSLASHlit] = ACTIONS(5236),
    [anon_sym_BSLASHip] = ACTIONS(5236),
    [anon_sym_BSLASHiex] = ACTIONS(5236),
    [anon_sym_BSLASHv] = ACTIONS(5236),
    [anon_sym_BSLASHva] = ACTIONS(524),
    [anon_sym_BSLASHvp] = ACTIONS(526),
    [anon_sym_BSLASHc] = ACTIONS(5236),
    [anon_sym_BSLASHcl] = ACTIONS(5236),
    [anon_sym_BSLASHca] = ACTIONS(5236),
    [anon_sym_BSLASHcp] = ACTIONS(5236),
    [anon_sym_BSLASHcd] = ACTIONS(5236),
    [anon_sym_BSLASHmte] = ACTIONS(5236),
    [anon_sym_BSLASHms] = ACTIONS(5236),
    [anon_sym_BSLASHs] = ACTIONS(5236),
    [anon_sym_BSLASHr] = ACTIONS(5236),
    [anon_sym_BSLASHsp] = ACTIONS(5236),
    [anon_sym_BSLASHd] = ACTIONS(5236),
    [anon_sym_BSLASHsd] = ACTIONS(5236),
    [anon_sym_BSLASHp] = ACTIONS(5236),
    [anon_sym_BSLASHm] = ACTIONS(5236),
    [anon_sym_BSLASHpo] = ACTIONS(5236),
    [anon_sym_BSLASHpr] = ACTIONS(5236),
    [anon_sym_BSLASHcls] = ACTIONS(5236),
    [anon_sym_BSLASHpmo] = ACTIONS(5236),
    [anon_sym_BSLASHpm] = ACTIONS(5236),
    [anon_sym_BSLASHpmc] = ACTIONS(5236),
    [anon_sym_BSLASHpmr] = ACTIONS(5236),
    [anon_sym_BSLASHpi] = ACTIONS(5236),
    [anon_sym_BSLASHmi] = ACTIONS(5236),
    [anon_sym_BSLASHnb] = ACTIONS(5236),
    [anon_sym_BSLASHpc] = ACTIONS(5236),
    [anon_sym_BSLASHph] = ACTIONS(5236),
    [anon_sym_BSLASHb] = ACTIONS(5236),
    [anon_sym_BSLASHq] = ACTIONS(5236),
    [anon_sym_BSLASHqr] = ACTIONS(5236),
    [anon_sym_BSLASHqc] = ACTIONS(5236),
    [anon_sym_BSLASHqs] = ACTIONS(5236),
    [anon_sym_BSLASHqa] = ACTIONS(5236),
    [anon_sym_BSLASHqac] = ACTIONS(5236),
    [anon_sym_BSLASHqm] = ACTIONS(5236),
    [anon_sym_BSLASHqd] = ACTIONS(5236),
    [anon_sym_BSLASHlh] = ACTIONS(5236),
    [anon_sym_BSLASHli] = ACTIONS(5236),
    [anon_sym_BSLASHlim] = ACTIONS(5236),
    [anon_sym_BSLASHtr] = ACTIONS(5236),
    [anon_sym_BSLASHf] = ACTIONS(5236),
    [anon_sym_BSLASHfe] = ACTIONS(5236),
    [anon_sym_BSLASHef] = ACTIONS(5236),
    [anon_sym_BSLASHfm] = ACTIONS(5236),
    [anon_sym_BSLASHx] = ACTIONS(5236),
    [anon_sym_BSLASHxt] = ACTIONS(5236),
    [anon_sym_BSLASHrq] = ACTIONS(5236),
    [anon_sym_BSLASHadd] = ACTIONS(5236),
    [anon_sym_BSLASHbk] = ACTIONS(5236),
    [anon_sym_BSLASHdc] = ACTIONS(5236),
    [anon_sym_BSLASHk] = ACTIONS(5236),
    [anon_sym_BSLASHnd] = ACTIONS(5236),
    [anon_sym_BSLASHord] = ACTIONS(5236),
    [anon_sym_BSLASHpn] = ACTIONS(5236),
    [anon_sym_BSLASHpng] = ACTIONS(5236),
    [anon_sym_BSLASHaddpn] = ACTIONS(5236),
    [anon_sym_BSLASHqt] = ACTIONS(5236),
    [anon_sym_BSLASHsig] = ACTIONS(5236),
    [anon_sym_BSLASHsls] = ACTIONS(5236),
    [anon_sym_BSLASHtl] = ACTIONS(5236),
    [anon_sym_BSLASHwj] = ACTIONS(5236),
    [anon_sym_BSLASHem] = ACTIONS(5236),
    [anon_sym_BSLASHbd] = ACTIONS(5236),
    [anon_sym_BSLASHit] = ACTIONS(5236),
    [anon_sym_BSLASHbdit] = ACTIONS(5236),
    [anon_sym_BSLASHno] = ACTIONS(5236),
    [anon_sym_BSLASHsc] = ACTIONS(5236),
    [anon_sym_BSLASHsup] = ACTIONS(5236),
    [anon_sym_BSLASHndx] = ACTIONS(5236),
    [anon_sym_BSLASHpro] = ACTIONS(5236),
    [anon_sym_BSLASHrb] = ACTIONS(5236),
    [anon_sym_BSLASHw] = ACTIONS(5236),
    [anon_sym_BSLASHwg] = ACTIONS(5236),
    [anon_sym_BSLASHwh] = ACTIONS(5236),
    [anon_sym_BSLASHwa] = ACTIONS(5236),
    [anon_sym_BSLASHfig] = ACTIONS(5236),
    [anon_sym_BSLASHjmp] = ACTIONS(5236),
    [anon_sym_BSLASHpb] = ACTIONS(5236),
    [anon_sym_BSLASH] = ACTIONS(5236),
    [sym_milestoneStartTag] = ACTIONS(5236),
    [sym_milestoneEndTag] = ACTIONS(5236),
    [sym_zSpaceTag] = ACTIONS(5236),
    [anon_sym_BSLASHesb] = ACTIONS(5236),
  },
  [407] = {
    [sym__milestoneAttributes] = STATE(2071),
    [ts_builtin_sym_end] = ACTIONS(5238),
    [aux_sym_text_token1] = ACTIONS(5238),
    [anon_sym_BSLASHref] = ACTIONS(5240),
    [anon_sym_BSLASHsts] = ACTIONS(5240),
    [anon_sym_BSLASHrem] = ACTIONS(5240),
    [anon_sym_BSLASHrestore] = ACTIONS(5240),
    [anon_sym_BSLASHlit] = ACTIONS(5240),
    [anon_sym_BSLASHip] = ACTIONS(5240),
    [anon_sym_BSLASHiex] = ACTIONS(5240),
    [anon_sym_BSLASHv] = ACTIONS(5240),
    [anon_sym_BSLASHva] = ACTIONS(5240),
    [anon_sym_BSLASHvp] = ACTIONS(5240),
    [anon_sym_BSLASHc] = ACTIONS(5240),
    [anon_sym_BSLASHcl] = ACTIONS(5240),
    [anon_sym_BSLASHca] = ACTIONS(5240),
    [anon_sym_BSLASHcp] = ACTIONS(5240),
    [anon_sym_BSLASHcd] = ACTIONS(5240),
    [anon_sym_BSLASHmte] = ACTIONS(5240),
    [anon_sym_BSLASHms] = ACTIONS(5240),
    [anon_sym_BSLASHs] = ACTIONS(5240),
    [anon_sym_BSLASHr] = ACTIONS(5240),
    [anon_sym_BSLASHsp] = ACTIONS(5240),
    [anon_sym_BSLASHd] = ACTIONS(5240),
    [anon_sym_BSLASHsd] = ACTIONS(5240),
    [anon_sym_BSLASHp] = ACTIONS(5240),
    [anon_sym_BSLASHm] = ACTIONS(5240),
    [anon_sym_BSLASHpo] = ACTIONS(5240),
    [anon_sym_BSLASHpr] = ACTIONS(5240),
    [anon_sym_BSLASHcls] = ACTIONS(5240),
    [anon_sym_BSLASHpmo] = ACTIONS(5240),
    [anon_sym_BSLASHpm] = ACTIONS(5240),
    [anon_sym_BSLASHpmc] = ACTIONS(5240),
    [anon_sym_BSLASHpmr] = ACTIONS(5240),
    [anon_sym_BSLASHpi] = ACTIONS(5240),
    [anon_sym_BSLASHmi] = ACTIONS(5240),
    [anon_sym_BSLASHnb] = ACTIONS(5240),
    [anon_sym_BSLASHpc] = ACTIONS(5240),
    [anon_sym_BSLASHph] = ACTIONS(5240),
    [anon_sym_BSLASHb] = ACTIONS(5240),
    [anon_sym_BSLASHq] = ACTIONS(5240),
    [anon_sym_BSLASHqr] = ACTIONS(5240),
    [anon_sym_BSLASHqc] = ACTIONS(5240),
    [anon_sym_BSLASHqs] = ACTIONS(5240),
    [anon_sym_BSLASHqa] = ACTIONS(5240),
    [anon_sym_BSLASHqac] = ACTIONS(5240),
    [anon_sym_BSLASHqm] = ACTIONS(5240),
    [anon_sym_BSLASHqd] = ACTIONS(5240),
    [anon_sym_BSLASHlh] = ACTIONS(5240),
    [anon_sym_BSLASHli] = ACTIONS(5240),
    [anon_sym_BSLASHlim] = ACTIONS(5240),
    [anon_sym_BSLASHtr] = ACTIONS(5240),
    [anon_sym_BSLASHf] = ACTIONS(5240),
    [anon_sym_BSLASHfe] = ACTIONS(5240),
    [anon_sym_BSLASHef] = ACTIONS(5240),
    [anon_sym_BSLASHfm] = ACTIONS(5240),
    [anon_sym_BSLASHx] = ACTIONS(5240),
    [anon_sym_BSLASHxt] = ACTIONS(5240),
    [anon_sym_BSLASHrq] = ACTIONS(5240),
    [anon_sym_BSLASHadd] = ACTIONS(5240),
    [anon_sym_BSLASHbk] = ACTIONS(5240),
    [anon_sym_BSLASHdc] = ACTIONS(5240),
    [anon_sym_BSLASHk] = ACTIONS(5240),
    [anon_sym_BSLASHnd] = ACTIONS(5240),
    [anon_sym_BSLASHord] = ACTIONS(5240),
    [anon_sym_BSLASHpn] = ACTIONS(5240),
    [anon_sym_BSLASHpng] = ACTIONS(5240),
    [anon_sym_BSLASHaddpn] = ACTIONS(5240),
    [anon_sym_BSLASHqt] = ACTIONS(5240),
    [anon_sym_BSLASHsig] = ACTIONS(5240),
    [anon_sym_BSLASHsls] = ACTIONS(5240),
    [anon_sym_BSLASHtl] = ACTIONS(5240),
    [anon_sym_BSLASHwj] = ACTIONS(5240),
    [anon_sym_BSLASHem] = ACTIONS(5240),
    [anon_sym_BSLASHbd] = ACTIONS(5240),
    [anon_sym_BSLASHit] = ACTIONS(5240),
    [anon_sym_BSLASHbdit] = ACTIONS(5240),
    [anon_sym_BSLASHno] = ACTIONS(5240),
    [anon_sym_BSLASHsc] = ACTIONS(5240),
    [anon_sym_BSLASHsup] = ACTIONS(5240),
    [anon_sym_BSLASHndx] = ACTIONS(5240),
    [anon_sym_BSLASHpro] = ACTIONS(5240),
    [anon_sym_BSLASHrb] = ACTIONS(5240),
    [anon_sym_BSLASHw] = ACTIONS(5240),
    [anon_sym_BSLASHwg] = ACTIONS(5240),
    [anon_sym_BSLASHwh] = ACTIONS(5240),
    [anon_sym_BSLASHwa] = ACTIONS(5240),
    [anon_sym_BSLASHfig] = ACTIONS(5240),
    [anon_sym_BSLASHjmp] = ACTIONS(5240),
    [anon_sym_BSLASHpb] = ACTIONS(5240),
    [anon_sym_BSLASH] = ACTIONS(5240),
    [anon_sym_BSLASH_STAR] = ACTIONS(5300),
    [sym_milestoneStartTag] = ACTIONS(5240),
    [sym_milestoneEndTag] = ACTIONS(5240),
    [sym_zSpaceTag] = ACTIONS(5240),
    [sym__zSpaceClose] = ACTIONS(5302),
    [anon_sym_BSLASHesb] = ACTIONS(5240),
    [anon_sym_PIPE] = ACTIONS(5120),
  },
  [408] = {
    [ts_builtin_sym_end] = ACTIONS(57),
    [aux_sym_text_token1] = ACTIONS(57),
    [anon_sym_BSLASHref] = ACTIONS(59),
    [anon_sym_BSLASHsts] = ACTIONS(59),
    [anon_sym_BSLASHrem] = ACTIONS(59),
    [anon_sym_BSLASHrestore] = ACTIONS(59),
    [anon_sym_BSLASHlit] = ACTIONS(59),
    [anon_sym_BSLASHip] = ACTIONS(59),
    [anon_sym_BSLASHiex] = ACTIONS(59),
    [anon_sym_BSLASHv] = ACTIONS(59),
    [anon_sym_BSLASHva] = ACTIONS(59),
    [anon_sym_BSLASHvp] = ACTIONS(59),
    [anon_sym_BSLASHc] = ACTIONS(59),
    [anon_sym_BSLASHcl] = ACTIONS(59),
    [anon_sym_BSLASHca] = ACTIONS(59),
    [anon_sym_BSLASHcp] = ACTIONS(59),
    [anon_sym_BSLASHcd] = ACTIONS(59),
    [anon_sym_BSLASHmte] = ACTIONS(59),
    [anon_sym_BSLASHms] = ACTIONS(59),
    [anon_sym_BSLASHmr] = ACTIONS(59),
    [anon_sym_BSLASHs] = ACTIONS(59),
    [anon_sym_BSLASHsr] = ACTIONS(59),
    [anon_sym_BSLASHr] = ACTIONS(59),
    [anon_sym_BSLASHsp] = ACTIONS(59),
    [anon_sym_BSLASHd] = ACTIONS(59),
    [anon_sym_BSLASHsd] = ACTIONS(59),
    [anon_sym_BSLASHp] = ACTIONS(59),
    [anon_sym_BSLASHm] = ACTIONS(59),
    [anon_sym_BSLASHpo] = ACTIONS(59),
    [anon_sym_BSLASHpr] = ACTIONS(59),
    [anon_sym_BSLASHcls] = ACTIONS(59),
    [anon_sym_BSLASHpmo] = ACTIONS(59),
    [anon_sym_BSLASHpm] = ACTIONS(59),
    [anon_sym_BSLASHpmc] = ACTIONS(59),
    [anon_sym_BSLASHpmr] = ACTIONS(59),
    [anon_sym_BSLASHpi] = ACTIONS(59),
    [anon_sym_BSLASHmi] = ACTIONS(59),
    [anon_sym_BSLASHnb] = ACTIONS(59),
    [anon_sym_BSLASHpc] = ACTIONS(59),
    [anon_sym_BSLASHph] = ACTIONS(59),
    [anon_sym_BSLASHb] = ACTIONS(59),
    [anon_sym_BSLASHq] = ACTIONS(59),
    [anon_sym_BSLASHqr] = ACTIONS(59),
    [anon_sym_BSLASHqc] = ACTIONS(59),
    [anon_sym_BSLASHqa] = ACTIONS(59),
    [anon_sym_BSLASHqm] = ACTIONS(59),
    [anon_sym_BSLASHqd] = ACTIONS(59),
    [anon_sym_BSLASHlh] = ACTIONS(59),
    [anon_sym_BSLASHlf] = ACTIONS(59),
    [anon_sym_BSLASHli] = ACTIONS(59),
    [anon_sym_BSLASHlim] = ACTIONS(59),
    [anon_sym_BSLASHliv] = ACTIONS(59),
    [anon_sym_BSLASHlik] = ACTIONS(59),
    [anon_sym_BSLASHlitl] = ACTIONS(59),
    [anon_sym_BSLASHtr] = ACTIONS(59),
    [anon_sym_BSLASHf] = ACTIONS(59),
    [anon_sym_BSLASHfe] = ACTIONS(59),
    [anon_sym_BSLASHef] = ACTIONS(59),
    [anon_sym_BSLASHfm] = ACTIONS(59),
    [anon_sym_BSLASHx] = ACTIONS(59),
    [anon_sym_BSLASHxt] = ACTIONS(59),
    [anon_sym_BSLASHrq] = ACTIONS(59),
    [anon_sym_BSLASHadd] = ACTIONS(59),
    [anon_sym_BSLASHbk] = ACTIONS(59),
    [anon_sym_BSLASHdc] = ACTIONS(59),
    [anon_sym_BSLASHk] = ACTIONS(59),
    [anon_sym_BSLASHnd] = ACTIONS(59),
    [anon_sym_BSLASHord] = ACTIONS(59),
    [anon_sym_BSLASHpn] = ACTIONS(59),
    [anon_sym_BSLASHpng] = ACTIONS(59),
    [anon_sym_BSLASHaddpn] = ACTIONS(59),
    [anon_sym_BSLASHqt] = ACTIONS(59),
    [anon_sym_BSLASHsig] = ACTIONS(59),
    [anon_sym_BSLASHsls] = ACTIONS(59),
    [anon_sym_BSLASHtl] = ACTIONS(59),
    [anon_sym_BSLASHwj] = ACTIONS(59),
    [anon_sym_BSLASHem] = ACTIONS(59),
    [anon_sym_BSLASHbd] = ACTIONS(59),
    [anon_sym_BSLASHit] = ACTIONS(59),
    [anon_sym_BSLASHbdit] = ACTIONS(59),
    [anon_sym_BSLASHno] = ACTIONS(59),
    [anon_sym_BSLASHsc] = ACTIONS(59),
    [anon_sym_BSLASHsup] = ACTIONS(59),
    [anon_sym_BSLASHndx] = ACTIONS(59),
    [anon_sym_BSLASHpro] = ACTIONS(59),
    [anon_sym_BSLASHrb] = ACTIONS(59),
    [anon_sym_BSLASHw] = ACTIONS(59),
    [anon_sym_BSLASHwg] = ACTIONS(59),
    [anon_sym_BSLASHwh] = ACTIONS(59),
    [anon_sym_BSLASHwa] = ACTIONS(59),
    [anon_sym_BSLASHfig] = ACTIONS(59),
    [anon_sym_BSLASHjmp] = ACTIONS(59),
    [anon_sym_BSLASHpb] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(59),
    [sym_milestoneStartTag] = ACTIONS(59),
    [sym_milestoneEndTag] = ACTIONS(59),
    [sym_zSpaceTag] = ACTIONS(59),
    [anon_sym_BSLASHesb] = ACTIONS(59),
  },
  [409] = {
    [sym__verseMeta] = STATE(409),
    [sym_va] = STATE(409),
    [sym_vp] = STATE(409),
    [aux_sym_v_repeat1] = STATE(409),
    [ts_builtin_sym_end] = ACTIONS(5122),
    [aux_sym_text_token1] = ACTIONS(5122),
    [anon_sym_BSLASHref] = ACTIONS(5124),
    [anon_sym_BSLASHsts] = ACTIONS(5124),
    [anon_sym_BSLASHrem] = ACTIONS(5124),
    [anon_sym_BSLASHrestore] = ACTIONS(5124),
    [anon_sym_BSLASHlit] = ACTIONS(5124),
    [anon_sym_BSLASHip] = ACTIONS(5124),
    [anon_sym_BSLASHiex] = ACTIONS(5124),
    [anon_sym_BSLASHv] = ACTIONS(5124),
    [anon_sym_BSLASHva] = ACTIONS(5304),
    [anon_sym_BSLASHvp] = ACTIONS(5307),
    [anon_sym_BSLASHc] = ACTIONS(5124),
    [anon_sym_BSLASHcl] = ACTIONS(5124),
    [anon_sym_BSLASHca] = ACTIONS(5124),
    [anon_sym_BSLASHcp] = ACTIONS(5124),
    [anon_sym_BSLASHcd] = ACTIONS(5124),
    [anon_sym_BSLASHmte] = ACTIONS(5124),
    [anon_sym_BSLASHms] = ACTIONS(5124),
    [anon_sym_BSLASHs] = ACTIONS(5124),
    [anon_sym_BSLASHr] = ACTIONS(5124),
    [anon_sym_BSLASHsp] = ACTIONS(5124),
    [anon_sym_BSLASHd] = ACTIONS(5124),
    [anon_sym_BSLASHsd] = ACTIONS(5124),
    [anon_sym_BSLASHp] = ACTIONS(5124),
    [anon_sym_BSLASHm] = ACTIONS(5124),
    [anon_sym_BSLASHpo] = ACTIONS(5124),
    [anon_sym_BSLASHpr] = ACTIONS(5124),
    [anon_sym_BSLASHcls] = ACTIONS(5124),
    [anon_sym_BSLASHpmo] = ACTIONS(5124),
    [anon_sym_BSLASHpm] = ACTIONS(5124),
    [anon_sym_BSLASHpmc] = ACTIONS(5124),
    [anon_sym_BSLASHpmr] = ACTIONS(5124),
    [anon_sym_BSLASHpi] = ACTIONS(5124),
    [anon_sym_BSLASHmi] = ACTIONS(5124),
    [anon_sym_BSLASHnb] = ACTIONS(5124),
    [anon_sym_BSLASHpc] = ACTIONS(5124),
    [anon_sym_BSLASHph] = ACTIONS(5124),
    [anon_sym_BSLASHb] = ACTIONS(5124),
    [anon_sym_BSLASHq] = ACTIONS(5124),
    [anon_sym_BSLASHqr] = ACTIONS(5124),
    [anon_sym_BSLASHqc] = ACTIONS(5124),
    [anon_sym_BSLASHqs] = ACTIONS(5124),
    [anon_sym_BSLASHqa] = ACTIONS(5124),
    [anon_sym_BSLASHqac] = ACTIONS(5124),
    [anon_sym_BSLASHqm] = ACTIONS(5124),
    [anon_sym_BSLASHqd] = ACTIONS(5124),
    [anon_sym_BSLASHlh] = ACTIONS(5124),
    [anon_sym_BSLASHli] = ACTIONS(5124),
    [anon_sym_BSLASHlim] = ACTIONS(5124),
    [anon_sym_BSLASHtr] = ACTIONS(5124),
    [anon_sym_BSLASHf] = ACTIONS(5124),
    [anon_sym_BSLASHfe] = ACTIONS(5124),
    [anon_sym_BSLASHef] = ACTIONS(5124),
    [anon_sym_BSLASHfm] = ACTIONS(5124),
    [anon_sym_BSLASHx] = ACTIONS(5124),
    [anon_sym_BSLASHxt] = ACTIONS(5124),
    [anon_sym_BSLASHrq] = ACTIONS(5124),
    [anon_sym_BSLASHadd] = ACTIONS(5124),
    [anon_sym_BSLASHbk] = ACTIONS(5124),
    [anon_sym_BSLASHdc] = ACTIONS(5124),
    [anon_sym_BSLASHk] = ACTIONS(5124),
    [anon_sym_BSLASHnd] = ACTIONS(5124),
    [anon_sym_BSLASHord] = ACTIONS(5124),
    [anon_sym_BSLASHpn] = ACTIONS(5124),
    [anon_sym_BSLASHpng] = ACTIONS(5124),
    [anon_sym_BSLASHaddpn] = ACTIONS(5124),
    [anon_sym_BSLASHqt] = ACTIONS(5124),
    [anon_sym_BSLASHsig] = ACTIONS(5124),
    [anon_sym_BSLASHsls] = ACTIONS(5124),
    [anon_sym_BSLASHtl] = ACTIONS(5124),
    [anon_sym_BSLASHwj] = ACTIONS(5124),
    [anon_sym_BSLASHem] = ACTIONS(5124),
    [anon_sym_BSLASHbd] = ACTIONS(5124),
    [anon_sym_BSLASHit] = ACTIONS(5124),
    [anon_sym_BSLASHbdit] = ACTIONS(5124),
    [anon_sym_BSLASHno] = ACTIONS(5124),
    [anon_sym_BSLASHsc] = ACTIONS(5124),
    [anon_sym_BSLASHsup] = ACTIONS(5124),
    [anon_sym_BSLASHndx] = ACTIONS(5124),
    [anon_sym_BSLASHpro] = ACTIONS(5124),
    [anon_sym_BSLASHrb] = ACTIONS(5124),
    [anon_sym_BSLASHw] = ACTIONS(5124),
    [anon_sym_BSLASHwg] = ACTIONS(5124),
    [anon_sym_BSLASHwh] = ACTIONS(5124),
    [anon_sym_BSLASHwa] = ACTIONS(5124),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5124),
    [anon_sym_BSLASHpb] = ACTIONS(5124),
    [anon_sym_BSLASH] = ACTIONS(5124),
    [sym_milestoneStartTag] = ACTIONS(5124),
    [sym_milestoneEndTag] = ACTIONS(5124),
    [sym_zSpaceTag] = ACTIONS(5124),
    [anon_sym_BSLASHesb] = ACTIONS(5124),
  },
  [410] = {
    [ts_builtin_sym_end] = ACTIONS(29),
    [aux_sym_text_token1] = ACTIONS(29),
    [anon_sym_BSLASHref] = ACTIONS(31),
    [anon_sym_BSLASHsts] = ACTIONS(31),
    [anon_sym_BSLASHrem] = ACTIONS(31),
    [anon_sym_BSLASHrestore] = ACTIONS(31),
    [anon_sym_BSLASHlit] = ACTIONS(31),
    [anon_sym_BSLASHip] = ACTIONS(31),
    [anon_sym_BSLASHiex] = ACTIONS(31),
    [anon_sym_BSLASHv] = ACTIONS(31),
    [anon_sym_BSLASHva] = ACTIONS(31),
    [anon_sym_BSLASHvp] = ACTIONS(31),
    [anon_sym_BSLASHc] = ACTIONS(31),
    [anon_sym_BSLASHcl] = ACTIONS(31),
    [anon_sym_BSLASHca] = ACTIONS(31),
    [anon_sym_BSLASHcp] = ACTIONS(31),
    [anon_sym_BSLASHcd] = ACTIONS(31),
    [anon_sym_BSLASHmte] = ACTIONS(31),
    [anon_sym_BSLASHms] = ACTIONS(31),
    [anon_sym_BSLASHmr] = ACTIONS(31),
    [anon_sym_BSLASHs] = ACTIONS(31),
    [anon_sym_BSLASHsr] = ACTIONS(31),
    [anon_sym_BSLASHr] = ACTIONS(31),
    [anon_sym_BSLASHsp] = ACTIONS(31),
    [anon_sym_BSLASHd] = ACTIONS(31),
    [anon_sym_BSLASHsd] = ACTIONS(31),
    [anon_sym_BSLASHp] = ACTIONS(31),
    [anon_sym_BSLASHm] = ACTIONS(31),
    [anon_sym_BSLASHpo] = ACTIONS(31),
    [anon_sym_BSLASHpr] = ACTIONS(31),
    [anon_sym_BSLASHcls] = ACTIONS(31),
    [anon_sym_BSLASHpmo] = ACTIONS(31),
    [anon_sym_BSLASHpm] = ACTIONS(31),
    [anon_sym_BSLASHpmc] = ACTIONS(31),
    [anon_sym_BSLASHpmr] = ACTIONS(31),
    [anon_sym_BSLASHpi] = ACTIONS(31),
    [anon_sym_BSLASHmi] = ACTIONS(31),
    [anon_sym_BSLASHnb] = ACTIONS(31),
    [anon_sym_BSLASHpc] = ACTIONS(31),
    [anon_sym_BSLASHph] = ACTIONS(31),
    [anon_sym_BSLASHb] = ACTIONS(31),
    [anon_sym_BSLASHq] = ACTIONS(31),
    [anon_sym_BSLASHqr] = ACTIONS(31),
    [anon_sym_BSLASHqc] = ACTIONS(31),
    [anon_sym_BSLASHqa] = ACTIONS(31),
    [anon_sym_BSLASHqm] = ACTIONS(31),
    [anon_sym_BSLASHqd] = ACTIONS(31),
    [anon_sym_BSLASHlh] = ACTIONS(31),
    [anon_sym_BSLASHlf] = ACTIONS(31),
    [anon_sym_BSLASHli] = ACTIONS(31),
    [anon_sym_BSLASHlim] = ACTIONS(31),
    [anon_sym_BSLASHliv] = ACTIONS(31),
    [anon_sym_BSLASHlik] = ACTIONS(31),
    [anon_sym_BSLASHlitl] = ACTIONS(31),
    [anon_sym_BSLASHtr] = ACTIONS(31),
    [anon_sym_BSLASHf] = ACTIONS(31),
    [anon_sym_BSLASHfe] = ACTIONS(31),
    [anon_sym_BSLASHef] = ACTIONS(31),
    [anon_sym_BSLASHfm] = ACTIONS(31),
    [anon_sym_BSLASHx] = ACTIONS(31),
    [anon_sym_BSLASHxt] = ACTIONS(31),
    [anon_sym_BSLASHrq] = ACTIONS(31),
    [anon_sym_BSLASHadd] = ACTIONS(31),
    [anon_sym_BSLASHbk] = ACTIONS(31),
    [anon_sym_BSLASHdc] = ACTIONS(31),
    [anon_sym_BSLASHk] = ACTIONS(31),
    [anon_sym_BSLASHnd] = ACTIONS(31),
    [anon_sym_BSLASHord] = ACTIONS(31),
    [anon_sym_BSLASHpn] = ACTIONS(31),
    [anon_sym_BSLASHpng] = ACTIONS(31),
    [anon_sym_BSLASHaddpn] = ACTIONS(31),
    [anon_sym_BSLASHqt] = ACTIONS(31),
    [anon_sym_BSLASHsig] = ACTIONS(31),
    [anon_sym_BSLASHsls] = ACTIONS(31),
    [anon_sym_BSLASHtl] = ACTIONS(31),
    [anon_sym_BSLASHwj] = ACTIONS(31),
    [anon_sym_BSLASHem] = ACTIONS(31),
    [anon_sym_BSLASHbd] = ACTIONS(31),
    [anon_sym_BSLASHit] = ACTIONS(31),
    [anon_sym_BSLASHbdit] = ACTIONS(31),
    [anon_sym_BSLASHno] = ACTIONS(31),
    [anon_sym_BSLASHsc] = ACTIONS(31),
    [anon_sym_BSLASHsup] = ACTIONS(31),
    [anon_sym_BSLASHndx] = ACTIONS(31),
    [anon_sym_BSLASHpro] = ACTIONS(31),
    [anon_sym_BSLASHrb] = ACTIONS(31),
    [anon_sym_BSLASHw] = ACTIONS(31),
    [anon_sym_BSLASHwg] = ACTIONS(31),
    [anon_sym_BSLASHwh] = ACTIONS(31),
    [anon_sym_BSLASHwa] = ACTIONS(31),
    [anon_sym_BSLASHfig] = ACTIONS(31),
    [anon_sym_BSLASHjmp] = ACTIONS(31),
    [anon_sym_BSLASHpb] = ACTIONS(31),
    [anon_sym_BSLASH] = ACTIONS(31),
    [sym_milestoneStartTag] = ACTIONS(31),
    [sym_milestoneEndTag] = ACTIONS(31),
    [sym_zSpaceTag] = ACTIONS(31),
    [anon_sym_BSLASHesb] = ACTIONS(31),
  },
  [411] = {
    [ts_builtin_sym_end] = ACTIONS(65),
    [aux_sym_text_token1] = ACTIONS(65),
    [anon_sym_BSLASHref] = ACTIONS(67),
    [anon_sym_BSLASHsts] = ACTIONS(67),
    [anon_sym_BSLASHrem] = ACTIONS(67),
    [anon_sym_BSLASHrestore] = ACTIONS(67),
    [anon_sym_BSLASHlit] = ACTIONS(67),
    [anon_sym_BSLASHip] = ACTIONS(67),
    [anon_sym_BSLASHiex] = ACTIONS(67),
    [anon_sym_BSLASHv] = ACTIONS(67),
    [anon_sym_BSLASHva] = ACTIONS(67),
    [anon_sym_BSLASHvp] = ACTIONS(67),
    [anon_sym_BSLASHc] = ACTIONS(67),
    [anon_sym_BSLASHcl] = ACTIONS(67),
    [anon_sym_BSLASHca] = ACTIONS(67),
    [anon_sym_BSLASHcp] = ACTIONS(67),
    [anon_sym_BSLASHcd] = ACTIONS(67),
    [anon_sym_BSLASHmte] = ACTIONS(67),
    [anon_sym_BSLASHms] = ACTIONS(67),
    [anon_sym_BSLASHmr] = ACTIONS(67),
    [anon_sym_BSLASHs] = ACTIONS(67),
    [anon_sym_BSLASHsr] = ACTIONS(67),
    [anon_sym_BSLASHr] = ACTIONS(67),
    [anon_sym_BSLASHsp] = ACTIONS(67),
    [anon_sym_BSLASHd] = ACTIONS(67),
    [anon_sym_BSLASHsd] = ACTIONS(67),
    [anon_sym_BSLASHp] = ACTIONS(67),
    [anon_sym_BSLASHm] = ACTIONS(67),
    [anon_sym_BSLASHpo] = ACTIONS(67),
    [anon_sym_BSLASHpr] = ACTIONS(67),
    [anon_sym_BSLASHcls] = ACTIONS(67),
    [anon_sym_BSLASHpmo] = ACTIONS(67),
    [anon_sym_BSLASHpm] = ACTIONS(67),
    [anon_sym_BSLASHpmc] = ACTIONS(67),
    [anon_sym_BSLASHpmr] = ACTIONS(67),
    [anon_sym_BSLASHpi] = ACTIONS(67),
    [anon_sym_BSLASHmi] = ACTIONS(67),
    [anon_sym_BSLASHnb] = ACTIONS(67),
    [anon_sym_BSLASHpc] = ACTIONS(67),
    [anon_sym_BSLASHph] = ACTIONS(67),
    [anon_sym_BSLASHb] = ACTIONS(67),
    [anon_sym_BSLASHq] = ACTIONS(67),
    [anon_sym_BSLASHqr] = ACTIONS(67),
    [anon_sym_BSLASHqc] = ACTIONS(67),
    [anon_sym_BSLASHqa] = ACTIONS(67),
    [anon_sym_BSLASHqm] = ACTIONS(67),
    [anon_sym_BSLASHqd] = ACTIONS(67),
    [anon_sym_BSLASHlh] = ACTIONS(67),
    [anon_sym_BSLASHlf] = ACTIONS(67),
    [anon_sym_BSLASHli] = ACTIONS(67),
    [anon_sym_BSLASHlim] = ACTIONS(67),
    [anon_sym_BSLASHliv] = ACTIONS(67),
    [anon_sym_BSLASHlik] = ACTIONS(67),
    [anon_sym_BSLASHlitl] = ACTIONS(67),
    [anon_sym_BSLASHtr] = ACTIONS(67),
    [anon_sym_BSLASHf] = ACTIONS(67),
    [anon_sym_BSLASHfe] = ACTIONS(67),
    [anon_sym_BSLASHef] = ACTIONS(67),
    [anon_sym_BSLASHfm] = ACTIONS(67),
    [anon_sym_BSLASHx] = ACTIONS(67),
    [anon_sym_BSLASHxt] = ACTIONS(67),
    [anon_sym_BSLASHrq] = ACTIONS(67),
    [anon_sym_BSLASHadd] = ACTIONS(67),
    [anon_sym_BSLASHbk] = ACTIONS(67),
    [anon_sym_BSLASHdc] = ACTIONS(67),
    [anon_sym_BSLASHk] = ACTIONS(67),
    [anon_sym_BSLASHnd] = ACTIONS(67),
    [anon_sym_BSLASHord] = ACTIONS(67),
    [anon_sym_BSLASHpn] = ACTIONS(67),
    [anon_sym_BSLASHpng] = ACTIONS(67),
    [anon_sym_BSLASHaddpn] = ACTIONS(67),
    [anon_sym_BSLASHqt] = ACTIONS(67),
    [anon_sym_BSLASHsig] = ACTIONS(67),
    [anon_sym_BSLASHsls] = ACTIONS(67),
    [anon_sym_BSLASHtl] = ACTIONS(67),
    [anon_sym_BSLASHwj] = ACTIONS(67),
    [anon_sym_BSLASHem] = ACTIONS(67),
    [anon_sym_BSLASHbd] = ACTIONS(67),
    [anon_sym_BSLASHit] = ACTIONS(67),
    [anon_sym_BSLASHbdit] = ACTIONS(67),
    [anon_sym_BSLASHno] = ACTIONS(67),
    [anon_sym_BSLASHsc] = ACTIONS(67),
    [anon_sym_BSLASHsup] = ACTIONS(67),
    [anon_sym_BSLASHndx] = ACTIONS(67),
    [anon_sym_BSLASHpro] = ACTIONS(67),
    [anon_sym_BSLASHrb] = ACTIONS(67),
    [anon_sym_BSLASHw] = ACTIONS(67),
    [anon_sym_BSLASHwg] = ACTIONS(67),
    [anon_sym_BSLASHwh] = ACTIONS(67),
    [anon_sym_BSLASHwa] = ACTIONS(67),
    [anon_sym_BSLASHfig] = ACTIONS(67),
    [anon_sym_BSLASHjmp] = ACTIONS(67),
    [anon_sym_BSLASHpb] = ACTIONS(67),
    [anon_sym_BSLASH] = ACTIONS(67),
    [sym_milestoneStartTag] = ACTIONS(67),
    [sym_milestoneEndTag] = ACTIONS(67),
    [sym_zSpaceTag] = ACTIONS(67),
    [anon_sym_BSLASHesb] = ACTIONS(67),
  },
  [412] = {
    [sym__verseMeta] = STATE(406),
    [sym_va] = STATE(406),
    [sym_vp] = STATE(406),
    [aux_sym_v_repeat1] = STATE(406),
    [ts_builtin_sym_end] = ACTIONS(5246),
    [aux_sym_text_token1] = ACTIONS(5246),
    [anon_sym_BSLASHref] = ACTIONS(5248),
    [anon_sym_BSLASHsts] = ACTIONS(5248),
    [anon_sym_BSLASHrem] = ACTIONS(5248),
    [anon_sym_BSLASHrestore] = ACTIONS(5248),
    [anon_sym_BSLASHlit] = ACTIONS(5248),
    [anon_sym_BSLASHip] = ACTIONS(5248),
    [anon_sym_BSLASHiex] = ACTIONS(5248),
    [anon_sym_BSLASHv] = ACTIONS(5248),
    [anon_sym_BSLASHva] = ACTIONS(524),
    [anon_sym_BSLASHvp] = ACTIONS(526),
    [anon_sym_BSLASHc] = ACTIONS(5248),
    [anon_sym_BSLASHcl] = ACTIONS(5248),
    [anon_sym_BSLASHca] = ACTIONS(5248),
    [anon_sym_BSLASHcp] = ACTIONS(5248),
    [anon_sym_BSLASHcd] = ACTIONS(5248),
    [anon_sym_BSLASHmte] = ACTIONS(5248),
    [anon_sym_BSLASHms] = ACTIONS(5248),
    [anon_sym_BSLASHs] = ACTIONS(5248),
    [anon_sym_BSLASHr] = ACTIONS(5248),
    [anon_sym_BSLASHsp] = ACTIONS(5248),
    [anon_sym_BSLASHd] = ACTIONS(5248),
    [anon_sym_BSLASHsd] = ACTIONS(5248),
    [anon_sym_BSLASHp] = ACTIONS(5248),
    [anon_sym_BSLASHm] = ACTIONS(5248),
    [anon_sym_BSLASHpo] = ACTIONS(5248),
    [anon_sym_BSLASHpr] = ACTIONS(5248),
    [anon_sym_BSLASHcls] = ACTIONS(5248),
    [anon_sym_BSLASHpmo] = ACTIONS(5248),
    [anon_sym_BSLASHpm] = ACTIONS(5248),
    [anon_sym_BSLASHpmc] = ACTIONS(5248),
    [anon_sym_BSLASHpmr] = ACTIONS(5248),
    [anon_sym_BSLASHpi] = ACTIONS(5248),
    [anon_sym_BSLASHmi] = ACTIONS(5248),
    [anon_sym_BSLASHnb] = ACTIONS(5248),
    [anon_sym_BSLASHpc] = ACTIONS(5248),
    [anon_sym_BSLASHph] = ACTIONS(5248),
    [anon_sym_BSLASHb] = ACTIONS(5248),
    [anon_sym_BSLASHq] = ACTIONS(5248),
    [anon_sym_BSLASHqr] = ACTIONS(5248),
    [anon_sym_BSLASHqc] = ACTIONS(5248),
    [anon_sym_BSLASHqs] = ACTIONS(5248),
    [anon_sym_BSLASHqa] = ACTIONS(5248),
    [anon_sym_BSLASHqac] = ACTIONS(5248),
    [anon_sym_BSLASHqm] = ACTIONS(5248),
    [anon_sym_BSLASHqd] = ACTIONS(5248),
    [anon_sym_BSLASHlh] = ACTIONS(5248),
    [anon_sym_BSLASHli] = ACTIONS(5248),
    [anon_sym_BSLASHlim] = ACTIONS(5248),
    [anon_sym_BSLASHtr] = ACTIONS(5248),
    [anon_sym_BSLASHf] = ACTIONS(5248),
    [anon_sym_BSLASHfe] = ACTIONS(5248),
    [anon_sym_BSLASHef] = ACTIONS(5248),
    [anon_sym_BSLASHfm] = ACTIONS(5248),
    [anon_sym_BSLASHx] = ACTIONS(5248),
    [anon_sym_BSLASHxt] = ACTIONS(5248),
    [anon_sym_BSLASHrq] = ACTIONS(5248),
    [anon_sym_BSLASHadd] = ACTIONS(5248),
    [anon_sym_BSLASHbk] = ACTIONS(5248),
    [anon_sym_BSLASHdc] = ACTIONS(5248),
    [anon_sym_BSLASHk] = ACTIONS(5248),
    [anon_sym_BSLASHnd] = ACTIONS(5248),
    [anon_sym_BSLASHord] = ACTIONS(5248),
    [anon_sym_BSLASHpn] = ACTIONS(5248),
    [anon_sym_BSLASHpng] = ACTIONS(5248),
    [anon_sym_BSLASHaddpn] = ACTIONS(5248),
    [anon_sym_BSLASHqt] = ACTIONS(5248),
    [anon_sym_BSLASHsig] = ACTIONS(5248),
    [anon_sym_BSLASHsls] = ACTIONS(5248),
    [anon_sym_BSLASHtl] = ACTIONS(5248),
    [anon_sym_BSLASHwj] = ACTIONS(5248),
    [anon_sym_BSLASHem] = ACTIONS(5248),
    [anon_sym_BSLASHbd] = ACTIONS(5248),
    [anon_sym_BSLASHit] = ACTIONS(5248),
    [anon_sym_BSLASHbdit] = ACTIONS(5248),
    [anon_sym_BSLASHno] = ACTIONS(5248),
    [anon_sym_BSLASHsc] = ACTIONS(5248),
    [anon_sym_BSLASHsup] = ACTIONS(5248),
    [anon_sym_BSLASHndx] = ACTIONS(5248),
    [anon_sym_BSLASHpro] = ACTIONS(5248),
    [anon_sym_BSLASHrb] = ACTIONS(5248),
    [anon_sym_BSLASHw] = ACTIONS(5248),
    [anon_sym_BSLASHwg] = ACTIONS(5248),
    [anon_sym_BSLASHwh] = ACTIONS(5248),
    [anon_sym_BSLASHwa] = ACTIONS(5248),
    [anon_sym_BSLASHfig] = ACTIONS(5248),
    [anon_sym_BSLASHjmp] = ACTIONS(5248),
    [anon_sym_BSLASHpb] = ACTIONS(5248),
    [anon_sym_BSLASH] = ACTIONS(5248),
    [sym_milestoneStartTag] = ACTIONS(5248),
    [sym_milestoneEndTag] = ACTIONS(5248),
    [sym_zSpaceTag] = ACTIONS(5248),
    [anon_sym_BSLASHesb] = ACTIONS(5248),
  },
  [413] = {
    [ts_builtin_sym_end] = ACTIONS(49),
    [aux_sym_text_token1] = ACTIONS(49),
    [anon_sym_BSLASHref] = ACTIONS(51),
    [anon_sym_BSLASHsts] = ACTIONS(51),
    [anon_sym_BSLASHrem] = ACTIONS(51),
    [anon_sym_BSLASHrestore] = ACTIONS(51),
    [anon_sym_BSLASHlit] = ACTIONS(51),
    [anon_sym_BSLASHip] = ACTIONS(51),
    [anon_sym_BSLASHiex] = ACTIONS(51),
    [anon_sym_BSLASHv] = ACTIONS(51),
    [anon_sym_BSLASHva] = ACTIONS(51),
    [anon_sym_BSLASHvp] = ACTIONS(51),
    [anon_sym_BSLASHc] = ACTIONS(51),
    [anon_sym_BSLASHcl] = ACTIONS(51),
    [anon_sym_BSLASHca] = ACTIONS(51),
    [anon_sym_BSLASHcp] = ACTIONS(51),
    [anon_sym_BSLASHcd] = ACTIONS(51),
    [anon_sym_BSLASHmte] = ACTIONS(51),
    [anon_sym_BSLASHms] = ACTIONS(51),
    [anon_sym_BSLASHmr] = ACTIONS(51),
    [anon_sym_BSLASHs] = ACTIONS(51),
    [anon_sym_BSLASHsr] = ACTIONS(51),
    [anon_sym_BSLASHr] = ACTIONS(51),
    [anon_sym_BSLASHsp] = ACTIONS(51),
    [anon_sym_BSLASHd] = ACTIONS(51),
    [anon_sym_BSLASHsd] = ACTIONS(51),
    [anon_sym_BSLASHp] = ACTIONS(51),
    [anon_sym_BSLASHm] = ACTIONS(51),
    [anon_sym_BSLASHpo] = ACTIONS(51),
    [anon_sym_BSLASHpr] = ACTIONS(51),
    [anon_sym_BSLASHcls] = ACTIONS(51),
    [anon_sym_BSLASHpmo] = ACTIONS(51),
    [anon_sym_BSLASHpm] = ACTIONS(51),
    [anon_sym_BSLASHpmc] = ACTIONS(51),
    [anon_sym_BSLASHpmr] = ACTIONS(51),
    [anon_sym_BSLASHpi] = ACTIONS(51),
    [anon_sym_BSLASHmi] = ACTIONS(51),
    [anon_sym_BSLASHnb] = ACTIONS(51),
    [anon_sym_BSLASHpc] = ACTIONS(51),
    [anon_sym_BSLASHph] = ACTIONS(51),
    [anon_sym_BSLASHb] = ACTIONS(51),
    [anon_sym_BSLASHq] = ACTIONS(51),
    [anon_sym_BSLASHqr] = ACTIONS(51),
    [anon_sym_BSLASHqc] = ACTIONS(51),
    [anon_sym_BSLASHqa] = ACTIONS(51),
    [anon_sym_BSLASHqm] = ACTIONS(51),
    [anon_sym_BSLASHqd] = ACTIONS(51),
    [anon_sym_BSLASHlh] = ACTIONS(51),
    [anon_sym_BSLASHlf] = ACTIONS(51),
    [anon_sym_BSLASHli] = ACTIONS(51),
    [anon_sym_BSLASHlim] = ACTIONS(51),
    [anon_sym_BSLASHliv] = ACTIONS(51),
    [anon_sym_BSLASHlik] = ACTIONS(51),
    [anon_sym_BSLASHlitl] = ACTIONS(51),
    [anon_sym_BSLASHtr] = ACTIONS(51),
    [anon_sym_BSLASHf] = ACTIONS(51),
    [anon_sym_BSLASHfe] = ACTIONS(51),
    [anon_sym_BSLASHef] = ACTIONS(51),
    [anon_sym_BSLASHfm] = ACTIONS(51),
    [anon_sym_BSLASHx] = ACTIONS(51),
    [anon_sym_BSLASHxt] = ACTIONS(51),
    [anon_sym_BSLASHrq] = ACTIONS(51),
    [anon_sym_BSLASHadd] = ACTIONS(51),
    [anon_sym_BSLASHbk] = ACTIONS(51),
    [anon_sym_BSLASHdc] = ACTIONS(51),
    [anon_sym_BSLASHk] = ACTIONS(51),
    [anon_sym_BSLASHnd] = ACTIONS(51),
    [anon_sym_BSLASHord] = ACTIONS(51),
    [anon_sym_BSLASHpn] = ACTIONS(51),
    [anon_sym_BSLASHpng] = ACTIONS(51),
    [anon_sym_BSLASHaddpn] = ACTIONS(51),
    [anon_sym_BSLASHqt] = ACTIONS(51),
    [anon_sym_BSLASHsig] = ACTIONS(51),
    [anon_sym_BSLASHsls] = ACTIONS(51),
    [anon_sym_BSLASHtl] = ACTIONS(51),
    [anon_sym_BSLASHwj] = ACTIONS(51),
    [anon_sym_BSLASHem] = ACTIONS(51),
    [anon_sym_BSLASHbd] = ACTIONS(51),
    [anon_sym_BSLASHit] = ACTIONS(51),
    [anon_sym_BSLASHbdit] = ACTIONS(51),
    [anon_sym_BSLASHno] = ACTIONS(51),
    [anon_sym_BSLASHsc] = ACTIONS(51),
    [anon_sym_BSLASHsup] = ACTIONS(51),
    [anon_sym_BSLASHndx] = ACTIONS(51),
    [anon_sym_BSLASHpro] = ACTIONS(51),
    [anon_sym_BSLASHrb] = ACTIONS(51),
    [anon_sym_BSLASHw] = ACTIONS(51),
    [anon_sym_BSLASHwg] = ACTIONS(51),
    [anon_sym_BSLASHwh] = ACTIONS(51),
    [anon_sym_BSLASHwa] = ACTIONS(51),
    [anon_sym_BSLASHfig] = ACTIONS(51),
    [anon_sym_BSLASHjmp] = ACTIONS(51),
    [anon_sym_BSLASHpb] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(51),
    [sym_milestoneStartTag] = ACTIONS(51),
    [sym_milestoneEndTag] = ACTIONS(51),
    [sym_zSpaceTag] = ACTIONS(51),
    [anon_sym_BSLASHesb] = ACTIONS(51),
  },
  [414] = {
    [ts_builtin_sym_end] = ACTIONS(45),
    [aux_sym_text_token1] = ACTIONS(45),
    [anon_sym_BSLASHref] = ACTIONS(47),
    [anon_sym_BSLASHsts] = ACTIONS(47),
    [anon_sym_BSLASHrem] = ACTIONS(47),
    [anon_sym_BSLASHrestore] = ACTIONS(47),
    [anon_sym_BSLASHlit] = ACTIONS(47),
    [anon_sym_BSLASHip] = ACTIONS(47),
    [anon_sym_BSLASHiex] = ACTIONS(47),
    [anon_sym_BSLASHv] = ACTIONS(47),
    [anon_sym_BSLASHva] = ACTIONS(47),
    [anon_sym_BSLASHvp] = ACTIONS(47),
    [anon_sym_BSLASHc] = ACTIONS(47),
    [anon_sym_BSLASHcl] = ACTIONS(47),
    [anon_sym_BSLASHca] = ACTIONS(47),
    [anon_sym_BSLASHcp] = ACTIONS(47),
    [anon_sym_BSLASHcd] = ACTIONS(47),
    [anon_sym_BSLASHmte] = ACTIONS(47),
    [anon_sym_BSLASHms] = ACTIONS(47),
    [anon_sym_BSLASHmr] = ACTIONS(47),
    [anon_sym_BSLASHs] = ACTIONS(47),
    [anon_sym_BSLASHsr] = ACTIONS(47),
    [anon_sym_BSLASHr] = ACTIONS(47),
    [anon_sym_BSLASHsp] = ACTIONS(47),
    [anon_sym_BSLASHd] = ACTIONS(47),
    [anon_sym_BSLASHsd] = ACTIONS(47),
    [anon_sym_BSLASHp] = ACTIONS(47),
    [anon_sym_BSLASHm] = ACTIONS(47),
    [anon_sym_BSLASHpo] = ACTIONS(47),
    [anon_sym_BSLASHpr] = ACTIONS(47),
    [anon_sym_BSLASHcls] = ACTIONS(47),
    [anon_sym_BSLASHpmo] = ACTIONS(47),
    [anon_sym_BSLASHpm] = ACTIONS(47),
    [anon_sym_BSLASHpmc] = ACTIONS(47),
    [anon_sym_BSLASHpmr] = ACTIONS(47),
    [anon_sym_BSLASHpi] = ACTIONS(47),
    [anon_sym_BSLASHmi] = ACTIONS(47),
    [anon_sym_BSLASHnb] = ACTIONS(47),
    [anon_sym_BSLASHpc] = ACTIONS(47),
    [anon_sym_BSLASHph] = ACTIONS(47),
    [anon_sym_BSLASHb] = ACTIONS(47),
    [anon_sym_BSLASHq] = ACTIONS(47),
    [anon_sym_BSLASHqr] = ACTIONS(47),
    [anon_sym_BSLASHqc] = ACTIONS(47),
    [anon_sym_BSLASHqa] = ACTIONS(47),
    [anon_sym_BSLASHqm] = ACTIONS(47),
    [anon_sym_BSLASHqd] = ACTIONS(47),
    [anon_sym_BSLASHlh] = ACTIONS(47),
    [anon_sym_BSLASHlf] = ACTIONS(47),
    [anon_sym_BSLASHli] = ACTIONS(47),
    [anon_sym_BSLASHlim] = ACTIONS(47),
    [anon_sym_BSLASHliv] = ACTIONS(47),
    [anon_sym_BSLASHlik] = ACTIONS(47),
    [anon_sym_BSLASHlitl] = ACTIONS(47),
    [anon_sym_BSLASHtr] = ACTIONS(47),
    [anon_sym_BSLASHf] = ACTIONS(47),
    [anon_sym_BSLASHfe] = ACTIONS(47),
    [anon_sym_BSLASHef] = ACTIONS(47),
    [anon_sym_BSLASHfm] = ACTIONS(47),
    [anon_sym_BSLASHx] = ACTIONS(47),
    [anon_sym_BSLASHxt] = ACTIONS(47),
    [anon_sym_BSLASHrq] = ACTIONS(47),
    [anon_sym_BSLASHadd] = ACTIONS(47),
    [anon_sym_BSLASHbk] = ACTIONS(47),
    [anon_sym_BSLASHdc] = ACTIONS(47),
    [anon_sym_BSLASHk] = ACTIONS(47),
    [anon_sym_BSLASHnd] = ACTIONS(47),
    [anon_sym_BSLASHord] = ACTIONS(47),
    [anon_sym_BSLASHpn] = ACTIONS(47),
    [anon_sym_BSLASHpng] = ACTIONS(47),
    [anon_sym_BSLASHaddpn] = ACTIONS(47),
    [anon_sym_BSLASHqt] = ACTIONS(47),
    [anon_sym_BSLASHsig] = ACTIONS(47),
    [anon_sym_BSLASHsls] = ACTIONS(47),
    [anon_sym_BSLASHtl] = ACTIONS(47),
    [anon_sym_BSLASHwj] = ACTIONS(47),
    [anon_sym_BSLASHem] = ACTIONS(47),
    [anon_sym_BSLASHbd] = ACTIONS(47),
    [anon_sym_BSLASHit] = ACTIONS(47),
    [anon_sym_BSLASHbdit] = ACTIONS(47),
    [anon_sym_BSLASHno] = ACTIONS(47),
    [anon_sym_BSLASHsc] = ACTIONS(47),
    [anon_sym_BSLASHsup] = ACTIONS(47),
    [anon_sym_BSLASHndx] = ACTIONS(47),
    [anon_sym_BSLASHpro] = ACTIONS(47),
    [anon_sym_BSLASHrb] = ACTIONS(47),
    [anon_sym_BSLASHw] = ACTIONS(47),
    [anon_sym_BSLASHwg] = ACTIONS(47),
    [anon_sym_BSLASHwh] = ACTIONS(47),
    [anon_sym_BSLASHwa] = ACTIONS(47),
    [anon_sym_BSLASHfig] = ACTIONS(47),
    [anon_sym_BSLASHjmp] = ACTIONS(47),
    [anon_sym_BSLASHpb] = ACTIONS(47),
    [anon_sym_BSLASH] = ACTIONS(47),
    [sym_milestoneStartTag] = ACTIONS(47),
    [sym_milestoneEndTag] = ACTIONS(47),
    [sym_zSpaceTag] = ACTIONS(47),
    [anon_sym_BSLASHesb] = ACTIONS(47),
  },
  [415] = {
    [ts_builtin_sym_end] = ACTIONS(73),
    [aux_sym_text_token1] = ACTIONS(73),
    [anon_sym_BSLASHref] = ACTIONS(75),
    [anon_sym_BSLASHsts] = ACTIONS(75),
    [anon_sym_BSLASHrem] = ACTIONS(75),
    [anon_sym_BSLASHrestore] = ACTIONS(75),
    [anon_sym_BSLASHlit] = ACTIONS(75),
    [anon_sym_BSLASHip] = ACTIONS(75),
    [anon_sym_BSLASHiex] = ACTIONS(75),
    [anon_sym_BSLASHv] = ACTIONS(75),
    [anon_sym_BSLASHva] = ACTIONS(75),
    [anon_sym_BSLASHvp] = ACTIONS(75),
    [anon_sym_BSLASHc] = ACTIONS(75),
    [anon_sym_BSLASHcl] = ACTIONS(75),
    [anon_sym_BSLASHca] = ACTIONS(75),
    [anon_sym_BSLASHcp] = ACTIONS(75),
    [anon_sym_BSLASHcd] = ACTIONS(75),
    [anon_sym_BSLASHmte] = ACTIONS(75),
    [anon_sym_BSLASHms] = ACTIONS(75),
    [anon_sym_BSLASHmr] = ACTIONS(75),
    [anon_sym_BSLASHs] = ACTIONS(75),
    [anon_sym_BSLASHsr] = ACTIONS(75),
    [anon_sym_BSLASHr] = ACTIONS(75),
    [anon_sym_BSLASHsp] = ACTIONS(75),
    [anon_sym_BSLASHd] = ACTIONS(75),
    [anon_sym_BSLASHsd] = ACTIONS(75),
    [anon_sym_BSLASHp] = ACTIONS(75),
    [anon_sym_BSLASHm] = ACTIONS(75),
    [anon_sym_BSLASHpo] = ACTIONS(75),
    [anon_sym_BSLASHpr] = ACTIONS(75),
    [anon_sym_BSLASHcls] = ACTIONS(75),
    [anon_sym_BSLASHpmo] = ACTIONS(75),
    [anon_sym_BSLASHpm] = ACTIONS(75),
    [anon_sym_BSLASHpmc] = ACTIONS(75),
    [anon_sym_BSLASHpmr] = ACTIONS(75),
    [anon_sym_BSLASHpi] = ACTIONS(75),
    [anon_sym_BSLASHmi] = ACTIONS(75),
    [anon_sym_BSLASHnb] = ACTIONS(75),
    [anon_sym_BSLASHpc] = ACTIONS(75),
    [anon_sym_BSLASHph] = ACTIONS(75),
    [anon_sym_BSLASHb] = ACTIONS(75),
    [anon_sym_BSLASHq] = ACTIONS(75),
    [anon_sym_BSLASHqr] = ACTIONS(75),
    [anon_sym_BSLASHqc] = ACTIONS(75),
    [anon_sym_BSLASHqa] = ACTIONS(75),
    [anon_sym_BSLASHqm] = ACTIONS(75),
    [anon_sym_BSLASHqd] = ACTIONS(75),
    [anon_sym_BSLASHlh] = ACTIONS(75),
    [anon_sym_BSLASHlf] = ACTIONS(75),
    [anon_sym_BSLASHli] = ACTIONS(75),
    [anon_sym_BSLASHlim] = ACTIONS(75),
    [anon_sym_BSLASHliv] = ACTIONS(75),
    [anon_sym_BSLASHlik] = ACTIONS(75),
    [anon_sym_BSLASHlitl] = ACTIONS(75),
    [anon_sym_BSLASHtr] = ACTIONS(75),
    [anon_sym_BSLASHf] = ACTIONS(75),
    [anon_sym_BSLASHfe] = ACTIONS(75),
    [anon_sym_BSLASHef] = ACTIONS(75),
    [anon_sym_BSLASHfm] = ACTIONS(75),
    [anon_sym_BSLASHx] = ACTIONS(75),
    [anon_sym_BSLASHxt] = ACTIONS(75),
    [anon_sym_BSLASHrq] = ACTIONS(75),
    [anon_sym_BSLASHadd] = ACTIONS(75),
    [anon_sym_BSLASHbk] = ACTIONS(75),
    [anon_sym_BSLASHdc] = ACTIONS(75),
    [anon_sym_BSLASHk] = ACTIONS(75),
    [anon_sym_BSLASHnd] = ACTIONS(75),
    [anon_sym_BSLASHord] = ACTIONS(75),
    [anon_sym_BSLASHpn] = ACTIONS(75),
    [anon_sym_BSLASHpng] = ACTIONS(75),
    [anon_sym_BSLASHaddpn] = ACTIONS(75),
    [anon_sym_BSLASHqt] = ACTIONS(75),
    [anon_sym_BSLASHsig] = ACTIONS(75),
    [anon_sym_BSLASHsls] = ACTIONS(75),
    [anon_sym_BSLASHtl] = ACTIONS(75),
    [anon_sym_BSLASHwj] = ACTIONS(75),
    [anon_sym_BSLASHem] = ACTIONS(75),
    [anon_sym_BSLASHbd] = ACTIONS(75),
    [anon_sym_BSLASHit] = ACTIONS(75),
    [anon_sym_BSLASHbdit] = ACTIONS(75),
    [anon_sym_BSLASHno] = ACTIONS(75),
    [anon_sym_BSLASHsc] = ACTIONS(75),
    [anon_sym_BSLASHsup] = ACTIONS(75),
    [anon_sym_BSLASHndx] = ACTIONS(75),
    [anon_sym_BSLASHpro] = ACTIONS(75),
    [anon_sym_BSLASHrb] = ACTIONS(75),
    [anon_sym_BSLASHw] = ACTIONS(75),
    [anon_sym_BSLASHwg] = ACTIONS(75),
    [anon_sym_BSLASHwh] = ACTIONS(75),
    [anon_sym_BSLASHwa] = ACTIONS(75),
    [anon_sym_BSLASHfig] = ACTIONS(75),
    [anon_sym_BSLASHjmp] = ACTIONS(75),
    [anon_sym_BSLASHpb] = ACTIONS(75),
    [anon_sym_BSLASH] = ACTIONS(75),
    [sym_milestoneStartTag] = ACTIONS(75),
    [sym_milestoneEndTag] = ACTIONS(75),
    [sym_zSpaceTag] = ACTIONS(75),
    [anon_sym_BSLASHesb] = ACTIONS(75),
  },
  [416] = {
    [ts_builtin_sym_end] = ACTIONS(61),
    [aux_sym_text_token1] = ACTIONS(61),
    [anon_sym_BSLASHref] = ACTIONS(63),
    [anon_sym_BSLASHsts] = ACTIONS(63),
    [anon_sym_BSLASHrem] = ACTIONS(63),
    [anon_sym_BSLASHrestore] = ACTIONS(63),
    [anon_sym_BSLASHlit] = ACTIONS(63),
    [anon_sym_BSLASHip] = ACTIONS(63),
    [anon_sym_BSLASHiex] = ACTIONS(63),
    [anon_sym_BSLASHv] = ACTIONS(63),
    [anon_sym_BSLASHva] = ACTIONS(63),
    [anon_sym_BSLASHvp] = ACTIONS(63),
    [anon_sym_BSLASHc] = ACTIONS(63),
    [anon_sym_BSLASHcl] = ACTIONS(63),
    [anon_sym_BSLASHca] = ACTIONS(63),
    [anon_sym_BSLASHcp] = ACTIONS(63),
    [anon_sym_BSLASHcd] = ACTIONS(63),
    [anon_sym_BSLASHmte] = ACTIONS(63),
    [anon_sym_BSLASHms] = ACTIONS(63),
    [anon_sym_BSLASHmr] = ACTIONS(63),
    [anon_sym_BSLASHs] = ACTIONS(63),
    [anon_sym_BSLASHsr] = ACTIONS(63),
    [anon_sym_BSLASHr] = ACTIONS(63),
    [anon_sym_BSLASHsp] = ACTIONS(63),
    [anon_sym_BSLASHd] = ACTIONS(63),
    [anon_sym_BSLASHsd] = ACTIONS(63),
    [anon_sym_BSLASHp] = ACTIONS(63),
    [anon_sym_BSLASHm] = ACTIONS(63),
    [anon_sym_BSLASHpo] = ACTIONS(63),
    [anon_sym_BSLASHpr] = ACTIONS(63),
    [anon_sym_BSLASHcls] = ACTIONS(63),
    [anon_sym_BSLASHpmo] = ACTIONS(63),
    [anon_sym_BSLASHpm] = ACTIONS(63),
    [anon_sym_BSLASHpmc] = ACTIONS(63),
    [anon_sym_BSLASHpmr] = ACTIONS(63),
    [anon_sym_BSLASHpi] = ACTIONS(63),
    [anon_sym_BSLASHmi] = ACTIONS(63),
    [anon_sym_BSLASHnb] = ACTIONS(63),
    [anon_sym_BSLASHpc] = ACTIONS(63),
    [anon_sym_BSLASHph] = ACTIONS(63),
    [anon_sym_BSLASHb] = ACTIONS(63),
    [anon_sym_BSLASHq] = ACTIONS(63),
    [anon_sym_BSLASHqr] = ACTIONS(63),
    [anon_sym_BSLASHqc] = ACTIONS(63),
    [anon_sym_BSLASHqa] = ACTIONS(63),
    [anon_sym_BSLASHqm] = ACTIONS(63),
    [anon_sym_BSLASHqd] = ACTIONS(63),
    [anon_sym_BSLASHlh] = ACTIONS(63),
    [anon_sym_BSLASHlf] = ACTIONS(63),
    [anon_sym_BSLASHli] = ACTIONS(63),
    [anon_sym_BSLASHlim] = ACTIONS(63),
    [anon_sym_BSLASHliv] = ACTIONS(63),
    [anon_sym_BSLASHlik] = ACTIONS(63),
    [anon_sym_BSLASHlitl] = ACTIONS(63),
    [anon_sym_BSLASHtr] = ACTIONS(63),
    [anon_sym_BSLASHf] = ACTIONS(63),
    [anon_sym_BSLASHfe] = ACTIONS(63),
    [anon_sym_BSLASHef] = ACTIONS(63),
    [anon_sym_BSLASHfm] = ACTIONS(63),
    [anon_sym_BSLASHx] = ACTIONS(63),
    [anon_sym_BSLASHxt] = ACTIONS(63),
    [anon_sym_BSLASHrq] = ACTIONS(63),
    [anon_sym_BSLASHadd] = ACTIONS(63),
    [anon_sym_BSLASHbk] = ACTIONS(63),
    [anon_sym_BSLASHdc] = ACTIONS(63),
    [anon_sym_BSLASHk] = ACTIONS(63),
    [anon_sym_BSLASHnd] = ACTIONS(63),
    [anon_sym_BSLASHord] = ACTIONS(63),
    [anon_sym_BSLASHpn] = ACTIONS(63),
    [anon_sym_BSLASHpng] = ACTIONS(63),
    [anon_sym_BSLASHaddpn] = ACTIONS(63),
    [anon_sym_BSLASHqt] = ACTIONS(63),
    [anon_sym_BSLASHsig] = ACTIONS(63),
    [anon_sym_BSLASHsls] = ACTIONS(63),
    [anon_sym_BSLASHtl] = ACTIONS(63),
    [anon_sym_BSLASHwj] = ACTIONS(63),
    [anon_sym_BSLASHem] = ACTIONS(63),
    [anon_sym_BSLASHbd] = ACTIONS(63),
    [anon_sym_BSLASHit] = ACTIONS(63),
    [anon_sym_BSLASHbdit] = ACTIONS(63),
    [anon_sym_BSLASHno] = ACTIONS(63),
    [anon_sym_BSLASHsc] = ACTIONS(63),
    [anon_sym_BSLASHsup] = ACTIONS(63),
    [anon_sym_BSLASHndx] = ACTIONS(63),
    [anon_sym_BSLASHpro] = ACTIONS(63),
    [anon_sym_BSLASHrb] = ACTIONS(63),
    [anon_sym_BSLASHw] = ACTIONS(63),
    [anon_sym_BSLASHwg] = ACTIONS(63),
    [anon_sym_BSLASHwh] = ACTIONS(63),
    [anon_sym_BSLASHwa] = ACTIONS(63),
    [anon_sym_BSLASHfig] = ACTIONS(63),
    [anon_sym_BSLASHjmp] = ACTIONS(63),
    [anon_sym_BSLASHpb] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(63),
    [sym_milestoneStartTag] = ACTIONS(63),
    [sym_milestoneEndTag] = ACTIONS(63),
    [sym_zSpaceTag] = ACTIONS(63),
    [anon_sym_BSLASHesb] = ACTIONS(63),
  },
  [417] = {
    [ts_builtin_sym_end] = ACTIONS(41),
    [aux_sym_text_token1] = ACTIONS(41),
    [anon_sym_BSLASHref] = ACTIONS(43),
    [anon_sym_BSLASHsts] = ACTIONS(43),
    [anon_sym_BSLASHrem] = ACTIONS(43),
    [anon_sym_BSLASHrestore] = ACTIONS(43),
    [anon_sym_BSLASHlit] = ACTIONS(43),
    [anon_sym_BSLASHip] = ACTIONS(43),
    [anon_sym_BSLASHiex] = ACTIONS(43),
    [anon_sym_BSLASHv] = ACTIONS(43),
    [anon_sym_BSLASHva] = ACTIONS(43),
    [anon_sym_BSLASHvp] = ACTIONS(43),
    [anon_sym_BSLASHc] = ACTIONS(43),
    [anon_sym_BSLASHcl] = ACTIONS(43),
    [anon_sym_BSLASHca] = ACTIONS(43),
    [anon_sym_BSLASHcp] = ACTIONS(43),
    [anon_sym_BSLASHcd] = ACTIONS(43),
    [anon_sym_BSLASHmte] = ACTIONS(43),
    [anon_sym_BSLASHms] = ACTIONS(43),
    [anon_sym_BSLASHmr] = ACTIONS(43),
    [anon_sym_BSLASHs] = ACTIONS(43),
    [anon_sym_BSLASHsr] = ACTIONS(43),
    [anon_sym_BSLASHr] = ACTIONS(43),
    [anon_sym_BSLASHsp] = ACTIONS(43),
    [anon_sym_BSLASHd] = ACTIONS(43),
    [anon_sym_BSLASHsd] = ACTIONS(43),
    [anon_sym_BSLASHp] = ACTIONS(43),
    [anon_sym_BSLASHm] = ACTIONS(43),
    [anon_sym_BSLASHpo] = ACTIONS(43),
    [anon_sym_BSLASHpr] = ACTIONS(43),
    [anon_sym_BSLASHcls] = ACTIONS(43),
    [anon_sym_BSLASHpmo] = ACTIONS(43),
    [anon_sym_BSLASHpm] = ACTIONS(43),
    [anon_sym_BSLASHpmc] = ACTIONS(43),
    [anon_sym_BSLASHpmr] = ACTIONS(43),
    [anon_sym_BSLASHpi] = ACTIONS(43),
    [anon_sym_BSLASHmi] = ACTIONS(43),
    [anon_sym_BSLASHnb] = ACTIONS(43),
    [anon_sym_BSLASHpc] = ACTIONS(43),
    [anon_sym_BSLASHph] = ACTIONS(43),
    [anon_sym_BSLASHb] = ACTIONS(43),
    [anon_sym_BSLASHq] = ACTIONS(43),
    [anon_sym_BSLASHqr] = ACTIONS(43),
    [anon_sym_BSLASHqc] = ACTIONS(43),
    [anon_sym_BSLASHqa] = ACTIONS(43),
    [anon_sym_BSLASHqm] = ACTIONS(43),
    [anon_sym_BSLASHqd] = ACTIONS(43),
    [anon_sym_BSLASHlh] = ACTIONS(43),
    [anon_sym_BSLASHlf] = ACTIONS(43),
    [anon_sym_BSLASHli] = ACTIONS(43),
    [anon_sym_BSLASHlim] = ACTIONS(43),
    [anon_sym_BSLASHliv] = ACTIONS(43),
    [anon_sym_BSLASHlik] = ACTIONS(43),
    [anon_sym_BSLASHlitl] = ACTIONS(43),
    [anon_sym_BSLASHtr] = ACTIONS(43),
    [anon_sym_BSLASHf] = ACTIONS(43),
    [anon_sym_BSLASHfe] = ACTIONS(43),
    [anon_sym_BSLASHef] = ACTIONS(43),
    [anon_sym_BSLASHfm] = ACTIONS(43),
    [anon_sym_BSLASHx] = ACTIONS(43),
    [anon_sym_BSLASHxt] = ACTIONS(43),
    [anon_sym_BSLASHrq] = ACTIONS(43),
    [anon_sym_BSLASHadd] = ACTIONS(43),
    [anon_sym_BSLASHbk] = ACTIONS(43),
    [anon_sym_BSLASHdc] = ACTIONS(43),
    [anon_sym_BSLASHk] = ACTIONS(43),
    [anon_sym_BSLASHnd] = ACTIONS(43),
    [anon_sym_BSLASHord] = ACTIONS(43),
    [anon_sym_BSLASHpn] = ACTIONS(43),
    [anon_sym_BSLASHpng] = ACTIONS(43),
    [anon_sym_BSLASHaddpn] = ACTIONS(43),
    [anon_sym_BSLASHqt] = ACTIONS(43),
    [anon_sym_BSLASHsig] = ACTIONS(43),
    [anon_sym_BSLASHsls] = ACTIONS(43),
    [anon_sym_BSLASHtl] = ACTIONS(43),
    [anon_sym_BSLASHwj] = ACTIONS(43),
    [anon_sym_BSLASHem] = ACTIONS(43),
    [anon_sym_BSLASHbd] = ACTIONS(43),
    [anon_sym_BSLASHit] = ACTIONS(43),
    [anon_sym_BSLASHbdit] = ACTIONS(43),
    [anon_sym_BSLASHno] = ACTIONS(43),
    [anon_sym_BSLASHsc] = ACTIONS(43),
    [anon_sym_BSLASHsup] = ACTIONS(43),
    [anon_sym_BSLASHndx] = ACTIONS(43),
    [anon_sym_BSLASHpro] = ACTIONS(43),
    [anon_sym_BSLASHrb] = ACTIONS(43),
    [anon_sym_BSLASHw] = ACTIONS(43),
    [anon_sym_BSLASHwg] = ACTIONS(43),
    [anon_sym_BSLASHwh] = ACTIONS(43),
    [anon_sym_BSLASHwa] = ACTIONS(43),
    [anon_sym_BSLASHfig] = ACTIONS(43),
    [anon_sym_BSLASHjmp] = ACTIONS(43),
    [anon_sym_BSLASHpb] = ACTIONS(43),
    [anon_sym_BSLASH] = ACTIONS(43),
    [sym_milestoneStartTag] = ACTIONS(43),
    [sym_milestoneEndTag] = ACTIONS(43),
    [sym_zSpaceTag] = ACTIONS(43),
    [anon_sym_BSLASHesb] = ACTIONS(43),
  },
  [418] = {
    [ts_builtin_sym_end] = ACTIONS(37),
    [aux_sym_text_token1] = ACTIONS(37),
    [anon_sym_BSLASHref] = ACTIONS(39),
    [anon_sym_BSLASHsts] = ACTIONS(39),
    [anon_sym_BSLASHrem] = ACTIONS(39),
    [anon_sym_BSLASHrestore] = ACTIONS(39),
    [anon_sym_BSLASHlit] = ACTIONS(39),
    [anon_sym_BSLASHip] = ACTIONS(39),
    [anon_sym_BSLASHiex] = ACTIONS(39),
    [anon_sym_BSLASHv] = ACTIONS(39),
    [anon_sym_BSLASHva] = ACTIONS(39),
    [anon_sym_BSLASHvp] = ACTIONS(39),
    [anon_sym_BSLASHc] = ACTIONS(39),
    [anon_sym_BSLASHcl] = ACTIONS(39),
    [anon_sym_BSLASHca] = ACTIONS(39),
    [anon_sym_BSLASHcp] = ACTIONS(39),
    [anon_sym_BSLASHcd] = ACTIONS(39),
    [anon_sym_BSLASHmte] = ACTIONS(39),
    [anon_sym_BSLASHms] = ACTIONS(39),
    [anon_sym_BSLASHmr] = ACTIONS(39),
    [anon_sym_BSLASHs] = ACTIONS(39),
    [anon_sym_BSLASHsr] = ACTIONS(39),
    [anon_sym_BSLASHr] = ACTIONS(39),
    [anon_sym_BSLASHsp] = ACTIONS(39),
    [anon_sym_BSLASHd] = ACTIONS(39),
    [anon_sym_BSLASHsd] = ACTIONS(39),
    [anon_sym_BSLASHp] = ACTIONS(39),
    [anon_sym_BSLASHm] = ACTIONS(39),
    [anon_sym_BSLASHpo] = ACTIONS(39),
    [anon_sym_BSLASHpr] = ACTIONS(39),
    [anon_sym_BSLASHcls] = ACTIONS(39),
    [anon_sym_BSLASHpmo] = ACTIONS(39),
    [anon_sym_BSLASHpm] = ACTIONS(39),
    [anon_sym_BSLASHpmc] = ACTIONS(39),
    [anon_sym_BSLASHpmr] = ACTIONS(39),
    [anon_sym_BSLASHpi] = ACTIONS(39),
    [anon_sym_BSLASHmi] = ACTIONS(39),
    [anon_sym_BSLASHnb] = ACTIONS(39),
    [anon_sym_BSLASHpc] = ACTIONS(39),
    [anon_sym_BSLASHph] = ACTIONS(39),
    [anon_sym_BSLASHb] = ACTIONS(39),
    [anon_sym_BSLASHq] = ACTIONS(39),
    [anon_sym_BSLASHqr] = ACTIONS(39),
    [anon_sym_BSLASHqc] = ACTIONS(39),
    [anon_sym_BSLASHqa] = ACTIONS(39),
    [anon_sym_BSLASHqm] = ACTIONS(39),
    [anon_sym_BSLASHqd] = ACTIONS(39),
    [anon_sym_BSLASHlh] = ACTIONS(39),
    [anon_sym_BSLASHlf] = ACTIONS(39),
    [anon_sym_BSLASHli] = ACTIONS(39),
    [anon_sym_BSLASHlim] = ACTIONS(39),
    [anon_sym_BSLASHliv] = ACTIONS(39),
    [anon_sym_BSLASHlik] = ACTIONS(39),
    [anon_sym_BSLASHlitl] = ACTIONS(39),
    [anon_sym_BSLASHtr] = ACTIONS(39),
    [anon_sym_BSLASHf] = ACTIONS(39),
    [anon_sym_BSLASHfe] = ACTIONS(39),
    [anon_sym_BSLASHef] = ACTIONS(39),
    [anon_sym_BSLASHfm] = ACTIONS(39),
    [anon_sym_BSLASHx] = ACTIONS(39),
    [anon_sym_BSLASHxt] = ACTIONS(39),
    [anon_sym_BSLASHrq] = ACTIONS(39),
    [anon_sym_BSLASHadd] = ACTIONS(39),
    [anon_sym_BSLASHbk] = ACTIONS(39),
    [anon_sym_BSLASHdc] = ACTIONS(39),
    [anon_sym_BSLASHk] = ACTIONS(39),
    [anon_sym_BSLASHnd] = ACTIONS(39),
    [anon_sym_BSLASHord] = ACTIONS(39),
    [anon_sym_BSLASHpn] = ACTIONS(39),
    [anon_sym_BSLASHpng] = ACTIONS(39),
    [anon_sym_BSLASHaddpn] = ACTIONS(39),
    [anon_sym_BSLASHqt] = ACTIONS(39),
    [anon_sym_BSLASHsig] = ACTIONS(39),
    [anon_sym_BSLASHsls] = ACTIONS(39),
    [anon_sym_BSLASHtl] = ACTIONS(39),
    [anon_sym_BSLASHwj] = ACTIONS(39),
    [anon_sym_BSLASHem] = ACTIONS(39),
    [anon_sym_BSLASHbd] = ACTIONS(39),
    [anon_sym_BSLASHit] = ACTIONS(39),
    [anon_sym_BSLASHbdit] = ACTIONS(39),
    [anon_sym_BSLASHno] = ACTIONS(39),
    [anon_sym_BSLASHsc] = ACTIONS(39),
    [anon_sym_BSLASHsup] = ACTIONS(39),
    [anon_sym_BSLASHndx] = ACTIONS(39),
    [anon_sym_BSLASHpro] = ACTIONS(39),
    [anon_sym_BSLASHrb] = ACTIONS(39),
    [anon_sym_BSLASHw] = ACTIONS(39),
    [anon_sym_BSLASHwg] = ACTIONS(39),
    [anon_sym_BSLASHwh] = ACTIONS(39),
    [anon_sym_BSLASHwa] = ACTIONS(39),
    [anon_sym_BSLASHfig] = ACTIONS(39),
    [anon_sym_BSLASHjmp] = ACTIONS(39),
    [anon_sym_BSLASHpb] = ACTIONS(39),
    [anon_sym_BSLASH] = ACTIONS(39),
    [sym_milestoneStartTag] = ACTIONS(39),
    [sym_milestoneEndTag] = ACTIONS(39),
    [sym_zSpaceTag] = ACTIONS(39),
    [anon_sym_BSLASHesb] = ACTIONS(39),
  },
  [419] = {
    [ts_builtin_sym_end] = ACTIONS(33),
    [aux_sym_text_token1] = ACTIONS(33),
    [anon_sym_BSLASHref] = ACTIONS(35),
    [anon_sym_BSLASHsts] = ACTIONS(35),
    [anon_sym_BSLASHrem] = ACTIONS(35),
    [anon_sym_BSLASHrestore] = ACTIONS(35),
    [anon_sym_BSLASHlit] = ACTIONS(35),
    [anon_sym_BSLASHip] = ACTIONS(35),
    [anon_sym_BSLASHiex] = ACTIONS(35),
    [anon_sym_BSLASHv] = ACTIONS(35),
    [anon_sym_BSLASHva] = ACTIONS(35),
    [anon_sym_BSLASHvp] = ACTIONS(35),
    [anon_sym_BSLASHc] = ACTIONS(35),
    [anon_sym_BSLASHcl] = ACTIONS(35),
    [anon_sym_BSLASHca] = ACTIONS(35),
    [anon_sym_BSLASHcp] = ACTIONS(35),
    [anon_sym_BSLASHcd] = ACTIONS(35),
    [anon_sym_BSLASHmte] = ACTIONS(35),
    [anon_sym_BSLASHms] = ACTIONS(35),
    [anon_sym_BSLASHmr] = ACTIONS(35),
    [anon_sym_BSLASHs] = ACTIONS(35),
    [anon_sym_BSLASHsr] = ACTIONS(35),
    [anon_sym_BSLASHr] = ACTIONS(35),
    [anon_sym_BSLASHsp] = ACTIONS(35),
    [anon_sym_BSLASHd] = ACTIONS(35),
    [anon_sym_BSLASHsd] = ACTIONS(35),
    [anon_sym_BSLASHp] = ACTIONS(35),
    [anon_sym_BSLASHm] = ACTIONS(35),
    [anon_sym_BSLASHpo] = ACTIONS(35),
    [anon_sym_BSLASHpr] = ACTIONS(35),
    [anon_sym_BSLASHcls] = ACTIONS(35),
    [anon_sym_BSLASHpmo] = ACTIONS(35),
    [anon_sym_BSLASHpm] = ACTIONS(35),
    [anon_sym_BSLASHpmc] = ACTIONS(35),
    [anon_sym_BSLASHpmr] = ACTIONS(35),
    [anon_sym_BSLASHpi] = ACTIONS(35),
    [anon_sym_BSLASHmi] = ACTIONS(35),
    [anon_sym_BSLASHnb] = ACTIONS(35),
    [anon_sym_BSLASHpc] = ACTIONS(35),
    [anon_sym_BSLASHph] = ACTIONS(35),
    [anon_sym_BSLASHb] = ACTIONS(35),
    [anon_sym_BSLASHq] = ACTIONS(35),
    [anon_sym_BSLASHqr] = ACTIONS(35),
    [anon_sym_BSLASHqc] = ACTIONS(35),
    [anon_sym_BSLASHqa] = ACTIONS(35),
    [anon_sym_BSLASHqm] = ACTIONS(35),
    [anon_sym_BSLASHqd] = ACTIONS(35),
    [anon_sym_BSLASHlh] = ACTIONS(35),
    [anon_sym_BSLASHlf] = ACTIONS(35),
    [anon_sym_BSLASHli] = ACTIONS(35),
    [anon_sym_BSLASHlim] = ACTIONS(35),
    [anon_sym_BSLASHliv] = ACTIONS(35),
    [anon_sym_BSLASHlik] = ACTIONS(35),
    [anon_sym_BSLASHlitl] = ACTIONS(35),
    [anon_sym_BSLASHtr] = ACTIONS(35),
    [anon_sym_BSLASHf] = ACTIONS(35),
    [anon_sym_BSLASHfe] = ACTIONS(35),
    [anon_sym_BSLASHef] = ACTIONS(35),
    [anon_sym_BSLASHfm] = ACTIONS(35),
    [anon_sym_BSLASHx] = ACTIONS(35),
    [anon_sym_BSLASHxt] = ACTIONS(35),
    [anon_sym_BSLASHrq] = ACTIONS(35),
    [anon_sym_BSLASHadd] = ACTIONS(35),
    [anon_sym_BSLASHbk] = ACTIONS(35),
    [anon_sym_BSLASHdc] = ACTIONS(35),
    [anon_sym_BSLASHk] = ACTIONS(35),
    [anon_sym_BSLASHnd] = ACTIONS(35),
    [anon_sym_BSLASHord] = ACTIONS(35),
    [anon_sym_BSLASHpn] = ACTIONS(35),
    [anon_sym_BSLASHpng] = ACTIONS(35),
    [anon_sym_BSLASHaddpn] = ACTIONS(35),
    [anon_sym_BSLASHqt] = ACTIONS(35),
    [anon_sym_BSLASHsig] = ACTIONS(35),
    [anon_sym_BSLASHsls] = ACTIONS(35),
    [anon_sym_BSLASHtl] = ACTIONS(35),
    [anon_sym_BSLASHwj] = ACTIONS(35),
    [anon_sym_BSLASHem] = ACTIONS(35),
    [anon_sym_BSLASHbd] = ACTIONS(35),
    [anon_sym_BSLASHit] = ACTIONS(35),
    [anon_sym_BSLASHbdit] = ACTIONS(35),
    [anon_sym_BSLASHno] = ACTIONS(35),
    [anon_sym_BSLASHsc] = ACTIONS(35),
    [anon_sym_BSLASHsup] = ACTIONS(35),
    [anon_sym_BSLASHndx] = ACTIONS(35),
    [anon_sym_BSLASHpro] = ACTIONS(35),
    [anon_sym_BSLASHrb] = ACTIONS(35),
    [anon_sym_BSLASHw] = ACTIONS(35),
    [anon_sym_BSLASHwg] = ACTIONS(35),
    [anon_sym_BSLASHwh] = ACTIONS(35),
    [anon_sym_BSLASHwa] = ACTIONS(35),
    [anon_sym_BSLASHfig] = ACTIONS(35),
    [anon_sym_BSLASHjmp] = ACTIONS(35),
    [anon_sym_BSLASHpb] = ACTIONS(35),
    [anon_sym_BSLASH] = ACTIONS(35),
    [sym_milestoneStartTag] = ACTIONS(35),
    [sym_milestoneEndTag] = ACTIONS(35),
    [sym_zSpaceTag] = ACTIONS(35),
    [anon_sym_BSLASHesb] = ACTIONS(35),
  },
  [420] = {
    [ts_builtin_sym_end] = ACTIONS(69),
    [aux_sym_text_token1] = ACTIONS(69),
    [anon_sym_BSLASHref] = ACTIONS(71),
    [anon_sym_BSLASHsts] = ACTIONS(71),
    [anon_sym_BSLASHrem] = ACTIONS(71),
    [anon_sym_BSLASHrestore] = ACTIONS(71),
    [anon_sym_BSLASHlit] = ACTIONS(71),
    [anon_sym_BSLASHip] = ACTIONS(71),
    [anon_sym_BSLASHiex] = ACTIONS(71),
    [anon_sym_BSLASHv] = ACTIONS(71),
    [anon_sym_BSLASHva] = ACTIONS(71),
    [anon_sym_BSLASHvp] = ACTIONS(71),
    [anon_sym_BSLASHc] = ACTIONS(71),
    [anon_sym_BSLASHcl] = ACTIONS(71),
    [anon_sym_BSLASHca] = ACTIONS(71),
    [anon_sym_BSLASHcp] = ACTIONS(71),
    [anon_sym_BSLASHcd] = ACTIONS(71),
    [anon_sym_BSLASHmte] = ACTIONS(71),
    [anon_sym_BSLASHms] = ACTIONS(71),
    [anon_sym_BSLASHmr] = ACTIONS(71),
    [anon_sym_BSLASHs] = ACTIONS(71),
    [anon_sym_BSLASHsr] = ACTIONS(71),
    [anon_sym_BSLASHr] = ACTIONS(71),
    [anon_sym_BSLASHsp] = ACTIONS(71),
    [anon_sym_BSLASHd] = ACTIONS(71),
    [anon_sym_BSLASHsd] = ACTIONS(71),
    [anon_sym_BSLASHp] = ACTIONS(71),
    [anon_sym_BSLASHm] = ACTIONS(71),
    [anon_sym_BSLASHpo] = ACTIONS(71),
    [anon_sym_BSLASHpr] = ACTIONS(71),
    [anon_sym_BSLASHcls] = ACTIONS(71),
    [anon_sym_BSLASHpmo] = ACTIONS(71),
    [anon_sym_BSLASHpm] = ACTIONS(71),
    [anon_sym_BSLASHpmc] = ACTIONS(71),
    [anon_sym_BSLASHpmr] = ACTIONS(71),
    [anon_sym_BSLASHpi] = ACTIONS(71),
    [anon_sym_BSLASHmi] = ACTIONS(71),
    [anon_sym_BSLASHnb] = ACTIONS(71),
    [anon_sym_BSLASHpc] = ACTIONS(71),
    [anon_sym_BSLASHph] = ACTIONS(71),
    [anon_sym_BSLASHb] = ACTIONS(71),
    [anon_sym_BSLASHq] = ACTIONS(71),
    [anon_sym_BSLASHqr] = ACTIONS(71),
    [anon_sym_BSLASHqc] = ACTIONS(71),
    [anon_sym_BSLASHqa] = ACTIONS(71),
    [anon_sym_BSLASHqm] = ACTIONS(71),
    [anon_sym_BSLASHqd] = ACTIONS(71),
    [anon_sym_BSLASHlh] = ACTIONS(71),
    [anon_sym_BSLASHlf] = ACTIONS(71),
    [anon_sym_BSLASHli] = ACTIONS(71),
    [anon_sym_BSLASHlim] = ACTIONS(71),
    [anon_sym_BSLASHliv] = ACTIONS(71),
    [anon_sym_BSLASHlik] = ACTIONS(71),
    [anon_sym_BSLASHlitl] = ACTIONS(71),
    [anon_sym_BSLASHtr] = ACTIONS(71),
    [anon_sym_BSLASHf] = ACTIONS(71),
    [anon_sym_BSLASHfe] = ACTIONS(71),
    [anon_sym_BSLASHef] = ACTIONS(71),
    [anon_sym_BSLASHfm] = ACTIONS(71),
    [anon_sym_BSLASHx] = ACTIONS(71),
    [anon_sym_BSLASHxt] = ACTIONS(71),
    [anon_sym_BSLASHrq] = ACTIONS(71),
    [anon_sym_BSLASHadd] = ACTIONS(71),
    [anon_sym_BSLASHbk] = ACTIONS(71),
    [anon_sym_BSLASHdc] = ACTIONS(71),
    [anon_sym_BSLASHk] = ACTIONS(71),
    [anon_sym_BSLASHnd] = ACTIONS(71),
    [anon_sym_BSLASHord] = ACTIONS(71),
    [anon_sym_BSLASHpn] = ACTIONS(71),
    [anon_sym_BSLASHpng] = ACTIONS(71),
    [anon_sym_BSLASHaddpn] = ACTIONS(71),
    [anon_sym_BSLASHqt] = ACTIONS(71),
    [anon_sym_BSLASHsig] = ACTIONS(71),
    [anon_sym_BSLASHsls] = ACTIONS(71),
    [anon_sym_BSLASHtl] = ACTIONS(71),
    [anon_sym_BSLASHwj] = ACTIONS(71),
    [anon_sym_BSLASHem] = ACTIONS(71),
    [anon_sym_BSLASHbd] = ACTIONS(71),
    [anon_sym_BSLASHit] = ACTIONS(71),
    [anon_sym_BSLASHbdit] = ACTIONS(71),
    [anon_sym_BSLASHno] = ACTIONS(71),
    [anon_sym_BSLASHsc] = ACTIONS(71),
    [anon_sym_BSLASHsup] = ACTIONS(71),
    [anon_sym_BSLASHndx] = ACTIONS(71),
    [anon_sym_BSLASHpro] = ACTIONS(71),
    [anon_sym_BSLASHrb] = ACTIONS(71),
    [anon_sym_BSLASHw] = ACTIONS(71),
    [anon_sym_BSLASHwg] = ACTIONS(71),
    [anon_sym_BSLASHwh] = ACTIONS(71),
    [anon_sym_BSLASHwa] = ACTIONS(71),
    [anon_sym_BSLASHfig] = ACTIONS(71),
    [anon_sym_BSLASHjmp] = ACTIONS(71),
    [anon_sym_BSLASHpb] = ACTIONS(71),
    [anon_sym_BSLASH] = ACTIONS(71),
    [sym_milestoneStartTag] = ACTIONS(71),
    [sym_milestoneEndTag] = ACTIONS(71),
    [sym_zSpaceTag] = ACTIONS(71),
    [anon_sym_BSLASHesb] = ACTIONS(71),
  },
  [421] = {
    [ts_builtin_sym_end] = ACTIONS(53),
    [aux_sym_text_token1] = ACTIONS(53),
    [anon_sym_BSLASHref] = ACTIONS(55),
    [anon_sym_BSLASHsts] = ACTIONS(55),
    [anon_sym_BSLASHrem] = ACTIONS(55),
    [anon_sym_BSLASHrestore] = ACTIONS(55),
    [anon_sym_BSLASHlit] = ACTIONS(55),
    [anon_sym_BSLASHip] = ACTIONS(55),
    [anon_sym_BSLASHiex] = ACTIONS(55),
    [anon_sym_BSLASHv] = ACTIONS(55),
    [anon_sym_BSLASHva] = ACTIONS(55),
    [anon_sym_BSLASHvp] = ACTIONS(55),
    [anon_sym_BSLASHc] = ACTIONS(55),
    [anon_sym_BSLASHcl] = ACTIONS(55),
    [anon_sym_BSLASHca] = ACTIONS(55),
    [anon_sym_BSLASHcp] = ACTIONS(55),
    [anon_sym_BSLASHcd] = ACTIONS(55),
    [anon_sym_BSLASHmte] = ACTIONS(55),
    [anon_sym_BSLASHms] = ACTIONS(55),
    [anon_sym_BSLASHmr] = ACTIONS(55),
    [anon_sym_BSLASHs] = ACTIONS(55),
    [anon_sym_BSLASHsr] = ACTIONS(55),
    [anon_sym_BSLASHr] = ACTIONS(55),
    [anon_sym_BSLASHsp] = ACTIONS(55),
    [anon_sym_BSLASHd] = ACTIONS(55),
    [anon_sym_BSLASHsd] = ACTIONS(55),
    [anon_sym_BSLASHp] = ACTIONS(55),
    [anon_sym_BSLASHm] = ACTIONS(55),
    [anon_sym_BSLASHpo] = ACTIONS(55),
    [anon_sym_BSLASHpr] = ACTIONS(55),
    [anon_sym_BSLASHcls] = ACTIONS(55),
    [anon_sym_BSLASHpmo] = ACTIONS(55),
    [anon_sym_BSLASHpm] = ACTIONS(55),
    [anon_sym_BSLASHpmc] = ACTIONS(55),
    [anon_sym_BSLASHpmr] = ACTIONS(55),
    [anon_sym_BSLASHpi] = ACTIONS(55),
    [anon_sym_BSLASHmi] = ACTIONS(55),
    [anon_sym_BSLASHnb] = ACTIONS(55),
    [anon_sym_BSLASHpc] = ACTIONS(55),
    [anon_sym_BSLASHph] = ACTIONS(55),
    [anon_sym_BSLASHb] = ACTIONS(55),
    [anon_sym_BSLASHq] = ACTIONS(55),
    [anon_sym_BSLASHqr] = ACTIONS(55),
    [anon_sym_BSLASHqc] = ACTIONS(55),
    [anon_sym_BSLASHqa] = ACTIONS(55),
    [anon_sym_BSLASHqm] = ACTIONS(55),
    [anon_sym_BSLASHqd] = ACTIONS(55),
    [anon_sym_BSLASHlh] = ACTIONS(55),
    [anon_sym_BSLASHlf] = ACTIONS(55),
    [anon_sym_BSLASHli] = ACTIONS(55),
    [anon_sym_BSLASHlim] = ACTIONS(55),
    [anon_sym_BSLASHliv] = ACTIONS(55),
    [anon_sym_BSLASHlik] = ACTIONS(55),
    [anon_sym_BSLASHlitl] = ACTIONS(55),
    [anon_sym_BSLASHtr] = ACTIONS(55),
    [anon_sym_BSLASHf] = ACTIONS(55),
    [anon_sym_BSLASHfe] = ACTIONS(55),
    [anon_sym_BSLASHef] = ACTIONS(55),
    [anon_sym_BSLASHfm] = ACTIONS(55),
    [anon_sym_BSLASHx] = ACTIONS(55),
    [anon_sym_BSLASHxt] = ACTIONS(55),
    [anon_sym_BSLASHrq] = ACTIONS(55),
    [anon_sym_BSLASHadd] = ACTIONS(55),
    [anon_sym_BSLASHbk] = ACTIONS(55),
    [anon_sym_BSLASHdc] = ACTIONS(55),
    [anon_sym_BSLASHk] = ACTIONS(55),
    [anon_sym_BSLASHnd] = ACTIONS(55),
    [anon_sym_BSLASHord] = ACTIONS(55),
    [anon_sym_BSLASHpn] = ACTIONS(55),
    [anon_sym_BSLASHpng] = ACTIONS(55),
    [anon_sym_BSLASHaddpn] = ACTIONS(55),
    [anon_sym_BSLASHqt] = ACTIONS(55),
    [anon_sym_BSLASHsig] = ACTIONS(55),
    [anon_sym_BSLASHsls] = ACTIONS(55),
    [anon_sym_BSLASHtl] = ACTIONS(55),
    [anon_sym_BSLASHwj] = ACTIONS(55),
    [anon_sym_BSLASHem] = ACTIONS(55),
    [anon_sym_BSLASHbd] = ACTIONS(55),
    [anon_sym_BSLASHit] = ACTIONS(55),
    [anon_sym_BSLASHbdit] = ACTIONS(55),
    [anon_sym_BSLASHno] = ACTIONS(55),
    [anon_sym_BSLASHsc] = ACTIONS(55),
    [anon_sym_BSLASHsup] = ACTIONS(55),
    [anon_sym_BSLASHndx] = ACTIONS(55),
    [anon_sym_BSLASHpro] = ACTIONS(55),
    [anon_sym_BSLASHrb] = ACTIONS(55),
    [anon_sym_BSLASHw] = ACTIONS(55),
    [anon_sym_BSLASHwg] = ACTIONS(55),
    [anon_sym_BSLASHwh] = ACTIONS(55),
    [anon_sym_BSLASHwa] = ACTIONS(55),
    [anon_sym_BSLASHfig] = ACTIONS(55),
    [anon_sym_BSLASHjmp] = ACTIONS(55),
    [anon_sym_BSLASHpb] = ACTIONS(55),
    [anon_sym_BSLASH] = ACTIONS(55),
    [sym_milestoneStartTag] = ACTIONS(55),
    [sym_milestoneEndTag] = ACTIONS(55),
    [sym_zSpaceTag] = ACTIONS(55),
    [anon_sym_BSLASHesb] = ACTIONS(55),
  },
  [422] = {
    [aux_sym_text_token1] = ACTIONS(5310),
    [anon_sym_BSLASHref] = ACTIONS(5310),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHfr] = ACTIONS(5310),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHfq] = ACTIONS(5310),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHfqa] = ACTIONS(5310),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHfk] = ACTIONS(5310),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHfl] = ACTIONS(5310),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHfw] = ACTIONS(5310),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHfp] = ACTIONS(5310),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHft] = ACTIONS(5310),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHfdc] = ACTIONS(5310),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHfv] = ACTIONS(5310),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHxt] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHadd] = ACTIONS(5310),
    [anon_sym_BSLASHbk] = ACTIONS(5310),
    [anon_sym_BSLASHdc] = ACTIONS(5310),
    [anon_sym_BSLASHk] = ACTIONS(5310),
    [anon_sym_BSLASHnd] = ACTIONS(5310),
    [anon_sym_BSLASHord] = ACTIONS(5310),
    [anon_sym_BSLASHpn] = ACTIONS(5310),
    [anon_sym_BSLASHpng] = ACTIONS(5310),
    [anon_sym_BSLASHaddpn] = ACTIONS(5310),
    [anon_sym_BSLASHqt] = ACTIONS(5310),
    [anon_sym_BSLASHsig] = ACTIONS(5310),
    [anon_sym_BSLASHsls] = ACTIONS(5310),
    [anon_sym_BSLASHtl] = ACTIONS(5310),
    [anon_sym_BSLASHwj] = ACTIONS(5310),
    [anon_sym_BSLASHem] = ACTIONS(5310),
    [anon_sym_BSLASHbd] = ACTIONS(5310),
    [anon_sym_BSLASHit] = ACTIONS(5310),
    [anon_sym_BSLASHbdit] = ACTIONS(5310),
    [anon_sym_BSLASHno] = ACTIONS(5310),
    [anon_sym_BSLASHsc] = ACTIONS(5310),
    [anon_sym_BSLASHsup] = ACTIONS(5310),
    [anon_sym_BSLASHndx] = ACTIONS(5310),
    [anon_sym_BSLASHpro] = ACTIONS(5310),
    [anon_sym_BSLASHrb] = ACTIONS(5310),
    [anon_sym_BSLASHw] = ACTIONS(5310),
    [anon_sym_BSLASHwg] = ACTIONS(5310),
    [anon_sym_BSLASHwh] = ACTIONS(5310),
    [anon_sym_BSLASHwa] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5310),
    [anon_sym_BSLASHfig] = ACTIONS(5310),
    [anon_sym_BSLASHjmp] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5310),
    [anon_sym_BSLASHcat] = ACTIONS(5310),
    [sym_customAttributeName] = ACTIONS(5310),
    [anon_sym_PIPE] = ACTIONS(5310),
    [anon_sym_link_DASHhref] = ACTIONS(5310),
    [anon_sym_link_DASHtitle] = ACTIONS(5310),
    [anon_sym_link_DASHid] = ACTIONS(5310),
    [anon_sym_href] = ACTIONS(5310),
    [anon_sym_title] = ACTIONS(5310),
    [anon_sym_id] = ACTIONS(5310),
    [anon_sym_x_DASH] = ACTIONS(5310),
  },
  [423] = {
    [ts_builtin_sym_end] = ACTIONS(498),
    [aux_sym_text_token1] = ACTIONS(498),
    [anon_sym_BSLASHref] = ACTIONS(500),
    [anon_sym_BSLASHsts] = ACTIONS(500),
    [anon_sym_BSLASHrem] = ACTIONS(500),
    [anon_sym_BSLASHrestore] = ACTIONS(500),
    [anon_sym_BSLASHlit] = ACTIONS(500),
    [anon_sym_BSLASHiqt] = ACTIONS(500),
    [anon_sym_BSLASHip] = ACTIONS(500),
    [anon_sym_BSLASHiex] = ACTIONS(500),
    [anon_sym_BSLASHv] = ACTIONS(500),
    [anon_sym_BSLASHva] = ACTIONS(500),
    [anon_sym_BSLASHvp] = ACTIONS(500),
    [anon_sym_BSLASHc] = ACTIONS(500),
    [anon_sym_BSLASHcl] = ACTIONS(500),
    [anon_sym_BSLASHca] = ACTIONS(500),
    [anon_sym_BSLASHcp] = ACTIONS(500),
    [anon_sym_BSLASHcd] = ACTIONS(500),
    [anon_sym_BSLASHmte] = ACTIONS(500),
    [anon_sym_BSLASHms] = ACTIONS(500),
    [anon_sym_BSLASHs] = ACTIONS(500),
    [anon_sym_BSLASHr] = ACTIONS(500),
    [anon_sym_BSLASHsp] = ACTIONS(500),
    [anon_sym_BSLASHd] = ACTIONS(500),
    [anon_sym_BSLASHsd] = ACTIONS(500),
    [anon_sym_BSLASHp] = ACTIONS(500),
    [anon_sym_BSLASHm] = ACTIONS(500),
    [anon_sym_BSLASHpo] = ACTIONS(500),
    [anon_sym_BSLASHpr] = ACTIONS(500),
    [anon_sym_BSLASHcls] = ACTIONS(500),
    [anon_sym_BSLASHpmo] = ACTIONS(500),
    [anon_sym_BSLASHpm] = ACTIONS(500),
    [anon_sym_BSLASHpmc] = ACTIONS(500),
    [anon_sym_BSLASHpmr] = ACTIONS(500),
    [anon_sym_BSLASHpi] = ACTIONS(500),
    [anon_sym_BSLASHmi] = ACTIONS(500),
    [anon_sym_BSLASHnb] = ACTIONS(500),
    [anon_sym_BSLASHpc] = ACTIONS(500),
    [anon_sym_BSLASHph] = ACTIONS(500),
    [anon_sym_BSLASHb] = ACTIONS(500),
    [anon_sym_BSLASHq] = ACTIONS(500),
    [anon_sym_BSLASHqr] = ACTIONS(500),
    [anon_sym_BSLASHqc] = ACTIONS(500),
    [anon_sym_BSLASHqa] = ACTIONS(500),
    [anon_sym_BSLASHqm] = ACTIONS(500),
    [anon_sym_BSLASHqd] = ACTIONS(500),
    [anon_sym_BSLASHlh] = ACTIONS(500),
    [anon_sym_BSLASHlf] = ACTIONS(500),
    [anon_sym_BSLASHli] = ACTIONS(500),
    [anon_sym_BSLASHlim] = ACTIONS(500),
    [anon_sym_BSLASHliv] = ACTIONS(500),
    [anon_sym_BSLASHlik] = ACTIONS(500),
    [anon_sym_BSLASHlitl] = ACTIONS(500),
    [anon_sym_BSLASHtr] = ACTIONS(500),
    [anon_sym_BSLASHf] = ACTIONS(500),
    [anon_sym_BSLASHfe] = ACTIONS(500),
    [anon_sym_BSLASHef] = ACTIONS(500),
    [anon_sym_BSLASHfm] = ACTIONS(500),
    [anon_sym_BSLASHx] = ACTIONS(500),
    [anon_sym_BSLASHxt] = ACTIONS(500),
    [anon_sym_BSLASHrq] = ACTIONS(500),
    [anon_sym_BSLASHadd] = ACTIONS(500),
    [anon_sym_BSLASHbk] = ACTIONS(500),
    [anon_sym_BSLASHdc] = ACTIONS(500),
    [anon_sym_BSLASHk] = ACTIONS(500),
    [anon_sym_BSLASHnd] = ACTIONS(500),
    [anon_sym_BSLASHord] = ACTIONS(500),
    [anon_sym_BSLASHpn] = ACTIONS(500),
    [anon_sym_BSLASHpng] = ACTIONS(500),
    [anon_sym_BSLASHaddpn] = ACTIONS(500),
    [anon_sym_BSLASHqt] = ACTIONS(500),
    [anon_sym_BSLASHsig] = ACTIONS(500),
    [anon_sym_BSLASHsls] = ACTIONS(500),
    [anon_sym_BSLASHtl] = ACTIONS(500),
    [anon_sym_BSLASHwj] = ACTIONS(500),
    [anon_sym_BSLASHem] = ACTIONS(500),
    [anon_sym_BSLASHbd] = ACTIONS(500),
    [anon_sym_BSLASHit] = ACTIONS(500),
    [anon_sym_BSLASHbdit] = ACTIONS(500),
    [anon_sym_BSLASHno] = ACTIONS(500),
    [anon_sym_BSLASHsc] = ACTIONS(500),
    [anon_sym_BSLASHsup] = ACTIONS(500),
    [anon_sym_BSLASHndx] = ACTIONS(500),
    [anon_sym_BSLASHpro] = ACTIONS(500),
    [anon_sym_BSLASHrb] = ACTIONS(500),
    [anon_sym_BSLASHw] = ACTIONS(500),
    [anon_sym_BSLASHwg] = ACTIONS(500),
    [anon_sym_BSLASHwh] = ACTIONS(500),
    [anon_sym_BSLASHwa] = ACTIONS(500),
    [anon_sym_BSLASHfig] = ACTIONS(500),
    [anon_sym_BSLASHjmp] = ACTIONS(500),
    [anon_sym_BSLASHpb] = ACTIONS(500),
    [anon_sym_BSLASH] = ACTIONS(500),
    [sym_milestoneStartTag] = ACTIONS(500),
    [sym_milestoneEndTag] = ACTIONS(500),
    [sym_zSpaceTag] = ACTIONS(500),
    [anon_sym_BSLASHesb] = ACTIONS(500),
  },
  [424] = {
    [aux_sym_text_token1] = ACTIONS(5312),
    [anon_sym_BSLASHref] = ACTIONS(5312),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5312),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5312),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5312),
    [anon_sym_BSLASHfr] = ACTIONS(5312),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5312),
    [anon_sym_BSLASHfq] = ACTIONS(5312),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5312),
    [anon_sym_BSLASHfqa] = ACTIONS(5312),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5312),
    [anon_sym_BSLASHfk] = ACTIONS(5312),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5312),
    [anon_sym_BSLASHfl] = ACTIONS(5312),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5312),
    [anon_sym_BSLASHfw] = ACTIONS(5312),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5312),
    [anon_sym_BSLASHfp] = ACTIONS(5312),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5312),
    [anon_sym_BSLASHft] = ACTIONS(5312),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5312),
    [anon_sym_BSLASHfdc] = ACTIONS(5312),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5312),
    [anon_sym_BSLASHfv] = ACTIONS(5312),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5312),
    [anon_sym_BSLASHxt] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5312),
    [anon_sym_BSLASHadd] = ACTIONS(5312),
    [anon_sym_BSLASHbk] = ACTIONS(5312),
    [anon_sym_BSLASHdc] = ACTIONS(5312),
    [anon_sym_BSLASHk] = ACTIONS(5312),
    [anon_sym_BSLASHnd] = ACTIONS(5312),
    [anon_sym_BSLASHord] = ACTIONS(5312),
    [anon_sym_BSLASHpn] = ACTIONS(5312),
    [anon_sym_BSLASHpng] = ACTIONS(5312),
    [anon_sym_BSLASHaddpn] = ACTIONS(5312),
    [anon_sym_BSLASHqt] = ACTIONS(5312),
    [anon_sym_BSLASHsig] = ACTIONS(5312),
    [anon_sym_BSLASHsls] = ACTIONS(5312),
    [anon_sym_BSLASHtl] = ACTIONS(5312),
    [anon_sym_BSLASHwj] = ACTIONS(5312),
    [anon_sym_BSLASHem] = ACTIONS(5312),
    [anon_sym_BSLASHbd] = ACTIONS(5312),
    [anon_sym_BSLASHit] = ACTIONS(5312),
    [anon_sym_BSLASHbdit] = ACTIONS(5312),
    [anon_sym_BSLASHno] = ACTIONS(5312),
    [anon_sym_BSLASHsc] = ACTIONS(5312),
    [anon_sym_BSLASHsup] = ACTIONS(5312),
    [anon_sym_BSLASHndx] = ACTIONS(5312),
    [anon_sym_BSLASHpro] = ACTIONS(5312),
    [anon_sym_BSLASHrb] = ACTIONS(5312),
    [anon_sym_BSLASHw] = ACTIONS(5312),
    [anon_sym_BSLASHwg] = ACTIONS(5312),
    [anon_sym_BSLASHwh] = ACTIONS(5312),
    [anon_sym_BSLASHwa] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5312),
    [anon_sym_BSLASHfig] = ACTIONS(5312),
    [anon_sym_BSLASHjmp] = ACTIONS(5312),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5312),
    [anon_sym_BSLASHcat] = ACTIONS(5312),
    [sym_customAttributeName] = ACTIONS(5312),
    [anon_sym_PIPE] = ACTIONS(5312),
    [anon_sym_link_DASHhref] = ACTIONS(5312),
    [anon_sym_link_DASHtitle] = ACTIONS(5312),
    [anon_sym_link_DASHid] = ACTIONS(5312),
    [anon_sym_href] = ACTIONS(5312),
    [anon_sym_title] = ACTIONS(5312),
    [anon_sym_id] = ACTIONS(5312),
    [anon_sym_x_DASH] = ACTIONS(5312),
  },
  [425] = {
    [aux_sym_text_token1] = ACTIONS(5314),
    [anon_sym_BSLASHref] = ACTIONS(5314),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5314),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5314),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5314),
    [anon_sym_BSLASHfr] = ACTIONS(5314),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5314),
    [anon_sym_BSLASHfq] = ACTIONS(5314),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5314),
    [anon_sym_BSLASHfqa] = ACTIONS(5314),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5314),
    [anon_sym_BSLASHfk] = ACTIONS(5314),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5314),
    [anon_sym_BSLASHfl] = ACTIONS(5314),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5314),
    [anon_sym_BSLASHfw] = ACTIONS(5314),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5314),
    [anon_sym_BSLASHfp] = ACTIONS(5314),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5314),
    [anon_sym_BSLASHft] = ACTIONS(5314),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5314),
    [anon_sym_BSLASHfdc] = ACTIONS(5314),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5314),
    [anon_sym_BSLASHfv] = ACTIONS(5314),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5314),
    [anon_sym_BSLASHxt] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5314),
    [anon_sym_BSLASHadd] = ACTIONS(5314),
    [anon_sym_BSLASHbk] = ACTIONS(5314),
    [anon_sym_BSLASHdc] = ACTIONS(5314),
    [anon_sym_BSLASHk] = ACTIONS(5314),
    [anon_sym_BSLASHnd] = ACTIONS(5314),
    [anon_sym_BSLASHord] = ACTIONS(5314),
    [anon_sym_BSLASHpn] = ACTIONS(5314),
    [anon_sym_BSLASHpng] = ACTIONS(5314),
    [anon_sym_BSLASHaddpn] = ACTIONS(5314),
    [anon_sym_BSLASHqt] = ACTIONS(5314),
    [anon_sym_BSLASHsig] = ACTIONS(5314),
    [anon_sym_BSLASHsls] = ACTIONS(5314),
    [anon_sym_BSLASHtl] = ACTIONS(5314),
    [anon_sym_BSLASHwj] = ACTIONS(5314),
    [anon_sym_BSLASHem] = ACTIONS(5314),
    [anon_sym_BSLASHbd] = ACTIONS(5314),
    [anon_sym_BSLASHit] = ACTIONS(5314),
    [anon_sym_BSLASHbdit] = ACTIONS(5314),
    [anon_sym_BSLASHno] = ACTIONS(5314),
    [anon_sym_BSLASHsc] = ACTIONS(5314),
    [anon_sym_BSLASHsup] = ACTIONS(5314),
    [anon_sym_BSLASHndx] = ACTIONS(5314),
    [anon_sym_BSLASHpro] = ACTIONS(5314),
    [anon_sym_BSLASHrb] = ACTIONS(5314),
    [anon_sym_BSLASHw] = ACTIONS(5314),
    [anon_sym_BSLASHwg] = ACTIONS(5314),
    [anon_sym_BSLASHwh] = ACTIONS(5314),
    [anon_sym_BSLASHwa] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5314),
    [anon_sym_BSLASHfig] = ACTIONS(5314),
    [anon_sym_BSLASHjmp] = ACTIONS(5314),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5314),
    [anon_sym_BSLASHcat] = ACTIONS(5314),
    [sym_customAttributeName] = ACTIONS(5314),
    [anon_sym_PIPE] = ACTIONS(5314),
    [anon_sym_link_DASHhref] = ACTIONS(5314),
    [anon_sym_link_DASHtitle] = ACTIONS(5314),
    [anon_sym_link_DASHid] = ACTIONS(5314),
    [anon_sym_href] = ACTIONS(5314),
    [anon_sym_title] = ACTIONS(5314),
    [anon_sym_id] = ACTIONS(5314),
    [anon_sym_x_DASH] = ACTIONS(5314),
  },
  [426] = {
    [aux_sym_text_token1] = ACTIONS(5316),
    [anon_sym_BSLASHref] = ACTIONS(5316),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfr] = ACTIONS(5316),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfq] = ACTIONS(5316),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfqa] = ACTIONS(5316),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfk] = ACTIONS(5316),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfl] = ACTIONS(5316),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfw] = ACTIONS(5316),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfp] = ACTIONS(5316),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHft] = ACTIONS(5316),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfdc] = ACTIONS(5316),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHfv] = ACTIONS(5316),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHxt] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5316),
    [anon_sym_BSLASHadd] = ACTIONS(5316),
    [anon_sym_BSLASHbk] = ACTIONS(5316),
    [anon_sym_BSLASHdc] = ACTIONS(5316),
    [anon_sym_BSLASHk] = ACTIONS(5316),
    [anon_sym_BSLASHnd] = ACTIONS(5316),
    [anon_sym_BSLASHord] = ACTIONS(5316),
    [anon_sym_BSLASHpn] = ACTIONS(5316),
    [anon_sym_BSLASHpng] = ACTIONS(5316),
    [anon_sym_BSLASHaddpn] = ACTIONS(5316),
    [anon_sym_BSLASHqt] = ACTIONS(5316),
    [anon_sym_BSLASHsig] = ACTIONS(5316),
    [anon_sym_BSLASHsls] = ACTIONS(5316),
    [anon_sym_BSLASHtl] = ACTIONS(5316),
    [anon_sym_BSLASHwj] = ACTIONS(5316),
    [anon_sym_BSLASHem] = ACTIONS(5316),
    [anon_sym_BSLASHbd] = ACTIONS(5316),
    [anon_sym_BSLASHit] = ACTIONS(5316),
    [anon_sym_BSLASHbdit] = ACTIONS(5316),
    [anon_sym_BSLASHno] = ACTIONS(5316),
    [anon_sym_BSLASHsc] = ACTIONS(5316),
    [anon_sym_BSLASHsup] = ACTIONS(5316),
    [anon_sym_BSLASHndx] = ACTIONS(5316),
    [anon_sym_BSLASHpro] = ACTIONS(5316),
    [anon_sym_BSLASHrb] = ACTIONS(5316),
    [anon_sym_BSLASHw] = ACTIONS(5316),
    [anon_sym_BSLASHwg] = ACTIONS(5316),
    [anon_sym_BSLASHwh] = ACTIONS(5316),
    [anon_sym_BSLASHwa] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5316),
    [anon_sym_BSLASHfig] = ACTIONS(5316),
    [anon_sym_BSLASHjmp] = ACTIONS(5316),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5316),
    [anon_sym_BSLASHcat] = ACTIONS(5316),
    [sym_customAttributeName] = ACTIONS(5316),
    [anon_sym_PIPE] = ACTIONS(5316),
    [anon_sym_link_DASHhref] = ACTIONS(5316),
    [anon_sym_link_DASHtitle] = ACTIONS(5316),
    [anon_sym_link_DASHid] = ACTIONS(5316),
    [anon_sym_href] = ACTIONS(5316),
    [anon_sym_title] = ACTIONS(5316),
    [anon_sym_id] = ACTIONS(5316),
    [anon_sym_x_DASH] = ACTIONS(5316),
  },
  [427] = {
    [aux_sym_text_token1] = ACTIONS(5318),
    [anon_sym_BSLASHref] = ACTIONS(5318),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfr] = ACTIONS(5318),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfq] = ACTIONS(5318),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfqa] = ACTIONS(5318),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfk] = ACTIONS(5318),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfl] = ACTIONS(5318),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfw] = ACTIONS(5318),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfp] = ACTIONS(5318),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHft] = ACTIONS(5318),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfdc] = ACTIONS(5318),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfv] = ACTIONS(5318),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHxt] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHadd] = ACTIONS(5318),
    [anon_sym_BSLASHbk] = ACTIONS(5318),
    [anon_sym_BSLASHdc] = ACTIONS(5318),
    [anon_sym_BSLASHk] = ACTIONS(5318),
    [anon_sym_BSLASHnd] = ACTIONS(5318),
    [anon_sym_BSLASHord] = ACTIONS(5318),
    [anon_sym_BSLASHpn] = ACTIONS(5318),
    [anon_sym_BSLASHpng] = ACTIONS(5318),
    [anon_sym_BSLASHaddpn] = ACTIONS(5318),
    [anon_sym_BSLASHqt] = ACTIONS(5318),
    [anon_sym_BSLASHsig] = ACTIONS(5318),
    [anon_sym_BSLASHsls] = ACTIONS(5318),
    [anon_sym_BSLASHtl] = ACTIONS(5318),
    [anon_sym_BSLASHwj] = ACTIONS(5318),
    [anon_sym_BSLASHem] = ACTIONS(5318),
    [anon_sym_BSLASHbd] = ACTIONS(5318),
    [anon_sym_BSLASHit] = ACTIONS(5318),
    [anon_sym_BSLASHbdit] = ACTIONS(5318),
    [anon_sym_BSLASHno] = ACTIONS(5318),
    [anon_sym_BSLASHsc] = ACTIONS(5318),
    [anon_sym_BSLASHsup] = ACTIONS(5318),
    [anon_sym_BSLASHndx] = ACTIONS(5318),
    [anon_sym_BSLASHpro] = ACTIONS(5318),
    [anon_sym_BSLASHrb] = ACTIONS(5318),
    [anon_sym_BSLASHw] = ACTIONS(5318),
    [anon_sym_BSLASHwg] = ACTIONS(5318),
    [anon_sym_BSLASHwh] = ACTIONS(5318),
    [anon_sym_BSLASHwa] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5318),
    [anon_sym_BSLASHfig] = ACTIONS(5318),
    [anon_sym_BSLASHjmp] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5318),
    [anon_sym_BSLASHcat] = ACTIONS(5318),
    [sym_customAttributeName] = ACTIONS(5318),
    [anon_sym_PIPE] = ACTIONS(5318),
    [anon_sym_link_DASHhref] = ACTIONS(5318),
    [anon_sym_link_DASHtitle] = ACTIONS(5318),
    [anon_sym_link_DASHid] = ACTIONS(5318),
    [anon_sym_href] = ACTIONS(5318),
    [anon_sym_title] = ACTIONS(5318),
    [anon_sym_id] = ACTIONS(5318),
    [anon_sym_x_DASH] = ACTIONS(5318),
  },
  [428] = {
    [ts_builtin_sym_end] = ACTIONS(5),
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHref] = ACTIONS(7),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHiex] = ACTIONS(7),
    [anon_sym_BSLASHv] = ACTIONS(7),
    [anon_sym_BSLASHva] = ACTIONS(7),
    [anon_sym_BSLASHvp] = ACTIONS(7),
    [anon_sym_BSLASHc] = ACTIONS(7),
    [anon_sym_BSLASHcl] = ACTIONS(7),
    [anon_sym_BSLASHca] = ACTIONS(7),
    [anon_sym_BSLASHcp] = ACTIONS(7),
    [anon_sym_BSLASHcd] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqs] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqac] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHx] = ACTIONS(7),
    [anon_sym_BSLASHxt] = ACTIONS(7),
    [anon_sym_BSLASHrq] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_BSLASH_STAR] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [sym__zSpaceClose] = ACTIONS(7),
    [anon_sym_BSLASHesb] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
  },
  [429] = {
    [aux_sym_text_token1] = ACTIONS(5320),
    [anon_sym_BSLASHref] = ACTIONS(5320),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHfr] = ACTIONS(5320),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHfq] = ACTIONS(5320),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHfqa] = ACTIONS(5320),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHfk] = ACTIONS(5320),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHfl] = ACTIONS(5320),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHfw] = ACTIONS(5320),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHfp] = ACTIONS(5320),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHft] = ACTIONS(5320),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHfdc] = ACTIONS(5320),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHfv] = ACTIONS(5320),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHxt] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5320),
    [anon_sym_BSLASHadd] = ACTIONS(5320),
    [anon_sym_BSLASHbk] = ACTIONS(5320),
    [anon_sym_BSLASHdc] = ACTIONS(5320),
    [anon_sym_BSLASHk] = ACTIONS(5320),
    [anon_sym_BSLASHnd] = ACTIONS(5320),
    [anon_sym_BSLASHord] = ACTIONS(5320),
    [anon_sym_BSLASHpn] = ACTIONS(5320),
    [anon_sym_BSLASHpng] = ACTIONS(5320),
    [anon_sym_BSLASHaddpn] = ACTIONS(5320),
    [anon_sym_BSLASHqt] = ACTIONS(5320),
    [anon_sym_BSLASHsig] = ACTIONS(5320),
    [anon_sym_BSLASHsls] = ACTIONS(5320),
    [anon_sym_BSLASHtl] = ACTIONS(5320),
    [anon_sym_BSLASHwj] = ACTIONS(5320),
    [anon_sym_BSLASHem] = ACTIONS(5320),
    [anon_sym_BSLASHbd] = ACTIONS(5320),
    [anon_sym_BSLASHit] = ACTIONS(5320),
    [anon_sym_BSLASHbdit] = ACTIONS(5320),
    [anon_sym_BSLASHno] = ACTIONS(5320),
    [anon_sym_BSLASHsc] = ACTIONS(5320),
    [anon_sym_BSLASHsup] = ACTIONS(5320),
    [anon_sym_BSLASHndx] = ACTIONS(5320),
    [anon_sym_BSLASHpro] = ACTIONS(5320),
    [anon_sym_BSLASHrb] = ACTIONS(5320),
    [anon_sym_BSLASHw] = ACTIONS(5320),
    [anon_sym_BSLASHwg] = ACTIONS(5320),
    [anon_sym_BSLASHwh] = ACTIONS(5320),
    [anon_sym_BSLASHwa] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5320),
    [anon_sym_BSLASHfig] = ACTIONS(5320),
    [anon_sym_BSLASHjmp] = ACTIONS(5320),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5320),
    [anon_sym_BSLASHcat] = ACTIONS(5320),
    [sym_customAttributeName] = ACTIONS(5320),
    [anon_sym_PIPE] = ACTIONS(5320),
    [anon_sym_link_DASHhref] = ACTIONS(5320),
    [anon_sym_link_DASHtitle] = ACTIONS(5320),
    [anon_sym_link_DASHid] = ACTIONS(5320),
    [anon_sym_href] = ACTIONS(5320),
    [anon_sym_title] = ACTIONS(5320),
    [anon_sym_id] = ACTIONS(5320),
    [anon_sym_x_DASH] = ACTIONS(5320),
  },
  [430] = {
    [ts_builtin_sym_end] = ACTIONS(502),
    [aux_sym_text_token1] = ACTIONS(502),
    [anon_sym_BSLASHref] = ACTIONS(504),
    [anon_sym_BSLASHsts] = ACTIONS(504),
    [anon_sym_BSLASHrem] = ACTIONS(504),
    [anon_sym_BSLASHrestore] = ACTIONS(504),
    [anon_sym_BSLASHlit] = ACTIONS(504),
    [anon_sym_BSLASHiqt] = ACTIONS(504),
    [anon_sym_BSLASHip] = ACTIONS(504),
    [anon_sym_BSLASHiex] = ACTIONS(504),
    [anon_sym_BSLASHv] = ACTIONS(504),
    [anon_sym_BSLASHva] = ACTIONS(504),
    [anon_sym_BSLASHvp] = ACTIONS(504),
    [anon_sym_BSLASHc] = ACTIONS(504),
    [anon_sym_BSLASHcl] = ACTIONS(504),
    [anon_sym_BSLASHca] = ACTIONS(504),
    [anon_sym_BSLASHcp] = ACTIONS(504),
    [anon_sym_BSLASHcd] = ACTIONS(504),
    [anon_sym_BSLASHmte] = ACTIONS(504),
    [anon_sym_BSLASHms] = ACTIONS(504),
    [anon_sym_BSLASHs] = ACTIONS(504),
    [anon_sym_BSLASHr] = ACTIONS(504),
    [anon_sym_BSLASHsp] = ACTIONS(504),
    [anon_sym_BSLASHd] = ACTIONS(504),
    [anon_sym_BSLASHsd] = ACTIONS(504),
    [anon_sym_BSLASHp] = ACTIONS(504),
    [anon_sym_BSLASHm] = ACTIONS(504),
    [anon_sym_BSLASHpo] = ACTIONS(504),
    [anon_sym_BSLASHpr] = ACTIONS(504),
    [anon_sym_BSLASHcls] = ACTIONS(504),
    [anon_sym_BSLASHpmo] = ACTIONS(504),
    [anon_sym_BSLASHpm] = ACTIONS(504),
    [anon_sym_BSLASHpmc] = ACTIONS(504),
    [anon_sym_BSLASHpmr] = ACTIONS(504),
    [anon_sym_BSLASHpi] = ACTIONS(504),
    [anon_sym_BSLASHmi] = ACTIONS(504),
    [anon_sym_BSLASHnb] = ACTIONS(504),
    [anon_sym_BSLASHpc] = ACTIONS(504),
    [anon_sym_BSLASHph] = ACTIONS(504),
    [anon_sym_BSLASHb] = ACTIONS(504),
    [anon_sym_BSLASHq] = ACTIONS(504),
    [anon_sym_BSLASHqr] = ACTIONS(504),
    [anon_sym_BSLASHqc] = ACTIONS(504),
    [anon_sym_BSLASHqa] = ACTIONS(504),
    [anon_sym_BSLASHqm] = ACTIONS(504),
    [anon_sym_BSLASHqd] = ACTIONS(504),
    [anon_sym_BSLASHlh] = ACTIONS(504),
    [anon_sym_BSLASHlf] = ACTIONS(504),
    [anon_sym_BSLASHli] = ACTIONS(504),
    [anon_sym_BSLASHlim] = ACTIONS(504),
    [anon_sym_BSLASHliv] = ACTIONS(504),
    [anon_sym_BSLASHlik] = ACTIONS(504),
    [anon_sym_BSLASHlitl] = ACTIONS(504),
    [anon_sym_BSLASHtr] = ACTIONS(504),
    [anon_sym_BSLASHf] = ACTIONS(504),
    [anon_sym_BSLASHfe] = ACTIONS(504),
    [anon_sym_BSLASHef] = ACTIONS(504),
    [anon_sym_BSLASHfm] = ACTIONS(504),
    [anon_sym_BSLASHx] = ACTIONS(504),
    [anon_sym_BSLASHxt] = ACTIONS(504),
    [anon_sym_BSLASHrq] = ACTIONS(504),
    [anon_sym_BSLASHadd] = ACTIONS(504),
    [anon_sym_BSLASHbk] = ACTIONS(504),
    [anon_sym_BSLASHdc] = ACTIONS(504),
    [anon_sym_BSLASHk] = ACTIONS(504),
    [anon_sym_BSLASHnd] = ACTIONS(504),
    [anon_sym_BSLASHord] = ACTIONS(504),
    [anon_sym_BSLASHpn] = ACTIONS(504),
    [anon_sym_BSLASHpng] = ACTIONS(504),
    [anon_sym_BSLASHaddpn] = ACTIONS(504),
    [anon_sym_BSLASHqt] = ACTIONS(504),
    [anon_sym_BSLASHsig] = ACTIONS(504),
    [anon_sym_BSLASHsls] = ACTIONS(504),
    [anon_sym_BSLASHtl] = ACTIONS(504),
    [anon_sym_BSLASHwj] = ACTIONS(504),
    [anon_sym_BSLASHem] = ACTIONS(504),
    [anon_sym_BSLASHbd] = ACTIONS(504),
    [anon_sym_BSLASHit] = ACTIONS(504),
    [anon_sym_BSLASHbdit] = ACTIONS(504),
    [anon_sym_BSLASHno] = ACTIONS(504),
    [anon_sym_BSLASHsc] = ACTIONS(504),
    [anon_sym_BSLASHsup] = ACTIONS(504),
    [anon_sym_BSLASHndx] = ACTIONS(504),
    [anon_sym_BSLASHpro] = ACTIONS(504),
    [anon_sym_BSLASHrb] = ACTIONS(504),
    [anon_sym_BSLASHw] = ACTIONS(504),
    [anon_sym_BSLASHwg] = ACTIONS(504),
    [anon_sym_BSLASHwh] = ACTIONS(504),
    [anon_sym_BSLASHwa] = ACTIONS(504),
    [anon_sym_BSLASHfig] = ACTIONS(504),
    [anon_sym_BSLASHjmp] = ACTIONS(504),
    [anon_sym_BSLASHpb] = ACTIONS(504),
    [anon_sym_BSLASH] = ACTIONS(504),
    [sym_milestoneStartTag] = ACTIONS(504),
    [sym_milestoneEndTag] = ACTIONS(504),
    [sym_zSpaceTag] = ACTIONS(504),
    [anon_sym_BSLASHesb] = ACTIONS(504),
  },
  [431] = {
    [ts_builtin_sym_end] = ACTIONS(5322),
    [aux_sym_text_token1] = ACTIONS(5322),
    [anon_sym_BSLASHref] = ACTIONS(5324),
    [anon_sym_BSLASHsts] = ACTIONS(5324),
    [anon_sym_BSLASHrem] = ACTIONS(5324),
    [anon_sym_BSLASHrestore] = ACTIONS(5324),
    [anon_sym_BSLASHlit] = ACTIONS(5324),
    [anon_sym_BSLASHip] = ACTIONS(5324),
    [anon_sym_BSLASHiex] = ACTIONS(5324),
    [anon_sym_BSLASHv] = ACTIONS(5324),
    [anon_sym_BSLASHva] = ACTIONS(5324),
    [anon_sym_BSLASHvp] = ACTIONS(5324),
    [anon_sym_BSLASHc] = ACTIONS(5324),
    [anon_sym_BSLASHcl] = ACTIONS(5324),
    [anon_sym_BSLASHca] = ACTIONS(5324),
    [anon_sym_BSLASHcp] = ACTIONS(5324),
    [anon_sym_BSLASHcd] = ACTIONS(5324),
    [anon_sym_BSLASHmte] = ACTIONS(5324),
    [anon_sym_BSLASHms] = ACTIONS(5324),
    [anon_sym_BSLASHs] = ACTIONS(5324),
    [anon_sym_BSLASHr] = ACTIONS(5324),
    [anon_sym_BSLASHsp] = ACTIONS(5324),
    [anon_sym_BSLASHd] = ACTIONS(5324),
    [anon_sym_BSLASHsd] = ACTIONS(5324),
    [anon_sym_BSLASHp] = ACTIONS(5324),
    [anon_sym_BSLASHm] = ACTIONS(5324),
    [anon_sym_BSLASHpo] = ACTIONS(5324),
    [anon_sym_BSLASHpr] = ACTIONS(5324),
    [anon_sym_BSLASHcls] = ACTIONS(5324),
    [anon_sym_BSLASHpmo] = ACTIONS(5324),
    [anon_sym_BSLASHpm] = ACTIONS(5324),
    [anon_sym_BSLASHpmc] = ACTIONS(5324),
    [anon_sym_BSLASHpmr] = ACTIONS(5324),
    [anon_sym_BSLASHpi] = ACTIONS(5324),
    [anon_sym_BSLASHmi] = ACTIONS(5324),
    [anon_sym_BSLASHnb] = ACTIONS(5324),
    [anon_sym_BSLASHpc] = ACTIONS(5324),
    [anon_sym_BSLASHph] = ACTIONS(5324),
    [anon_sym_BSLASHb] = ACTIONS(5324),
    [anon_sym_BSLASHq] = ACTIONS(5324),
    [anon_sym_BSLASHqr] = ACTIONS(5324),
    [anon_sym_BSLASHqc] = ACTIONS(5324),
    [anon_sym_BSLASHqa] = ACTIONS(5324),
    [anon_sym_BSLASHqm] = ACTIONS(5324),
    [anon_sym_BSLASHqd] = ACTIONS(5324),
    [anon_sym_BSLASHlh] = ACTIONS(5324),
    [anon_sym_BSLASHlf] = ACTIONS(5324),
    [anon_sym_BSLASHli] = ACTIONS(5324),
    [anon_sym_BSLASHlim] = ACTIONS(5324),
    [anon_sym_BSLASHliv] = ACTIONS(5324),
    [anon_sym_BSLASHlik] = ACTIONS(5324),
    [anon_sym_BSLASHlitl] = ACTIONS(5324),
    [anon_sym_BSLASHtr] = ACTIONS(5324),
    [anon_sym_BSLASHf] = ACTIONS(5324),
    [anon_sym_BSLASHfe] = ACTIONS(5324),
    [anon_sym_BSLASHef] = ACTIONS(5324),
    [anon_sym_BSLASHfm] = ACTIONS(5324),
    [anon_sym_BSLASHx] = ACTIONS(5324),
    [anon_sym_BSLASHxt] = ACTIONS(5324),
    [anon_sym_BSLASHrq] = ACTIONS(5324),
    [anon_sym_BSLASHadd] = ACTIONS(5324),
    [anon_sym_BSLASHbk] = ACTIONS(5324),
    [anon_sym_BSLASHdc] = ACTIONS(5324),
    [anon_sym_BSLASHk] = ACTIONS(5324),
    [anon_sym_BSLASHnd] = ACTIONS(5324),
    [anon_sym_BSLASHord] = ACTIONS(5324),
    [anon_sym_BSLASHpn] = ACTIONS(5324),
    [anon_sym_BSLASHpng] = ACTIONS(5324),
    [anon_sym_BSLASHaddpn] = ACTIONS(5324),
    [anon_sym_BSLASHqt] = ACTIONS(5324),
    [anon_sym_BSLASHsig] = ACTIONS(5324),
    [anon_sym_BSLASHsls] = ACTIONS(5324),
    [anon_sym_BSLASHtl] = ACTIONS(5324),
    [anon_sym_BSLASHwj] = ACTIONS(5324),
    [anon_sym_BSLASHem] = ACTIONS(5324),
    [anon_sym_BSLASHbd] = ACTIONS(5324),
    [anon_sym_BSLASHit] = ACTIONS(5324),
    [anon_sym_BSLASHbdit] = ACTIONS(5324),
    [anon_sym_BSLASHno] = ACTIONS(5324),
    [anon_sym_BSLASHsc] = ACTIONS(5324),
    [anon_sym_BSLASHsup] = ACTIONS(5324),
    [anon_sym_BSLASHndx] = ACTIONS(5324),
    [anon_sym_BSLASHpro] = ACTIONS(5324),
    [anon_sym_BSLASHrb] = ACTIONS(5324),
    [anon_sym_BSLASHw] = ACTIONS(5324),
    [anon_sym_BSLASHwg] = ACTIONS(5324),
    [anon_sym_BSLASHwh] = ACTIONS(5324),
    [anon_sym_BSLASHwa] = ACTIONS(5324),
    [anon_sym_BSLASHfig] = ACTIONS(5324),
    [anon_sym_BSLASHjmp] = ACTIONS(5324),
    [anon_sym_BSLASHpb] = ACTIONS(5324),
    [anon_sym_BSLASH] = ACTIONS(5324),
    [sym_milestoneStartTag] = ACTIONS(5324),
    [sym_milestoneEndTag] = ACTIONS(5324),
    [sym_zSpaceTag] = ACTIONS(5324),
    [anon_sym_BSLASHesb] = ACTIONS(5324),
  },
  [432] = {
    [ts_builtin_sym_end] = ACTIONS(5326),
    [aux_sym_text_token1] = ACTIONS(5326),
    [anon_sym_BSLASHref] = ACTIONS(5328),
    [anon_sym_BSLASHsts] = ACTIONS(5328),
    [anon_sym_BSLASHrem] = ACTIONS(5328),
    [anon_sym_BSLASHrestore] = ACTIONS(5328),
    [anon_sym_BSLASHlit] = ACTIONS(5328),
    [anon_sym_BSLASHip] = ACTIONS(5328),
    [anon_sym_BSLASHiex] = ACTIONS(5328),
    [anon_sym_BSLASHv] = ACTIONS(5328),
    [anon_sym_BSLASHva] = ACTIONS(5328),
    [anon_sym_BSLASHvp] = ACTIONS(5328),
    [anon_sym_BSLASHc] = ACTIONS(5328),
    [anon_sym_BSLASHcl] = ACTIONS(5328),
    [anon_sym_BSLASHca] = ACTIONS(5328),
    [anon_sym_BSLASHcp] = ACTIONS(5328),
    [anon_sym_BSLASHcd] = ACTIONS(5328),
    [anon_sym_BSLASHmte] = ACTIONS(5328),
    [anon_sym_BSLASHms] = ACTIONS(5328),
    [anon_sym_BSLASHs] = ACTIONS(5328),
    [anon_sym_BSLASHr] = ACTIONS(5328),
    [anon_sym_BSLASHsp] = ACTIONS(5328),
    [anon_sym_BSLASHd] = ACTIONS(5328),
    [anon_sym_BSLASHsd] = ACTIONS(5328),
    [anon_sym_BSLASHp] = ACTIONS(5328),
    [anon_sym_BSLASHm] = ACTIONS(5328),
    [anon_sym_BSLASHpo] = ACTIONS(5328),
    [anon_sym_BSLASHpr] = ACTIONS(5328),
    [anon_sym_BSLASHcls] = ACTIONS(5328),
    [anon_sym_BSLASHpmo] = ACTIONS(5328),
    [anon_sym_BSLASHpm] = ACTIONS(5328),
    [anon_sym_BSLASHpmc] = ACTIONS(5328),
    [anon_sym_BSLASHpmr] = ACTIONS(5328),
    [anon_sym_BSLASHpi] = ACTIONS(5328),
    [anon_sym_BSLASHmi] = ACTIONS(5328),
    [anon_sym_BSLASHnb] = ACTIONS(5328),
    [anon_sym_BSLASHpc] = ACTIONS(5328),
    [anon_sym_BSLASHph] = ACTIONS(5328),
    [anon_sym_BSLASHb] = ACTIONS(5328),
    [anon_sym_BSLASHq] = ACTIONS(5328),
    [anon_sym_BSLASHqr] = ACTIONS(5328),
    [anon_sym_BSLASHqc] = ACTIONS(5328),
    [anon_sym_BSLASHqa] = ACTIONS(5328),
    [anon_sym_BSLASHqm] = ACTIONS(5328),
    [anon_sym_BSLASHqd] = ACTIONS(5328),
    [anon_sym_BSLASHlh] = ACTIONS(5328),
    [anon_sym_BSLASHlf] = ACTIONS(5328),
    [anon_sym_BSLASHli] = ACTIONS(5328),
    [anon_sym_BSLASHlim] = ACTIONS(5328),
    [anon_sym_BSLASHliv] = ACTIONS(5328),
    [anon_sym_BSLASHlik] = ACTIONS(5328),
    [anon_sym_BSLASHlitl] = ACTIONS(5328),
    [anon_sym_BSLASHtr] = ACTIONS(5328),
    [anon_sym_BSLASHf] = ACTIONS(5328),
    [anon_sym_BSLASHfe] = ACTIONS(5328),
    [anon_sym_BSLASHef] = ACTIONS(5328),
    [anon_sym_BSLASHfm] = ACTIONS(5328),
    [anon_sym_BSLASHx] = ACTIONS(5328),
    [anon_sym_BSLASHxt] = ACTIONS(5328),
    [anon_sym_BSLASHrq] = ACTIONS(5328),
    [anon_sym_BSLASHadd] = ACTIONS(5328),
    [anon_sym_BSLASHbk] = ACTIONS(5328),
    [anon_sym_BSLASHdc] = ACTIONS(5328),
    [anon_sym_BSLASHk] = ACTIONS(5328),
    [anon_sym_BSLASHnd] = ACTIONS(5328),
    [anon_sym_BSLASHord] = ACTIONS(5328),
    [anon_sym_BSLASHpn] = ACTIONS(5328),
    [anon_sym_BSLASHpng] = ACTIONS(5328),
    [anon_sym_BSLASHaddpn] = ACTIONS(5328),
    [anon_sym_BSLASHqt] = ACTIONS(5328),
    [anon_sym_BSLASHsig] = ACTIONS(5328),
    [anon_sym_BSLASHsls] = ACTIONS(5328),
    [anon_sym_BSLASHtl] = ACTIONS(5328),
    [anon_sym_BSLASHwj] = ACTIONS(5328),
    [anon_sym_BSLASHem] = ACTIONS(5328),
    [anon_sym_BSLASHbd] = ACTIONS(5328),
    [anon_sym_BSLASHit] = ACTIONS(5328),
    [anon_sym_BSLASHbdit] = ACTIONS(5328),
    [anon_sym_BSLASHno] = ACTIONS(5328),
    [anon_sym_BSLASHsc] = ACTIONS(5328),
    [anon_sym_BSLASHsup] = ACTIONS(5328),
    [anon_sym_BSLASHndx] = ACTIONS(5328),
    [anon_sym_BSLASHpro] = ACTIONS(5328),
    [anon_sym_BSLASHrb] = ACTIONS(5328),
    [anon_sym_BSLASHw] = ACTIONS(5328),
    [anon_sym_BSLASHwg] = ACTIONS(5328),
    [anon_sym_BSLASHwh] = ACTIONS(5328),
    [anon_sym_BSLASHwa] = ACTIONS(5328),
    [anon_sym_BSLASHfig] = ACTIONS(5328),
    [anon_sym_BSLASHjmp] = ACTIONS(5328),
    [anon_sym_BSLASHpb] = ACTIONS(5328),
    [anon_sym_BSLASH] = ACTIONS(5328),
    [sym_milestoneStartTag] = ACTIONS(5328),
    [sym_milestoneEndTag] = ACTIONS(5328),
    [sym_zSpaceTag] = ACTIONS(5328),
    [anon_sym_BSLASHesb] = ACTIONS(5328),
  },
  [433] = {
    [ts_builtin_sym_end] = ACTIONS(5330),
    [aux_sym_text_token1] = ACTIONS(5330),
    [anon_sym_BSLASHref] = ACTIONS(5332),
    [anon_sym_BSLASHsts] = ACTIONS(5332),
    [anon_sym_BSLASHrem] = ACTIONS(5332),
    [anon_sym_BSLASHrestore] = ACTIONS(5332),
    [anon_sym_BSLASHlit] = ACTIONS(5332),
    [anon_sym_BSLASHip] = ACTIONS(5332),
    [anon_sym_BSLASHiex] = ACTIONS(5332),
    [anon_sym_BSLASHv] = ACTIONS(5332),
    [anon_sym_BSLASHva] = ACTIONS(5332),
    [anon_sym_BSLASHvp] = ACTIONS(5332),
    [anon_sym_BSLASHc] = ACTIONS(5332),
    [anon_sym_BSLASHcl] = ACTIONS(5332),
    [anon_sym_BSLASHca] = ACTIONS(5332),
    [anon_sym_BSLASHcp] = ACTIONS(5332),
    [anon_sym_BSLASHcd] = ACTIONS(5332),
    [anon_sym_BSLASHmte] = ACTIONS(5332),
    [anon_sym_BSLASHms] = ACTIONS(5332),
    [anon_sym_BSLASHs] = ACTIONS(5332),
    [anon_sym_BSLASHr] = ACTIONS(5332),
    [anon_sym_BSLASHsp] = ACTIONS(5332),
    [anon_sym_BSLASHd] = ACTIONS(5332),
    [anon_sym_BSLASHsd] = ACTIONS(5332),
    [anon_sym_BSLASHp] = ACTIONS(5332),
    [anon_sym_BSLASHm] = ACTIONS(5332),
    [anon_sym_BSLASHpo] = ACTIONS(5332),
    [anon_sym_BSLASHpr] = ACTIONS(5332),
    [anon_sym_BSLASHcls] = ACTIONS(5332),
    [anon_sym_BSLASHpmo] = ACTIONS(5332),
    [anon_sym_BSLASHpm] = ACTIONS(5332),
    [anon_sym_BSLASHpmc] = ACTIONS(5332),
    [anon_sym_BSLASHpmr] = ACTIONS(5332),
    [anon_sym_BSLASHpi] = ACTIONS(5332),
    [anon_sym_BSLASHmi] = ACTIONS(5332),
    [anon_sym_BSLASHnb] = ACTIONS(5332),
    [anon_sym_BSLASHpc] = ACTIONS(5332),
    [anon_sym_BSLASHph] = ACTIONS(5332),
    [anon_sym_BSLASHb] = ACTIONS(5332),
    [anon_sym_BSLASHq] = ACTIONS(5332),
    [anon_sym_BSLASHqr] = ACTIONS(5332),
    [anon_sym_BSLASHqc] = ACTIONS(5332),
    [anon_sym_BSLASHqa] = ACTIONS(5332),
    [anon_sym_BSLASHqm] = ACTIONS(5332),
    [anon_sym_BSLASHqd] = ACTIONS(5332),
    [anon_sym_BSLASHlh] = ACTIONS(5332),
    [anon_sym_BSLASHlf] = ACTIONS(5332),
    [anon_sym_BSLASHli] = ACTIONS(5332),
    [anon_sym_BSLASHlim] = ACTIONS(5332),
    [anon_sym_BSLASHliv] = ACTIONS(5332),
    [anon_sym_BSLASHlik] = ACTIONS(5332),
    [anon_sym_BSLASHlitl] = ACTIONS(5332),
    [anon_sym_BSLASHtr] = ACTIONS(5332),
    [anon_sym_BSLASHf] = ACTIONS(5332),
    [anon_sym_BSLASHfe] = ACTIONS(5332),
    [anon_sym_BSLASHef] = ACTIONS(5332),
    [anon_sym_BSLASHfm] = ACTIONS(5332),
    [anon_sym_BSLASHx] = ACTIONS(5332),
    [anon_sym_BSLASHxt] = ACTIONS(5332),
    [anon_sym_BSLASHrq] = ACTIONS(5332),
    [anon_sym_BSLASHadd] = ACTIONS(5332),
    [anon_sym_BSLASHbk] = ACTIONS(5332),
    [anon_sym_BSLASHdc] = ACTIONS(5332),
    [anon_sym_BSLASHk] = ACTIONS(5332),
    [anon_sym_BSLASHnd] = ACTIONS(5332),
    [anon_sym_BSLASHord] = ACTIONS(5332),
    [anon_sym_BSLASHpn] = ACTIONS(5332),
    [anon_sym_BSLASHpng] = ACTIONS(5332),
    [anon_sym_BSLASHaddpn] = ACTIONS(5332),
    [anon_sym_BSLASHqt] = ACTIONS(5332),
    [anon_sym_BSLASHsig] = ACTIONS(5332),
    [anon_sym_BSLASHsls] = ACTIONS(5332),
    [anon_sym_BSLASHtl] = ACTIONS(5332),
    [anon_sym_BSLASHwj] = ACTIONS(5332),
    [anon_sym_BSLASHem] = ACTIONS(5332),
    [anon_sym_BSLASHbd] = ACTIONS(5332),
    [anon_sym_BSLASHit] = ACTIONS(5332),
    [anon_sym_BSLASHbdit] = ACTIONS(5332),
    [anon_sym_BSLASHno] = ACTIONS(5332),
    [anon_sym_BSLASHsc] = ACTIONS(5332),
    [anon_sym_BSLASHsup] = ACTIONS(5332),
    [anon_sym_BSLASHndx] = ACTIONS(5332),
    [anon_sym_BSLASHpro] = ACTIONS(5332),
    [anon_sym_BSLASHrb] = ACTIONS(5332),
    [anon_sym_BSLASHw] = ACTIONS(5332),
    [anon_sym_BSLASHwg] = ACTIONS(5332),
    [anon_sym_BSLASHwh] = ACTIONS(5332),
    [anon_sym_BSLASHwa] = ACTIONS(5332),
    [anon_sym_BSLASHfig] = ACTIONS(5332),
    [anon_sym_BSLASHjmp] = ACTIONS(5332),
    [anon_sym_BSLASHpb] = ACTIONS(5332),
    [anon_sym_BSLASH] = ACTIONS(5332),
    [sym_milestoneStartTag] = ACTIONS(5332),
    [sym_milestoneEndTag] = ACTIONS(5332),
    [sym_zSpaceTag] = ACTIONS(5332),
    [anon_sym_BSLASHesb] = ACTIONS(5332),
  },
  [434] = {
    [ts_builtin_sym_end] = ACTIONS(5334),
    [aux_sym_text_token1] = ACTIONS(5334),
    [anon_sym_BSLASHref] = ACTIONS(5336),
    [anon_sym_BSLASHsts] = ACTIONS(5336),
    [anon_sym_BSLASHrem] = ACTIONS(5336),
    [anon_sym_BSLASHrestore] = ACTIONS(5336),
    [anon_sym_BSLASHlit] = ACTIONS(5336),
    [anon_sym_BSLASHip] = ACTIONS(5336),
    [anon_sym_BSLASHiex] = ACTIONS(5336),
    [anon_sym_BSLASHv] = ACTIONS(5336),
    [anon_sym_BSLASHva] = ACTIONS(5336),
    [anon_sym_BSLASHvp] = ACTIONS(5336),
    [anon_sym_BSLASHc] = ACTIONS(5336),
    [anon_sym_BSLASHcl] = ACTIONS(5336),
    [anon_sym_BSLASHca] = ACTIONS(5336),
    [anon_sym_BSLASHcp] = ACTIONS(5336),
    [anon_sym_BSLASHcd] = ACTIONS(5336),
    [anon_sym_BSLASHmte] = ACTIONS(5336),
    [anon_sym_BSLASHms] = ACTIONS(5336),
    [anon_sym_BSLASHs] = ACTIONS(5336),
    [anon_sym_BSLASHr] = ACTIONS(5336),
    [anon_sym_BSLASHsp] = ACTIONS(5336),
    [anon_sym_BSLASHd] = ACTIONS(5336),
    [anon_sym_BSLASHsd] = ACTIONS(5336),
    [anon_sym_BSLASHp] = ACTIONS(5336),
    [anon_sym_BSLASHm] = ACTIONS(5336),
    [anon_sym_BSLASHpo] = ACTIONS(5336),
    [anon_sym_BSLASHpr] = ACTIONS(5336),
    [anon_sym_BSLASHcls] = ACTIONS(5336),
    [anon_sym_BSLASHpmo] = ACTIONS(5336),
    [anon_sym_BSLASHpm] = ACTIONS(5336),
    [anon_sym_BSLASHpmc] = ACTIONS(5336),
    [anon_sym_BSLASHpmr] = ACTIONS(5336),
    [anon_sym_BSLASHpi] = ACTIONS(5336),
    [anon_sym_BSLASHmi] = ACTIONS(5336),
    [anon_sym_BSLASHnb] = ACTIONS(5336),
    [anon_sym_BSLASHpc] = ACTIONS(5336),
    [anon_sym_BSLASHph] = ACTIONS(5336),
    [anon_sym_BSLASHb] = ACTIONS(5336),
    [anon_sym_BSLASHq] = ACTIONS(5336),
    [anon_sym_BSLASHqr] = ACTIONS(5336),
    [anon_sym_BSLASHqc] = ACTIONS(5336),
    [anon_sym_BSLASHqa] = ACTIONS(5336),
    [anon_sym_BSLASHqm] = ACTIONS(5336),
    [anon_sym_BSLASHqd] = ACTIONS(5336),
    [anon_sym_BSLASHlh] = ACTIONS(5336),
    [anon_sym_BSLASHlf] = ACTIONS(5336),
    [anon_sym_BSLASHli] = ACTIONS(5336),
    [anon_sym_BSLASHlim] = ACTIONS(5336),
    [anon_sym_BSLASHliv] = ACTIONS(5336),
    [anon_sym_BSLASHlik] = ACTIONS(5336),
    [anon_sym_BSLASHlitl] = ACTIONS(5336),
    [anon_sym_BSLASHtr] = ACTIONS(5336),
    [anon_sym_BSLASHf] = ACTIONS(5336),
    [anon_sym_BSLASHfe] = ACTIONS(5336),
    [anon_sym_BSLASHef] = ACTIONS(5336),
    [anon_sym_BSLASHfm] = ACTIONS(5336),
    [anon_sym_BSLASHx] = ACTIONS(5336),
    [anon_sym_BSLASHxt] = ACTIONS(5336),
    [anon_sym_BSLASHrq] = ACTIONS(5336),
    [anon_sym_BSLASHadd] = ACTIONS(5336),
    [anon_sym_BSLASHbk] = ACTIONS(5336),
    [anon_sym_BSLASHdc] = ACTIONS(5336),
    [anon_sym_BSLASHk] = ACTIONS(5336),
    [anon_sym_BSLASHnd] = ACTIONS(5336),
    [anon_sym_BSLASHord] = ACTIONS(5336),
    [anon_sym_BSLASHpn] = ACTIONS(5336),
    [anon_sym_BSLASHpng] = ACTIONS(5336),
    [anon_sym_BSLASHaddpn] = ACTIONS(5336),
    [anon_sym_BSLASHqt] = ACTIONS(5336),
    [anon_sym_BSLASHsig] = ACTIONS(5336),
    [anon_sym_BSLASHsls] = ACTIONS(5336),
    [anon_sym_BSLASHtl] = ACTIONS(5336),
    [anon_sym_BSLASHwj] = ACTIONS(5336),
    [anon_sym_BSLASHem] = ACTIONS(5336),
    [anon_sym_BSLASHbd] = ACTIONS(5336),
    [anon_sym_BSLASHit] = ACTIONS(5336),
    [anon_sym_BSLASHbdit] = ACTIONS(5336),
    [anon_sym_BSLASHno] = ACTIONS(5336),
    [anon_sym_BSLASHsc] = ACTIONS(5336),
    [anon_sym_BSLASHsup] = ACTIONS(5336),
    [anon_sym_BSLASHndx] = ACTIONS(5336),
    [anon_sym_BSLASHpro] = ACTIONS(5336),
    [anon_sym_BSLASHrb] = ACTIONS(5336),
    [anon_sym_BSLASHw] = ACTIONS(5336),
    [anon_sym_BSLASHwg] = ACTIONS(5336),
    [anon_sym_BSLASHwh] = ACTIONS(5336),
    [anon_sym_BSLASHwa] = ACTIONS(5336),
    [anon_sym_BSLASHfig] = ACTIONS(5336),
    [anon_sym_BSLASHjmp] = ACTIONS(5336),
    [anon_sym_BSLASHpb] = ACTIONS(5336),
    [anon_sym_BSLASH] = ACTIONS(5336),
    [sym_milestoneStartTag] = ACTIONS(5336),
    [sym_milestoneEndTag] = ACTIONS(5336),
    [sym_zSpaceTag] = ACTIONS(5336),
    [anon_sym_BSLASHesb] = ACTIONS(5336),
  },
  [435] = {
    [ts_builtin_sym_end] = ACTIONS(5338),
    [aux_sym_text_token1] = ACTIONS(5338),
    [anon_sym_BSLASHref] = ACTIONS(5340),
    [anon_sym_BSLASHsts] = ACTIONS(5340),
    [anon_sym_BSLASHrem] = ACTIONS(5340),
    [anon_sym_BSLASHrestore] = ACTIONS(5340),
    [anon_sym_BSLASHlit] = ACTIONS(5340),
    [anon_sym_BSLASHip] = ACTIONS(5340),
    [anon_sym_BSLASHiex] = ACTIONS(5340),
    [anon_sym_BSLASHv] = ACTIONS(5340),
    [anon_sym_BSLASHva] = ACTIONS(5340),
    [anon_sym_BSLASHvp] = ACTIONS(5340),
    [anon_sym_BSLASHc] = ACTIONS(5340),
    [anon_sym_BSLASHcl] = ACTIONS(5340),
    [anon_sym_BSLASHca] = ACTIONS(5340),
    [anon_sym_BSLASHcp] = ACTIONS(5340),
    [anon_sym_BSLASHcd] = ACTIONS(5340),
    [anon_sym_BSLASHmte] = ACTIONS(5340),
    [anon_sym_BSLASHms] = ACTIONS(5340),
    [anon_sym_BSLASHs] = ACTIONS(5340),
    [anon_sym_BSLASHr] = ACTIONS(5340),
    [anon_sym_BSLASHsp] = ACTIONS(5340),
    [anon_sym_BSLASHd] = ACTIONS(5340),
    [anon_sym_BSLASHsd] = ACTIONS(5340),
    [anon_sym_BSLASHp] = ACTIONS(5340),
    [anon_sym_BSLASHm] = ACTIONS(5340),
    [anon_sym_BSLASHpo] = ACTIONS(5340),
    [anon_sym_BSLASHpr] = ACTIONS(5340),
    [anon_sym_BSLASHcls] = ACTIONS(5340),
    [anon_sym_BSLASHpmo] = ACTIONS(5340),
    [anon_sym_BSLASHpm] = ACTIONS(5340),
    [anon_sym_BSLASHpmc] = ACTIONS(5340),
    [anon_sym_BSLASHpmr] = ACTIONS(5340),
    [anon_sym_BSLASHpi] = ACTIONS(5340),
    [anon_sym_BSLASHmi] = ACTIONS(5340),
    [anon_sym_BSLASHnb] = ACTIONS(5340),
    [anon_sym_BSLASHpc] = ACTIONS(5340),
    [anon_sym_BSLASHph] = ACTIONS(5340),
    [anon_sym_BSLASHb] = ACTIONS(5340),
    [anon_sym_BSLASHq] = ACTIONS(5340),
    [anon_sym_BSLASHqr] = ACTIONS(5340),
    [anon_sym_BSLASHqc] = ACTIONS(5340),
    [anon_sym_BSLASHqa] = ACTIONS(5340),
    [anon_sym_BSLASHqm] = ACTIONS(5340),
    [anon_sym_BSLASHqd] = ACTIONS(5340),
    [anon_sym_BSLASHlh] = ACTIONS(5340),
    [anon_sym_BSLASHlf] = ACTIONS(5340),
    [anon_sym_BSLASHli] = ACTIONS(5340),
    [anon_sym_BSLASHlim] = ACTIONS(5340),
    [anon_sym_BSLASHliv] = ACTIONS(5340),
    [anon_sym_BSLASHlik] = ACTIONS(5340),
    [anon_sym_BSLASHlitl] = ACTIONS(5340),
    [anon_sym_BSLASHtr] = ACTIONS(5340),
    [anon_sym_BSLASHf] = ACTIONS(5340),
    [anon_sym_BSLASHfe] = ACTIONS(5340),
    [anon_sym_BSLASHef] = ACTIONS(5340),
    [anon_sym_BSLASHfm] = ACTIONS(5340),
    [anon_sym_BSLASHx] = ACTIONS(5340),
    [anon_sym_BSLASHxt] = ACTIONS(5340),
    [anon_sym_BSLASHrq] = ACTIONS(5340),
    [anon_sym_BSLASHadd] = ACTIONS(5340),
    [anon_sym_BSLASHbk] = ACTIONS(5340),
    [anon_sym_BSLASHdc] = ACTIONS(5340),
    [anon_sym_BSLASHk] = ACTIONS(5340),
    [anon_sym_BSLASHnd] = ACTIONS(5340),
    [anon_sym_BSLASHord] = ACTIONS(5340),
    [anon_sym_BSLASHpn] = ACTIONS(5340),
    [anon_sym_BSLASHpng] = ACTIONS(5340),
    [anon_sym_BSLASHaddpn] = ACTIONS(5340),
    [anon_sym_BSLASHqt] = ACTIONS(5340),
    [anon_sym_BSLASHsig] = ACTIONS(5340),
    [anon_sym_BSLASHsls] = ACTIONS(5340),
    [anon_sym_BSLASHtl] = ACTIONS(5340),
    [anon_sym_BSLASHwj] = ACTIONS(5340),
    [anon_sym_BSLASHem] = ACTIONS(5340),
    [anon_sym_BSLASHbd] = ACTIONS(5340),
    [anon_sym_BSLASHit] = ACTIONS(5340),
    [anon_sym_BSLASHbdit] = ACTIONS(5340),
    [anon_sym_BSLASHno] = ACTIONS(5340),
    [anon_sym_BSLASHsc] = ACTIONS(5340),
    [anon_sym_BSLASHsup] = ACTIONS(5340),
    [anon_sym_BSLASHndx] = ACTIONS(5340),
    [anon_sym_BSLASHpro] = ACTIONS(5340),
    [anon_sym_BSLASHrb] = ACTIONS(5340),
    [anon_sym_BSLASHw] = ACTIONS(5340),
    [anon_sym_BSLASHwg] = ACTIONS(5340),
    [anon_sym_BSLASHwh] = ACTIONS(5340),
    [anon_sym_BSLASHwa] = ACTIONS(5340),
    [anon_sym_BSLASHfig] = ACTIONS(5340),
    [anon_sym_BSLASHjmp] = ACTIONS(5340),
    [anon_sym_BSLASHpb] = ACTIONS(5340),
    [anon_sym_BSLASH] = ACTIONS(5340),
    [sym_milestoneStartTag] = ACTIONS(5340),
    [sym_milestoneEndTag] = ACTIONS(5340),
    [sym_zSpaceTag] = ACTIONS(5340),
    [anon_sym_BSLASHesb] = ACTIONS(5340),
  },
  [436] = {
    [ts_builtin_sym_end] = ACTIONS(5342),
    [aux_sym_text_token1] = ACTIONS(5342),
    [anon_sym_BSLASHref] = ACTIONS(5344),
    [anon_sym_BSLASHsts] = ACTIONS(5344),
    [anon_sym_BSLASHrem] = ACTIONS(5344),
    [anon_sym_BSLASHrestore] = ACTIONS(5344),
    [anon_sym_BSLASHlit] = ACTIONS(5344),
    [anon_sym_BSLASHip] = ACTIONS(5344),
    [anon_sym_BSLASHiex] = ACTIONS(5344),
    [anon_sym_BSLASHv] = ACTIONS(5344),
    [anon_sym_BSLASHva] = ACTIONS(5344),
    [anon_sym_BSLASHvp] = ACTIONS(5344),
    [anon_sym_BSLASHc] = ACTIONS(5344),
    [anon_sym_BSLASHcl] = ACTIONS(5344),
    [anon_sym_BSLASHca] = ACTIONS(5344),
    [anon_sym_BSLASHcp] = ACTIONS(5344),
    [anon_sym_BSLASHcd] = ACTIONS(5344),
    [anon_sym_BSLASHmte] = ACTIONS(5344),
    [anon_sym_BSLASHms] = ACTIONS(5344),
    [anon_sym_BSLASHs] = ACTIONS(5344),
    [anon_sym_BSLASHr] = ACTIONS(5344),
    [anon_sym_BSLASHsp] = ACTIONS(5344),
    [anon_sym_BSLASHd] = ACTIONS(5344),
    [anon_sym_BSLASHsd] = ACTIONS(5344),
    [anon_sym_BSLASHp] = ACTIONS(5344),
    [anon_sym_BSLASHm] = ACTIONS(5344),
    [anon_sym_BSLASHpo] = ACTIONS(5344),
    [anon_sym_BSLASHpr] = ACTIONS(5344),
    [anon_sym_BSLASHcls] = ACTIONS(5344),
    [anon_sym_BSLASHpmo] = ACTIONS(5344),
    [anon_sym_BSLASHpm] = ACTIONS(5344),
    [anon_sym_BSLASHpmc] = ACTIONS(5344),
    [anon_sym_BSLASHpmr] = ACTIONS(5344),
    [anon_sym_BSLASHpi] = ACTIONS(5344),
    [anon_sym_BSLASHmi] = ACTIONS(5344),
    [anon_sym_BSLASHnb] = ACTIONS(5344),
    [anon_sym_BSLASHpc] = ACTIONS(5344),
    [anon_sym_BSLASHph] = ACTIONS(5344),
    [anon_sym_BSLASHb] = ACTIONS(5344),
    [anon_sym_BSLASHq] = ACTIONS(5344),
    [anon_sym_BSLASHqr] = ACTIONS(5344),
    [anon_sym_BSLASHqc] = ACTIONS(5344),
    [anon_sym_BSLASHqa] = ACTIONS(5344),
    [anon_sym_BSLASHqm] = ACTIONS(5344),
    [anon_sym_BSLASHqd] = ACTIONS(5344),
    [anon_sym_BSLASHlh] = ACTIONS(5344),
    [anon_sym_BSLASHlf] = ACTIONS(5344),
    [anon_sym_BSLASHli] = ACTIONS(5344),
    [anon_sym_BSLASHlim] = ACTIONS(5344),
    [anon_sym_BSLASHliv] = ACTIONS(5344),
    [anon_sym_BSLASHlik] = ACTIONS(5344),
    [anon_sym_BSLASHlitl] = ACTIONS(5344),
    [anon_sym_BSLASHtr] = ACTIONS(5344),
    [anon_sym_BSLASHf] = ACTIONS(5344),
    [anon_sym_BSLASHfe] = ACTIONS(5344),
    [anon_sym_BSLASHef] = ACTIONS(5344),
    [anon_sym_BSLASHfm] = ACTIONS(5344),
    [anon_sym_BSLASHx] = ACTIONS(5344),
    [anon_sym_BSLASHxt] = ACTIONS(5344),
    [anon_sym_BSLASHrq] = ACTIONS(5344),
    [anon_sym_BSLASHadd] = ACTIONS(5344),
    [anon_sym_BSLASHbk] = ACTIONS(5344),
    [anon_sym_BSLASHdc] = ACTIONS(5344),
    [anon_sym_BSLASHk] = ACTIONS(5344),
    [anon_sym_BSLASHnd] = ACTIONS(5344),
    [anon_sym_BSLASHord] = ACTIONS(5344),
    [anon_sym_BSLASHpn] = ACTIONS(5344),
    [anon_sym_BSLASHpng] = ACTIONS(5344),
    [anon_sym_BSLASHaddpn] = ACTIONS(5344),
    [anon_sym_BSLASHqt] = ACTIONS(5344),
    [anon_sym_BSLASHsig] = ACTIONS(5344),
    [anon_sym_BSLASHsls] = ACTIONS(5344),
    [anon_sym_BSLASHtl] = ACTIONS(5344),
    [anon_sym_BSLASHwj] = ACTIONS(5344),
    [anon_sym_BSLASHem] = ACTIONS(5344),
    [anon_sym_BSLASHbd] = ACTIONS(5344),
    [anon_sym_BSLASHit] = ACTIONS(5344),
    [anon_sym_BSLASHbdit] = ACTIONS(5344),
    [anon_sym_BSLASHno] = ACTIONS(5344),
    [anon_sym_BSLASHsc] = ACTIONS(5344),
    [anon_sym_BSLASHsup] = ACTIONS(5344),
    [anon_sym_BSLASHndx] = ACTIONS(5344),
    [anon_sym_BSLASHpro] = ACTIONS(5344),
    [anon_sym_BSLASHrb] = ACTIONS(5344),
    [anon_sym_BSLASHw] = ACTIONS(5344),
    [anon_sym_BSLASHwg] = ACTIONS(5344),
    [anon_sym_BSLASHwh] = ACTIONS(5344),
    [anon_sym_BSLASHwa] = ACTIONS(5344),
    [anon_sym_BSLASHfig] = ACTIONS(5344),
    [anon_sym_BSLASHjmp] = ACTIONS(5344),
    [anon_sym_BSLASHpb] = ACTIONS(5344),
    [anon_sym_BSLASH] = ACTIONS(5344),
    [sym_milestoneStartTag] = ACTIONS(5344),
    [sym_milestoneEndTag] = ACTIONS(5344),
    [sym_zSpaceTag] = ACTIONS(5344),
    [anon_sym_BSLASHesb] = ACTIONS(5344),
  },
  [437] = {
    [ts_builtin_sym_end] = ACTIONS(5346),
    [aux_sym_text_token1] = ACTIONS(5346),
    [anon_sym_BSLASHref] = ACTIONS(5348),
    [anon_sym_BSLASHsts] = ACTIONS(5348),
    [anon_sym_BSLASHrem] = ACTIONS(5348),
    [anon_sym_BSLASHrestore] = ACTIONS(5348),
    [anon_sym_BSLASHlit] = ACTIONS(5348),
    [anon_sym_BSLASHip] = ACTIONS(5348),
    [anon_sym_BSLASHiex] = ACTIONS(5348),
    [anon_sym_BSLASHv] = ACTIONS(5348),
    [anon_sym_BSLASHva] = ACTIONS(5348),
    [anon_sym_BSLASHvp] = ACTIONS(5348),
    [anon_sym_BSLASHc] = ACTIONS(5348),
    [anon_sym_BSLASHcl] = ACTIONS(5348),
    [anon_sym_BSLASHca] = ACTIONS(5348),
    [anon_sym_BSLASHcp] = ACTIONS(5348),
    [anon_sym_BSLASHcd] = ACTIONS(5348),
    [anon_sym_BSLASHmte] = ACTIONS(5348),
    [anon_sym_BSLASHms] = ACTIONS(5348),
    [anon_sym_BSLASHs] = ACTIONS(5348),
    [anon_sym_BSLASHr] = ACTIONS(5348),
    [anon_sym_BSLASHsp] = ACTIONS(5348),
    [anon_sym_BSLASHd] = ACTIONS(5348),
    [anon_sym_BSLASHsd] = ACTIONS(5348),
    [anon_sym_BSLASHp] = ACTIONS(5348),
    [anon_sym_BSLASHm] = ACTIONS(5348),
    [anon_sym_BSLASHpo] = ACTIONS(5348),
    [anon_sym_BSLASHpr] = ACTIONS(5348),
    [anon_sym_BSLASHcls] = ACTIONS(5348),
    [anon_sym_BSLASHpmo] = ACTIONS(5348),
    [anon_sym_BSLASHpm] = ACTIONS(5348),
    [anon_sym_BSLASHpmc] = ACTIONS(5348),
    [anon_sym_BSLASHpmr] = ACTIONS(5348),
    [anon_sym_BSLASHpi] = ACTIONS(5348),
    [anon_sym_BSLASHmi] = ACTIONS(5348),
    [anon_sym_BSLASHnb] = ACTIONS(5348),
    [anon_sym_BSLASHpc] = ACTIONS(5348),
    [anon_sym_BSLASHph] = ACTIONS(5348),
    [anon_sym_BSLASHb] = ACTIONS(5348),
    [anon_sym_BSLASHq] = ACTIONS(5348),
    [anon_sym_BSLASHqr] = ACTIONS(5348),
    [anon_sym_BSLASHqc] = ACTIONS(5348),
    [anon_sym_BSLASHqa] = ACTIONS(5348),
    [anon_sym_BSLASHqm] = ACTIONS(5348),
    [anon_sym_BSLASHqd] = ACTIONS(5348),
    [anon_sym_BSLASHlh] = ACTIONS(5348),
    [anon_sym_BSLASHlf] = ACTIONS(5348),
    [anon_sym_BSLASHli] = ACTIONS(5348),
    [anon_sym_BSLASHlim] = ACTIONS(5348),
    [anon_sym_BSLASHliv] = ACTIONS(5348),
    [anon_sym_BSLASHlik] = ACTIONS(5348),
    [anon_sym_BSLASHlitl] = ACTIONS(5348),
    [anon_sym_BSLASHtr] = ACTIONS(5348),
    [anon_sym_BSLASHf] = ACTIONS(5348),
    [anon_sym_BSLASHfe] = ACTIONS(5348),
    [anon_sym_BSLASHef] = ACTIONS(5348),
    [anon_sym_BSLASHfm] = ACTIONS(5348),
    [anon_sym_BSLASHx] = ACTIONS(5348),
    [anon_sym_BSLASHxt] = ACTIONS(5348),
    [anon_sym_BSLASHrq] = ACTIONS(5348),
    [anon_sym_BSLASHadd] = ACTIONS(5348),
    [anon_sym_BSLASHbk] = ACTIONS(5348),
    [anon_sym_BSLASHdc] = ACTIONS(5348),
    [anon_sym_BSLASHk] = ACTIONS(5348),
    [anon_sym_BSLASHnd] = ACTIONS(5348),
    [anon_sym_BSLASHord] = ACTIONS(5348),
    [anon_sym_BSLASHpn] = ACTIONS(5348),
    [anon_sym_BSLASHpng] = ACTIONS(5348),
    [anon_sym_BSLASHaddpn] = ACTIONS(5348),
    [anon_sym_BSLASHqt] = ACTIONS(5348),
    [anon_sym_BSLASHsig] = ACTIONS(5348),
    [anon_sym_BSLASHsls] = ACTIONS(5348),
    [anon_sym_BSLASHtl] = ACTIONS(5348),
    [anon_sym_BSLASHwj] = ACTIONS(5348),
    [anon_sym_BSLASHem] = ACTIONS(5348),
    [anon_sym_BSLASHbd] = ACTIONS(5348),
    [anon_sym_BSLASHit] = ACTIONS(5348),
    [anon_sym_BSLASHbdit] = ACTIONS(5348),
    [anon_sym_BSLASHno] = ACTIONS(5348),
    [anon_sym_BSLASHsc] = ACTIONS(5348),
    [anon_sym_BSLASHsup] = ACTIONS(5348),
    [anon_sym_BSLASHndx] = ACTIONS(5348),
    [anon_sym_BSLASHpro] = ACTIONS(5348),
    [anon_sym_BSLASHrb] = ACTIONS(5348),
    [anon_sym_BSLASHw] = ACTIONS(5348),
    [anon_sym_BSLASHwg] = ACTIONS(5348),
    [anon_sym_BSLASHwh] = ACTIONS(5348),
    [anon_sym_BSLASHwa] = ACTIONS(5348),
    [anon_sym_BSLASHfig] = ACTIONS(5348),
    [anon_sym_BSLASHjmp] = ACTIONS(5348),
    [anon_sym_BSLASHpb] = ACTIONS(5348),
    [anon_sym_BSLASH] = ACTIONS(5348),
    [sym_milestoneStartTag] = ACTIONS(5348),
    [sym_milestoneEndTag] = ACTIONS(5348),
    [sym_zSpaceTag] = ACTIONS(5348),
    [anon_sym_BSLASHesb] = ACTIONS(5348),
  },
  [438] = {
    [ts_builtin_sym_end] = ACTIONS(5350),
    [aux_sym_text_token1] = ACTIONS(5350),
    [anon_sym_BSLASHref] = ACTIONS(5352),
    [anon_sym_BSLASHsts] = ACTIONS(5352),
    [anon_sym_BSLASHrem] = ACTIONS(5352),
    [anon_sym_BSLASHrestore] = ACTIONS(5352),
    [anon_sym_BSLASHlit] = ACTIONS(5352),
    [anon_sym_BSLASHip] = ACTIONS(5352),
    [anon_sym_BSLASHiex] = ACTIONS(5352),
    [anon_sym_BSLASHv] = ACTIONS(5352),
    [anon_sym_BSLASHva] = ACTIONS(5352),
    [anon_sym_BSLASHvp] = ACTIONS(5352),
    [anon_sym_BSLASHc] = ACTIONS(5352),
    [anon_sym_BSLASHcl] = ACTIONS(5352),
    [anon_sym_BSLASHca] = ACTIONS(5352),
    [anon_sym_BSLASHcp] = ACTIONS(5352),
    [anon_sym_BSLASHcd] = ACTIONS(5352),
    [anon_sym_BSLASHmte] = ACTIONS(5352),
    [anon_sym_BSLASHms] = ACTIONS(5352),
    [anon_sym_BSLASHs] = ACTIONS(5352),
    [anon_sym_BSLASHr] = ACTIONS(5352),
    [anon_sym_BSLASHsp] = ACTIONS(5352),
    [anon_sym_BSLASHd] = ACTIONS(5352),
    [anon_sym_BSLASHsd] = ACTIONS(5352),
    [anon_sym_BSLASHp] = ACTIONS(5352),
    [anon_sym_BSLASHm] = ACTIONS(5352),
    [anon_sym_BSLASHpo] = ACTIONS(5352),
    [anon_sym_BSLASHpr] = ACTIONS(5352),
    [anon_sym_BSLASHcls] = ACTIONS(5352),
    [anon_sym_BSLASHpmo] = ACTIONS(5352),
    [anon_sym_BSLASHpm] = ACTIONS(5352),
    [anon_sym_BSLASHpmc] = ACTIONS(5352),
    [anon_sym_BSLASHpmr] = ACTIONS(5352),
    [anon_sym_BSLASHpi] = ACTIONS(5352),
    [anon_sym_BSLASHmi] = ACTIONS(5352),
    [anon_sym_BSLASHnb] = ACTIONS(5352),
    [anon_sym_BSLASHpc] = ACTIONS(5352),
    [anon_sym_BSLASHph] = ACTIONS(5352),
    [anon_sym_BSLASHb] = ACTIONS(5352),
    [anon_sym_BSLASHq] = ACTIONS(5352),
    [anon_sym_BSLASHqr] = ACTIONS(5352),
    [anon_sym_BSLASHqc] = ACTIONS(5352),
    [anon_sym_BSLASHqa] = ACTIONS(5352),
    [anon_sym_BSLASHqm] = ACTIONS(5352),
    [anon_sym_BSLASHqd] = ACTIONS(5352),
    [anon_sym_BSLASHlh] = ACTIONS(5352),
    [anon_sym_BSLASHlf] = ACTIONS(5352),
    [anon_sym_BSLASHli] = ACTIONS(5352),
    [anon_sym_BSLASHlim] = ACTIONS(5352),
    [anon_sym_BSLASHliv] = ACTIONS(5352),
    [anon_sym_BSLASHlik] = ACTIONS(5352),
    [anon_sym_BSLASHlitl] = ACTIONS(5352),
    [anon_sym_BSLASHtr] = ACTIONS(5352),
    [anon_sym_BSLASHf] = ACTIONS(5352),
    [anon_sym_BSLASHfe] = ACTIONS(5352),
    [anon_sym_BSLASHef] = ACTIONS(5352),
    [anon_sym_BSLASHfm] = ACTIONS(5352),
    [anon_sym_BSLASHx] = ACTIONS(5352),
    [anon_sym_BSLASHxt] = ACTIONS(5352),
    [anon_sym_BSLASHrq] = ACTIONS(5352),
    [anon_sym_BSLASHadd] = ACTIONS(5352),
    [anon_sym_BSLASHbk] = ACTIONS(5352),
    [anon_sym_BSLASHdc] = ACTIONS(5352),
    [anon_sym_BSLASHk] = ACTIONS(5352),
    [anon_sym_BSLASHnd] = ACTIONS(5352),
    [anon_sym_BSLASHord] = ACTIONS(5352),
    [anon_sym_BSLASHpn] = ACTIONS(5352),
    [anon_sym_BSLASHpng] = ACTIONS(5352),
    [anon_sym_BSLASHaddpn] = ACTIONS(5352),
    [anon_sym_BSLASHqt] = ACTIONS(5352),
    [anon_sym_BSLASHsig] = ACTIONS(5352),
    [anon_sym_BSLASHsls] = ACTIONS(5352),
    [anon_sym_BSLASHtl] = ACTIONS(5352),
    [anon_sym_BSLASHwj] = ACTIONS(5352),
    [anon_sym_BSLASHem] = ACTIONS(5352),
    [anon_sym_BSLASHbd] = ACTIONS(5352),
    [anon_sym_BSLASHit] = ACTIONS(5352),
    [anon_sym_BSLASHbdit] = ACTIONS(5352),
    [anon_sym_BSLASHno] = ACTIONS(5352),
    [anon_sym_BSLASHsc] = ACTIONS(5352),
    [anon_sym_BSLASHsup] = ACTIONS(5352),
    [anon_sym_BSLASHndx] = ACTIONS(5352),
    [anon_sym_BSLASHpro] = ACTIONS(5352),
    [anon_sym_BSLASHrb] = ACTIONS(5352),
    [anon_sym_BSLASHw] = ACTIONS(5352),
    [anon_sym_BSLASHwg] = ACTIONS(5352),
    [anon_sym_BSLASHwh] = ACTIONS(5352),
    [anon_sym_BSLASHwa] = ACTIONS(5352),
    [anon_sym_BSLASHfig] = ACTIONS(5352),
    [anon_sym_BSLASHjmp] = ACTIONS(5352),
    [anon_sym_BSLASHpb] = ACTIONS(5352),
    [anon_sym_BSLASH] = ACTIONS(5352),
    [sym_milestoneStartTag] = ACTIONS(5352),
    [sym_milestoneEndTag] = ACTIONS(5352),
    [sym_zSpaceTag] = ACTIONS(5352),
    [anon_sym_BSLASHesb] = ACTIONS(5352),
  },
  [439] = {
    [ts_builtin_sym_end] = ACTIONS(5354),
    [aux_sym_text_token1] = ACTIONS(5354),
    [anon_sym_BSLASHref] = ACTIONS(5356),
    [anon_sym_BSLASHsts] = ACTIONS(5356),
    [anon_sym_BSLASHrem] = ACTIONS(5356),
    [anon_sym_BSLASHrestore] = ACTIONS(5356),
    [anon_sym_BSLASHlit] = ACTIONS(5356),
    [anon_sym_BSLASHip] = ACTIONS(5356),
    [anon_sym_BSLASHiex] = ACTIONS(5356),
    [anon_sym_BSLASHv] = ACTIONS(5356),
    [anon_sym_BSLASHva] = ACTIONS(5356),
    [anon_sym_BSLASHvp] = ACTIONS(5356),
    [anon_sym_BSLASHc] = ACTIONS(5356),
    [anon_sym_BSLASHcl] = ACTIONS(5356),
    [anon_sym_BSLASHca] = ACTIONS(5356),
    [anon_sym_BSLASHcp] = ACTIONS(5356),
    [anon_sym_BSLASHcd] = ACTIONS(5356),
    [anon_sym_BSLASHmte] = ACTIONS(5356),
    [anon_sym_BSLASHms] = ACTIONS(5356),
    [anon_sym_BSLASHs] = ACTIONS(5356),
    [anon_sym_BSLASHr] = ACTIONS(5356),
    [anon_sym_BSLASHsp] = ACTIONS(5356),
    [anon_sym_BSLASHd] = ACTIONS(5356),
    [anon_sym_BSLASHsd] = ACTIONS(5356),
    [anon_sym_BSLASHp] = ACTIONS(5356),
    [anon_sym_BSLASHm] = ACTIONS(5356),
    [anon_sym_BSLASHpo] = ACTIONS(5356),
    [anon_sym_BSLASHpr] = ACTIONS(5356),
    [anon_sym_BSLASHcls] = ACTIONS(5356),
    [anon_sym_BSLASHpmo] = ACTIONS(5356),
    [anon_sym_BSLASHpm] = ACTIONS(5356),
    [anon_sym_BSLASHpmc] = ACTIONS(5356),
    [anon_sym_BSLASHpmr] = ACTIONS(5356),
    [anon_sym_BSLASHpi] = ACTIONS(5356),
    [anon_sym_BSLASHmi] = ACTIONS(5356),
    [anon_sym_BSLASHnb] = ACTIONS(5356),
    [anon_sym_BSLASHpc] = ACTIONS(5356),
    [anon_sym_BSLASHph] = ACTIONS(5356),
    [anon_sym_BSLASHb] = ACTIONS(5356),
    [anon_sym_BSLASHq] = ACTIONS(5356),
    [anon_sym_BSLASHqr] = ACTIONS(5356),
    [anon_sym_BSLASHqc] = ACTIONS(5356),
    [anon_sym_BSLASHqa] = ACTIONS(5356),
    [anon_sym_BSLASHqm] = ACTIONS(5356),
    [anon_sym_BSLASHqd] = ACTIONS(5356),
    [anon_sym_BSLASHlh] = ACTIONS(5356),
    [anon_sym_BSLASHlf] = ACTIONS(5356),
    [anon_sym_BSLASHli] = ACTIONS(5356),
    [anon_sym_BSLASHlim] = ACTIONS(5356),
    [anon_sym_BSLASHliv] = ACTIONS(5356),
    [anon_sym_BSLASHlik] = ACTIONS(5356),
    [anon_sym_BSLASHlitl] = ACTIONS(5356),
    [anon_sym_BSLASHtr] = ACTIONS(5356),
    [anon_sym_BSLASHf] = ACTIONS(5356),
    [anon_sym_BSLASHfe] = ACTIONS(5356),
    [anon_sym_BSLASHef] = ACTIONS(5356),
    [anon_sym_BSLASHfm] = ACTIONS(5356),
    [anon_sym_BSLASHx] = ACTIONS(5356),
    [anon_sym_BSLASHxt] = ACTIONS(5356),
    [anon_sym_BSLASHrq] = ACTIONS(5356),
    [anon_sym_BSLASHadd] = ACTIONS(5356),
    [anon_sym_BSLASHbk] = ACTIONS(5356),
    [anon_sym_BSLASHdc] = ACTIONS(5356),
    [anon_sym_BSLASHk] = ACTIONS(5356),
    [anon_sym_BSLASHnd] = ACTIONS(5356),
    [anon_sym_BSLASHord] = ACTIONS(5356),
    [anon_sym_BSLASHpn] = ACTIONS(5356),
    [anon_sym_BSLASHpng] = ACTIONS(5356),
    [anon_sym_BSLASHaddpn] = ACTIONS(5356),
    [anon_sym_BSLASHqt] = ACTIONS(5356),
    [anon_sym_BSLASHsig] = ACTIONS(5356),
    [anon_sym_BSLASHsls] = ACTIONS(5356),
    [anon_sym_BSLASHtl] = ACTIONS(5356),
    [anon_sym_BSLASHwj] = ACTIONS(5356),
    [anon_sym_BSLASHem] = ACTIONS(5356),
    [anon_sym_BSLASHbd] = ACTIONS(5356),
    [anon_sym_BSLASHit] = ACTIONS(5356),
    [anon_sym_BSLASHbdit] = ACTIONS(5356),
    [anon_sym_BSLASHno] = ACTIONS(5356),
    [anon_sym_BSLASHsc] = ACTIONS(5356),
    [anon_sym_BSLASHsup] = ACTIONS(5356),
    [anon_sym_BSLASHndx] = ACTIONS(5356),
    [anon_sym_BSLASHpro] = ACTIONS(5356),
    [anon_sym_BSLASHrb] = ACTIONS(5356),
    [anon_sym_BSLASHw] = ACTIONS(5356),
    [anon_sym_BSLASHwg] = ACTIONS(5356),
    [anon_sym_BSLASHwh] = ACTIONS(5356),
    [anon_sym_BSLASHwa] = ACTIONS(5356),
    [anon_sym_BSLASHfig] = ACTIONS(5356),
    [anon_sym_BSLASHjmp] = ACTIONS(5356),
    [anon_sym_BSLASHpb] = ACTIONS(5356),
    [anon_sym_BSLASH] = ACTIONS(5356),
    [sym_milestoneStartTag] = ACTIONS(5356),
    [sym_milestoneEndTag] = ACTIONS(5356),
    [sym_zSpaceTag] = ACTIONS(5356),
    [anon_sym_BSLASHesb] = ACTIONS(5356),
  },
  [440] = {
    [ts_builtin_sym_end] = ACTIONS(5358),
    [aux_sym_text_token1] = ACTIONS(5358),
    [anon_sym_BSLASHref] = ACTIONS(5360),
    [anon_sym_BSLASHsts] = ACTIONS(5360),
    [anon_sym_BSLASHrem] = ACTIONS(5360),
    [anon_sym_BSLASHrestore] = ACTIONS(5360),
    [anon_sym_BSLASHlit] = ACTIONS(5360),
    [anon_sym_BSLASHip] = ACTIONS(5360),
    [anon_sym_BSLASHiex] = ACTIONS(5360),
    [anon_sym_BSLASHv] = ACTIONS(5360),
    [anon_sym_BSLASHva] = ACTIONS(5360),
    [anon_sym_BSLASHvp] = ACTIONS(5360),
    [anon_sym_BSLASHc] = ACTIONS(5360),
    [anon_sym_BSLASHcl] = ACTIONS(5360),
    [anon_sym_BSLASHca] = ACTIONS(5360),
    [anon_sym_BSLASHcp] = ACTIONS(5360),
    [anon_sym_BSLASHcd] = ACTIONS(5360),
    [anon_sym_BSLASHmte] = ACTIONS(5360),
    [anon_sym_BSLASHms] = ACTIONS(5360),
    [anon_sym_BSLASHs] = ACTIONS(5360),
    [anon_sym_BSLASHr] = ACTIONS(5360),
    [anon_sym_BSLASHsp] = ACTIONS(5360),
    [anon_sym_BSLASHd] = ACTIONS(5360),
    [anon_sym_BSLASHsd] = ACTIONS(5360),
    [anon_sym_BSLASHp] = ACTIONS(5360),
    [anon_sym_BSLASHm] = ACTIONS(5360),
    [anon_sym_BSLASHpo] = ACTIONS(5360),
    [anon_sym_BSLASHpr] = ACTIONS(5360),
    [anon_sym_BSLASHcls] = ACTIONS(5360),
    [anon_sym_BSLASHpmo] = ACTIONS(5360),
    [anon_sym_BSLASHpm] = ACTIONS(5360),
    [anon_sym_BSLASHpmc] = ACTIONS(5360),
    [anon_sym_BSLASHpmr] = ACTIONS(5360),
    [anon_sym_BSLASHpi] = ACTIONS(5360),
    [anon_sym_BSLASHmi] = ACTIONS(5360),
    [anon_sym_BSLASHnb] = ACTIONS(5360),
    [anon_sym_BSLASHpc] = ACTIONS(5360),
    [anon_sym_BSLASHph] = ACTIONS(5360),
    [anon_sym_BSLASHb] = ACTIONS(5360),
    [anon_sym_BSLASHq] = ACTIONS(5360),
    [anon_sym_BSLASHqr] = ACTIONS(5360),
    [anon_sym_BSLASHqc] = ACTIONS(5360),
    [anon_sym_BSLASHqa] = ACTIONS(5360),
    [anon_sym_BSLASHqm] = ACTIONS(5360),
    [anon_sym_BSLASHqd] = ACTIONS(5360),
    [anon_sym_BSLASHlh] = ACTIONS(5360),
    [anon_sym_BSLASHlf] = ACTIONS(5360),
    [anon_sym_BSLASHli] = ACTIONS(5360),
    [anon_sym_BSLASHlim] = ACTIONS(5360),
    [anon_sym_BSLASHliv] = ACTIONS(5360),
    [anon_sym_BSLASHlik] = ACTIONS(5360),
    [anon_sym_BSLASHlitl] = ACTIONS(5360),
    [anon_sym_BSLASHtr] = ACTIONS(5360),
    [anon_sym_BSLASHf] = ACTIONS(5360),
    [anon_sym_BSLASHfe] = ACTIONS(5360),
    [anon_sym_BSLASHef] = ACTIONS(5360),
    [anon_sym_BSLASHfm] = ACTIONS(5360),
    [anon_sym_BSLASHx] = ACTIONS(5360),
    [anon_sym_BSLASHxt] = ACTIONS(5360),
    [anon_sym_BSLASHrq] = ACTIONS(5360),
    [anon_sym_BSLASHadd] = ACTIONS(5360),
    [anon_sym_BSLASHbk] = ACTIONS(5360),
    [anon_sym_BSLASHdc] = ACTIONS(5360),
    [anon_sym_BSLASHk] = ACTIONS(5360),
    [anon_sym_BSLASHnd] = ACTIONS(5360),
    [anon_sym_BSLASHord] = ACTIONS(5360),
    [anon_sym_BSLASHpn] = ACTIONS(5360),
    [anon_sym_BSLASHpng] = ACTIONS(5360),
    [anon_sym_BSLASHaddpn] = ACTIONS(5360),
    [anon_sym_BSLASHqt] = ACTIONS(5360),
    [anon_sym_BSLASHsig] = ACTIONS(5360),
    [anon_sym_BSLASHsls] = ACTIONS(5360),
    [anon_sym_BSLASHtl] = ACTIONS(5360),
    [anon_sym_BSLASHwj] = ACTIONS(5360),
    [anon_sym_BSLASHem] = ACTIONS(5360),
    [anon_sym_BSLASHbd] = ACTIONS(5360),
    [anon_sym_BSLASHit] = ACTIONS(5360),
    [anon_sym_BSLASHbdit] = ACTIONS(5360),
    [anon_sym_BSLASHno] = ACTIONS(5360),
    [anon_sym_BSLASHsc] = ACTIONS(5360),
    [anon_sym_BSLASHsup] = ACTIONS(5360),
    [anon_sym_BSLASHndx] = ACTIONS(5360),
    [anon_sym_BSLASHpro] = ACTIONS(5360),
    [anon_sym_BSLASHrb] = ACTIONS(5360),
    [anon_sym_BSLASHw] = ACTIONS(5360),
    [anon_sym_BSLASHwg] = ACTIONS(5360),
    [anon_sym_BSLASHwh] = ACTIONS(5360),
    [anon_sym_BSLASHwa] = ACTIONS(5360),
    [anon_sym_BSLASHfig] = ACTIONS(5360),
    [anon_sym_BSLASHjmp] = ACTIONS(5360),
    [anon_sym_BSLASHpb] = ACTIONS(5360),
    [anon_sym_BSLASH] = ACTIONS(5360),
    [sym_milestoneStartTag] = ACTIONS(5360),
    [sym_milestoneEndTag] = ACTIONS(5360),
    [sym_zSpaceTag] = ACTIONS(5360),
    [anon_sym_BSLASHesb] = ACTIONS(5360),
  },
  [441] = {
    [ts_builtin_sym_end] = ACTIONS(5362),
    [aux_sym_text_token1] = ACTIONS(5362),
    [anon_sym_BSLASHref] = ACTIONS(5364),
    [anon_sym_BSLASHsts] = ACTIONS(5364),
    [anon_sym_BSLASHrem] = ACTIONS(5364),
    [anon_sym_BSLASHrestore] = ACTIONS(5364),
    [anon_sym_BSLASHlit] = ACTIONS(5364),
    [anon_sym_BSLASHip] = ACTIONS(5364),
    [anon_sym_BSLASHiex] = ACTIONS(5364),
    [anon_sym_BSLASHv] = ACTIONS(5364),
    [anon_sym_BSLASHva] = ACTIONS(5364),
    [anon_sym_BSLASHvp] = ACTIONS(5364),
    [anon_sym_BSLASHc] = ACTIONS(5364),
    [anon_sym_BSLASHcl] = ACTIONS(5364),
    [anon_sym_BSLASHca] = ACTIONS(5364),
    [anon_sym_BSLASHcp] = ACTIONS(5364),
    [anon_sym_BSLASHcd] = ACTIONS(5364),
    [anon_sym_BSLASHmte] = ACTIONS(5364),
    [anon_sym_BSLASHms] = ACTIONS(5364),
    [anon_sym_BSLASHs] = ACTIONS(5364),
    [anon_sym_BSLASHr] = ACTIONS(5364),
    [anon_sym_BSLASHsp] = ACTIONS(5364),
    [anon_sym_BSLASHd] = ACTIONS(5364),
    [anon_sym_BSLASHsd] = ACTIONS(5364),
    [anon_sym_BSLASHp] = ACTIONS(5364),
    [anon_sym_BSLASHm] = ACTIONS(5364),
    [anon_sym_BSLASHpo] = ACTIONS(5364),
    [anon_sym_BSLASHpr] = ACTIONS(5364),
    [anon_sym_BSLASHcls] = ACTIONS(5364),
    [anon_sym_BSLASHpmo] = ACTIONS(5364),
    [anon_sym_BSLASHpm] = ACTIONS(5364),
    [anon_sym_BSLASHpmc] = ACTIONS(5364),
    [anon_sym_BSLASHpmr] = ACTIONS(5364),
    [anon_sym_BSLASHpi] = ACTIONS(5364),
    [anon_sym_BSLASHmi] = ACTIONS(5364),
    [anon_sym_BSLASHnb] = ACTIONS(5364),
    [anon_sym_BSLASHpc] = ACTIONS(5364),
    [anon_sym_BSLASHph] = ACTIONS(5364),
    [anon_sym_BSLASHb] = ACTIONS(5364),
    [anon_sym_BSLASHq] = ACTIONS(5364),
    [anon_sym_BSLASHqr] = ACTIONS(5364),
    [anon_sym_BSLASHqc] = ACTIONS(5364),
    [anon_sym_BSLASHqa] = ACTIONS(5364),
    [anon_sym_BSLASHqm] = ACTIONS(5364),
    [anon_sym_BSLASHqd] = ACTIONS(5364),
    [anon_sym_BSLASHlh] = ACTIONS(5364),
    [anon_sym_BSLASHlf] = ACTIONS(5364),
    [anon_sym_BSLASHli] = ACTIONS(5364),
    [anon_sym_BSLASHlim] = ACTIONS(5364),
    [anon_sym_BSLASHliv] = ACTIONS(5364),
    [anon_sym_BSLASHlik] = ACTIONS(5364),
    [anon_sym_BSLASHlitl] = ACTIONS(5364),
    [anon_sym_BSLASHtr] = ACTIONS(5364),
    [anon_sym_BSLASHf] = ACTIONS(5364),
    [anon_sym_BSLASHfe] = ACTIONS(5364),
    [anon_sym_BSLASHef] = ACTIONS(5364),
    [anon_sym_BSLASHfm] = ACTIONS(5364),
    [anon_sym_BSLASHx] = ACTIONS(5364),
    [anon_sym_BSLASHxt] = ACTIONS(5364),
    [anon_sym_BSLASHrq] = ACTIONS(5364),
    [anon_sym_BSLASHadd] = ACTIONS(5364),
    [anon_sym_BSLASHbk] = ACTIONS(5364),
    [anon_sym_BSLASHdc] = ACTIONS(5364),
    [anon_sym_BSLASHk] = ACTIONS(5364),
    [anon_sym_BSLASHnd] = ACTIONS(5364),
    [anon_sym_BSLASHord] = ACTIONS(5364),
    [anon_sym_BSLASHpn] = ACTIONS(5364),
    [anon_sym_BSLASHpng] = ACTIONS(5364),
    [anon_sym_BSLASHaddpn] = ACTIONS(5364),
    [anon_sym_BSLASHqt] = ACTIONS(5364),
    [anon_sym_BSLASHsig] = ACTIONS(5364),
    [anon_sym_BSLASHsls] = ACTIONS(5364),
    [anon_sym_BSLASHtl] = ACTIONS(5364),
    [anon_sym_BSLASHwj] = ACTIONS(5364),
    [anon_sym_BSLASHem] = ACTIONS(5364),
    [anon_sym_BSLASHbd] = ACTIONS(5364),
    [anon_sym_BSLASHit] = ACTIONS(5364),
    [anon_sym_BSLASHbdit] = ACTIONS(5364),
    [anon_sym_BSLASHno] = ACTIONS(5364),
    [anon_sym_BSLASHsc] = ACTIONS(5364),
    [anon_sym_BSLASHsup] = ACTIONS(5364),
    [anon_sym_BSLASHndx] = ACTIONS(5364),
    [anon_sym_BSLASHpro] = ACTIONS(5364),
    [anon_sym_BSLASHrb] = ACTIONS(5364),
    [anon_sym_BSLASHw] = ACTIONS(5364),
    [anon_sym_BSLASHwg] = ACTIONS(5364),
    [anon_sym_BSLASHwh] = ACTIONS(5364),
    [anon_sym_BSLASHwa] = ACTIONS(5364),
    [anon_sym_BSLASHfig] = ACTIONS(5364),
    [anon_sym_BSLASHjmp] = ACTIONS(5364),
    [anon_sym_BSLASHpb] = ACTIONS(5364),
    [anon_sym_BSLASH] = ACTIONS(5364),
    [sym_milestoneStartTag] = ACTIONS(5364),
    [sym_milestoneEndTag] = ACTIONS(5364),
    [sym_zSpaceTag] = ACTIONS(5364),
    [anon_sym_BSLASHesb] = ACTIONS(5364),
  },
  [442] = {
    [ts_builtin_sym_end] = ACTIONS(5366),
    [aux_sym_text_token1] = ACTIONS(5366),
    [anon_sym_BSLASHref] = ACTIONS(5368),
    [anon_sym_BSLASHsts] = ACTIONS(5368),
    [anon_sym_BSLASHrem] = ACTIONS(5368),
    [anon_sym_BSLASHrestore] = ACTIONS(5368),
    [anon_sym_BSLASHlit] = ACTIONS(5368),
    [anon_sym_BSLASHip] = ACTIONS(5368),
    [anon_sym_BSLASHiex] = ACTIONS(5368),
    [anon_sym_BSLASHv] = ACTIONS(5368),
    [anon_sym_BSLASHva] = ACTIONS(5368),
    [anon_sym_BSLASHvp] = ACTIONS(5368),
    [anon_sym_BSLASHc] = ACTIONS(5368),
    [anon_sym_BSLASHcl] = ACTIONS(5368),
    [anon_sym_BSLASHca] = ACTIONS(5368),
    [anon_sym_BSLASHcp] = ACTIONS(5368),
    [anon_sym_BSLASHcd] = ACTIONS(5368),
    [anon_sym_BSLASHmte] = ACTIONS(5368),
    [anon_sym_BSLASHms] = ACTIONS(5368),
    [anon_sym_BSLASHs] = ACTIONS(5368),
    [anon_sym_BSLASHr] = ACTIONS(5368),
    [anon_sym_BSLASHsp] = ACTIONS(5368),
    [anon_sym_BSLASHd] = ACTIONS(5368),
    [anon_sym_BSLASHsd] = ACTIONS(5368),
    [anon_sym_BSLASHp] = ACTIONS(5368),
    [anon_sym_BSLASHm] = ACTIONS(5368),
    [anon_sym_BSLASHpo] = ACTIONS(5368),
    [anon_sym_BSLASHpr] = ACTIONS(5368),
    [anon_sym_BSLASHcls] = ACTIONS(5368),
    [anon_sym_BSLASHpmo] = ACTIONS(5368),
    [anon_sym_BSLASHpm] = ACTIONS(5368),
    [anon_sym_BSLASHpmc] = ACTIONS(5368),
    [anon_sym_BSLASHpmr] = ACTIONS(5368),
    [anon_sym_BSLASHpi] = ACTIONS(5368),
    [anon_sym_BSLASHmi] = ACTIONS(5368),
    [anon_sym_BSLASHnb] = ACTIONS(5368),
    [anon_sym_BSLASHpc] = ACTIONS(5368),
    [anon_sym_BSLASHph] = ACTIONS(5368),
    [anon_sym_BSLASHb] = ACTIONS(5368),
    [anon_sym_BSLASHq] = ACTIONS(5368),
    [anon_sym_BSLASHqr] = ACTIONS(5368),
    [anon_sym_BSLASHqc] = ACTIONS(5368),
    [anon_sym_BSLASHqa] = ACTIONS(5368),
    [anon_sym_BSLASHqm] = ACTIONS(5368),
    [anon_sym_BSLASHqd] = ACTIONS(5368),
    [anon_sym_BSLASHlh] = ACTIONS(5368),
    [anon_sym_BSLASHlf] = ACTIONS(5368),
    [anon_sym_BSLASHli] = ACTIONS(5368),
    [anon_sym_BSLASHlim] = ACTIONS(5368),
    [anon_sym_BSLASHliv] = ACTIONS(5368),
    [anon_sym_BSLASHlik] = ACTIONS(5368),
    [anon_sym_BSLASHlitl] = ACTIONS(5368),
    [anon_sym_BSLASHtr] = ACTIONS(5368),
    [anon_sym_BSLASHf] = ACTIONS(5368),
    [anon_sym_BSLASHfe] = ACTIONS(5368),
    [anon_sym_BSLASHef] = ACTIONS(5368),
    [anon_sym_BSLASHfm] = ACTIONS(5368),
    [anon_sym_BSLASHx] = ACTIONS(5368),
    [anon_sym_BSLASHxt] = ACTIONS(5368),
    [anon_sym_BSLASHrq] = ACTIONS(5368),
    [anon_sym_BSLASHadd] = ACTIONS(5368),
    [anon_sym_BSLASHbk] = ACTIONS(5368),
    [anon_sym_BSLASHdc] = ACTIONS(5368),
    [anon_sym_BSLASHk] = ACTIONS(5368),
    [anon_sym_BSLASHnd] = ACTIONS(5368),
    [anon_sym_BSLASHord] = ACTIONS(5368),
    [anon_sym_BSLASHpn] = ACTIONS(5368),
    [anon_sym_BSLASHpng] = ACTIONS(5368),
    [anon_sym_BSLASHaddpn] = ACTIONS(5368),
    [anon_sym_BSLASHqt] = ACTIONS(5368),
    [anon_sym_BSLASHsig] = ACTIONS(5368),
    [anon_sym_BSLASHsls] = ACTIONS(5368),
    [anon_sym_BSLASHtl] = ACTIONS(5368),
    [anon_sym_BSLASHwj] = ACTIONS(5368),
    [anon_sym_BSLASHem] = ACTIONS(5368),
    [anon_sym_BSLASHbd] = ACTIONS(5368),
    [anon_sym_BSLASHit] = ACTIONS(5368),
    [anon_sym_BSLASHbdit] = ACTIONS(5368),
    [anon_sym_BSLASHno] = ACTIONS(5368),
    [anon_sym_BSLASHsc] = ACTIONS(5368),
    [anon_sym_BSLASHsup] = ACTIONS(5368),
    [anon_sym_BSLASHndx] = ACTIONS(5368),
    [anon_sym_BSLASHpro] = ACTIONS(5368),
    [anon_sym_BSLASHrb] = ACTIONS(5368),
    [anon_sym_BSLASHw] = ACTIONS(5368),
    [anon_sym_BSLASHwg] = ACTIONS(5368),
    [anon_sym_BSLASHwh] = ACTIONS(5368),
    [anon_sym_BSLASHwa] = ACTIONS(5368),
    [anon_sym_BSLASHfig] = ACTIONS(5368),
    [anon_sym_BSLASHjmp] = ACTIONS(5368),
    [anon_sym_BSLASHpb] = ACTIONS(5368),
    [anon_sym_BSLASH] = ACTIONS(5368),
    [sym_milestoneStartTag] = ACTIONS(5368),
    [sym_milestoneEndTag] = ACTIONS(5368),
    [sym_zSpaceTag] = ACTIONS(5368),
    [anon_sym_BSLASHesb] = ACTIONS(5368),
  },
  [443] = {
    [ts_builtin_sym_end] = ACTIONS(5370),
    [aux_sym_text_token1] = ACTIONS(5370),
    [anon_sym_BSLASHref] = ACTIONS(5372),
    [anon_sym_BSLASHsts] = ACTIONS(5372),
    [anon_sym_BSLASHrem] = ACTIONS(5372),
    [anon_sym_BSLASHrestore] = ACTIONS(5372),
    [anon_sym_BSLASHlit] = ACTIONS(5372),
    [anon_sym_BSLASHip] = ACTIONS(5372),
    [anon_sym_BSLASHiex] = ACTIONS(5372),
    [anon_sym_BSLASHv] = ACTIONS(5372),
    [anon_sym_BSLASHva] = ACTIONS(5372),
    [anon_sym_BSLASHvp] = ACTIONS(5372),
    [anon_sym_BSLASHc] = ACTIONS(5372),
    [anon_sym_BSLASHcl] = ACTIONS(5372),
    [anon_sym_BSLASHca] = ACTIONS(5372),
    [anon_sym_BSLASHcp] = ACTIONS(5372),
    [anon_sym_BSLASHcd] = ACTIONS(5372),
    [anon_sym_BSLASHmte] = ACTIONS(5372),
    [anon_sym_BSLASHms] = ACTIONS(5372),
    [anon_sym_BSLASHs] = ACTIONS(5372),
    [anon_sym_BSLASHr] = ACTIONS(5372),
    [anon_sym_BSLASHsp] = ACTIONS(5372),
    [anon_sym_BSLASHd] = ACTIONS(5372),
    [anon_sym_BSLASHsd] = ACTIONS(5372),
    [anon_sym_BSLASHp] = ACTIONS(5372),
    [anon_sym_BSLASHm] = ACTIONS(5372),
    [anon_sym_BSLASHpo] = ACTIONS(5372),
    [anon_sym_BSLASHpr] = ACTIONS(5372),
    [anon_sym_BSLASHcls] = ACTIONS(5372),
    [anon_sym_BSLASHpmo] = ACTIONS(5372),
    [anon_sym_BSLASHpm] = ACTIONS(5372),
    [anon_sym_BSLASHpmc] = ACTIONS(5372),
    [anon_sym_BSLASHpmr] = ACTIONS(5372),
    [anon_sym_BSLASHpi] = ACTIONS(5372),
    [anon_sym_BSLASHmi] = ACTIONS(5372),
    [anon_sym_BSLASHnb] = ACTIONS(5372),
    [anon_sym_BSLASHpc] = ACTIONS(5372),
    [anon_sym_BSLASHph] = ACTIONS(5372),
    [anon_sym_BSLASHb] = ACTIONS(5372),
    [anon_sym_BSLASHq] = ACTIONS(5372),
    [anon_sym_BSLASHqr] = ACTIONS(5372),
    [anon_sym_BSLASHqc] = ACTIONS(5372),
    [anon_sym_BSLASHqa] = ACTIONS(5372),
    [anon_sym_BSLASHqm] = ACTIONS(5372),
    [anon_sym_BSLASHqd] = ACTIONS(5372),
    [anon_sym_BSLASHlh] = ACTIONS(5372),
    [anon_sym_BSLASHlf] = ACTIONS(5372),
    [anon_sym_BSLASHli] = ACTIONS(5372),
    [anon_sym_BSLASHlim] = ACTIONS(5372),
    [anon_sym_BSLASHliv] = ACTIONS(5372),
    [anon_sym_BSLASHlik] = ACTIONS(5372),
    [anon_sym_BSLASHlitl] = ACTIONS(5372),
    [anon_sym_BSLASHtr] = ACTIONS(5372),
    [anon_sym_BSLASHf] = ACTIONS(5372),
    [anon_sym_BSLASHfe] = ACTIONS(5372),
    [anon_sym_BSLASHef] = ACTIONS(5372),
    [anon_sym_BSLASHfm] = ACTIONS(5372),
    [anon_sym_BSLASHx] = ACTIONS(5372),
    [anon_sym_BSLASHxt] = ACTIONS(5372),
    [anon_sym_BSLASHrq] = ACTIONS(5372),
    [anon_sym_BSLASHadd] = ACTIONS(5372),
    [anon_sym_BSLASHbk] = ACTIONS(5372),
    [anon_sym_BSLASHdc] = ACTIONS(5372),
    [anon_sym_BSLASHk] = ACTIONS(5372),
    [anon_sym_BSLASHnd] = ACTIONS(5372),
    [anon_sym_BSLASHord] = ACTIONS(5372),
    [anon_sym_BSLASHpn] = ACTIONS(5372),
    [anon_sym_BSLASHpng] = ACTIONS(5372),
    [anon_sym_BSLASHaddpn] = ACTIONS(5372),
    [anon_sym_BSLASHqt] = ACTIONS(5372),
    [anon_sym_BSLASHsig] = ACTIONS(5372),
    [anon_sym_BSLASHsls] = ACTIONS(5372),
    [anon_sym_BSLASHtl] = ACTIONS(5372),
    [anon_sym_BSLASHwj] = ACTIONS(5372),
    [anon_sym_BSLASHem] = ACTIONS(5372),
    [anon_sym_BSLASHbd] = ACTIONS(5372),
    [anon_sym_BSLASHit] = ACTIONS(5372),
    [anon_sym_BSLASHbdit] = ACTIONS(5372),
    [anon_sym_BSLASHno] = ACTIONS(5372),
    [anon_sym_BSLASHsc] = ACTIONS(5372),
    [anon_sym_BSLASHsup] = ACTIONS(5372),
    [anon_sym_BSLASHndx] = ACTIONS(5372),
    [anon_sym_BSLASHpro] = ACTIONS(5372),
    [anon_sym_BSLASHrb] = ACTIONS(5372),
    [anon_sym_BSLASHw] = ACTIONS(5372),
    [anon_sym_BSLASHwg] = ACTIONS(5372),
    [anon_sym_BSLASHwh] = ACTIONS(5372),
    [anon_sym_BSLASHwa] = ACTIONS(5372),
    [anon_sym_BSLASHfig] = ACTIONS(5372),
    [anon_sym_BSLASHjmp] = ACTIONS(5372),
    [anon_sym_BSLASHpb] = ACTIONS(5372),
    [anon_sym_BSLASH] = ACTIONS(5372),
    [sym_milestoneStartTag] = ACTIONS(5372),
    [sym_milestoneEndTag] = ACTIONS(5372),
    [sym_zSpaceTag] = ACTIONS(5372),
    [anon_sym_BSLASHesb] = ACTIONS(5372),
  },
  [444] = {
    [ts_builtin_sym_end] = ACTIONS(5374),
    [aux_sym_text_token1] = ACTIONS(5374),
    [anon_sym_BSLASHref] = ACTIONS(5376),
    [anon_sym_BSLASHsts] = ACTIONS(5376),
    [anon_sym_BSLASHrem] = ACTIONS(5376),
    [anon_sym_BSLASHrestore] = ACTIONS(5376),
    [anon_sym_BSLASHlit] = ACTIONS(5376),
    [anon_sym_BSLASHip] = ACTIONS(5376),
    [anon_sym_BSLASHiex] = ACTIONS(5376),
    [anon_sym_BSLASHv] = ACTIONS(5376),
    [anon_sym_BSLASHva] = ACTIONS(5376),
    [anon_sym_BSLASHvp] = ACTIONS(5376),
    [anon_sym_BSLASHc] = ACTIONS(5376),
    [anon_sym_BSLASHcl] = ACTIONS(5376),
    [anon_sym_BSLASHca] = ACTIONS(5376),
    [anon_sym_BSLASHcp] = ACTIONS(5376),
    [anon_sym_BSLASHcd] = ACTIONS(5376),
    [anon_sym_BSLASHmte] = ACTIONS(5376),
    [anon_sym_BSLASHms] = ACTIONS(5376),
    [anon_sym_BSLASHs] = ACTIONS(5376),
    [anon_sym_BSLASHr] = ACTIONS(5376),
    [anon_sym_BSLASHsp] = ACTIONS(5376),
    [anon_sym_BSLASHd] = ACTIONS(5376),
    [anon_sym_BSLASHsd] = ACTIONS(5376),
    [anon_sym_BSLASHp] = ACTIONS(5376),
    [anon_sym_BSLASHm] = ACTIONS(5376),
    [anon_sym_BSLASHpo] = ACTIONS(5376),
    [anon_sym_BSLASHpr] = ACTIONS(5376),
    [anon_sym_BSLASHcls] = ACTIONS(5376),
    [anon_sym_BSLASHpmo] = ACTIONS(5376),
    [anon_sym_BSLASHpm] = ACTIONS(5376),
    [anon_sym_BSLASHpmc] = ACTIONS(5376),
    [anon_sym_BSLASHpmr] = ACTIONS(5376),
    [anon_sym_BSLASHpi] = ACTIONS(5376),
    [anon_sym_BSLASHmi] = ACTIONS(5376),
    [anon_sym_BSLASHnb] = ACTIONS(5376),
    [anon_sym_BSLASHpc] = ACTIONS(5376),
    [anon_sym_BSLASHph] = ACTIONS(5376),
    [anon_sym_BSLASHb] = ACTIONS(5376),
    [anon_sym_BSLASHq] = ACTIONS(5376),
    [anon_sym_BSLASHqr] = ACTIONS(5376),
    [anon_sym_BSLASHqc] = ACTIONS(5376),
    [anon_sym_BSLASHqa] = ACTIONS(5376),
    [anon_sym_BSLASHqm] = ACTIONS(5376),
    [anon_sym_BSLASHqd] = ACTIONS(5376),
    [anon_sym_BSLASHlh] = ACTIONS(5376),
    [anon_sym_BSLASHlf] = ACTIONS(5376),
    [anon_sym_BSLASHli] = ACTIONS(5376),
    [anon_sym_BSLASHlim] = ACTIONS(5376),
    [anon_sym_BSLASHliv] = ACTIONS(5376),
    [anon_sym_BSLASHlik] = ACTIONS(5376),
    [anon_sym_BSLASHlitl] = ACTIONS(5376),
    [anon_sym_BSLASHtr] = ACTIONS(5376),
    [anon_sym_BSLASHf] = ACTIONS(5376),
    [anon_sym_BSLASHfe] = ACTIONS(5376),
    [anon_sym_BSLASHef] = ACTIONS(5376),
    [anon_sym_BSLASHfm] = ACTIONS(5376),
    [anon_sym_BSLASHx] = ACTIONS(5376),
    [anon_sym_BSLASHxt] = ACTIONS(5376),
    [anon_sym_BSLASHrq] = ACTIONS(5376),
    [anon_sym_BSLASHadd] = ACTIONS(5376),
    [anon_sym_BSLASHbk] = ACTIONS(5376),
    [anon_sym_BSLASHdc] = ACTIONS(5376),
    [anon_sym_BSLASHk] = ACTIONS(5376),
    [anon_sym_BSLASHnd] = ACTIONS(5376),
    [anon_sym_BSLASHord] = ACTIONS(5376),
    [anon_sym_BSLASHpn] = ACTIONS(5376),
    [anon_sym_BSLASHpng] = ACTIONS(5376),
    [anon_sym_BSLASHaddpn] = ACTIONS(5376),
    [anon_sym_BSLASHqt] = ACTIONS(5376),
    [anon_sym_BSLASHsig] = ACTIONS(5376),
    [anon_sym_BSLASHsls] = ACTIONS(5376),
    [anon_sym_BSLASHtl] = ACTIONS(5376),
    [anon_sym_BSLASHwj] = ACTIONS(5376),
    [anon_sym_BSLASHem] = ACTIONS(5376),
    [anon_sym_BSLASHbd] = ACTIONS(5376),
    [anon_sym_BSLASHit] = ACTIONS(5376),
    [anon_sym_BSLASHbdit] = ACTIONS(5376),
    [anon_sym_BSLASHno] = ACTIONS(5376),
    [anon_sym_BSLASHsc] = ACTIONS(5376),
    [anon_sym_BSLASHsup] = ACTIONS(5376),
    [anon_sym_BSLASHndx] = ACTIONS(5376),
    [anon_sym_BSLASHpro] = ACTIONS(5376),
    [anon_sym_BSLASHrb] = ACTIONS(5376),
    [anon_sym_BSLASHw] = ACTIONS(5376),
    [anon_sym_BSLASHwg] = ACTIONS(5376),
    [anon_sym_BSLASHwh] = ACTIONS(5376),
    [anon_sym_BSLASHwa] = ACTIONS(5376),
    [anon_sym_BSLASHfig] = ACTIONS(5376),
    [anon_sym_BSLASHjmp] = ACTIONS(5376),
    [anon_sym_BSLASHpb] = ACTIONS(5376),
    [anon_sym_BSLASH] = ACTIONS(5376),
    [sym_milestoneStartTag] = ACTIONS(5376),
    [sym_milestoneEndTag] = ACTIONS(5376),
    [sym_zSpaceTag] = ACTIONS(5376),
    [anon_sym_BSLASHesb] = ACTIONS(5376),
  },
  [445] = {
    [ts_builtin_sym_end] = ACTIONS(5378),
    [aux_sym_text_token1] = ACTIONS(5378),
    [anon_sym_BSLASHref] = ACTIONS(5380),
    [anon_sym_BSLASHsts] = ACTIONS(5380),
    [anon_sym_BSLASHrem] = ACTIONS(5380),
    [anon_sym_BSLASHrestore] = ACTIONS(5380),
    [anon_sym_BSLASHlit] = ACTIONS(5380),
    [anon_sym_BSLASHip] = ACTIONS(5380),
    [anon_sym_BSLASHiex] = ACTIONS(5380),
    [anon_sym_BSLASHv] = ACTIONS(5380),
    [anon_sym_BSLASHva] = ACTIONS(5380),
    [anon_sym_BSLASHvp] = ACTIONS(5380),
    [anon_sym_BSLASHc] = ACTIONS(5380),
    [anon_sym_BSLASHcl] = ACTIONS(5380),
    [anon_sym_BSLASHca] = ACTIONS(5380),
    [anon_sym_BSLASHcp] = ACTIONS(5380),
    [anon_sym_BSLASHcd] = ACTIONS(5380),
    [anon_sym_BSLASHmte] = ACTIONS(5380),
    [anon_sym_BSLASHms] = ACTIONS(5380),
    [anon_sym_BSLASHs] = ACTIONS(5380),
    [anon_sym_BSLASHr] = ACTIONS(5380),
    [anon_sym_BSLASHsp] = ACTIONS(5380),
    [anon_sym_BSLASHd] = ACTIONS(5380),
    [anon_sym_BSLASHsd] = ACTIONS(5380),
    [anon_sym_BSLASHp] = ACTIONS(5380),
    [anon_sym_BSLASHm] = ACTIONS(5380),
    [anon_sym_BSLASHpo] = ACTIONS(5380),
    [anon_sym_BSLASHpr] = ACTIONS(5380),
    [anon_sym_BSLASHcls] = ACTIONS(5380),
    [anon_sym_BSLASHpmo] = ACTIONS(5380),
    [anon_sym_BSLASHpm] = ACTIONS(5380),
    [anon_sym_BSLASHpmc] = ACTIONS(5380),
    [anon_sym_BSLASHpmr] = ACTIONS(5380),
    [anon_sym_BSLASHpi] = ACTIONS(5380),
    [anon_sym_BSLASHmi] = ACTIONS(5380),
    [anon_sym_BSLASHnb] = ACTIONS(5380),
    [anon_sym_BSLASHpc] = ACTIONS(5380),
    [anon_sym_BSLASHph] = ACTIONS(5380),
    [anon_sym_BSLASHb] = ACTIONS(5380),
    [anon_sym_BSLASHq] = ACTIONS(5380),
    [anon_sym_BSLASHqr] = ACTIONS(5380),
    [anon_sym_BSLASHqc] = ACTIONS(5380),
    [anon_sym_BSLASHqa] = ACTIONS(5380),
    [anon_sym_BSLASHqm] = ACTIONS(5380),
    [anon_sym_BSLASHqd] = ACTIONS(5380),
    [anon_sym_BSLASHlh] = ACTIONS(5380),
    [anon_sym_BSLASHlf] = ACTIONS(5380),
    [anon_sym_BSLASHli] = ACTIONS(5380),
    [anon_sym_BSLASHlim] = ACTIONS(5380),
    [anon_sym_BSLASHliv] = ACTIONS(5380),
    [anon_sym_BSLASHlik] = ACTIONS(5380),
    [anon_sym_BSLASHlitl] = ACTIONS(5380),
    [anon_sym_BSLASHtr] = ACTIONS(5380),
    [anon_sym_BSLASHf] = ACTIONS(5380),
    [anon_sym_BSLASHfe] = ACTIONS(5380),
    [anon_sym_BSLASHef] = ACTIONS(5380),
    [anon_sym_BSLASHfm] = ACTIONS(5380),
    [anon_sym_BSLASHx] = ACTIONS(5380),
    [anon_sym_BSLASHxt] = ACTIONS(5380),
    [anon_sym_BSLASHrq] = ACTIONS(5380),
    [anon_sym_BSLASHadd] = ACTIONS(5380),
    [anon_sym_BSLASHbk] = ACTIONS(5380),
    [anon_sym_BSLASHdc] = ACTIONS(5380),
    [anon_sym_BSLASHk] = ACTIONS(5380),
    [anon_sym_BSLASHnd] = ACTIONS(5380),
    [anon_sym_BSLASHord] = ACTIONS(5380),
    [anon_sym_BSLASHpn] = ACTIONS(5380),
    [anon_sym_BSLASHpng] = ACTIONS(5380),
    [anon_sym_BSLASHaddpn] = ACTIONS(5380),
    [anon_sym_BSLASHqt] = ACTIONS(5380),
    [anon_sym_BSLASHsig] = ACTIONS(5380),
    [anon_sym_BSLASHsls] = ACTIONS(5380),
    [anon_sym_BSLASHtl] = ACTIONS(5380),
    [anon_sym_BSLASHwj] = ACTIONS(5380),
    [anon_sym_BSLASHem] = ACTIONS(5380),
    [anon_sym_BSLASHbd] = ACTIONS(5380),
    [anon_sym_BSLASHit] = ACTIONS(5380),
    [anon_sym_BSLASHbdit] = ACTIONS(5380),
    [anon_sym_BSLASHno] = ACTIONS(5380),
    [anon_sym_BSLASHsc] = ACTIONS(5380),
    [anon_sym_BSLASHsup] = ACTIONS(5380),
    [anon_sym_BSLASHndx] = ACTIONS(5380),
    [anon_sym_BSLASHpro] = ACTIONS(5380),
    [anon_sym_BSLASHrb] = ACTIONS(5380),
    [anon_sym_BSLASHw] = ACTIONS(5380),
    [anon_sym_BSLASHwg] = ACTIONS(5380),
    [anon_sym_BSLASHwh] = ACTIONS(5380),
    [anon_sym_BSLASHwa] = ACTIONS(5380),
    [anon_sym_BSLASHfig] = ACTIONS(5380),
    [anon_sym_BSLASHjmp] = ACTIONS(5380),
    [anon_sym_BSLASHpb] = ACTIONS(5380),
    [anon_sym_BSLASH] = ACTIONS(5380),
    [sym_milestoneStartTag] = ACTIONS(5380),
    [sym_milestoneEndTag] = ACTIONS(5380),
    [sym_zSpaceTag] = ACTIONS(5380),
    [anon_sym_BSLASHesb] = ACTIONS(5380),
  },
  [446] = {
    [ts_builtin_sym_end] = ACTIONS(5382),
    [aux_sym_text_token1] = ACTIONS(5382),
    [anon_sym_BSLASHref] = ACTIONS(5384),
    [anon_sym_BSLASHsts] = ACTIONS(5384),
    [anon_sym_BSLASHrem] = ACTIONS(5384),
    [anon_sym_BSLASHrestore] = ACTIONS(5384),
    [anon_sym_BSLASHlit] = ACTIONS(5384),
    [anon_sym_BSLASHip] = ACTIONS(5384),
    [anon_sym_BSLASHiex] = ACTIONS(5384),
    [anon_sym_BSLASHv] = ACTIONS(5384),
    [anon_sym_BSLASHva] = ACTIONS(5384),
    [anon_sym_BSLASHvp] = ACTIONS(5384),
    [anon_sym_BSLASHc] = ACTIONS(5384),
    [anon_sym_BSLASHcl] = ACTIONS(5384),
    [anon_sym_BSLASHca] = ACTIONS(5384),
    [anon_sym_BSLASHcp] = ACTIONS(5384),
    [anon_sym_BSLASHcd] = ACTIONS(5384),
    [anon_sym_BSLASHmte] = ACTIONS(5384),
    [anon_sym_BSLASHms] = ACTIONS(5384),
    [anon_sym_BSLASHs] = ACTIONS(5384),
    [anon_sym_BSLASHr] = ACTIONS(5384),
    [anon_sym_BSLASHsp] = ACTIONS(5384),
    [anon_sym_BSLASHd] = ACTIONS(5384),
    [anon_sym_BSLASHsd] = ACTIONS(5384),
    [anon_sym_BSLASHp] = ACTIONS(5384),
    [anon_sym_BSLASHm] = ACTIONS(5384),
    [anon_sym_BSLASHpo] = ACTIONS(5384),
    [anon_sym_BSLASHpr] = ACTIONS(5384),
    [anon_sym_BSLASHcls] = ACTIONS(5384),
    [anon_sym_BSLASHpmo] = ACTIONS(5384),
    [anon_sym_BSLASHpm] = ACTIONS(5384),
    [anon_sym_BSLASHpmc] = ACTIONS(5384),
    [anon_sym_BSLASHpmr] = ACTIONS(5384),
    [anon_sym_BSLASHpi] = ACTIONS(5384),
    [anon_sym_BSLASHmi] = ACTIONS(5384),
    [anon_sym_BSLASHnb] = ACTIONS(5384),
    [anon_sym_BSLASHpc] = ACTIONS(5384),
    [anon_sym_BSLASHph] = ACTIONS(5384),
    [anon_sym_BSLASHb] = ACTIONS(5384),
    [anon_sym_BSLASHq] = ACTIONS(5384),
    [anon_sym_BSLASHqr] = ACTIONS(5384),
    [anon_sym_BSLASHqc] = ACTIONS(5384),
    [anon_sym_BSLASHqa] = ACTIONS(5384),
    [anon_sym_BSLASHqm] = ACTIONS(5384),
    [anon_sym_BSLASHqd] = ACTIONS(5384),
    [anon_sym_BSLASHlh] = ACTIONS(5384),
    [anon_sym_BSLASHlf] = ACTIONS(5384),
    [anon_sym_BSLASHli] = ACTIONS(5384),
    [anon_sym_BSLASHlim] = ACTIONS(5384),
    [anon_sym_BSLASHliv] = ACTIONS(5384),
    [anon_sym_BSLASHlik] = ACTIONS(5384),
    [anon_sym_BSLASHlitl] = ACTIONS(5384),
    [anon_sym_BSLASHtr] = ACTIONS(5384),
    [anon_sym_BSLASHf] = ACTIONS(5384),
    [anon_sym_BSLASHfe] = ACTIONS(5384),
    [anon_sym_BSLASHef] = ACTIONS(5384),
    [anon_sym_BSLASHfm] = ACTIONS(5384),
    [anon_sym_BSLASHx] = ACTIONS(5384),
    [anon_sym_BSLASHxt] = ACTIONS(5384),
    [anon_sym_BSLASHrq] = ACTIONS(5384),
    [anon_sym_BSLASHadd] = ACTIONS(5384),
    [anon_sym_BSLASHbk] = ACTIONS(5384),
    [anon_sym_BSLASHdc] = ACTIONS(5384),
    [anon_sym_BSLASHk] = ACTIONS(5384),
    [anon_sym_BSLASHnd] = ACTIONS(5384),
    [anon_sym_BSLASHord] = ACTIONS(5384),
    [anon_sym_BSLASHpn] = ACTIONS(5384),
    [anon_sym_BSLASHpng] = ACTIONS(5384),
    [anon_sym_BSLASHaddpn] = ACTIONS(5384),
    [anon_sym_BSLASHqt] = ACTIONS(5384),
    [anon_sym_BSLASHsig] = ACTIONS(5384),
    [anon_sym_BSLASHsls] = ACTIONS(5384),
    [anon_sym_BSLASHtl] = ACTIONS(5384),
    [anon_sym_BSLASHwj] = ACTIONS(5384),
    [anon_sym_BSLASHem] = ACTIONS(5384),
    [anon_sym_BSLASHbd] = ACTIONS(5384),
    [anon_sym_BSLASHit] = ACTIONS(5384),
    [anon_sym_BSLASHbdit] = ACTIONS(5384),
    [anon_sym_BSLASHno] = ACTIONS(5384),
    [anon_sym_BSLASHsc] = ACTIONS(5384),
    [anon_sym_BSLASHsup] = ACTIONS(5384),
    [anon_sym_BSLASHndx] = ACTIONS(5384),
    [anon_sym_BSLASHpro] = ACTIONS(5384),
    [anon_sym_BSLASHrb] = ACTIONS(5384),
    [anon_sym_BSLASHw] = ACTIONS(5384),
    [anon_sym_BSLASHwg] = ACTIONS(5384),
    [anon_sym_BSLASHwh] = ACTIONS(5384),
    [anon_sym_BSLASHwa] = ACTIONS(5384),
    [anon_sym_BSLASHfig] = ACTIONS(5384),
    [anon_sym_BSLASHjmp] = ACTIONS(5384),
    [anon_sym_BSLASHpb] = ACTIONS(5384),
    [anon_sym_BSLASH] = ACTIONS(5384),
    [sym_milestoneStartTag] = ACTIONS(5384),
    [sym_milestoneEndTag] = ACTIONS(5384),
    [sym_zSpaceTag] = ACTIONS(5384),
    [anon_sym_BSLASHesb] = ACTIONS(5384),
  },
  [447] = {
    [ts_builtin_sym_end] = ACTIONS(5386),
    [aux_sym_text_token1] = ACTIONS(5386),
    [anon_sym_BSLASHref] = ACTIONS(5388),
    [anon_sym_BSLASHsts] = ACTIONS(5388),
    [anon_sym_BSLASHrem] = ACTIONS(5388),
    [anon_sym_BSLASHrestore] = ACTIONS(5388),
    [anon_sym_BSLASHlit] = ACTIONS(5388),
    [anon_sym_BSLASHip] = ACTIONS(5388),
    [anon_sym_BSLASHiex] = ACTIONS(5388),
    [anon_sym_BSLASHv] = ACTIONS(5388),
    [anon_sym_BSLASHva] = ACTIONS(5388),
    [anon_sym_BSLASHvp] = ACTIONS(5388),
    [anon_sym_BSLASHc] = ACTIONS(5388),
    [anon_sym_BSLASHcl] = ACTIONS(5388),
    [anon_sym_BSLASHca] = ACTIONS(5388),
    [anon_sym_BSLASHcp] = ACTIONS(5388),
    [anon_sym_BSLASHcd] = ACTIONS(5388),
    [anon_sym_BSLASHmte] = ACTIONS(5388),
    [anon_sym_BSLASHms] = ACTIONS(5388),
    [anon_sym_BSLASHs] = ACTIONS(5388),
    [anon_sym_BSLASHr] = ACTIONS(5388),
    [anon_sym_BSLASHsp] = ACTIONS(5388),
    [anon_sym_BSLASHd] = ACTIONS(5388),
    [anon_sym_BSLASHsd] = ACTIONS(5388),
    [anon_sym_BSLASHp] = ACTIONS(5388),
    [anon_sym_BSLASHm] = ACTIONS(5388),
    [anon_sym_BSLASHpo] = ACTIONS(5388),
    [anon_sym_BSLASHpr] = ACTIONS(5388),
    [anon_sym_BSLASHcls] = ACTIONS(5388),
    [anon_sym_BSLASHpmo] = ACTIONS(5388),
    [anon_sym_BSLASHpm] = ACTIONS(5388),
    [anon_sym_BSLASHpmc] = ACTIONS(5388),
    [anon_sym_BSLASHpmr] = ACTIONS(5388),
    [anon_sym_BSLASHpi] = ACTIONS(5388),
    [anon_sym_BSLASHmi] = ACTIONS(5388),
    [anon_sym_BSLASHnb] = ACTIONS(5388),
    [anon_sym_BSLASHpc] = ACTIONS(5388),
    [anon_sym_BSLASHph] = ACTIONS(5388),
    [anon_sym_BSLASHb] = ACTIONS(5388),
    [anon_sym_BSLASHq] = ACTIONS(5388),
    [anon_sym_BSLASHqr] = ACTIONS(5388),
    [anon_sym_BSLASHqc] = ACTIONS(5388),
    [anon_sym_BSLASHqa] = ACTIONS(5388),
    [anon_sym_BSLASHqm] = ACTIONS(5388),
    [anon_sym_BSLASHqd] = ACTIONS(5388),
    [anon_sym_BSLASHlh] = ACTIONS(5388),
    [anon_sym_BSLASHlf] = ACTIONS(5388),
    [anon_sym_BSLASHli] = ACTIONS(5388),
    [anon_sym_BSLASHlim] = ACTIONS(5388),
    [anon_sym_BSLASHliv] = ACTIONS(5388),
    [anon_sym_BSLASHlik] = ACTIONS(5388),
    [anon_sym_BSLASHlitl] = ACTIONS(5388),
    [anon_sym_BSLASHtr] = ACTIONS(5388),
    [anon_sym_BSLASHf] = ACTIONS(5388),
    [anon_sym_BSLASHfe] = ACTIONS(5388),
    [anon_sym_BSLASHef] = ACTIONS(5388),
    [anon_sym_BSLASHfm] = ACTIONS(5388),
    [anon_sym_BSLASHx] = ACTIONS(5388),
    [anon_sym_BSLASHxt] = ACTIONS(5388),
    [anon_sym_BSLASHrq] = ACTIONS(5388),
    [anon_sym_BSLASHadd] = ACTIONS(5388),
    [anon_sym_BSLASHbk] = ACTIONS(5388),
    [anon_sym_BSLASHdc] = ACTIONS(5388),
    [anon_sym_BSLASHk] = ACTIONS(5388),
    [anon_sym_BSLASHnd] = ACTIONS(5388),
    [anon_sym_BSLASHord] = ACTIONS(5388),
    [anon_sym_BSLASHpn] = ACTIONS(5388),
    [anon_sym_BSLASHpng] = ACTIONS(5388),
    [anon_sym_BSLASHaddpn] = ACTIONS(5388),
    [anon_sym_BSLASHqt] = ACTIONS(5388),
    [anon_sym_BSLASHsig] = ACTIONS(5388),
    [anon_sym_BSLASHsls] = ACTIONS(5388),
    [anon_sym_BSLASHtl] = ACTIONS(5388),
    [anon_sym_BSLASHwj] = ACTIONS(5388),
    [anon_sym_BSLASHem] = ACTIONS(5388),
    [anon_sym_BSLASHbd] = ACTIONS(5388),
    [anon_sym_BSLASHit] = ACTIONS(5388),
    [anon_sym_BSLASHbdit] = ACTIONS(5388),
    [anon_sym_BSLASHno] = ACTIONS(5388),
    [anon_sym_BSLASHsc] = ACTIONS(5388),
    [anon_sym_BSLASHsup] = ACTIONS(5388),
    [anon_sym_BSLASHndx] = ACTIONS(5388),
    [anon_sym_BSLASHpro] = ACTIONS(5388),
    [anon_sym_BSLASHrb] = ACTIONS(5388),
    [anon_sym_BSLASHw] = ACTIONS(5388),
    [anon_sym_BSLASHwg] = ACTIONS(5388),
    [anon_sym_BSLASHwh] = ACTIONS(5388),
    [anon_sym_BSLASHwa] = ACTIONS(5388),
    [anon_sym_BSLASHfig] = ACTIONS(5388),
    [anon_sym_BSLASHjmp] = ACTIONS(5388),
    [anon_sym_BSLASHpb] = ACTIONS(5388),
    [anon_sym_BSLASH] = ACTIONS(5388),
    [sym_milestoneStartTag] = ACTIONS(5388),
    [sym_milestoneEndTag] = ACTIONS(5388),
    [sym_zSpaceTag] = ACTIONS(5388),
    [anon_sym_BSLASHesb] = ACTIONS(5388),
  },
  [448] = {
    [ts_builtin_sym_end] = ACTIONS(5390),
    [aux_sym_text_token1] = ACTIONS(5390),
    [anon_sym_BSLASHref] = ACTIONS(5392),
    [anon_sym_BSLASHsts] = ACTIONS(5392),
    [anon_sym_BSLASHrem] = ACTIONS(5392),
    [anon_sym_BSLASHrestore] = ACTIONS(5392),
    [anon_sym_BSLASHlit] = ACTIONS(5392),
    [anon_sym_BSLASHip] = ACTIONS(5392),
    [anon_sym_BSLASHiex] = ACTIONS(5392),
    [anon_sym_BSLASHv] = ACTIONS(5392),
    [anon_sym_BSLASHva] = ACTIONS(5392),
    [anon_sym_BSLASHvp] = ACTIONS(5392),
    [anon_sym_BSLASHc] = ACTIONS(5392),
    [anon_sym_BSLASHcl] = ACTIONS(5392),
    [anon_sym_BSLASHca] = ACTIONS(5392),
    [anon_sym_BSLASHcp] = ACTIONS(5392),
    [anon_sym_BSLASHcd] = ACTIONS(5392),
    [anon_sym_BSLASHmte] = ACTIONS(5392),
    [anon_sym_BSLASHms] = ACTIONS(5392),
    [anon_sym_BSLASHs] = ACTIONS(5392),
    [anon_sym_BSLASHr] = ACTIONS(5392),
    [anon_sym_BSLASHsp] = ACTIONS(5392),
    [anon_sym_BSLASHd] = ACTIONS(5392),
    [anon_sym_BSLASHsd] = ACTIONS(5392),
    [anon_sym_BSLASHp] = ACTIONS(5392),
    [anon_sym_BSLASHm] = ACTIONS(5392),
    [anon_sym_BSLASHpo] = ACTIONS(5392),
    [anon_sym_BSLASHpr] = ACTIONS(5392),
    [anon_sym_BSLASHcls] = ACTIONS(5392),
    [anon_sym_BSLASHpmo] = ACTIONS(5392),
    [anon_sym_BSLASHpm] = ACTIONS(5392),
    [anon_sym_BSLASHpmc] = ACTIONS(5392),
    [anon_sym_BSLASHpmr] = ACTIONS(5392),
    [anon_sym_BSLASHpi] = ACTIONS(5392),
    [anon_sym_BSLASHmi] = ACTIONS(5392),
    [anon_sym_BSLASHnb] = ACTIONS(5392),
    [anon_sym_BSLASHpc] = ACTIONS(5392),
    [anon_sym_BSLASHph] = ACTIONS(5392),
    [anon_sym_BSLASHb] = ACTIONS(5392),
    [anon_sym_BSLASHq] = ACTIONS(5392),
    [anon_sym_BSLASHqr] = ACTIONS(5392),
    [anon_sym_BSLASHqc] = ACTIONS(5392),
    [anon_sym_BSLASHqa] = ACTIONS(5392),
    [anon_sym_BSLASHqm] = ACTIONS(5392),
    [anon_sym_BSLASHqd] = ACTIONS(5392),
    [anon_sym_BSLASHlh] = ACTIONS(5392),
    [anon_sym_BSLASHlf] = ACTIONS(5392),
    [anon_sym_BSLASHli] = ACTIONS(5392),
    [anon_sym_BSLASHlim] = ACTIONS(5392),
    [anon_sym_BSLASHliv] = ACTIONS(5392),
    [anon_sym_BSLASHlik] = ACTIONS(5392),
    [anon_sym_BSLASHlitl] = ACTIONS(5392),
    [anon_sym_BSLASHtr] = ACTIONS(5392),
    [anon_sym_BSLASHf] = ACTIONS(5392),
    [anon_sym_BSLASHfe] = ACTIONS(5392),
    [anon_sym_BSLASHef] = ACTIONS(5392),
    [anon_sym_BSLASHfm] = ACTIONS(5392),
    [anon_sym_BSLASHx] = ACTIONS(5392),
    [anon_sym_BSLASHxt] = ACTIONS(5392),
    [anon_sym_BSLASHrq] = ACTIONS(5392),
    [anon_sym_BSLASHadd] = ACTIONS(5392),
    [anon_sym_BSLASHbk] = ACTIONS(5392),
    [anon_sym_BSLASHdc] = ACTIONS(5392),
    [anon_sym_BSLASHk] = ACTIONS(5392),
    [anon_sym_BSLASHnd] = ACTIONS(5392),
    [anon_sym_BSLASHord] = ACTIONS(5392),
    [anon_sym_BSLASHpn] = ACTIONS(5392),
    [anon_sym_BSLASHpng] = ACTIONS(5392),
    [anon_sym_BSLASHaddpn] = ACTIONS(5392),
    [anon_sym_BSLASHqt] = ACTIONS(5392),
    [anon_sym_BSLASHsig] = ACTIONS(5392),
    [anon_sym_BSLASHsls] = ACTIONS(5392),
    [anon_sym_BSLASHtl] = ACTIONS(5392),
    [anon_sym_BSLASHwj] = ACTIONS(5392),
    [anon_sym_BSLASHem] = ACTIONS(5392),
    [anon_sym_BSLASHbd] = ACTIONS(5392),
    [anon_sym_BSLASHit] = ACTIONS(5392),
    [anon_sym_BSLASHbdit] = ACTIONS(5392),
    [anon_sym_BSLASHno] = ACTIONS(5392),
    [anon_sym_BSLASHsc] = ACTIONS(5392),
    [anon_sym_BSLASHsup] = ACTIONS(5392),
    [anon_sym_BSLASHndx] = ACTIONS(5392),
    [anon_sym_BSLASHpro] = ACTIONS(5392),
    [anon_sym_BSLASHrb] = ACTIONS(5392),
    [anon_sym_BSLASHw] = ACTIONS(5392),
    [anon_sym_BSLASHwg] = ACTIONS(5392),
    [anon_sym_BSLASHwh] = ACTIONS(5392),
    [anon_sym_BSLASHwa] = ACTIONS(5392),
    [anon_sym_BSLASHfig] = ACTIONS(5392),
    [anon_sym_BSLASHjmp] = ACTIONS(5392),
    [anon_sym_BSLASHpb] = ACTIONS(5392),
    [anon_sym_BSLASH] = ACTIONS(5392),
    [sym_milestoneStartTag] = ACTIONS(5392),
    [sym_milestoneEndTag] = ACTIONS(5392),
    [sym_zSpaceTag] = ACTIONS(5392),
    [anon_sym_BSLASHesb] = ACTIONS(5392),
  },
  [449] = {
    [ts_builtin_sym_end] = ACTIONS(5394),
    [aux_sym_text_token1] = ACTIONS(5394),
    [anon_sym_BSLASHref] = ACTIONS(5396),
    [anon_sym_BSLASHsts] = ACTIONS(5396),
    [anon_sym_BSLASHrem] = ACTIONS(5396),
    [anon_sym_BSLASHrestore] = ACTIONS(5396),
    [anon_sym_BSLASHlit] = ACTIONS(5396),
    [anon_sym_BSLASHip] = ACTIONS(5396),
    [anon_sym_BSLASHiex] = ACTIONS(5396),
    [anon_sym_BSLASHv] = ACTIONS(5396),
    [anon_sym_BSLASHva] = ACTIONS(5396),
    [anon_sym_BSLASHvp] = ACTIONS(5396),
    [anon_sym_BSLASHc] = ACTIONS(5396),
    [anon_sym_BSLASHcl] = ACTIONS(5396),
    [anon_sym_BSLASHca] = ACTIONS(5396),
    [anon_sym_BSLASHcp] = ACTIONS(5396),
    [anon_sym_BSLASHcd] = ACTIONS(5396),
    [anon_sym_BSLASHmte] = ACTIONS(5396),
    [anon_sym_BSLASHms] = ACTIONS(5396),
    [anon_sym_BSLASHs] = ACTIONS(5396),
    [anon_sym_BSLASHr] = ACTIONS(5396),
    [anon_sym_BSLASHsp] = ACTIONS(5396),
    [anon_sym_BSLASHd] = ACTIONS(5396),
    [anon_sym_BSLASHsd] = ACTIONS(5396),
    [anon_sym_BSLASHp] = ACTIONS(5396),
    [anon_sym_BSLASHm] = ACTIONS(5396),
    [anon_sym_BSLASHpo] = ACTIONS(5396),
    [anon_sym_BSLASHpr] = ACTIONS(5396),
    [anon_sym_BSLASHcls] = ACTIONS(5396),
    [anon_sym_BSLASHpmo] = ACTIONS(5396),
    [anon_sym_BSLASHpm] = ACTIONS(5396),
    [anon_sym_BSLASHpmc] = ACTIONS(5396),
    [anon_sym_BSLASHpmr] = ACTIONS(5396),
    [anon_sym_BSLASHpi] = ACTIONS(5396),
    [anon_sym_BSLASHmi] = ACTIONS(5396),
    [anon_sym_BSLASHnb] = ACTIONS(5396),
    [anon_sym_BSLASHpc] = ACTIONS(5396),
    [anon_sym_BSLASHph] = ACTIONS(5396),
    [anon_sym_BSLASHb] = ACTIONS(5396),
    [anon_sym_BSLASHq] = ACTIONS(5396),
    [anon_sym_BSLASHqr] = ACTIONS(5396),
    [anon_sym_BSLASHqc] = ACTIONS(5396),
    [anon_sym_BSLASHqa] = ACTIONS(5396),
    [anon_sym_BSLASHqm] = ACTIONS(5396),
    [anon_sym_BSLASHqd] = ACTIONS(5396),
    [anon_sym_BSLASHlh] = ACTIONS(5396),
    [anon_sym_BSLASHlf] = ACTIONS(5396),
    [anon_sym_BSLASHli] = ACTIONS(5396),
    [anon_sym_BSLASHlim] = ACTIONS(5396),
    [anon_sym_BSLASHliv] = ACTIONS(5396),
    [anon_sym_BSLASHlik] = ACTIONS(5396),
    [anon_sym_BSLASHlitl] = ACTIONS(5396),
    [anon_sym_BSLASHtr] = ACTIONS(5396),
    [anon_sym_BSLASHf] = ACTIONS(5396),
    [anon_sym_BSLASHfe] = ACTIONS(5396),
    [anon_sym_BSLASHef] = ACTIONS(5396),
    [anon_sym_BSLASHfm] = ACTIONS(5396),
    [anon_sym_BSLASHx] = ACTIONS(5396),
    [anon_sym_BSLASHxt] = ACTIONS(5396),
    [anon_sym_BSLASHrq] = ACTIONS(5396),
    [anon_sym_BSLASHadd] = ACTIONS(5396),
    [anon_sym_BSLASHbk] = ACTIONS(5396),
    [anon_sym_BSLASHdc] = ACTIONS(5396),
    [anon_sym_BSLASHk] = ACTIONS(5396),
    [anon_sym_BSLASHnd] = ACTIONS(5396),
    [anon_sym_BSLASHord] = ACTIONS(5396),
    [anon_sym_BSLASHpn] = ACTIONS(5396),
    [anon_sym_BSLASHpng] = ACTIONS(5396),
    [anon_sym_BSLASHaddpn] = ACTIONS(5396),
    [anon_sym_BSLASHqt] = ACTIONS(5396),
    [anon_sym_BSLASHsig] = ACTIONS(5396),
    [anon_sym_BSLASHsls] = ACTIONS(5396),
    [anon_sym_BSLASHtl] = ACTIONS(5396),
    [anon_sym_BSLASHwj] = ACTIONS(5396),
    [anon_sym_BSLASHem] = ACTIONS(5396),
    [anon_sym_BSLASHbd] = ACTIONS(5396),
    [anon_sym_BSLASHit] = ACTIONS(5396),
    [anon_sym_BSLASHbdit] = ACTIONS(5396),
    [anon_sym_BSLASHno] = ACTIONS(5396),
    [anon_sym_BSLASHsc] = ACTIONS(5396),
    [anon_sym_BSLASHsup] = ACTIONS(5396),
    [anon_sym_BSLASHndx] = ACTIONS(5396),
    [anon_sym_BSLASHpro] = ACTIONS(5396),
    [anon_sym_BSLASHrb] = ACTIONS(5396),
    [anon_sym_BSLASHw] = ACTIONS(5396),
    [anon_sym_BSLASHwg] = ACTIONS(5396),
    [anon_sym_BSLASHwh] = ACTIONS(5396),
    [anon_sym_BSLASHwa] = ACTIONS(5396),
    [anon_sym_BSLASHfig] = ACTIONS(5396),
    [anon_sym_BSLASHjmp] = ACTIONS(5396),
    [anon_sym_BSLASHpb] = ACTIONS(5396),
    [anon_sym_BSLASH] = ACTIONS(5396),
    [sym_milestoneStartTag] = ACTIONS(5396),
    [sym_milestoneEndTag] = ACTIONS(5396),
    [sym_zSpaceTag] = ACTIONS(5396),
    [anon_sym_BSLASHesb] = ACTIONS(5396),
  },
  [450] = {
    [ts_builtin_sym_end] = ACTIONS(5398),
    [aux_sym_text_token1] = ACTIONS(5398),
    [anon_sym_BSLASHref] = ACTIONS(5400),
    [anon_sym_BSLASHsts] = ACTIONS(5400),
    [anon_sym_BSLASHrem] = ACTIONS(5400),
    [anon_sym_BSLASHrestore] = ACTIONS(5400),
    [anon_sym_BSLASHlit] = ACTIONS(5400),
    [anon_sym_BSLASHip] = ACTIONS(5400),
    [anon_sym_BSLASHiex] = ACTIONS(5400),
    [anon_sym_BSLASHv] = ACTIONS(5400),
    [anon_sym_BSLASHva] = ACTIONS(5400),
    [anon_sym_BSLASHvp] = ACTIONS(5400),
    [anon_sym_BSLASHc] = ACTIONS(5400),
    [anon_sym_BSLASHcl] = ACTIONS(5400),
    [anon_sym_BSLASHca] = ACTIONS(5400),
    [anon_sym_BSLASHcp] = ACTIONS(5400),
    [anon_sym_BSLASHcd] = ACTIONS(5400),
    [anon_sym_BSLASHmte] = ACTIONS(5400),
    [anon_sym_BSLASHms] = ACTIONS(5400),
    [anon_sym_BSLASHs] = ACTIONS(5400),
    [anon_sym_BSLASHr] = ACTIONS(5400),
    [anon_sym_BSLASHsp] = ACTIONS(5400),
    [anon_sym_BSLASHd] = ACTIONS(5400),
    [anon_sym_BSLASHsd] = ACTIONS(5400),
    [anon_sym_BSLASHp] = ACTIONS(5400),
    [anon_sym_BSLASHm] = ACTIONS(5400),
    [anon_sym_BSLASHpo] = ACTIONS(5400),
    [anon_sym_BSLASHpr] = ACTIONS(5400),
    [anon_sym_BSLASHcls] = ACTIONS(5400),
    [anon_sym_BSLASHpmo] = ACTIONS(5400),
    [anon_sym_BSLASHpm] = ACTIONS(5400),
    [anon_sym_BSLASHpmc] = ACTIONS(5400),
    [anon_sym_BSLASHpmr] = ACTIONS(5400),
    [anon_sym_BSLASHpi] = ACTIONS(5400),
    [anon_sym_BSLASHmi] = ACTIONS(5400),
    [anon_sym_BSLASHnb] = ACTIONS(5400),
    [anon_sym_BSLASHpc] = ACTIONS(5400),
    [anon_sym_BSLASHph] = ACTIONS(5400),
    [anon_sym_BSLASHb] = ACTIONS(5400),
    [anon_sym_BSLASHq] = ACTIONS(5400),
    [anon_sym_BSLASHqr] = ACTIONS(5400),
    [anon_sym_BSLASHqc] = ACTIONS(5400),
    [anon_sym_BSLASHqa] = ACTIONS(5400),
    [anon_sym_BSLASHqm] = ACTIONS(5400),
    [anon_sym_BSLASHqd] = ACTIONS(5400),
    [anon_sym_BSLASHlh] = ACTIONS(5400),
    [anon_sym_BSLASHlf] = ACTIONS(5400),
    [anon_sym_BSLASHli] = ACTIONS(5400),
    [anon_sym_BSLASHlim] = ACTIONS(5400),
    [anon_sym_BSLASHliv] = ACTIONS(5400),
    [anon_sym_BSLASHlik] = ACTIONS(5400),
    [anon_sym_BSLASHlitl] = ACTIONS(5400),
    [anon_sym_BSLASHtr] = ACTIONS(5400),
    [anon_sym_BSLASHf] = ACTIONS(5400),
    [anon_sym_BSLASHfe] = ACTIONS(5400),
    [anon_sym_BSLASHef] = ACTIONS(5400),
    [anon_sym_BSLASHfm] = ACTIONS(5400),
    [anon_sym_BSLASHx] = ACTIONS(5400),
    [anon_sym_BSLASHxt] = ACTIONS(5400),
    [anon_sym_BSLASHrq] = ACTIONS(5400),
    [anon_sym_BSLASHadd] = ACTIONS(5400),
    [anon_sym_BSLASHbk] = ACTIONS(5400),
    [anon_sym_BSLASHdc] = ACTIONS(5400),
    [anon_sym_BSLASHk] = ACTIONS(5400),
    [anon_sym_BSLASHnd] = ACTIONS(5400),
    [anon_sym_BSLASHord] = ACTIONS(5400),
    [anon_sym_BSLASHpn] = ACTIONS(5400),
    [anon_sym_BSLASHpng] = ACTIONS(5400),
    [anon_sym_BSLASHaddpn] = ACTIONS(5400),
    [anon_sym_BSLASHqt] = ACTIONS(5400),
    [anon_sym_BSLASHsig] = ACTIONS(5400),
    [anon_sym_BSLASHsls] = ACTIONS(5400),
    [anon_sym_BSLASHtl] = ACTIONS(5400),
    [anon_sym_BSLASHwj] = ACTIONS(5400),
    [anon_sym_BSLASHem] = ACTIONS(5400),
    [anon_sym_BSLASHbd] = ACTIONS(5400),
    [anon_sym_BSLASHit] = ACTIONS(5400),
    [anon_sym_BSLASHbdit] = ACTIONS(5400),
    [anon_sym_BSLASHno] = ACTIONS(5400),
    [anon_sym_BSLASHsc] = ACTIONS(5400),
    [anon_sym_BSLASHsup] = ACTIONS(5400),
    [anon_sym_BSLASHndx] = ACTIONS(5400),
    [anon_sym_BSLASHpro] = ACTIONS(5400),
    [anon_sym_BSLASHrb] = ACTIONS(5400),
    [anon_sym_BSLASHw] = ACTIONS(5400),
    [anon_sym_BSLASHwg] = ACTIONS(5400),
    [anon_sym_BSLASHwh] = ACTIONS(5400),
    [anon_sym_BSLASHwa] = ACTIONS(5400),
    [anon_sym_BSLASHfig] = ACTIONS(5400),
    [anon_sym_BSLASHjmp] = ACTIONS(5400),
    [anon_sym_BSLASHpb] = ACTIONS(5400),
    [anon_sym_BSLASH] = ACTIONS(5400),
    [sym_milestoneStartTag] = ACTIONS(5400),
    [sym_milestoneEndTag] = ACTIONS(5400),
    [sym_zSpaceTag] = ACTIONS(5400),
    [anon_sym_BSLASHesb] = ACTIONS(5400),
  },
  [451] = {
    [ts_builtin_sym_end] = ACTIONS(5402),
    [aux_sym_text_token1] = ACTIONS(5402),
    [anon_sym_BSLASHref] = ACTIONS(5404),
    [anon_sym_BSLASHsts] = ACTIONS(5404),
    [anon_sym_BSLASHrem] = ACTIONS(5404),
    [anon_sym_BSLASHrestore] = ACTIONS(5404),
    [anon_sym_BSLASHlit] = ACTIONS(5404),
    [anon_sym_BSLASHip] = ACTIONS(5404),
    [anon_sym_BSLASHiex] = ACTIONS(5404),
    [anon_sym_BSLASHv] = ACTIONS(5404),
    [anon_sym_BSLASHva] = ACTIONS(5404),
    [anon_sym_BSLASHvp] = ACTIONS(5404),
    [anon_sym_BSLASHc] = ACTIONS(5404),
    [anon_sym_BSLASHcl] = ACTIONS(5404),
    [anon_sym_BSLASHca] = ACTIONS(5404),
    [anon_sym_BSLASHcp] = ACTIONS(5404),
    [anon_sym_BSLASHcd] = ACTIONS(5404),
    [anon_sym_BSLASHmte] = ACTIONS(5404),
    [anon_sym_BSLASHms] = ACTIONS(5404),
    [anon_sym_BSLASHs] = ACTIONS(5404),
    [anon_sym_BSLASHr] = ACTIONS(5404),
    [anon_sym_BSLASHsp] = ACTIONS(5404),
    [anon_sym_BSLASHd] = ACTIONS(5404),
    [anon_sym_BSLASHsd] = ACTIONS(5404),
    [anon_sym_BSLASHp] = ACTIONS(5404),
    [anon_sym_BSLASHm] = ACTIONS(5404),
    [anon_sym_BSLASHpo] = ACTIONS(5404),
    [anon_sym_BSLASHpr] = ACTIONS(5404),
    [anon_sym_BSLASHcls] = ACTIONS(5404),
    [anon_sym_BSLASHpmo] = ACTIONS(5404),
    [anon_sym_BSLASHpm] = ACTIONS(5404),
    [anon_sym_BSLASHpmc] = ACTIONS(5404),
    [anon_sym_BSLASHpmr] = ACTIONS(5404),
    [anon_sym_BSLASHpi] = ACTIONS(5404),
    [anon_sym_BSLASHmi] = ACTIONS(5404),
    [anon_sym_BSLASHnb] = ACTIONS(5404),
    [anon_sym_BSLASHpc] = ACTIONS(5404),
    [anon_sym_BSLASHph] = ACTIONS(5404),
    [anon_sym_BSLASHb] = ACTIONS(5404),
    [anon_sym_BSLASHq] = ACTIONS(5404),
    [anon_sym_BSLASHqr] = ACTIONS(5404),
    [anon_sym_BSLASHqc] = ACTIONS(5404),
    [anon_sym_BSLASHqa] = ACTIONS(5404),
    [anon_sym_BSLASHqm] = ACTIONS(5404),
    [anon_sym_BSLASHqd] = ACTIONS(5404),
    [anon_sym_BSLASHlh] = ACTIONS(5404),
    [anon_sym_BSLASHlf] = ACTIONS(5404),
    [anon_sym_BSLASHli] = ACTIONS(5404),
    [anon_sym_BSLASHlim] = ACTIONS(5404),
    [anon_sym_BSLASHliv] = ACTIONS(5404),
    [anon_sym_BSLASHlik] = ACTIONS(5404),
    [anon_sym_BSLASHlitl] = ACTIONS(5404),
    [anon_sym_BSLASHtr] = ACTIONS(5404),
    [anon_sym_BSLASHf] = ACTIONS(5404),
    [anon_sym_BSLASHfe] = ACTIONS(5404),
    [anon_sym_BSLASHef] = ACTIONS(5404),
    [anon_sym_BSLASHfm] = ACTIONS(5404),
    [anon_sym_BSLASHx] = ACTIONS(5404),
    [anon_sym_BSLASHxt] = ACTIONS(5404),
    [anon_sym_BSLASHrq] = ACTIONS(5404),
    [anon_sym_BSLASHadd] = ACTIONS(5404),
    [anon_sym_BSLASHbk] = ACTIONS(5404),
    [anon_sym_BSLASHdc] = ACTIONS(5404),
    [anon_sym_BSLASHk] = ACTIONS(5404),
    [anon_sym_BSLASHnd] = ACTIONS(5404),
    [anon_sym_BSLASHord] = ACTIONS(5404),
    [anon_sym_BSLASHpn] = ACTIONS(5404),
    [anon_sym_BSLASHpng] = ACTIONS(5404),
    [anon_sym_BSLASHaddpn] = ACTIONS(5404),
    [anon_sym_BSLASHqt] = ACTIONS(5404),
    [anon_sym_BSLASHsig] = ACTIONS(5404),
    [anon_sym_BSLASHsls] = ACTIONS(5404),
    [anon_sym_BSLASHtl] = ACTIONS(5404),
    [anon_sym_BSLASHwj] = ACTIONS(5404),
    [anon_sym_BSLASHem] = ACTIONS(5404),
    [anon_sym_BSLASHbd] = ACTIONS(5404),
    [anon_sym_BSLASHit] = ACTIONS(5404),
    [anon_sym_BSLASHbdit] = ACTIONS(5404),
    [anon_sym_BSLASHno] = ACTIONS(5404),
    [anon_sym_BSLASHsc] = ACTIONS(5404),
    [anon_sym_BSLASHsup] = ACTIONS(5404),
    [anon_sym_BSLASHndx] = ACTIONS(5404),
    [anon_sym_BSLASHpro] = ACTIONS(5404),
    [anon_sym_BSLASHrb] = ACTIONS(5404),
    [anon_sym_BSLASHw] = ACTIONS(5404),
    [anon_sym_BSLASHwg] = ACTIONS(5404),
    [anon_sym_BSLASHwh] = ACTIONS(5404),
    [anon_sym_BSLASHwa] = ACTIONS(5404),
    [anon_sym_BSLASHfig] = ACTIONS(5404),
    [anon_sym_BSLASHjmp] = ACTIONS(5404),
    [anon_sym_BSLASHpb] = ACTIONS(5404),
    [anon_sym_BSLASH] = ACTIONS(5404),
    [sym_milestoneStartTag] = ACTIONS(5404),
    [sym_milestoneEndTag] = ACTIONS(5404),
    [sym_zSpaceTag] = ACTIONS(5404),
    [anon_sym_BSLASHesb] = ACTIONS(5404),
  },
  [452] = {
    [ts_builtin_sym_end] = ACTIONS(5406),
    [aux_sym_text_token1] = ACTIONS(5406),
    [anon_sym_BSLASHref] = ACTIONS(5408),
    [anon_sym_BSLASHsts] = ACTIONS(5408),
    [anon_sym_BSLASHrem] = ACTIONS(5408),
    [anon_sym_BSLASHrestore] = ACTIONS(5408),
    [anon_sym_BSLASHlit] = ACTIONS(5408),
    [anon_sym_BSLASHip] = ACTIONS(5408),
    [anon_sym_BSLASHiex] = ACTIONS(5408),
    [anon_sym_BSLASHv] = ACTIONS(5408),
    [anon_sym_BSLASHva] = ACTIONS(5408),
    [anon_sym_BSLASHvp] = ACTIONS(5408),
    [anon_sym_BSLASHc] = ACTIONS(5408),
    [anon_sym_BSLASHcl] = ACTIONS(5408),
    [anon_sym_BSLASHca] = ACTIONS(5408),
    [anon_sym_BSLASHcp] = ACTIONS(5408),
    [anon_sym_BSLASHcd] = ACTIONS(5408),
    [anon_sym_BSLASHmte] = ACTIONS(5408),
    [anon_sym_BSLASHms] = ACTIONS(5408),
    [anon_sym_BSLASHs] = ACTIONS(5408),
    [anon_sym_BSLASHr] = ACTIONS(5408),
    [anon_sym_BSLASHsp] = ACTIONS(5408),
    [anon_sym_BSLASHd] = ACTIONS(5408),
    [anon_sym_BSLASHsd] = ACTIONS(5408),
    [anon_sym_BSLASHp] = ACTIONS(5408),
    [anon_sym_BSLASHm] = ACTIONS(5408),
    [anon_sym_BSLASHpo] = ACTIONS(5408),
    [anon_sym_BSLASHpr] = ACTIONS(5408),
    [anon_sym_BSLASHcls] = ACTIONS(5408),
    [anon_sym_BSLASHpmo] = ACTIONS(5408),
    [anon_sym_BSLASHpm] = ACTIONS(5408),
    [anon_sym_BSLASHpmc] = ACTIONS(5408),
    [anon_sym_BSLASHpmr] = ACTIONS(5408),
    [anon_sym_BSLASHpi] = ACTIONS(5408),
    [anon_sym_BSLASHmi] = ACTIONS(5408),
    [anon_sym_BSLASHnb] = ACTIONS(5408),
    [anon_sym_BSLASHpc] = ACTIONS(5408),
    [anon_sym_BSLASHph] = ACTIONS(5408),
    [anon_sym_BSLASHb] = ACTIONS(5408),
    [anon_sym_BSLASHq] = ACTIONS(5408),
    [anon_sym_BSLASHqr] = ACTIONS(5408),
    [anon_sym_BSLASHqc] = ACTIONS(5408),
    [anon_sym_BSLASHqa] = ACTIONS(5408),
    [anon_sym_BSLASHqm] = ACTIONS(5408),
    [anon_sym_BSLASHqd] = ACTIONS(5408),
    [anon_sym_BSLASHlh] = ACTIONS(5408),
    [anon_sym_BSLASHlf] = ACTIONS(5408),
    [anon_sym_BSLASHli] = ACTIONS(5408),
    [anon_sym_BSLASHlim] = ACTIONS(5408),
    [anon_sym_BSLASHliv] = ACTIONS(5408),
    [anon_sym_BSLASHlik] = ACTIONS(5408),
    [anon_sym_BSLASHlitl] = ACTIONS(5408),
    [anon_sym_BSLASHtr] = ACTIONS(5408),
    [anon_sym_BSLASHf] = ACTIONS(5408),
    [anon_sym_BSLASHfe] = ACTIONS(5408),
    [anon_sym_BSLASHef] = ACTIONS(5408),
    [anon_sym_BSLASHfm] = ACTIONS(5408),
    [anon_sym_BSLASHx] = ACTIONS(5408),
    [anon_sym_BSLASHxt] = ACTIONS(5408),
    [anon_sym_BSLASHrq] = ACTIONS(5408),
    [anon_sym_BSLASHadd] = ACTIONS(5408),
    [anon_sym_BSLASHbk] = ACTIONS(5408),
    [anon_sym_BSLASHdc] = ACTIONS(5408),
    [anon_sym_BSLASHk] = ACTIONS(5408),
    [anon_sym_BSLASHnd] = ACTIONS(5408),
    [anon_sym_BSLASHord] = ACTIONS(5408),
    [anon_sym_BSLASHpn] = ACTIONS(5408),
    [anon_sym_BSLASHpng] = ACTIONS(5408),
    [anon_sym_BSLASHaddpn] = ACTIONS(5408),
    [anon_sym_BSLASHqt] = ACTIONS(5408),
    [anon_sym_BSLASHsig] = ACTIONS(5408),
    [anon_sym_BSLASHsls] = ACTIONS(5408),
    [anon_sym_BSLASHtl] = ACTIONS(5408),
    [anon_sym_BSLASHwj] = ACTIONS(5408),
    [anon_sym_BSLASHem] = ACTIONS(5408),
    [anon_sym_BSLASHbd] = ACTIONS(5408),
    [anon_sym_BSLASHit] = ACTIONS(5408),
    [anon_sym_BSLASHbdit] = ACTIONS(5408),
    [anon_sym_BSLASHno] = ACTIONS(5408),
    [anon_sym_BSLASHsc] = ACTIONS(5408),
    [anon_sym_BSLASHsup] = ACTIONS(5408),
    [anon_sym_BSLASHndx] = ACTIONS(5408),
    [anon_sym_BSLASHpro] = ACTIONS(5408),
    [anon_sym_BSLASHrb] = ACTIONS(5408),
    [anon_sym_BSLASHw] = ACTIONS(5408),
    [anon_sym_BSLASHwg] = ACTIONS(5408),
    [anon_sym_BSLASHwh] = ACTIONS(5408),
    [anon_sym_BSLASHwa] = ACTIONS(5408),
    [anon_sym_BSLASHfig] = ACTIONS(5408),
    [anon_sym_BSLASHjmp] = ACTIONS(5408),
    [anon_sym_BSLASHpb] = ACTIONS(5408),
    [anon_sym_BSLASH] = ACTIONS(5408),
    [sym_milestoneStartTag] = ACTIONS(5408),
    [sym_milestoneEndTag] = ACTIONS(5408),
    [sym_zSpaceTag] = ACTIONS(5408),
    [anon_sym_BSLASHesb] = ACTIONS(5408),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(5410),
    [aux_sym_text_token1] = ACTIONS(5410),
    [anon_sym_BSLASHref] = ACTIONS(5412),
    [anon_sym_BSLASHsts] = ACTIONS(5412),
    [anon_sym_BSLASHrem] = ACTIONS(5412),
    [anon_sym_BSLASHrestore] = ACTIONS(5412),
    [anon_sym_BSLASHlit] = ACTIONS(5412),
    [anon_sym_BSLASHip] = ACTIONS(5412),
    [anon_sym_BSLASHiex] = ACTIONS(5412),
    [anon_sym_BSLASHv] = ACTIONS(5412),
    [anon_sym_BSLASHva] = ACTIONS(5412),
    [anon_sym_BSLASHvp] = ACTIONS(5412),
    [anon_sym_BSLASHc] = ACTIONS(5412),
    [anon_sym_BSLASHcl] = ACTIONS(5412),
    [anon_sym_BSLASHca] = ACTIONS(5412),
    [anon_sym_BSLASHcp] = ACTIONS(5412),
    [anon_sym_BSLASHcd] = ACTIONS(5412),
    [anon_sym_BSLASHmte] = ACTIONS(5412),
    [anon_sym_BSLASHms] = ACTIONS(5412),
    [anon_sym_BSLASHs] = ACTIONS(5412),
    [anon_sym_BSLASHr] = ACTIONS(5412),
    [anon_sym_BSLASHsp] = ACTIONS(5412),
    [anon_sym_BSLASHd] = ACTIONS(5412),
    [anon_sym_BSLASHsd] = ACTIONS(5412),
    [anon_sym_BSLASHp] = ACTIONS(5412),
    [anon_sym_BSLASHm] = ACTIONS(5412),
    [anon_sym_BSLASHpo] = ACTIONS(5412),
    [anon_sym_BSLASHpr] = ACTIONS(5412),
    [anon_sym_BSLASHcls] = ACTIONS(5412),
    [anon_sym_BSLASHpmo] = ACTIONS(5412),
    [anon_sym_BSLASHpm] = ACTIONS(5412),
    [anon_sym_BSLASHpmc] = ACTIONS(5412),
    [anon_sym_BSLASHpmr] = ACTIONS(5412),
    [anon_sym_BSLASHpi] = ACTIONS(5412),
    [anon_sym_BSLASHmi] = ACTIONS(5412),
    [anon_sym_BSLASHnb] = ACTIONS(5412),
    [anon_sym_BSLASHpc] = ACTIONS(5412),
    [anon_sym_BSLASHph] = ACTIONS(5412),
    [anon_sym_BSLASHb] = ACTIONS(5412),
    [anon_sym_BSLASHq] = ACTIONS(5412),
    [anon_sym_BSLASHqr] = ACTIONS(5412),
    [anon_sym_BSLASHqc] = ACTIONS(5412),
    [anon_sym_BSLASHqa] = ACTIONS(5412),
    [anon_sym_BSLASHqm] = ACTIONS(5412),
    [anon_sym_BSLASHqd] = ACTIONS(5412),
    [anon_sym_BSLASHlh] = ACTIONS(5412),
    [anon_sym_BSLASHlf] = ACTIONS(5412),
    [anon_sym_BSLASHli] = ACTIONS(5412),
    [anon_sym_BSLASHlim] = ACTIONS(5412),
    [anon_sym_BSLASHliv] = ACTIONS(5412),
    [anon_sym_BSLASHlik] = ACTIONS(5412),
    [anon_sym_BSLASHlitl] = ACTIONS(5412),
    [anon_sym_BSLASHtr] = ACTIONS(5412),
    [anon_sym_BSLASHf] = ACTIONS(5412),
    [anon_sym_BSLASHfe] = ACTIONS(5412),
    [anon_sym_BSLASHef] = ACTIONS(5412),
    [anon_sym_BSLASHfm] = ACTIONS(5412),
    [anon_sym_BSLASHx] = ACTIONS(5412),
    [anon_sym_BSLASHxt] = ACTIONS(5412),
    [anon_sym_BSLASHrq] = ACTIONS(5412),
    [anon_sym_BSLASHadd] = ACTIONS(5412),
    [anon_sym_BSLASHbk] = ACTIONS(5412),
    [anon_sym_BSLASHdc] = ACTIONS(5412),
    [anon_sym_BSLASHk] = ACTIONS(5412),
    [anon_sym_BSLASHnd] = ACTIONS(5412),
    [anon_sym_BSLASHord] = ACTIONS(5412),
    [anon_sym_BSLASHpn] = ACTIONS(5412),
    [anon_sym_BSLASHpng] = ACTIONS(5412),
    [anon_sym_BSLASHaddpn] = ACTIONS(5412),
    [anon_sym_BSLASHqt] = ACTIONS(5412),
    [anon_sym_BSLASHsig] = ACTIONS(5412),
    [anon_sym_BSLASHsls] = ACTIONS(5412),
    [anon_sym_BSLASHtl] = ACTIONS(5412),
    [anon_sym_BSLASHwj] = ACTIONS(5412),
    [anon_sym_BSLASHem] = ACTIONS(5412),
    [anon_sym_BSLASHbd] = ACTIONS(5412),
    [anon_sym_BSLASHit] = ACTIONS(5412),
    [anon_sym_BSLASHbdit] = ACTIONS(5412),
    [anon_sym_BSLASHno] = ACTIONS(5412),
    [anon_sym_BSLASHsc] = ACTIONS(5412),
    [anon_sym_BSLASHsup] = ACTIONS(5412),
    [anon_sym_BSLASHndx] = ACTIONS(5412),
    [anon_sym_BSLASHpro] = ACTIONS(5412),
    [anon_sym_BSLASHrb] = ACTIONS(5412),
    [anon_sym_BSLASHw] = ACTIONS(5412),
    [anon_sym_BSLASHwg] = ACTIONS(5412),
    [anon_sym_BSLASHwh] = ACTIONS(5412),
    [anon_sym_BSLASHwa] = ACTIONS(5412),
    [anon_sym_BSLASHfig] = ACTIONS(5412),
    [anon_sym_BSLASHjmp] = ACTIONS(5412),
    [anon_sym_BSLASHpb] = ACTIONS(5412),
    [anon_sym_BSLASH] = ACTIONS(5412),
    [sym_milestoneStartTag] = ACTIONS(5412),
    [sym_milestoneEndTag] = ACTIONS(5412),
    [sym_zSpaceTag] = ACTIONS(5412),
    [anon_sym_BSLASHesb] = ACTIONS(5412),
  },
  [454] = {
    [ts_builtin_sym_end] = ACTIONS(5414),
    [aux_sym_text_token1] = ACTIONS(5414),
    [anon_sym_BSLASHref] = ACTIONS(5416),
    [anon_sym_BSLASHsts] = ACTIONS(5416),
    [anon_sym_BSLASHrem] = ACTIONS(5416),
    [anon_sym_BSLASHrestore] = ACTIONS(5416),
    [anon_sym_BSLASHlit] = ACTIONS(5416),
    [anon_sym_BSLASHip] = ACTIONS(5416),
    [anon_sym_BSLASHiex] = ACTIONS(5416),
    [anon_sym_BSLASHv] = ACTIONS(5416),
    [anon_sym_BSLASHva] = ACTIONS(5416),
    [anon_sym_BSLASHvp] = ACTIONS(5416),
    [anon_sym_BSLASHc] = ACTIONS(5416),
    [anon_sym_BSLASHcl] = ACTIONS(5416),
    [anon_sym_BSLASHca] = ACTIONS(5416),
    [anon_sym_BSLASHcp] = ACTIONS(5416),
    [anon_sym_BSLASHcd] = ACTIONS(5416),
    [anon_sym_BSLASHmte] = ACTIONS(5416),
    [anon_sym_BSLASHms] = ACTIONS(5416),
    [anon_sym_BSLASHs] = ACTIONS(5416),
    [anon_sym_BSLASHr] = ACTIONS(5416),
    [anon_sym_BSLASHsp] = ACTIONS(5416),
    [anon_sym_BSLASHd] = ACTIONS(5416),
    [anon_sym_BSLASHsd] = ACTIONS(5416),
    [anon_sym_BSLASHp] = ACTIONS(5416),
    [anon_sym_BSLASHm] = ACTIONS(5416),
    [anon_sym_BSLASHpo] = ACTIONS(5416),
    [anon_sym_BSLASHpr] = ACTIONS(5416),
    [anon_sym_BSLASHcls] = ACTIONS(5416),
    [anon_sym_BSLASHpmo] = ACTIONS(5416),
    [anon_sym_BSLASHpm] = ACTIONS(5416),
    [anon_sym_BSLASHpmc] = ACTIONS(5416),
    [anon_sym_BSLASHpmr] = ACTIONS(5416),
    [anon_sym_BSLASHpi] = ACTIONS(5416),
    [anon_sym_BSLASHmi] = ACTIONS(5416),
    [anon_sym_BSLASHnb] = ACTIONS(5416),
    [anon_sym_BSLASHpc] = ACTIONS(5416),
    [anon_sym_BSLASHph] = ACTIONS(5416),
    [anon_sym_BSLASHb] = ACTIONS(5416),
    [anon_sym_BSLASHq] = ACTIONS(5416),
    [anon_sym_BSLASHqr] = ACTIONS(5416),
    [anon_sym_BSLASHqc] = ACTIONS(5416),
    [anon_sym_BSLASHqa] = ACTIONS(5416),
    [anon_sym_BSLASHqm] = ACTIONS(5416),
    [anon_sym_BSLASHqd] = ACTIONS(5416),
    [anon_sym_BSLASHlh] = ACTIONS(5416),
    [anon_sym_BSLASHlf] = ACTIONS(5416),
    [anon_sym_BSLASHli] = ACTIONS(5416),
    [anon_sym_BSLASHlim] = ACTIONS(5416),
    [anon_sym_BSLASHliv] = ACTIONS(5416),
    [anon_sym_BSLASHlik] = ACTIONS(5416),
    [anon_sym_BSLASHlitl] = ACTIONS(5416),
    [anon_sym_BSLASHtr] = ACTIONS(5416),
    [anon_sym_BSLASHf] = ACTIONS(5416),
    [anon_sym_BSLASHfe] = ACTIONS(5416),
    [anon_sym_BSLASHef] = ACTIONS(5416),
    [anon_sym_BSLASHfm] = ACTIONS(5416),
    [anon_sym_BSLASHx] = ACTIONS(5416),
    [anon_sym_BSLASHxt] = ACTIONS(5416),
    [anon_sym_BSLASHrq] = ACTIONS(5416),
    [anon_sym_BSLASHadd] = ACTIONS(5416),
    [anon_sym_BSLASHbk] = ACTIONS(5416),
    [anon_sym_BSLASHdc] = ACTIONS(5416),
    [anon_sym_BSLASHk] = ACTIONS(5416),
    [anon_sym_BSLASHnd] = ACTIONS(5416),
    [anon_sym_BSLASHord] = ACTIONS(5416),
    [anon_sym_BSLASHpn] = ACTIONS(5416),
    [anon_sym_BSLASHpng] = ACTIONS(5416),
    [anon_sym_BSLASHaddpn] = ACTIONS(5416),
    [anon_sym_BSLASHqt] = ACTIONS(5416),
    [anon_sym_BSLASHsig] = ACTIONS(5416),
    [anon_sym_BSLASHsls] = ACTIONS(5416),
    [anon_sym_BSLASHtl] = ACTIONS(5416),
    [anon_sym_BSLASHwj] = ACTIONS(5416),
    [anon_sym_BSLASHem] = ACTIONS(5416),
    [anon_sym_BSLASHbd] = ACTIONS(5416),
    [anon_sym_BSLASHit] = ACTIONS(5416),
    [anon_sym_BSLASHbdit] = ACTIONS(5416),
    [anon_sym_BSLASHno] = ACTIONS(5416),
    [anon_sym_BSLASHsc] = ACTIONS(5416),
    [anon_sym_BSLASHsup] = ACTIONS(5416),
    [anon_sym_BSLASHndx] = ACTIONS(5416),
    [anon_sym_BSLASHpro] = ACTIONS(5416),
    [anon_sym_BSLASHrb] = ACTIONS(5416),
    [anon_sym_BSLASHw] = ACTIONS(5416),
    [anon_sym_BSLASHwg] = ACTIONS(5416),
    [anon_sym_BSLASHwh] = ACTIONS(5416),
    [anon_sym_BSLASHwa] = ACTIONS(5416),
    [anon_sym_BSLASHfig] = ACTIONS(5416),
    [anon_sym_BSLASHjmp] = ACTIONS(5416),
    [anon_sym_BSLASHpb] = ACTIONS(5416),
    [anon_sym_BSLASH] = ACTIONS(5416),
    [sym_milestoneStartTag] = ACTIONS(5416),
    [sym_milestoneEndTag] = ACTIONS(5416),
    [sym_zSpaceTag] = ACTIONS(5416),
    [anon_sym_BSLASHesb] = ACTIONS(5416),
  },
  [455] = {
    [ts_builtin_sym_end] = ACTIONS(5418),
    [aux_sym_text_token1] = ACTIONS(5418),
    [anon_sym_BSLASHref] = ACTIONS(5420),
    [anon_sym_BSLASHsts] = ACTIONS(5420),
    [anon_sym_BSLASHrem] = ACTIONS(5420),
    [anon_sym_BSLASHrestore] = ACTIONS(5420),
    [anon_sym_BSLASHlit] = ACTIONS(5420),
    [anon_sym_BSLASHip] = ACTIONS(5420),
    [anon_sym_BSLASHiex] = ACTIONS(5420),
    [anon_sym_BSLASHv] = ACTIONS(5420),
    [anon_sym_BSLASHva] = ACTIONS(5420),
    [anon_sym_BSLASHvp] = ACTIONS(5420),
    [anon_sym_BSLASHc] = ACTIONS(5420),
    [anon_sym_BSLASHcl] = ACTIONS(5420),
    [anon_sym_BSLASHca] = ACTIONS(5420),
    [anon_sym_BSLASHcp] = ACTIONS(5420),
    [anon_sym_BSLASHcd] = ACTIONS(5420),
    [anon_sym_BSLASHmte] = ACTIONS(5420),
    [anon_sym_BSLASHms] = ACTIONS(5420),
    [anon_sym_BSLASHs] = ACTIONS(5420),
    [anon_sym_BSLASHr] = ACTIONS(5420),
    [anon_sym_BSLASHsp] = ACTIONS(5420),
    [anon_sym_BSLASHd] = ACTIONS(5420),
    [anon_sym_BSLASHsd] = ACTIONS(5420),
    [anon_sym_BSLASHp] = ACTIONS(5420),
    [anon_sym_BSLASHm] = ACTIONS(5420),
    [anon_sym_BSLASHpo] = ACTIONS(5420),
    [anon_sym_BSLASHpr] = ACTIONS(5420),
    [anon_sym_BSLASHcls] = ACTIONS(5420),
    [anon_sym_BSLASHpmo] = ACTIONS(5420),
    [anon_sym_BSLASHpm] = ACTIONS(5420),
    [anon_sym_BSLASHpmc] = ACTIONS(5420),
    [anon_sym_BSLASHpmr] = ACTIONS(5420),
    [anon_sym_BSLASHpi] = ACTIONS(5420),
    [anon_sym_BSLASHmi] = ACTIONS(5420),
    [anon_sym_BSLASHnb] = ACTIONS(5420),
    [anon_sym_BSLASHpc] = ACTIONS(5420),
    [anon_sym_BSLASHph] = ACTIONS(5420),
    [anon_sym_BSLASHb] = ACTIONS(5420),
    [anon_sym_BSLASHq] = ACTIONS(5420),
    [anon_sym_BSLASHqr] = ACTIONS(5420),
    [anon_sym_BSLASHqc] = ACTIONS(5420),
    [anon_sym_BSLASHqa] = ACTIONS(5420),
    [anon_sym_BSLASHqm] = ACTIONS(5420),
    [anon_sym_BSLASHqd] = ACTIONS(5420),
    [anon_sym_BSLASHlh] = ACTIONS(5420),
    [anon_sym_BSLASHlf] = ACTIONS(5420),
    [anon_sym_BSLASHli] = ACTIONS(5420),
    [anon_sym_BSLASHlim] = ACTIONS(5420),
    [anon_sym_BSLASHliv] = ACTIONS(5420),
    [anon_sym_BSLASHlik] = ACTIONS(5420),
    [anon_sym_BSLASHlitl] = ACTIONS(5420),
    [anon_sym_BSLASHtr] = ACTIONS(5420),
    [anon_sym_BSLASHf] = ACTIONS(5420),
    [anon_sym_BSLASHfe] = ACTIONS(5420),
    [anon_sym_BSLASHef] = ACTIONS(5420),
    [anon_sym_BSLASHfm] = ACTIONS(5420),
    [anon_sym_BSLASHx] = ACTIONS(5420),
    [anon_sym_BSLASHxt] = ACTIONS(5420),
    [anon_sym_BSLASHrq] = ACTIONS(5420),
    [anon_sym_BSLASHadd] = ACTIONS(5420),
    [anon_sym_BSLASHbk] = ACTIONS(5420),
    [anon_sym_BSLASHdc] = ACTIONS(5420),
    [anon_sym_BSLASHk] = ACTIONS(5420),
    [anon_sym_BSLASHnd] = ACTIONS(5420),
    [anon_sym_BSLASHord] = ACTIONS(5420),
    [anon_sym_BSLASHpn] = ACTIONS(5420),
    [anon_sym_BSLASHpng] = ACTIONS(5420),
    [anon_sym_BSLASHaddpn] = ACTIONS(5420),
    [anon_sym_BSLASHqt] = ACTIONS(5420),
    [anon_sym_BSLASHsig] = ACTIONS(5420),
    [anon_sym_BSLASHsls] = ACTIONS(5420),
    [anon_sym_BSLASHtl] = ACTIONS(5420),
    [anon_sym_BSLASHwj] = ACTIONS(5420),
    [anon_sym_BSLASHem] = ACTIONS(5420),
    [anon_sym_BSLASHbd] = ACTIONS(5420),
    [anon_sym_BSLASHit] = ACTIONS(5420),
    [anon_sym_BSLASHbdit] = ACTIONS(5420),
    [anon_sym_BSLASHno] = ACTIONS(5420),
    [anon_sym_BSLASHsc] = ACTIONS(5420),
    [anon_sym_BSLASHsup] = ACTIONS(5420),
    [anon_sym_BSLASHndx] = ACTIONS(5420),
    [anon_sym_BSLASHpro] = ACTIONS(5420),
    [anon_sym_BSLASHrb] = ACTIONS(5420),
    [anon_sym_BSLASHw] = ACTIONS(5420),
    [anon_sym_BSLASHwg] = ACTIONS(5420),
    [anon_sym_BSLASHwh] = ACTIONS(5420),
    [anon_sym_BSLASHwa] = ACTIONS(5420),
    [anon_sym_BSLASHfig] = ACTIONS(5420),
    [anon_sym_BSLASHjmp] = ACTIONS(5420),
    [anon_sym_BSLASHpb] = ACTIONS(5420),
    [anon_sym_BSLASH] = ACTIONS(5420),
    [sym_milestoneStartTag] = ACTIONS(5420),
    [sym_milestoneEndTag] = ACTIONS(5420),
    [sym_zSpaceTag] = ACTIONS(5420),
    [anon_sym_BSLASHesb] = ACTIONS(5420),
  },
  [456] = {
    [ts_builtin_sym_end] = ACTIONS(5422),
    [aux_sym_text_token1] = ACTIONS(5422),
    [anon_sym_BSLASHref] = ACTIONS(5424),
    [anon_sym_BSLASHsts] = ACTIONS(5424),
    [anon_sym_BSLASHrem] = ACTIONS(5424),
    [anon_sym_BSLASHrestore] = ACTIONS(5424),
    [anon_sym_BSLASHlit] = ACTIONS(5424),
    [anon_sym_BSLASHip] = ACTIONS(5424),
    [anon_sym_BSLASHiex] = ACTIONS(5424),
    [anon_sym_BSLASHv] = ACTIONS(5424),
    [anon_sym_BSLASHva] = ACTIONS(5424),
    [anon_sym_BSLASHvp] = ACTIONS(5424),
    [anon_sym_BSLASHc] = ACTIONS(5424),
    [anon_sym_BSLASHcl] = ACTIONS(5424),
    [anon_sym_BSLASHca] = ACTIONS(5424),
    [anon_sym_BSLASHcp] = ACTIONS(5424),
    [anon_sym_BSLASHcd] = ACTIONS(5424),
    [anon_sym_BSLASHmte] = ACTIONS(5424),
    [anon_sym_BSLASHms] = ACTIONS(5424),
    [anon_sym_BSLASHs] = ACTIONS(5424),
    [anon_sym_BSLASHr] = ACTIONS(5424),
    [anon_sym_BSLASHsp] = ACTIONS(5424),
    [anon_sym_BSLASHd] = ACTIONS(5424),
    [anon_sym_BSLASHsd] = ACTIONS(5424),
    [anon_sym_BSLASHp] = ACTIONS(5424),
    [anon_sym_BSLASHm] = ACTIONS(5424),
    [anon_sym_BSLASHpo] = ACTIONS(5424),
    [anon_sym_BSLASHpr] = ACTIONS(5424),
    [anon_sym_BSLASHcls] = ACTIONS(5424),
    [anon_sym_BSLASHpmo] = ACTIONS(5424),
    [anon_sym_BSLASHpm] = ACTIONS(5424),
    [anon_sym_BSLASHpmc] = ACTIONS(5424),
    [anon_sym_BSLASHpmr] = ACTIONS(5424),
    [anon_sym_BSLASHpi] = ACTIONS(5424),
    [anon_sym_BSLASHmi] = ACTIONS(5424),
    [anon_sym_BSLASHnb] = ACTIONS(5424),
    [anon_sym_BSLASHpc] = ACTIONS(5424),
    [anon_sym_BSLASHph] = ACTIONS(5424),
    [anon_sym_BSLASHb] = ACTIONS(5424),
    [anon_sym_BSLASHq] = ACTIONS(5424),
    [anon_sym_BSLASHqr] = ACTIONS(5424),
    [anon_sym_BSLASHqc] = ACTIONS(5424),
    [anon_sym_BSLASHqa] = ACTIONS(5424),
    [anon_sym_BSLASHqm] = ACTIONS(5424),
    [anon_sym_BSLASHqd] = ACTIONS(5424),
    [anon_sym_BSLASHlh] = ACTIONS(5424),
    [anon_sym_BSLASHlf] = ACTIONS(5424),
    [anon_sym_BSLASHli] = ACTIONS(5424),
    [anon_sym_BSLASHlim] = ACTIONS(5424),
    [anon_sym_BSLASHliv] = ACTIONS(5424),
    [anon_sym_BSLASHlik] = ACTIONS(5424),
    [anon_sym_BSLASHlitl] = ACTIONS(5424),
    [anon_sym_BSLASHtr] = ACTIONS(5424),
    [anon_sym_BSLASHf] = ACTIONS(5424),
    [anon_sym_BSLASHfe] = ACTIONS(5424),
    [anon_sym_BSLASHef] = ACTIONS(5424),
    [anon_sym_BSLASHfm] = ACTIONS(5424),
    [anon_sym_BSLASHx] = ACTIONS(5424),
    [anon_sym_BSLASHxt] = ACTIONS(5424),
    [anon_sym_BSLASHrq] = ACTIONS(5424),
    [anon_sym_BSLASHadd] = ACTIONS(5424),
    [anon_sym_BSLASHbk] = ACTIONS(5424),
    [anon_sym_BSLASHdc] = ACTIONS(5424),
    [anon_sym_BSLASHk] = ACTIONS(5424),
    [anon_sym_BSLASHnd] = ACTIONS(5424),
    [anon_sym_BSLASHord] = ACTIONS(5424),
    [anon_sym_BSLASHpn] = ACTIONS(5424),
    [anon_sym_BSLASHpng] = ACTIONS(5424),
    [anon_sym_BSLASHaddpn] = ACTIONS(5424),
    [anon_sym_BSLASHqt] = ACTIONS(5424),
    [anon_sym_BSLASHsig] = ACTIONS(5424),
    [anon_sym_BSLASHsls] = ACTIONS(5424),
    [anon_sym_BSLASHtl] = ACTIONS(5424),
    [anon_sym_BSLASHwj] = ACTIONS(5424),
    [anon_sym_BSLASHem] = ACTIONS(5424),
    [anon_sym_BSLASHbd] = ACTIONS(5424),
    [anon_sym_BSLASHit] = ACTIONS(5424),
    [anon_sym_BSLASHbdit] = ACTIONS(5424),
    [anon_sym_BSLASHno] = ACTIONS(5424),
    [anon_sym_BSLASHsc] = ACTIONS(5424),
    [anon_sym_BSLASHsup] = ACTIONS(5424),
    [anon_sym_BSLASHndx] = ACTIONS(5424),
    [anon_sym_BSLASHpro] = ACTIONS(5424),
    [anon_sym_BSLASHrb] = ACTIONS(5424),
    [anon_sym_BSLASHw] = ACTIONS(5424),
    [anon_sym_BSLASHwg] = ACTIONS(5424),
    [anon_sym_BSLASHwh] = ACTIONS(5424),
    [anon_sym_BSLASHwa] = ACTIONS(5424),
    [anon_sym_BSLASHfig] = ACTIONS(5424),
    [anon_sym_BSLASHjmp] = ACTIONS(5424),
    [anon_sym_BSLASHpb] = ACTIONS(5424),
    [anon_sym_BSLASH] = ACTIONS(5424),
    [sym_milestoneStartTag] = ACTIONS(5424),
    [sym_milestoneEndTag] = ACTIONS(5424),
    [sym_zSpaceTag] = ACTIONS(5424),
    [anon_sym_BSLASHesb] = ACTIONS(5424),
  },
  [457] = {
    [ts_builtin_sym_end] = ACTIONS(5426),
    [aux_sym_text_token1] = ACTIONS(5426),
    [anon_sym_BSLASHref] = ACTIONS(5428),
    [anon_sym_BSLASHsts] = ACTIONS(5428),
    [anon_sym_BSLASHrem] = ACTIONS(5428),
    [anon_sym_BSLASHrestore] = ACTIONS(5428),
    [anon_sym_BSLASHlit] = ACTIONS(5428),
    [anon_sym_BSLASHip] = ACTIONS(5428),
    [anon_sym_BSLASHiex] = ACTIONS(5428),
    [anon_sym_BSLASHv] = ACTIONS(5428),
    [anon_sym_BSLASHva] = ACTIONS(5428),
    [anon_sym_BSLASHvp] = ACTIONS(5428),
    [anon_sym_BSLASHc] = ACTIONS(5428),
    [anon_sym_BSLASHcl] = ACTIONS(5428),
    [anon_sym_BSLASHca] = ACTIONS(5428),
    [anon_sym_BSLASHcp] = ACTIONS(5428),
    [anon_sym_BSLASHcd] = ACTIONS(5428),
    [anon_sym_BSLASHmte] = ACTIONS(5428),
    [anon_sym_BSLASHms] = ACTIONS(5428),
    [anon_sym_BSLASHs] = ACTIONS(5428),
    [anon_sym_BSLASHr] = ACTIONS(5428),
    [anon_sym_BSLASHsp] = ACTIONS(5428),
    [anon_sym_BSLASHd] = ACTIONS(5428),
    [anon_sym_BSLASHsd] = ACTIONS(5428),
    [anon_sym_BSLASHp] = ACTIONS(5428),
    [anon_sym_BSLASHm] = ACTIONS(5428),
    [anon_sym_BSLASHpo] = ACTIONS(5428),
    [anon_sym_BSLASHpr] = ACTIONS(5428),
    [anon_sym_BSLASHcls] = ACTIONS(5428),
    [anon_sym_BSLASHpmo] = ACTIONS(5428),
    [anon_sym_BSLASHpm] = ACTIONS(5428),
    [anon_sym_BSLASHpmc] = ACTIONS(5428),
    [anon_sym_BSLASHpmr] = ACTIONS(5428),
    [anon_sym_BSLASHpi] = ACTIONS(5428),
    [anon_sym_BSLASHmi] = ACTIONS(5428),
    [anon_sym_BSLASHnb] = ACTIONS(5428),
    [anon_sym_BSLASHpc] = ACTIONS(5428),
    [anon_sym_BSLASHph] = ACTIONS(5428),
    [anon_sym_BSLASHb] = ACTIONS(5428),
    [anon_sym_BSLASHq] = ACTIONS(5428),
    [anon_sym_BSLASHqr] = ACTIONS(5428),
    [anon_sym_BSLASHqc] = ACTIONS(5428),
    [anon_sym_BSLASHqa] = ACTIONS(5428),
    [anon_sym_BSLASHqm] = ACTIONS(5428),
    [anon_sym_BSLASHqd] = ACTIONS(5428),
    [anon_sym_BSLASHlh] = ACTIONS(5428),
    [anon_sym_BSLASHlf] = ACTIONS(5428),
    [anon_sym_BSLASHli] = ACTIONS(5428),
    [anon_sym_BSLASHlim] = ACTIONS(5428),
    [anon_sym_BSLASHliv] = ACTIONS(5428),
    [anon_sym_BSLASHlik] = ACTIONS(5428),
    [anon_sym_BSLASHlitl] = ACTIONS(5428),
    [anon_sym_BSLASHtr] = ACTIONS(5428),
    [anon_sym_BSLASHf] = ACTIONS(5428),
    [anon_sym_BSLASHfe] = ACTIONS(5428),
    [anon_sym_BSLASHef] = ACTIONS(5428),
    [anon_sym_BSLASHfm] = ACTIONS(5428),
    [anon_sym_BSLASHx] = ACTIONS(5428),
    [anon_sym_BSLASHxt] = ACTIONS(5428),
    [anon_sym_BSLASHrq] = ACTIONS(5428),
    [anon_sym_BSLASHadd] = ACTIONS(5428),
    [anon_sym_BSLASHbk] = ACTIONS(5428),
    [anon_sym_BSLASHdc] = ACTIONS(5428),
    [anon_sym_BSLASHk] = ACTIONS(5428),
    [anon_sym_BSLASHnd] = ACTIONS(5428),
    [anon_sym_BSLASHord] = ACTIONS(5428),
    [anon_sym_BSLASHpn] = ACTIONS(5428),
    [anon_sym_BSLASHpng] = ACTIONS(5428),
    [anon_sym_BSLASHaddpn] = ACTIONS(5428),
    [anon_sym_BSLASHqt] = ACTIONS(5428),
    [anon_sym_BSLASHsig] = ACTIONS(5428),
    [anon_sym_BSLASHsls] = ACTIONS(5428),
    [anon_sym_BSLASHtl] = ACTIONS(5428),
    [anon_sym_BSLASHwj] = ACTIONS(5428),
    [anon_sym_BSLASHem] = ACTIONS(5428),
    [anon_sym_BSLASHbd] = ACTIONS(5428),
    [anon_sym_BSLASHit] = ACTIONS(5428),
    [anon_sym_BSLASHbdit] = ACTIONS(5428),
    [anon_sym_BSLASHno] = ACTIONS(5428),
    [anon_sym_BSLASHsc] = ACTIONS(5428),
    [anon_sym_BSLASHsup] = ACTIONS(5428),
    [anon_sym_BSLASHndx] = ACTIONS(5428),
    [anon_sym_BSLASHpro] = ACTIONS(5428),
    [anon_sym_BSLASHrb] = ACTIONS(5428),
    [anon_sym_BSLASHw] = ACTIONS(5428),
    [anon_sym_BSLASHwg] = ACTIONS(5428),
    [anon_sym_BSLASHwh] = ACTIONS(5428),
    [anon_sym_BSLASHwa] = ACTIONS(5428),
    [anon_sym_BSLASHfig] = ACTIONS(5428),
    [anon_sym_BSLASHjmp] = ACTIONS(5428),
    [anon_sym_BSLASHpb] = ACTIONS(5428),
    [anon_sym_BSLASH] = ACTIONS(5428),
    [sym_milestoneStartTag] = ACTIONS(5428),
    [sym_milestoneEndTag] = ACTIONS(5428),
    [sym_zSpaceTag] = ACTIONS(5428),
    [anon_sym_BSLASHesb] = ACTIONS(5428),
  },
  [458] = {
    [ts_builtin_sym_end] = ACTIONS(5430),
    [aux_sym_text_token1] = ACTIONS(5430),
    [anon_sym_BSLASHref] = ACTIONS(5432),
    [anon_sym_BSLASHsts] = ACTIONS(5432),
    [anon_sym_BSLASHrem] = ACTIONS(5432),
    [anon_sym_BSLASHrestore] = ACTIONS(5432),
    [anon_sym_BSLASHlit] = ACTIONS(5432),
    [anon_sym_BSLASHip] = ACTIONS(5432),
    [anon_sym_BSLASHiex] = ACTIONS(5432),
    [anon_sym_BSLASHv] = ACTIONS(5432),
    [anon_sym_BSLASHva] = ACTIONS(5432),
    [anon_sym_BSLASHvp] = ACTIONS(5432),
    [anon_sym_BSLASHc] = ACTIONS(5432),
    [anon_sym_BSLASHcl] = ACTIONS(5432),
    [anon_sym_BSLASHca] = ACTIONS(5432),
    [anon_sym_BSLASHcp] = ACTIONS(5432),
    [anon_sym_BSLASHcd] = ACTIONS(5432),
    [anon_sym_BSLASHmte] = ACTIONS(5432),
    [anon_sym_BSLASHms] = ACTIONS(5432),
    [anon_sym_BSLASHs] = ACTIONS(5432),
    [anon_sym_BSLASHr] = ACTIONS(5432),
    [anon_sym_BSLASHsp] = ACTIONS(5432),
    [anon_sym_BSLASHd] = ACTIONS(5432),
    [anon_sym_BSLASHsd] = ACTIONS(5432),
    [anon_sym_BSLASHp] = ACTIONS(5432),
    [anon_sym_BSLASHm] = ACTIONS(5432),
    [anon_sym_BSLASHpo] = ACTIONS(5432),
    [anon_sym_BSLASHpr] = ACTIONS(5432),
    [anon_sym_BSLASHcls] = ACTIONS(5432),
    [anon_sym_BSLASHpmo] = ACTIONS(5432),
    [anon_sym_BSLASHpm] = ACTIONS(5432),
    [anon_sym_BSLASHpmc] = ACTIONS(5432),
    [anon_sym_BSLASHpmr] = ACTIONS(5432),
    [anon_sym_BSLASHpi] = ACTIONS(5432),
    [anon_sym_BSLASHmi] = ACTIONS(5432),
    [anon_sym_BSLASHnb] = ACTIONS(5432),
    [anon_sym_BSLASHpc] = ACTIONS(5432),
    [anon_sym_BSLASHph] = ACTIONS(5432),
    [anon_sym_BSLASHb] = ACTIONS(5432),
    [anon_sym_BSLASHq] = ACTIONS(5432),
    [anon_sym_BSLASHqr] = ACTIONS(5432),
    [anon_sym_BSLASHqc] = ACTIONS(5432),
    [anon_sym_BSLASHqa] = ACTIONS(5432),
    [anon_sym_BSLASHqm] = ACTIONS(5432),
    [anon_sym_BSLASHqd] = ACTIONS(5432),
    [anon_sym_BSLASHlh] = ACTIONS(5432),
    [anon_sym_BSLASHlf] = ACTIONS(5432),
    [anon_sym_BSLASHli] = ACTIONS(5432),
    [anon_sym_BSLASHlim] = ACTIONS(5432),
    [anon_sym_BSLASHliv] = ACTIONS(5432),
    [anon_sym_BSLASHlik] = ACTIONS(5432),
    [anon_sym_BSLASHlitl] = ACTIONS(5432),
    [anon_sym_BSLASHtr] = ACTIONS(5432),
    [anon_sym_BSLASHf] = ACTIONS(5432),
    [anon_sym_BSLASHfe] = ACTIONS(5432),
    [anon_sym_BSLASHef] = ACTIONS(5432),
    [anon_sym_BSLASHfm] = ACTIONS(5432),
    [anon_sym_BSLASHx] = ACTIONS(5432),
    [anon_sym_BSLASHxt] = ACTIONS(5432),
    [anon_sym_BSLASHrq] = ACTIONS(5432),
    [anon_sym_BSLASHadd] = ACTIONS(5432),
    [anon_sym_BSLASHbk] = ACTIONS(5432),
    [anon_sym_BSLASHdc] = ACTIONS(5432),
    [anon_sym_BSLASHk] = ACTIONS(5432),
    [anon_sym_BSLASHnd] = ACTIONS(5432),
    [anon_sym_BSLASHord] = ACTIONS(5432),
    [anon_sym_BSLASHpn] = ACTIONS(5432),
    [anon_sym_BSLASHpng] = ACTIONS(5432),
    [anon_sym_BSLASHaddpn] = ACTIONS(5432),
    [anon_sym_BSLASHqt] = ACTIONS(5432),
    [anon_sym_BSLASHsig] = ACTIONS(5432),
    [anon_sym_BSLASHsls] = ACTIONS(5432),
    [anon_sym_BSLASHtl] = ACTIONS(5432),
    [anon_sym_BSLASHwj] = ACTIONS(5432),
    [anon_sym_BSLASHem] = ACTIONS(5432),
    [anon_sym_BSLASHbd] = ACTIONS(5432),
    [anon_sym_BSLASHit] = ACTIONS(5432),
    [anon_sym_BSLASHbdit] = ACTIONS(5432),
    [anon_sym_BSLASHno] = ACTIONS(5432),
    [anon_sym_BSLASHsc] = ACTIONS(5432),
    [anon_sym_BSLASHsup] = ACTIONS(5432),
    [anon_sym_BSLASHndx] = ACTIONS(5432),
    [anon_sym_BSLASHpro] = ACTIONS(5432),
    [anon_sym_BSLASHrb] = ACTIONS(5432),
    [anon_sym_BSLASHw] = ACTIONS(5432),
    [anon_sym_BSLASHwg] = ACTIONS(5432),
    [anon_sym_BSLASHwh] = ACTIONS(5432),
    [anon_sym_BSLASHwa] = ACTIONS(5432),
    [anon_sym_BSLASHfig] = ACTIONS(5432),
    [anon_sym_BSLASHjmp] = ACTIONS(5432),
    [anon_sym_BSLASHpb] = ACTIONS(5432),
    [anon_sym_BSLASH] = ACTIONS(5432),
    [sym_milestoneStartTag] = ACTIONS(5432),
    [sym_milestoneEndTag] = ACTIONS(5432),
    [sym_zSpaceTag] = ACTIONS(5432),
    [anon_sym_BSLASHesb] = ACTIONS(5432),
  },
  [459] = {
    [sym_text] = STATE(525),
    [sym__milestoneAttributes] = STATE(2038),
    [aux_sym_text_token1] = ACTIONS(5434),
    [anon_sym_BSLASHref] = ACTIONS(5114),
    [anon_sym_BSLASHsts] = ACTIONS(5114),
    [anon_sym_BSLASHrem] = ACTIONS(5114),
    [anon_sym_BSLASHrestore] = ACTIONS(5114),
    [anon_sym_BSLASHlit] = ACTIONS(5114),
    [anon_sym_BSLASHip] = ACTIONS(5114),
    [anon_sym_BSLASHv] = ACTIONS(5114),
    [anon_sym_BSLASHva] = ACTIONS(5114),
    [anon_sym_BSLASHvp] = ACTIONS(5114),
    [anon_sym_BSLASHmte] = ACTIONS(5114),
    [anon_sym_BSLASHms] = ACTIONS(5114),
    [anon_sym_BSLASHs] = ACTIONS(5114),
    [anon_sym_BSLASHr] = ACTIONS(5114),
    [anon_sym_BSLASHsp] = ACTIONS(5114),
    [anon_sym_BSLASHd] = ACTIONS(5114),
    [anon_sym_BSLASHsd] = ACTIONS(5114),
    [anon_sym_BSLASHp] = ACTIONS(5114),
    [anon_sym_BSLASHm] = ACTIONS(5114),
    [anon_sym_BSLASHpo] = ACTIONS(5114),
    [anon_sym_BSLASHpr] = ACTIONS(5114),
    [anon_sym_BSLASHcls] = ACTIONS(5114),
    [anon_sym_BSLASHpmo] = ACTIONS(5114),
    [anon_sym_BSLASHpm] = ACTIONS(5114),
    [anon_sym_BSLASHpmc] = ACTIONS(5114),
    [anon_sym_BSLASHpmr] = ACTIONS(5114),
    [anon_sym_BSLASHpi] = ACTIONS(5114),
    [anon_sym_BSLASHmi] = ACTIONS(5114),
    [anon_sym_BSLASHnb] = ACTIONS(5114),
    [anon_sym_BSLASHpc] = ACTIONS(5114),
    [anon_sym_BSLASHph] = ACTIONS(5114),
    [anon_sym_BSLASHb] = ACTIONS(5114),
    [anon_sym_BSLASHq] = ACTIONS(5114),
    [anon_sym_BSLASHqr] = ACTIONS(5114),
    [anon_sym_BSLASHqc] = ACTIONS(5114),
    [anon_sym_BSLASHqa] = ACTIONS(5114),
    [anon_sym_BSLASHqm] = ACTIONS(5114),
    [anon_sym_BSLASHqd] = ACTIONS(5114),
    [anon_sym_BSLASHlh] = ACTIONS(5114),
    [anon_sym_BSLASHlf] = ACTIONS(5114),
    [anon_sym_BSLASHli] = ACTIONS(5114),
    [anon_sym_BSLASHlim] = ACTIONS(5114),
    [anon_sym_BSLASHliv] = ACTIONS(5114),
    [anon_sym_BSLASHlik] = ACTIONS(5114),
    [anon_sym_BSLASHlitl] = ACTIONS(5114),
    [anon_sym_BSLASHtr] = ACTIONS(5114),
    [anon_sym_BSLASHf] = ACTIONS(5114),
    [anon_sym_BSLASHfe] = ACTIONS(5114),
    [anon_sym_BSLASHef] = ACTIONS(5114),
    [anon_sym_BSLASHfm] = ACTIONS(5114),
    [anon_sym_BSLASHx] = ACTIONS(5114),
    [anon_sym_BSLASHxt] = ACTIONS(5114),
    [anon_sym_BSLASHrq] = ACTIONS(5114),
    [anon_sym_BSLASHadd] = ACTIONS(5114),
    [anon_sym_BSLASHbk] = ACTIONS(5114),
    [anon_sym_BSLASHdc] = ACTIONS(5114),
    [anon_sym_BSLASHk] = ACTIONS(5114),
    [anon_sym_BSLASHnd] = ACTIONS(5114),
    [anon_sym_BSLASHord] = ACTIONS(5114),
    [anon_sym_BSLASHpn] = ACTIONS(5114),
    [anon_sym_BSLASHpng] = ACTIONS(5114),
    [anon_sym_BSLASHaddpn] = ACTIONS(5114),
    [anon_sym_BSLASHqt] = ACTIONS(5114),
    [anon_sym_BSLASHsig] = ACTIONS(5114),
    [anon_sym_BSLASHsls] = ACTIONS(5114),
    [anon_sym_BSLASHtl] = ACTIONS(5114),
    [anon_sym_BSLASHwj] = ACTIONS(5114),
    [anon_sym_BSLASHem] = ACTIONS(5114),
    [anon_sym_BSLASHbd] = ACTIONS(5114),
    [anon_sym_BSLASHit] = ACTIONS(5114),
    [anon_sym_BSLASHbdit] = ACTIONS(5114),
    [anon_sym_BSLASHno] = ACTIONS(5114),
    [anon_sym_BSLASHsc] = ACTIONS(5114),
    [anon_sym_BSLASHsup] = ACTIONS(5114),
    [anon_sym_BSLASHndx] = ACTIONS(5114),
    [anon_sym_BSLASHpro] = ACTIONS(5114),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5114),
    [anon_sym_BSLASHwg] = ACTIONS(5114),
    [anon_sym_BSLASHwh] = ACTIONS(5114),
    [anon_sym_BSLASHwa] = ACTIONS(5114),
    [anon_sym_BSLASHfig] = ACTIONS(5114),
    [anon_sym_BSLASHjmp] = ACTIONS(5114),
    [anon_sym_BSLASHpb] = ACTIONS(5114),
    [anon_sym_BSLASH] = ACTIONS(5114),
    [anon_sym_BSLASH_STAR] = ACTIONS(5436),
    [sym_milestoneStartTag] = ACTIONS(5114),
    [sym_milestoneEndTag] = ACTIONS(5114),
    [sym_zSpaceTag] = ACTIONS(5114),
    [sym__zSpaceClose] = ACTIONS(5438),
    [anon_sym_BSLASHesbe] = ACTIONS(5114),
    [anon_sym_BSLASHcat] = ACTIONS(5114),
    [anon_sym_PIPE] = ACTIONS(5120),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(5354),
    [aux_sym_text_token1] = ACTIONS(5354),
    [anon_sym_BSLASHref] = ACTIONS(5356),
    [anon_sym_BSLASHsts] = ACTIONS(5356),
    [anon_sym_BSLASHrem] = ACTIONS(5356),
    [anon_sym_BSLASHrestore] = ACTIONS(5356),
    [anon_sym_BSLASHlit] = ACTIONS(5356),
    [anon_sym_BSLASHip] = ACTIONS(5356),
    [anon_sym_BSLASHiex] = ACTIONS(5356),
    [anon_sym_BSLASHv] = ACTIONS(5356),
    [anon_sym_BSLASHva] = ACTIONS(5356),
    [anon_sym_BSLASHvp] = ACTIONS(5356),
    [anon_sym_BSLASHc] = ACTIONS(5356),
    [anon_sym_BSLASHcl] = ACTIONS(5356),
    [anon_sym_BSLASHca] = ACTIONS(5356),
    [anon_sym_BSLASHcp] = ACTIONS(5356),
    [anon_sym_BSLASHcd] = ACTIONS(5356),
    [anon_sym_BSLASHmte] = ACTIONS(5356),
    [anon_sym_BSLASHms] = ACTIONS(5356),
    [anon_sym_BSLASHs] = ACTIONS(5356),
    [anon_sym_BSLASHr] = ACTIONS(5356),
    [anon_sym_BSLASHsp] = ACTIONS(5356),
    [anon_sym_BSLASHd] = ACTIONS(5356),
    [anon_sym_BSLASHsd] = ACTIONS(5356),
    [anon_sym_BSLASHp] = ACTIONS(5356),
    [anon_sym_BSLASHm] = ACTIONS(5356),
    [anon_sym_BSLASHpo] = ACTIONS(5356),
    [anon_sym_BSLASHpr] = ACTIONS(5356),
    [anon_sym_BSLASHcls] = ACTIONS(5356),
    [anon_sym_BSLASHpmo] = ACTIONS(5356),
    [anon_sym_BSLASHpm] = ACTIONS(5356),
    [anon_sym_BSLASHpmc] = ACTIONS(5356),
    [anon_sym_BSLASHpmr] = ACTIONS(5356),
    [anon_sym_BSLASHpi] = ACTIONS(5356),
    [anon_sym_BSLASHmi] = ACTIONS(5356),
    [anon_sym_BSLASHnb] = ACTIONS(5356),
    [anon_sym_BSLASHpc] = ACTIONS(5356),
    [anon_sym_BSLASHph] = ACTIONS(5356),
    [anon_sym_BSLASHb] = ACTIONS(5356),
    [anon_sym_BSLASHq] = ACTIONS(5356),
    [anon_sym_BSLASHqr] = ACTIONS(5356),
    [anon_sym_BSLASHqc] = ACTIONS(5356),
    [anon_sym_BSLASHqs] = ACTIONS(5356),
    [anon_sym_BSLASHqa] = ACTIONS(5356),
    [anon_sym_BSLASHqac] = ACTIONS(5356),
    [anon_sym_BSLASHqm] = ACTIONS(5356),
    [anon_sym_BSLASHqd] = ACTIONS(5356),
    [anon_sym_BSLASHlh] = ACTIONS(5356),
    [anon_sym_BSLASHli] = ACTIONS(5356),
    [anon_sym_BSLASHlim] = ACTIONS(5356),
    [anon_sym_BSLASHtr] = ACTIONS(5356),
    [anon_sym_BSLASHf] = ACTIONS(5356),
    [anon_sym_BSLASHfe] = ACTIONS(5356),
    [anon_sym_BSLASHef] = ACTIONS(5356),
    [anon_sym_BSLASHfm] = ACTIONS(5356),
    [anon_sym_BSLASHx] = ACTIONS(5356),
    [anon_sym_BSLASHxt] = ACTIONS(5356),
    [anon_sym_BSLASHrq] = ACTIONS(5356),
    [anon_sym_BSLASHadd] = ACTIONS(5356),
    [anon_sym_BSLASHbk] = ACTIONS(5356),
    [anon_sym_BSLASHdc] = ACTIONS(5356),
    [anon_sym_BSLASHk] = ACTIONS(5356),
    [anon_sym_BSLASHnd] = ACTIONS(5356),
    [anon_sym_BSLASHord] = ACTIONS(5356),
    [anon_sym_BSLASHpn] = ACTIONS(5356),
    [anon_sym_BSLASHpng] = ACTIONS(5356),
    [anon_sym_BSLASHaddpn] = ACTIONS(5356),
    [anon_sym_BSLASHqt] = ACTIONS(5356),
    [anon_sym_BSLASHsig] = ACTIONS(5356),
    [anon_sym_BSLASHsls] = ACTIONS(5356),
    [anon_sym_BSLASHtl] = ACTIONS(5356),
    [anon_sym_BSLASHwj] = ACTIONS(5356),
    [anon_sym_BSLASHem] = ACTIONS(5356),
    [anon_sym_BSLASHbd] = ACTIONS(5356),
    [anon_sym_BSLASHit] = ACTIONS(5356),
    [anon_sym_BSLASHbdit] = ACTIONS(5356),
    [anon_sym_BSLASHno] = ACTIONS(5356),
    [anon_sym_BSLASHsc] = ACTIONS(5356),
    [anon_sym_BSLASHsup] = ACTIONS(5356),
    [anon_sym_BSLASHndx] = ACTIONS(5356),
    [anon_sym_BSLASHpro] = ACTIONS(5356),
    [anon_sym_BSLASHrb] = ACTIONS(5356),
    [anon_sym_BSLASHw] = ACTIONS(5356),
    [anon_sym_BSLASHwg] = ACTIONS(5356),
    [anon_sym_BSLASHwh] = ACTIONS(5356),
    [anon_sym_BSLASHwa] = ACTIONS(5356),
    [anon_sym_BSLASHfig] = ACTIONS(5356),
    [anon_sym_BSLASHjmp] = ACTIONS(5356),
    [anon_sym_BSLASHpb] = ACTIONS(5356),
    [anon_sym_BSLASH] = ACTIONS(5356),
    [sym_milestoneStartTag] = ACTIONS(5356),
    [sym_milestoneEndTag] = ACTIONS(5356),
    [sym_zSpaceTag] = ACTIONS(5356),
    [anon_sym_BSLASHesb] = ACTIONS(5356),
  },
  [461] = {
    [ts_builtin_sym_end] = ACTIONS(5440),
    [aux_sym_text_token1] = ACTIONS(5440),
    [anon_sym_BSLASHref] = ACTIONS(5442),
    [anon_sym_BSLASHsts] = ACTIONS(5442),
    [anon_sym_BSLASHrem] = ACTIONS(5442),
    [anon_sym_BSLASHrestore] = ACTIONS(5442),
    [anon_sym_BSLASHlit] = ACTIONS(5442),
    [anon_sym_BSLASHip] = ACTIONS(5442),
    [anon_sym_BSLASHiex] = ACTIONS(5442),
    [anon_sym_BSLASHv] = ACTIONS(5442),
    [anon_sym_BSLASHva] = ACTIONS(5442),
    [anon_sym_BSLASHvp] = ACTIONS(5442),
    [anon_sym_BSLASHc] = ACTIONS(5442),
    [anon_sym_BSLASHcl] = ACTIONS(5442),
    [anon_sym_BSLASHca] = ACTIONS(5442),
    [anon_sym_BSLASHcp] = ACTIONS(5442),
    [anon_sym_BSLASHcd] = ACTIONS(5442),
    [anon_sym_BSLASHmte] = ACTIONS(5442),
    [anon_sym_BSLASHms] = ACTIONS(5442),
    [anon_sym_BSLASHs] = ACTIONS(5442),
    [anon_sym_BSLASHr] = ACTIONS(5442),
    [anon_sym_BSLASHsp] = ACTIONS(5442),
    [anon_sym_BSLASHd] = ACTIONS(5442),
    [anon_sym_BSLASHsd] = ACTIONS(5442),
    [anon_sym_BSLASHp] = ACTIONS(5442),
    [anon_sym_BSLASHm] = ACTIONS(5442),
    [anon_sym_BSLASHpo] = ACTIONS(5442),
    [anon_sym_BSLASHpr] = ACTIONS(5442),
    [anon_sym_BSLASHcls] = ACTIONS(5442),
    [anon_sym_BSLASHpmo] = ACTIONS(5442),
    [anon_sym_BSLASHpm] = ACTIONS(5442),
    [anon_sym_BSLASHpmc] = ACTIONS(5442),
    [anon_sym_BSLASHpmr] = ACTIONS(5442),
    [anon_sym_BSLASHpi] = ACTIONS(5442),
    [anon_sym_BSLASHmi] = ACTIONS(5442),
    [anon_sym_BSLASHnb] = ACTIONS(5442),
    [anon_sym_BSLASHpc] = ACTIONS(5442),
    [anon_sym_BSLASHph] = ACTIONS(5442),
    [anon_sym_BSLASHb] = ACTIONS(5442),
    [anon_sym_BSLASHq] = ACTIONS(5442),
    [anon_sym_BSLASHqr] = ACTIONS(5442),
    [anon_sym_BSLASHqc] = ACTIONS(5442),
    [anon_sym_BSLASHqs] = ACTIONS(5442),
    [anon_sym_BSLASHqa] = ACTIONS(5442),
    [anon_sym_BSLASHqac] = ACTIONS(5442),
    [anon_sym_BSLASHqm] = ACTIONS(5442),
    [anon_sym_BSLASHqd] = ACTIONS(5442),
    [anon_sym_BSLASHlh] = ACTIONS(5442),
    [anon_sym_BSLASHli] = ACTIONS(5442),
    [anon_sym_BSLASHlim] = ACTIONS(5442),
    [anon_sym_BSLASHtr] = ACTIONS(5442),
    [anon_sym_BSLASHf] = ACTIONS(5442),
    [anon_sym_BSLASHfe] = ACTIONS(5442),
    [anon_sym_BSLASHef] = ACTIONS(5442),
    [anon_sym_BSLASHfm] = ACTIONS(5442),
    [anon_sym_BSLASHx] = ACTIONS(5442),
    [anon_sym_BSLASHxt] = ACTIONS(5442),
    [anon_sym_BSLASHrq] = ACTIONS(5442),
    [anon_sym_BSLASHadd] = ACTIONS(5442),
    [anon_sym_BSLASHbk] = ACTIONS(5442),
    [anon_sym_BSLASHdc] = ACTIONS(5442),
    [anon_sym_BSLASHk] = ACTIONS(5442),
    [anon_sym_BSLASHnd] = ACTIONS(5442),
    [anon_sym_BSLASHord] = ACTIONS(5442),
    [anon_sym_BSLASHpn] = ACTIONS(5442),
    [anon_sym_BSLASHpng] = ACTIONS(5442),
    [anon_sym_BSLASHaddpn] = ACTIONS(5442),
    [anon_sym_BSLASHqt] = ACTIONS(5442),
    [anon_sym_BSLASHsig] = ACTIONS(5442),
    [anon_sym_BSLASHsls] = ACTIONS(5442),
    [anon_sym_BSLASHtl] = ACTIONS(5442),
    [anon_sym_BSLASHwj] = ACTIONS(5442),
    [anon_sym_BSLASHem] = ACTIONS(5442),
    [anon_sym_BSLASHbd] = ACTIONS(5442),
    [anon_sym_BSLASHit] = ACTIONS(5442),
    [anon_sym_BSLASHbdit] = ACTIONS(5442),
    [anon_sym_BSLASHno] = ACTIONS(5442),
    [anon_sym_BSLASHsc] = ACTIONS(5442),
    [anon_sym_BSLASHsup] = ACTIONS(5442),
    [anon_sym_BSLASHndx] = ACTIONS(5442),
    [anon_sym_BSLASHpro] = ACTIONS(5442),
    [anon_sym_BSLASHrb] = ACTIONS(5442),
    [anon_sym_BSLASHw] = ACTIONS(5442),
    [anon_sym_BSLASHwg] = ACTIONS(5442),
    [anon_sym_BSLASHwh] = ACTIONS(5442),
    [anon_sym_BSLASHwa] = ACTIONS(5442),
    [anon_sym_BSLASHfig] = ACTIONS(5442),
    [anon_sym_BSLASHjmp] = ACTIONS(5442),
    [anon_sym_BSLASHpb] = ACTIONS(5442),
    [anon_sym_BSLASH] = ACTIONS(5442),
    [sym_milestoneStartTag] = ACTIONS(5442),
    [sym_milestoneEndTag] = ACTIONS(5442),
    [sym_zSpaceTag] = ACTIONS(5442),
    [anon_sym_BSLASHesb] = ACTIONS(5442),
  },
  [462] = {
    [ts_builtin_sym_end] = ACTIONS(5),
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHref] = ACTIONS(7),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHiex] = ACTIONS(7),
    [anon_sym_BSLASHv] = ACTIONS(7),
    [anon_sym_BSLASHva] = ACTIONS(7),
    [anon_sym_BSLASHvp] = ACTIONS(7),
    [anon_sym_BSLASHc] = ACTIONS(7),
    [anon_sym_BSLASHcl] = ACTIONS(7),
    [anon_sym_BSLASHca] = ACTIONS(7),
    [anon_sym_BSLASHcp] = ACTIONS(7),
    [anon_sym_BSLASHcd] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqs] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqac] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHx] = ACTIONS(7),
    [anon_sym_BSLASHxt] = ACTIONS(7),
    [anon_sym_BSLASHrq] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [anon_sym_BSLASHesb] = ACTIONS(7),
  },
  [463] = {
    [ts_builtin_sym_end] = ACTIONS(21),
    [aux_sym_text_token1] = ACTIONS(21),
    [anon_sym_BSLASHref] = ACTIONS(23),
    [anon_sym_BSLASHsts] = ACTIONS(23),
    [anon_sym_BSLASHrem] = ACTIONS(23),
    [anon_sym_BSLASHrestore] = ACTIONS(23),
    [anon_sym_BSLASHlit] = ACTIONS(23),
    [anon_sym_BSLASHip] = ACTIONS(23),
    [anon_sym_BSLASHiex] = ACTIONS(23),
    [anon_sym_BSLASHv] = ACTIONS(23),
    [anon_sym_BSLASHva] = ACTIONS(23),
    [anon_sym_BSLASHvp] = ACTIONS(23),
    [anon_sym_BSLASHc] = ACTIONS(23),
    [anon_sym_BSLASHcl] = ACTIONS(23),
    [anon_sym_BSLASHca] = ACTIONS(23),
    [anon_sym_BSLASHcp] = ACTIONS(23),
    [anon_sym_BSLASHcd] = ACTIONS(23),
    [anon_sym_BSLASHmte] = ACTIONS(23),
    [anon_sym_BSLASHms] = ACTIONS(23),
    [anon_sym_BSLASHs] = ACTIONS(23),
    [anon_sym_BSLASHr] = ACTIONS(23),
    [anon_sym_BSLASHsp] = ACTIONS(23),
    [anon_sym_BSLASHd] = ACTIONS(23),
    [anon_sym_BSLASHsd] = ACTIONS(23),
    [anon_sym_BSLASHp] = ACTIONS(23),
    [anon_sym_BSLASHm] = ACTIONS(23),
    [anon_sym_BSLASHpo] = ACTIONS(23),
    [anon_sym_BSLASHpr] = ACTIONS(23),
    [anon_sym_BSLASHcls] = ACTIONS(23),
    [anon_sym_BSLASHpmo] = ACTIONS(23),
    [anon_sym_BSLASHpm] = ACTIONS(23),
    [anon_sym_BSLASHpmc] = ACTIONS(23),
    [anon_sym_BSLASHpmr] = ACTIONS(23),
    [anon_sym_BSLASHpi] = ACTIONS(23),
    [anon_sym_BSLASHmi] = ACTIONS(23),
    [anon_sym_BSLASHnb] = ACTIONS(23),
    [anon_sym_BSLASHpc] = ACTIONS(23),
    [anon_sym_BSLASHph] = ACTIONS(23),
    [anon_sym_BSLASHb] = ACTIONS(23),
    [anon_sym_BSLASHq] = ACTIONS(23),
    [anon_sym_BSLASHqr] = ACTIONS(23),
    [anon_sym_BSLASHqc] = ACTIONS(23),
    [anon_sym_BSLASHqs] = ACTIONS(23),
    [anon_sym_BSLASHqa] = ACTIONS(23),
    [anon_sym_BSLASHqac] = ACTIONS(23),
    [anon_sym_BSLASHqm] = ACTIONS(23),
    [anon_sym_BSLASHqd] = ACTIONS(23),
    [anon_sym_BSLASHlh] = ACTIONS(23),
    [anon_sym_BSLASHli] = ACTIONS(23),
    [anon_sym_BSLASHlim] = ACTIONS(23),
    [anon_sym_BSLASHtr] = ACTIONS(23),
    [anon_sym_BSLASHf] = ACTIONS(23),
    [anon_sym_BSLASHfe] = ACTIONS(23),
    [anon_sym_BSLASHef] = ACTIONS(23),
    [anon_sym_BSLASHfm] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(23),
    [anon_sym_BSLASHxt] = ACTIONS(23),
    [anon_sym_BSLASHrq] = ACTIONS(23),
    [anon_sym_BSLASHadd] = ACTIONS(23),
    [anon_sym_BSLASHbk] = ACTIONS(23),
    [anon_sym_BSLASHdc] = ACTIONS(23),
    [anon_sym_BSLASHk] = ACTIONS(23),
    [anon_sym_BSLASHnd] = ACTIONS(23),
    [anon_sym_BSLASHord] = ACTIONS(23),
    [anon_sym_BSLASHpn] = ACTIONS(23),
    [anon_sym_BSLASHpng] = ACTIONS(23),
    [anon_sym_BSLASHaddpn] = ACTIONS(23),
    [anon_sym_BSLASHqt] = ACTIONS(23),
    [anon_sym_BSLASHsig] = ACTIONS(23),
    [anon_sym_BSLASHsls] = ACTIONS(23),
    [anon_sym_BSLASHtl] = ACTIONS(23),
    [anon_sym_BSLASHwj] = ACTIONS(23),
    [anon_sym_BSLASHem] = ACTIONS(23),
    [anon_sym_BSLASHbd] = ACTIONS(23),
    [anon_sym_BSLASHit] = ACTIONS(23),
    [anon_sym_BSLASHbdit] = ACTIONS(23),
    [anon_sym_BSLASHno] = ACTIONS(23),
    [anon_sym_BSLASHsc] = ACTIONS(23),
    [anon_sym_BSLASHsup] = ACTIONS(23),
    [anon_sym_BSLASHndx] = ACTIONS(23),
    [anon_sym_BSLASHpro] = ACTIONS(23),
    [anon_sym_BSLASHrb] = ACTIONS(23),
    [anon_sym_BSLASHw] = ACTIONS(23),
    [anon_sym_BSLASHwg] = ACTIONS(23),
    [anon_sym_BSLASHwh] = ACTIONS(23),
    [anon_sym_BSLASHwa] = ACTIONS(23),
    [anon_sym_BSLASHfig] = ACTIONS(23),
    [anon_sym_BSLASHjmp] = ACTIONS(23),
    [anon_sym_BSLASHpb] = ACTIONS(23),
    [anon_sym_BSLASH] = ACTIONS(23),
    [sym_milestoneStartTag] = ACTIONS(23),
    [sym_milestoneEndTag] = ACTIONS(23),
    [sym_zSpaceTag] = ACTIONS(23),
    [anon_sym_BSLASHesb] = ACTIONS(23),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(37),
    [aux_sym_text_token1] = ACTIONS(37),
    [anon_sym_BSLASHref] = ACTIONS(39),
    [anon_sym_BSLASHsts] = ACTIONS(39),
    [anon_sym_BSLASHrem] = ACTIONS(39),
    [anon_sym_BSLASHrestore] = ACTIONS(39),
    [anon_sym_BSLASHlit] = ACTIONS(39),
    [anon_sym_BSLASHip] = ACTIONS(39),
    [anon_sym_BSLASHiex] = ACTIONS(39),
    [anon_sym_BSLASHv] = ACTIONS(39),
    [anon_sym_BSLASHva] = ACTIONS(39),
    [anon_sym_BSLASHvp] = ACTIONS(39),
    [anon_sym_BSLASHc] = ACTIONS(39),
    [anon_sym_BSLASHcl] = ACTIONS(39),
    [anon_sym_BSLASHca] = ACTIONS(39),
    [anon_sym_BSLASHcp] = ACTIONS(39),
    [anon_sym_BSLASHcd] = ACTIONS(39),
    [anon_sym_BSLASHmte] = ACTIONS(39),
    [anon_sym_BSLASHms] = ACTIONS(39),
    [anon_sym_BSLASHs] = ACTIONS(39),
    [anon_sym_BSLASHr] = ACTIONS(39),
    [anon_sym_BSLASHsp] = ACTIONS(39),
    [anon_sym_BSLASHd] = ACTIONS(39),
    [anon_sym_BSLASHsd] = ACTIONS(39),
    [anon_sym_BSLASHp] = ACTIONS(39),
    [anon_sym_BSLASHm] = ACTIONS(39),
    [anon_sym_BSLASHpo] = ACTIONS(39),
    [anon_sym_BSLASHpr] = ACTIONS(39),
    [anon_sym_BSLASHcls] = ACTIONS(39),
    [anon_sym_BSLASHpmo] = ACTIONS(39),
    [anon_sym_BSLASHpm] = ACTIONS(39),
    [anon_sym_BSLASHpmc] = ACTIONS(39),
    [anon_sym_BSLASHpmr] = ACTIONS(39),
    [anon_sym_BSLASHpi] = ACTIONS(39),
    [anon_sym_BSLASHmi] = ACTIONS(39),
    [anon_sym_BSLASHnb] = ACTIONS(39),
    [anon_sym_BSLASHpc] = ACTIONS(39),
    [anon_sym_BSLASHph] = ACTIONS(39),
    [anon_sym_BSLASHb] = ACTIONS(39),
    [anon_sym_BSLASHq] = ACTIONS(39),
    [anon_sym_BSLASHqr] = ACTIONS(39),
    [anon_sym_BSLASHqc] = ACTIONS(39),
    [anon_sym_BSLASHqs] = ACTIONS(39),
    [anon_sym_BSLASHqa] = ACTIONS(39),
    [anon_sym_BSLASHqac] = ACTIONS(39),
    [anon_sym_BSLASHqm] = ACTIONS(39),
    [anon_sym_BSLASHqd] = ACTIONS(39),
    [anon_sym_BSLASHlh] = ACTIONS(39),
    [anon_sym_BSLASHli] = ACTIONS(39),
    [anon_sym_BSLASHlim] = ACTIONS(39),
    [anon_sym_BSLASHtr] = ACTIONS(39),
    [anon_sym_BSLASHf] = ACTIONS(39),
    [anon_sym_BSLASHfe] = ACTIONS(39),
    [anon_sym_BSLASHef] = ACTIONS(39),
    [anon_sym_BSLASHfm] = ACTIONS(39),
    [anon_sym_BSLASHx] = ACTIONS(39),
    [anon_sym_BSLASHxt] = ACTIONS(39),
    [anon_sym_BSLASHrq] = ACTIONS(39),
    [anon_sym_BSLASHadd] = ACTIONS(39),
    [anon_sym_BSLASHbk] = ACTIONS(39),
    [anon_sym_BSLASHdc] = ACTIONS(39),
    [anon_sym_BSLASHk] = ACTIONS(39),
    [anon_sym_BSLASHnd] = ACTIONS(39),
    [anon_sym_BSLASHord] = ACTIONS(39),
    [anon_sym_BSLASHpn] = ACTIONS(39),
    [anon_sym_BSLASHpng] = ACTIONS(39),
    [anon_sym_BSLASHaddpn] = ACTIONS(39),
    [anon_sym_BSLASHqt] = ACTIONS(39),
    [anon_sym_BSLASHsig] = ACTIONS(39),
    [anon_sym_BSLASHsls] = ACTIONS(39),
    [anon_sym_BSLASHtl] = ACTIONS(39),
    [anon_sym_BSLASHwj] = ACTIONS(39),
    [anon_sym_BSLASHem] = ACTIONS(39),
    [anon_sym_BSLASHbd] = ACTIONS(39),
    [anon_sym_BSLASHit] = ACTIONS(39),
    [anon_sym_BSLASHbdit] = ACTIONS(39),
    [anon_sym_BSLASHno] = ACTIONS(39),
    [anon_sym_BSLASHsc] = ACTIONS(39),
    [anon_sym_BSLASHsup] = ACTIONS(39),
    [anon_sym_BSLASHndx] = ACTIONS(39),
    [anon_sym_BSLASHpro] = ACTIONS(39),
    [anon_sym_BSLASHrb] = ACTIONS(39),
    [anon_sym_BSLASHw] = ACTIONS(39),
    [anon_sym_BSLASHwg] = ACTIONS(39),
    [anon_sym_BSLASHwh] = ACTIONS(39),
    [anon_sym_BSLASHwa] = ACTIONS(39),
    [anon_sym_BSLASHfig] = ACTIONS(39),
    [anon_sym_BSLASHjmp] = ACTIONS(39),
    [anon_sym_BSLASHpb] = ACTIONS(39),
    [anon_sym_BSLASH] = ACTIONS(39),
    [sym_milestoneStartTag] = ACTIONS(39),
    [sym_milestoneEndTag] = ACTIONS(39),
    [sym_zSpaceTag] = ACTIONS(39),
    [anon_sym_BSLASHesb] = ACTIONS(39),
  },
  [465] = {
    [ts_builtin_sym_end] = ACTIONS(2755),
    [aux_sym_text_token1] = ACTIONS(2755),
    [anon_sym_BSLASHref] = ACTIONS(2757),
    [anon_sym_BSLASHsts] = ACTIONS(2757),
    [anon_sym_BSLASHrem] = ACTIONS(2757),
    [anon_sym_BSLASHrestore] = ACTIONS(2757),
    [anon_sym_BSLASHlit] = ACTIONS(2757),
    [anon_sym_BSLASHip] = ACTIONS(2757),
    [anon_sym_BSLASHiex] = ACTIONS(2757),
    [anon_sym_BSLASHv] = ACTIONS(2757),
    [anon_sym_BSLASHva] = ACTIONS(2757),
    [anon_sym_BSLASHvp] = ACTIONS(2757),
    [anon_sym_BSLASHc] = ACTIONS(2757),
    [anon_sym_BSLASHcl] = ACTIONS(2757),
    [anon_sym_BSLASHca] = ACTIONS(2757),
    [anon_sym_BSLASHcp] = ACTIONS(2757),
    [anon_sym_BSLASHcd] = ACTIONS(2757),
    [anon_sym_BSLASHmte] = ACTIONS(2757),
    [anon_sym_BSLASHms] = ACTIONS(2757),
    [anon_sym_BSLASHs] = ACTIONS(2757),
    [anon_sym_BSLASHr] = ACTIONS(2757),
    [anon_sym_BSLASHsp] = ACTIONS(2757),
    [anon_sym_BSLASHd] = ACTIONS(2757),
    [anon_sym_BSLASHsd] = ACTIONS(2757),
    [anon_sym_BSLASHp] = ACTIONS(2757),
    [anon_sym_BSLASHm] = ACTIONS(2757),
    [anon_sym_BSLASHpo] = ACTIONS(2757),
    [anon_sym_BSLASHpr] = ACTIONS(2757),
    [anon_sym_BSLASHcls] = ACTIONS(2757),
    [anon_sym_BSLASHpmo] = ACTIONS(2757),
    [anon_sym_BSLASHpm] = ACTIONS(2757),
    [anon_sym_BSLASHpmc] = ACTIONS(2757),
    [anon_sym_BSLASHpmr] = ACTIONS(2757),
    [anon_sym_BSLASHpi] = ACTIONS(2757),
    [anon_sym_BSLASHmi] = ACTIONS(2757),
    [anon_sym_BSLASHnb] = ACTIONS(2757),
    [anon_sym_BSLASHpc] = ACTIONS(2757),
    [anon_sym_BSLASHph] = ACTIONS(2757),
    [anon_sym_BSLASHb] = ACTIONS(2757),
    [anon_sym_BSLASHq] = ACTIONS(2757),
    [anon_sym_BSLASHqr] = ACTIONS(2757),
    [anon_sym_BSLASHqc] = ACTIONS(2757),
    [anon_sym_BSLASHqs] = ACTIONS(2757),
    [anon_sym_BSLASHqa] = ACTIONS(2757),
    [anon_sym_BSLASHqac] = ACTIONS(2757),
    [anon_sym_BSLASHqm] = ACTIONS(2757),
    [anon_sym_BSLASHqd] = ACTIONS(2757),
    [anon_sym_BSLASHlh] = ACTIONS(2757),
    [anon_sym_BSLASHli] = ACTIONS(2757),
    [anon_sym_BSLASHlim] = ACTIONS(2757),
    [anon_sym_BSLASHtr] = ACTIONS(2757),
    [anon_sym_BSLASHf] = ACTIONS(2757),
    [anon_sym_BSLASHfe] = ACTIONS(2757),
    [anon_sym_BSLASHef] = ACTIONS(2757),
    [anon_sym_BSLASHfm] = ACTIONS(2757),
    [anon_sym_BSLASHx] = ACTIONS(2757),
    [anon_sym_BSLASHxt] = ACTIONS(2757),
    [anon_sym_BSLASHrq] = ACTIONS(2757),
    [anon_sym_BSLASHadd] = ACTIONS(2757),
    [anon_sym_BSLASHbk] = ACTIONS(2757),
    [anon_sym_BSLASHdc] = ACTIONS(2757),
    [anon_sym_BSLASHk] = ACTIONS(2757),
    [anon_sym_BSLASHnd] = ACTIONS(2757),
    [anon_sym_BSLASHord] = ACTIONS(2757),
    [anon_sym_BSLASHpn] = ACTIONS(2757),
    [anon_sym_BSLASHpng] = ACTIONS(2757),
    [anon_sym_BSLASHaddpn] = ACTIONS(2757),
    [anon_sym_BSLASHqt] = ACTIONS(2757),
    [anon_sym_BSLASHsig] = ACTIONS(2757),
    [anon_sym_BSLASHsls] = ACTIONS(2757),
    [anon_sym_BSLASHtl] = ACTIONS(2757),
    [anon_sym_BSLASHwj] = ACTIONS(2757),
    [anon_sym_BSLASHem] = ACTIONS(2757),
    [anon_sym_BSLASHbd] = ACTIONS(2757),
    [anon_sym_BSLASHit] = ACTIONS(2757),
    [anon_sym_BSLASHbdit] = ACTIONS(2757),
    [anon_sym_BSLASHno] = ACTIONS(2757),
    [anon_sym_BSLASHsc] = ACTIONS(2757),
    [anon_sym_BSLASHsup] = ACTIONS(2757),
    [anon_sym_BSLASHndx] = ACTIONS(2757),
    [anon_sym_BSLASHpro] = ACTIONS(2757),
    [anon_sym_BSLASHrb] = ACTIONS(2757),
    [anon_sym_BSLASHw] = ACTIONS(2757),
    [anon_sym_BSLASHwg] = ACTIONS(2757),
    [anon_sym_BSLASHwh] = ACTIONS(2757),
    [anon_sym_BSLASHwa] = ACTIONS(2757),
    [anon_sym_BSLASHfig] = ACTIONS(2757),
    [anon_sym_BSLASHjmp] = ACTIONS(2757),
    [anon_sym_BSLASHpb] = ACTIONS(2757),
    [anon_sym_BSLASH] = ACTIONS(2757),
    [sym_milestoneStartTag] = ACTIONS(2757),
    [sym_milestoneEndTag] = ACTIONS(2757),
    [sym_zSpaceTag] = ACTIONS(2757),
    [anon_sym_BSLASHesb] = ACTIONS(2757),
  },
  [466] = {
    [ts_builtin_sym_end] = ACTIONS(2727),
    [aux_sym_text_token1] = ACTIONS(2727),
    [anon_sym_BSLASHref] = ACTIONS(2729),
    [anon_sym_BSLASHsts] = ACTIONS(2729),
    [anon_sym_BSLASHrem] = ACTIONS(2729),
    [anon_sym_BSLASHrestore] = ACTIONS(2729),
    [anon_sym_BSLASHlit] = ACTIONS(2729),
    [anon_sym_BSLASHip] = ACTIONS(2729),
    [anon_sym_BSLASHiex] = ACTIONS(2729),
    [anon_sym_BSLASHv] = ACTIONS(2729),
    [anon_sym_BSLASHva] = ACTIONS(2729),
    [anon_sym_BSLASHvp] = ACTIONS(2729),
    [anon_sym_BSLASHc] = ACTIONS(2729),
    [anon_sym_BSLASHcl] = ACTIONS(2729),
    [anon_sym_BSLASHca] = ACTIONS(2729),
    [anon_sym_BSLASHcp] = ACTIONS(2729),
    [anon_sym_BSLASHcd] = ACTIONS(2729),
    [anon_sym_BSLASHmte] = ACTIONS(2729),
    [anon_sym_BSLASHms] = ACTIONS(2729),
    [anon_sym_BSLASHs] = ACTIONS(2729),
    [anon_sym_BSLASHr] = ACTIONS(2729),
    [anon_sym_BSLASHsp] = ACTIONS(2729),
    [anon_sym_BSLASHd] = ACTIONS(2729),
    [anon_sym_BSLASHsd] = ACTIONS(2729),
    [anon_sym_BSLASHp] = ACTIONS(2729),
    [anon_sym_BSLASHm] = ACTIONS(2729),
    [anon_sym_BSLASHpo] = ACTIONS(2729),
    [anon_sym_BSLASHpr] = ACTIONS(2729),
    [anon_sym_BSLASHcls] = ACTIONS(2729),
    [anon_sym_BSLASHpmo] = ACTIONS(2729),
    [anon_sym_BSLASHpm] = ACTIONS(2729),
    [anon_sym_BSLASHpmc] = ACTIONS(2729),
    [anon_sym_BSLASHpmr] = ACTIONS(2729),
    [anon_sym_BSLASHpi] = ACTIONS(2729),
    [anon_sym_BSLASHmi] = ACTIONS(2729),
    [anon_sym_BSLASHnb] = ACTIONS(2729),
    [anon_sym_BSLASHpc] = ACTIONS(2729),
    [anon_sym_BSLASHph] = ACTIONS(2729),
    [anon_sym_BSLASHb] = ACTIONS(2729),
    [anon_sym_BSLASHq] = ACTIONS(2729),
    [anon_sym_BSLASHqr] = ACTIONS(2729),
    [anon_sym_BSLASHqc] = ACTIONS(2729),
    [anon_sym_BSLASHqs] = ACTIONS(2729),
    [anon_sym_BSLASHqa] = ACTIONS(2729),
    [anon_sym_BSLASHqac] = ACTIONS(2729),
    [anon_sym_BSLASHqm] = ACTIONS(2729),
    [anon_sym_BSLASHqd] = ACTIONS(2729),
    [anon_sym_BSLASHlh] = ACTIONS(2729),
    [anon_sym_BSLASHli] = ACTIONS(2729),
    [anon_sym_BSLASHlim] = ACTIONS(2729),
    [anon_sym_BSLASHtr] = ACTIONS(2729),
    [anon_sym_BSLASHf] = ACTIONS(2729),
    [anon_sym_BSLASHfe] = ACTIONS(2729),
    [anon_sym_BSLASHef] = ACTIONS(2729),
    [anon_sym_BSLASHfm] = ACTIONS(2729),
    [anon_sym_BSLASHx] = ACTIONS(2729),
    [anon_sym_BSLASHxt] = ACTIONS(2729),
    [anon_sym_BSLASHrq] = ACTIONS(2729),
    [anon_sym_BSLASHadd] = ACTIONS(2729),
    [anon_sym_BSLASHbk] = ACTIONS(2729),
    [anon_sym_BSLASHdc] = ACTIONS(2729),
    [anon_sym_BSLASHk] = ACTIONS(2729),
    [anon_sym_BSLASHnd] = ACTIONS(2729),
    [anon_sym_BSLASHord] = ACTIONS(2729),
    [anon_sym_BSLASHpn] = ACTIONS(2729),
    [anon_sym_BSLASHpng] = ACTIONS(2729),
    [anon_sym_BSLASHaddpn] = ACTIONS(2729),
    [anon_sym_BSLASHqt] = ACTIONS(2729),
    [anon_sym_BSLASHsig] = ACTIONS(2729),
    [anon_sym_BSLASHsls] = ACTIONS(2729),
    [anon_sym_BSLASHtl] = ACTIONS(2729),
    [anon_sym_BSLASHwj] = ACTIONS(2729),
    [anon_sym_BSLASHem] = ACTIONS(2729),
    [anon_sym_BSLASHbd] = ACTIONS(2729),
    [anon_sym_BSLASHit] = ACTIONS(2729),
    [anon_sym_BSLASHbdit] = ACTIONS(2729),
    [anon_sym_BSLASHno] = ACTIONS(2729),
    [anon_sym_BSLASHsc] = ACTIONS(2729),
    [anon_sym_BSLASHsup] = ACTIONS(2729),
    [anon_sym_BSLASHndx] = ACTIONS(2729),
    [anon_sym_BSLASHpro] = ACTIONS(2729),
    [anon_sym_BSLASHrb] = ACTIONS(2729),
    [anon_sym_BSLASHw] = ACTIONS(2729),
    [anon_sym_BSLASHwg] = ACTIONS(2729),
    [anon_sym_BSLASHwh] = ACTIONS(2729),
    [anon_sym_BSLASHwa] = ACTIONS(2729),
    [anon_sym_BSLASHfig] = ACTIONS(2729),
    [anon_sym_BSLASHjmp] = ACTIONS(2729),
    [anon_sym_BSLASHpb] = ACTIONS(2729),
    [anon_sym_BSLASH] = ACTIONS(2729),
    [sym_milestoneStartTag] = ACTIONS(2729),
    [sym_milestoneEndTag] = ACTIONS(2729),
    [sym_zSpaceTag] = ACTIONS(2729),
    [anon_sym_BSLASHesb] = ACTIONS(2729),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(5350),
    [aux_sym_text_token1] = ACTIONS(5350),
    [anon_sym_BSLASHref] = ACTIONS(5352),
    [anon_sym_BSLASHsts] = ACTIONS(5352),
    [anon_sym_BSLASHrem] = ACTIONS(5352),
    [anon_sym_BSLASHrestore] = ACTIONS(5352),
    [anon_sym_BSLASHlit] = ACTIONS(5352),
    [anon_sym_BSLASHip] = ACTIONS(5352),
    [anon_sym_BSLASHiex] = ACTIONS(5352),
    [anon_sym_BSLASHv] = ACTIONS(5352),
    [anon_sym_BSLASHva] = ACTIONS(5352),
    [anon_sym_BSLASHvp] = ACTIONS(5352),
    [anon_sym_BSLASHc] = ACTIONS(5352),
    [anon_sym_BSLASHcl] = ACTIONS(5352),
    [anon_sym_BSLASHca] = ACTIONS(5352),
    [anon_sym_BSLASHcp] = ACTIONS(5352),
    [anon_sym_BSLASHcd] = ACTIONS(5352),
    [anon_sym_BSLASHmte] = ACTIONS(5352),
    [anon_sym_BSLASHms] = ACTIONS(5352),
    [anon_sym_BSLASHs] = ACTIONS(5352),
    [anon_sym_BSLASHr] = ACTIONS(5352),
    [anon_sym_BSLASHsp] = ACTIONS(5352),
    [anon_sym_BSLASHd] = ACTIONS(5352),
    [anon_sym_BSLASHsd] = ACTIONS(5352),
    [anon_sym_BSLASHp] = ACTIONS(5352),
    [anon_sym_BSLASHm] = ACTIONS(5352),
    [anon_sym_BSLASHpo] = ACTIONS(5352),
    [anon_sym_BSLASHpr] = ACTIONS(5352),
    [anon_sym_BSLASHcls] = ACTIONS(5352),
    [anon_sym_BSLASHpmo] = ACTIONS(5352),
    [anon_sym_BSLASHpm] = ACTIONS(5352),
    [anon_sym_BSLASHpmc] = ACTIONS(5352),
    [anon_sym_BSLASHpmr] = ACTIONS(5352),
    [anon_sym_BSLASHpi] = ACTIONS(5352),
    [anon_sym_BSLASHmi] = ACTIONS(5352),
    [anon_sym_BSLASHnb] = ACTIONS(5352),
    [anon_sym_BSLASHpc] = ACTIONS(5352),
    [anon_sym_BSLASHph] = ACTIONS(5352),
    [anon_sym_BSLASHb] = ACTIONS(5352),
    [anon_sym_BSLASHq] = ACTIONS(5352),
    [anon_sym_BSLASHqr] = ACTIONS(5352),
    [anon_sym_BSLASHqc] = ACTIONS(5352),
    [anon_sym_BSLASHqs] = ACTIONS(5352),
    [anon_sym_BSLASHqa] = ACTIONS(5352),
    [anon_sym_BSLASHqac] = ACTIONS(5352),
    [anon_sym_BSLASHqm] = ACTIONS(5352),
    [anon_sym_BSLASHqd] = ACTIONS(5352),
    [anon_sym_BSLASHlh] = ACTIONS(5352),
    [anon_sym_BSLASHli] = ACTIONS(5352),
    [anon_sym_BSLASHlim] = ACTIONS(5352),
    [anon_sym_BSLASHtr] = ACTIONS(5352),
    [anon_sym_BSLASHf] = ACTIONS(5352),
    [anon_sym_BSLASHfe] = ACTIONS(5352),
    [anon_sym_BSLASHef] = ACTIONS(5352),
    [anon_sym_BSLASHfm] = ACTIONS(5352),
    [anon_sym_BSLASHx] = ACTIONS(5352),
    [anon_sym_BSLASHxt] = ACTIONS(5352),
    [anon_sym_BSLASHrq] = ACTIONS(5352),
    [anon_sym_BSLASHadd] = ACTIONS(5352),
    [anon_sym_BSLASHbk] = ACTIONS(5352),
    [anon_sym_BSLASHdc] = ACTIONS(5352),
    [anon_sym_BSLASHk] = ACTIONS(5352),
    [anon_sym_BSLASHnd] = ACTIONS(5352),
    [anon_sym_BSLASHord] = ACTIONS(5352),
    [anon_sym_BSLASHpn] = ACTIONS(5352),
    [anon_sym_BSLASHpng] = ACTIONS(5352),
    [anon_sym_BSLASHaddpn] = ACTIONS(5352),
    [anon_sym_BSLASHqt] = ACTIONS(5352),
    [anon_sym_BSLASHsig] = ACTIONS(5352),
    [anon_sym_BSLASHsls] = ACTIONS(5352),
    [anon_sym_BSLASHtl] = ACTIONS(5352),
    [anon_sym_BSLASHwj] = ACTIONS(5352),
    [anon_sym_BSLASHem] = ACTIONS(5352),
    [anon_sym_BSLASHbd] = ACTIONS(5352),
    [anon_sym_BSLASHit] = ACTIONS(5352),
    [anon_sym_BSLASHbdit] = ACTIONS(5352),
    [anon_sym_BSLASHno] = ACTIONS(5352),
    [anon_sym_BSLASHsc] = ACTIONS(5352),
    [anon_sym_BSLASHsup] = ACTIONS(5352),
    [anon_sym_BSLASHndx] = ACTIONS(5352),
    [anon_sym_BSLASHpro] = ACTIONS(5352),
    [anon_sym_BSLASHrb] = ACTIONS(5352),
    [anon_sym_BSLASHw] = ACTIONS(5352),
    [anon_sym_BSLASHwg] = ACTIONS(5352),
    [anon_sym_BSLASHwh] = ACTIONS(5352),
    [anon_sym_BSLASHwa] = ACTIONS(5352),
    [anon_sym_BSLASHfig] = ACTIONS(5352),
    [anon_sym_BSLASHjmp] = ACTIONS(5352),
    [anon_sym_BSLASHpb] = ACTIONS(5352),
    [anon_sym_BSLASH] = ACTIONS(5352),
    [sym_milestoneStartTag] = ACTIONS(5352),
    [sym_milestoneEndTag] = ACTIONS(5352),
    [sym_zSpaceTag] = ACTIONS(5352),
    [anon_sym_BSLASHesb] = ACTIONS(5352),
  },
  [468] = {
    [ts_builtin_sym_end] = ACTIONS(5444),
    [aux_sym_text_token1] = ACTIONS(5444),
    [anon_sym_BSLASHref] = ACTIONS(5446),
    [anon_sym_BSLASHsts] = ACTIONS(5446),
    [anon_sym_BSLASHrem] = ACTIONS(5446),
    [anon_sym_BSLASHrestore] = ACTIONS(5446),
    [anon_sym_BSLASHlit] = ACTIONS(5446),
    [anon_sym_BSLASHip] = ACTIONS(5446),
    [anon_sym_BSLASHiex] = ACTIONS(5446),
    [anon_sym_BSLASHv] = ACTIONS(5446),
    [anon_sym_BSLASHva] = ACTIONS(5446),
    [anon_sym_BSLASHvp] = ACTIONS(5446),
    [anon_sym_BSLASHc] = ACTIONS(5446),
    [anon_sym_BSLASHcl] = ACTIONS(5446),
    [anon_sym_BSLASHca] = ACTIONS(5446),
    [anon_sym_BSLASHcp] = ACTIONS(5446),
    [anon_sym_BSLASHcd] = ACTIONS(5446),
    [anon_sym_BSLASHmte] = ACTIONS(5446),
    [anon_sym_BSLASHms] = ACTIONS(5446),
    [anon_sym_BSLASHs] = ACTIONS(5446),
    [anon_sym_BSLASHr] = ACTIONS(5446),
    [anon_sym_BSLASHsp] = ACTIONS(5446),
    [anon_sym_BSLASHd] = ACTIONS(5446),
    [anon_sym_BSLASHsd] = ACTIONS(5446),
    [anon_sym_BSLASHp] = ACTIONS(5446),
    [anon_sym_BSLASHm] = ACTIONS(5446),
    [anon_sym_BSLASHpo] = ACTIONS(5446),
    [anon_sym_BSLASHpr] = ACTIONS(5446),
    [anon_sym_BSLASHcls] = ACTIONS(5446),
    [anon_sym_BSLASHpmo] = ACTIONS(5446),
    [anon_sym_BSLASHpm] = ACTIONS(5446),
    [anon_sym_BSLASHpmc] = ACTIONS(5446),
    [anon_sym_BSLASHpmr] = ACTIONS(5446),
    [anon_sym_BSLASHpi] = ACTIONS(5446),
    [anon_sym_BSLASHmi] = ACTIONS(5446),
    [anon_sym_BSLASHnb] = ACTIONS(5446),
    [anon_sym_BSLASHpc] = ACTIONS(5446),
    [anon_sym_BSLASHph] = ACTIONS(5446),
    [anon_sym_BSLASHb] = ACTIONS(5446),
    [anon_sym_BSLASHq] = ACTIONS(5446),
    [anon_sym_BSLASHqr] = ACTIONS(5446),
    [anon_sym_BSLASHqc] = ACTIONS(5446),
    [anon_sym_BSLASHqs] = ACTIONS(5446),
    [anon_sym_BSLASHqa] = ACTIONS(5446),
    [anon_sym_BSLASHqac] = ACTIONS(5446),
    [anon_sym_BSLASHqm] = ACTIONS(5446),
    [anon_sym_BSLASHqd] = ACTIONS(5446),
    [anon_sym_BSLASHlh] = ACTIONS(5446),
    [anon_sym_BSLASHli] = ACTIONS(5446),
    [anon_sym_BSLASHlim] = ACTIONS(5446),
    [anon_sym_BSLASHtr] = ACTIONS(5446),
    [anon_sym_BSLASHf] = ACTIONS(5446),
    [anon_sym_BSLASHfe] = ACTIONS(5446),
    [anon_sym_BSLASHef] = ACTIONS(5446),
    [anon_sym_BSLASHfm] = ACTIONS(5446),
    [anon_sym_BSLASHx] = ACTIONS(5446),
    [anon_sym_BSLASHxt] = ACTIONS(5446),
    [anon_sym_BSLASHrq] = ACTIONS(5446),
    [anon_sym_BSLASHadd] = ACTIONS(5446),
    [anon_sym_BSLASHbk] = ACTIONS(5446),
    [anon_sym_BSLASHdc] = ACTIONS(5446),
    [anon_sym_BSLASHk] = ACTIONS(5446),
    [anon_sym_BSLASHnd] = ACTIONS(5446),
    [anon_sym_BSLASHord] = ACTIONS(5446),
    [anon_sym_BSLASHpn] = ACTIONS(5446),
    [anon_sym_BSLASHpng] = ACTIONS(5446),
    [anon_sym_BSLASHaddpn] = ACTIONS(5446),
    [anon_sym_BSLASHqt] = ACTIONS(5446),
    [anon_sym_BSLASHsig] = ACTIONS(5446),
    [anon_sym_BSLASHsls] = ACTIONS(5446),
    [anon_sym_BSLASHtl] = ACTIONS(5446),
    [anon_sym_BSLASHwj] = ACTIONS(5446),
    [anon_sym_BSLASHem] = ACTIONS(5446),
    [anon_sym_BSLASHbd] = ACTIONS(5446),
    [anon_sym_BSLASHit] = ACTIONS(5446),
    [anon_sym_BSLASHbdit] = ACTIONS(5446),
    [anon_sym_BSLASHno] = ACTIONS(5446),
    [anon_sym_BSLASHsc] = ACTIONS(5446),
    [anon_sym_BSLASHsup] = ACTIONS(5446),
    [anon_sym_BSLASHndx] = ACTIONS(5446),
    [anon_sym_BSLASHpro] = ACTIONS(5446),
    [anon_sym_BSLASHrb] = ACTIONS(5446),
    [anon_sym_BSLASHw] = ACTIONS(5446),
    [anon_sym_BSLASHwg] = ACTIONS(5446),
    [anon_sym_BSLASHwh] = ACTIONS(5446),
    [anon_sym_BSLASHwa] = ACTIONS(5446),
    [anon_sym_BSLASHfig] = ACTIONS(5446),
    [anon_sym_BSLASHjmp] = ACTIONS(5446),
    [anon_sym_BSLASHpb] = ACTIONS(5446),
    [anon_sym_BSLASH] = ACTIONS(5446),
    [sym_milestoneStartTag] = ACTIONS(5446),
    [sym_milestoneEndTag] = ACTIONS(5446),
    [sym_zSpaceTag] = ACTIONS(5446),
    [anon_sym_BSLASHesb] = ACTIONS(5446),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(5448),
    [aux_sym_text_token1] = ACTIONS(5448),
    [anon_sym_BSLASHref] = ACTIONS(5450),
    [anon_sym_BSLASHsts] = ACTIONS(5450),
    [anon_sym_BSLASHrem] = ACTIONS(5450),
    [anon_sym_BSLASHrestore] = ACTIONS(5450),
    [anon_sym_BSLASHlit] = ACTIONS(5450),
    [anon_sym_BSLASHip] = ACTIONS(5450),
    [anon_sym_BSLASHiex] = ACTIONS(5450),
    [anon_sym_BSLASHv] = ACTIONS(5450),
    [anon_sym_BSLASHva] = ACTIONS(5450),
    [anon_sym_BSLASHvp] = ACTIONS(5450),
    [anon_sym_BSLASHc] = ACTIONS(5450),
    [anon_sym_BSLASHcl] = ACTIONS(5450),
    [anon_sym_BSLASHca] = ACTIONS(5450),
    [anon_sym_BSLASHcp] = ACTIONS(5450),
    [anon_sym_BSLASHcd] = ACTIONS(5450),
    [anon_sym_BSLASHmte] = ACTIONS(5450),
    [anon_sym_BSLASHms] = ACTIONS(5450),
    [anon_sym_BSLASHs] = ACTIONS(5450),
    [anon_sym_BSLASHr] = ACTIONS(5450),
    [anon_sym_BSLASHsp] = ACTIONS(5450),
    [anon_sym_BSLASHd] = ACTIONS(5450),
    [anon_sym_BSLASHsd] = ACTIONS(5450),
    [anon_sym_BSLASHp] = ACTIONS(5450),
    [anon_sym_BSLASHm] = ACTIONS(5450),
    [anon_sym_BSLASHpo] = ACTIONS(5450),
    [anon_sym_BSLASHpr] = ACTIONS(5450),
    [anon_sym_BSLASHcls] = ACTIONS(5450),
    [anon_sym_BSLASHpmo] = ACTIONS(5450),
    [anon_sym_BSLASHpm] = ACTIONS(5450),
    [anon_sym_BSLASHpmc] = ACTIONS(5450),
    [anon_sym_BSLASHpmr] = ACTIONS(5450),
    [anon_sym_BSLASHpi] = ACTIONS(5450),
    [anon_sym_BSLASHmi] = ACTIONS(5450),
    [anon_sym_BSLASHnb] = ACTIONS(5450),
    [anon_sym_BSLASHpc] = ACTIONS(5450),
    [anon_sym_BSLASHph] = ACTIONS(5450),
    [anon_sym_BSLASHb] = ACTIONS(5450),
    [anon_sym_BSLASHq] = ACTIONS(5450),
    [anon_sym_BSLASHqr] = ACTIONS(5450),
    [anon_sym_BSLASHqc] = ACTIONS(5450),
    [anon_sym_BSLASHqs] = ACTIONS(5450),
    [anon_sym_BSLASHqa] = ACTIONS(5450),
    [anon_sym_BSLASHqac] = ACTIONS(5450),
    [anon_sym_BSLASHqm] = ACTIONS(5450),
    [anon_sym_BSLASHqd] = ACTIONS(5450),
    [anon_sym_BSLASHlh] = ACTIONS(5450),
    [anon_sym_BSLASHli] = ACTIONS(5450),
    [anon_sym_BSLASHlim] = ACTIONS(5450),
    [anon_sym_BSLASHtr] = ACTIONS(5450),
    [anon_sym_BSLASHf] = ACTIONS(5450),
    [anon_sym_BSLASHfe] = ACTIONS(5450),
    [anon_sym_BSLASHef] = ACTIONS(5450),
    [anon_sym_BSLASHfm] = ACTIONS(5450),
    [anon_sym_BSLASHx] = ACTIONS(5450),
    [anon_sym_BSLASHxt] = ACTIONS(5450),
    [anon_sym_BSLASHrq] = ACTIONS(5450),
    [anon_sym_BSLASHadd] = ACTIONS(5450),
    [anon_sym_BSLASHbk] = ACTIONS(5450),
    [anon_sym_BSLASHdc] = ACTIONS(5450),
    [anon_sym_BSLASHk] = ACTIONS(5450),
    [anon_sym_BSLASHnd] = ACTIONS(5450),
    [anon_sym_BSLASHord] = ACTIONS(5450),
    [anon_sym_BSLASHpn] = ACTIONS(5450),
    [anon_sym_BSLASHpng] = ACTIONS(5450),
    [anon_sym_BSLASHaddpn] = ACTIONS(5450),
    [anon_sym_BSLASHqt] = ACTIONS(5450),
    [anon_sym_BSLASHsig] = ACTIONS(5450),
    [anon_sym_BSLASHsls] = ACTIONS(5450),
    [anon_sym_BSLASHtl] = ACTIONS(5450),
    [anon_sym_BSLASHwj] = ACTIONS(5450),
    [anon_sym_BSLASHem] = ACTIONS(5450),
    [anon_sym_BSLASHbd] = ACTIONS(5450),
    [anon_sym_BSLASHit] = ACTIONS(5450),
    [anon_sym_BSLASHbdit] = ACTIONS(5450),
    [anon_sym_BSLASHno] = ACTIONS(5450),
    [anon_sym_BSLASHsc] = ACTIONS(5450),
    [anon_sym_BSLASHsup] = ACTIONS(5450),
    [anon_sym_BSLASHndx] = ACTIONS(5450),
    [anon_sym_BSLASHpro] = ACTIONS(5450),
    [anon_sym_BSLASHrb] = ACTIONS(5450),
    [anon_sym_BSLASHw] = ACTIONS(5450),
    [anon_sym_BSLASHwg] = ACTIONS(5450),
    [anon_sym_BSLASHwh] = ACTIONS(5450),
    [anon_sym_BSLASHwa] = ACTIONS(5450),
    [anon_sym_BSLASHfig] = ACTIONS(5450),
    [anon_sym_BSLASHjmp] = ACTIONS(5450),
    [anon_sym_BSLASHpb] = ACTIONS(5450),
    [anon_sym_BSLASH] = ACTIONS(5450),
    [sym_milestoneStartTag] = ACTIONS(5450),
    [sym_milestoneEndTag] = ACTIONS(5450),
    [sym_zSpaceTag] = ACTIONS(5450),
    [anon_sym_BSLASHesb] = ACTIONS(5450),
  },
  [470] = {
    [ts_builtin_sym_end] = ACTIONS(5362),
    [aux_sym_text_token1] = ACTIONS(5362),
    [anon_sym_BSLASHref] = ACTIONS(5364),
    [anon_sym_BSLASHsts] = ACTIONS(5364),
    [anon_sym_BSLASHrem] = ACTIONS(5364),
    [anon_sym_BSLASHrestore] = ACTIONS(5364),
    [anon_sym_BSLASHlit] = ACTIONS(5364),
    [anon_sym_BSLASHip] = ACTIONS(5364),
    [anon_sym_BSLASHiex] = ACTIONS(5364),
    [anon_sym_BSLASHv] = ACTIONS(5364),
    [anon_sym_BSLASHva] = ACTIONS(5364),
    [anon_sym_BSLASHvp] = ACTIONS(5364),
    [anon_sym_BSLASHc] = ACTIONS(5364),
    [anon_sym_BSLASHcl] = ACTIONS(5364),
    [anon_sym_BSLASHca] = ACTIONS(5364),
    [anon_sym_BSLASHcp] = ACTIONS(5364),
    [anon_sym_BSLASHcd] = ACTIONS(5364),
    [anon_sym_BSLASHmte] = ACTIONS(5364),
    [anon_sym_BSLASHms] = ACTIONS(5364),
    [anon_sym_BSLASHs] = ACTIONS(5364),
    [anon_sym_BSLASHr] = ACTIONS(5364),
    [anon_sym_BSLASHsp] = ACTIONS(5364),
    [anon_sym_BSLASHd] = ACTIONS(5364),
    [anon_sym_BSLASHsd] = ACTIONS(5364),
    [anon_sym_BSLASHp] = ACTIONS(5364),
    [anon_sym_BSLASHm] = ACTIONS(5364),
    [anon_sym_BSLASHpo] = ACTIONS(5364),
    [anon_sym_BSLASHpr] = ACTIONS(5364),
    [anon_sym_BSLASHcls] = ACTIONS(5364),
    [anon_sym_BSLASHpmo] = ACTIONS(5364),
    [anon_sym_BSLASHpm] = ACTIONS(5364),
    [anon_sym_BSLASHpmc] = ACTIONS(5364),
    [anon_sym_BSLASHpmr] = ACTIONS(5364),
    [anon_sym_BSLASHpi] = ACTIONS(5364),
    [anon_sym_BSLASHmi] = ACTIONS(5364),
    [anon_sym_BSLASHnb] = ACTIONS(5364),
    [anon_sym_BSLASHpc] = ACTIONS(5364),
    [anon_sym_BSLASHph] = ACTIONS(5364),
    [anon_sym_BSLASHb] = ACTIONS(5364),
    [anon_sym_BSLASHq] = ACTIONS(5364),
    [anon_sym_BSLASHqr] = ACTIONS(5364),
    [anon_sym_BSLASHqc] = ACTIONS(5364),
    [anon_sym_BSLASHqs] = ACTIONS(5364),
    [anon_sym_BSLASHqa] = ACTIONS(5364),
    [anon_sym_BSLASHqac] = ACTIONS(5364),
    [anon_sym_BSLASHqm] = ACTIONS(5364),
    [anon_sym_BSLASHqd] = ACTIONS(5364),
    [anon_sym_BSLASHlh] = ACTIONS(5364),
    [anon_sym_BSLASHli] = ACTIONS(5364),
    [anon_sym_BSLASHlim] = ACTIONS(5364),
    [anon_sym_BSLASHtr] = ACTIONS(5364),
    [anon_sym_BSLASHf] = ACTIONS(5364),
    [anon_sym_BSLASHfe] = ACTIONS(5364),
    [anon_sym_BSLASHef] = ACTIONS(5364),
    [anon_sym_BSLASHfm] = ACTIONS(5364),
    [anon_sym_BSLASHx] = ACTIONS(5364),
    [anon_sym_BSLASHxt] = ACTIONS(5364),
    [anon_sym_BSLASHrq] = ACTIONS(5364),
    [anon_sym_BSLASHadd] = ACTIONS(5364),
    [anon_sym_BSLASHbk] = ACTIONS(5364),
    [anon_sym_BSLASHdc] = ACTIONS(5364),
    [anon_sym_BSLASHk] = ACTIONS(5364),
    [anon_sym_BSLASHnd] = ACTIONS(5364),
    [anon_sym_BSLASHord] = ACTIONS(5364),
    [anon_sym_BSLASHpn] = ACTIONS(5364),
    [anon_sym_BSLASHpng] = ACTIONS(5364),
    [anon_sym_BSLASHaddpn] = ACTIONS(5364),
    [anon_sym_BSLASHqt] = ACTIONS(5364),
    [anon_sym_BSLASHsig] = ACTIONS(5364),
    [anon_sym_BSLASHsls] = ACTIONS(5364),
    [anon_sym_BSLASHtl] = ACTIONS(5364),
    [anon_sym_BSLASHwj] = ACTIONS(5364),
    [anon_sym_BSLASHem] = ACTIONS(5364),
    [anon_sym_BSLASHbd] = ACTIONS(5364),
    [anon_sym_BSLASHit] = ACTIONS(5364),
    [anon_sym_BSLASHbdit] = ACTIONS(5364),
    [anon_sym_BSLASHno] = ACTIONS(5364),
    [anon_sym_BSLASHsc] = ACTIONS(5364),
    [anon_sym_BSLASHsup] = ACTIONS(5364),
    [anon_sym_BSLASHndx] = ACTIONS(5364),
    [anon_sym_BSLASHpro] = ACTIONS(5364),
    [anon_sym_BSLASHrb] = ACTIONS(5364),
    [anon_sym_BSLASHw] = ACTIONS(5364),
    [anon_sym_BSLASHwg] = ACTIONS(5364),
    [anon_sym_BSLASHwh] = ACTIONS(5364),
    [anon_sym_BSLASHwa] = ACTIONS(5364),
    [anon_sym_BSLASHfig] = ACTIONS(5364),
    [anon_sym_BSLASHjmp] = ACTIONS(5364),
    [anon_sym_BSLASHpb] = ACTIONS(5364),
    [anon_sym_BSLASH] = ACTIONS(5364),
    [sym_milestoneStartTag] = ACTIONS(5364),
    [sym_milestoneEndTag] = ACTIONS(5364),
    [sym_zSpaceTag] = ACTIONS(5364),
    [anon_sym_BSLASHesb] = ACTIONS(5364),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(5452),
    [aux_sym_text_token1] = ACTIONS(5452),
    [anon_sym_BSLASHref] = ACTIONS(5454),
    [anon_sym_BSLASHsts] = ACTIONS(5454),
    [anon_sym_BSLASHrem] = ACTIONS(5454),
    [anon_sym_BSLASHrestore] = ACTIONS(5454),
    [anon_sym_BSLASHlit] = ACTIONS(5454),
    [anon_sym_BSLASHip] = ACTIONS(5454),
    [anon_sym_BSLASHiex] = ACTIONS(5454),
    [anon_sym_BSLASHv] = ACTIONS(5454),
    [anon_sym_BSLASHva] = ACTIONS(5454),
    [anon_sym_BSLASHvp] = ACTIONS(5454),
    [anon_sym_BSLASHc] = ACTIONS(5454),
    [anon_sym_BSLASHcl] = ACTIONS(5454),
    [anon_sym_BSLASHca] = ACTIONS(5454),
    [anon_sym_BSLASHcp] = ACTIONS(5454),
    [anon_sym_BSLASHcd] = ACTIONS(5454),
    [anon_sym_BSLASHmte] = ACTIONS(5454),
    [anon_sym_BSLASHms] = ACTIONS(5454),
    [anon_sym_BSLASHs] = ACTIONS(5454),
    [anon_sym_BSLASHr] = ACTIONS(5454),
    [anon_sym_BSLASHsp] = ACTIONS(5454),
    [anon_sym_BSLASHd] = ACTIONS(5454),
    [anon_sym_BSLASHsd] = ACTIONS(5454),
    [anon_sym_BSLASHp] = ACTIONS(5454),
    [anon_sym_BSLASHm] = ACTIONS(5454),
    [anon_sym_BSLASHpo] = ACTIONS(5454),
    [anon_sym_BSLASHpr] = ACTIONS(5454),
    [anon_sym_BSLASHcls] = ACTIONS(5454),
    [anon_sym_BSLASHpmo] = ACTIONS(5454),
    [anon_sym_BSLASHpm] = ACTIONS(5454),
    [anon_sym_BSLASHpmc] = ACTIONS(5454),
    [anon_sym_BSLASHpmr] = ACTIONS(5454),
    [anon_sym_BSLASHpi] = ACTIONS(5454),
    [anon_sym_BSLASHmi] = ACTIONS(5454),
    [anon_sym_BSLASHnb] = ACTIONS(5454),
    [anon_sym_BSLASHpc] = ACTIONS(5454),
    [anon_sym_BSLASHph] = ACTIONS(5454),
    [anon_sym_BSLASHb] = ACTIONS(5454),
    [anon_sym_BSLASHq] = ACTIONS(5454),
    [anon_sym_BSLASHqr] = ACTIONS(5454),
    [anon_sym_BSLASHqc] = ACTIONS(5454),
    [anon_sym_BSLASHqs] = ACTIONS(5454),
    [anon_sym_BSLASHqa] = ACTIONS(5454),
    [anon_sym_BSLASHqac] = ACTIONS(5454),
    [anon_sym_BSLASHqm] = ACTIONS(5454),
    [anon_sym_BSLASHqd] = ACTIONS(5454),
    [anon_sym_BSLASHlh] = ACTIONS(5454),
    [anon_sym_BSLASHli] = ACTIONS(5454),
    [anon_sym_BSLASHlim] = ACTIONS(5454),
    [anon_sym_BSLASHtr] = ACTIONS(5454),
    [anon_sym_BSLASHf] = ACTIONS(5454),
    [anon_sym_BSLASHfe] = ACTIONS(5454),
    [anon_sym_BSLASHef] = ACTIONS(5454),
    [anon_sym_BSLASHfm] = ACTIONS(5454),
    [anon_sym_BSLASHx] = ACTIONS(5454),
    [anon_sym_BSLASHxt] = ACTIONS(5454),
    [anon_sym_BSLASHrq] = ACTIONS(5454),
    [anon_sym_BSLASHadd] = ACTIONS(5454),
    [anon_sym_BSLASHbk] = ACTIONS(5454),
    [anon_sym_BSLASHdc] = ACTIONS(5454),
    [anon_sym_BSLASHk] = ACTIONS(5454),
    [anon_sym_BSLASHnd] = ACTIONS(5454),
    [anon_sym_BSLASHord] = ACTIONS(5454),
    [anon_sym_BSLASHpn] = ACTIONS(5454),
    [anon_sym_BSLASHpng] = ACTIONS(5454),
    [anon_sym_BSLASHaddpn] = ACTIONS(5454),
    [anon_sym_BSLASHqt] = ACTIONS(5454),
    [anon_sym_BSLASHsig] = ACTIONS(5454),
    [anon_sym_BSLASHsls] = ACTIONS(5454),
    [anon_sym_BSLASHtl] = ACTIONS(5454),
    [anon_sym_BSLASHwj] = ACTIONS(5454),
    [anon_sym_BSLASHem] = ACTIONS(5454),
    [anon_sym_BSLASHbd] = ACTIONS(5454),
    [anon_sym_BSLASHit] = ACTIONS(5454),
    [anon_sym_BSLASHbdit] = ACTIONS(5454),
    [anon_sym_BSLASHno] = ACTIONS(5454),
    [anon_sym_BSLASHsc] = ACTIONS(5454),
    [anon_sym_BSLASHsup] = ACTIONS(5454),
    [anon_sym_BSLASHndx] = ACTIONS(5454),
    [anon_sym_BSLASHpro] = ACTIONS(5454),
    [anon_sym_BSLASHrb] = ACTIONS(5454),
    [anon_sym_BSLASHw] = ACTIONS(5454),
    [anon_sym_BSLASHwg] = ACTIONS(5454),
    [anon_sym_BSLASHwh] = ACTIONS(5454),
    [anon_sym_BSLASHwa] = ACTIONS(5454),
    [anon_sym_BSLASHfig] = ACTIONS(5454),
    [anon_sym_BSLASHjmp] = ACTIONS(5454),
    [anon_sym_BSLASHpb] = ACTIONS(5454),
    [anon_sym_BSLASH] = ACTIONS(5454),
    [sym_milestoneStartTag] = ACTIONS(5454),
    [sym_milestoneEndTag] = ACTIONS(5454),
    [sym_zSpaceTag] = ACTIONS(5454),
    [anon_sym_BSLASHesb] = ACTIONS(5454),
  },
  [472] = {
    [ts_builtin_sym_end] = ACTIONS(5386),
    [aux_sym_text_token1] = ACTIONS(5386),
    [anon_sym_BSLASHref] = ACTIONS(5388),
    [anon_sym_BSLASHsts] = ACTIONS(5388),
    [anon_sym_BSLASHrem] = ACTIONS(5388),
    [anon_sym_BSLASHrestore] = ACTIONS(5388),
    [anon_sym_BSLASHlit] = ACTIONS(5388),
    [anon_sym_BSLASHip] = ACTIONS(5388),
    [anon_sym_BSLASHiex] = ACTIONS(5388),
    [anon_sym_BSLASHv] = ACTIONS(5388),
    [anon_sym_BSLASHva] = ACTIONS(5388),
    [anon_sym_BSLASHvp] = ACTIONS(5388),
    [anon_sym_BSLASHc] = ACTIONS(5388),
    [anon_sym_BSLASHcl] = ACTIONS(5388),
    [anon_sym_BSLASHca] = ACTIONS(5388),
    [anon_sym_BSLASHcp] = ACTIONS(5388),
    [anon_sym_BSLASHcd] = ACTIONS(5388),
    [anon_sym_BSLASHmte] = ACTIONS(5388),
    [anon_sym_BSLASHms] = ACTIONS(5388),
    [anon_sym_BSLASHs] = ACTIONS(5388),
    [anon_sym_BSLASHr] = ACTIONS(5388),
    [anon_sym_BSLASHsp] = ACTIONS(5388),
    [anon_sym_BSLASHd] = ACTIONS(5388),
    [anon_sym_BSLASHsd] = ACTIONS(5388),
    [anon_sym_BSLASHp] = ACTIONS(5388),
    [anon_sym_BSLASHm] = ACTIONS(5388),
    [anon_sym_BSLASHpo] = ACTIONS(5388),
    [anon_sym_BSLASHpr] = ACTIONS(5388),
    [anon_sym_BSLASHcls] = ACTIONS(5388),
    [anon_sym_BSLASHpmo] = ACTIONS(5388),
    [anon_sym_BSLASHpm] = ACTIONS(5388),
    [anon_sym_BSLASHpmc] = ACTIONS(5388),
    [anon_sym_BSLASHpmr] = ACTIONS(5388),
    [anon_sym_BSLASHpi] = ACTIONS(5388),
    [anon_sym_BSLASHmi] = ACTIONS(5388),
    [anon_sym_BSLASHnb] = ACTIONS(5388),
    [anon_sym_BSLASHpc] = ACTIONS(5388),
    [anon_sym_BSLASHph] = ACTIONS(5388),
    [anon_sym_BSLASHb] = ACTIONS(5388),
    [anon_sym_BSLASHq] = ACTIONS(5388),
    [anon_sym_BSLASHqr] = ACTIONS(5388),
    [anon_sym_BSLASHqc] = ACTIONS(5388),
    [anon_sym_BSLASHqs] = ACTIONS(5388),
    [anon_sym_BSLASHqa] = ACTIONS(5388),
    [anon_sym_BSLASHqac] = ACTIONS(5388),
    [anon_sym_BSLASHqm] = ACTIONS(5388),
    [anon_sym_BSLASHqd] = ACTIONS(5388),
    [anon_sym_BSLASHlh] = ACTIONS(5388),
    [anon_sym_BSLASHli] = ACTIONS(5388),
    [anon_sym_BSLASHlim] = ACTIONS(5388),
    [anon_sym_BSLASHtr] = ACTIONS(5388),
    [anon_sym_BSLASHf] = ACTIONS(5388),
    [anon_sym_BSLASHfe] = ACTIONS(5388),
    [anon_sym_BSLASHef] = ACTIONS(5388),
    [anon_sym_BSLASHfm] = ACTIONS(5388),
    [anon_sym_BSLASHx] = ACTIONS(5388),
    [anon_sym_BSLASHxt] = ACTIONS(5388),
    [anon_sym_BSLASHrq] = ACTIONS(5388),
    [anon_sym_BSLASHadd] = ACTIONS(5388),
    [anon_sym_BSLASHbk] = ACTIONS(5388),
    [anon_sym_BSLASHdc] = ACTIONS(5388),
    [anon_sym_BSLASHk] = ACTIONS(5388),
    [anon_sym_BSLASHnd] = ACTIONS(5388),
    [anon_sym_BSLASHord] = ACTIONS(5388),
    [anon_sym_BSLASHpn] = ACTIONS(5388),
    [anon_sym_BSLASHpng] = ACTIONS(5388),
    [anon_sym_BSLASHaddpn] = ACTIONS(5388),
    [anon_sym_BSLASHqt] = ACTIONS(5388),
    [anon_sym_BSLASHsig] = ACTIONS(5388),
    [anon_sym_BSLASHsls] = ACTIONS(5388),
    [anon_sym_BSLASHtl] = ACTIONS(5388),
    [anon_sym_BSLASHwj] = ACTIONS(5388),
    [anon_sym_BSLASHem] = ACTIONS(5388),
    [anon_sym_BSLASHbd] = ACTIONS(5388),
    [anon_sym_BSLASHit] = ACTIONS(5388),
    [anon_sym_BSLASHbdit] = ACTIONS(5388),
    [anon_sym_BSLASHno] = ACTIONS(5388),
    [anon_sym_BSLASHsc] = ACTIONS(5388),
    [anon_sym_BSLASHsup] = ACTIONS(5388),
    [anon_sym_BSLASHndx] = ACTIONS(5388),
    [anon_sym_BSLASHpro] = ACTIONS(5388),
    [anon_sym_BSLASHrb] = ACTIONS(5388),
    [anon_sym_BSLASHw] = ACTIONS(5388),
    [anon_sym_BSLASHwg] = ACTIONS(5388),
    [anon_sym_BSLASHwh] = ACTIONS(5388),
    [anon_sym_BSLASHwa] = ACTIONS(5388),
    [anon_sym_BSLASHfig] = ACTIONS(5388),
    [anon_sym_BSLASHjmp] = ACTIONS(5388),
    [anon_sym_BSLASHpb] = ACTIONS(5388),
    [anon_sym_BSLASH] = ACTIONS(5388),
    [sym_milestoneStartTag] = ACTIONS(5388),
    [sym_milestoneEndTag] = ACTIONS(5388),
    [sym_zSpaceTag] = ACTIONS(5388),
    [anon_sym_BSLASHesb] = ACTIONS(5388),
  },
  [473] = {
    [ts_builtin_sym_end] = ACTIONS(5346),
    [aux_sym_text_token1] = ACTIONS(5346),
    [anon_sym_BSLASHref] = ACTIONS(5348),
    [anon_sym_BSLASHsts] = ACTIONS(5348),
    [anon_sym_BSLASHrem] = ACTIONS(5348),
    [anon_sym_BSLASHrestore] = ACTIONS(5348),
    [anon_sym_BSLASHlit] = ACTIONS(5348),
    [anon_sym_BSLASHip] = ACTIONS(5348),
    [anon_sym_BSLASHiex] = ACTIONS(5348),
    [anon_sym_BSLASHv] = ACTIONS(5348),
    [anon_sym_BSLASHva] = ACTIONS(5348),
    [anon_sym_BSLASHvp] = ACTIONS(5348),
    [anon_sym_BSLASHc] = ACTIONS(5348),
    [anon_sym_BSLASHcl] = ACTIONS(5348),
    [anon_sym_BSLASHca] = ACTIONS(5348),
    [anon_sym_BSLASHcp] = ACTIONS(5348),
    [anon_sym_BSLASHcd] = ACTIONS(5348),
    [anon_sym_BSLASHmte] = ACTIONS(5348),
    [anon_sym_BSLASHms] = ACTIONS(5348),
    [anon_sym_BSLASHs] = ACTIONS(5348),
    [anon_sym_BSLASHr] = ACTIONS(5348),
    [anon_sym_BSLASHsp] = ACTIONS(5348),
    [anon_sym_BSLASHd] = ACTIONS(5348),
    [anon_sym_BSLASHsd] = ACTIONS(5348),
    [anon_sym_BSLASHp] = ACTIONS(5348),
    [anon_sym_BSLASHm] = ACTIONS(5348),
    [anon_sym_BSLASHpo] = ACTIONS(5348),
    [anon_sym_BSLASHpr] = ACTIONS(5348),
    [anon_sym_BSLASHcls] = ACTIONS(5348),
    [anon_sym_BSLASHpmo] = ACTIONS(5348),
    [anon_sym_BSLASHpm] = ACTIONS(5348),
    [anon_sym_BSLASHpmc] = ACTIONS(5348),
    [anon_sym_BSLASHpmr] = ACTIONS(5348),
    [anon_sym_BSLASHpi] = ACTIONS(5348),
    [anon_sym_BSLASHmi] = ACTIONS(5348),
    [anon_sym_BSLASHnb] = ACTIONS(5348),
    [anon_sym_BSLASHpc] = ACTIONS(5348),
    [anon_sym_BSLASHph] = ACTIONS(5348),
    [anon_sym_BSLASHb] = ACTIONS(5348),
    [anon_sym_BSLASHq] = ACTIONS(5348),
    [anon_sym_BSLASHqr] = ACTIONS(5348),
    [anon_sym_BSLASHqc] = ACTIONS(5348),
    [anon_sym_BSLASHqs] = ACTIONS(5348),
    [anon_sym_BSLASHqa] = ACTIONS(5348),
    [anon_sym_BSLASHqac] = ACTIONS(5348),
    [anon_sym_BSLASHqm] = ACTIONS(5348),
    [anon_sym_BSLASHqd] = ACTIONS(5348),
    [anon_sym_BSLASHlh] = ACTIONS(5348),
    [anon_sym_BSLASHli] = ACTIONS(5348),
    [anon_sym_BSLASHlim] = ACTIONS(5348),
    [anon_sym_BSLASHtr] = ACTIONS(5348),
    [anon_sym_BSLASHf] = ACTIONS(5348),
    [anon_sym_BSLASHfe] = ACTIONS(5348),
    [anon_sym_BSLASHef] = ACTIONS(5348),
    [anon_sym_BSLASHfm] = ACTIONS(5348),
    [anon_sym_BSLASHx] = ACTIONS(5348),
    [anon_sym_BSLASHxt] = ACTIONS(5348),
    [anon_sym_BSLASHrq] = ACTIONS(5348),
    [anon_sym_BSLASHadd] = ACTIONS(5348),
    [anon_sym_BSLASHbk] = ACTIONS(5348),
    [anon_sym_BSLASHdc] = ACTIONS(5348),
    [anon_sym_BSLASHk] = ACTIONS(5348),
    [anon_sym_BSLASHnd] = ACTIONS(5348),
    [anon_sym_BSLASHord] = ACTIONS(5348),
    [anon_sym_BSLASHpn] = ACTIONS(5348),
    [anon_sym_BSLASHpng] = ACTIONS(5348),
    [anon_sym_BSLASHaddpn] = ACTIONS(5348),
    [anon_sym_BSLASHqt] = ACTIONS(5348),
    [anon_sym_BSLASHsig] = ACTIONS(5348),
    [anon_sym_BSLASHsls] = ACTIONS(5348),
    [anon_sym_BSLASHtl] = ACTIONS(5348),
    [anon_sym_BSLASHwj] = ACTIONS(5348),
    [anon_sym_BSLASHem] = ACTIONS(5348),
    [anon_sym_BSLASHbd] = ACTIONS(5348),
    [anon_sym_BSLASHit] = ACTIONS(5348),
    [anon_sym_BSLASHbdit] = ACTIONS(5348),
    [anon_sym_BSLASHno] = ACTIONS(5348),
    [anon_sym_BSLASHsc] = ACTIONS(5348),
    [anon_sym_BSLASHsup] = ACTIONS(5348),
    [anon_sym_BSLASHndx] = ACTIONS(5348),
    [anon_sym_BSLASHpro] = ACTIONS(5348),
    [anon_sym_BSLASHrb] = ACTIONS(5348),
    [anon_sym_BSLASHw] = ACTIONS(5348),
    [anon_sym_BSLASHwg] = ACTIONS(5348),
    [anon_sym_BSLASHwh] = ACTIONS(5348),
    [anon_sym_BSLASHwa] = ACTIONS(5348),
    [anon_sym_BSLASHfig] = ACTIONS(5348),
    [anon_sym_BSLASHjmp] = ACTIONS(5348),
    [anon_sym_BSLASHpb] = ACTIONS(5348),
    [anon_sym_BSLASH] = ACTIONS(5348),
    [sym_milestoneStartTag] = ACTIONS(5348),
    [sym_milestoneEndTag] = ACTIONS(5348),
    [sym_zSpaceTag] = ACTIONS(5348),
    [anon_sym_BSLASHesb] = ACTIONS(5348),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(2751),
    [aux_sym_text_token1] = ACTIONS(2751),
    [anon_sym_BSLASHref] = ACTIONS(2753),
    [anon_sym_BSLASHsts] = ACTIONS(2753),
    [anon_sym_BSLASHrem] = ACTIONS(2753),
    [anon_sym_BSLASHrestore] = ACTIONS(2753),
    [anon_sym_BSLASHlit] = ACTIONS(2753),
    [anon_sym_BSLASHip] = ACTIONS(2753),
    [anon_sym_BSLASHiex] = ACTIONS(2753),
    [anon_sym_BSLASHv] = ACTIONS(2753),
    [anon_sym_BSLASHva] = ACTIONS(2753),
    [anon_sym_BSLASHvp] = ACTIONS(2753),
    [anon_sym_BSLASHc] = ACTIONS(2753),
    [anon_sym_BSLASHcl] = ACTIONS(2753),
    [anon_sym_BSLASHca] = ACTIONS(2753),
    [anon_sym_BSLASHcp] = ACTIONS(2753),
    [anon_sym_BSLASHcd] = ACTIONS(2753),
    [anon_sym_BSLASHmte] = ACTIONS(2753),
    [anon_sym_BSLASHms] = ACTIONS(2753),
    [anon_sym_BSLASHs] = ACTIONS(2753),
    [anon_sym_BSLASHr] = ACTIONS(2753),
    [anon_sym_BSLASHsp] = ACTIONS(2753),
    [anon_sym_BSLASHd] = ACTIONS(2753),
    [anon_sym_BSLASHsd] = ACTIONS(2753),
    [anon_sym_BSLASHp] = ACTIONS(2753),
    [anon_sym_BSLASHm] = ACTIONS(2753),
    [anon_sym_BSLASHpo] = ACTIONS(2753),
    [anon_sym_BSLASHpr] = ACTIONS(2753),
    [anon_sym_BSLASHcls] = ACTIONS(2753),
    [anon_sym_BSLASHpmo] = ACTIONS(2753),
    [anon_sym_BSLASHpm] = ACTIONS(2753),
    [anon_sym_BSLASHpmc] = ACTIONS(2753),
    [anon_sym_BSLASHpmr] = ACTIONS(2753),
    [anon_sym_BSLASHpi] = ACTIONS(2753),
    [anon_sym_BSLASHmi] = ACTIONS(2753),
    [anon_sym_BSLASHnb] = ACTIONS(2753),
    [anon_sym_BSLASHpc] = ACTIONS(2753),
    [anon_sym_BSLASHph] = ACTIONS(2753),
    [anon_sym_BSLASHb] = ACTIONS(2753),
    [anon_sym_BSLASHq] = ACTIONS(2753),
    [anon_sym_BSLASHqr] = ACTIONS(2753),
    [anon_sym_BSLASHqc] = ACTIONS(2753),
    [anon_sym_BSLASHqs] = ACTIONS(2753),
    [anon_sym_BSLASHqa] = ACTIONS(2753),
    [anon_sym_BSLASHqac] = ACTIONS(2753),
    [anon_sym_BSLASHqm] = ACTIONS(2753),
    [anon_sym_BSLASHqd] = ACTIONS(2753),
    [anon_sym_BSLASHlh] = ACTIONS(2753),
    [anon_sym_BSLASHli] = ACTIONS(2753),
    [anon_sym_BSLASHlim] = ACTIONS(2753),
    [anon_sym_BSLASHtr] = ACTIONS(2753),
    [anon_sym_BSLASHf] = ACTIONS(2753),
    [anon_sym_BSLASHfe] = ACTIONS(2753),
    [anon_sym_BSLASHef] = ACTIONS(2753),
    [anon_sym_BSLASHfm] = ACTIONS(2753),
    [anon_sym_BSLASHx] = ACTIONS(2753),
    [anon_sym_BSLASHxt] = ACTIONS(2753),
    [anon_sym_BSLASHrq] = ACTIONS(2753),
    [anon_sym_BSLASHadd] = ACTIONS(2753),
    [anon_sym_BSLASHbk] = ACTIONS(2753),
    [anon_sym_BSLASHdc] = ACTIONS(2753),
    [anon_sym_BSLASHk] = ACTIONS(2753),
    [anon_sym_BSLASHnd] = ACTIONS(2753),
    [anon_sym_BSLASHord] = ACTIONS(2753),
    [anon_sym_BSLASHpn] = ACTIONS(2753),
    [anon_sym_BSLASHpng] = ACTIONS(2753),
    [anon_sym_BSLASHaddpn] = ACTIONS(2753),
    [anon_sym_BSLASHqt] = ACTIONS(2753),
    [anon_sym_BSLASHsig] = ACTIONS(2753),
    [anon_sym_BSLASHsls] = ACTIONS(2753),
    [anon_sym_BSLASHtl] = ACTIONS(2753),
    [anon_sym_BSLASHwj] = ACTIONS(2753),
    [anon_sym_BSLASHem] = ACTIONS(2753),
    [anon_sym_BSLASHbd] = ACTIONS(2753),
    [anon_sym_BSLASHit] = ACTIONS(2753),
    [anon_sym_BSLASHbdit] = ACTIONS(2753),
    [anon_sym_BSLASHno] = ACTIONS(2753),
    [anon_sym_BSLASHsc] = ACTIONS(2753),
    [anon_sym_BSLASHsup] = ACTIONS(2753),
    [anon_sym_BSLASHndx] = ACTIONS(2753),
    [anon_sym_BSLASHpro] = ACTIONS(2753),
    [anon_sym_BSLASHrb] = ACTIONS(2753),
    [anon_sym_BSLASHw] = ACTIONS(2753),
    [anon_sym_BSLASHwg] = ACTIONS(2753),
    [anon_sym_BSLASHwh] = ACTIONS(2753),
    [anon_sym_BSLASHwa] = ACTIONS(2753),
    [anon_sym_BSLASHfig] = ACTIONS(2753),
    [anon_sym_BSLASHjmp] = ACTIONS(2753),
    [anon_sym_BSLASHpb] = ACTIONS(2753),
    [anon_sym_BSLASH] = ACTIONS(2753),
    [sym_milestoneStartTag] = ACTIONS(2753),
    [sym_milestoneEndTag] = ACTIONS(2753),
    [sym_zSpaceTag] = ACTIONS(2753),
    [anon_sym_BSLASHesb] = ACTIONS(2753),
  },
  [475] = {
    [ts_builtin_sym_end] = ACTIONS(17),
    [aux_sym_text_token1] = ACTIONS(17),
    [anon_sym_BSLASHref] = ACTIONS(19),
    [anon_sym_BSLASHsts] = ACTIONS(19),
    [anon_sym_BSLASHrem] = ACTIONS(19),
    [anon_sym_BSLASHrestore] = ACTIONS(19),
    [anon_sym_BSLASHlit] = ACTIONS(19),
    [anon_sym_BSLASHip] = ACTIONS(19),
    [anon_sym_BSLASHiex] = ACTIONS(19),
    [anon_sym_BSLASHv] = ACTIONS(19),
    [anon_sym_BSLASHva] = ACTIONS(19),
    [anon_sym_BSLASHvp] = ACTIONS(19),
    [anon_sym_BSLASHc] = ACTIONS(19),
    [anon_sym_BSLASHcl] = ACTIONS(19),
    [anon_sym_BSLASHca] = ACTIONS(19),
    [anon_sym_BSLASHcp] = ACTIONS(19),
    [anon_sym_BSLASHcd] = ACTIONS(19),
    [anon_sym_BSLASHmte] = ACTIONS(19),
    [anon_sym_BSLASHms] = ACTIONS(19),
    [anon_sym_BSLASHs] = ACTIONS(19),
    [anon_sym_BSLASHr] = ACTIONS(19),
    [anon_sym_BSLASHsp] = ACTIONS(19),
    [anon_sym_BSLASHd] = ACTIONS(19),
    [anon_sym_BSLASHsd] = ACTIONS(19),
    [anon_sym_BSLASHp] = ACTIONS(19),
    [anon_sym_BSLASHm] = ACTIONS(19),
    [anon_sym_BSLASHpo] = ACTIONS(19),
    [anon_sym_BSLASHpr] = ACTIONS(19),
    [anon_sym_BSLASHcls] = ACTIONS(19),
    [anon_sym_BSLASHpmo] = ACTIONS(19),
    [anon_sym_BSLASHpm] = ACTIONS(19),
    [anon_sym_BSLASHpmc] = ACTIONS(19),
    [anon_sym_BSLASHpmr] = ACTIONS(19),
    [anon_sym_BSLASHpi] = ACTIONS(19),
    [anon_sym_BSLASHmi] = ACTIONS(19),
    [anon_sym_BSLASHnb] = ACTIONS(19),
    [anon_sym_BSLASHpc] = ACTIONS(19),
    [anon_sym_BSLASHph] = ACTIONS(19),
    [anon_sym_BSLASHb] = ACTIONS(19),
    [anon_sym_BSLASHq] = ACTIONS(19),
    [anon_sym_BSLASHqr] = ACTIONS(19),
    [anon_sym_BSLASHqc] = ACTIONS(19),
    [anon_sym_BSLASHqs] = ACTIONS(19),
    [anon_sym_BSLASHqa] = ACTIONS(19),
    [anon_sym_BSLASHqac] = ACTIONS(19),
    [anon_sym_BSLASHqm] = ACTIONS(19),
    [anon_sym_BSLASHqd] = ACTIONS(19),
    [anon_sym_BSLASHlh] = ACTIONS(19),
    [anon_sym_BSLASHli] = ACTIONS(19),
    [anon_sym_BSLASHlim] = ACTIONS(19),
    [anon_sym_BSLASHtr] = ACTIONS(19),
    [anon_sym_BSLASHf] = ACTIONS(19),
    [anon_sym_BSLASHfe] = ACTIONS(19),
    [anon_sym_BSLASHef] = ACTIONS(19),
    [anon_sym_BSLASHfm] = ACTIONS(19),
    [anon_sym_BSLASHx] = ACTIONS(19),
    [anon_sym_BSLASHxt] = ACTIONS(19),
    [anon_sym_BSLASHrq] = ACTIONS(19),
    [anon_sym_BSLASHadd] = ACTIONS(19),
    [anon_sym_BSLASHbk] = ACTIONS(19),
    [anon_sym_BSLASHdc] = ACTIONS(19),
    [anon_sym_BSLASHk] = ACTIONS(19),
    [anon_sym_BSLASHnd] = ACTIONS(19),
    [anon_sym_BSLASHord] = ACTIONS(19),
    [anon_sym_BSLASHpn] = ACTIONS(19),
    [anon_sym_BSLASHpng] = ACTIONS(19),
    [anon_sym_BSLASHaddpn] = ACTIONS(19),
    [anon_sym_BSLASHqt] = ACTIONS(19),
    [anon_sym_BSLASHsig] = ACTIONS(19),
    [anon_sym_BSLASHsls] = ACTIONS(19),
    [anon_sym_BSLASHtl] = ACTIONS(19),
    [anon_sym_BSLASHwj] = ACTIONS(19),
    [anon_sym_BSLASHem] = ACTIONS(19),
    [anon_sym_BSLASHbd] = ACTIONS(19),
    [anon_sym_BSLASHit] = ACTIONS(19),
    [anon_sym_BSLASHbdit] = ACTIONS(19),
    [anon_sym_BSLASHno] = ACTIONS(19),
    [anon_sym_BSLASHsc] = ACTIONS(19),
    [anon_sym_BSLASHsup] = ACTIONS(19),
    [anon_sym_BSLASHndx] = ACTIONS(19),
    [anon_sym_BSLASHpro] = ACTIONS(19),
    [anon_sym_BSLASHrb] = ACTIONS(19),
    [anon_sym_BSLASHw] = ACTIONS(19),
    [anon_sym_BSLASHwg] = ACTIONS(19),
    [anon_sym_BSLASHwh] = ACTIONS(19),
    [anon_sym_BSLASHwa] = ACTIONS(19),
    [anon_sym_BSLASHfig] = ACTIONS(19),
    [anon_sym_BSLASHjmp] = ACTIONS(19),
    [anon_sym_BSLASHpb] = ACTIONS(19),
    [anon_sym_BSLASH] = ACTIONS(19),
    [sym_milestoneStartTag] = ACTIONS(19),
    [sym_milestoneEndTag] = ACTIONS(19),
    [sym_zSpaceTag] = ACTIONS(19),
    [anon_sym_BSLASHesb] = ACTIONS(19),
  },
  [476] = {
    [ts_builtin_sym_end] = ACTIONS(2663),
    [aux_sym_text_token1] = ACTIONS(2663),
    [anon_sym_BSLASHref] = ACTIONS(2665),
    [anon_sym_BSLASHsts] = ACTIONS(2665),
    [anon_sym_BSLASHrem] = ACTIONS(2665),
    [anon_sym_BSLASHrestore] = ACTIONS(2665),
    [anon_sym_BSLASHlit] = ACTIONS(2665),
    [anon_sym_BSLASHip] = ACTIONS(2665),
    [anon_sym_BSLASHiex] = ACTIONS(2665),
    [anon_sym_BSLASHv] = ACTIONS(2665),
    [anon_sym_BSLASHva] = ACTIONS(2665),
    [anon_sym_BSLASHvp] = ACTIONS(2665),
    [anon_sym_BSLASHc] = ACTIONS(2665),
    [anon_sym_BSLASHcl] = ACTIONS(2665),
    [anon_sym_BSLASHca] = ACTIONS(2665),
    [anon_sym_BSLASHcp] = ACTIONS(2665),
    [anon_sym_BSLASHcd] = ACTIONS(2665),
    [anon_sym_BSLASHmte] = ACTIONS(2665),
    [anon_sym_BSLASHms] = ACTIONS(2665),
    [anon_sym_BSLASHs] = ACTIONS(2665),
    [anon_sym_BSLASHr] = ACTIONS(2665),
    [anon_sym_BSLASHsp] = ACTIONS(2665),
    [anon_sym_BSLASHd] = ACTIONS(2665),
    [anon_sym_BSLASHsd] = ACTIONS(2665),
    [anon_sym_BSLASHp] = ACTIONS(2665),
    [anon_sym_BSLASHm] = ACTIONS(2665),
    [anon_sym_BSLASHpo] = ACTIONS(2665),
    [anon_sym_BSLASHpr] = ACTIONS(2665),
    [anon_sym_BSLASHcls] = ACTIONS(2665),
    [anon_sym_BSLASHpmo] = ACTIONS(2665),
    [anon_sym_BSLASHpm] = ACTIONS(2665),
    [anon_sym_BSLASHpmc] = ACTIONS(2665),
    [anon_sym_BSLASHpmr] = ACTIONS(2665),
    [anon_sym_BSLASHpi] = ACTIONS(2665),
    [anon_sym_BSLASHmi] = ACTIONS(2665),
    [anon_sym_BSLASHnb] = ACTIONS(2665),
    [anon_sym_BSLASHpc] = ACTIONS(2665),
    [anon_sym_BSLASHph] = ACTIONS(2665),
    [anon_sym_BSLASHb] = ACTIONS(2665),
    [anon_sym_BSLASHq] = ACTIONS(2665),
    [anon_sym_BSLASHqr] = ACTIONS(2665),
    [anon_sym_BSLASHqc] = ACTIONS(2665),
    [anon_sym_BSLASHqs] = ACTIONS(2665),
    [anon_sym_BSLASHqa] = ACTIONS(2665),
    [anon_sym_BSLASHqac] = ACTIONS(2665),
    [anon_sym_BSLASHqm] = ACTIONS(2665),
    [anon_sym_BSLASHqd] = ACTIONS(2665),
    [anon_sym_BSLASHlh] = ACTIONS(2665),
    [anon_sym_BSLASHli] = ACTIONS(2665),
    [anon_sym_BSLASHlim] = ACTIONS(2665),
    [anon_sym_BSLASHtr] = ACTIONS(2665),
    [anon_sym_BSLASHf] = ACTIONS(2665),
    [anon_sym_BSLASHfe] = ACTIONS(2665),
    [anon_sym_BSLASHef] = ACTIONS(2665),
    [anon_sym_BSLASHfm] = ACTIONS(2665),
    [anon_sym_BSLASHx] = ACTIONS(2665),
    [anon_sym_BSLASHxt] = ACTIONS(2665),
    [anon_sym_BSLASHrq] = ACTIONS(2665),
    [anon_sym_BSLASHadd] = ACTIONS(2665),
    [anon_sym_BSLASHbk] = ACTIONS(2665),
    [anon_sym_BSLASHdc] = ACTIONS(2665),
    [anon_sym_BSLASHk] = ACTIONS(2665),
    [anon_sym_BSLASHnd] = ACTIONS(2665),
    [anon_sym_BSLASHord] = ACTIONS(2665),
    [anon_sym_BSLASHpn] = ACTIONS(2665),
    [anon_sym_BSLASHpng] = ACTIONS(2665),
    [anon_sym_BSLASHaddpn] = ACTIONS(2665),
    [anon_sym_BSLASHqt] = ACTIONS(2665),
    [anon_sym_BSLASHsig] = ACTIONS(2665),
    [anon_sym_BSLASHsls] = ACTIONS(2665),
    [anon_sym_BSLASHtl] = ACTIONS(2665),
    [anon_sym_BSLASHwj] = ACTIONS(2665),
    [anon_sym_BSLASHem] = ACTIONS(2665),
    [anon_sym_BSLASHbd] = ACTIONS(2665),
    [anon_sym_BSLASHit] = ACTIONS(2665),
    [anon_sym_BSLASHbdit] = ACTIONS(2665),
    [anon_sym_BSLASHno] = ACTIONS(2665),
    [anon_sym_BSLASHsc] = ACTIONS(2665),
    [anon_sym_BSLASHsup] = ACTIONS(2665),
    [anon_sym_BSLASHndx] = ACTIONS(2665),
    [anon_sym_BSLASHpro] = ACTIONS(2665),
    [anon_sym_BSLASHrb] = ACTIONS(2665),
    [anon_sym_BSLASHw] = ACTIONS(2665),
    [anon_sym_BSLASHwg] = ACTIONS(2665),
    [anon_sym_BSLASHwh] = ACTIONS(2665),
    [anon_sym_BSLASHwa] = ACTIONS(2665),
    [anon_sym_BSLASHfig] = ACTIONS(2665),
    [anon_sym_BSLASHjmp] = ACTIONS(2665),
    [anon_sym_BSLASHpb] = ACTIONS(2665),
    [anon_sym_BSLASH] = ACTIONS(2665),
    [sym_milestoneStartTag] = ACTIONS(2665),
    [sym_milestoneEndTag] = ACTIONS(2665),
    [sym_zSpaceTag] = ACTIONS(2665),
    [anon_sym_BSLASHesb] = ACTIONS(2665),
  },
  [477] = {
    [ts_builtin_sym_end] = ACTIONS(2675),
    [aux_sym_text_token1] = ACTIONS(2675),
    [anon_sym_BSLASHref] = ACTIONS(2677),
    [anon_sym_BSLASHsts] = ACTIONS(2677),
    [anon_sym_BSLASHrem] = ACTIONS(2677),
    [anon_sym_BSLASHrestore] = ACTIONS(2677),
    [anon_sym_BSLASHlit] = ACTIONS(2677),
    [anon_sym_BSLASHip] = ACTIONS(2677),
    [anon_sym_BSLASHiex] = ACTIONS(2677),
    [anon_sym_BSLASHv] = ACTIONS(2677),
    [anon_sym_BSLASHva] = ACTIONS(2677),
    [anon_sym_BSLASHvp] = ACTIONS(2677),
    [anon_sym_BSLASHc] = ACTIONS(2677),
    [anon_sym_BSLASHcl] = ACTIONS(2677),
    [anon_sym_BSLASHca] = ACTIONS(2677),
    [anon_sym_BSLASHcp] = ACTIONS(2677),
    [anon_sym_BSLASHcd] = ACTIONS(2677),
    [anon_sym_BSLASHmte] = ACTIONS(2677),
    [anon_sym_BSLASHms] = ACTIONS(2677),
    [anon_sym_BSLASHs] = ACTIONS(2677),
    [anon_sym_BSLASHr] = ACTIONS(2677),
    [anon_sym_BSLASHsp] = ACTIONS(2677),
    [anon_sym_BSLASHd] = ACTIONS(2677),
    [anon_sym_BSLASHsd] = ACTIONS(2677),
    [anon_sym_BSLASHp] = ACTIONS(2677),
    [anon_sym_BSLASHm] = ACTIONS(2677),
    [anon_sym_BSLASHpo] = ACTIONS(2677),
    [anon_sym_BSLASHpr] = ACTIONS(2677),
    [anon_sym_BSLASHcls] = ACTIONS(2677),
    [anon_sym_BSLASHpmo] = ACTIONS(2677),
    [anon_sym_BSLASHpm] = ACTIONS(2677),
    [anon_sym_BSLASHpmc] = ACTIONS(2677),
    [anon_sym_BSLASHpmr] = ACTIONS(2677),
    [anon_sym_BSLASHpi] = ACTIONS(2677),
    [anon_sym_BSLASHmi] = ACTIONS(2677),
    [anon_sym_BSLASHnb] = ACTIONS(2677),
    [anon_sym_BSLASHpc] = ACTIONS(2677),
    [anon_sym_BSLASHph] = ACTIONS(2677),
    [anon_sym_BSLASHb] = ACTIONS(2677),
    [anon_sym_BSLASHq] = ACTIONS(2677),
    [anon_sym_BSLASHqr] = ACTIONS(2677),
    [anon_sym_BSLASHqc] = ACTIONS(2677),
    [anon_sym_BSLASHqs] = ACTIONS(2677),
    [anon_sym_BSLASHqa] = ACTIONS(2677),
    [anon_sym_BSLASHqac] = ACTIONS(2677),
    [anon_sym_BSLASHqm] = ACTIONS(2677),
    [anon_sym_BSLASHqd] = ACTIONS(2677),
    [anon_sym_BSLASHlh] = ACTIONS(2677),
    [anon_sym_BSLASHli] = ACTIONS(2677),
    [anon_sym_BSLASHlim] = ACTIONS(2677),
    [anon_sym_BSLASHtr] = ACTIONS(2677),
    [anon_sym_BSLASHf] = ACTIONS(2677),
    [anon_sym_BSLASHfe] = ACTIONS(2677),
    [anon_sym_BSLASHef] = ACTIONS(2677),
    [anon_sym_BSLASHfm] = ACTIONS(2677),
    [anon_sym_BSLASHx] = ACTIONS(2677),
    [anon_sym_BSLASHxt] = ACTIONS(2677),
    [anon_sym_BSLASHrq] = ACTIONS(2677),
    [anon_sym_BSLASHadd] = ACTIONS(2677),
    [anon_sym_BSLASHbk] = ACTIONS(2677),
    [anon_sym_BSLASHdc] = ACTIONS(2677),
    [anon_sym_BSLASHk] = ACTIONS(2677),
    [anon_sym_BSLASHnd] = ACTIONS(2677),
    [anon_sym_BSLASHord] = ACTIONS(2677),
    [anon_sym_BSLASHpn] = ACTIONS(2677),
    [anon_sym_BSLASHpng] = ACTIONS(2677),
    [anon_sym_BSLASHaddpn] = ACTIONS(2677),
    [anon_sym_BSLASHqt] = ACTIONS(2677),
    [anon_sym_BSLASHsig] = ACTIONS(2677),
    [anon_sym_BSLASHsls] = ACTIONS(2677),
    [anon_sym_BSLASHtl] = ACTIONS(2677),
    [anon_sym_BSLASHwj] = ACTIONS(2677),
    [anon_sym_BSLASHem] = ACTIONS(2677),
    [anon_sym_BSLASHbd] = ACTIONS(2677),
    [anon_sym_BSLASHit] = ACTIONS(2677),
    [anon_sym_BSLASHbdit] = ACTIONS(2677),
    [anon_sym_BSLASHno] = ACTIONS(2677),
    [anon_sym_BSLASHsc] = ACTIONS(2677),
    [anon_sym_BSLASHsup] = ACTIONS(2677),
    [anon_sym_BSLASHndx] = ACTIONS(2677),
    [anon_sym_BSLASHpro] = ACTIONS(2677),
    [anon_sym_BSLASHrb] = ACTIONS(2677),
    [anon_sym_BSLASHw] = ACTIONS(2677),
    [anon_sym_BSLASHwg] = ACTIONS(2677),
    [anon_sym_BSLASHwh] = ACTIONS(2677),
    [anon_sym_BSLASHwa] = ACTIONS(2677),
    [anon_sym_BSLASHfig] = ACTIONS(2677),
    [anon_sym_BSLASHjmp] = ACTIONS(2677),
    [anon_sym_BSLASHpb] = ACTIONS(2677),
    [anon_sym_BSLASH] = ACTIONS(2677),
    [sym_milestoneStartTag] = ACTIONS(2677),
    [sym_milestoneEndTag] = ACTIONS(2677),
    [sym_zSpaceTag] = ACTIONS(2677),
    [anon_sym_BSLASHesb] = ACTIONS(2677),
  },
  [478] = {
    [sym__verseMeta] = STATE(524),
    [sym_va] = STATE(524),
    [sym_vp] = STATE(524),
    [aux_sym_v_repeat1] = STATE(524),
    [aux_sym_text_token1] = ACTIONS(5234),
    [anon_sym_BSLASHref] = ACTIONS(5236),
    [anon_sym_BSLASHsts] = ACTIONS(5236),
    [anon_sym_BSLASHrem] = ACTIONS(5236),
    [anon_sym_BSLASHrestore] = ACTIONS(5236),
    [anon_sym_BSLASHlit] = ACTIONS(5236),
    [anon_sym_BSLASHip] = ACTIONS(5236),
    [anon_sym_BSLASHv] = ACTIONS(5236),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(5236),
    [anon_sym_BSLASHms] = ACTIONS(5236),
    [anon_sym_BSLASHs] = ACTIONS(5236),
    [anon_sym_BSLASHr] = ACTIONS(5236),
    [anon_sym_BSLASHsp] = ACTIONS(5236),
    [anon_sym_BSLASHd] = ACTIONS(5236),
    [anon_sym_BSLASHsd] = ACTIONS(5236),
    [anon_sym_BSLASHp] = ACTIONS(5236),
    [anon_sym_BSLASHm] = ACTIONS(5236),
    [anon_sym_BSLASHpo] = ACTIONS(5236),
    [anon_sym_BSLASHpr] = ACTIONS(5236),
    [anon_sym_BSLASHcls] = ACTIONS(5236),
    [anon_sym_BSLASHpmo] = ACTIONS(5236),
    [anon_sym_BSLASHpm] = ACTIONS(5236),
    [anon_sym_BSLASHpmc] = ACTIONS(5236),
    [anon_sym_BSLASHpmr] = ACTIONS(5236),
    [anon_sym_BSLASHpi] = ACTIONS(5236),
    [anon_sym_BSLASHmi] = ACTIONS(5236),
    [anon_sym_BSLASHnb] = ACTIONS(5236),
    [anon_sym_BSLASHpc] = ACTIONS(5236),
    [anon_sym_BSLASHph] = ACTIONS(5236),
    [anon_sym_BSLASHb] = ACTIONS(5236),
    [anon_sym_BSLASHq] = ACTIONS(5236),
    [anon_sym_BSLASHqr] = ACTIONS(5236),
    [anon_sym_BSLASHqc] = ACTIONS(5236),
    [anon_sym_BSLASHqa] = ACTIONS(5236),
    [anon_sym_BSLASHqm] = ACTIONS(5236),
    [anon_sym_BSLASHqd] = ACTIONS(5236),
    [anon_sym_BSLASHlh] = ACTIONS(5236),
    [anon_sym_BSLASHlf] = ACTIONS(5236),
    [anon_sym_BSLASHli] = ACTIONS(5236),
    [anon_sym_BSLASHlim] = ACTIONS(5236),
    [anon_sym_BSLASHliv] = ACTIONS(5236),
    [anon_sym_BSLASHlik] = ACTIONS(5236),
    [anon_sym_BSLASHlitl] = ACTIONS(5236),
    [anon_sym_BSLASHtr] = ACTIONS(5236),
    [anon_sym_BSLASHf] = ACTIONS(5236),
    [anon_sym_BSLASHfe] = ACTIONS(5236),
    [anon_sym_BSLASHef] = ACTIONS(5236),
    [anon_sym_BSLASHfm] = ACTIONS(5236),
    [anon_sym_BSLASHx] = ACTIONS(5236),
    [anon_sym_BSLASHxt] = ACTIONS(5236),
    [anon_sym_BSLASHrq] = ACTIONS(5236),
    [anon_sym_BSLASHadd] = ACTIONS(5236),
    [anon_sym_BSLASHbk] = ACTIONS(5236),
    [anon_sym_BSLASHdc] = ACTIONS(5236),
    [anon_sym_BSLASHk] = ACTIONS(5236),
    [anon_sym_BSLASHnd] = ACTIONS(5236),
    [anon_sym_BSLASHord] = ACTIONS(5236),
    [anon_sym_BSLASHpn] = ACTIONS(5236),
    [anon_sym_BSLASHpng] = ACTIONS(5236),
    [anon_sym_BSLASHaddpn] = ACTIONS(5236),
    [anon_sym_BSLASHqt] = ACTIONS(5236),
    [anon_sym_BSLASHsig] = ACTIONS(5236),
    [anon_sym_BSLASHsls] = ACTIONS(5236),
    [anon_sym_BSLASHtl] = ACTIONS(5236),
    [anon_sym_BSLASHwj] = ACTIONS(5236),
    [anon_sym_BSLASHem] = ACTIONS(5236),
    [anon_sym_BSLASHbd] = ACTIONS(5236),
    [anon_sym_BSLASHit] = ACTIONS(5236),
    [anon_sym_BSLASHbdit] = ACTIONS(5236),
    [anon_sym_BSLASHno] = ACTIONS(5236),
    [anon_sym_BSLASHsc] = ACTIONS(5236),
    [anon_sym_BSLASHsup] = ACTIONS(5236),
    [anon_sym_BSLASHndx] = ACTIONS(5236),
    [anon_sym_BSLASHpro] = ACTIONS(5236),
    [anon_sym_BSLASHrb] = ACTIONS(5236),
    [anon_sym_BSLASHw] = ACTIONS(5236),
    [anon_sym_BSLASHwg] = ACTIONS(5236),
    [anon_sym_BSLASHwh] = ACTIONS(5236),
    [anon_sym_BSLASHwa] = ACTIONS(5236),
    [anon_sym_BSLASHfig] = ACTIONS(5236),
    [anon_sym_BSLASHjmp] = ACTIONS(5236),
    [anon_sym_BSLASHpb] = ACTIONS(5236),
    [anon_sym_BSLASH] = ACTIONS(5236),
    [sym_milestoneStartTag] = ACTIONS(5236),
    [sym_milestoneEndTag] = ACTIONS(5236),
    [sym_zSpaceTag] = ACTIONS(5236),
    [anon_sym_BSLASHesbe] = ACTIONS(5236),
    [anon_sym_BSLASHcat] = ACTIONS(5236),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(5456),
    [aux_sym_text_token1] = ACTIONS(5456),
    [anon_sym_BSLASHref] = ACTIONS(5458),
    [anon_sym_BSLASHsts] = ACTIONS(5458),
    [anon_sym_BSLASHrem] = ACTIONS(5458),
    [anon_sym_BSLASHrestore] = ACTIONS(5458),
    [anon_sym_BSLASHlit] = ACTIONS(5458),
    [anon_sym_BSLASHip] = ACTIONS(5458),
    [anon_sym_BSLASHiex] = ACTIONS(5458),
    [anon_sym_BSLASHv] = ACTIONS(5458),
    [anon_sym_BSLASHva] = ACTIONS(5458),
    [anon_sym_BSLASHvp] = ACTIONS(5458),
    [anon_sym_BSLASHc] = ACTIONS(5458),
    [anon_sym_BSLASHcl] = ACTIONS(5458),
    [anon_sym_BSLASHca] = ACTIONS(5458),
    [anon_sym_BSLASHcp] = ACTIONS(5458),
    [anon_sym_BSLASHcd] = ACTIONS(5458),
    [anon_sym_BSLASHmte] = ACTIONS(5458),
    [anon_sym_BSLASHms] = ACTIONS(5458),
    [anon_sym_BSLASHs] = ACTIONS(5458),
    [anon_sym_BSLASHr] = ACTIONS(5458),
    [anon_sym_BSLASHsp] = ACTIONS(5458),
    [anon_sym_BSLASHd] = ACTIONS(5458),
    [anon_sym_BSLASHsd] = ACTIONS(5458),
    [anon_sym_BSLASHp] = ACTIONS(5458),
    [anon_sym_BSLASHm] = ACTIONS(5458),
    [anon_sym_BSLASHpo] = ACTIONS(5458),
    [anon_sym_BSLASHpr] = ACTIONS(5458),
    [anon_sym_BSLASHcls] = ACTIONS(5458),
    [anon_sym_BSLASHpmo] = ACTIONS(5458),
    [anon_sym_BSLASHpm] = ACTIONS(5458),
    [anon_sym_BSLASHpmc] = ACTIONS(5458),
    [anon_sym_BSLASHpmr] = ACTIONS(5458),
    [anon_sym_BSLASHpi] = ACTIONS(5458),
    [anon_sym_BSLASHmi] = ACTIONS(5458),
    [anon_sym_BSLASHnb] = ACTIONS(5458),
    [anon_sym_BSLASHpc] = ACTIONS(5458),
    [anon_sym_BSLASHph] = ACTIONS(5458),
    [anon_sym_BSLASHb] = ACTIONS(5458),
    [anon_sym_BSLASHq] = ACTIONS(5458),
    [anon_sym_BSLASHqr] = ACTIONS(5458),
    [anon_sym_BSLASHqc] = ACTIONS(5458),
    [anon_sym_BSLASHqs] = ACTIONS(5458),
    [anon_sym_BSLASHqa] = ACTIONS(5458),
    [anon_sym_BSLASHqac] = ACTIONS(5458),
    [anon_sym_BSLASHqm] = ACTIONS(5458),
    [anon_sym_BSLASHqd] = ACTIONS(5458),
    [anon_sym_BSLASHlh] = ACTIONS(5458),
    [anon_sym_BSLASHli] = ACTIONS(5458),
    [anon_sym_BSLASHlim] = ACTIONS(5458),
    [anon_sym_BSLASHtr] = ACTIONS(5458),
    [anon_sym_BSLASHf] = ACTIONS(5458),
    [anon_sym_BSLASHfe] = ACTIONS(5458),
    [anon_sym_BSLASHef] = ACTIONS(5458),
    [anon_sym_BSLASHfm] = ACTIONS(5458),
    [anon_sym_BSLASHx] = ACTIONS(5458),
    [anon_sym_BSLASHxt] = ACTIONS(5458),
    [anon_sym_BSLASHrq] = ACTIONS(5458),
    [anon_sym_BSLASHadd] = ACTIONS(5458),
    [anon_sym_BSLASHbk] = ACTIONS(5458),
    [anon_sym_BSLASHdc] = ACTIONS(5458),
    [anon_sym_BSLASHk] = ACTIONS(5458),
    [anon_sym_BSLASHnd] = ACTIONS(5458),
    [anon_sym_BSLASHord] = ACTIONS(5458),
    [anon_sym_BSLASHpn] = ACTIONS(5458),
    [anon_sym_BSLASHpng] = ACTIONS(5458),
    [anon_sym_BSLASHaddpn] = ACTIONS(5458),
    [anon_sym_BSLASHqt] = ACTIONS(5458),
    [anon_sym_BSLASHsig] = ACTIONS(5458),
    [anon_sym_BSLASHsls] = ACTIONS(5458),
    [anon_sym_BSLASHtl] = ACTIONS(5458),
    [anon_sym_BSLASHwj] = ACTIONS(5458),
    [anon_sym_BSLASHem] = ACTIONS(5458),
    [anon_sym_BSLASHbd] = ACTIONS(5458),
    [anon_sym_BSLASHit] = ACTIONS(5458),
    [anon_sym_BSLASHbdit] = ACTIONS(5458),
    [anon_sym_BSLASHno] = ACTIONS(5458),
    [anon_sym_BSLASHsc] = ACTIONS(5458),
    [anon_sym_BSLASHsup] = ACTIONS(5458),
    [anon_sym_BSLASHndx] = ACTIONS(5458),
    [anon_sym_BSLASHpro] = ACTIONS(5458),
    [anon_sym_BSLASHrb] = ACTIONS(5458),
    [anon_sym_BSLASHw] = ACTIONS(5458),
    [anon_sym_BSLASHwg] = ACTIONS(5458),
    [anon_sym_BSLASHwh] = ACTIONS(5458),
    [anon_sym_BSLASHwa] = ACTIONS(5458),
    [anon_sym_BSLASHfig] = ACTIONS(5458),
    [anon_sym_BSLASHjmp] = ACTIONS(5458),
    [anon_sym_BSLASHpb] = ACTIONS(5458),
    [anon_sym_BSLASH] = ACTIONS(5458),
    [sym_milestoneStartTag] = ACTIONS(5458),
    [sym_milestoneEndTag] = ACTIONS(5458),
    [sym_zSpaceTag] = ACTIONS(5458),
    [anon_sym_BSLASHesb] = ACTIONS(5458),
  },
  [480] = {
    [ts_builtin_sym_end] = ACTIONS(53),
    [aux_sym_text_token1] = ACTIONS(53),
    [anon_sym_BSLASHref] = ACTIONS(55),
    [anon_sym_BSLASHsts] = ACTIONS(55),
    [anon_sym_BSLASHrem] = ACTIONS(55),
    [anon_sym_BSLASHrestore] = ACTIONS(55),
    [anon_sym_BSLASHlit] = ACTIONS(55),
    [anon_sym_BSLASHip] = ACTIONS(55),
    [anon_sym_BSLASHiex] = ACTIONS(55),
    [anon_sym_BSLASHv] = ACTIONS(55),
    [anon_sym_BSLASHva] = ACTIONS(55),
    [anon_sym_BSLASHvp] = ACTIONS(55),
    [anon_sym_BSLASHc] = ACTIONS(55),
    [anon_sym_BSLASHcl] = ACTIONS(55),
    [anon_sym_BSLASHca] = ACTIONS(55),
    [anon_sym_BSLASHcp] = ACTIONS(55),
    [anon_sym_BSLASHcd] = ACTIONS(55),
    [anon_sym_BSLASHmte] = ACTIONS(55),
    [anon_sym_BSLASHms] = ACTIONS(55),
    [anon_sym_BSLASHs] = ACTIONS(55),
    [anon_sym_BSLASHr] = ACTIONS(55),
    [anon_sym_BSLASHsp] = ACTIONS(55),
    [anon_sym_BSLASHd] = ACTIONS(55),
    [anon_sym_BSLASHsd] = ACTIONS(55),
    [anon_sym_BSLASHp] = ACTIONS(55),
    [anon_sym_BSLASHm] = ACTIONS(55),
    [anon_sym_BSLASHpo] = ACTIONS(55),
    [anon_sym_BSLASHpr] = ACTIONS(55),
    [anon_sym_BSLASHcls] = ACTIONS(55),
    [anon_sym_BSLASHpmo] = ACTIONS(55),
    [anon_sym_BSLASHpm] = ACTIONS(55),
    [anon_sym_BSLASHpmc] = ACTIONS(55),
    [anon_sym_BSLASHpmr] = ACTIONS(55),
    [anon_sym_BSLASHpi] = ACTIONS(55),
    [anon_sym_BSLASHmi] = ACTIONS(55),
    [anon_sym_BSLASHnb] = ACTIONS(55),
    [anon_sym_BSLASHpc] = ACTIONS(55),
    [anon_sym_BSLASHph] = ACTIONS(55),
    [anon_sym_BSLASHb] = ACTIONS(55),
    [anon_sym_BSLASHq] = ACTIONS(55),
    [anon_sym_BSLASHqr] = ACTIONS(55),
    [anon_sym_BSLASHqc] = ACTIONS(55),
    [anon_sym_BSLASHqs] = ACTIONS(55),
    [anon_sym_BSLASHqa] = ACTIONS(55),
    [anon_sym_BSLASHqac] = ACTIONS(55),
    [anon_sym_BSLASHqm] = ACTIONS(55),
    [anon_sym_BSLASHqd] = ACTIONS(55),
    [anon_sym_BSLASHlh] = ACTIONS(55),
    [anon_sym_BSLASHli] = ACTIONS(55),
    [anon_sym_BSLASHlim] = ACTIONS(55),
    [anon_sym_BSLASHtr] = ACTIONS(55),
    [anon_sym_BSLASHf] = ACTIONS(55),
    [anon_sym_BSLASHfe] = ACTIONS(55),
    [anon_sym_BSLASHef] = ACTIONS(55),
    [anon_sym_BSLASHfm] = ACTIONS(55),
    [anon_sym_BSLASHx] = ACTIONS(55),
    [anon_sym_BSLASHxt] = ACTIONS(55),
    [anon_sym_BSLASHrq] = ACTIONS(55),
    [anon_sym_BSLASHadd] = ACTIONS(55),
    [anon_sym_BSLASHbk] = ACTIONS(55),
    [anon_sym_BSLASHdc] = ACTIONS(55),
    [anon_sym_BSLASHk] = ACTIONS(55),
    [anon_sym_BSLASHnd] = ACTIONS(55),
    [anon_sym_BSLASHord] = ACTIONS(55),
    [anon_sym_BSLASHpn] = ACTIONS(55),
    [anon_sym_BSLASHpng] = ACTIONS(55),
    [anon_sym_BSLASHaddpn] = ACTIONS(55),
    [anon_sym_BSLASHqt] = ACTIONS(55),
    [anon_sym_BSLASHsig] = ACTIONS(55),
    [anon_sym_BSLASHsls] = ACTIONS(55),
    [anon_sym_BSLASHtl] = ACTIONS(55),
    [anon_sym_BSLASHwj] = ACTIONS(55),
    [anon_sym_BSLASHem] = ACTIONS(55),
    [anon_sym_BSLASHbd] = ACTIONS(55),
    [anon_sym_BSLASHit] = ACTIONS(55),
    [anon_sym_BSLASHbdit] = ACTIONS(55),
    [anon_sym_BSLASHno] = ACTIONS(55),
    [anon_sym_BSLASHsc] = ACTIONS(55),
    [anon_sym_BSLASHsup] = ACTIONS(55),
    [anon_sym_BSLASHndx] = ACTIONS(55),
    [anon_sym_BSLASHpro] = ACTIONS(55),
    [anon_sym_BSLASHrb] = ACTIONS(55),
    [anon_sym_BSLASHw] = ACTIONS(55),
    [anon_sym_BSLASHwg] = ACTIONS(55),
    [anon_sym_BSLASHwh] = ACTIONS(55),
    [anon_sym_BSLASHwa] = ACTIONS(55),
    [anon_sym_BSLASHfig] = ACTIONS(55),
    [anon_sym_BSLASHjmp] = ACTIONS(55),
    [anon_sym_BSLASHpb] = ACTIONS(55),
    [anon_sym_BSLASH] = ACTIONS(55),
    [sym_milestoneStartTag] = ACTIONS(55),
    [sym_milestoneEndTag] = ACTIONS(55),
    [sym_zSpaceTag] = ACTIONS(55),
    [anon_sym_BSLASHesb] = ACTIONS(55),
  },
  [481] = {
    [ts_builtin_sym_end] = ACTIONS(57),
    [aux_sym_text_token1] = ACTIONS(57),
    [anon_sym_BSLASHref] = ACTIONS(59),
    [anon_sym_BSLASHsts] = ACTIONS(59),
    [anon_sym_BSLASHrem] = ACTIONS(59),
    [anon_sym_BSLASHrestore] = ACTIONS(59),
    [anon_sym_BSLASHlit] = ACTIONS(59),
    [anon_sym_BSLASHip] = ACTIONS(59),
    [anon_sym_BSLASHiex] = ACTIONS(59),
    [anon_sym_BSLASHv] = ACTIONS(59),
    [anon_sym_BSLASHva] = ACTIONS(59),
    [anon_sym_BSLASHvp] = ACTIONS(59),
    [anon_sym_BSLASHc] = ACTIONS(59),
    [anon_sym_BSLASHcl] = ACTIONS(59),
    [anon_sym_BSLASHca] = ACTIONS(59),
    [anon_sym_BSLASHcp] = ACTIONS(59),
    [anon_sym_BSLASHcd] = ACTIONS(59),
    [anon_sym_BSLASHmte] = ACTIONS(59),
    [anon_sym_BSLASHms] = ACTIONS(59),
    [anon_sym_BSLASHs] = ACTIONS(59),
    [anon_sym_BSLASHr] = ACTIONS(59),
    [anon_sym_BSLASHsp] = ACTIONS(59),
    [anon_sym_BSLASHd] = ACTIONS(59),
    [anon_sym_BSLASHsd] = ACTIONS(59),
    [anon_sym_BSLASHp] = ACTIONS(59),
    [anon_sym_BSLASHm] = ACTIONS(59),
    [anon_sym_BSLASHpo] = ACTIONS(59),
    [anon_sym_BSLASHpr] = ACTIONS(59),
    [anon_sym_BSLASHcls] = ACTIONS(59),
    [anon_sym_BSLASHpmo] = ACTIONS(59),
    [anon_sym_BSLASHpm] = ACTIONS(59),
    [anon_sym_BSLASHpmc] = ACTIONS(59),
    [anon_sym_BSLASHpmr] = ACTIONS(59),
    [anon_sym_BSLASHpi] = ACTIONS(59),
    [anon_sym_BSLASHmi] = ACTIONS(59),
    [anon_sym_BSLASHnb] = ACTIONS(59),
    [anon_sym_BSLASHpc] = ACTIONS(59),
    [anon_sym_BSLASHph] = ACTIONS(59),
    [anon_sym_BSLASHb] = ACTIONS(59),
    [anon_sym_BSLASHq] = ACTIONS(59),
    [anon_sym_BSLASHqr] = ACTIONS(59),
    [anon_sym_BSLASHqc] = ACTIONS(59),
    [anon_sym_BSLASHqs] = ACTIONS(59),
    [anon_sym_BSLASHqa] = ACTIONS(59),
    [anon_sym_BSLASHqac] = ACTIONS(59),
    [anon_sym_BSLASHqm] = ACTIONS(59),
    [anon_sym_BSLASHqd] = ACTIONS(59),
    [anon_sym_BSLASHlh] = ACTIONS(59),
    [anon_sym_BSLASHli] = ACTIONS(59),
    [anon_sym_BSLASHlim] = ACTIONS(59),
    [anon_sym_BSLASHtr] = ACTIONS(59),
    [anon_sym_BSLASHf] = ACTIONS(59),
    [anon_sym_BSLASHfe] = ACTIONS(59),
    [anon_sym_BSLASHef] = ACTIONS(59),
    [anon_sym_BSLASHfm] = ACTIONS(59),
    [anon_sym_BSLASHx] = ACTIONS(59),
    [anon_sym_BSLASHxt] = ACTIONS(59),
    [anon_sym_BSLASHrq] = ACTIONS(59),
    [anon_sym_BSLASHadd] = ACTIONS(59),
    [anon_sym_BSLASHbk] = ACTIONS(59),
    [anon_sym_BSLASHdc] = ACTIONS(59),
    [anon_sym_BSLASHk] = ACTIONS(59),
    [anon_sym_BSLASHnd] = ACTIONS(59),
    [anon_sym_BSLASHord] = ACTIONS(59),
    [anon_sym_BSLASHpn] = ACTIONS(59),
    [anon_sym_BSLASHpng] = ACTIONS(59),
    [anon_sym_BSLASHaddpn] = ACTIONS(59),
    [anon_sym_BSLASHqt] = ACTIONS(59),
    [anon_sym_BSLASHsig] = ACTIONS(59),
    [anon_sym_BSLASHsls] = ACTIONS(59),
    [anon_sym_BSLASHtl] = ACTIONS(59),
    [anon_sym_BSLASHwj] = ACTIONS(59),
    [anon_sym_BSLASHem] = ACTIONS(59),
    [anon_sym_BSLASHbd] = ACTIONS(59),
    [anon_sym_BSLASHit] = ACTIONS(59),
    [anon_sym_BSLASHbdit] = ACTIONS(59),
    [anon_sym_BSLASHno] = ACTIONS(59),
    [anon_sym_BSLASHsc] = ACTIONS(59),
    [anon_sym_BSLASHsup] = ACTIONS(59),
    [anon_sym_BSLASHndx] = ACTIONS(59),
    [anon_sym_BSLASHpro] = ACTIONS(59),
    [anon_sym_BSLASHrb] = ACTIONS(59),
    [anon_sym_BSLASHw] = ACTIONS(59),
    [anon_sym_BSLASHwg] = ACTIONS(59),
    [anon_sym_BSLASHwh] = ACTIONS(59),
    [anon_sym_BSLASHwa] = ACTIONS(59),
    [anon_sym_BSLASHfig] = ACTIONS(59),
    [anon_sym_BSLASHjmp] = ACTIONS(59),
    [anon_sym_BSLASHpb] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(59),
    [sym_milestoneStartTag] = ACTIONS(59),
    [sym_milestoneEndTag] = ACTIONS(59),
    [sym_zSpaceTag] = ACTIONS(59),
    [anon_sym_BSLASHesb] = ACTIONS(59),
  },
  [482] = {
    [ts_builtin_sym_end] = ACTIONS(61),
    [aux_sym_text_token1] = ACTIONS(61),
    [anon_sym_BSLASHref] = ACTIONS(63),
    [anon_sym_BSLASHsts] = ACTIONS(63),
    [anon_sym_BSLASHrem] = ACTIONS(63),
    [anon_sym_BSLASHrestore] = ACTIONS(63),
    [anon_sym_BSLASHlit] = ACTIONS(63),
    [anon_sym_BSLASHip] = ACTIONS(63),
    [anon_sym_BSLASHiex] = ACTIONS(63),
    [anon_sym_BSLASHv] = ACTIONS(63),
    [anon_sym_BSLASHva] = ACTIONS(63),
    [anon_sym_BSLASHvp] = ACTIONS(63),
    [anon_sym_BSLASHc] = ACTIONS(63),
    [anon_sym_BSLASHcl] = ACTIONS(63),
    [anon_sym_BSLASHca] = ACTIONS(63),
    [anon_sym_BSLASHcp] = ACTIONS(63),
    [anon_sym_BSLASHcd] = ACTIONS(63),
    [anon_sym_BSLASHmte] = ACTIONS(63),
    [anon_sym_BSLASHms] = ACTIONS(63),
    [anon_sym_BSLASHs] = ACTIONS(63),
    [anon_sym_BSLASHr] = ACTIONS(63),
    [anon_sym_BSLASHsp] = ACTIONS(63),
    [anon_sym_BSLASHd] = ACTIONS(63),
    [anon_sym_BSLASHsd] = ACTIONS(63),
    [anon_sym_BSLASHp] = ACTIONS(63),
    [anon_sym_BSLASHm] = ACTIONS(63),
    [anon_sym_BSLASHpo] = ACTIONS(63),
    [anon_sym_BSLASHpr] = ACTIONS(63),
    [anon_sym_BSLASHcls] = ACTIONS(63),
    [anon_sym_BSLASHpmo] = ACTIONS(63),
    [anon_sym_BSLASHpm] = ACTIONS(63),
    [anon_sym_BSLASHpmc] = ACTIONS(63),
    [anon_sym_BSLASHpmr] = ACTIONS(63),
    [anon_sym_BSLASHpi] = ACTIONS(63),
    [anon_sym_BSLASHmi] = ACTIONS(63),
    [anon_sym_BSLASHnb] = ACTIONS(63),
    [anon_sym_BSLASHpc] = ACTIONS(63),
    [anon_sym_BSLASHph] = ACTIONS(63),
    [anon_sym_BSLASHb] = ACTIONS(63),
    [anon_sym_BSLASHq] = ACTIONS(63),
    [anon_sym_BSLASHqr] = ACTIONS(63),
    [anon_sym_BSLASHqc] = ACTIONS(63),
    [anon_sym_BSLASHqs] = ACTIONS(63),
    [anon_sym_BSLASHqa] = ACTIONS(63),
    [anon_sym_BSLASHqac] = ACTIONS(63),
    [anon_sym_BSLASHqm] = ACTIONS(63),
    [anon_sym_BSLASHqd] = ACTIONS(63),
    [anon_sym_BSLASHlh] = ACTIONS(63),
    [anon_sym_BSLASHli] = ACTIONS(63),
    [anon_sym_BSLASHlim] = ACTIONS(63),
    [anon_sym_BSLASHtr] = ACTIONS(63),
    [anon_sym_BSLASHf] = ACTIONS(63),
    [anon_sym_BSLASHfe] = ACTIONS(63),
    [anon_sym_BSLASHef] = ACTIONS(63),
    [anon_sym_BSLASHfm] = ACTIONS(63),
    [anon_sym_BSLASHx] = ACTIONS(63),
    [anon_sym_BSLASHxt] = ACTIONS(63),
    [anon_sym_BSLASHrq] = ACTIONS(63),
    [anon_sym_BSLASHadd] = ACTIONS(63),
    [anon_sym_BSLASHbk] = ACTIONS(63),
    [anon_sym_BSLASHdc] = ACTIONS(63),
    [anon_sym_BSLASHk] = ACTIONS(63),
    [anon_sym_BSLASHnd] = ACTIONS(63),
    [anon_sym_BSLASHord] = ACTIONS(63),
    [anon_sym_BSLASHpn] = ACTIONS(63),
    [anon_sym_BSLASHpng] = ACTIONS(63),
    [anon_sym_BSLASHaddpn] = ACTIONS(63),
    [anon_sym_BSLASHqt] = ACTIONS(63),
    [anon_sym_BSLASHsig] = ACTIONS(63),
    [anon_sym_BSLASHsls] = ACTIONS(63),
    [anon_sym_BSLASHtl] = ACTIONS(63),
    [anon_sym_BSLASHwj] = ACTIONS(63),
    [anon_sym_BSLASHem] = ACTIONS(63),
    [anon_sym_BSLASHbd] = ACTIONS(63),
    [anon_sym_BSLASHit] = ACTIONS(63),
    [anon_sym_BSLASHbdit] = ACTIONS(63),
    [anon_sym_BSLASHno] = ACTIONS(63),
    [anon_sym_BSLASHsc] = ACTIONS(63),
    [anon_sym_BSLASHsup] = ACTIONS(63),
    [anon_sym_BSLASHndx] = ACTIONS(63),
    [anon_sym_BSLASHpro] = ACTIONS(63),
    [anon_sym_BSLASHrb] = ACTIONS(63),
    [anon_sym_BSLASHw] = ACTIONS(63),
    [anon_sym_BSLASHwg] = ACTIONS(63),
    [anon_sym_BSLASHwh] = ACTIONS(63),
    [anon_sym_BSLASHwa] = ACTIONS(63),
    [anon_sym_BSLASHfig] = ACTIONS(63),
    [anon_sym_BSLASHjmp] = ACTIONS(63),
    [anon_sym_BSLASHpb] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(63),
    [sym_milestoneStartTag] = ACTIONS(63),
    [sym_milestoneEndTag] = ACTIONS(63),
    [sym_zSpaceTag] = ACTIONS(63),
    [anon_sym_BSLASHesb] = ACTIONS(63),
  },
  [483] = {
    [ts_builtin_sym_end] = ACTIONS(2775),
    [aux_sym_text_token1] = ACTIONS(2775),
    [anon_sym_BSLASHref] = ACTIONS(2777),
    [anon_sym_BSLASHsts] = ACTIONS(2777),
    [anon_sym_BSLASHrem] = ACTIONS(2777),
    [anon_sym_BSLASHrestore] = ACTIONS(2777),
    [anon_sym_BSLASHlit] = ACTIONS(2777),
    [anon_sym_BSLASHip] = ACTIONS(2777),
    [anon_sym_BSLASHiex] = ACTIONS(2777),
    [anon_sym_BSLASHv] = ACTIONS(2777),
    [anon_sym_BSLASHva] = ACTIONS(2777),
    [anon_sym_BSLASHvp] = ACTIONS(2777),
    [anon_sym_BSLASHc] = ACTIONS(2777),
    [anon_sym_BSLASHcl] = ACTIONS(2777),
    [anon_sym_BSLASHca] = ACTIONS(2777),
    [anon_sym_BSLASHcp] = ACTIONS(2777),
    [anon_sym_BSLASHcd] = ACTIONS(2777),
    [anon_sym_BSLASHmte] = ACTIONS(2777),
    [anon_sym_BSLASHms] = ACTIONS(2777),
    [anon_sym_BSLASHs] = ACTIONS(2777),
    [anon_sym_BSLASHr] = ACTIONS(2777),
    [anon_sym_BSLASHsp] = ACTIONS(2777),
    [anon_sym_BSLASHd] = ACTIONS(2777),
    [anon_sym_BSLASHsd] = ACTIONS(2777),
    [anon_sym_BSLASHp] = ACTIONS(2777),
    [anon_sym_BSLASHm] = ACTIONS(2777),
    [anon_sym_BSLASHpo] = ACTIONS(2777),
    [anon_sym_BSLASHpr] = ACTIONS(2777),
    [anon_sym_BSLASHcls] = ACTIONS(2777),
    [anon_sym_BSLASHpmo] = ACTIONS(2777),
    [anon_sym_BSLASHpm] = ACTIONS(2777),
    [anon_sym_BSLASHpmc] = ACTIONS(2777),
    [anon_sym_BSLASHpmr] = ACTIONS(2777),
    [anon_sym_BSLASHpi] = ACTIONS(2777),
    [anon_sym_BSLASHmi] = ACTIONS(2777),
    [anon_sym_BSLASHnb] = ACTIONS(2777),
    [anon_sym_BSLASHpc] = ACTIONS(2777),
    [anon_sym_BSLASHph] = ACTIONS(2777),
    [anon_sym_BSLASHb] = ACTIONS(2777),
    [anon_sym_BSLASHq] = ACTIONS(2777),
    [anon_sym_BSLASHqr] = ACTIONS(2777),
    [anon_sym_BSLASHqc] = ACTIONS(2777),
    [anon_sym_BSLASHqs] = ACTIONS(2777),
    [anon_sym_BSLASHqa] = ACTIONS(2777),
    [anon_sym_BSLASHqac] = ACTIONS(2777),
    [anon_sym_BSLASHqm] = ACTIONS(2777),
    [anon_sym_BSLASHqd] = ACTIONS(2777),
    [anon_sym_BSLASHlh] = ACTIONS(2777),
    [anon_sym_BSLASHli] = ACTIONS(2777),
    [anon_sym_BSLASHlim] = ACTIONS(2777),
    [anon_sym_BSLASHtr] = ACTIONS(2777),
    [anon_sym_BSLASHf] = ACTIONS(2777),
    [anon_sym_BSLASHfe] = ACTIONS(2777),
    [anon_sym_BSLASHef] = ACTIONS(2777),
    [anon_sym_BSLASHfm] = ACTIONS(2777),
    [anon_sym_BSLASHx] = ACTIONS(2777),
    [anon_sym_BSLASHxt] = ACTIONS(2777),
    [anon_sym_BSLASHrq] = ACTIONS(2777),
    [anon_sym_BSLASHadd] = ACTIONS(2777),
    [anon_sym_BSLASHbk] = ACTIONS(2777),
    [anon_sym_BSLASHdc] = ACTIONS(2777),
    [anon_sym_BSLASHk] = ACTIONS(2777),
    [anon_sym_BSLASHnd] = ACTIONS(2777),
    [anon_sym_BSLASHord] = ACTIONS(2777),
    [anon_sym_BSLASHpn] = ACTIONS(2777),
    [anon_sym_BSLASHpng] = ACTIONS(2777),
    [anon_sym_BSLASHaddpn] = ACTIONS(2777),
    [anon_sym_BSLASHqt] = ACTIONS(2777),
    [anon_sym_BSLASHsig] = ACTIONS(2777),
    [anon_sym_BSLASHsls] = ACTIONS(2777),
    [anon_sym_BSLASHtl] = ACTIONS(2777),
    [anon_sym_BSLASHwj] = ACTIONS(2777),
    [anon_sym_BSLASHem] = ACTIONS(2777),
    [anon_sym_BSLASHbd] = ACTIONS(2777),
    [anon_sym_BSLASHit] = ACTIONS(2777),
    [anon_sym_BSLASHbdit] = ACTIONS(2777),
    [anon_sym_BSLASHno] = ACTIONS(2777),
    [anon_sym_BSLASHsc] = ACTIONS(2777),
    [anon_sym_BSLASHsup] = ACTIONS(2777),
    [anon_sym_BSLASHndx] = ACTIONS(2777),
    [anon_sym_BSLASHpro] = ACTIONS(2777),
    [anon_sym_BSLASHrb] = ACTIONS(2777),
    [anon_sym_BSLASHw] = ACTIONS(2777),
    [anon_sym_BSLASHwg] = ACTIONS(2777),
    [anon_sym_BSLASHwh] = ACTIONS(2777),
    [anon_sym_BSLASHwa] = ACTIONS(2777),
    [anon_sym_BSLASHfig] = ACTIONS(2777),
    [anon_sym_BSLASHjmp] = ACTIONS(2777),
    [anon_sym_BSLASHpb] = ACTIONS(2777),
    [anon_sym_BSLASH] = ACTIONS(2777),
    [sym_milestoneStartTag] = ACTIONS(2777),
    [sym_milestoneEndTag] = ACTIONS(2777),
    [sym_zSpaceTag] = ACTIONS(2777),
    [anon_sym_BSLASHesb] = ACTIONS(2777),
  },
  [484] = {
    [ts_builtin_sym_end] = ACTIONS(2767),
    [aux_sym_text_token1] = ACTIONS(2767),
    [anon_sym_BSLASHref] = ACTIONS(2769),
    [anon_sym_BSLASHsts] = ACTIONS(2769),
    [anon_sym_BSLASHrem] = ACTIONS(2769),
    [anon_sym_BSLASHrestore] = ACTIONS(2769),
    [anon_sym_BSLASHlit] = ACTIONS(2769),
    [anon_sym_BSLASHip] = ACTIONS(2769),
    [anon_sym_BSLASHiex] = ACTIONS(2769),
    [anon_sym_BSLASHv] = ACTIONS(2769),
    [anon_sym_BSLASHva] = ACTIONS(2769),
    [anon_sym_BSLASHvp] = ACTIONS(2769),
    [anon_sym_BSLASHc] = ACTIONS(2769),
    [anon_sym_BSLASHcl] = ACTIONS(2769),
    [anon_sym_BSLASHca] = ACTIONS(2769),
    [anon_sym_BSLASHcp] = ACTIONS(2769),
    [anon_sym_BSLASHcd] = ACTIONS(2769),
    [anon_sym_BSLASHmte] = ACTIONS(2769),
    [anon_sym_BSLASHms] = ACTIONS(2769),
    [anon_sym_BSLASHs] = ACTIONS(2769),
    [anon_sym_BSLASHr] = ACTIONS(2769),
    [anon_sym_BSLASHsp] = ACTIONS(2769),
    [anon_sym_BSLASHd] = ACTIONS(2769),
    [anon_sym_BSLASHsd] = ACTIONS(2769),
    [anon_sym_BSLASHp] = ACTIONS(2769),
    [anon_sym_BSLASHm] = ACTIONS(2769),
    [anon_sym_BSLASHpo] = ACTIONS(2769),
    [anon_sym_BSLASHpr] = ACTIONS(2769),
    [anon_sym_BSLASHcls] = ACTIONS(2769),
    [anon_sym_BSLASHpmo] = ACTIONS(2769),
    [anon_sym_BSLASHpm] = ACTIONS(2769),
    [anon_sym_BSLASHpmc] = ACTIONS(2769),
    [anon_sym_BSLASHpmr] = ACTIONS(2769),
    [anon_sym_BSLASHpi] = ACTIONS(2769),
    [anon_sym_BSLASHmi] = ACTIONS(2769),
    [anon_sym_BSLASHnb] = ACTIONS(2769),
    [anon_sym_BSLASHpc] = ACTIONS(2769),
    [anon_sym_BSLASHph] = ACTIONS(2769),
    [anon_sym_BSLASHb] = ACTIONS(2769),
    [anon_sym_BSLASHq] = ACTIONS(2769),
    [anon_sym_BSLASHqr] = ACTIONS(2769),
    [anon_sym_BSLASHqc] = ACTIONS(2769),
    [anon_sym_BSLASHqs] = ACTIONS(2769),
    [anon_sym_BSLASHqa] = ACTIONS(2769),
    [anon_sym_BSLASHqac] = ACTIONS(2769),
    [anon_sym_BSLASHqm] = ACTIONS(2769),
    [anon_sym_BSLASHqd] = ACTIONS(2769),
    [anon_sym_BSLASHlh] = ACTIONS(2769),
    [anon_sym_BSLASHli] = ACTIONS(2769),
    [anon_sym_BSLASHlim] = ACTIONS(2769),
    [anon_sym_BSLASHtr] = ACTIONS(2769),
    [anon_sym_BSLASHf] = ACTIONS(2769),
    [anon_sym_BSLASHfe] = ACTIONS(2769),
    [anon_sym_BSLASHef] = ACTIONS(2769),
    [anon_sym_BSLASHfm] = ACTIONS(2769),
    [anon_sym_BSLASHx] = ACTIONS(2769),
    [anon_sym_BSLASHxt] = ACTIONS(2769),
    [anon_sym_BSLASHrq] = ACTIONS(2769),
    [anon_sym_BSLASHadd] = ACTIONS(2769),
    [anon_sym_BSLASHbk] = ACTIONS(2769),
    [anon_sym_BSLASHdc] = ACTIONS(2769),
    [anon_sym_BSLASHk] = ACTIONS(2769),
    [anon_sym_BSLASHnd] = ACTIONS(2769),
    [anon_sym_BSLASHord] = ACTIONS(2769),
    [anon_sym_BSLASHpn] = ACTIONS(2769),
    [anon_sym_BSLASHpng] = ACTIONS(2769),
    [anon_sym_BSLASHaddpn] = ACTIONS(2769),
    [anon_sym_BSLASHqt] = ACTIONS(2769),
    [anon_sym_BSLASHsig] = ACTIONS(2769),
    [anon_sym_BSLASHsls] = ACTIONS(2769),
    [anon_sym_BSLASHtl] = ACTIONS(2769),
    [anon_sym_BSLASHwj] = ACTIONS(2769),
    [anon_sym_BSLASHem] = ACTIONS(2769),
    [anon_sym_BSLASHbd] = ACTIONS(2769),
    [anon_sym_BSLASHit] = ACTIONS(2769),
    [anon_sym_BSLASHbdit] = ACTIONS(2769),
    [anon_sym_BSLASHno] = ACTIONS(2769),
    [anon_sym_BSLASHsc] = ACTIONS(2769),
    [anon_sym_BSLASHsup] = ACTIONS(2769),
    [anon_sym_BSLASHndx] = ACTIONS(2769),
    [anon_sym_BSLASHpro] = ACTIONS(2769),
    [anon_sym_BSLASHrb] = ACTIONS(2769),
    [anon_sym_BSLASHw] = ACTIONS(2769),
    [anon_sym_BSLASHwg] = ACTIONS(2769),
    [anon_sym_BSLASHwh] = ACTIONS(2769),
    [anon_sym_BSLASHwa] = ACTIONS(2769),
    [anon_sym_BSLASHfig] = ACTIONS(2769),
    [anon_sym_BSLASHjmp] = ACTIONS(2769),
    [anon_sym_BSLASHpb] = ACTIONS(2769),
    [anon_sym_BSLASH] = ACTIONS(2769),
    [sym_milestoneStartTag] = ACTIONS(2769),
    [sym_milestoneEndTag] = ACTIONS(2769),
    [sym_zSpaceTag] = ACTIONS(2769),
    [anon_sym_BSLASHesb] = ACTIONS(2769),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(2763),
    [aux_sym_text_token1] = ACTIONS(2763),
    [anon_sym_BSLASHref] = ACTIONS(2765),
    [anon_sym_BSLASHsts] = ACTIONS(2765),
    [anon_sym_BSLASHrem] = ACTIONS(2765),
    [anon_sym_BSLASHrestore] = ACTIONS(2765),
    [anon_sym_BSLASHlit] = ACTIONS(2765),
    [anon_sym_BSLASHip] = ACTIONS(2765),
    [anon_sym_BSLASHiex] = ACTIONS(2765),
    [anon_sym_BSLASHv] = ACTIONS(2765),
    [anon_sym_BSLASHva] = ACTIONS(2765),
    [anon_sym_BSLASHvp] = ACTIONS(2765),
    [anon_sym_BSLASHc] = ACTIONS(2765),
    [anon_sym_BSLASHcl] = ACTIONS(2765),
    [anon_sym_BSLASHca] = ACTIONS(2765),
    [anon_sym_BSLASHcp] = ACTIONS(2765),
    [anon_sym_BSLASHcd] = ACTIONS(2765),
    [anon_sym_BSLASHmte] = ACTIONS(2765),
    [anon_sym_BSLASHms] = ACTIONS(2765),
    [anon_sym_BSLASHs] = ACTIONS(2765),
    [anon_sym_BSLASHr] = ACTIONS(2765),
    [anon_sym_BSLASHsp] = ACTIONS(2765),
    [anon_sym_BSLASHd] = ACTIONS(2765),
    [anon_sym_BSLASHsd] = ACTIONS(2765),
    [anon_sym_BSLASHp] = ACTIONS(2765),
    [anon_sym_BSLASHm] = ACTIONS(2765),
    [anon_sym_BSLASHpo] = ACTIONS(2765),
    [anon_sym_BSLASHpr] = ACTIONS(2765),
    [anon_sym_BSLASHcls] = ACTIONS(2765),
    [anon_sym_BSLASHpmo] = ACTIONS(2765),
    [anon_sym_BSLASHpm] = ACTIONS(2765),
    [anon_sym_BSLASHpmc] = ACTIONS(2765),
    [anon_sym_BSLASHpmr] = ACTIONS(2765),
    [anon_sym_BSLASHpi] = ACTIONS(2765),
    [anon_sym_BSLASHmi] = ACTIONS(2765),
    [anon_sym_BSLASHnb] = ACTIONS(2765),
    [anon_sym_BSLASHpc] = ACTIONS(2765),
    [anon_sym_BSLASHph] = ACTIONS(2765),
    [anon_sym_BSLASHb] = ACTIONS(2765),
    [anon_sym_BSLASHq] = ACTIONS(2765),
    [anon_sym_BSLASHqr] = ACTIONS(2765),
    [anon_sym_BSLASHqc] = ACTIONS(2765),
    [anon_sym_BSLASHqs] = ACTIONS(2765),
    [anon_sym_BSLASHqa] = ACTIONS(2765),
    [anon_sym_BSLASHqac] = ACTIONS(2765),
    [anon_sym_BSLASHqm] = ACTIONS(2765),
    [anon_sym_BSLASHqd] = ACTIONS(2765),
    [anon_sym_BSLASHlh] = ACTIONS(2765),
    [anon_sym_BSLASHli] = ACTIONS(2765),
    [anon_sym_BSLASHlim] = ACTIONS(2765),
    [anon_sym_BSLASHtr] = ACTIONS(2765),
    [anon_sym_BSLASHf] = ACTIONS(2765),
    [anon_sym_BSLASHfe] = ACTIONS(2765),
    [anon_sym_BSLASHef] = ACTIONS(2765),
    [anon_sym_BSLASHfm] = ACTIONS(2765),
    [anon_sym_BSLASHx] = ACTIONS(2765),
    [anon_sym_BSLASHxt] = ACTIONS(2765),
    [anon_sym_BSLASHrq] = ACTIONS(2765),
    [anon_sym_BSLASHadd] = ACTIONS(2765),
    [anon_sym_BSLASHbk] = ACTIONS(2765),
    [anon_sym_BSLASHdc] = ACTIONS(2765),
    [anon_sym_BSLASHk] = ACTIONS(2765),
    [anon_sym_BSLASHnd] = ACTIONS(2765),
    [anon_sym_BSLASHord] = ACTIONS(2765),
    [anon_sym_BSLASHpn] = ACTIONS(2765),
    [anon_sym_BSLASHpng] = ACTIONS(2765),
    [anon_sym_BSLASHaddpn] = ACTIONS(2765),
    [anon_sym_BSLASHqt] = ACTIONS(2765),
    [anon_sym_BSLASHsig] = ACTIONS(2765),
    [anon_sym_BSLASHsls] = ACTIONS(2765),
    [anon_sym_BSLASHtl] = ACTIONS(2765),
    [anon_sym_BSLASHwj] = ACTIONS(2765),
    [anon_sym_BSLASHem] = ACTIONS(2765),
    [anon_sym_BSLASHbd] = ACTIONS(2765),
    [anon_sym_BSLASHit] = ACTIONS(2765),
    [anon_sym_BSLASHbdit] = ACTIONS(2765),
    [anon_sym_BSLASHno] = ACTIONS(2765),
    [anon_sym_BSLASHsc] = ACTIONS(2765),
    [anon_sym_BSLASHsup] = ACTIONS(2765),
    [anon_sym_BSLASHndx] = ACTIONS(2765),
    [anon_sym_BSLASHpro] = ACTIONS(2765),
    [anon_sym_BSLASHrb] = ACTIONS(2765),
    [anon_sym_BSLASHw] = ACTIONS(2765),
    [anon_sym_BSLASHwg] = ACTIONS(2765),
    [anon_sym_BSLASHwh] = ACTIONS(2765),
    [anon_sym_BSLASHwa] = ACTIONS(2765),
    [anon_sym_BSLASHfig] = ACTIONS(2765),
    [anon_sym_BSLASHjmp] = ACTIONS(2765),
    [anon_sym_BSLASHpb] = ACTIONS(2765),
    [anon_sym_BSLASH] = ACTIONS(2765),
    [sym_milestoneStartTag] = ACTIONS(2765),
    [sym_milestoneEndTag] = ACTIONS(2765),
    [sym_zSpaceTag] = ACTIONS(2765),
    [anon_sym_BSLASHesb] = ACTIONS(2765),
  },
  [486] = {
    [ts_builtin_sym_end] = ACTIONS(2759),
    [aux_sym_text_token1] = ACTIONS(2759),
    [anon_sym_BSLASHref] = ACTIONS(2761),
    [anon_sym_BSLASHsts] = ACTIONS(2761),
    [anon_sym_BSLASHrem] = ACTIONS(2761),
    [anon_sym_BSLASHrestore] = ACTIONS(2761),
    [anon_sym_BSLASHlit] = ACTIONS(2761),
    [anon_sym_BSLASHip] = ACTIONS(2761),
    [anon_sym_BSLASHiex] = ACTIONS(2761),
    [anon_sym_BSLASHv] = ACTIONS(2761),
    [anon_sym_BSLASHva] = ACTIONS(2761),
    [anon_sym_BSLASHvp] = ACTIONS(2761),
    [anon_sym_BSLASHc] = ACTIONS(2761),
    [anon_sym_BSLASHcl] = ACTIONS(2761),
    [anon_sym_BSLASHca] = ACTIONS(2761),
    [anon_sym_BSLASHcp] = ACTIONS(2761),
    [anon_sym_BSLASHcd] = ACTIONS(2761),
    [anon_sym_BSLASHmte] = ACTIONS(2761),
    [anon_sym_BSLASHms] = ACTIONS(2761),
    [anon_sym_BSLASHs] = ACTIONS(2761),
    [anon_sym_BSLASHr] = ACTIONS(2761),
    [anon_sym_BSLASHsp] = ACTIONS(2761),
    [anon_sym_BSLASHd] = ACTIONS(2761),
    [anon_sym_BSLASHsd] = ACTIONS(2761),
    [anon_sym_BSLASHp] = ACTIONS(2761),
    [anon_sym_BSLASHm] = ACTIONS(2761),
    [anon_sym_BSLASHpo] = ACTIONS(2761),
    [anon_sym_BSLASHpr] = ACTIONS(2761),
    [anon_sym_BSLASHcls] = ACTIONS(2761),
    [anon_sym_BSLASHpmo] = ACTIONS(2761),
    [anon_sym_BSLASHpm] = ACTIONS(2761),
    [anon_sym_BSLASHpmc] = ACTIONS(2761),
    [anon_sym_BSLASHpmr] = ACTIONS(2761),
    [anon_sym_BSLASHpi] = ACTIONS(2761),
    [anon_sym_BSLASHmi] = ACTIONS(2761),
    [anon_sym_BSLASHnb] = ACTIONS(2761),
    [anon_sym_BSLASHpc] = ACTIONS(2761),
    [anon_sym_BSLASHph] = ACTIONS(2761),
    [anon_sym_BSLASHb] = ACTIONS(2761),
    [anon_sym_BSLASHq] = ACTIONS(2761),
    [anon_sym_BSLASHqr] = ACTIONS(2761),
    [anon_sym_BSLASHqc] = ACTIONS(2761),
    [anon_sym_BSLASHqs] = ACTIONS(2761),
    [anon_sym_BSLASHqa] = ACTIONS(2761),
    [anon_sym_BSLASHqac] = ACTIONS(2761),
    [anon_sym_BSLASHqm] = ACTIONS(2761),
    [anon_sym_BSLASHqd] = ACTIONS(2761),
    [anon_sym_BSLASHlh] = ACTIONS(2761),
    [anon_sym_BSLASHli] = ACTIONS(2761),
    [anon_sym_BSLASHlim] = ACTIONS(2761),
    [anon_sym_BSLASHtr] = ACTIONS(2761),
    [anon_sym_BSLASHf] = ACTIONS(2761),
    [anon_sym_BSLASHfe] = ACTIONS(2761),
    [anon_sym_BSLASHef] = ACTIONS(2761),
    [anon_sym_BSLASHfm] = ACTIONS(2761),
    [anon_sym_BSLASHx] = ACTIONS(2761),
    [anon_sym_BSLASHxt] = ACTIONS(2761),
    [anon_sym_BSLASHrq] = ACTIONS(2761),
    [anon_sym_BSLASHadd] = ACTIONS(2761),
    [anon_sym_BSLASHbk] = ACTIONS(2761),
    [anon_sym_BSLASHdc] = ACTIONS(2761),
    [anon_sym_BSLASHk] = ACTIONS(2761),
    [anon_sym_BSLASHnd] = ACTIONS(2761),
    [anon_sym_BSLASHord] = ACTIONS(2761),
    [anon_sym_BSLASHpn] = ACTIONS(2761),
    [anon_sym_BSLASHpng] = ACTIONS(2761),
    [anon_sym_BSLASHaddpn] = ACTIONS(2761),
    [anon_sym_BSLASHqt] = ACTIONS(2761),
    [anon_sym_BSLASHsig] = ACTIONS(2761),
    [anon_sym_BSLASHsls] = ACTIONS(2761),
    [anon_sym_BSLASHtl] = ACTIONS(2761),
    [anon_sym_BSLASHwj] = ACTIONS(2761),
    [anon_sym_BSLASHem] = ACTIONS(2761),
    [anon_sym_BSLASHbd] = ACTIONS(2761),
    [anon_sym_BSLASHit] = ACTIONS(2761),
    [anon_sym_BSLASHbdit] = ACTIONS(2761),
    [anon_sym_BSLASHno] = ACTIONS(2761),
    [anon_sym_BSLASHsc] = ACTIONS(2761),
    [anon_sym_BSLASHsup] = ACTIONS(2761),
    [anon_sym_BSLASHndx] = ACTIONS(2761),
    [anon_sym_BSLASHpro] = ACTIONS(2761),
    [anon_sym_BSLASHrb] = ACTIONS(2761),
    [anon_sym_BSLASHw] = ACTIONS(2761),
    [anon_sym_BSLASHwg] = ACTIONS(2761),
    [anon_sym_BSLASHwh] = ACTIONS(2761),
    [anon_sym_BSLASHwa] = ACTIONS(2761),
    [anon_sym_BSLASHfig] = ACTIONS(2761),
    [anon_sym_BSLASHjmp] = ACTIONS(2761),
    [anon_sym_BSLASHpb] = ACTIONS(2761),
    [anon_sym_BSLASH] = ACTIONS(2761),
    [sym_milestoneStartTag] = ACTIONS(2761),
    [sym_milestoneEndTag] = ACTIONS(2761),
    [sym_zSpaceTag] = ACTIONS(2761),
    [anon_sym_BSLASHesb] = ACTIONS(2761),
  },
  [487] = {
    [ts_builtin_sym_end] = ACTIONS(25),
    [aux_sym_text_token1] = ACTIONS(25),
    [anon_sym_BSLASHref] = ACTIONS(27),
    [anon_sym_BSLASHsts] = ACTIONS(27),
    [anon_sym_BSLASHrem] = ACTIONS(27),
    [anon_sym_BSLASHrestore] = ACTIONS(27),
    [anon_sym_BSLASHlit] = ACTIONS(27),
    [anon_sym_BSLASHip] = ACTIONS(27),
    [anon_sym_BSLASHiex] = ACTIONS(27),
    [anon_sym_BSLASHv] = ACTIONS(27),
    [anon_sym_BSLASHva] = ACTIONS(27),
    [anon_sym_BSLASHvp] = ACTIONS(27),
    [anon_sym_BSLASHc] = ACTIONS(27),
    [anon_sym_BSLASHcl] = ACTIONS(27),
    [anon_sym_BSLASHca] = ACTIONS(27),
    [anon_sym_BSLASHcp] = ACTIONS(27),
    [anon_sym_BSLASHcd] = ACTIONS(27),
    [anon_sym_BSLASHmte] = ACTIONS(27),
    [anon_sym_BSLASHms] = ACTIONS(27),
    [anon_sym_BSLASHs] = ACTIONS(27),
    [anon_sym_BSLASHr] = ACTIONS(27),
    [anon_sym_BSLASHsp] = ACTIONS(27),
    [anon_sym_BSLASHd] = ACTIONS(27),
    [anon_sym_BSLASHsd] = ACTIONS(27),
    [anon_sym_BSLASHp] = ACTIONS(27),
    [anon_sym_BSLASHm] = ACTIONS(27),
    [anon_sym_BSLASHpo] = ACTIONS(27),
    [anon_sym_BSLASHpr] = ACTIONS(27),
    [anon_sym_BSLASHcls] = ACTIONS(27),
    [anon_sym_BSLASHpmo] = ACTIONS(27),
    [anon_sym_BSLASHpm] = ACTIONS(27),
    [anon_sym_BSLASHpmc] = ACTIONS(27),
    [anon_sym_BSLASHpmr] = ACTIONS(27),
    [anon_sym_BSLASHpi] = ACTIONS(27),
    [anon_sym_BSLASHmi] = ACTIONS(27),
    [anon_sym_BSLASHnb] = ACTIONS(27),
    [anon_sym_BSLASHpc] = ACTIONS(27),
    [anon_sym_BSLASHph] = ACTIONS(27),
    [anon_sym_BSLASHb] = ACTIONS(27),
    [anon_sym_BSLASHq] = ACTIONS(27),
    [anon_sym_BSLASHqr] = ACTIONS(27),
    [anon_sym_BSLASHqc] = ACTIONS(27),
    [anon_sym_BSLASHqs] = ACTIONS(27),
    [anon_sym_BSLASHqa] = ACTIONS(27),
    [anon_sym_BSLASHqac] = ACTIONS(27),
    [anon_sym_BSLASHqm] = ACTIONS(27),
    [anon_sym_BSLASHqd] = ACTIONS(27),
    [anon_sym_BSLASHlh] = ACTIONS(27),
    [anon_sym_BSLASHli] = ACTIONS(27),
    [anon_sym_BSLASHlim] = ACTIONS(27),
    [anon_sym_BSLASHtr] = ACTIONS(27),
    [anon_sym_BSLASHf] = ACTIONS(27),
    [anon_sym_BSLASHfe] = ACTIONS(27),
    [anon_sym_BSLASHef] = ACTIONS(27),
    [anon_sym_BSLASHfm] = ACTIONS(27),
    [anon_sym_BSLASHx] = ACTIONS(27),
    [anon_sym_BSLASHxt] = ACTIONS(27),
    [anon_sym_BSLASHrq] = ACTIONS(27),
    [anon_sym_BSLASHadd] = ACTIONS(27),
    [anon_sym_BSLASHbk] = ACTIONS(27),
    [anon_sym_BSLASHdc] = ACTIONS(27),
    [anon_sym_BSLASHk] = ACTIONS(27),
    [anon_sym_BSLASHnd] = ACTIONS(27),
    [anon_sym_BSLASHord] = ACTIONS(27),
    [anon_sym_BSLASHpn] = ACTIONS(27),
    [anon_sym_BSLASHpng] = ACTIONS(27),
    [anon_sym_BSLASHaddpn] = ACTIONS(27),
    [anon_sym_BSLASHqt] = ACTIONS(27),
    [anon_sym_BSLASHsig] = ACTIONS(27),
    [anon_sym_BSLASHsls] = ACTIONS(27),
    [anon_sym_BSLASHtl] = ACTIONS(27),
    [anon_sym_BSLASHwj] = ACTIONS(27),
    [anon_sym_BSLASHem] = ACTIONS(27),
    [anon_sym_BSLASHbd] = ACTIONS(27),
    [anon_sym_BSLASHit] = ACTIONS(27),
    [anon_sym_BSLASHbdit] = ACTIONS(27),
    [anon_sym_BSLASHno] = ACTIONS(27),
    [anon_sym_BSLASHsc] = ACTIONS(27),
    [anon_sym_BSLASHsup] = ACTIONS(27),
    [anon_sym_BSLASHndx] = ACTIONS(27),
    [anon_sym_BSLASHpro] = ACTIONS(27),
    [anon_sym_BSLASHrb] = ACTIONS(27),
    [anon_sym_BSLASHw] = ACTIONS(27),
    [anon_sym_BSLASHwg] = ACTIONS(27),
    [anon_sym_BSLASHwh] = ACTIONS(27),
    [anon_sym_BSLASHwa] = ACTIONS(27),
    [anon_sym_BSLASHfig] = ACTIONS(27),
    [anon_sym_BSLASHjmp] = ACTIONS(27),
    [anon_sym_BSLASHpb] = ACTIONS(27),
    [anon_sym_BSLASH] = ACTIONS(27),
    [sym_milestoneStartTag] = ACTIONS(27),
    [sym_milestoneEndTag] = ACTIONS(27),
    [sym_zSpaceTag] = ACTIONS(27),
    [anon_sym_BSLASHesb] = ACTIONS(27),
  },
  [488] = {
    [ts_builtin_sym_end] = ACTIONS(2703),
    [aux_sym_text_token1] = ACTIONS(2703),
    [anon_sym_BSLASHref] = ACTIONS(2705),
    [anon_sym_BSLASHsts] = ACTIONS(2705),
    [anon_sym_BSLASHrem] = ACTIONS(2705),
    [anon_sym_BSLASHrestore] = ACTIONS(2705),
    [anon_sym_BSLASHlit] = ACTIONS(2705),
    [anon_sym_BSLASHip] = ACTIONS(2705),
    [anon_sym_BSLASHiex] = ACTIONS(2705),
    [anon_sym_BSLASHv] = ACTIONS(2705),
    [anon_sym_BSLASHva] = ACTIONS(2705),
    [anon_sym_BSLASHvp] = ACTIONS(2705),
    [anon_sym_BSLASHc] = ACTIONS(2705),
    [anon_sym_BSLASHcl] = ACTIONS(2705),
    [anon_sym_BSLASHca] = ACTIONS(2705),
    [anon_sym_BSLASHcp] = ACTIONS(2705),
    [anon_sym_BSLASHcd] = ACTIONS(2705),
    [anon_sym_BSLASHmte] = ACTIONS(2705),
    [anon_sym_BSLASHms] = ACTIONS(2705),
    [anon_sym_BSLASHs] = ACTIONS(2705),
    [anon_sym_BSLASHr] = ACTIONS(2705),
    [anon_sym_BSLASHsp] = ACTIONS(2705),
    [anon_sym_BSLASHd] = ACTIONS(2705),
    [anon_sym_BSLASHsd] = ACTIONS(2705),
    [anon_sym_BSLASHp] = ACTIONS(2705),
    [anon_sym_BSLASHm] = ACTIONS(2705),
    [anon_sym_BSLASHpo] = ACTIONS(2705),
    [anon_sym_BSLASHpr] = ACTIONS(2705),
    [anon_sym_BSLASHcls] = ACTIONS(2705),
    [anon_sym_BSLASHpmo] = ACTIONS(2705),
    [anon_sym_BSLASHpm] = ACTIONS(2705),
    [anon_sym_BSLASHpmc] = ACTIONS(2705),
    [anon_sym_BSLASHpmr] = ACTIONS(2705),
    [anon_sym_BSLASHpi] = ACTIONS(2705),
    [anon_sym_BSLASHmi] = ACTIONS(2705),
    [anon_sym_BSLASHnb] = ACTIONS(2705),
    [anon_sym_BSLASHpc] = ACTIONS(2705),
    [anon_sym_BSLASHph] = ACTIONS(2705),
    [anon_sym_BSLASHb] = ACTIONS(2705),
    [anon_sym_BSLASHq] = ACTIONS(2705),
    [anon_sym_BSLASHqr] = ACTIONS(2705),
    [anon_sym_BSLASHqc] = ACTIONS(2705),
    [anon_sym_BSLASHqs] = ACTIONS(2705),
    [anon_sym_BSLASHqa] = ACTIONS(2705),
    [anon_sym_BSLASHqac] = ACTIONS(2705),
    [anon_sym_BSLASHqm] = ACTIONS(2705),
    [anon_sym_BSLASHqd] = ACTIONS(2705),
    [anon_sym_BSLASHlh] = ACTIONS(2705),
    [anon_sym_BSLASHli] = ACTIONS(2705),
    [anon_sym_BSLASHlim] = ACTIONS(2705),
    [anon_sym_BSLASHtr] = ACTIONS(2705),
    [anon_sym_BSLASHf] = ACTIONS(2705),
    [anon_sym_BSLASHfe] = ACTIONS(2705),
    [anon_sym_BSLASHef] = ACTIONS(2705),
    [anon_sym_BSLASHfm] = ACTIONS(2705),
    [anon_sym_BSLASHx] = ACTIONS(2705),
    [anon_sym_BSLASHxt] = ACTIONS(2705),
    [anon_sym_BSLASHrq] = ACTIONS(2705),
    [anon_sym_BSLASHadd] = ACTIONS(2705),
    [anon_sym_BSLASHbk] = ACTIONS(2705),
    [anon_sym_BSLASHdc] = ACTIONS(2705),
    [anon_sym_BSLASHk] = ACTIONS(2705),
    [anon_sym_BSLASHnd] = ACTIONS(2705),
    [anon_sym_BSLASHord] = ACTIONS(2705),
    [anon_sym_BSLASHpn] = ACTIONS(2705),
    [anon_sym_BSLASHpng] = ACTIONS(2705),
    [anon_sym_BSLASHaddpn] = ACTIONS(2705),
    [anon_sym_BSLASHqt] = ACTIONS(2705),
    [anon_sym_BSLASHsig] = ACTIONS(2705),
    [anon_sym_BSLASHsls] = ACTIONS(2705),
    [anon_sym_BSLASHtl] = ACTIONS(2705),
    [anon_sym_BSLASHwj] = ACTIONS(2705),
    [anon_sym_BSLASHem] = ACTIONS(2705),
    [anon_sym_BSLASHbd] = ACTIONS(2705),
    [anon_sym_BSLASHit] = ACTIONS(2705),
    [anon_sym_BSLASHbdit] = ACTIONS(2705),
    [anon_sym_BSLASHno] = ACTIONS(2705),
    [anon_sym_BSLASHsc] = ACTIONS(2705),
    [anon_sym_BSLASHsup] = ACTIONS(2705),
    [anon_sym_BSLASHndx] = ACTIONS(2705),
    [anon_sym_BSLASHpro] = ACTIONS(2705),
    [anon_sym_BSLASHrb] = ACTIONS(2705),
    [anon_sym_BSLASHw] = ACTIONS(2705),
    [anon_sym_BSLASHwg] = ACTIONS(2705),
    [anon_sym_BSLASHwh] = ACTIONS(2705),
    [anon_sym_BSLASHwa] = ACTIONS(2705),
    [anon_sym_BSLASHfig] = ACTIONS(2705),
    [anon_sym_BSLASHjmp] = ACTIONS(2705),
    [anon_sym_BSLASHpb] = ACTIONS(2705),
    [anon_sym_BSLASH] = ACTIONS(2705),
    [sym_milestoneStartTag] = ACTIONS(2705),
    [sym_milestoneEndTag] = ACTIONS(2705),
    [sym_zSpaceTag] = ACTIONS(2705),
    [anon_sym_BSLASHesb] = ACTIONS(2705),
  },
  [489] = {
    [ts_builtin_sym_end] = ACTIONS(2699),
    [aux_sym_text_token1] = ACTIONS(2699),
    [anon_sym_BSLASHref] = ACTIONS(2701),
    [anon_sym_BSLASHsts] = ACTIONS(2701),
    [anon_sym_BSLASHrem] = ACTIONS(2701),
    [anon_sym_BSLASHrestore] = ACTIONS(2701),
    [anon_sym_BSLASHlit] = ACTIONS(2701),
    [anon_sym_BSLASHip] = ACTIONS(2701),
    [anon_sym_BSLASHiex] = ACTIONS(2701),
    [anon_sym_BSLASHv] = ACTIONS(2701),
    [anon_sym_BSLASHva] = ACTIONS(2701),
    [anon_sym_BSLASHvp] = ACTIONS(2701),
    [anon_sym_BSLASHc] = ACTIONS(2701),
    [anon_sym_BSLASHcl] = ACTIONS(2701),
    [anon_sym_BSLASHca] = ACTIONS(2701),
    [anon_sym_BSLASHcp] = ACTIONS(2701),
    [anon_sym_BSLASHcd] = ACTIONS(2701),
    [anon_sym_BSLASHmte] = ACTIONS(2701),
    [anon_sym_BSLASHms] = ACTIONS(2701),
    [anon_sym_BSLASHs] = ACTIONS(2701),
    [anon_sym_BSLASHr] = ACTIONS(2701),
    [anon_sym_BSLASHsp] = ACTIONS(2701),
    [anon_sym_BSLASHd] = ACTIONS(2701),
    [anon_sym_BSLASHsd] = ACTIONS(2701),
    [anon_sym_BSLASHp] = ACTIONS(2701),
    [anon_sym_BSLASHm] = ACTIONS(2701),
    [anon_sym_BSLASHpo] = ACTIONS(2701),
    [anon_sym_BSLASHpr] = ACTIONS(2701),
    [anon_sym_BSLASHcls] = ACTIONS(2701),
    [anon_sym_BSLASHpmo] = ACTIONS(2701),
    [anon_sym_BSLASHpm] = ACTIONS(2701),
    [anon_sym_BSLASHpmc] = ACTIONS(2701),
    [anon_sym_BSLASHpmr] = ACTIONS(2701),
    [anon_sym_BSLASHpi] = ACTIONS(2701),
    [anon_sym_BSLASHmi] = ACTIONS(2701),
    [anon_sym_BSLASHnb] = ACTIONS(2701),
    [anon_sym_BSLASHpc] = ACTIONS(2701),
    [anon_sym_BSLASHph] = ACTIONS(2701),
    [anon_sym_BSLASHb] = ACTIONS(2701),
    [anon_sym_BSLASHq] = ACTIONS(2701),
    [anon_sym_BSLASHqr] = ACTIONS(2701),
    [anon_sym_BSLASHqc] = ACTIONS(2701),
    [anon_sym_BSLASHqs] = ACTIONS(2701),
    [anon_sym_BSLASHqa] = ACTIONS(2701),
    [anon_sym_BSLASHqac] = ACTIONS(2701),
    [anon_sym_BSLASHqm] = ACTIONS(2701),
    [anon_sym_BSLASHqd] = ACTIONS(2701),
    [anon_sym_BSLASHlh] = ACTIONS(2701),
    [anon_sym_BSLASHli] = ACTIONS(2701),
    [anon_sym_BSLASHlim] = ACTIONS(2701),
    [anon_sym_BSLASHtr] = ACTIONS(2701),
    [anon_sym_BSLASHf] = ACTIONS(2701),
    [anon_sym_BSLASHfe] = ACTIONS(2701),
    [anon_sym_BSLASHef] = ACTIONS(2701),
    [anon_sym_BSLASHfm] = ACTIONS(2701),
    [anon_sym_BSLASHx] = ACTIONS(2701),
    [anon_sym_BSLASHxt] = ACTIONS(2701),
    [anon_sym_BSLASHrq] = ACTIONS(2701),
    [anon_sym_BSLASHadd] = ACTIONS(2701),
    [anon_sym_BSLASHbk] = ACTIONS(2701),
    [anon_sym_BSLASHdc] = ACTIONS(2701),
    [anon_sym_BSLASHk] = ACTIONS(2701),
    [anon_sym_BSLASHnd] = ACTIONS(2701),
    [anon_sym_BSLASHord] = ACTIONS(2701),
    [anon_sym_BSLASHpn] = ACTIONS(2701),
    [anon_sym_BSLASHpng] = ACTIONS(2701),
    [anon_sym_BSLASHaddpn] = ACTIONS(2701),
    [anon_sym_BSLASHqt] = ACTIONS(2701),
    [anon_sym_BSLASHsig] = ACTIONS(2701),
    [anon_sym_BSLASHsls] = ACTIONS(2701),
    [anon_sym_BSLASHtl] = ACTIONS(2701),
    [anon_sym_BSLASHwj] = ACTIONS(2701),
    [anon_sym_BSLASHem] = ACTIONS(2701),
    [anon_sym_BSLASHbd] = ACTIONS(2701),
    [anon_sym_BSLASHit] = ACTIONS(2701),
    [anon_sym_BSLASHbdit] = ACTIONS(2701),
    [anon_sym_BSLASHno] = ACTIONS(2701),
    [anon_sym_BSLASHsc] = ACTIONS(2701),
    [anon_sym_BSLASHsup] = ACTIONS(2701),
    [anon_sym_BSLASHndx] = ACTIONS(2701),
    [anon_sym_BSLASHpro] = ACTIONS(2701),
    [anon_sym_BSLASHrb] = ACTIONS(2701),
    [anon_sym_BSLASHw] = ACTIONS(2701),
    [anon_sym_BSLASHwg] = ACTIONS(2701),
    [anon_sym_BSLASHwh] = ACTIONS(2701),
    [anon_sym_BSLASHwa] = ACTIONS(2701),
    [anon_sym_BSLASHfig] = ACTIONS(2701),
    [anon_sym_BSLASHjmp] = ACTIONS(2701),
    [anon_sym_BSLASHpb] = ACTIONS(2701),
    [anon_sym_BSLASH] = ACTIONS(2701),
    [sym_milestoneStartTag] = ACTIONS(2701),
    [sym_milestoneEndTag] = ACTIONS(2701),
    [sym_zSpaceTag] = ACTIONS(2701),
    [anon_sym_BSLASHesb] = ACTIONS(2701),
  },
  [490] = {
    [ts_builtin_sym_end] = ACTIONS(502),
    [aux_sym_text_token1] = ACTIONS(502),
    [anon_sym_BSLASHref] = ACTIONS(504),
    [anon_sym_BSLASHsts] = ACTIONS(504),
    [anon_sym_BSLASHrem] = ACTIONS(504),
    [anon_sym_BSLASHrestore] = ACTIONS(504),
    [anon_sym_BSLASHlit] = ACTIONS(504),
    [anon_sym_BSLASHip] = ACTIONS(504),
    [anon_sym_BSLASHiex] = ACTIONS(504),
    [anon_sym_BSLASHv] = ACTIONS(504),
    [anon_sym_BSLASHva] = ACTIONS(504),
    [anon_sym_BSLASHvp] = ACTIONS(504),
    [anon_sym_BSLASHc] = ACTIONS(504),
    [anon_sym_BSLASHcl] = ACTIONS(504),
    [anon_sym_BSLASHca] = ACTIONS(504),
    [anon_sym_BSLASHcp] = ACTIONS(504),
    [anon_sym_BSLASHcd] = ACTIONS(504),
    [anon_sym_BSLASHmte] = ACTIONS(504),
    [anon_sym_BSLASHms] = ACTIONS(504),
    [anon_sym_BSLASHs] = ACTIONS(504),
    [anon_sym_BSLASHr] = ACTIONS(504),
    [anon_sym_BSLASHsp] = ACTIONS(504),
    [anon_sym_BSLASHd] = ACTIONS(504),
    [anon_sym_BSLASHsd] = ACTIONS(504),
    [anon_sym_BSLASHp] = ACTIONS(504),
    [anon_sym_BSLASHm] = ACTIONS(504),
    [anon_sym_BSLASHpo] = ACTIONS(504),
    [anon_sym_BSLASHpr] = ACTIONS(504),
    [anon_sym_BSLASHcls] = ACTIONS(504),
    [anon_sym_BSLASHpmo] = ACTIONS(504),
    [anon_sym_BSLASHpm] = ACTIONS(504),
    [anon_sym_BSLASHpmc] = ACTIONS(504),
    [anon_sym_BSLASHpmr] = ACTIONS(504),
    [anon_sym_BSLASHpi] = ACTIONS(504),
    [anon_sym_BSLASHmi] = ACTIONS(504),
    [anon_sym_BSLASHnb] = ACTIONS(504),
    [anon_sym_BSLASHpc] = ACTIONS(504),
    [anon_sym_BSLASHph] = ACTIONS(504),
    [anon_sym_BSLASHb] = ACTIONS(504),
    [anon_sym_BSLASHq] = ACTIONS(504),
    [anon_sym_BSLASHqr] = ACTIONS(504),
    [anon_sym_BSLASHqc] = ACTIONS(504),
    [anon_sym_BSLASHqs] = ACTIONS(504),
    [anon_sym_BSLASHqa] = ACTIONS(504),
    [anon_sym_BSLASHqac] = ACTIONS(504),
    [anon_sym_BSLASHqm] = ACTIONS(504),
    [anon_sym_BSLASHqd] = ACTIONS(504),
    [anon_sym_BSLASHlh] = ACTIONS(504),
    [anon_sym_BSLASHli] = ACTIONS(504),
    [anon_sym_BSLASHlim] = ACTIONS(504),
    [anon_sym_BSLASHtr] = ACTIONS(504),
    [anon_sym_BSLASHf] = ACTIONS(504),
    [anon_sym_BSLASHfe] = ACTIONS(504),
    [anon_sym_BSLASHef] = ACTIONS(504),
    [anon_sym_BSLASHfm] = ACTIONS(504),
    [anon_sym_BSLASHx] = ACTIONS(504),
    [anon_sym_BSLASHxt] = ACTIONS(504),
    [anon_sym_BSLASHrq] = ACTIONS(504),
    [anon_sym_BSLASHadd] = ACTIONS(504),
    [anon_sym_BSLASHbk] = ACTIONS(504),
    [anon_sym_BSLASHdc] = ACTIONS(504),
    [anon_sym_BSLASHk] = ACTIONS(504),
    [anon_sym_BSLASHnd] = ACTIONS(504),
    [anon_sym_BSLASHord] = ACTIONS(504),
    [anon_sym_BSLASHpn] = ACTIONS(504),
    [anon_sym_BSLASHpng] = ACTIONS(504),
    [anon_sym_BSLASHaddpn] = ACTIONS(504),
    [anon_sym_BSLASHqt] = ACTIONS(504),
    [anon_sym_BSLASHsig] = ACTIONS(504),
    [anon_sym_BSLASHsls] = ACTIONS(504),
    [anon_sym_BSLASHtl] = ACTIONS(504),
    [anon_sym_BSLASHwj] = ACTIONS(504),
    [anon_sym_BSLASHem] = ACTIONS(504),
    [anon_sym_BSLASHbd] = ACTIONS(504),
    [anon_sym_BSLASHit] = ACTIONS(504),
    [anon_sym_BSLASHbdit] = ACTIONS(504),
    [anon_sym_BSLASHno] = ACTIONS(504),
    [anon_sym_BSLASHsc] = ACTIONS(504),
    [anon_sym_BSLASHsup] = ACTIONS(504),
    [anon_sym_BSLASHndx] = ACTIONS(504),
    [anon_sym_BSLASHpro] = ACTIONS(504),
    [anon_sym_BSLASHrb] = ACTIONS(504),
    [anon_sym_BSLASHw] = ACTIONS(504),
    [anon_sym_BSLASHwg] = ACTIONS(504),
    [anon_sym_BSLASHwh] = ACTIONS(504),
    [anon_sym_BSLASHwa] = ACTIONS(504),
    [anon_sym_BSLASHfig] = ACTIONS(504),
    [anon_sym_BSLASHjmp] = ACTIONS(504),
    [anon_sym_BSLASHpb] = ACTIONS(504),
    [anon_sym_BSLASH] = ACTIONS(504),
    [sym_milestoneStartTag] = ACTIONS(504),
    [sym_milestoneEndTag] = ACTIONS(504),
    [sym_zSpaceTag] = ACTIONS(504),
    [anon_sym_BSLASHesb] = ACTIONS(504),
  },
  [491] = {
    [ts_builtin_sym_end] = ACTIONS(2679),
    [aux_sym_text_token1] = ACTIONS(2679),
    [anon_sym_BSLASHref] = ACTIONS(2681),
    [anon_sym_BSLASHsts] = ACTIONS(2681),
    [anon_sym_BSLASHrem] = ACTIONS(2681),
    [anon_sym_BSLASHrestore] = ACTIONS(2681),
    [anon_sym_BSLASHlit] = ACTIONS(2681),
    [anon_sym_BSLASHip] = ACTIONS(2681),
    [anon_sym_BSLASHiex] = ACTIONS(2681),
    [anon_sym_BSLASHv] = ACTIONS(2681),
    [anon_sym_BSLASHva] = ACTIONS(2681),
    [anon_sym_BSLASHvp] = ACTIONS(2681),
    [anon_sym_BSLASHc] = ACTIONS(2681),
    [anon_sym_BSLASHcl] = ACTIONS(2681),
    [anon_sym_BSLASHca] = ACTIONS(2681),
    [anon_sym_BSLASHcp] = ACTIONS(2681),
    [anon_sym_BSLASHcd] = ACTIONS(2681),
    [anon_sym_BSLASHmte] = ACTIONS(2681),
    [anon_sym_BSLASHms] = ACTIONS(2681),
    [anon_sym_BSLASHs] = ACTIONS(2681),
    [anon_sym_BSLASHr] = ACTIONS(2681),
    [anon_sym_BSLASHsp] = ACTIONS(2681),
    [anon_sym_BSLASHd] = ACTIONS(2681),
    [anon_sym_BSLASHsd] = ACTIONS(2681),
    [anon_sym_BSLASHp] = ACTIONS(2681),
    [anon_sym_BSLASHm] = ACTIONS(2681),
    [anon_sym_BSLASHpo] = ACTIONS(2681),
    [anon_sym_BSLASHpr] = ACTIONS(2681),
    [anon_sym_BSLASHcls] = ACTIONS(2681),
    [anon_sym_BSLASHpmo] = ACTIONS(2681),
    [anon_sym_BSLASHpm] = ACTIONS(2681),
    [anon_sym_BSLASHpmc] = ACTIONS(2681),
    [anon_sym_BSLASHpmr] = ACTIONS(2681),
    [anon_sym_BSLASHpi] = ACTIONS(2681),
    [anon_sym_BSLASHmi] = ACTIONS(2681),
    [anon_sym_BSLASHnb] = ACTIONS(2681),
    [anon_sym_BSLASHpc] = ACTIONS(2681),
    [anon_sym_BSLASHph] = ACTIONS(2681),
    [anon_sym_BSLASHb] = ACTIONS(2681),
    [anon_sym_BSLASHq] = ACTIONS(2681),
    [anon_sym_BSLASHqr] = ACTIONS(2681),
    [anon_sym_BSLASHqc] = ACTIONS(2681),
    [anon_sym_BSLASHqs] = ACTIONS(2681),
    [anon_sym_BSLASHqa] = ACTIONS(2681),
    [anon_sym_BSLASHqac] = ACTIONS(2681),
    [anon_sym_BSLASHqm] = ACTIONS(2681),
    [anon_sym_BSLASHqd] = ACTIONS(2681),
    [anon_sym_BSLASHlh] = ACTIONS(2681),
    [anon_sym_BSLASHli] = ACTIONS(2681),
    [anon_sym_BSLASHlim] = ACTIONS(2681),
    [anon_sym_BSLASHtr] = ACTIONS(2681),
    [anon_sym_BSLASHf] = ACTIONS(2681),
    [anon_sym_BSLASHfe] = ACTIONS(2681),
    [anon_sym_BSLASHef] = ACTIONS(2681),
    [anon_sym_BSLASHfm] = ACTIONS(2681),
    [anon_sym_BSLASHx] = ACTIONS(2681),
    [anon_sym_BSLASHxt] = ACTIONS(2681),
    [anon_sym_BSLASHrq] = ACTIONS(2681),
    [anon_sym_BSLASHadd] = ACTIONS(2681),
    [anon_sym_BSLASHbk] = ACTIONS(2681),
    [anon_sym_BSLASHdc] = ACTIONS(2681),
    [anon_sym_BSLASHk] = ACTIONS(2681),
    [anon_sym_BSLASHnd] = ACTIONS(2681),
    [anon_sym_BSLASHord] = ACTIONS(2681),
    [anon_sym_BSLASHpn] = ACTIONS(2681),
    [anon_sym_BSLASHpng] = ACTIONS(2681),
    [anon_sym_BSLASHaddpn] = ACTIONS(2681),
    [anon_sym_BSLASHqt] = ACTIONS(2681),
    [anon_sym_BSLASHsig] = ACTIONS(2681),
    [anon_sym_BSLASHsls] = ACTIONS(2681),
    [anon_sym_BSLASHtl] = ACTIONS(2681),
    [anon_sym_BSLASHwj] = ACTIONS(2681),
    [anon_sym_BSLASHem] = ACTIONS(2681),
    [anon_sym_BSLASHbd] = ACTIONS(2681),
    [anon_sym_BSLASHit] = ACTIONS(2681),
    [anon_sym_BSLASHbdit] = ACTIONS(2681),
    [anon_sym_BSLASHno] = ACTIONS(2681),
    [anon_sym_BSLASHsc] = ACTIONS(2681),
    [anon_sym_BSLASHsup] = ACTIONS(2681),
    [anon_sym_BSLASHndx] = ACTIONS(2681),
    [anon_sym_BSLASHpro] = ACTIONS(2681),
    [anon_sym_BSLASHrb] = ACTIONS(2681),
    [anon_sym_BSLASHw] = ACTIONS(2681),
    [anon_sym_BSLASHwg] = ACTIONS(2681),
    [anon_sym_BSLASHwh] = ACTIONS(2681),
    [anon_sym_BSLASHwa] = ACTIONS(2681),
    [anon_sym_BSLASHfig] = ACTIONS(2681),
    [anon_sym_BSLASHjmp] = ACTIONS(2681),
    [anon_sym_BSLASHpb] = ACTIONS(2681),
    [anon_sym_BSLASH] = ACTIONS(2681),
    [sym_milestoneStartTag] = ACTIONS(2681),
    [sym_milestoneEndTag] = ACTIONS(2681),
    [sym_zSpaceTag] = ACTIONS(2681),
    [anon_sym_BSLASHesb] = ACTIONS(2681),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(5460),
    [aux_sym_text_token1] = ACTIONS(5460),
    [anon_sym_BSLASHref] = ACTIONS(5462),
    [anon_sym_BSLASHsts] = ACTIONS(5462),
    [anon_sym_BSLASHrem] = ACTIONS(5462),
    [anon_sym_BSLASHrestore] = ACTIONS(5462),
    [anon_sym_BSLASHlit] = ACTIONS(5462),
    [anon_sym_BSLASHip] = ACTIONS(5462),
    [anon_sym_BSLASHiex] = ACTIONS(5462),
    [anon_sym_BSLASHv] = ACTIONS(5462),
    [anon_sym_BSLASHva] = ACTIONS(5462),
    [anon_sym_BSLASHvp] = ACTIONS(5462),
    [anon_sym_BSLASHc] = ACTIONS(5462),
    [anon_sym_BSLASHcl] = ACTIONS(5462),
    [anon_sym_BSLASHca] = ACTIONS(5462),
    [anon_sym_BSLASHcp] = ACTIONS(5462),
    [anon_sym_BSLASHcd] = ACTIONS(5462),
    [anon_sym_BSLASHmte] = ACTIONS(5462),
    [anon_sym_BSLASHms] = ACTIONS(5462),
    [anon_sym_BSLASHs] = ACTIONS(5462),
    [anon_sym_BSLASHr] = ACTIONS(5462),
    [anon_sym_BSLASHsp] = ACTIONS(5462),
    [anon_sym_BSLASHd] = ACTIONS(5462),
    [anon_sym_BSLASHsd] = ACTIONS(5462),
    [anon_sym_BSLASHp] = ACTIONS(5462),
    [anon_sym_BSLASHm] = ACTIONS(5462),
    [anon_sym_BSLASHpo] = ACTIONS(5462),
    [anon_sym_BSLASHpr] = ACTIONS(5462),
    [anon_sym_BSLASHcls] = ACTIONS(5462),
    [anon_sym_BSLASHpmo] = ACTIONS(5462),
    [anon_sym_BSLASHpm] = ACTIONS(5462),
    [anon_sym_BSLASHpmc] = ACTIONS(5462),
    [anon_sym_BSLASHpmr] = ACTIONS(5462),
    [anon_sym_BSLASHpi] = ACTIONS(5462),
    [anon_sym_BSLASHmi] = ACTIONS(5462),
    [anon_sym_BSLASHnb] = ACTIONS(5462),
    [anon_sym_BSLASHpc] = ACTIONS(5462),
    [anon_sym_BSLASHph] = ACTIONS(5462),
    [anon_sym_BSLASHb] = ACTIONS(5462),
    [anon_sym_BSLASHq] = ACTIONS(5462),
    [anon_sym_BSLASHqr] = ACTIONS(5462),
    [anon_sym_BSLASHqc] = ACTIONS(5462),
    [anon_sym_BSLASHqs] = ACTIONS(5462),
    [anon_sym_BSLASHqa] = ACTIONS(5462),
    [anon_sym_BSLASHqac] = ACTIONS(5462),
    [anon_sym_BSLASHqm] = ACTIONS(5462),
    [anon_sym_BSLASHqd] = ACTIONS(5462),
    [anon_sym_BSLASHlh] = ACTIONS(5462),
    [anon_sym_BSLASHli] = ACTIONS(5462),
    [anon_sym_BSLASHlim] = ACTIONS(5462),
    [anon_sym_BSLASHtr] = ACTIONS(5462),
    [anon_sym_BSLASHf] = ACTIONS(5462),
    [anon_sym_BSLASHfe] = ACTIONS(5462),
    [anon_sym_BSLASHef] = ACTIONS(5462),
    [anon_sym_BSLASHfm] = ACTIONS(5462),
    [anon_sym_BSLASHx] = ACTIONS(5462),
    [anon_sym_BSLASHxt] = ACTIONS(5462),
    [anon_sym_BSLASHrq] = ACTIONS(5462),
    [anon_sym_BSLASHadd] = ACTIONS(5462),
    [anon_sym_BSLASHbk] = ACTIONS(5462),
    [anon_sym_BSLASHdc] = ACTIONS(5462),
    [anon_sym_BSLASHk] = ACTIONS(5462),
    [anon_sym_BSLASHnd] = ACTIONS(5462),
    [anon_sym_BSLASHord] = ACTIONS(5462),
    [anon_sym_BSLASHpn] = ACTIONS(5462),
    [anon_sym_BSLASHpng] = ACTIONS(5462),
    [anon_sym_BSLASHaddpn] = ACTIONS(5462),
    [anon_sym_BSLASHqt] = ACTIONS(5462),
    [anon_sym_BSLASHsig] = ACTIONS(5462),
    [anon_sym_BSLASHsls] = ACTIONS(5462),
    [anon_sym_BSLASHtl] = ACTIONS(5462),
    [anon_sym_BSLASHwj] = ACTIONS(5462),
    [anon_sym_BSLASHem] = ACTIONS(5462),
    [anon_sym_BSLASHbd] = ACTIONS(5462),
    [anon_sym_BSLASHit] = ACTIONS(5462),
    [anon_sym_BSLASHbdit] = ACTIONS(5462),
    [anon_sym_BSLASHno] = ACTIONS(5462),
    [anon_sym_BSLASHsc] = ACTIONS(5462),
    [anon_sym_BSLASHsup] = ACTIONS(5462),
    [anon_sym_BSLASHndx] = ACTIONS(5462),
    [anon_sym_BSLASHpro] = ACTIONS(5462),
    [anon_sym_BSLASHrb] = ACTIONS(5462),
    [anon_sym_BSLASHw] = ACTIONS(5462),
    [anon_sym_BSLASHwg] = ACTIONS(5462),
    [anon_sym_BSLASHwh] = ACTIONS(5462),
    [anon_sym_BSLASHwa] = ACTIONS(5462),
    [anon_sym_BSLASHfig] = ACTIONS(5462),
    [anon_sym_BSLASHjmp] = ACTIONS(5462),
    [anon_sym_BSLASHpb] = ACTIONS(5462),
    [anon_sym_BSLASH] = ACTIONS(5462),
    [sym_milestoneStartTag] = ACTIONS(5462),
    [sym_milestoneEndTag] = ACTIONS(5462),
    [sym_zSpaceTag] = ACTIONS(5462),
    [anon_sym_BSLASHesb] = ACTIONS(5462),
  },
  [493] = {
    [ts_builtin_sym_end] = ACTIONS(5418),
    [aux_sym_text_token1] = ACTIONS(5418),
    [anon_sym_BSLASHref] = ACTIONS(5420),
    [anon_sym_BSLASHsts] = ACTIONS(5420),
    [anon_sym_BSLASHrem] = ACTIONS(5420),
    [anon_sym_BSLASHrestore] = ACTIONS(5420),
    [anon_sym_BSLASHlit] = ACTIONS(5420),
    [anon_sym_BSLASHip] = ACTIONS(5420),
    [anon_sym_BSLASHiex] = ACTIONS(5420),
    [anon_sym_BSLASHv] = ACTIONS(5420),
    [anon_sym_BSLASHva] = ACTIONS(5420),
    [anon_sym_BSLASHvp] = ACTIONS(5420),
    [anon_sym_BSLASHc] = ACTIONS(5420),
    [anon_sym_BSLASHcl] = ACTIONS(5420),
    [anon_sym_BSLASHca] = ACTIONS(5420),
    [anon_sym_BSLASHcp] = ACTIONS(5420),
    [anon_sym_BSLASHcd] = ACTIONS(5420),
    [anon_sym_BSLASHmte] = ACTIONS(5420),
    [anon_sym_BSLASHms] = ACTIONS(5420),
    [anon_sym_BSLASHs] = ACTIONS(5420),
    [anon_sym_BSLASHr] = ACTIONS(5420),
    [anon_sym_BSLASHsp] = ACTIONS(5420),
    [anon_sym_BSLASHd] = ACTIONS(5420),
    [anon_sym_BSLASHsd] = ACTIONS(5420),
    [anon_sym_BSLASHp] = ACTIONS(5420),
    [anon_sym_BSLASHm] = ACTIONS(5420),
    [anon_sym_BSLASHpo] = ACTIONS(5420),
    [anon_sym_BSLASHpr] = ACTIONS(5420),
    [anon_sym_BSLASHcls] = ACTIONS(5420),
    [anon_sym_BSLASHpmo] = ACTIONS(5420),
    [anon_sym_BSLASHpm] = ACTIONS(5420),
    [anon_sym_BSLASHpmc] = ACTIONS(5420),
    [anon_sym_BSLASHpmr] = ACTIONS(5420),
    [anon_sym_BSLASHpi] = ACTIONS(5420),
    [anon_sym_BSLASHmi] = ACTIONS(5420),
    [anon_sym_BSLASHnb] = ACTIONS(5420),
    [anon_sym_BSLASHpc] = ACTIONS(5420),
    [anon_sym_BSLASHph] = ACTIONS(5420),
    [anon_sym_BSLASHb] = ACTIONS(5420),
    [anon_sym_BSLASHq] = ACTIONS(5420),
    [anon_sym_BSLASHqr] = ACTIONS(5420),
    [anon_sym_BSLASHqc] = ACTIONS(5420),
    [anon_sym_BSLASHqs] = ACTIONS(5420),
    [anon_sym_BSLASHqa] = ACTIONS(5420),
    [anon_sym_BSLASHqac] = ACTIONS(5420),
    [anon_sym_BSLASHqm] = ACTIONS(5420),
    [anon_sym_BSLASHqd] = ACTIONS(5420),
    [anon_sym_BSLASHlh] = ACTIONS(5420),
    [anon_sym_BSLASHli] = ACTIONS(5420),
    [anon_sym_BSLASHlim] = ACTIONS(5420),
    [anon_sym_BSLASHtr] = ACTIONS(5420),
    [anon_sym_BSLASHf] = ACTIONS(5420),
    [anon_sym_BSLASHfe] = ACTIONS(5420),
    [anon_sym_BSLASHef] = ACTIONS(5420),
    [anon_sym_BSLASHfm] = ACTIONS(5420),
    [anon_sym_BSLASHx] = ACTIONS(5420),
    [anon_sym_BSLASHxt] = ACTIONS(5420),
    [anon_sym_BSLASHrq] = ACTIONS(5420),
    [anon_sym_BSLASHadd] = ACTIONS(5420),
    [anon_sym_BSLASHbk] = ACTIONS(5420),
    [anon_sym_BSLASHdc] = ACTIONS(5420),
    [anon_sym_BSLASHk] = ACTIONS(5420),
    [anon_sym_BSLASHnd] = ACTIONS(5420),
    [anon_sym_BSLASHord] = ACTIONS(5420),
    [anon_sym_BSLASHpn] = ACTIONS(5420),
    [anon_sym_BSLASHpng] = ACTIONS(5420),
    [anon_sym_BSLASHaddpn] = ACTIONS(5420),
    [anon_sym_BSLASHqt] = ACTIONS(5420),
    [anon_sym_BSLASHsig] = ACTIONS(5420),
    [anon_sym_BSLASHsls] = ACTIONS(5420),
    [anon_sym_BSLASHtl] = ACTIONS(5420),
    [anon_sym_BSLASHwj] = ACTIONS(5420),
    [anon_sym_BSLASHem] = ACTIONS(5420),
    [anon_sym_BSLASHbd] = ACTIONS(5420),
    [anon_sym_BSLASHit] = ACTIONS(5420),
    [anon_sym_BSLASHbdit] = ACTIONS(5420),
    [anon_sym_BSLASHno] = ACTIONS(5420),
    [anon_sym_BSLASHsc] = ACTIONS(5420),
    [anon_sym_BSLASHsup] = ACTIONS(5420),
    [anon_sym_BSLASHndx] = ACTIONS(5420),
    [anon_sym_BSLASHpro] = ACTIONS(5420),
    [anon_sym_BSLASHrb] = ACTIONS(5420),
    [anon_sym_BSLASHw] = ACTIONS(5420),
    [anon_sym_BSLASHwg] = ACTIONS(5420),
    [anon_sym_BSLASHwh] = ACTIONS(5420),
    [anon_sym_BSLASHwa] = ACTIONS(5420),
    [anon_sym_BSLASHfig] = ACTIONS(5420),
    [anon_sym_BSLASHjmp] = ACTIONS(5420),
    [anon_sym_BSLASHpb] = ACTIONS(5420),
    [anon_sym_BSLASH] = ACTIONS(5420),
    [sym_milestoneStartTag] = ACTIONS(5420),
    [sym_milestoneEndTag] = ACTIONS(5420),
    [sym_zSpaceTag] = ACTIONS(5420),
    [anon_sym_BSLASHesb] = ACTIONS(5420),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(5410),
    [aux_sym_text_token1] = ACTIONS(5410),
    [anon_sym_BSLASHref] = ACTIONS(5412),
    [anon_sym_BSLASHsts] = ACTIONS(5412),
    [anon_sym_BSLASHrem] = ACTIONS(5412),
    [anon_sym_BSLASHrestore] = ACTIONS(5412),
    [anon_sym_BSLASHlit] = ACTIONS(5412),
    [anon_sym_BSLASHip] = ACTIONS(5412),
    [anon_sym_BSLASHiex] = ACTIONS(5412),
    [anon_sym_BSLASHv] = ACTIONS(5412),
    [anon_sym_BSLASHva] = ACTIONS(5412),
    [anon_sym_BSLASHvp] = ACTIONS(5412),
    [anon_sym_BSLASHc] = ACTIONS(5412),
    [anon_sym_BSLASHcl] = ACTIONS(5412),
    [anon_sym_BSLASHca] = ACTIONS(5412),
    [anon_sym_BSLASHcp] = ACTIONS(5412),
    [anon_sym_BSLASHcd] = ACTIONS(5412),
    [anon_sym_BSLASHmte] = ACTIONS(5412),
    [anon_sym_BSLASHms] = ACTIONS(5412),
    [anon_sym_BSLASHs] = ACTIONS(5412),
    [anon_sym_BSLASHr] = ACTIONS(5412),
    [anon_sym_BSLASHsp] = ACTIONS(5412),
    [anon_sym_BSLASHd] = ACTIONS(5412),
    [anon_sym_BSLASHsd] = ACTIONS(5412),
    [anon_sym_BSLASHp] = ACTIONS(5412),
    [anon_sym_BSLASHm] = ACTIONS(5412),
    [anon_sym_BSLASHpo] = ACTIONS(5412),
    [anon_sym_BSLASHpr] = ACTIONS(5412),
    [anon_sym_BSLASHcls] = ACTIONS(5412),
    [anon_sym_BSLASHpmo] = ACTIONS(5412),
    [anon_sym_BSLASHpm] = ACTIONS(5412),
    [anon_sym_BSLASHpmc] = ACTIONS(5412),
    [anon_sym_BSLASHpmr] = ACTIONS(5412),
    [anon_sym_BSLASHpi] = ACTIONS(5412),
    [anon_sym_BSLASHmi] = ACTIONS(5412),
    [anon_sym_BSLASHnb] = ACTIONS(5412),
    [anon_sym_BSLASHpc] = ACTIONS(5412),
    [anon_sym_BSLASHph] = ACTIONS(5412),
    [anon_sym_BSLASHb] = ACTIONS(5412),
    [anon_sym_BSLASHq] = ACTIONS(5412),
    [anon_sym_BSLASHqr] = ACTIONS(5412),
    [anon_sym_BSLASHqc] = ACTIONS(5412),
    [anon_sym_BSLASHqs] = ACTIONS(5412),
    [anon_sym_BSLASHqa] = ACTIONS(5412),
    [anon_sym_BSLASHqac] = ACTIONS(5412),
    [anon_sym_BSLASHqm] = ACTIONS(5412),
    [anon_sym_BSLASHqd] = ACTIONS(5412),
    [anon_sym_BSLASHlh] = ACTIONS(5412),
    [anon_sym_BSLASHli] = ACTIONS(5412),
    [anon_sym_BSLASHlim] = ACTIONS(5412),
    [anon_sym_BSLASHtr] = ACTIONS(5412),
    [anon_sym_BSLASHf] = ACTIONS(5412),
    [anon_sym_BSLASHfe] = ACTIONS(5412),
    [anon_sym_BSLASHef] = ACTIONS(5412),
    [anon_sym_BSLASHfm] = ACTIONS(5412),
    [anon_sym_BSLASHx] = ACTIONS(5412),
    [anon_sym_BSLASHxt] = ACTIONS(5412),
    [anon_sym_BSLASHrq] = ACTIONS(5412),
    [anon_sym_BSLASHadd] = ACTIONS(5412),
    [anon_sym_BSLASHbk] = ACTIONS(5412),
    [anon_sym_BSLASHdc] = ACTIONS(5412),
    [anon_sym_BSLASHk] = ACTIONS(5412),
    [anon_sym_BSLASHnd] = ACTIONS(5412),
    [anon_sym_BSLASHord] = ACTIONS(5412),
    [anon_sym_BSLASHpn] = ACTIONS(5412),
    [anon_sym_BSLASHpng] = ACTIONS(5412),
    [anon_sym_BSLASHaddpn] = ACTIONS(5412),
    [anon_sym_BSLASHqt] = ACTIONS(5412),
    [anon_sym_BSLASHsig] = ACTIONS(5412),
    [anon_sym_BSLASHsls] = ACTIONS(5412),
    [anon_sym_BSLASHtl] = ACTIONS(5412),
    [anon_sym_BSLASHwj] = ACTIONS(5412),
    [anon_sym_BSLASHem] = ACTIONS(5412),
    [anon_sym_BSLASHbd] = ACTIONS(5412),
    [anon_sym_BSLASHit] = ACTIONS(5412),
    [anon_sym_BSLASHbdit] = ACTIONS(5412),
    [anon_sym_BSLASHno] = ACTIONS(5412),
    [anon_sym_BSLASHsc] = ACTIONS(5412),
    [anon_sym_BSLASHsup] = ACTIONS(5412),
    [anon_sym_BSLASHndx] = ACTIONS(5412),
    [anon_sym_BSLASHpro] = ACTIONS(5412),
    [anon_sym_BSLASHrb] = ACTIONS(5412),
    [anon_sym_BSLASHw] = ACTIONS(5412),
    [anon_sym_BSLASHwg] = ACTIONS(5412),
    [anon_sym_BSLASHwh] = ACTIONS(5412),
    [anon_sym_BSLASHwa] = ACTIONS(5412),
    [anon_sym_BSLASHfig] = ACTIONS(5412),
    [anon_sym_BSLASHjmp] = ACTIONS(5412),
    [anon_sym_BSLASHpb] = ACTIONS(5412),
    [anon_sym_BSLASH] = ACTIONS(5412),
    [sym_milestoneStartTag] = ACTIONS(5412),
    [sym_milestoneEndTag] = ACTIONS(5412),
    [sym_zSpaceTag] = ACTIONS(5412),
    [anon_sym_BSLASHesb] = ACTIONS(5412),
  },
  [495] = {
    [ts_builtin_sym_end] = ACTIONS(45),
    [aux_sym_text_token1] = ACTIONS(45),
    [anon_sym_BSLASHref] = ACTIONS(47),
    [anon_sym_BSLASHsts] = ACTIONS(47),
    [anon_sym_BSLASHrem] = ACTIONS(47),
    [anon_sym_BSLASHrestore] = ACTIONS(47),
    [anon_sym_BSLASHlit] = ACTIONS(47),
    [anon_sym_BSLASHip] = ACTIONS(47),
    [anon_sym_BSLASHiex] = ACTIONS(47),
    [anon_sym_BSLASHv] = ACTIONS(47),
    [anon_sym_BSLASHva] = ACTIONS(47),
    [anon_sym_BSLASHvp] = ACTIONS(47),
    [anon_sym_BSLASHc] = ACTIONS(47),
    [anon_sym_BSLASHcl] = ACTIONS(47),
    [anon_sym_BSLASHca] = ACTIONS(47),
    [anon_sym_BSLASHcp] = ACTIONS(47),
    [anon_sym_BSLASHcd] = ACTIONS(47),
    [anon_sym_BSLASHmte] = ACTIONS(47),
    [anon_sym_BSLASHms] = ACTIONS(47),
    [anon_sym_BSLASHs] = ACTIONS(47),
    [anon_sym_BSLASHr] = ACTIONS(47),
    [anon_sym_BSLASHsp] = ACTIONS(47),
    [anon_sym_BSLASHd] = ACTIONS(47),
    [anon_sym_BSLASHsd] = ACTIONS(47),
    [anon_sym_BSLASHp] = ACTIONS(47),
    [anon_sym_BSLASHm] = ACTIONS(47),
    [anon_sym_BSLASHpo] = ACTIONS(47),
    [anon_sym_BSLASHpr] = ACTIONS(47),
    [anon_sym_BSLASHcls] = ACTIONS(47),
    [anon_sym_BSLASHpmo] = ACTIONS(47),
    [anon_sym_BSLASHpm] = ACTIONS(47),
    [anon_sym_BSLASHpmc] = ACTIONS(47),
    [anon_sym_BSLASHpmr] = ACTIONS(47),
    [anon_sym_BSLASHpi] = ACTIONS(47),
    [anon_sym_BSLASHmi] = ACTIONS(47),
    [anon_sym_BSLASHnb] = ACTIONS(47),
    [anon_sym_BSLASHpc] = ACTIONS(47),
    [anon_sym_BSLASHph] = ACTIONS(47),
    [anon_sym_BSLASHb] = ACTIONS(47),
    [anon_sym_BSLASHq] = ACTIONS(47),
    [anon_sym_BSLASHqr] = ACTIONS(47),
    [anon_sym_BSLASHqc] = ACTIONS(47),
    [anon_sym_BSLASHqs] = ACTIONS(47),
    [anon_sym_BSLASHqa] = ACTIONS(47),
    [anon_sym_BSLASHqac] = ACTIONS(47),
    [anon_sym_BSLASHqm] = ACTIONS(47),
    [anon_sym_BSLASHqd] = ACTIONS(47),
    [anon_sym_BSLASHlh] = ACTIONS(47),
    [anon_sym_BSLASHli] = ACTIONS(47),
    [anon_sym_BSLASHlim] = ACTIONS(47),
    [anon_sym_BSLASHtr] = ACTIONS(47),
    [anon_sym_BSLASHf] = ACTIONS(47),
    [anon_sym_BSLASHfe] = ACTIONS(47),
    [anon_sym_BSLASHef] = ACTIONS(47),
    [anon_sym_BSLASHfm] = ACTIONS(47),
    [anon_sym_BSLASHx] = ACTIONS(47),
    [anon_sym_BSLASHxt] = ACTIONS(47),
    [anon_sym_BSLASHrq] = ACTIONS(47),
    [anon_sym_BSLASHadd] = ACTIONS(47),
    [anon_sym_BSLASHbk] = ACTIONS(47),
    [anon_sym_BSLASHdc] = ACTIONS(47),
    [anon_sym_BSLASHk] = ACTIONS(47),
    [anon_sym_BSLASHnd] = ACTIONS(47),
    [anon_sym_BSLASHord] = ACTIONS(47),
    [anon_sym_BSLASHpn] = ACTIONS(47),
    [anon_sym_BSLASHpng] = ACTIONS(47),
    [anon_sym_BSLASHaddpn] = ACTIONS(47),
    [anon_sym_BSLASHqt] = ACTIONS(47),
    [anon_sym_BSLASHsig] = ACTIONS(47),
    [anon_sym_BSLASHsls] = ACTIONS(47),
    [anon_sym_BSLASHtl] = ACTIONS(47),
    [anon_sym_BSLASHwj] = ACTIONS(47),
    [anon_sym_BSLASHem] = ACTIONS(47),
    [anon_sym_BSLASHbd] = ACTIONS(47),
    [anon_sym_BSLASHit] = ACTIONS(47),
    [anon_sym_BSLASHbdit] = ACTIONS(47),
    [anon_sym_BSLASHno] = ACTIONS(47),
    [anon_sym_BSLASHsc] = ACTIONS(47),
    [anon_sym_BSLASHsup] = ACTIONS(47),
    [anon_sym_BSLASHndx] = ACTIONS(47),
    [anon_sym_BSLASHpro] = ACTIONS(47),
    [anon_sym_BSLASHrb] = ACTIONS(47),
    [anon_sym_BSLASHw] = ACTIONS(47),
    [anon_sym_BSLASHwg] = ACTIONS(47),
    [anon_sym_BSLASHwh] = ACTIONS(47),
    [anon_sym_BSLASHwa] = ACTIONS(47),
    [anon_sym_BSLASHfig] = ACTIONS(47),
    [anon_sym_BSLASHjmp] = ACTIONS(47),
    [anon_sym_BSLASHpb] = ACTIONS(47),
    [anon_sym_BSLASH] = ACTIONS(47),
    [sym_milestoneStartTag] = ACTIONS(47),
    [sym_milestoneEndTag] = ACTIONS(47),
    [sym_zSpaceTag] = ACTIONS(47),
    [anon_sym_BSLASHesb] = ACTIONS(47),
  },
  [496] = {
    [ts_builtin_sym_end] = ACTIONS(498),
    [aux_sym_text_token1] = ACTIONS(498),
    [anon_sym_BSLASHref] = ACTIONS(500),
    [anon_sym_BSLASHsts] = ACTIONS(500),
    [anon_sym_BSLASHrem] = ACTIONS(500),
    [anon_sym_BSLASHrestore] = ACTIONS(500),
    [anon_sym_BSLASHlit] = ACTIONS(500),
    [anon_sym_BSLASHip] = ACTIONS(500),
    [anon_sym_BSLASHiex] = ACTIONS(500),
    [anon_sym_BSLASHv] = ACTIONS(500),
    [anon_sym_BSLASHva] = ACTIONS(500),
    [anon_sym_BSLASHvp] = ACTIONS(500),
    [anon_sym_BSLASHc] = ACTIONS(500),
    [anon_sym_BSLASHcl] = ACTIONS(500),
    [anon_sym_BSLASHca] = ACTIONS(500),
    [anon_sym_BSLASHcp] = ACTIONS(500),
    [anon_sym_BSLASHcd] = ACTIONS(500),
    [anon_sym_BSLASHmte] = ACTIONS(500),
    [anon_sym_BSLASHms] = ACTIONS(500),
    [anon_sym_BSLASHs] = ACTIONS(500),
    [anon_sym_BSLASHr] = ACTIONS(500),
    [anon_sym_BSLASHsp] = ACTIONS(500),
    [anon_sym_BSLASHd] = ACTIONS(500),
    [anon_sym_BSLASHsd] = ACTIONS(500),
    [anon_sym_BSLASHp] = ACTIONS(500),
    [anon_sym_BSLASHm] = ACTIONS(500),
    [anon_sym_BSLASHpo] = ACTIONS(500),
    [anon_sym_BSLASHpr] = ACTIONS(500),
    [anon_sym_BSLASHcls] = ACTIONS(500),
    [anon_sym_BSLASHpmo] = ACTIONS(500),
    [anon_sym_BSLASHpm] = ACTIONS(500),
    [anon_sym_BSLASHpmc] = ACTIONS(500),
    [anon_sym_BSLASHpmr] = ACTIONS(500),
    [anon_sym_BSLASHpi] = ACTIONS(500),
    [anon_sym_BSLASHmi] = ACTIONS(500),
    [anon_sym_BSLASHnb] = ACTIONS(500),
    [anon_sym_BSLASHpc] = ACTIONS(500),
    [anon_sym_BSLASHph] = ACTIONS(500),
    [anon_sym_BSLASHb] = ACTIONS(500),
    [anon_sym_BSLASHq] = ACTIONS(500),
    [anon_sym_BSLASHqr] = ACTIONS(500),
    [anon_sym_BSLASHqc] = ACTIONS(500),
    [anon_sym_BSLASHqs] = ACTIONS(500),
    [anon_sym_BSLASHqa] = ACTIONS(500),
    [anon_sym_BSLASHqac] = ACTIONS(500),
    [anon_sym_BSLASHqm] = ACTIONS(500),
    [anon_sym_BSLASHqd] = ACTIONS(500),
    [anon_sym_BSLASHlh] = ACTIONS(500),
    [anon_sym_BSLASHli] = ACTIONS(500),
    [anon_sym_BSLASHlim] = ACTIONS(500),
    [anon_sym_BSLASHtr] = ACTIONS(500),
    [anon_sym_BSLASHf] = ACTIONS(500),
    [anon_sym_BSLASHfe] = ACTIONS(500),
    [anon_sym_BSLASHef] = ACTIONS(500),
    [anon_sym_BSLASHfm] = ACTIONS(500),
    [anon_sym_BSLASHx] = ACTIONS(500),
    [anon_sym_BSLASHxt] = ACTIONS(500),
    [anon_sym_BSLASHrq] = ACTIONS(500),
    [anon_sym_BSLASHadd] = ACTIONS(500),
    [anon_sym_BSLASHbk] = ACTIONS(500),
    [anon_sym_BSLASHdc] = ACTIONS(500),
    [anon_sym_BSLASHk] = ACTIONS(500),
    [anon_sym_BSLASHnd] = ACTIONS(500),
    [anon_sym_BSLASHord] = ACTIONS(500),
    [anon_sym_BSLASHpn] = ACTIONS(500),
    [anon_sym_BSLASHpng] = ACTIONS(500),
    [anon_sym_BSLASHaddpn] = ACTIONS(500),
    [anon_sym_BSLASHqt] = ACTIONS(500),
    [anon_sym_BSLASHsig] = ACTIONS(500),
    [anon_sym_BSLASHsls] = ACTIONS(500),
    [anon_sym_BSLASHtl] = ACTIONS(500),
    [anon_sym_BSLASHwj] = ACTIONS(500),
    [anon_sym_BSLASHem] = ACTIONS(500),
    [anon_sym_BSLASHbd] = ACTIONS(500),
    [anon_sym_BSLASHit] = ACTIONS(500),
    [anon_sym_BSLASHbdit] = ACTIONS(500),
    [anon_sym_BSLASHno] = ACTIONS(500),
    [anon_sym_BSLASHsc] = ACTIONS(500),
    [anon_sym_BSLASHsup] = ACTIONS(500),
    [anon_sym_BSLASHndx] = ACTIONS(500),
    [anon_sym_BSLASHpro] = ACTIONS(500),
    [anon_sym_BSLASHrb] = ACTIONS(500),
    [anon_sym_BSLASHw] = ACTIONS(500),
    [anon_sym_BSLASHwg] = ACTIONS(500),
    [anon_sym_BSLASHwh] = ACTIONS(500),
    [anon_sym_BSLASHwa] = ACTIONS(500),
    [anon_sym_BSLASHfig] = ACTIONS(500),
    [anon_sym_BSLASHjmp] = ACTIONS(500),
    [anon_sym_BSLASHpb] = ACTIONS(500),
    [anon_sym_BSLASH] = ACTIONS(500),
    [sym_milestoneStartTag] = ACTIONS(500),
    [sym_milestoneEndTag] = ACTIONS(500),
    [sym_zSpaceTag] = ACTIONS(500),
    [anon_sym_BSLASHesb] = ACTIONS(500),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(5426),
    [aux_sym_text_token1] = ACTIONS(5426),
    [anon_sym_BSLASHref] = ACTIONS(5428),
    [anon_sym_BSLASHsts] = ACTIONS(5428),
    [anon_sym_BSLASHrem] = ACTIONS(5428),
    [anon_sym_BSLASHrestore] = ACTIONS(5428),
    [anon_sym_BSLASHlit] = ACTIONS(5428),
    [anon_sym_BSLASHip] = ACTIONS(5428),
    [anon_sym_BSLASHiex] = ACTIONS(5428),
    [anon_sym_BSLASHv] = ACTIONS(5428),
    [anon_sym_BSLASHva] = ACTIONS(5428),
    [anon_sym_BSLASHvp] = ACTIONS(5428),
    [anon_sym_BSLASHc] = ACTIONS(5428),
    [anon_sym_BSLASHcl] = ACTIONS(5428),
    [anon_sym_BSLASHca] = ACTIONS(5428),
    [anon_sym_BSLASHcp] = ACTIONS(5428),
    [anon_sym_BSLASHcd] = ACTIONS(5428),
    [anon_sym_BSLASHmte] = ACTIONS(5428),
    [anon_sym_BSLASHms] = ACTIONS(5428),
    [anon_sym_BSLASHs] = ACTIONS(5428),
    [anon_sym_BSLASHr] = ACTIONS(5428),
    [anon_sym_BSLASHsp] = ACTIONS(5428),
    [anon_sym_BSLASHd] = ACTIONS(5428),
    [anon_sym_BSLASHsd] = ACTIONS(5428),
    [anon_sym_BSLASHp] = ACTIONS(5428),
    [anon_sym_BSLASHm] = ACTIONS(5428),
    [anon_sym_BSLASHpo] = ACTIONS(5428),
    [anon_sym_BSLASHpr] = ACTIONS(5428),
    [anon_sym_BSLASHcls] = ACTIONS(5428),
    [anon_sym_BSLASHpmo] = ACTIONS(5428),
    [anon_sym_BSLASHpm] = ACTIONS(5428),
    [anon_sym_BSLASHpmc] = ACTIONS(5428),
    [anon_sym_BSLASHpmr] = ACTIONS(5428),
    [anon_sym_BSLASHpi] = ACTIONS(5428),
    [anon_sym_BSLASHmi] = ACTIONS(5428),
    [anon_sym_BSLASHnb] = ACTIONS(5428),
    [anon_sym_BSLASHpc] = ACTIONS(5428),
    [anon_sym_BSLASHph] = ACTIONS(5428),
    [anon_sym_BSLASHb] = ACTIONS(5428),
    [anon_sym_BSLASHq] = ACTIONS(5428),
    [anon_sym_BSLASHqr] = ACTIONS(5428),
    [anon_sym_BSLASHqc] = ACTIONS(5428),
    [anon_sym_BSLASHqs] = ACTIONS(5428),
    [anon_sym_BSLASHqa] = ACTIONS(5428),
    [anon_sym_BSLASHqac] = ACTIONS(5428),
    [anon_sym_BSLASHqm] = ACTIONS(5428),
    [anon_sym_BSLASHqd] = ACTIONS(5428),
    [anon_sym_BSLASHlh] = ACTIONS(5428),
    [anon_sym_BSLASHli] = ACTIONS(5428),
    [anon_sym_BSLASHlim] = ACTIONS(5428),
    [anon_sym_BSLASHtr] = ACTIONS(5428),
    [anon_sym_BSLASHf] = ACTIONS(5428),
    [anon_sym_BSLASHfe] = ACTIONS(5428),
    [anon_sym_BSLASHef] = ACTIONS(5428),
    [anon_sym_BSLASHfm] = ACTIONS(5428),
    [anon_sym_BSLASHx] = ACTIONS(5428),
    [anon_sym_BSLASHxt] = ACTIONS(5428),
    [anon_sym_BSLASHrq] = ACTIONS(5428),
    [anon_sym_BSLASHadd] = ACTIONS(5428),
    [anon_sym_BSLASHbk] = ACTIONS(5428),
    [anon_sym_BSLASHdc] = ACTIONS(5428),
    [anon_sym_BSLASHk] = ACTIONS(5428),
    [anon_sym_BSLASHnd] = ACTIONS(5428),
    [anon_sym_BSLASHord] = ACTIONS(5428),
    [anon_sym_BSLASHpn] = ACTIONS(5428),
    [anon_sym_BSLASHpng] = ACTIONS(5428),
    [anon_sym_BSLASHaddpn] = ACTIONS(5428),
    [anon_sym_BSLASHqt] = ACTIONS(5428),
    [anon_sym_BSLASHsig] = ACTIONS(5428),
    [anon_sym_BSLASHsls] = ACTIONS(5428),
    [anon_sym_BSLASHtl] = ACTIONS(5428),
    [anon_sym_BSLASHwj] = ACTIONS(5428),
    [anon_sym_BSLASHem] = ACTIONS(5428),
    [anon_sym_BSLASHbd] = ACTIONS(5428),
    [anon_sym_BSLASHit] = ACTIONS(5428),
    [anon_sym_BSLASHbdit] = ACTIONS(5428),
    [anon_sym_BSLASHno] = ACTIONS(5428),
    [anon_sym_BSLASHsc] = ACTIONS(5428),
    [anon_sym_BSLASHsup] = ACTIONS(5428),
    [anon_sym_BSLASHndx] = ACTIONS(5428),
    [anon_sym_BSLASHpro] = ACTIONS(5428),
    [anon_sym_BSLASHrb] = ACTIONS(5428),
    [anon_sym_BSLASHw] = ACTIONS(5428),
    [anon_sym_BSLASHwg] = ACTIONS(5428),
    [anon_sym_BSLASHwh] = ACTIONS(5428),
    [anon_sym_BSLASHwa] = ACTIONS(5428),
    [anon_sym_BSLASHfig] = ACTIONS(5428),
    [anon_sym_BSLASHjmp] = ACTIONS(5428),
    [anon_sym_BSLASHpb] = ACTIONS(5428),
    [anon_sym_BSLASH] = ACTIONS(5428),
    [sym_milestoneStartTag] = ACTIONS(5428),
    [sym_milestoneEndTag] = ACTIONS(5428),
    [sym_zSpaceTag] = ACTIONS(5428),
    [anon_sym_BSLASHesb] = ACTIONS(5428),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(5382),
    [aux_sym_text_token1] = ACTIONS(5382),
    [anon_sym_BSLASHref] = ACTIONS(5384),
    [anon_sym_BSLASHsts] = ACTIONS(5384),
    [anon_sym_BSLASHrem] = ACTIONS(5384),
    [anon_sym_BSLASHrestore] = ACTIONS(5384),
    [anon_sym_BSLASHlit] = ACTIONS(5384),
    [anon_sym_BSLASHip] = ACTIONS(5384),
    [anon_sym_BSLASHiex] = ACTIONS(5384),
    [anon_sym_BSLASHv] = ACTIONS(5384),
    [anon_sym_BSLASHva] = ACTIONS(5384),
    [anon_sym_BSLASHvp] = ACTIONS(5384),
    [anon_sym_BSLASHc] = ACTIONS(5384),
    [anon_sym_BSLASHcl] = ACTIONS(5384),
    [anon_sym_BSLASHca] = ACTIONS(5384),
    [anon_sym_BSLASHcp] = ACTIONS(5384),
    [anon_sym_BSLASHcd] = ACTIONS(5384),
    [anon_sym_BSLASHmte] = ACTIONS(5384),
    [anon_sym_BSLASHms] = ACTIONS(5384),
    [anon_sym_BSLASHs] = ACTIONS(5384),
    [anon_sym_BSLASHr] = ACTIONS(5384),
    [anon_sym_BSLASHsp] = ACTIONS(5384),
    [anon_sym_BSLASHd] = ACTIONS(5384),
    [anon_sym_BSLASHsd] = ACTIONS(5384),
    [anon_sym_BSLASHp] = ACTIONS(5384),
    [anon_sym_BSLASHm] = ACTIONS(5384),
    [anon_sym_BSLASHpo] = ACTIONS(5384),
    [anon_sym_BSLASHpr] = ACTIONS(5384),
    [anon_sym_BSLASHcls] = ACTIONS(5384),
    [anon_sym_BSLASHpmo] = ACTIONS(5384),
    [anon_sym_BSLASHpm] = ACTIONS(5384),
    [anon_sym_BSLASHpmc] = ACTIONS(5384),
    [anon_sym_BSLASHpmr] = ACTIONS(5384),
    [anon_sym_BSLASHpi] = ACTIONS(5384),
    [anon_sym_BSLASHmi] = ACTIONS(5384),
    [anon_sym_BSLASHnb] = ACTIONS(5384),
    [anon_sym_BSLASHpc] = ACTIONS(5384),
    [anon_sym_BSLASHph] = ACTIONS(5384),
    [anon_sym_BSLASHb] = ACTIONS(5384),
    [anon_sym_BSLASHq] = ACTIONS(5384),
    [anon_sym_BSLASHqr] = ACTIONS(5384),
    [anon_sym_BSLASHqc] = ACTIONS(5384),
    [anon_sym_BSLASHqs] = ACTIONS(5384),
    [anon_sym_BSLASHqa] = ACTIONS(5384),
    [anon_sym_BSLASHqac] = ACTIONS(5384),
    [anon_sym_BSLASHqm] = ACTIONS(5384),
    [anon_sym_BSLASHqd] = ACTIONS(5384),
    [anon_sym_BSLASHlh] = ACTIONS(5384),
    [anon_sym_BSLASHli] = ACTIONS(5384),
    [anon_sym_BSLASHlim] = ACTIONS(5384),
    [anon_sym_BSLASHtr] = ACTIONS(5384),
    [anon_sym_BSLASHf] = ACTIONS(5384),
    [anon_sym_BSLASHfe] = ACTIONS(5384),
    [anon_sym_BSLASHef] = ACTIONS(5384),
    [anon_sym_BSLASHfm] = ACTIONS(5384),
    [anon_sym_BSLASHx] = ACTIONS(5384),
    [anon_sym_BSLASHxt] = ACTIONS(5384),
    [anon_sym_BSLASHrq] = ACTIONS(5384),
    [anon_sym_BSLASHadd] = ACTIONS(5384),
    [anon_sym_BSLASHbk] = ACTIONS(5384),
    [anon_sym_BSLASHdc] = ACTIONS(5384),
    [anon_sym_BSLASHk] = ACTIONS(5384),
    [anon_sym_BSLASHnd] = ACTIONS(5384),
    [anon_sym_BSLASHord] = ACTIONS(5384),
    [anon_sym_BSLASHpn] = ACTIONS(5384),
    [anon_sym_BSLASHpng] = ACTIONS(5384),
    [anon_sym_BSLASHaddpn] = ACTIONS(5384),
    [anon_sym_BSLASHqt] = ACTIONS(5384),
    [anon_sym_BSLASHsig] = ACTIONS(5384),
    [anon_sym_BSLASHsls] = ACTIONS(5384),
    [anon_sym_BSLASHtl] = ACTIONS(5384),
    [anon_sym_BSLASHwj] = ACTIONS(5384),
    [anon_sym_BSLASHem] = ACTIONS(5384),
    [anon_sym_BSLASHbd] = ACTIONS(5384),
    [anon_sym_BSLASHit] = ACTIONS(5384),
    [anon_sym_BSLASHbdit] = ACTIONS(5384),
    [anon_sym_BSLASHno] = ACTIONS(5384),
    [anon_sym_BSLASHsc] = ACTIONS(5384),
    [anon_sym_BSLASHsup] = ACTIONS(5384),
    [anon_sym_BSLASHndx] = ACTIONS(5384),
    [anon_sym_BSLASHpro] = ACTIONS(5384),
    [anon_sym_BSLASHrb] = ACTIONS(5384),
    [anon_sym_BSLASHw] = ACTIONS(5384),
    [anon_sym_BSLASHwg] = ACTIONS(5384),
    [anon_sym_BSLASHwh] = ACTIONS(5384),
    [anon_sym_BSLASHwa] = ACTIONS(5384),
    [anon_sym_BSLASHfig] = ACTIONS(5384),
    [anon_sym_BSLASHjmp] = ACTIONS(5384),
    [anon_sym_BSLASHpb] = ACTIONS(5384),
    [anon_sym_BSLASH] = ACTIONS(5384),
    [sym_milestoneStartTag] = ACTIONS(5384),
    [sym_milestoneEndTag] = ACTIONS(5384),
    [sym_zSpaceTag] = ACTIONS(5384),
    [anon_sym_BSLASHesb] = ACTIONS(5384),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(49),
    [aux_sym_text_token1] = ACTIONS(49),
    [anon_sym_BSLASHref] = ACTIONS(51),
    [anon_sym_BSLASHsts] = ACTIONS(51),
    [anon_sym_BSLASHrem] = ACTIONS(51),
    [anon_sym_BSLASHrestore] = ACTIONS(51),
    [anon_sym_BSLASHlit] = ACTIONS(51),
    [anon_sym_BSLASHip] = ACTIONS(51),
    [anon_sym_BSLASHiex] = ACTIONS(51),
    [anon_sym_BSLASHv] = ACTIONS(51),
    [anon_sym_BSLASHva] = ACTIONS(51),
    [anon_sym_BSLASHvp] = ACTIONS(51),
    [anon_sym_BSLASHc] = ACTIONS(51),
    [anon_sym_BSLASHcl] = ACTIONS(51),
    [anon_sym_BSLASHca] = ACTIONS(51),
    [anon_sym_BSLASHcp] = ACTIONS(51),
    [anon_sym_BSLASHcd] = ACTIONS(51),
    [anon_sym_BSLASHmte] = ACTIONS(51),
    [anon_sym_BSLASHms] = ACTIONS(51),
    [anon_sym_BSLASHs] = ACTIONS(51),
    [anon_sym_BSLASHr] = ACTIONS(51),
    [anon_sym_BSLASHsp] = ACTIONS(51),
    [anon_sym_BSLASHd] = ACTIONS(51),
    [anon_sym_BSLASHsd] = ACTIONS(51),
    [anon_sym_BSLASHp] = ACTIONS(51),
    [anon_sym_BSLASHm] = ACTIONS(51),
    [anon_sym_BSLASHpo] = ACTIONS(51),
    [anon_sym_BSLASHpr] = ACTIONS(51),
    [anon_sym_BSLASHcls] = ACTIONS(51),
    [anon_sym_BSLASHpmo] = ACTIONS(51),
    [anon_sym_BSLASHpm] = ACTIONS(51),
    [anon_sym_BSLASHpmc] = ACTIONS(51),
    [anon_sym_BSLASHpmr] = ACTIONS(51),
    [anon_sym_BSLASHpi] = ACTIONS(51),
    [anon_sym_BSLASHmi] = ACTIONS(51),
    [anon_sym_BSLASHnb] = ACTIONS(51),
    [anon_sym_BSLASHpc] = ACTIONS(51),
    [anon_sym_BSLASHph] = ACTIONS(51),
    [anon_sym_BSLASHb] = ACTIONS(51),
    [anon_sym_BSLASHq] = ACTIONS(51),
    [anon_sym_BSLASHqr] = ACTIONS(51),
    [anon_sym_BSLASHqc] = ACTIONS(51),
    [anon_sym_BSLASHqs] = ACTIONS(51),
    [anon_sym_BSLASHqa] = ACTIONS(51),
    [anon_sym_BSLASHqac] = ACTIONS(51),
    [anon_sym_BSLASHqm] = ACTIONS(51),
    [anon_sym_BSLASHqd] = ACTIONS(51),
    [anon_sym_BSLASHlh] = ACTIONS(51),
    [anon_sym_BSLASHli] = ACTIONS(51),
    [anon_sym_BSLASHlim] = ACTIONS(51),
    [anon_sym_BSLASHtr] = ACTIONS(51),
    [anon_sym_BSLASHf] = ACTIONS(51),
    [anon_sym_BSLASHfe] = ACTIONS(51),
    [anon_sym_BSLASHef] = ACTIONS(51),
    [anon_sym_BSLASHfm] = ACTIONS(51),
    [anon_sym_BSLASHx] = ACTIONS(51),
    [anon_sym_BSLASHxt] = ACTIONS(51),
    [anon_sym_BSLASHrq] = ACTIONS(51),
    [anon_sym_BSLASHadd] = ACTIONS(51),
    [anon_sym_BSLASHbk] = ACTIONS(51),
    [anon_sym_BSLASHdc] = ACTIONS(51),
    [anon_sym_BSLASHk] = ACTIONS(51),
    [anon_sym_BSLASHnd] = ACTIONS(51),
    [anon_sym_BSLASHord] = ACTIONS(51),
    [anon_sym_BSLASHpn] = ACTIONS(51),
    [anon_sym_BSLASHpng] = ACTIONS(51),
    [anon_sym_BSLASHaddpn] = ACTIONS(51),
    [anon_sym_BSLASHqt] = ACTIONS(51),
    [anon_sym_BSLASHsig] = ACTIONS(51),
    [anon_sym_BSLASHsls] = ACTIONS(51),
    [anon_sym_BSLASHtl] = ACTIONS(51),
    [anon_sym_BSLASHwj] = ACTIONS(51),
    [anon_sym_BSLASHem] = ACTIONS(51),
    [anon_sym_BSLASHbd] = ACTIONS(51),
    [anon_sym_BSLASHit] = ACTIONS(51),
    [anon_sym_BSLASHbdit] = ACTIONS(51),
    [anon_sym_BSLASHno] = ACTIONS(51),
    [anon_sym_BSLASHsc] = ACTIONS(51),
    [anon_sym_BSLASHsup] = ACTIONS(51),
    [anon_sym_BSLASHndx] = ACTIONS(51),
    [anon_sym_BSLASHpro] = ACTIONS(51),
    [anon_sym_BSLASHrb] = ACTIONS(51),
    [anon_sym_BSLASHw] = ACTIONS(51),
    [anon_sym_BSLASHwg] = ACTIONS(51),
    [anon_sym_BSLASHwh] = ACTIONS(51),
    [anon_sym_BSLASHwa] = ACTIONS(51),
    [anon_sym_BSLASHfig] = ACTIONS(51),
    [anon_sym_BSLASHjmp] = ACTIONS(51),
    [anon_sym_BSLASHpb] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(51),
    [sym_milestoneStartTag] = ACTIONS(51),
    [sym_milestoneEndTag] = ACTIONS(51),
    [sym_zSpaceTag] = ACTIONS(51),
    [anon_sym_BSLASHesb] = ACTIONS(51),
  },
  [500] = {
    [ts_builtin_sym_end] = ACTIONS(5464),
    [aux_sym_text_token1] = ACTIONS(5464),
    [anon_sym_BSLASHref] = ACTIONS(5466),
    [anon_sym_BSLASHsts] = ACTIONS(5466),
    [anon_sym_BSLASHrem] = ACTIONS(5466),
    [anon_sym_BSLASHrestore] = ACTIONS(5466),
    [anon_sym_BSLASHlit] = ACTIONS(5466),
    [anon_sym_BSLASHip] = ACTIONS(5466),
    [anon_sym_BSLASHiex] = ACTIONS(5466),
    [anon_sym_BSLASHv] = ACTIONS(5466),
    [anon_sym_BSLASHva] = ACTIONS(5466),
    [anon_sym_BSLASHvp] = ACTIONS(5466),
    [anon_sym_BSLASHc] = ACTIONS(5466),
    [anon_sym_BSLASHcl] = ACTIONS(5466),
    [anon_sym_BSLASHca] = ACTIONS(5466),
    [anon_sym_BSLASHcp] = ACTIONS(5466),
    [anon_sym_BSLASHcd] = ACTIONS(5466),
    [anon_sym_BSLASHmte] = ACTIONS(5466),
    [anon_sym_BSLASHms] = ACTIONS(5466),
    [anon_sym_BSLASHs] = ACTIONS(5466),
    [anon_sym_BSLASHr] = ACTIONS(5466),
    [anon_sym_BSLASHsp] = ACTIONS(5466),
    [anon_sym_BSLASHd] = ACTIONS(5466),
    [anon_sym_BSLASHsd] = ACTIONS(5466),
    [anon_sym_BSLASHp] = ACTIONS(5466),
    [anon_sym_BSLASHm] = ACTIONS(5466),
    [anon_sym_BSLASHpo] = ACTIONS(5466),
    [anon_sym_BSLASHpr] = ACTIONS(5466),
    [anon_sym_BSLASHcls] = ACTIONS(5466),
    [anon_sym_BSLASHpmo] = ACTIONS(5466),
    [anon_sym_BSLASHpm] = ACTIONS(5466),
    [anon_sym_BSLASHpmc] = ACTIONS(5466),
    [anon_sym_BSLASHpmr] = ACTIONS(5466),
    [anon_sym_BSLASHpi] = ACTIONS(5466),
    [anon_sym_BSLASHmi] = ACTIONS(5466),
    [anon_sym_BSLASHnb] = ACTIONS(5466),
    [anon_sym_BSLASHpc] = ACTIONS(5466),
    [anon_sym_BSLASHph] = ACTIONS(5466),
    [anon_sym_BSLASHb] = ACTIONS(5466),
    [anon_sym_BSLASHq] = ACTIONS(5466),
    [anon_sym_BSLASHqr] = ACTIONS(5466),
    [anon_sym_BSLASHqc] = ACTIONS(5466),
    [anon_sym_BSLASHqs] = ACTIONS(5466),
    [anon_sym_BSLASHqa] = ACTIONS(5466),
    [anon_sym_BSLASHqac] = ACTIONS(5466),
    [anon_sym_BSLASHqm] = ACTIONS(5466),
    [anon_sym_BSLASHqd] = ACTIONS(5466),
    [anon_sym_BSLASHlh] = ACTIONS(5466),
    [anon_sym_BSLASHli] = ACTIONS(5466),
    [anon_sym_BSLASHlim] = ACTIONS(5466),
    [anon_sym_BSLASHtr] = ACTIONS(5466),
    [anon_sym_BSLASHf] = ACTIONS(5466),
    [anon_sym_BSLASHfe] = ACTIONS(5466),
    [anon_sym_BSLASHef] = ACTIONS(5466),
    [anon_sym_BSLASHfm] = ACTIONS(5466),
    [anon_sym_BSLASHx] = ACTIONS(5466),
    [anon_sym_BSLASHxt] = ACTIONS(5466),
    [anon_sym_BSLASHrq] = ACTIONS(5466),
    [anon_sym_BSLASHadd] = ACTIONS(5466),
    [anon_sym_BSLASHbk] = ACTIONS(5466),
    [anon_sym_BSLASHdc] = ACTIONS(5466),
    [anon_sym_BSLASHk] = ACTIONS(5466),
    [anon_sym_BSLASHnd] = ACTIONS(5466),
    [anon_sym_BSLASHord] = ACTIONS(5466),
    [anon_sym_BSLASHpn] = ACTIONS(5466),
    [anon_sym_BSLASHpng] = ACTIONS(5466),
    [anon_sym_BSLASHaddpn] = ACTIONS(5466),
    [anon_sym_BSLASHqt] = ACTIONS(5466),
    [anon_sym_BSLASHsig] = ACTIONS(5466),
    [anon_sym_BSLASHsls] = ACTIONS(5466),
    [anon_sym_BSLASHtl] = ACTIONS(5466),
    [anon_sym_BSLASHwj] = ACTIONS(5466),
    [anon_sym_BSLASHem] = ACTIONS(5466),
    [anon_sym_BSLASHbd] = ACTIONS(5466),
    [anon_sym_BSLASHit] = ACTIONS(5466),
    [anon_sym_BSLASHbdit] = ACTIONS(5466),
    [anon_sym_BSLASHno] = ACTIONS(5466),
    [anon_sym_BSLASHsc] = ACTIONS(5466),
    [anon_sym_BSLASHsup] = ACTIONS(5466),
    [anon_sym_BSLASHndx] = ACTIONS(5466),
    [anon_sym_BSLASHpro] = ACTIONS(5466),
    [anon_sym_BSLASHrb] = ACTIONS(5466),
    [anon_sym_BSLASHw] = ACTIONS(5466),
    [anon_sym_BSLASHwg] = ACTIONS(5466),
    [anon_sym_BSLASHwh] = ACTIONS(5466),
    [anon_sym_BSLASHwa] = ACTIONS(5466),
    [anon_sym_BSLASHfig] = ACTIONS(5466),
    [anon_sym_BSLASHjmp] = ACTIONS(5466),
    [anon_sym_BSLASHpb] = ACTIONS(5466),
    [anon_sym_BSLASH] = ACTIONS(5466),
    [sym_milestoneStartTag] = ACTIONS(5466),
    [sym_milestoneEndTag] = ACTIONS(5466),
    [sym_zSpaceTag] = ACTIONS(5466),
    [anon_sym_BSLASHesb] = ACTIONS(5466),
  },
  [501] = {
    [ts_builtin_sym_end] = ACTIONS(2683),
    [aux_sym_text_token1] = ACTIONS(2683),
    [anon_sym_BSLASHref] = ACTIONS(2685),
    [anon_sym_BSLASHsts] = ACTIONS(2685),
    [anon_sym_BSLASHrem] = ACTIONS(2685),
    [anon_sym_BSLASHrestore] = ACTIONS(2685),
    [anon_sym_BSLASHlit] = ACTIONS(2685),
    [anon_sym_BSLASHip] = ACTIONS(2685),
    [anon_sym_BSLASHiex] = ACTIONS(2685),
    [anon_sym_BSLASHv] = ACTIONS(2685),
    [anon_sym_BSLASHva] = ACTIONS(2685),
    [anon_sym_BSLASHvp] = ACTIONS(2685),
    [anon_sym_BSLASHc] = ACTIONS(2685),
    [anon_sym_BSLASHcl] = ACTIONS(2685),
    [anon_sym_BSLASHca] = ACTIONS(2685),
    [anon_sym_BSLASHcp] = ACTIONS(2685),
    [anon_sym_BSLASHcd] = ACTIONS(2685),
    [anon_sym_BSLASHmte] = ACTIONS(2685),
    [anon_sym_BSLASHms] = ACTIONS(2685),
    [anon_sym_BSLASHs] = ACTIONS(2685),
    [anon_sym_BSLASHr] = ACTIONS(2685),
    [anon_sym_BSLASHsp] = ACTIONS(2685),
    [anon_sym_BSLASHd] = ACTIONS(2685),
    [anon_sym_BSLASHsd] = ACTIONS(2685),
    [anon_sym_BSLASHp] = ACTIONS(2685),
    [anon_sym_BSLASHm] = ACTIONS(2685),
    [anon_sym_BSLASHpo] = ACTIONS(2685),
    [anon_sym_BSLASHpr] = ACTIONS(2685),
    [anon_sym_BSLASHcls] = ACTIONS(2685),
    [anon_sym_BSLASHpmo] = ACTIONS(2685),
    [anon_sym_BSLASHpm] = ACTIONS(2685),
    [anon_sym_BSLASHpmc] = ACTIONS(2685),
    [anon_sym_BSLASHpmr] = ACTIONS(2685),
    [anon_sym_BSLASHpi] = ACTIONS(2685),
    [anon_sym_BSLASHmi] = ACTIONS(2685),
    [anon_sym_BSLASHnb] = ACTIONS(2685),
    [anon_sym_BSLASHpc] = ACTIONS(2685),
    [anon_sym_BSLASHph] = ACTIONS(2685),
    [anon_sym_BSLASHb] = ACTIONS(2685),
    [anon_sym_BSLASHq] = ACTIONS(2685),
    [anon_sym_BSLASHqr] = ACTIONS(2685),
    [anon_sym_BSLASHqc] = ACTIONS(2685),
    [anon_sym_BSLASHqs] = ACTIONS(2685),
    [anon_sym_BSLASHqa] = ACTIONS(2685),
    [anon_sym_BSLASHqac] = ACTIONS(2685),
    [anon_sym_BSLASHqm] = ACTIONS(2685),
    [anon_sym_BSLASHqd] = ACTIONS(2685),
    [anon_sym_BSLASHlh] = ACTIONS(2685),
    [anon_sym_BSLASHli] = ACTIONS(2685),
    [anon_sym_BSLASHlim] = ACTIONS(2685),
    [anon_sym_BSLASHtr] = ACTIONS(2685),
    [anon_sym_BSLASHf] = ACTIONS(2685),
    [anon_sym_BSLASHfe] = ACTIONS(2685),
    [anon_sym_BSLASHef] = ACTIONS(2685),
    [anon_sym_BSLASHfm] = ACTIONS(2685),
    [anon_sym_BSLASHx] = ACTIONS(2685),
    [anon_sym_BSLASHxt] = ACTIONS(2685),
    [anon_sym_BSLASHrq] = ACTIONS(2685),
    [anon_sym_BSLASHadd] = ACTIONS(2685),
    [anon_sym_BSLASHbk] = ACTIONS(2685),
    [anon_sym_BSLASHdc] = ACTIONS(2685),
    [anon_sym_BSLASHk] = ACTIONS(2685),
    [anon_sym_BSLASHnd] = ACTIONS(2685),
    [anon_sym_BSLASHord] = ACTIONS(2685),
    [anon_sym_BSLASHpn] = ACTIONS(2685),
    [anon_sym_BSLASHpng] = ACTIONS(2685),
    [anon_sym_BSLASHaddpn] = ACTIONS(2685),
    [anon_sym_BSLASHqt] = ACTIONS(2685),
    [anon_sym_BSLASHsig] = ACTIONS(2685),
    [anon_sym_BSLASHsls] = ACTIONS(2685),
    [anon_sym_BSLASHtl] = ACTIONS(2685),
    [anon_sym_BSLASHwj] = ACTIONS(2685),
    [anon_sym_BSLASHem] = ACTIONS(2685),
    [anon_sym_BSLASHbd] = ACTIONS(2685),
    [anon_sym_BSLASHit] = ACTIONS(2685),
    [anon_sym_BSLASHbdit] = ACTIONS(2685),
    [anon_sym_BSLASHno] = ACTIONS(2685),
    [anon_sym_BSLASHsc] = ACTIONS(2685),
    [anon_sym_BSLASHsup] = ACTIONS(2685),
    [anon_sym_BSLASHndx] = ACTIONS(2685),
    [anon_sym_BSLASHpro] = ACTIONS(2685),
    [anon_sym_BSLASHrb] = ACTIONS(2685),
    [anon_sym_BSLASHw] = ACTIONS(2685),
    [anon_sym_BSLASHwg] = ACTIONS(2685),
    [anon_sym_BSLASHwh] = ACTIONS(2685),
    [anon_sym_BSLASHwa] = ACTIONS(2685),
    [anon_sym_BSLASHfig] = ACTIONS(2685),
    [anon_sym_BSLASHjmp] = ACTIONS(2685),
    [anon_sym_BSLASHpb] = ACTIONS(2685),
    [anon_sym_BSLASH] = ACTIONS(2685),
    [sym_milestoneStartTag] = ACTIONS(2685),
    [sym_milestoneEndTag] = ACTIONS(2685),
    [sym_zSpaceTag] = ACTIONS(2685),
    [anon_sym_BSLASHesb] = ACTIONS(2685),
  },
  [502] = {
    [ts_builtin_sym_end] = ACTIONS(5414),
    [aux_sym_text_token1] = ACTIONS(5414),
    [anon_sym_BSLASHref] = ACTIONS(5416),
    [anon_sym_BSLASHsts] = ACTIONS(5416),
    [anon_sym_BSLASHrem] = ACTIONS(5416),
    [anon_sym_BSLASHrestore] = ACTIONS(5416),
    [anon_sym_BSLASHlit] = ACTIONS(5416),
    [anon_sym_BSLASHip] = ACTIONS(5416),
    [anon_sym_BSLASHiex] = ACTIONS(5416),
    [anon_sym_BSLASHv] = ACTIONS(5416),
    [anon_sym_BSLASHva] = ACTIONS(5416),
    [anon_sym_BSLASHvp] = ACTIONS(5416),
    [anon_sym_BSLASHc] = ACTIONS(5416),
    [anon_sym_BSLASHcl] = ACTIONS(5416),
    [anon_sym_BSLASHca] = ACTIONS(5416),
    [anon_sym_BSLASHcp] = ACTIONS(5416),
    [anon_sym_BSLASHcd] = ACTIONS(5416),
    [anon_sym_BSLASHmte] = ACTIONS(5416),
    [anon_sym_BSLASHms] = ACTIONS(5416),
    [anon_sym_BSLASHs] = ACTIONS(5416),
    [anon_sym_BSLASHr] = ACTIONS(5416),
    [anon_sym_BSLASHsp] = ACTIONS(5416),
    [anon_sym_BSLASHd] = ACTIONS(5416),
    [anon_sym_BSLASHsd] = ACTIONS(5416),
    [anon_sym_BSLASHp] = ACTIONS(5416),
    [anon_sym_BSLASHm] = ACTIONS(5416),
    [anon_sym_BSLASHpo] = ACTIONS(5416),
    [anon_sym_BSLASHpr] = ACTIONS(5416),
    [anon_sym_BSLASHcls] = ACTIONS(5416),
    [anon_sym_BSLASHpmo] = ACTIONS(5416),
    [anon_sym_BSLASHpm] = ACTIONS(5416),
    [anon_sym_BSLASHpmc] = ACTIONS(5416),
    [anon_sym_BSLASHpmr] = ACTIONS(5416),
    [anon_sym_BSLASHpi] = ACTIONS(5416),
    [anon_sym_BSLASHmi] = ACTIONS(5416),
    [anon_sym_BSLASHnb] = ACTIONS(5416),
    [anon_sym_BSLASHpc] = ACTIONS(5416),
    [anon_sym_BSLASHph] = ACTIONS(5416),
    [anon_sym_BSLASHb] = ACTIONS(5416),
    [anon_sym_BSLASHq] = ACTIONS(5416),
    [anon_sym_BSLASHqr] = ACTIONS(5416),
    [anon_sym_BSLASHqc] = ACTIONS(5416),
    [anon_sym_BSLASHqs] = ACTIONS(5416),
    [anon_sym_BSLASHqa] = ACTIONS(5416),
    [anon_sym_BSLASHqac] = ACTIONS(5416),
    [anon_sym_BSLASHqm] = ACTIONS(5416),
    [anon_sym_BSLASHqd] = ACTIONS(5416),
    [anon_sym_BSLASHlh] = ACTIONS(5416),
    [anon_sym_BSLASHli] = ACTIONS(5416),
    [anon_sym_BSLASHlim] = ACTIONS(5416),
    [anon_sym_BSLASHtr] = ACTIONS(5416),
    [anon_sym_BSLASHf] = ACTIONS(5416),
    [anon_sym_BSLASHfe] = ACTIONS(5416),
    [anon_sym_BSLASHef] = ACTIONS(5416),
    [anon_sym_BSLASHfm] = ACTIONS(5416),
    [anon_sym_BSLASHx] = ACTIONS(5416),
    [anon_sym_BSLASHxt] = ACTIONS(5416),
    [anon_sym_BSLASHrq] = ACTIONS(5416),
    [anon_sym_BSLASHadd] = ACTIONS(5416),
    [anon_sym_BSLASHbk] = ACTIONS(5416),
    [anon_sym_BSLASHdc] = ACTIONS(5416),
    [anon_sym_BSLASHk] = ACTIONS(5416),
    [anon_sym_BSLASHnd] = ACTIONS(5416),
    [anon_sym_BSLASHord] = ACTIONS(5416),
    [anon_sym_BSLASHpn] = ACTIONS(5416),
    [anon_sym_BSLASHpng] = ACTIONS(5416),
    [anon_sym_BSLASHaddpn] = ACTIONS(5416),
    [anon_sym_BSLASHqt] = ACTIONS(5416),
    [anon_sym_BSLASHsig] = ACTIONS(5416),
    [anon_sym_BSLASHsls] = ACTIONS(5416),
    [anon_sym_BSLASHtl] = ACTIONS(5416),
    [anon_sym_BSLASHwj] = ACTIONS(5416),
    [anon_sym_BSLASHem] = ACTIONS(5416),
    [anon_sym_BSLASHbd] = ACTIONS(5416),
    [anon_sym_BSLASHit] = ACTIONS(5416),
    [anon_sym_BSLASHbdit] = ACTIONS(5416),
    [anon_sym_BSLASHno] = ACTIONS(5416),
    [anon_sym_BSLASHsc] = ACTIONS(5416),
    [anon_sym_BSLASHsup] = ACTIONS(5416),
    [anon_sym_BSLASHndx] = ACTIONS(5416),
    [anon_sym_BSLASHpro] = ACTIONS(5416),
    [anon_sym_BSLASHrb] = ACTIONS(5416),
    [anon_sym_BSLASHw] = ACTIONS(5416),
    [anon_sym_BSLASHwg] = ACTIONS(5416),
    [anon_sym_BSLASHwh] = ACTIONS(5416),
    [anon_sym_BSLASHwa] = ACTIONS(5416),
    [anon_sym_BSLASHfig] = ACTIONS(5416),
    [anon_sym_BSLASHjmp] = ACTIONS(5416),
    [anon_sym_BSLASHpb] = ACTIONS(5416),
    [anon_sym_BSLASH] = ACTIONS(5416),
    [sym_milestoneStartTag] = ACTIONS(5416),
    [sym_milestoneEndTag] = ACTIONS(5416),
    [sym_zSpaceTag] = ACTIONS(5416),
    [anon_sym_BSLASHesb] = ACTIONS(5416),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(5330),
    [aux_sym_text_token1] = ACTIONS(5330),
    [anon_sym_BSLASHref] = ACTIONS(5332),
    [anon_sym_BSLASHsts] = ACTIONS(5332),
    [anon_sym_BSLASHrem] = ACTIONS(5332),
    [anon_sym_BSLASHrestore] = ACTIONS(5332),
    [anon_sym_BSLASHlit] = ACTIONS(5332),
    [anon_sym_BSLASHip] = ACTIONS(5332),
    [anon_sym_BSLASHiex] = ACTIONS(5332),
    [anon_sym_BSLASHv] = ACTIONS(5332),
    [anon_sym_BSLASHva] = ACTIONS(5332),
    [anon_sym_BSLASHvp] = ACTIONS(5332),
    [anon_sym_BSLASHc] = ACTIONS(5332),
    [anon_sym_BSLASHcl] = ACTIONS(5332),
    [anon_sym_BSLASHca] = ACTIONS(5332),
    [anon_sym_BSLASHcp] = ACTIONS(5332),
    [anon_sym_BSLASHcd] = ACTIONS(5332),
    [anon_sym_BSLASHmte] = ACTIONS(5332),
    [anon_sym_BSLASHms] = ACTIONS(5332),
    [anon_sym_BSLASHs] = ACTIONS(5332),
    [anon_sym_BSLASHr] = ACTIONS(5332),
    [anon_sym_BSLASHsp] = ACTIONS(5332),
    [anon_sym_BSLASHd] = ACTIONS(5332),
    [anon_sym_BSLASHsd] = ACTIONS(5332),
    [anon_sym_BSLASHp] = ACTIONS(5332),
    [anon_sym_BSLASHm] = ACTIONS(5332),
    [anon_sym_BSLASHpo] = ACTIONS(5332),
    [anon_sym_BSLASHpr] = ACTIONS(5332),
    [anon_sym_BSLASHcls] = ACTIONS(5332),
    [anon_sym_BSLASHpmo] = ACTIONS(5332),
    [anon_sym_BSLASHpm] = ACTIONS(5332),
    [anon_sym_BSLASHpmc] = ACTIONS(5332),
    [anon_sym_BSLASHpmr] = ACTIONS(5332),
    [anon_sym_BSLASHpi] = ACTIONS(5332),
    [anon_sym_BSLASHmi] = ACTIONS(5332),
    [anon_sym_BSLASHnb] = ACTIONS(5332),
    [anon_sym_BSLASHpc] = ACTIONS(5332),
    [anon_sym_BSLASHph] = ACTIONS(5332),
    [anon_sym_BSLASHb] = ACTIONS(5332),
    [anon_sym_BSLASHq] = ACTIONS(5332),
    [anon_sym_BSLASHqr] = ACTIONS(5332),
    [anon_sym_BSLASHqc] = ACTIONS(5332),
    [anon_sym_BSLASHqs] = ACTIONS(5332),
    [anon_sym_BSLASHqa] = ACTIONS(5332),
    [anon_sym_BSLASHqac] = ACTIONS(5332),
    [anon_sym_BSLASHqm] = ACTIONS(5332),
    [anon_sym_BSLASHqd] = ACTIONS(5332),
    [anon_sym_BSLASHlh] = ACTIONS(5332),
    [anon_sym_BSLASHli] = ACTIONS(5332),
    [anon_sym_BSLASHlim] = ACTIONS(5332),
    [anon_sym_BSLASHtr] = ACTIONS(5332),
    [anon_sym_BSLASHf] = ACTIONS(5332),
    [anon_sym_BSLASHfe] = ACTIONS(5332),
    [anon_sym_BSLASHef] = ACTIONS(5332),
    [anon_sym_BSLASHfm] = ACTIONS(5332),
    [anon_sym_BSLASHx] = ACTIONS(5332),
    [anon_sym_BSLASHxt] = ACTIONS(5332),
    [anon_sym_BSLASHrq] = ACTIONS(5332),
    [anon_sym_BSLASHadd] = ACTIONS(5332),
    [anon_sym_BSLASHbk] = ACTIONS(5332),
    [anon_sym_BSLASHdc] = ACTIONS(5332),
    [anon_sym_BSLASHk] = ACTIONS(5332),
    [anon_sym_BSLASHnd] = ACTIONS(5332),
    [anon_sym_BSLASHord] = ACTIONS(5332),
    [anon_sym_BSLASHpn] = ACTIONS(5332),
    [anon_sym_BSLASHpng] = ACTIONS(5332),
    [anon_sym_BSLASHaddpn] = ACTIONS(5332),
    [anon_sym_BSLASHqt] = ACTIONS(5332),
    [anon_sym_BSLASHsig] = ACTIONS(5332),
    [anon_sym_BSLASHsls] = ACTIONS(5332),
    [anon_sym_BSLASHtl] = ACTIONS(5332),
    [anon_sym_BSLASHwj] = ACTIONS(5332),
    [anon_sym_BSLASHem] = ACTIONS(5332),
    [anon_sym_BSLASHbd] = ACTIONS(5332),
    [anon_sym_BSLASHit] = ACTIONS(5332),
    [anon_sym_BSLASHbdit] = ACTIONS(5332),
    [anon_sym_BSLASHno] = ACTIONS(5332),
    [anon_sym_BSLASHsc] = ACTIONS(5332),
    [anon_sym_BSLASHsup] = ACTIONS(5332),
    [anon_sym_BSLASHndx] = ACTIONS(5332),
    [anon_sym_BSLASHpro] = ACTIONS(5332),
    [anon_sym_BSLASHrb] = ACTIONS(5332),
    [anon_sym_BSLASHw] = ACTIONS(5332),
    [anon_sym_BSLASHwg] = ACTIONS(5332),
    [anon_sym_BSLASHwh] = ACTIONS(5332),
    [anon_sym_BSLASHwa] = ACTIONS(5332),
    [anon_sym_BSLASHfig] = ACTIONS(5332),
    [anon_sym_BSLASHjmp] = ACTIONS(5332),
    [anon_sym_BSLASHpb] = ACTIONS(5332),
    [anon_sym_BSLASH] = ACTIONS(5332),
    [sym_milestoneStartTag] = ACTIONS(5332),
    [sym_milestoneEndTag] = ACTIONS(5332),
    [sym_zSpaceTag] = ACTIONS(5332),
    [anon_sym_BSLASHesb] = ACTIONS(5332),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(2795),
    [aux_sym_text_token1] = ACTIONS(2795),
    [anon_sym_BSLASHref] = ACTIONS(2797),
    [anon_sym_BSLASHsts] = ACTIONS(2797),
    [anon_sym_BSLASHrem] = ACTIONS(2797),
    [anon_sym_BSLASHrestore] = ACTIONS(2797),
    [anon_sym_BSLASHlit] = ACTIONS(2797),
    [anon_sym_BSLASHip] = ACTIONS(2797),
    [anon_sym_BSLASHiex] = ACTIONS(2797),
    [anon_sym_BSLASHv] = ACTIONS(2797),
    [anon_sym_BSLASHva] = ACTIONS(2797),
    [anon_sym_BSLASHvp] = ACTIONS(2797),
    [anon_sym_BSLASHc] = ACTIONS(2797),
    [anon_sym_BSLASHcl] = ACTIONS(2797),
    [anon_sym_BSLASHca] = ACTIONS(2797),
    [anon_sym_BSLASHcp] = ACTIONS(2797),
    [anon_sym_BSLASHcd] = ACTIONS(2797),
    [anon_sym_BSLASHmte] = ACTIONS(2797),
    [anon_sym_BSLASHms] = ACTIONS(2797),
    [anon_sym_BSLASHs] = ACTIONS(2797),
    [anon_sym_BSLASHr] = ACTIONS(2797),
    [anon_sym_BSLASHsp] = ACTIONS(2797),
    [anon_sym_BSLASHd] = ACTIONS(2797),
    [anon_sym_BSLASHsd] = ACTIONS(2797),
    [anon_sym_BSLASHp] = ACTIONS(2797),
    [anon_sym_BSLASHm] = ACTIONS(2797),
    [anon_sym_BSLASHpo] = ACTIONS(2797),
    [anon_sym_BSLASHpr] = ACTIONS(2797),
    [anon_sym_BSLASHcls] = ACTIONS(2797),
    [anon_sym_BSLASHpmo] = ACTIONS(2797),
    [anon_sym_BSLASHpm] = ACTIONS(2797),
    [anon_sym_BSLASHpmc] = ACTIONS(2797),
    [anon_sym_BSLASHpmr] = ACTIONS(2797),
    [anon_sym_BSLASHpi] = ACTIONS(2797),
    [anon_sym_BSLASHmi] = ACTIONS(2797),
    [anon_sym_BSLASHnb] = ACTIONS(2797),
    [anon_sym_BSLASHpc] = ACTIONS(2797),
    [anon_sym_BSLASHph] = ACTIONS(2797),
    [anon_sym_BSLASHb] = ACTIONS(2797),
    [anon_sym_BSLASHq] = ACTIONS(2797),
    [anon_sym_BSLASHqr] = ACTIONS(2797),
    [anon_sym_BSLASHqc] = ACTIONS(2797),
    [anon_sym_BSLASHqs] = ACTIONS(2797),
    [anon_sym_BSLASHqa] = ACTIONS(2797),
    [anon_sym_BSLASHqac] = ACTIONS(2797),
    [anon_sym_BSLASHqm] = ACTIONS(2797),
    [anon_sym_BSLASHqd] = ACTIONS(2797),
    [anon_sym_BSLASHlh] = ACTIONS(2797),
    [anon_sym_BSLASHli] = ACTIONS(2797),
    [anon_sym_BSLASHlim] = ACTIONS(2797),
    [anon_sym_BSLASHtr] = ACTIONS(2797),
    [anon_sym_BSLASHf] = ACTIONS(2797),
    [anon_sym_BSLASHfe] = ACTIONS(2797),
    [anon_sym_BSLASHef] = ACTIONS(2797),
    [anon_sym_BSLASHfm] = ACTIONS(2797),
    [anon_sym_BSLASHx] = ACTIONS(2797),
    [anon_sym_BSLASHxt] = ACTIONS(2797),
    [anon_sym_BSLASHrq] = ACTIONS(2797),
    [anon_sym_BSLASHadd] = ACTIONS(2797),
    [anon_sym_BSLASHbk] = ACTIONS(2797),
    [anon_sym_BSLASHdc] = ACTIONS(2797),
    [anon_sym_BSLASHk] = ACTIONS(2797),
    [anon_sym_BSLASHnd] = ACTIONS(2797),
    [anon_sym_BSLASHord] = ACTIONS(2797),
    [anon_sym_BSLASHpn] = ACTIONS(2797),
    [anon_sym_BSLASHpng] = ACTIONS(2797),
    [anon_sym_BSLASHaddpn] = ACTIONS(2797),
    [anon_sym_BSLASHqt] = ACTIONS(2797),
    [anon_sym_BSLASHsig] = ACTIONS(2797),
    [anon_sym_BSLASHsls] = ACTIONS(2797),
    [anon_sym_BSLASHtl] = ACTIONS(2797),
    [anon_sym_BSLASHwj] = ACTIONS(2797),
    [anon_sym_BSLASHem] = ACTIONS(2797),
    [anon_sym_BSLASHbd] = ACTIONS(2797),
    [anon_sym_BSLASHit] = ACTIONS(2797),
    [anon_sym_BSLASHbdit] = ACTIONS(2797),
    [anon_sym_BSLASHno] = ACTIONS(2797),
    [anon_sym_BSLASHsc] = ACTIONS(2797),
    [anon_sym_BSLASHsup] = ACTIONS(2797),
    [anon_sym_BSLASHndx] = ACTIONS(2797),
    [anon_sym_BSLASHpro] = ACTIONS(2797),
    [anon_sym_BSLASHrb] = ACTIONS(2797),
    [anon_sym_BSLASHw] = ACTIONS(2797),
    [anon_sym_BSLASHwg] = ACTIONS(2797),
    [anon_sym_BSLASHwh] = ACTIONS(2797),
    [anon_sym_BSLASHwa] = ACTIONS(2797),
    [anon_sym_BSLASHfig] = ACTIONS(2797),
    [anon_sym_BSLASHjmp] = ACTIONS(2797),
    [anon_sym_BSLASHpb] = ACTIONS(2797),
    [anon_sym_BSLASH] = ACTIONS(2797),
    [sym_milestoneStartTag] = ACTIONS(2797),
    [sym_milestoneEndTag] = ACTIONS(2797),
    [sym_zSpaceTag] = ACTIONS(2797),
    [anon_sym_BSLASHesb] = ACTIONS(2797),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(2791),
    [aux_sym_text_token1] = ACTIONS(2791),
    [anon_sym_BSLASHref] = ACTIONS(2793),
    [anon_sym_BSLASHsts] = ACTIONS(2793),
    [anon_sym_BSLASHrem] = ACTIONS(2793),
    [anon_sym_BSLASHrestore] = ACTIONS(2793),
    [anon_sym_BSLASHlit] = ACTIONS(2793),
    [anon_sym_BSLASHip] = ACTIONS(2793),
    [anon_sym_BSLASHiex] = ACTIONS(2793),
    [anon_sym_BSLASHv] = ACTIONS(2793),
    [anon_sym_BSLASHva] = ACTIONS(2793),
    [anon_sym_BSLASHvp] = ACTIONS(2793),
    [anon_sym_BSLASHc] = ACTIONS(2793),
    [anon_sym_BSLASHcl] = ACTIONS(2793),
    [anon_sym_BSLASHca] = ACTIONS(2793),
    [anon_sym_BSLASHcp] = ACTIONS(2793),
    [anon_sym_BSLASHcd] = ACTIONS(2793),
    [anon_sym_BSLASHmte] = ACTIONS(2793),
    [anon_sym_BSLASHms] = ACTIONS(2793),
    [anon_sym_BSLASHs] = ACTIONS(2793),
    [anon_sym_BSLASHr] = ACTIONS(2793),
    [anon_sym_BSLASHsp] = ACTIONS(2793),
    [anon_sym_BSLASHd] = ACTIONS(2793),
    [anon_sym_BSLASHsd] = ACTIONS(2793),
    [anon_sym_BSLASHp] = ACTIONS(2793),
    [anon_sym_BSLASHm] = ACTIONS(2793),
    [anon_sym_BSLASHpo] = ACTIONS(2793),
    [anon_sym_BSLASHpr] = ACTIONS(2793),
    [anon_sym_BSLASHcls] = ACTIONS(2793),
    [anon_sym_BSLASHpmo] = ACTIONS(2793),
    [anon_sym_BSLASHpm] = ACTIONS(2793),
    [anon_sym_BSLASHpmc] = ACTIONS(2793),
    [anon_sym_BSLASHpmr] = ACTIONS(2793),
    [anon_sym_BSLASHpi] = ACTIONS(2793),
    [anon_sym_BSLASHmi] = ACTIONS(2793),
    [anon_sym_BSLASHnb] = ACTIONS(2793),
    [anon_sym_BSLASHpc] = ACTIONS(2793),
    [anon_sym_BSLASHph] = ACTIONS(2793),
    [anon_sym_BSLASHb] = ACTIONS(2793),
    [anon_sym_BSLASHq] = ACTIONS(2793),
    [anon_sym_BSLASHqr] = ACTIONS(2793),
    [anon_sym_BSLASHqc] = ACTIONS(2793),
    [anon_sym_BSLASHqs] = ACTIONS(2793),
    [anon_sym_BSLASHqa] = ACTIONS(2793),
    [anon_sym_BSLASHqac] = ACTIONS(2793),
    [anon_sym_BSLASHqm] = ACTIONS(2793),
    [anon_sym_BSLASHqd] = ACTIONS(2793),
    [anon_sym_BSLASHlh] = ACTIONS(2793),
    [anon_sym_BSLASHli] = ACTIONS(2793),
    [anon_sym_BSLASHlim] = ACTIONS(2793),
    [anon_sym_BSLASHtr] = ACTIONS(2793),
    [anon_sym_BSLASHf] = ACTIONS(2793),
    [anon_sym_BSLASHfe] = ACTIONS(2793),
    [anon_sym_BSLASHef] = ACTIONS(2793),
    [anon_sym_BSLASHfm] = ACTIONS(2793),
    [anon_sym_BSLASHx] = ACTIONS(2793),
    [anon_sym_BSLASHxt] = ACTIONS(2793),
    [anon_sym_BSLASHrq] = ACTIONS(2793),
    [anon_sym_BSLASHadd] = ACTIONS(2793),
    [anon_sym_BSLASHbk] = ACTIONS(2793),
    [anon_sym_BSLASHdc] = ACTIONS(2793),
    [anon_sym_BSLASHk] = ACTIONS(2793),
    [anon_sym_BSLASHnd] = ACTIONS(2793),
    [anon_sym_BSLASHord] = ACTIONS(2793),
    [anon_sym_BSLASHpn] = ACTIONS(2793),
    [anon_sym_BSLASHpng] = ACTIONS(2793),
    [anon_sym_BSLASHaddpn] = ACTIONS(2793),
    [anon_sym_BSLASHqt] = ACTIONS(2793),
    [anon_sym_BSLASHsig] = ACTIONS(2793),
    [anon_sym_BSLASHsls] = ACTIONS(2793),
    [anon_sym_BSLASHtl] = ACTIONS(2793),
    [anon_sym_BSLASHwj] = ACTIONS(2793),
    [anon_sym_BSLASHem] = ACTIONS(2793),
    [anon_sym_BSLASHbd] = ACTIONS(2793),
    [anon_sym_BSLASHit] = ACTIONS(2793),
    [anon_sym_BSLASHbdit] = ACTIONS(2793),
    [anon_sym_BSLASHno] = ACTIONS(2793),
    [anon_sym_BSLASHsc] = ACTIONS(2793),
    [anon_sym_BSLASHsup] = ACTIONS(2793),
    [anon_sym_BSLASHndx] = ACTIONS(2793),
    [anon_sym_BSLASHpro] = ACTIONS(2793),
    [anon_sym_BSLASHrb] = ACTIONS(2793),
    [anon_sym_BSLASHw] = ACTIONS(2793),
    [anon_sym_BSLASHwg] = ACTIONS(2793),
    [anon_sym_BSLASHwh] = ACTIONS(2793),
    [anon_sym_BSLASHwa] = ACTIONS(2793),
    [anon_sym_BSLASHfig] = ACTIONS(2793),
    [anon_sym_BSLASHjmp] = ACTIONS(2793),
    [anon_sym_BSLASHpb] = ACTIONS(2793),
    [anon_sym_BSLASH] = ACTIONS(2793),
    [sym_milestoneStartTag] = ACTIONS(2793),
    [sym_milestoneEndTag] = ACTIONS(2793),
    [sym_zSpaceTag] = ACTIONS(2793),
    [anon_sym_BSLASHesb] = ACTIONS(2793),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(33),
    [aux_sym_text_token1] = ACTIONS(33),
    [anon_sym_BSLASHref] = ACTIONS(35),
    [anon_sym_BSLASHsts] = ACTIONS(35),
    [anon_sym_BSLASHrem] = ACTIONS(35),
    [anon_sym_BSLASHrestore] = ACTIONS(35),
    [anon_sym_BSLASHlit] = ACTIONS(35),
    [anon_sym_BSLASHip] = ACTIONS(35),
    [anon_sym_BSLASHiex] = ACTIONS(35),
    [anon_sym_BSLASHv] = ACTIONS(35),
    [anon_sym_BSLASHva] = ACTIONS(35),
    [anon_sym_BSLASHvp] = ACTIONS(35),
    [anon_sym_BSLASHc] = ACTIONS(35),
    [anon_sym_BSLASHcl] = ACTIONS(35),
    [anon_sym_BSLASHca] = ACTIONS(35),
    [anon_sym_BSLASHcp] = ACTIONS(35),
    [anon_sym_BSLASHcd] = ACTIONS(35),
    [anon_sym_BSLASHmte] = ACTIONS(35),
    [anon_sym_BSLASHms] = ACTIONS(35),
    [anon_sym_BSLASHs] = ACTIONS(35),
    [anon_sym_BSLASHr] = ACTIONS(35),
    [anon_sym_BSLASHsp] = ACTIONS(35),
    [anon_sym_BSLASHd] = ACTIONS(35),
    [anon_sym_BSLASHsd] = ACTIONS(35),
    [anon_sym_BSLASHp] = ACTIONS(35),
    [anon_sym_BSLASHm] = ACTIONS(35),
    [anon_sym_BSLASHpo] = ACTIONS(35),
    [anon_sym_BSLASHpr] = ACTIONS(35),
    [anon_sym_BSLASHcls] = ACTIONS(35),
    [anon_sym_BSLASHpmo] = ACTIONS(35),
    [anon_sym_BSLASHpm] = ACTIONS(35),
    [anon_sym_BSLASHpmc] = ACTIONS(35),
    [anon_sym_BSLASHpmr] = ACTIONS(35),
    [anon_sym_BSLASHpi] = ACTIONS(35),
    [anon_sym_BSLASHmi] = ACTIONS(35),
    [anon_sym_BSLASHnb] = ACTIONS(35),
    [anon_sym_BSLASHpc] = ACTIONS(35),
    [anon_sym_BSLASHph] = ACTIONS(35),
    [anon_sym_BSLASHb] = ACTIONS(35),
    [anon_sym_BSLASHq] = ACTIONS(35),
    [anon_sym_BSLASHqr] = ACTIONS(35),
    [anon_sym_BSLASHqc] = ACTIONS(35),
    [anon_sym_BSLASHqs] = ACTIONS(35),
    [anon_sym_BSLASHqa] = ACTIONS(35),
    [anon_sym_BSLASHqac] = ACTIONS(35),
    [anon_sym_BSLASHqm] = ACTIONS(35),
    [anon_sym_BSLASHqd] = ACTIONS(35),
    [anon_sym_BSLASHlh] = ACTIONS(35),
    [anon_sym_BSLASHli] = ACTIONS(35),
    [anon_sym_BSLASHlim] = ACTIONS(35),
    [anon_sym_BSLASHtr] = ACTIONS(35),
    [anon_sym_BSLASHf] = ACTIONS(35),
    [anon_sym_BSLASHfe] = ACTIONS(35),
    [anon_sym_BSLASHef] = ACTIONS(35),
    [anon_sym_BSLASHfm] = ACTIONS(35),
    [anon_sym_BSLASHx] = ACTIONS(35),
    [anon_sym_BSLASHxt] = ACTIONS(35),
    [anon_sym_BSLASHrq] = ACTIONS(35),
    [anon_sym_BSLASHadd] = ACTIONS(35),
    [anon_sym_BSLASHbk] = ACTIONS(35),
    [anon_sym_BSLASHdc] = ACTIONS(35),
    [anon_sym_BSLASHk] = ACTIONS(35),
    [anon_sym_BSLASHnd] = ACTIONS(35),
    [anon_sym_BSLASHord] = ACTIONS(35),
    [anon_sym_BSLASHpn] = ACTIONS(35),
    [anon_sym_BSLASHpng] = ACTIONS(35),
    [anon_sym_BSLASHaddpn] = ACTIONS(35),
    [anon_sym_BSLASHqt] = ACTIONS(35),
    [anon_sym_BSLASHsig] = ACTIONS(35),
    [anon_sym_BSLASHsls] = ACTIONS(35),
    [anon_sym_BSLASHtl] = ACTIONS(35),
    [anon_sym_BSLASHwj] = ACTIONS(35),
    [anon_sym_BSLASHem] = ACTIONS(35),
    [anon_sym_BSLASHbd] = ACTIONS(35),
    [anon_sym_BSLASHit] = ACTIONS(35),
    [anon_sym_BSLASHbdit] = ACTIONS(35),
    [anon_sym_BSLASHno] = ACTIONS(35),
    [anon_sym_BSLASHsc] = ACTIONS(35),
    [anon_sym_BSLASHsup] = ACTIONS(35),
    [anon_sym_BSLASHndx] = ACTIONS(35),
    [anon_sym_BSLASHpro] = ACTIONS(35),
    [anon_sym_BSLASHrb] = ACTIONS(35),
    [anon_sym_BSLASHw] = ACTIONS(35),
    [anon_sym_BSLASHwg] = ACTIONS(35),
    [anon_sym_BSLASHwh] = ACTIONS(35),
    [anon_sym_BSLASHwa] = ACTIONS(35),
    [anon_sym_BSLASHfig] = ACTIONS(35),
    [anon_sym_BSLASHjmp] = ACTIONS(35),
    [anon_sym_BSLASHpb] = ACTIONS(35),
    [anon_sym_BSLASH] = ACTIONS(35),
    [sym_milestoneStartTag] = ACTIONS(35),
    [sym_milestoneEndTag] = ACTIONS(35),
    [sym_zSpaceTag] = ACTIONS(35),
    [anon_sym_BSLASHesb] = ACTIONS(35),
  },
  [507] = {
    [ts_builtin_sym_end] = ACTIONS(29),
    [aux_sym_text_token1] = ACTIONS(29),
    [anon_sym_BSLASHref] = ACTIONS(31),
    [anon_sym_BSLASHsts] = ACTIONS(31),
    [anon_sym_BSLASHrem] = ACTIONS(31),
    [anon_sym_BSLASHrestore] = ACTIONS(31),
    [anon_sym_BSLASHlit] = ACTIONS(31),
    [anon_sym_BSLASHip] = ACTIONS(31),
    [anon_sym_BSLASHiex] = ACTIONS(31),
    [anon_sym_BSLASHv] = ACTIONS(31),
    [anon_sym_BSLASHva] = ACTIONS(31),
    [anon_sym_BSLASHvp] = ACTIONS(31),
    [anon_sym_BSLASHc] = ACTIONS(31),
    [anon_sym_BSLASHcl] = ACTIONS(31),
    [anon_sym_BSLASHca] = ACTIONS(31),
    [anon_sym_BSLASHcp] = ACTIONS(31),
    [anon_sym_BSLASHcd] = ACTIONS(31),
    [anon_sym_BSLASHmte] = ACTIONS(31),
    [anon_sym_BSLASHms] = ACTIONS(31),
    [anon_sym_BSLASHs] = ACTIONS(31),
    [anon_sym_BSLASHr] = ACTIONS(31),
    [anon_sym_BSLASHsp] = ACTIONS(31),
    [anon_sym_BSLASHd] = ACTIONS(31),
    [anon_sym_BSLASHsd] = ACTIONS(31),
    [anon_sym_BSLASHp] = ACTIONS(31),
    [anon_sym_BSLASHm] = ACTIONS(31),
    [anon_sym_BSLASHpo] = ACTIONS(31),
    [anon_sym_BSLASHpr] = ACTIONS(31),
    [anon_sym_BSLASHcls] = ACTIONS(31),
    [anon_sym_BSLASHpmo] = ACTIONS(31),
    [anon_sym_BSLASHpm] = ACTIONS(31),
    [anon_sym_BSLASHpmc] = ACTIONS(31),
    [anon_sym_BSLASHpmr] = ACTIONS(31),
    [anon_sym_BSLASHpi] = ACTIONS(31),
    [anon_sym_BSLASHmi] = ACTIONS(31),
    [anon_sym_BSLASHnb] = ACTIONS(31),
    [anon_sym_BSLASHpc] = ACTIONS(31),
    [anon_sym_BSLASHph] = ACTIONS(31),
    [anon_sym_BSLASHb] = ACTIONS(31),
    [anon_sym_BSLASHq] = ACTIONS(31),
    [anon_sym_BSLASHqr] = ACTIONS(31),
    [anon_sym_BSLASHqc] = ACTIONS(31),
    [anon_sym_BSLASHqs] = ACTIONS(31),
    [anon_sym_BSLASHqa] = ACTIONS(31),
    [anon_sym_BSLASHqac] = ACTIONS(31),
    [anon_sym_BSLASHqm] = ACTIONS(31),
    [anon_sym_BSLASHqd] = ACTIONS(31),
    [anon_sym_BSLASHlh] = ACTIONS(31),
    [anon_sym_BSLASHli] = ACTIONS(31),
    [anon_sym_BSLASHlim] = ACTIONS(31),
    [anon_sym_BSLASHtr] = ACTIONS(31),
    [anon_sym_BSLASHf] = ACTIONS(31),
    [anon_sym_BSLASHfe] = ACTIONS(31),
    [anon_sym_BSLASHef] = ACTIONS(31),
    [anon_sym_BSLASHfm] = ACTIONS(31),
    [anon_sym_BSLASHx] = ACTIONS(31),
    [anon_sym_BSLASHxt] = ACTIONS(31),
    [anon_sym_BSLASHrq] = ACTIONS(31),
    [anon_sym_BSLASHadd] = ACTIONS(31),
    [anon_sym_BSLASHbk] = ACTIONS(31),
    [anon_sym_BSLASHdc] = ACTIONS(31),
    [anon_sym_BSLASHk] = ACTIONS(31),
    [anon_sym_BSLASHnd] = ACTIONS(31),
    [anon_sym_BSLASHord] = ACTIONS(31),
    [anon_sym_BSLASHpn] = ACTIONS(31),
    [anon_sym_BSLASHpng] = ACTIONS(31),
    [anon_sym_BSLASHaddpn] = ACTIONS(31),
    [anon_sym_BSLASHqt] = ACTIONS(31),
    [anon_sym_BSLASHsig] = ACTIONS(31),
    [anon_sym_BSLASHsls] = ACTIONS(31),
    [anon_sym_BSLASHtl] = ACTIONS(31),
    [anon_sym_BSLASHwj] = ACTIONS(31),
    [anon_sym_BSLASHem] = ACTIONS(31),
    [anon_sym_BSLASHbd] = ACTIONS(31),
    [anon_sym_BSLASHit] = ACTIONS(31),
    [anon_sym_BSLASHbdit] = ACTIONS(31),
    [anon_sym_BSLASHno] = ACTIONS(31),
    [anon_sym_BSLASHsc] = ACTIONS(31),
    [anon_sym_BSLASHsup] = ACTIONS(31),
    [anon_sym_BSLASHndx] = ACTIONS(31),
    [anon_sym_BSLASHpro] = ACTIONS(31),
    [anon_sym_BSLASHrb] = ACTIONS(31),
    [anon_sym_BSLASHw] = ACTIONS(31),
    [anon_sym_BSLASHwg] = ACTIONS(31),
    [anon_sym_BSLASHwh] = ACTIONS(31),
    [anon_sym_BSLASHwa] = ACTIONS(31),
    [anon_sym_BSLASHfig] = ACTIONS(31),
    [anon_sym_BSLASHjmp] = ACTIONS(31),
    [anon_sym_BSLASHpb] = ACTIONS(31),
    [anon_sym_BSLASH] = ACTIONS(31),
    [sym_milestoneStartTag] = ACTIONS(31),
    [sym_milestoneEndTag] = ACTIONS(31),
    [sym_zSpaceTag] = ACTIONS(31),
    [anon_sym_BSLASHesb] = ACTIONS(31),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(69),
    [aux_sym_text_token1] = ACTIONS(69),
    [anon_sym_BSLASHref] = ACTIONS(71),
    [anon_sym_BSLASHsts] = ACTIONS(71),
    [anon_sym_BSLASHrem] = ACTIONS(71),
    [anon_sym_BSLASHrestore] = ACTIONS(71),
    [anon_sym_BSLASHlit] = ACTIONS(71),
    [anon_sym_BSLASHip] = ACTIONS(71),
    [anon_sym_BSLASHiex] = ACTIONS(71),
    [anon_sym_BSLASHv] = ACTIONS(71),
    [anon_sym_BSLASHva] = ACTIONS(71),
    [anon_sym_BSLASHvp] = ACTIONS(71),
    [anon_sym_BSLASHc] = ACTIONS(71),
    [anon_sym_BSLASHcl] = ACTIONS(71),
    [anon_sym_BSLASHca] = ACTIONS(71),
    [anon_sym_BSLASHcp] = ACTIONS(71),
    [anon_sym_BSLASHcd] = ACTIONS(71),
    [anon_sym_BSLASHmte] = ACTIONS(71),
    [anon_sym_BSLASHms] = ACTIONS(71),
    [anon_sym_BSLASHs] = ACTIONS(71),
    [anon_sym_BSLASHr] = ACTIONS(71),
    [anon_sym_BSLASHsp] = ACTIONS(71),
    [anon_sym_BSLASHd] = ACTIONS(71),
    [anon_sym_BSLASHsd] = ACTIONS(71),
    [anon_sym_BSLASHp] = ACTIONS(71),
    [anon_sym_BSLASHm] = ACTIONS(71),
    [anon_sym_BSLASHpo] = ACTIONS(71),
    [anon_sym_BSLASHpr] = ACTIONS(71),
    [anon_sym_BSLASHcls] = ACTIONS(71),
    [anon_sym_BSLASHpmo] = ACTIONS(71),
    [anon_sym_BSLASHpm] = ACTIONS(71),
    [anon_sym_BSLASHpmc] = ACTIONS(71),
    [anon_sym_BSLASHpmr] = ACTIONS(71),
    [anon_sym_BSLASHpi] = ACTIONS(71),
    [anon_sym_BSLASHmi] = ACTIONS(71),
    [anon_sym_BSLASHnb] = ACTIONS(71),
    [anon_sym_BSLASHpc] = ACTIONS(71),
    [anon_sym_BSLASHph] = ACTIONS(71),
    [anon_sym_BSLASHb] = ACTIONS(71),
    [anon_sym_BSLASHq] = ACTIONS(71),
    [anon_sym_BSLASHqr] = ACTIONS(71),
    [anon_sym_BSLASHqc] = ACTIONS(71),
    [anon_sym_BSLASHqs] = ACTIONS(71),
    [anon_sym_BSLASHqa] = ACTIONS(71),
    [anon_sym_BSLASHqac] = ACTIONS(71),
    [anon_sym_BSLASHqm] = ACTIONS(71),
    [anon_sym_BSLASHqd] = ACTIONS(71),
    [anon_sym_BSLASHlh] = ACTIONS(71),
    [anon_sym_BSLASHli] = ACTIONS(71),
    [anon_sym_BSLASHlim] = ACTIONS(71),
    [anon_sym_BSLASHtr] = ACTIONS(71),
    [anon_sym_BSLASHf] = ACTIONS(71),
    [anon_sym_BSLASHfe] = ACTIONS(71),
    [anon_sym_BSLASHef] = ACTIONS(71),
    [anon_sym_BSLASHfm] = ACTIONS(71),
    [anon_sym_BSLASHx] = ACTIONS(71),
    [anon_sym_BSLASHxt] = ACTIONS(71),
    [anon_sym_BSLASHrq] = ACTIONS(71),
    [anon_sym_BSLASHadd] = ACTIONS(71),
    [anon_sym_BSLASHbk] = ACTIONS(71),
    [anon_sym_BSLASHdc] = ACTIONS(71),
    [anon_sym_BSLASHk] = ACTIONS(71),
    [anon_sym_BSLASHnd] = ACTIONS(71),
    [anon_sym_BSLASHord] = ACTIONS(71),
    [anon_sym_BSLASHpn] = ACTIONS(71),
    [anon_sym_BSLASHpng] = ACTIONS(71),
    [anon_sym_BSLASHaddpn] = ACTIONS(71),
    [anon_sym_BSLASHqt] = ACTIONS(71),
    [anon_sym_BSLASHsig] = ACTIONS(71),
    [anon_sym_BSLASHsls] = ACTIONS(71),
    [anon_sym_BSLASHtl] = ACTIONS(71),
    [anon_sym_BSLASHwj] = ACTIONS(71),
    [anon_sym_BSLASHem] = ACTIONS(71),
    [anon_sym_BSLASHbd] = ACTIONS(71),
    [anon_sym_BSLASHit] = ACTIONS(71),
    [anon_sym_BSLASHbdit] = ACTIONS(71),
    [anon_sym_BSLASHno] = ACTIONS(71),
    [anon_sym_BSLASHsc] = ACTIONS(71),
    [anon_sym_BSLASHsup] = ACTIONS(71),
    [anon_sym_BSLASHndx] = ACTIONS(71),
    [anon_sym_BSLASHpro] = ACTIONS(71),
    [anon_sym_BSLASHrb] = ACTIONS(71),
    [anon_sym_BSLASHw] = ACTIONS(71),
    [anon_sym_BSLASHwg] = ACTIONS(71),
    [anon_sym_BSLASHwh] = ACTIONS(71),
    [anon_sym_BSLASHwa] = ACTIONS(71),
    [anon_sym_BSLASHfig] = ACTIONS(71),
    [anon_sym_BSLASHjmp] = ACTIONS(71),
    [anon_sym_BSLASHpb] = ACTIONS(71),
    [anon_sym_BSLASH] = ACTIONS(71),
    [sym_milestoneStartTag] = ACTIONS(71),
    [sym_milestoneEndTag] = ACTIONS(71),
    [sym_zSpaceTag] = ACTIONS(71),
    [anon_sym_BSLASHesb] = ACTIONS(71),
  },
  [509] = {
    [ts_builtin_sym_end] = ACTIONS(5394),
    [aux_sym_text_token1] = ACTIONS(5394),
    [anon_sym_BSLASHref] = ACTIONS(5396),
    [anon_sym_BSLASHsts] = ACTIONS(5396),
    [anon_sym_BSLASHrem] = ACTIONS(5396),
    [anon_sym_BSLASHrestore] = ACTIONS(5396),
    [anon_sym_BSLASHlit] = ACTIONS(5396),
    [anon_sym_BSLASHip] = ACTIONS(5396),
    [anon_sym_BSLASHiex] = ACTIONS(5396),
    [anon_sym_BSLASHv] = ACTIONS(5396),
    [anon_sym_BSLASHva] = ACTIONS(5396),
    [anon_sym_BSLASHvp] = ACTIONS(5396),
    [anon_sym_BSLASHc] = ACTIONS(5396),
    [anon_sym_BSLASHcl] = ACTIONS(5396),
    [anon_sym_BSLASHca] = ACTIONS(5396),
    [anon_sym_BSLASHcp] = ACTIONS(5396),
    [anon_sym_BSLASHcd] = ACTIONS(5396),
    [anon_sym_BSLASHmte] = ACTIONS(5396),
    [anon_sym_BSLASHms] = ACTIONS(5396),
    [anon_sym_BSLASHs] = ACTIONS(5396),
    [anon_sym_BSLASHr] = ACTIONS(5396),
    [anon_sym_BSLASHsp] = ACTIONS(5396),
    [anon_sym_BSLASHd] = ACTIONS(5396),
    [anon_sym_BSLASHsd] = ACTIONS(5396),
    [anon_sym_BSLASHp] = ACTIONS(5396),
    [anon_sym_BSLASHm] = ACTIONS(5396),
    [anon_sym_BSLASHpo] = ACTIONS(5396),
    [anon_sym_BSLASHpr] = ACTIONS(5396),
    [anon_sym_BSLASHcls] = ACTIONS(5396),
    [anon_sym_BSLASHpmo] = ACTIONS(5396),
    [anon_sym_BSLASHpm] = ACTIONS(5396),
    [anon_sym_BSLASHpmc] = ACTIONS(5396),
    [anon_sym_BSLASHpmr] = ACTIONS(5396),
    [anon_sym_BSLASHpi] = ACTIONS(5396),
    [anon_sym_BSLASHmi] = ACTIONS(5396),
    [anon_sym_BSLASHnb] = ACTIONS(5396),
    [anon_sym_BSLASHpc] = ACTIONS(5396),
    [anon_sym_BSLASHph] = ACTIONS(5396),
    [anon_sym_BSLASHb] = ACTIONS(5396),
    [anon_sym_BSLASHq] = ACTIONS(5396),
    [anon_sym_BSLASHqr] = ACTIONS(5396),
    [anon_sym_BSLASHqc] = ACTIONS(5396),
    [anon_sym_BSLASHqs] = ACTIONS(5396),
    [anon_sym_BSLASHqa] = ACTIONS(5396),
    [anon_sym_BSLASHqac] = ACTIONS(5396),
    [anon_sym_BSLASHqm] = ACTIONS(5396),
    [anon_sym_BSLASHqd] = ACTIONS(5396),
    [anon_sym_BSLASHlh] = ACTIONS(5396),
    [anon_sym_BSLASHli] = ACTIONS(5396),
    [anon_sym_BSLASHlim] = ACTIONS(5396),
    [anon_sym_BSLASHtr] = ACTIONS(5396),
    [anon_sym_BSLASHf] = ACTIONS(5396),
    [anon_sym_BSLASHfe] = ACTIONS(5396),
    [anon_sym_BSLASHef] = ACTIONS(5396),
    [anon_sym_BSLASHfm] = ACTIONS(5396),
    [anon_sym_BSLASHx] = ACTIONS(5396),
    [anon_sym_BSLASHxt] = ACTIONS(5396),
    [anon_sym_BSLASHrq] = ACTIONS(5396),
    [anon_sym_BSLASHadd] = ACTIONS(5396),
    [anon_sym_BSLASHbk] = ACTIONS(5396),
    [anon_sym_BSLASHdc] = ACTIONS(5396),
    [anon_sym_BSLASHk] = ACTIONS(5396),
    [anon_sym_BSLASHnd] = ACTIONS(5396),
    [anon_sym_BSLASHord] = ACTIONS(5396),
    [anon_sym_BSLASHpn] = ACTIONS(5396),
    [anon_sym_BSLASHpng] = ACTIONS(5396),
    [anon_sym_BSLASHaddpn] = ACTIONS(5396),
    [anon_sym_BSLASHqt] = ACTIONS(5396),
    [anon_sym_BSLASHsig] = ACTIONS(5396),
    [anon_sym_BSLASHsls] = ACTIONS(5396),
    [anon_sym_BSLASHtl] = ACTIONS(5396),
    [anon_sym_BSLASHwj] = ACTIONS(5396),
    [anon_sym_BSLASHem] = ACTIONS(5396),
    [anon_sym_BSLASHbd] = ACTIONS(5396),
    [anon_sym_BSLASHit] = ACTIONS(5396),
    [anon_sym_BSLASHbdit] = ACTIONS(5396),
    [anon_sym_BSLASHno] = ACTIONS(5396),
    [anon_sym_BSLASHsc] = ACTIONS(5396),
    [anon_sym_BSLASHsup] = ACTIONS(5396),
    [anon_sym_BSLASHndx] = ACTIONS(5396),
    [anon_sym_BSLASHpro] = ACTIONS(5396),
    [anon_sym_BSLASHrb] = ACTIONS(5396),
    [anon_sym_BSLASHw] = ACTIONS(5396),
    [anon_sym_BSLASHwg] = ACTIONS(5396),
    [anon_sym_BSLASHwh] = ACTIONS(5396),
    [anon_sym_BSLASHwa] = ACTIONS(5396),
    [anon_sym_BSLASHfig] = ACTIONS(5396),
    [anon_sym_BSLASHjmp] = ACTIONS(5396),
    [anon_sym_BSLASHpb] = ACTIONS(5396),
    [anon_sym_BSLASH] = ACTIONS(5396),
    [sym_milestoneStartTag] = ACTIONS(5396),
    [sym_milestoneEndTag] = ACTIONS(5396),
    [sym_zSpaceTag] = ACTIONS(5396),
    [anon_sym_BSLASHesb] = ACTIONS(5396),
  },
  [510] = {
    [ts_builtin_sym_end] = ACTIONS(2787),
    [aux_sym_text_token1] = ACTIONS(2787),
    [anon_sym_BSLASHref] = ACTIONS(2789),
    [anon_sym_BSLASHsts] = ACTIONS(2789),
    [anon_sym_BSLASHrem] = ACTIONS(2789),
    [anon_sym_BSLASHrestore] = ACTIONS(2789),
    [anon_sym_BSLASHlit] = ACTIONS(2789),
    [anon_sym_BSLASHip] = ACTIONS(2789),
    [anon_sym_BSLASHiex] = ACTIONS(2789),
    [anon_sym_BSLASHv] = ACTIONS(2789),
    [anon_sym_BSLASHva] = ACTIONS(2789),
    [anon_sym_BSLASHvp] = ACTIONS(2789),
    [anon_sym_BSLASHc] = ACTIONS(2789),
    [anon_sym_BSLASHcl] = ACTIONS(2789),
    [anon_sym_BSLASHca] = ACTIONS(2789),
    [anon_sym_BSLASHcp] = ACTIONS(2789),
    [anon_sym_BSLASHcd] = ACTIONS(2789),
    [anon_sym_BSLASHmte] = ACTIONS(2789),
    [anon_sym_BSLASHms] = ACTIONS(2789),
    [anon_sym_BSLASHs] = ACTIONS(2789),
    [anon_sym_BSLASHr] = ACTIONS(2789),
    [anon_sym_BSLASHsp] = ACTIONS(2789),
    [anon_sym_BSLASHd] = ACTIONS(2789),
    [anon_sym_BSLASHsd] = ACTIONS(2789),
    [anon_sym_BSLASHp] = ACTIONS(2789),
    [anon_sym_BSLASHm] = ACTIONS(2789),
    [anon_sym_BSLASHpo] = ACTIONS(2789),
    [anon_sym_BSLASHpr] = ACTIONS(2789),
    [anon_sym_BSLASHcls] = ACTIONS(2789),
    [anon_sym_BSLASHpmo] = ACTIONS(2789),
    [anon_sym_BSLASHpm] = ACTIONS(2789),
    [anon_sym_BSLASHpmc] = ACTIONS(2789),
    [anon_sym_BSLASHpmr] = ACTIONS(2789),
    [anon_sym_BSLASHpi] = ACTIONS(2789),
    [anon_sym_BSLASHmi] = ACTIONS(2789),
    [anon_sym_BSLASHnb] = ACTIONS(2789),
    [anon_sym_BSLASHpc] = ACTIONS(2789),
    [anon_sym_BSLASHph] = ACTIONS(2789),
    [anon_sym_BSLASHb] = ACTIONS(2789),
    [anon_sym_BSLASHq] = ACTIONS(2789),
    [anon_sym_BSLASHqr] = ACTIONS(2789),
    [anon_sym_BSLASHqc] = ACTIONS(2789),
    [anon_sym_BSLASHqs] = ACTIONS(2789),
    [anon_sym_BSLASHqa] = ACTIONS(2789),
    [anon_sym_BSLASHqac] = ACTIONS(2789),
    [anon_sym_BSLASHqm] = ACTIONS(2789),
    [anon_sym_BSLASHqd] = ACTIONS(2789),
    [anon_sym_BSLASHlh] = ACTIONS(2789),
    [anon_sym_BSLASHli] = ACTIONS(2789),
    [anon_sym_BSLASHlim] = ACTIONS(2789),
    [anon_sym_BSLASHtr] = ACTIONS(2789),
    [anon_sym_BSLASHf] = ACTIONS(2789),
    [anon_sym_BSLASHfe] = ACTIONS(2789),
    [anon_sym_BSLASHef] = ACTIONS(2789),
    [anon_sym_BSLASHfm] = ACTIONS(2789),
    [anon_sym_BSLASHx] = ACTIONS(2789),
    [anon_sym_BSLASHxt] = ACTIONS(2789),
    [anon_sym_BSLASHrq] = ACTIONS(2789),
    [anon_sym_BSLASHadd] = ACTIONS(2789),
    [anon_sym_BSLASHbk] = ACTIONS(2789),
    [anon_sym_BSLASHdc] = ACTIONS(2789),
    [anon_sym_BSLASHk] = ACTIONS(2789),
    [anon_sym_BSLASHnd] = ACTIONS(2789),
    [anon_sym_BSLASHord] = ACTIONS(2789),
    [anon_sym_BSLASHpn] = ACTIONS(2789),
    [anon_sym_BSLASHpng] = ACTIONS(2789),
    [anon_sym_BSLASHaddpn] = ACTIONS(2789),
    [anon_sym_BSLASHqt] = ACTIONS(2789),
    [anon_sym_BSLASHsig] = ACTIONS(2789),
    [anon_sym_BSLASHsls] = ACTIONS(2789),
    [anon_sym_BSLASHtl] = ACTIONS(2789),
    [anon_sym_BSLASHwj] = ACTIONS(2789),
    [anon_sym_BSLASHem] = ACTIONS(2789),
    [anon_sym_BSLASHbd] = ACTIONS(2789),
    [anon_sym_BSLASHit] = ACTIONS(2789),
    [anon_sym_BSLASHbdit] = ACTIONS(2789),
    [anon_sym_BSLASHno] = ACTIONS(2789),
    [anon_sym_BSLASHsc] = ACTIONS(2789),
    [anon_sym_BSLASHsup] = ACTIONS(2789),
    [anon_sym_BSLASHndx] = ACTIONS(2789),
    [anon_sym_BSLASHpro] = ACTIONS(2789),
    [anon_sym_BSLASHrb] = ACTIONS(2789),
    [anon_sym_BSLASHw] = ACTIONS(2789),
    [anon_sym_BSLASHwg] = ACTIONS(2789),
    [anon_sym_BSLASHwh] = ACTIONS(2789),
    [anon_sym_BSLASHwa] = ACTIONS(2789),
    [anon_sym_BSLASHfig] = ACTIONS(2789),
    [anon_sym_BSLASHjmp] = ACTIONS(2789),
    [anon_sym_BSLASHpb] = ACTIONS(2789),
    [anon_sym_BSLASH] = ACTIONS(2789),
    [sym_milestoneStartTag] = ACTIONS(2789),
    [sym_milestoneEndTag] = ACTIONS(2789),
    [sym_zSpaceTag] = ACTIONS(2789),
    [anon_sym_BSLASHesb] = ACTIONS(2789),
  },
  [511] = {
    [ts_builtin_sym_end] = ACTIONS(5398),
    [aux_sym_text_token1] = ACTIONS(5398),
    [anon_sym_BSLASHref] = ACTIONS(5400),
    [anon_sym_BSLASHsts] = ACTIONS(5400),
    [anon_sym_BSLASHrem] = ACTIONS(5400),
    [anon_sym_BSLASHrestore] = ACTIONS(5400),
    [anon_sym_BSLASHlit] = ACTIONS(5400),
    [anon_sym_BSLASHip] = ACTIONS(5400),
    [anon_sym_BSLASHiex] = ACTIONS(5400),
    [anon_sym_BSLASHv] = ACTIONS(5400),
    [anon_sym_BSLASHva] = ACTIONS(5400),
    [anon_sym_BSLASHvp] = ACTIONS(5400),
    [anon_sym_BSLASHc] = ACTIONS(5400),
    [anon_sym_BSLASHcl] = ACTIONS(5400),
    [anon_sym_BSLASHca] = ACTIONS(5400),
    [anon_sym_BSLASHcp] = ACTIONS(5400),
    [anon_sym_BSLASHcd] = ACTIONS(5400),
    [anon_sym_BSLASHmte] = ACTIONS(5400),
    [anon_sym_BSLASHms] = ACTIONS(5400),
    [anon_sym_BSLASHs] = ACTIONS(5400),
    [anon_sym_BSLASHr] = ACTIONS(5400),
    [anon_sym_BSLASHsp] = ACTIONS(5400),
    [anon_sym_BSLASHd] = ACTIONS(5400),
    [anon_sym_BSLASHsd] = ACTIONS(5400),
    [anon_sym_BSLASHp] = ACTIONS(5400),
    [anon_sym_BSLASHm] = ACTIONS(5400),
    [anon_sym_BSLASHpo] = ACTIONS(5400),
    [anon_sym_BSLASHpr] = ACTIONS(5400),
    [anon_sym_BSLASHcls] = ACTIONS(5400),
    [anon_sym_BSLASHpmo] = ACTIONS(5400),
    [anon_sym_BSLASHpm] = ACTIONS(5400),
    [anon_sym_BSLASHpmc] = ACTIONS(5400),
    [anon_sym_BSLASHpmr] = ACTIONS(5400),
    [anon_sym_BSLASHpi] = ACTIONS(5400),
    [anon_sym_BSLASHmi] = ACTIONS(5400),
    [anon_sym_BSLASHnb] = ACTIONS(5400),
    [anon_sym_BSLASHpc] = ACTIONS(5400),
    [anon_sym_BSLASHph] = ACTIONS(5400),
    [anon_sym_BSLASHb] = ACTIONS(5400),
    [anon_sym_BSLASHq] = ACTIONS(5400),
    [anon_sym_BSLASHqr] = ACTIONS(5400),
    [anon_sym_BSLASHqc] = ACTIONS(5400),
    [anon_sym_BSLASHqs] = ACTIONS(5400),
    [anon_sym_BSLASHqa] = ACTIONS(5400),
    [anon_sym_BSLASHqac] = ACTIONS(5400),
    [anon_sym_BSLASHqm] = ACTIONS(5400),
    [anon_sym_BSLASHqd] = ACTIONS(5400),
    [anon_sym_BSLASHlh] = ACTIONS(5400),
    [anon_sym_BSLASHli] = ACTIONS(5400),
    [anon_sym_BSLASHlim] = ACTIONS(5400),
    [anon_sym_BSLASHtr] = ACTIONS(5400),
    [anon_sym_BSLASHf] = ACTIONS(5400),
    [anon_sym_BSLASHfe] = ACTIONS(5400),
    [anon_sym_BSLASHef] = ACTIONS(5400),
    [anon_sym_BSLASHfm] = ACTIONS(5400),
    [anon_sym_BSLASHx] = ACTIONS(5400),
    [anon_sym_BSLASHxt] = ACTIONS(5400),
    [anon_sym_BSLASHrq] = ACTIONS(5400),
    [anon_sym_BSLASHadd] = ACTIONS(5400),
    [anon_sym_BSLASHbk] = ACTIONS(5400),
    [anon_sym_BSLASHdc] = ACTIONS(5400),
    [anon_sym_BSLASHk] = ACTIONS(5400),
    [anon_sym_BSLASHnd] = ACTIONS(5400),
    [anon_sym_BSLASHord] = ACTIONS(5400),
    [anon_sym_BSLASHpn] = ACTIONS(5400),
    [anon_sym_BSLASHpng] = ACTIONS(5400),
    [anon_sym_BSLASHaddpn] = ACTIONS(5400),
    [anon_sym_BSLASHqt] = ACTIONS(5400),
    [anon_sym_BSLASHsig] = ACTIONS(5400),
    [anon_sym_BSLASHsls] = ACTIONS(5400),
    [anon_sym_BSLASHtl] = ACTIONS(5400),
    [anon_sym_BSLASHwj] = ACTIONS(5400),
    [anon_sym_BSLASHem] = ACTIONS(5400),
    [anon_sym_BSLASHbd] = ACTIONS(5400),
    [anon_sym_BSLASHit] = ACTIONS(5400),
    [anon_sym_BSLASHbdit] = ACTIONS(5400),
    [anon_sym_BSLASHno] = ACTIONS(5400),
    [anon_sym_BSLASHsc] = ACTIONS(5400),
    [anon_sym_BSLASHsup] = ACTIONS(5400),
    [anon_sym_BSLASHndx] = ACTIONS(5400),
    [anon_sym_BSLASHpro] = ACTIONS(5400),
    [anon_sym_BSLASHrb] = ACTIONS(5400),
    [anon_sym_BSLASHw] = ACTIONS(5400),
    [anon_sym_BSLASHwg] = ACTIONS(5400),
    [anon_sym_BSLASHwh] = ACTIONS(5400),
    [anon_sym_BSLASHwa] = ACTIONS(5400),
    [anon_sym_BSLASHfig] = ACTIONS(5400),
    [anon_sym_BSLASHjmp] = ACTIONS(5400),
    [anon_sym_BSLASHpb] = ACTIONS(5400),
    [anon_sym_BSLASH] = ACTIONS(5400),
    [sym_milestoneStartTag] = ACTIONS(5400),
    [sym_milestoneEndTag] = ACTIONS(5400),
    [sym_zSpaceTag] = ACTIONS(5400),
    [anon_sym_BSLASHesb] = ACTIONS(5400),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(9),
    [aux_sym_text_token1] = ACTIONS(9),
    [anon_sym_BSLASHref] = ACTIONS(11),
    [anon_sym_BSLASHsts] = ACTIONS(11),
    [anon_sym_BSLASHrem] = ACTIONS(11),
    [anon_sym_BSLASHrestore] = ACTIONS(11),
    [anon_sym_BSLASHlit] = ACTIONS(11),
    [anon_sym_BSLASHip] = ACTIONS(11),
    [anon_sym_BSLASHiex] = ACTIONS(11),
    [anon_sym_BSLASHv] = ACTIONS(11),
    [anon_sym_BSLASHva] = ACTIONS(11),
    [anon_sym_BSLASHvp] = ACTIONS(11),
    [anon_sym_BSLASHc] = ACTIONS(11),
    [anon_sym_BSLASHcl] = ACTIONS(11),
    [anon_sym_BSLASHca] = ACTIONS(11),
    [anon_sym_BSLASHcp] = ACTIONS(11),
    [anon_sym_BSLASHcd] = ACTIONS(11),
    [anon_sym_BSLASHmte] = ACTIONS(11),
    [anon_sym_BSLASHms] = ACTIONS(11),
    [anon_sym_BSLASHs] = ACTIONS(11),
    [anon_sym_BSLASHr] = ACTIONS(11),
    [anon_sym_BSLASHsp] = ACTIONS(11),
    [anon_sym_BSLASHd] = ACTIONS(11),
    [anon_sym_BSLASHsd] = ACTIONS(11),
    [anon_sym_BSLASHp] = ACTIONS(11),
    [anon_sym_BSLASHm] = ACTIONS(11),
    [anon_sym_BSLASHpo] = ACTIONS(11),
    [anon_sym_BSLASHpr] = ACTIONS(11),
    [anon_sym_BSLASHcls] = ACTIONS(11),
    [anon_sym_BSLASHpmo] = ACTIONS(11),
    [anon_sym_BSLASHpm] = ACTIONS(11),
    [anon_sym_BSLASHpmc] = ACTIONS(11),
    [anon_sym_BSLASHpmr] = ACTIONS(11),
    [anon_sym_BSLASHpi] = ACTIONS(11),
    [anon_sym_BSLASHmi] = ACTIONS(11),
    [anon_sym_BSLASHnb] = ACTIONS(11),
    [anon_sym_BSLASHpc] = ACTIONS(11),
    [anon_sym_BSLASHph] = ACTIONS(11),
    [anon_sym_BSLASHb] = ACTIONS(11),
    [anon_sym_BSLASHq] = ACTIONS(11),
    [anon_sym_BSLASHqr] = ACTIONS(11),
    [anon_sym_BSLASHqc] = ACTIONS(11),
    [anon_sym_BSLASHqs] = ACTIONS(11),
    [anon_sym_BSLASHqa] = ACTIONS(11),
    [anon_sym_BSLASHqac] = ACTIONS(11),
    [anon_sym_BSLASHqm] = ACTIONS(11),
    [anon_sym_BSLASHqd] = ACTIONS(11),
    [anon_sym_BSLASHlh] = ACTIONS(11),
    [anon_sym_BSLASHli] = ACTIONS(11),
    [anon_sym_BSLASHlim] = ACTIONS(11),
    [anon_sym_BSLASHtr] = ACTIONS(11),
    [anon_sym_BSLASHf] = ACTIONS(11),
    [anon_sym_BSLASHfe] = ACTIONS(11),
    [anon_sym_BSLASHef] = ACTIONS(11),
    [anon_sym_BSLASHfm] = ACTIONS(11),
    [anon_sym_BSLASHx] = ACTIONS(11),
    [anon_sym_BSLASHxt] = ACTIONS(11),
    [anon_sym_BSLASHrq] = ACTIONS(11),
    [anon_sym_BSLASHadd] = ACTIONS(11),
    [anon_sym_BSLASHbk] = ACTIONS(11),
    [anon_sym_BSLASHdc] = ACTIONS(11),
    [anon_sym_BSLASHk] = ACTIONS(11),
    [anon_sym_BSLASHnd] = ACTIONS(11),
    [anon_sym_BSLASHord] = ACTIONS(11),
    [anon_sym_BSLASHpn] = ACTIONS(11),
    [anon_sym_BSLASHpng] = ACTIONS(11),
    [anon_sym_BSLASHaddpn] = ACTIONS(11),
    [anon_sym_BSLASHqt] = ACTIONS(11),
    [anon_sym_BSLASHsig] = ACTIONS(11),
    [anon_sym_BSLASHsls] = ACTIONS(11),
    [anon_sym_BSLASHtl] = ACTIONS(11),
    [anon_sym_BSLASHwj] = ACTIONS(11),
    [anon_sym_BSLASHem] = ACTIONS(11),
    [anon_sym_BSLASHbd] = ACTIONS(11),
    [anon_sym_BSLASHit] = ACTIONS(11),
    [anon_sym_BSLASHbdit] = ACTIONS(11),
    [anon_sym_BSLASHno] = ACTIONS(11),
    [anon_sym_BSLASHsc] = ACTIONS(11),
    [anon_sym_BSLASHsup] = ACTIONS(11),
    [anon_sym_BSLASHndx] = ACTIONS(11),
    [anon_sym_BSLASHpro] = ACTIONS(11),
    [anon_sym_BSLASHrb] = ACTIONS(11),
    [anon_sym_BSLASHw] = ACTIONS(11),
    [anon_sym_BSLASHwg] = ACTIONS(11),
    [anon_sym_BSLASHwh] = ACTIONS(11),
    [anon_sym_BSLASHwa] = ACTIONS(11),
    [anon_sym_BSLASHfig] = ACTIONS(11),
    [anon_sym_BSLASHjmp] = ACTIONS(11),
    [anon_sym_BSLASHpb] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(11),
    [sym_milestoneStartTag] = ACTIONS(11),
    [sym_milestoneEndTag] = ACTIONS(11),
    [sym_zSpaceTag] = ACTIONS(11),
    [anon_sym_BSLASHesb] = ACTIONS(11),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(2731),
    [aux_sym_text_token1] = ACTIONS(2731),
    [anon_sym_BSLASHref] = ACTIONS(2733),
    [anon_sym_BSLASHsts] = ACTIONS(2733),
    [anon_sym_BSLASHrem] = ACTIONS(2733),
    [anon_sym_BSLASHrestore] = ACTIONS(2733),
    [anon_sym_BSLASHlit] = ACTIONS(2733),
    [anon_sym_BSLASHip] = ACTIONS(2733),
    [anon_sym_BSLASHiex] = ACTIONS(2733),
    [anon_sym_BSLASHv] = ACTIONS(2733),
    [anon_sym_BSLASHva] = ACTIONS(2733),
    [anon_sym_BSLASHvp] = ACTIONS(2733),
    [anon_sym_BSLASHc] = ACTIONS(2733),
    [anon_sym_BSLASHcl] = ACTIONS(2733),
    [anon_sym_BSLASHca] = ACTIONS(2733),
    [anon_sym_BSLASHcp] = ACTIONS(2733),
    [anon_sym_BSLASHcd] = ACTIONS(2733),
    [anon_sym_BSLASHmte] = ACTIONS(2733),
    [anon_sym_BSLASHms] = ACTIONS(2733),
    [anon_sym_BSLASHs] = ACTIONS(2733),
    [anon_sym_BSLASHr] = ACTIONS(2733),
    [anon_sym_BSLASHsp] = ACTIONS(2733),
    [anon_sym_BSLASHd] = ACTIONS(2733),
    [anon_sym_BSLASHsd] = ACTIONS(2733),
    [anon_sym_BSLASHp] = ACTIONS(2733),
    [anon_sym_BSLASHm] = ACTIONS(2733),
    [anon_sym_BSLASHpo] = ACTIONS(2733),
    [anon_sym_BSLASHpr] = ACTIONS(2733),
    [anon_sym_BSLASHcls] = ACTIONS(2733),
    [anon_sym_BSLASHpmo] = ACTIONS(2733),
    [anon_sym_BSLASHpm] = ACTIONS(2733),
    [anon_sym_BSLASHpmc] = ACTIONS(2733),
    [anon_sym_BSLASHpmr] = ACTIONS(2733),
    [anon_sym_BSLASHpi] = ACTIONS(2733),
    [anon_sym_BSLASHmi] = ACTIONS(2733),
    [anon_sym_BSLASHnb] = ACTIONS(2733),
    [anon_sym_BSLASHpc] = ACTIONS(2733),
    [anon_sym_BSLASHph] = ACTIONS(2733),
    [anon_sym_BSLASHb] = ACTIONS(2733),
    [anon_sym_BSLASHq] = ACTIONS(2733),
    [anon_sym_BSLASHqr] = ACTIONS(2733),
    [anon_sym_BSLASHqc] = ACTIONS(2733),
    [anon_sym_BSLASHqs] = ACTIONS(2733),
    [anon_sym_BSLASHqa] = ACTIONS(2733),
    [anon_sym_BSLASHqac] = ACTIONS(2733),
    [anon_sym_BSLASHqm] = ACTIONS(2733),
    [anon_sym_BSLASHqd] = ACTIONS(2733),
    [anon_sym_BSLASHlh] = ACTIONS(2733),
    [anon_sym_BSLASHli] = ACTIONS(2733),
    [anon_sym_BSLASHlim] = ACTIONS(2733),
    [anon_sym_BSLASHtr] = ACTIONS(2733),
    [anon_sym_BSLASHf] = ACTIONS(2733),
    [anon_sym_BSLASHfe] = ACTIONS(2733),
    [anon_sym_BSLASHef] = ACTIONS(2733),
    [anon_sym_BSLASHfm] = ACTIONS(2733),
    [anon_sym_BSLASHx] = ACTIONS(2733),
    [anon_sym_BSLASHxt] = ACTIONS(2733),
    [anon_sym_BSLASHrq] = ACTIONS(2733),
    [anon_sym_BSLASHadd] = ACTIONS(2733),
    [anon_sym_BSLASHbk] = ACTIONS(2733),
    [anon_sym_BSLASHdc] = ACTIONS(2733),
    [anon_sym_BSLASHk] = ACTIONS(2733),
    [anon_sym_BSLASHnd] = ACTIONS(2733),
    [anon_sym_BSLASHord] = ACTIONS(2733),
    [anon_sym_BSLASHpn] = ACTIONS(2733),
    [anon_sym_BSLASHpng] = ACTIONS(2733),
    [anon_sym_BSLASHaddpn] = ACTIONS(2733),
    [anon_sym_BSLASHqt] = ACTIONS(2733),
    [anon_sym_BSLASHsig] = ACTIONS(2733),
    [anon_sym_BSLASHsls] = ACTIONS(2733),
    [anon_sym_BSLASHtl] = ACTIONS(2733),
    [anon_sym_BSLASHwj] = ACTIONS(2733),
    [anon_sym_BSLASHem] = ACTIONS(2733),
    [anon_sym_BSLASHbd] = ACTIONS(2733),
    [anon_sym_BSLASHit] = ACTIONS(2733),
    [anon_sym_BSLASHbdit] = ACTIONS(2733),
    [anon_sym_BSLASHno] = ACTIONS(2733),
    [anon_sym_BSLASHsc] = ACTIONS(2733),
    [anon_sym_BSLASHsup] = ACTIONS(2733),
    [anon_sym_BSLASHndx] = ACTIONS(2733),
    [anon_sym_BSLASHpro] = ACTIONS(2733),
    [anon_sym_BSLASHrb] = ACTIONS(2733),
    [anon_sym_BSLASHw] = ACTIONS(2733),
    [anon_sym_BSLASHwg] = ACTIONS(2733),
    [anon_sym_BSLASHwh] = ACTIONS(2733),
    [anon_sym_BSLASHwa] = ACTIONS(2733),
    [anon_sym_BSLASHfig] = ACTIONS(2733),
    [anon_sym_BSLASHjmp] = ACTIONS(2733),
    [anon_sym_BSLASHpb] = ACTIONS(2733),
    [anon_sym_BSLASH] = ACTIONS(2733),
    [sym_milestoneStartTag] = ACTIONS(2733),
    [sym_milestoneEndTag] = ACTIONS(2733),
    [sym_zSpaceTag] = ACTIONS(2733),
    [anon_sym_BSLASHesb] = ACTIONS(2733),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(5334),
    [aux_sym_text_token1] = ACTIONS(5334),
    [anon_sym_BSLASHref] = ACTIONS(5336),
    [anon_sym_BSLASHsts] = ACTIONS(5336),
    [anon_sym_BSLASHrem] = ACTIONS(5336),
    [anon_sym_BSLASHrestore] = ACTIONS(5336),
    [anon_sym_BSLASHlit] = ACTIONS(5336),
    [anon_sym_BSLASHip] = ACTIONS(5336),
    [anon_sym_BSLASHiex] = ACTIONS(5336),
    [anon_sym_BSLASHv] = ACTIONS(5336),
    [anon_sym_BSLASHva] = ACTIONS(5336),
    [anon_sym_BSLASHvp] = ACTIONS(5336),
    [anon_sym_BSLASHc] = ACTIONS(5336),
    [anon_sym_BSLASHcl] = ACTIONS(5336),
    [anon_sym_BSLASHca] = ACTIONS(5336),
    [anon_sym_BSLASHcp] = ACTIONS(5336),
    [anon_sym_BSLASHcd] = ACTIONS(5336),
    [anon_sym_BSLASHmte] = ACTIONS(5336),
    [anon_sym_BSLASHms] = ACTIONS(5336),
    [anon_sym_BSLASHs] = ACTIONS(5336),
    [anon_sym_BSLASHr] = ACTIONS(5336),
    [anon_sym_BSLASHsp] = ACTIONS(5336),
    [anon_sym_BSLASHd] = ACTIONS(5336),
    [anon_sym_BSLASHsd] = ACTIONS(5336),
    [anon_sym_BSLASHp] = ACTIONS(5336),
    [anon_sym_BSLASHm] = ACTIONS(5336),
    [anon_sym_BSLASHpo] = ACTIONS(5336),
    [anon_sym_BSLASHpr] = ACTIONS(5336),
    [anon_sym_BSLASHcls] = ACTIONS(5336),
    [anon_sym_BSLASHpmo] = ACTIONS(5336),
    [anon_sym_BSLASHpm] = ACTIONS(5336),
    [anon_sym_BSLASHpmc] = ACTIONS(5336),
    [anon_sym_BSLASHpmr] = ACTIONS(5336),
    [anon_sym_BSLASHpi] = ACTIONS(5336),
    [anon_sym_BSLASHmi] = ACTIONS(5336),
    [anon_sym_BSLASHnb] = ACTIONS(5336),
    [anon_sym_BSLASHpc] = ACTIONS(5336),
    [anon_sym_BSLASHph] = ACTIONS(5336),
    [anon_sym_BSLASHb] = ACTIONS(5336),
    [anon_sym_BSLASHq] = ACTIONS(5336),
    [anon_sym_BSLASHqr] = ACTIONS(5336),
    [anon_sym_BSLASHqc] = ACTIONS(5336),
    [anon_sym_BSLASHqs] = ACTIONS(5336),
    [anon_sym_BSLASHqa] = ACTIONS(5336),
    [anon_sym_BSLASHqac] = ACTIONS(5336),
    [anon_sym_BSLASHqm] = ACTIONS(5336),
    [anon_sym_BSLASHqd] = ACTIONS(5336),
    [anon_sym_BSLASHlh] = ACTIONS(5336),
    [anon_sym_BSLASHli] = ACTIONS(5336),
    [anon_sym_BSLASHlim] = ACTIONS(5336),
    [anon_sym_BSLASHtr] = ACTIONS(5336),
    [anon_sym_BSLASHf] = ACTIONS(5336),
    [anon_sym_BSLASHfe] = ACTIONS(5336),
    [anon_sym_BSLASHef] = ACTIONS(5336),
    [anon_sym_BSLASHfm] = ACTIONS(5336),
    [anon_sym_BSLASHx] = ACTIONS(5336),
    [anon_sym_BSLASHxt] = ACTIONS(5336),
    [anon_sym_BSLASHrq] = ACTIONS(5336),
    [anon_sym_BSLASHadd] = ACTIONS(5336),
    [anon_sym_BSLASHbk] = ACTIONS(5336),
    [anon_sym_BSLASHdc] = ACTIONS(5336),
    [anon_sym_BSLASHk] = ACTIONS(5336),
    [anon_sym_BSLASHnd] = ACTIONS(5336),
    [anon_sym_BSLASHord] = ACTIONS(5336),
    [anon_sym_BSLASHpn] = ACTIONS(5336),
    [anon_sym_BSLASHpng] = ACTIONS(5336),
    [anon_sym_BSLASHaddpn] = ACTIONS(5336),
    [anon_sym_BSLASHqt] = ACTIONS(5336),
    [anon_sym_BSLASHsig] = ACTIONS(5336),
    [anon_sym_BSLASHsls] = ACTIONS(5336),
    [anon_sym_BSLASHtl] = ACTIONS(5336),
    [anon_sym_BSLASHwj] = ACTIONS(5336),
    [anon_sym_BSLASHem] = ACTIONS(5336),
    [anon_sym_BSLASHbd] = ACTIONS(5336),
    [anon_sym_BSLASHit] = ACTIONS(5336),
    [anon_sym_BSLASHbdit] = ACTIONS(5336),
    [anon_sym_BSLASHno] = ACTIONS(5336),
    [anon_sym_BSLASHsc] = ACTIONS(5336),
    [anon_sym_BSLASHsup] = ACTIONS(5336),
    [anon_sym_BSLASHndx] = ACTIONS(5336),
    [anon_sym_BSLASHpro] = ACTIONS(5336),
    [anon_sym_BSLASHrb] = ACTIONS(5336),
    [anon_sym_BSLASHw] = ACTIONS(5336),
    [anon_sym_BSLASHwg] = ACTIONS(5336),
    [anon_sym_BSLASHwh] = ACTIONS(5336),
    [anon_sym_BSLASHwa] = ACTIONS(5336),
    [anon_sym_BSLASHfig] = ACTIONS(5336),
    [anon_sym_BSLASHjmp] = ACTIONS(5336),
    [anon_sym_BSLASHpb] = ACTIONS(5336),
    [anon_sym_BSLASH] = ACTIONS(5336),
    [sym_milestoneStartTag] = ACTIONS(5336),
    [sym_milestoneEndTag] = ACTIONS(5336),
    [sym_zSpaceTag] = ACTIONS(5336),
    [anon_sym_BSLASHesb] = ACTIONS(5336),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(5468),
    [aux_sym_text_token1] = ACTIONS(5468),
    [anon_sym_BSLASHref] = ACTIONS(5470),
    [anon_sym_BSLASHsts] = ACTIONS(5470),
    [anon_sym_BSLASHrem] = ACTIONS(5470),
    [anon_sym_BSLASHrestore] = ACTIONS(5470),
    [anon_sym_BSLASHlit] = ACTIONS(5470),
    [anon_sym_BSLASHip] = ACTIONS(5470),
    [anon_sym_BSLASHiex] = ACTIONS(5470),
    [anon_sym_BSLASHv] = ACTIONS(5470),
    [anon_sym_BSLASHva] = ACTIONS(5470),
    [anon_sym_BSLASHvp] = ACTIONS(5470),
    [anon_sym_BSLASHc] = ACTIONS(5470),
    [anon_sym_BSLASHcl] = ACTIONS(5470),
    [anon_sym_BSLASHca] = ACTIONS(5470),
    [anon_sym_BSLASHcp] = ACTIONS(5470),
    [anon_sym_BSLASHcd] = ACTIONS(5470),
    [anon_sym_BSLASHmte] = ACTIONS(5470),
    [anon_sym_BSLASHms] = ACTIONS(5470),
    [anon_sym_BSLASHs] = ACTIONS(5470),
    [anon_sym_BSLASHr] = ACTIONS(5470),
    [anon_sym_BSLASHsp] = ACTIONS(5470),
    [anon_sym_BSLASHd] = ACTIONS(5470),
    [anon_sym_BSLASHsd] = ACTIONS(5470),
    [anon_sym_BSLASHp] = ACTIONS(5470),
    [anon_sym_BSLASHm] = ACTIONS(5470),
    [anon_sym_BSLASHpo] = ACTIONS(5470),
    [anon_sym_BSLASHpr] = ACTIONS(5470),
    [anon_sym_BSLASHcls] = ACTIONS(5470),
    [anon_sym_BSLASHpmo] = ACTIONS(5470),
    [anon_sym_BSLASHpm] = ACTIONS(5470),
    [anon_sym_BSLASHpmc] = ACTIONS(5470),
    [anon_sym_BSLASHpmr] = ACTIONS(5470),
    [anon_sym_BSLASHpi] = ACTIONS(5470),
    [anon_sym_BSLASHmi] = ACTIONS(5470),
    [anon_sym_BSLASHnb] = ACTIONS(5470),
    [anon_sym_BSLASHpc] = ACTIONS(5470),
    [anon_sym_BSLASHph] = ACTIONS(5470),
    [anon_sym_BSLASHb] = ACTIONS(5470),
    [anon_sym_BSLASHq] = ACTIONS(5470),
    [anon_sym_BSLASHqr] = ACTIONS(5470),
    [anon_sym_BSLASHqc] = ACTIONS(5470),
    [anon_sym_BSLASHqs] = ACTIONS(5470),
    [anon_sym_BSLASHqa] = ACTIONS(5470),
    [anon_sym_BSLASHqac] = ACTIONS(5470),
    [anon_sym_BSLASHqm] = ACTIONS(5470),
    [anon_sym_BSLASHqd] = ACTIONS(5470),
    [anon_sym_BSLASHlh] = ACTIONS(5470),
    [anon_sym_BSLASHli] = ACTIONS(5470),
    [anon_sym_BSLASHlim] = ACTIONS(5470),
    [anon_sym_BSLASHtr] = ACTIONS(5470),
    [anon_sym_BSLASHf] = ACTIONS(5470),
    [anon_sym_BSLASHfe] = ACTIONS(5470),
    [anon_sym_BSLASHef] = ACTIONS(5470),
    [anon_sym_BSLASHfm] = ACTIONS(5470),
    [anon_sym_BSLASHx] = ACTIONS(5470),
    [anon_sym_BSLASHxt] = ACTIONS(5470),
    [anon_sym_BSLASHrq] = ACTIONS(5470),
    [anon_sym_BSLASHadd] = ACTIONS(5470),
    [anon_sym_BSLASHbk] = ACTIONS(5470),
    [anon_sym_BSLASHdc] = ACTIONS(5470),
    [anon_sym_BSLASHk] = ACTIONS(5470),
    [anon_sym_BSLASHnd] = ACTIONS(5470),
    [anon_sym_BSLASHord] = ACTIONS(5470),
    [anon_sym_BSLASHpn] = ACTIONS(5470),
    [anon_sym_BSLASHpng] = ACTIONS(5470),
    [anon_sym_BSLASHaddpn] = ACTIONS(5470),
    [anon_sym_BSLASHqt] = ACTIONS(5470),
    [anon_sym_BSLASHsig] = ACTIONS(5470),
    [anon_sym_BSLASHsls] = ACTIONS(5470),
    [anon_sym_BSLASHtl] = ACTIONS(5470),
    [anon_sym_BSLASHwj] = ACTIONS(5470),
    [anon_sym_BSLASHem] = ACTIONS(5470),
    [anon_sym_BSLASHbd] = ACTIONS(5470),
    [anon_sym_BSLASHit] = ACTIONS(5470),
    [anon_sym_BSLASHbdit] = ACTIONS(5470),
    [anon_sym_BSLASHno] = ACTIONS(5470),
    [anon_sym_BSLASHsc] = ACTIONS(5470),
    [anon_sym_BSLASHsup] = ACTIONS(5470),
    [anon_sym_BSLASHndx] = ACTIONS(5470),
    [anon_sym_BSLASHpro] = ACTIONS(5470),
    [anon_sym_BSLASHrb] = ACTIONS(5470),
    [anon_sym_BSLASHw] = ACTIONS(5470),
    [anon_sym_BSLASHwg] = ACTIONS(5470),
    [anon_sym_BSLASHwh] = ACTIONS(5470),
    [anon_sym_BSLASHwa] = ACTIONS(5470),
    [anon_sym_BSLASHfig] = ACTIONS(5470),
    [anon_sym_BSLASHjmp] = ACTIONS(5470),
    [anon_sym_BSLASHpb] = ACTIONS(5470),
    [anon_sym_BSLASH] = ACTIONS(5470),
    [sym_milestoneStartTag] = ACTIONS(5470),
    [sym_milestoneEndTag] = ACTIONS(5470),
    [sym_zSpaceTag] = ACTIONS(5470),
    [anon_sym_BSLASHesb] = ACTIONS(5470),
  },
  [516] = {
    [ts_builtin_sym_end] = ACTIONS(2695),
    [aux_sym_text_token1] = ACTIONS(2695),
    [anon_sym_BSLASHref] = ACTIONS(2697),
    [anon_sym_BSLASHsts] = ACTIONS(2697),
    [anon_sym_BSLASHrem] = ACTIONS(2697),
    [anon_sym_BSLASHrestore] = ACTIONS(2697),
    [anon_sym_BSLASHlit] = ACTIONS(2697),
    [anon_sym_BSLASHip] = ACTIONS(2697),
    [anon_sym_BSLASHiex] = ACTIONS(2697),
    [anon_sym_BSLASHv] = ACTIONS(2697),
    [anon_sym_BSLASHva] = ACTIONS(2697),
    [anon_sym_BSLASHvp] = ACTIONS(2697),
    [anon_sym_BSLASHc] = ACTIONS(2697),
    [anon_sym_BSLASHcl] = ACTIONS(2697),
    [anon_sym_BSLASHca] = ACTIONS(2697),
    [anon_sym_BSLASHcp] = ACTIONS(2697),
    [anon_sym_BSLASHcd] = ACTIONS(2697),
    [anon_sym_BSLASHmte] = ACTIONS(2697),
    [anon_sym_BSLASHms] = ACTIONS(2697),
    [anon_sym_BSLASHs] = ACTIONS(2697),
    [anon_sym_BSLASHr] = ACTIONS(2697),
    [anon_sym_BSLASHsp] = ACTIONS(2697),
    [anon_sym_BSLASHd] = ACTIONS(2697),
    [anon_sym_BSLASHsd] = ACTIONS(2697),
    [anon_sym_BSLASHp] = ACTIONS(2697),
    [anon_sym_BSLASHm] = ACTIONS(2697),
    [anon_sym_BSLASHpo] = ACTIONS(2697),
    [anon_sym_BSLASHpr] = ACTIONS(2697),
    [anon_sym_BSLASHcls] = ACTIONS(2697),
    [anon_sym_BSLASHpmo] = ACTIONS(2697),
    [anon_sym_BSLASHpm] = ACTIONS(2697),
    [anon_sym_BSLASHpmc] = ACTIONS(2697),
    [anon_sym_BSLASHpmr] = ACTIONS(2697),
    [anon_sym_BSLASHpi] = ACTIONS(2697),
    [anon_sym_BSLASHmi] = ACTIONS(2697),
    [anon_sym_BSLASHnb] = ACTIONS(2697),
    [anon_sym_BSLASHpc] = ACTIONS(2697),
    [anon_sym_BSLASHph] = ACTIONS(2697),
    [anon_sym_BSLASHb] = ACTIONS(2697),
    [anon_sym_BSLASHq] = ACTIONS(2697),
    [anon_sym_BSLASHqr] = ACTIONS(2697),
    [anon_sym_BSLASHqc] = ACTIONS(2697),
    [anon_sym_BSLASHqs] = ACTIONS(2697),
    [anon_sym_BSLASHqa] = ACTIONS(2697),
    [anon_sym_BSLASHqac] = ACTIONS(2697),
    [anon_sym_BSLASHqm] = ACTIONS(2697),
    [anon_sym_BSLASHqd] = ACTIONS(2697),
    [anon_sym_BSLASHlh] = ACTIONS(2697),
    [anon_sym_BSLASHli] = ACTIONS(2697),
    [anon_sym_BSLASHlim] = ACTIONS(2697),
    [anon_sym_BSLASHtr] = ACTIONS(2697),
    [anon_sym_BSLASHf] = ACTIONS(2697),
    [anon_sym_BSLASHfe] = ACTIONS(2697),
    [anon_sym_BSLASHef] = ACTIONS(2697),
    [anon_sym_BSLASHfm] = ACTIONS(2697),
    [anon_sym_BSLASHx] = ACTIONS(2697),
    [anon_sym_BSLASHxt] = ACTIONS(2697),
    [anon_sym_BSLASHrq] = ACTIONS(2697),
    [anon_sym_BSLASHadd] = ACTIONS(2697),
    [anon_sym_BSLASHbk] = ACTIONS(2697),
    [anon_sym_BSLASHdc] = ACTIONS(2697),
    [anon_sym_BSLASHk] = ACTIONS(2697),
    [anon_sym_BSLASHnd] = ACTIONS(2697),
    [anon_sym_BSLASHord] = ACTIONS(2697),
    [anon_sym_BSLASHpn] = ACTIONS(2697),
    [anon_sym_BSLASHpng] = ACTIONS(2697),
    [anon_sym_BSLASHaddpn] = ACTIONS(2697),
    [anon_sym_BSLASHqt] = ACTIONS(2697),
    [anon_sym_BSLASHsig] = ACTIONS(2697),
    [anon_sym_BSLASHsls] = ACTIONS(2697),
    [anon_sym_BSLASHtl] = ACTIONS(2697),
    [anon_sym_BSLASHwj] = ACTIONS(2697),
    [anon_sym_BSLASHem] = ACTIONS(2697),
    [anon_sym_BSLASHbd] = ACTIONS(2697),
    [anon_sym_BSLASHit] = ACTIONS(2697),
    [anon_sym_BSLASHbdit] = ACTIONS(2697),
    [anon_sym_BSLASHno] = ACTIONS(2697),
    [anon_sym_BSLASHsc] = ACTIONS(2697),
    [anon_sym_BSLASHsup] = ACTIONS(2697),
    [anon_sym_BSLASHndx] = ACTIONS(2697),
    [anon_sym_BSLASHpro] = ACTIONS(2697),
    [anon_sym_BSLASHrb] = ACTIONS(2697),
    [anon_sym_BSLASHw] = ACTIONS(2697),
    [anon_sym_BSLASHwg] = ACTIONS(2697),
    [anon_sym_BSLASHwh] = ACTIONS(2697),
    [anon_sym_BSLASHwa] = ACTIONS(2697),
    [anon_sym_BSLASHfig] = ACTIONS(2697),
    [anon_sym_BSLASHjmp] = ACTIONS(2697),
    [anon_sym_BSLASHpb] = ACTIONS(2697),
    [anon_sym_BSLASH] = ACTIONS(2697),
    [sym_milestoneStartTag] = ACTIONS(2697),
    [sym_milestoneEndTag] = ACTIONS(2697),
    [sym_zSpaceTag] = ACTIONS(2697),
    [anon_sym_BSLASHesb] = ACTIONS(2697),
  },
  [517] = {
    [ts_builtin_sym_end] = ACTIONS(2715),
    [aux_sym_text_token1] = ACTIONS(2715),
    [anon_sym_BSLASHref] = ACTIONS(2717),
    [anon_sym_BSLASHsts] = ACTIONS(2717),
    [anon_sym_BSLASHrem] = ACTIONS(2717),
    [anon_sym_BSLASHrestore] = ACTIONS(2717),
    [anon_sym_BSLASHlit] = ACTIONS(2717),
    [anon_sym_BSLASHip] = ACTIONS(2717),
    [anon_sym_BSLASHiex] = ACTIONS(2717),
    [anon_sym_BSLASHv] = ACTIONS(2717),
    [anon_sym_BSLASHva] = ACTIONS(2717),
    [anon_sym_BSLASHvp] = ACTIONS(2717),
    [anon_sym_BSLASHc] = ACTIONS(2717),
    [anon_sym_BSLASHcl] = ACTIONS(2717),
    [anon_sym_BSLASHca] = ACTIONS(2717),
    [anon_sym_BSLASHcp] = ACTIONS(2717),
    [anon_sym_BSLASHcd] = ACTIONS(2717),
    [anon_sym_BSLASHmte] = ACTIONS(2717),
    [anon_sym_BSLASHms] = ACTIONS(2717),
    [anon_sym_BSLASHs] = ACTIONS(2717),
    [anon_sym_BSLASHr] = ACTIONS(2717),
    [anon_sym_BSLASHsp] = ACTIONS(2717),
    [anon_sym_BSLASHd] = ACTIONS(2717),
    [anon_sym_BSLASHsd] = ACTIONS(2717),
    [anon_sym_BSLASHp] = ACTIONS(2717),
    [anon_sym_BSLASHm] = ACTIONS(2717),
    [anon_sym_BSLASHpo] = ACTIONS(2717),
    [anon_sym_BSLASHpr] = ACTIONS(2717),
    [anon_sym_BSLASHcls] = ACTIONS(2717),
    [anon_sym_BSLASHpmo] = ACTIONS(2717),
    [anon_sym_BSLASHpm] = ACTIONS(2717),
    [anon_sym_BSLASHpmc] = ACTIONS(2717),
    [anon_sym_BSLASHpmr] = ACTIONS(2717),
    [anon_sym_BSLASHpi] = ACTIONS(2717),
    [anon_sym_BSLASHmi] = ACTIONS(2717),
    [anon_sym_BSLASHnb] = ACTIONS(2717),
    [anon_sym_BSLASHpc] = ACTIONS(2717),
    [anon_sym_BSLASHph] = ACTIONS(2717),
    [anon_sym_BSLASHb] = ACTIONS(2717),
    [anon_sym_BSLASHq] = ACTIONS(2717),
    [anon_sym_BSLASHqr] = ACTIONS(2717),
    [anon_sym_BSLASHqc] = ACTIONS(2717),
    [anon_sym_BSLASHqs] = ACTIONS(2717),
    [anon_sym_BSLASHqa] = ACTIONS(2717),
    [anon_sym_BSLASHqac] = ACTIONS(2717),
    [anon_sym_BSLASHqm] = ACTIONS(2717),
    [anon_sym_BSLASHqd] = ACTIONS(2717),
    [anon_sym_BSLASHlh] = ACTIONS(2717),
    [anon_sym_BSLASHli] = ACTIONS(2717),
    [anon_sym_BSLASHlim] = ACTIONS(2717),
    [anon_sym_BSLASHtr] = ACTIONS(2717),
    [anon_sym_BSLASHf] = ACTIONS(2717),
    [anon_sym_BSLASHfe] = ACTIONS(2717),
    [anon_sym_BSLASHef] = ACTIONS(2717),
    [anon_sym_BSLASHfm] = ACTIONS(2717),
    [anon_sym_BSLASHx] = ACTIONS(2717),
    [anon_sym_BSLASHxt] = ACTIONS(2717),
    [anon_sym_BSLASHrq] = ACTIONS(2717),
    [anon_sym_BSLASHadd] = ACTIONS(2717),
    [anon_sym_BSLASHbk] = ACTIONS(2717),
    [anon_sym_BSLASHdc] = ACTIONS(2717),
    [anon_sym_BSLASHk] = ACTIONS(2717),
    [anon_sym_BSLASHnd] = ACTIONS(2717),
    [anon_sym_BSLASHord] = ACTIONS(2717),
    [anon_sym_BSLASHpn] = ACTIONS(2717),
    [anon_sym_BSLASHpng] = ACTIONS(2717),
    [anon_sym_BSLASHaddpn] = ACTIONS(2717),
    [anon_sym_BSLASHqt] = ACTIONS(2717),
    [anon_sym_BSLASHsig] = ACTIONS(2717),
    [anon_sym_BSLASHsls] = ACTIONS(2717),
    [anon_sym_BSLASHtl] = ACTIONS(2717),
    [anon_sym_BSLASHwj] = ACTIONS(2717),
    [anon_sym_BSLASHem] = ACTIONS(2717),
    [anon_sym_BSLASHbd] = ACTIONS(2717),
    [anon_sym_BSLASHit] = ACTIONS(2717),
    [anon_sym_BSLASHbdit] = ACTIONS(2717),
    [anon_sym_BSLASHno] = ACTIONS(2717),
    [anon_sym_BSLASHsc] = ACTIONS(2717),
    [anon_sym_BSLASHsup] = ACTIONS(2717),
    [anon_sym_BSLASHndx] = ACTIONS(2717),
    [anon_sym_BSLASHpro] = ACTIONS(2717),
    [anon_sym_BSLASHrb] = ACTIONS(2717),
    [anon_sym_BSLASHw] = ACTIONS(2717),
    [anon_sym_BSLASHwg] = ACTIONS(2717),
    [anon_sym_BSLASHwh] = ACTIONS(2717),
    [anon_sym_BSLASHwa] = ACTIONS(2717),
    [anon_sym_BSLASHfig] = ACTIONS(2717),
    [anon_sym_BSLASHjmp] = ACTIONS(2717),
    [anon_sym_BSLASHpb] = ACTIONS(2717),
    [anon_sym_BSLASH] = ACTIONS(2717),
    [sym_milestoneStartTag] = ACTIONS(2717),
    [sym_milestoneEndTag] = ACTIONS(2717),
    [sym_zSpaceTag] = ACTIONS(2717),
    [anon_sym_BSLASHesb] = ACTIONS(2717),
  },
  [518] = {
    [sym__verseMeta] = STATE(478),
    [sym_va] = STATE(478),
    [sym_vp] = STATE(478),
    [aux_sym_v_repeat1] = STATE(478),
    [aux_sym_text_token1] = ACTIONS(5246),
    [anon_sym_BSLASHref] = ACTIONS(5248),
    [anon_sym_BSLASHsts] = ACTIONS(5248),
    [anon_sym_BSLASHrem] = ACTIONS(5248),
    [anon_sym_BSLASHrestore] = ACTIONS(5248),
    [anon_sym_BSLASHlit] = ACTIONS(5248),
    [anon_sym_BSLASHip] = ACTIONS(5248),
    [anon_sym_BSLASHv] = ACTIONS(5248),
    [anon_sym_BSLASHva] = ACTIONS(822),
    [anon_sym_BSLASHvp] = ACTIONS(824),
    [anon_sym_BSLASHmte] = ACTIONS(5248),
    [anon_sym_BSLASHms] = ACTIONS(5248),
    [anon_sym_BSLASHs] = ACTIONS(5248),
    [anon_sym_BSLASHr] = ACTIONS(5248),
    [anon_sym_BSLASHsp] = ACTIONS(5248),
    [anon_sym_BSLASHd] = ACTIONS(5248),
    [anon_sym_BSLASHsd] = ACTIONS(5248),
    [anon_sym_BSLASHp] = ACTIONS(5248),
    [anon_sym_BSLASHm] = ACTIONS(5248),
    [anon_sym_BSLASHpo] = ACTIONS(5248),
    [anon_sym_BSLASHpr] = ACTIONS(5248),
    [anon_sym_BSLASHcls] = ACTIONS(5248),
    [anon_sym_BSLASHpmo] = ACTIONS(5248),
    [anon_sym_BSLASHpm] = ACTIONS(5248),
    [anon_sym_BSLASHpmc] = ACTIONS(5248),
    [anon_sym_BSLASHpmr] = ACTIONS(5248),
    [anon_sym_BSLASHpi] = ACTIONS(5248),
    [anon_sym_BSLASHmi] = ACTIONS(5248),
    [anon_sym_BSLASHnb] = ACTIONS(5248),
    [anon_sym_BSLASHpc] = ACTIONS(5248),
    [anon_sym_BSLASHph] = ACTIONS(5248),
    [anon_sym_BSLASHb] = ACTIONS(5248),
    [anon_sym_BSLASHq] = ACTIONS(5248),
    [anon_sym_BSLASHqr] = ACTIONS(5248),
    [anon_sym_BSLASHqc] = ACTIONS(5248),
    [anon_sym_BSLASHqa] = ACTIONS(5248),
    [anon_sym_BSLASHqm] = ACTIONS(5248),
    [anon_sym_BSLASHqd] = ACTIONS(5248),
    [anon_sym_BSLASHlh] = ACTIONS(5248),
    [anon_sym_BSLASHlf] = ACTIONS(5248),
    [anon_sym_BSLASHli] = ACTIONS(5248),
    [anon_sym_BSLASHlim] = ACTIONS(5248),
    [anon_sym_BSLASHliv] = ACTIONS(5248),
    [anon_sym_BSLASHlik] = ACTIONS(5248),
    [anon_sym_BSLASHlitl] = ACTIONS(5248),
    [anon_sym_BSLASHtr] = ACTIONS(5248),
    [anon_sym_BSLASHf] = ACTIONS(5248),
    [anon_sym_BSLASHfe] = ACTIONS(5248),
    [anon_sym_BSLASHef] = ACTIONS(5248),
    [anon_sym_BSLASHfm] = ACTIONS(5248),
    [anon_sym_BSLASHx] = ACTIONS(5248),
    [anon_sym_BSLASHxt] = ACTIONS(5248),
    [anon_sym_BSLASHrq] = ACTIONS(5248),
    [anon_sym_BSLASHadd] = ACTIONS(5248),
    [anon_sym_BSLASHbk] = ACTIONS(5248),
    [anon_sym_BSLASHdc] = ACTIONS(5248),
    [anon_sym_BSLASHk] = ACTIONS(5248),
    [anon_sym_BSLASHnd] = ACTIONS(5248),
    [anon_sym_BSLASHord] = ACTIONS(5248),
    [anon_sym_BSLASHpn] = ACTIONS(5248),
    [anon_sym_BSLASHpng] = ACTIONS(5248),
    [anon_sym_BSLASHaddpn] = ACTIONS(5248),
    [anon_sym_BSLASHqt] = ACTIONS(5248),
    [anon_sym_BSLASHsig] = ACTIONS(5248),
    [anon_sym_BSLASHsls] = ACTIONS(5248),
    [anon_sym_BSLASHtl] = ACTIONS(5248),
    [anon_sym_BSLASHwj] = ACTIONS(5248),
    [anon_sym_BSLASHem] = ACTIONS(5248),
    [anon_sym_BSLASHbd] = ACTIONS(5248),
    [anon_sym_BSLASHit] = ACTIONS(5248),
    [anon_sym_BSLASHbdit] = ACTIONS(5248),
    [anon_sym_BSLASHno] = ACTIONS(5248),
    [anon_sym_BSLASHsc] = ACTIONS(5248),
    [anon_sym_BSLASHsup] = ACTIONS(5248),
    [anon_sym_BSLASHndx] = ACTIONS(5248),
    [anon_sym_BSLASHpro] = ACTIONS(5248),
    [anon_sym_BSLASHrb] = ACTIONS(5248),
    [anon_sym_BSLASHw] = ACTIONS(5248),
    [anon_sym_BSLASHwg] = ACTIONS(5248),
    [anon_sym_BSLASHwh] = ACTIONS(5248),
    [anon_sym_BSLASHwa] = ACTIONS(5248),
    [anon_sym_BSLASHfig] = ACTIONS(5248),
    [anon_sym_BSLASHjmp] = ACTIONS(5248),
    [anon_sym_BSLASHpb] = ACTIONS(5248),
    [anon_sym_BSLASH] = ACTIONS(5248),
    [sym_milestoneStartTag] = ACTIONS(5248),
    [sym_milestoneEndTag] = ACTIONS(5248),
    [sym_zSpaceTag] = ACTIONS(5248),
    [anon_sym_BSLASHesbe] = ACTIONS(5248),
    [anon_sym_BSLASHcat] = ACTIONS(5248),
  },
  [519] = {
    [ts_builtin_sym_end] = ACTIONS(5402),
    [aux_sym_text_token1] = ACTIONS(5402),
    [anon_sym_BSLASHref] = ACTIONS(5404),
    [anon_sym_BSLASHsts] = ACTIONS(5404),
    [anon_sym_BSLASHrem] = ACTIONS(5404),
    [anon_sym_BSLASHrestore] = ACTIONS(5404),
    [anon_sym_BSLASHlit] = ACTIONS(5404),
    [anon_sym_BSLASHip] = ACTIONS(5404),
    [anon_sym_BSLASHiex] = ACTIONS(5404),
    [anon_sym_BSLASHv] = ACTIONS(5404),
    [anon_sym_BSLASHva] = ACTIONS(5404),
    [anon_sym_BSLASHvp] = ACTIONS(5404),
    [anon_sym_BSLASHc] = ACTIONS(5404),
    [anon_sym_BSLASHcl] = ACTIONS(5404),
    [anon_sym_BSLASHca] = ACTIONS(5404),
    [anon_sym_BSLASHcp] = ACTIONS(5404),
    [anon_sym_BSLASHcd] = ACTIONS(5404),
    [anon_sym_BSLASHmte] = ACTIONS(5404),
    [anon_sym_BSLASHms] = ACTIONS(5404),
    [anon_sym_BSLASHs] = ACTIONS(5404),
    [anon_sym_BSLASHr] = ACTIONS(5404),
    [anon_sym_BSLASHsp] = ACTIONS(5404),
    [anon_sym_BSLASHd] = ACTIONS(5404),
    [anon_sym_BSLASHsd] = ACTIONS(5404),
    [anon_sym_BSLASHp] = ACTIONS(5404),
    [anon_sym_BSLASHm] = ACTIONS(5404),
    [anon_sym_BSLASHpo] = ACTIONS(5404),
    [anon_sym_BSLASHpr] = ACTIONS(5404),
    [anon_sym_BSLASHcls] = ACTIONS(5404),
    [anon_sym_BSLASHpmo] = ACTIONS(5404),
    [anon_sym_BSLASHpm] = ACTIONS(5404),
    [anon_sym_BSLASHpmc] = ACTIONS(5404),
    [anon_sym_BSLASHpmr] = ACTIONS(5404),
    [anon_sym_BSLASHpi] = ACTIONS(5404),
    [anon_sym_BSLASHmi] = ACTIONS(5404),
    [anon_sym_BSLASHnb] = ACTIONS(5404),
    [anon_sym_BSLASHpc] = ACTIONS(5404),
    [anon_sym_BSLASHph] = ACTIONS(5404),
    [anon_sym_BSLASHb] = ACTIONS(5404),
    [anon_sym_BSLASHq] = ACTIONS(5404),
    [anon_sym_BSLASHqr] = ACTIONS(5404),
    [anon_sym_BSLASHqc] = ACTIONS(5404),
    [anon_sym_BSLASHqs] = ACTIONS(5404),
    [anon_sym_BSLASHqa] = ACTIONS(5404),
    [anon_sym_BSLASHqac] = ACTIONS(5404),
    [anon_sym_BSLASHqm] = ACTIONS(5404),
    [anon_sym_BSLASHqd] = ACTIONS(5404),
    [anon_sym_BSLASHlh] = ACTIONS(5404),
    [anon_sym_BSLASHli] = ACTIONS(5404),
    [anon_sym_BSLASHlim] = ACTIONS(5404),
    [anon_sym_BSLASHtr] = ACTIONS(5404),
    [anon_sym_BSLASHf] = ACTIONS(5404),
    [anon_sym_BSLASHfe] = ACTIONS(5404),
    [anon_sym_BSLASHef] = ACTIONS(5404),
    [anon_sym_BSLASHfm] = ACTIONS(5404),
    [anon_sym_BSLASHx] = ACTIONS(5404),
    [anon_sym_BSLASHxt] = ACTIONS(5404),
    [anon_sym_BSLASHrq] = ACTIONS(5404),
    [anon_sym_BSLASHadd] = ACTIONS(5404),
    [anon_sym_BSLASHbk] = ACTIONS(5404),
    [anon_sym_BSLASHdc] = ACTIONS(5404),
    [anon_sym_BSLASHk] = ACTIONS(5404),
    [anon_sym_BSLASHnd] = ACTIONS(5404),
    [anon_sym_BSLASHord] = ACTIONS(5404),
    [anon_sym_BSLASHpn] = ACTIONS(5404),
    [anon_sym_BSLASHpng] = ACTIONS(5404),
    [anon_sym_BSLASHaddpn] = ACTIONS(5404),
    [anon_sym_BSLASHqt] = ACTIONS(5404),
    [anon_sym_BSLASHsig] = ACTIONS(5404),
    [anon_sym_BSLASHsls] = ACTIONS(5404),
    [anon_sym_BSLASHtl] = ACTIONS(5404),
    [anon_sym_BSLASHwj] = ACTIONS(5404),
    [anon_sym_BSLASHem] = ACTIONS(5404),
    [anon_sym_BSLASHbd] = ACTIONS(5404),
    [anon_sym_BSLASHit] = ACTIONS(5404),
    [anon_sym_BSLASHbdit] = ACTIONS(5404),
    [anon_sym_BSLASHno] = ACTIONS(5404),
    [anon_sym_BSLASHsc] = ACTIONS(5404),
    [anon_sym_BSLASHsup] = ACTIONS(5404),
    [anon_sym_BSLASHndx] = ACTIONS(5404),
    [anon_sym_BSLASHpro] = ACTIONS(5404),
    [anon_sym_BSLASHrb] = ACTIONS(5404),
    [anon_sym_BSLASHw] = ACTIONS(5404),
    [anon_sym_BSLASHwg] = ACTIONS(5404),
    [anon_sym_BSLASHwh] = ACTIONS(5404),
    [anon_sym_BSLASHwa] = ACTIONS(5404),
    [anon_sym_BSLASHfig] = ACTIONS(5404),
    [anon_sym_BSLASHjmp] = ACTIONS(5404),
    [anon_sym_BSLASHpb] = ACTIONS(5404),
    [anon_sym_BSLASH] = ACTIONS(5404),
    [sym_milestoneStartTag] = ACTIONS(5404),
    [sym_milestoneEndTag] = ACTIONS(5404),
    [sym_zSpaceTag] = ACTIONS(5404),
    [anon_sym_BSLASHesb] = ACTIONS(5404),
  },
  [520] = {
    [ts_builtin_sym_end] = ACTIONS(73),
    [aux_sym_text_token1] = ACTIONS(73),
    [anon_sym_BSLASHref] = ACTIONS(75),
    [anon_sym_BSLASHsts] = ACTIONS(75),
    [anon_sym_BSLASHrem] = ACTIONS(75),
    [anon_sym_BSLASHrestore] = ACTIONS(75),
    [anon_sym_BSLASHlit] = ACTIONS(75),
    [anon_sym_BSLASHip] = ACTIONS(75),
    [anon_sym_BSLASHiex] = ACTIONS(75),
    [anon_sym_BSLASHv] = ACTIONS(75),
    [anon_sym_BSLASHva] = ACTIONS(75),
    [anon_sym_BSLASHvp] = ACTIONS(75),
    [anon_sym_BSLASHc] = ACTIONS(75),
    [anon_sym_BSLASHcl] = ACTIONS(75),
    [anon_sym_BSLASHca] = ACTIONS(75),
    [anon_sym_BSLASHcp] = ACTIONS(75),
    [anon_sym_BSLASHcd] = ACTIONS(75),
    [anon_sym_BSLASHmte] = ACTIONS(75),
    [anon_sym_BSLASHms] = ACTIONS(75),
    [anon_sym_BSLASHs] = ACTIONS(75),
    [anon_sym_BSLASHr] = ACTIONS(75),
    [anon_sym_BSLASHsp] = ACTIONS(75),
    [anon_sym_BSLASHd] = ACTIONS(75),
    [anon_sym_BSLASHsd] = ACTIONS(75),
    [anon_sym_BSLASHp] = ACTIONS(75),
    [anon_sym_BSLASHm] = ACTIONS(75),
    [anon_sym_BSLASHpo] = ACTIONS(75),
    [anon_sym_BSLASHpr] = ACTIONS(75),
    [anon_sym_BSLASHcls] = ACTIONS(75),
    [anon_sym_BSLASHpmo] = ACTIONS(75),
    [anon_sym_BSLASHpm] = ACTIONS(75),
    [anon_sym_BSLASHpmc] = ACTIONS(75),
    [anon_sym_BSLASHpmr] = ACTIONS(75),
    [anon_sym_BSLASHpi] = ACTIONS(75),
    [anon_sym_BSLASHmi] = ACTIONS(75),
    [anon_sym_BSLASHnb] = ACTIONS(75),
    [anon_sym_BSLASHpc] = ACTIONS(75),
    [anon_sym_BSLASHph] = ACTIONS(75),
    [anon_sym_BSLASHb] = ACTIONS(75),
    [anon_sym_BSLASHq] = ACTIONS(75),
    [anon_sym_BSLASHqr] = ACTIONS(75),
    [anon_sym_BSLASHqc] = ACTIONS(75),
    [anon_sym_BSLASHqs] = ACTIONS(75),
    [anon_sym_BSLASHqa] = ACTIONS(75),
    [anon_sym_BSLASHqac] = ACTIONS(75),
    [anon_sym_BSLASHqm] = ACTIONS(75),
    [anon_sym_BSLASHqd] = ACTIONS(75),
    [anon_sym_BSLASHlh] = ACTIONS(75),
    [anon_sym_BSLASHli] = ACTIONS(75),
    [anon_sym_BSLASHlim] = ACTIONS(75),
    [anon_sym_BSLASHtr] = ACTIONS(75),
    [anon_sym_BSLASHf] = ACTIONS(75),
    [anon_sym_BSLASHfe] = ACTIONS(75),
    [anon_sym_BSLASHef] = ACTIONS(75),
    [anon_sym_BSLASHfm] = ACTIONS(75),
    [anon_sym_BSLASHx] = ACTIONS(75),
    [anon_sym_BSLASHxt] = ACTIONS(75),
    [anon_sym_BSLASHrq] = ACTIONS(75),
    [anon_sym_BSLASHadd] = ACTIONS(75),
    [anon_sym_BSLASHbk] = ACTIONS(75),
    [anon_sym_BSLASHdc] = ACTIONS(75),
    [anon_sym_BSLASHk] = ACTIONS(75),
    [anon_sym_BSLASHnd] = ACTIONS(75),
    [anon_sym_BSLASHord] = ACTIONS(75),
    [anon_sym_BSLASHpn] = ACTIONS(75),
    [anon_sym_BSLASHpng] = ACTIONS(75),
    [anon_sym_BSLASHaddpn] = ACTIONS(75),
    [anon_sym_BSLASHqt] = ACTIONS(75),
    [anon_sym_BSLASHsig] = ACTIONS(75),
    [anon_sym_BSLASHsls] = ACTIONS(75),
    [anon_sym_BSLASHtl] = ACTIONS(75),
    [anon_sym_BSLASHwj] = ACTIONS(75),
    [anon_sym_BSLASHem] = ACTIONS(75),
    [anon_sym_BSLASHbd] = ACTIONS(75),
    [anon_sym_BSLASHit] = ACTIONS(75),
    [anon_sym_BSLASHbdit] = ACTIONS(75),
    [anon_sym_BSLASHno] = ACTIONS(75),
    [anon_sym_BSLASHsc] = ACTIONS(75),
    [anon_sym_BSLASHsup] = ACTIONS(75),
    [anon_sym_BSLASHndx] = ACTIONS(75),
    [anon_sym_BSLASHpro] = ACTIONS(75),
    [anon_sym_BSLASHrb] = ACTIONS(75),
    [anon_sym_BSLASHw] = ACTIONS(75),
    [anon_sym_BSLASHwg] = ACTIONS(75),
    [anon_sym_BSLASHwh] = ACTIONS(75),
    [anon_sym_BSLASHwa] = ACTIONS(75),
    [anon_sym_BSLASHfig] = ACTIONS(75),
    [anon_sym_BSLASHjmp] = ACTIONS(75),
    [anon_sym_BSLASHpb] = ACTIONS(75),
    [anon_sym_BSLASH] = ACTIONS(75),
    [sym_milestoneStartTag] = ACTIONS(75),
    [sym_milestoneEndTag] = ACTIONS(75),
    [sym_zSpaceTag] = ACTIONS(75),
    [anon_sym_BSLASHesb] = ACTIONS(75),
  },
  [521] = {
    [ts_builtin_sym_end] = ACTIONS(2783),
    [aux_sym_text_token1] = ACTIONS(2783),
    [anon_sym_BSLASHref] = ACTIONS(2785),
    [anon_sym_BSLASHsts] = ACTIONS(2785),
    [anon_sym_BSLASHrem] = ACTIONS(2785),
    [anon_sym_BSLASHrestore] = ACTIONS(2785),
    [anon_sym_BSLASHlit] = ACTIONS(2785),
    [anon_sym_BSLASHip] = ACTIONS(2785),
    [anon_sym_BSLASHiex] = ACTIONS(2785),
    [anon_sym_BSLASHv] = ACTIONS(2785),
    [anon_sym_BSLASHva] = ACTIONS(2785),
    [anon_sym_BSLASHvp] = ACTIONS(2785),
    [anon_sym_BSLASHc] = ACTIONS(2785),
    [anon_sym_BSLASHcl] = ACTIONS(2785),
    [anon_sym_BSLASHca] = ACTIONS(2785),
    [anon_sym_BSLASHcp] = ACTIONS(2785),
    [anon_sym_BSLASHcd] = ACTIONS(2785),
    [anon_sym_BSLASHmte] = ACTIONS(2785),
    [anon_sym_BSLASHms] = ACTIONS(2785),
    [anon_sym_BSLASHs] = ACTIONS(2785),
    [anon_sym_BSLASHr] = ACTIONS(2785),
    [anon_sym_BSLASHsp] = ACTIONS(2785),
    [anon_sym_BSLASHd] = ACTIONS(2785),
    [anon_sym_BSLASHsd] = ACTIONS(2785),
    [anon_sym_BSLASHp] = ACTIONS(2785),
    [anon_sym_BSLASHm] = ACTIONS(2785),
    [anon_sym_BSLASHpo] = ACTIONS(2785),
    [anon_sym_BSLASHpr] = ACTIONS(2785),
    [anon_sym_BSLASHcls] = ACTIONS(2785),
    [anon_sym_BSLASHpmo] = ACTIONS(2785),
    [anon_sym_BSLASHpm] = ACTIONS(2785),
    [anon_sym_BSLASHpmc] = ACTIONS(2785),
    [anon_sym_BSLASHpmr] = ACTIONS(2785),
    [anon_sym_BSLASHpi] = ACTIONS(2785),
    [anon_sym_BSLASHmi] = ACTIONS(2785),
    [anon_sym_BSLASHnb] = ACTIONS(2785),
    [anon_sym_BSLASHpc] = ACTIONS(2785),
    [anon_sym_BSLASHph] = ACTIONS(2785),
    [anon_sym_BSLASHb] = ACTIONS(2785),
    [anon_sym_BSLASHq] = ACTIONS(2785),
    [anon_sym_BSLASHqr] = ACTIONS(2785),
    [anon_sym_BSLASHqc] = ACTIONS(2785),
    [anon_sym_BSLASHqs] = ACTIONS(2785),
    [anon_sym_BSLASHqa] = ACTIONS(2785),
    [anon_sym_BSLASHqac] = ACTIONS(2785),
    [anon_sym_BSLASHqm] = ACTIONS(2785),
    [anon_sym_BSLASHqd] = ACTIONS(2785),
    [anon_sym_BSLASHlh] = ACTIONS(2785),
    [anon_sym_BSLASHli] = ACTIONS(2785),
    [anon_sym_BSLASHlim] = ACTIONS(2785),
    [anon_sym_BSLASHtr] = ACTIONS(2785),
    [anon_sym_BSLASHf] = ACTIONS(2785),
    [anon_sym_BSLASHfe] = ACTIONS(2785),
    [anon_sym_BSLASHef] = ACTIONS(2785),
    [anon_sym_BSLASHfm] = ACTIONS(2785),
    [anon_sym_BSLASHx] = ACTIONS(2785),
    [anon_sym_BSLASHxt] = ACTIONS(2785),
    [anon_sym_BSLASHrq] = ACTIONS(2785),
    [anon_sym_BSLASHadd] = ACTIONS(2785),
    [anon_sym_BSLASHbk] = ACTIONS(2785),
    [anon_sym_BSLASHdc] = ACTIONS(2785),
    [anon_sym_BSLASHk] = ACTIONS(2785),
    [anon_sym_BSLASHnd] = ACTIONS(2785),
    [anon_sym_BSLASHord] = ACTIONS(2785),
    [anon_sym_BSLASHpn] = ACTIONS(2785),
    [anon_sym_BSLASHpng] = ACTIONS(2785),
    [anon_sym_BSLASHaddpn] = ACTIONS(2785),
    [anon_sym_BSLASHqt] = ACTIONS(2785),
    [anon_sym_BSLASHsig] = ACTIONS(2785),
    [anon_sym_BSLASHsls] = ACTIONS(2785),
    [anon_sym_BSLASHtl] = ACTIONS(2785),
    [anon_sym_BSLASHwj] = ACTIONS(2785),
    [anon_sym_BSLASHem] = ACTIONS(2785),
    [anon_sym_BSLASHbd] = ACTIONS(2785),
    [anon_sym_BSLASHit] = ACTIONS(2785),
    [anon_sym_BSLASHbdit] = ACTIONS(2785),
    [anon_sym_BSLASHno] = ACTIONS(2785),
    [anon_sym_BSLASHsc] = ACTIONS(2785),
    [anon_sym_BSLASHsup] = ACTIONS(2785),
    [anon_sym_BSLASHndx] = ACTIONS(2785),
    [anon_sym_BSLASHpro] = ACTIONS(2785),
    [anon_sym_BSLASHrb] = ACTIONS(2785),
    [anon_sym_BSLASHw] = ACTIONS(2785),
    [anon_sym_BSLASHwg] = ACTIONS(2785),
    [anon_sym_BSLASHwh] = ACTIONS(2785),
    [anon_sym_BSLASHwa] = ACTIONS(2785),
    [anon_sym_BSLASHfig] = ACTIONS(2785),
    [anon_sym_BSLASHjmp] = ACTIONS(2785),
    [anon_sym_BSLASHpb] = ACTIONS(2785),
    [anon_sym_BSLASH] = ACTIONS(2785),
    [sym_milestoneStartTag] = ACTIONS(2785),
    [sym_milestoneEndTag] = ACTIONS(2785),
    [sym_zSpaceTag] = ACTIONS(2785),
    [anon_sym_BSLASHesb] = ACTIONS(2785),
  },
  [522] = {
    [ts_builtin_sym_end] = ACTIONS(5406),
    [aux_sym_text_token1] = ACTIONS(5406),
    [anon_sym_BSLASHref] = ACTIONS(5408),
    [anon_sym_BSLASHsts] = ACTIONS(5408),
    [anon_sym_BSLASHrem] = ACTIONS(5408),
    [anon_sym_BSLASHrestore] = ACTIONS(5408),
    [anon_sym_BSLASHlit] = ACTIONS(5408),
    [anon_sym_BSLASHip] = ACTIONS(5408),
    [anon_sym_BSLASHiex] = ACTIONS(5408),
    [anon_sym_BSLASHv] = ACTIONS(5408),
    [anon_sym_BSLASHva] = ACTIONS(5408),
    [anon_sym_BSLASHvp] = ACTIONS(5408),
    [anon_sym_BSLASHc] = ACTIONS(5408),
    [anon_sym_BSLASHcl] = ACTIONS(5408),
    [anon_sym_BSLASHca] = ACTIONS(5408),
    [anon_sym_BSLASHcp] = ACTIONS(5408),
    [anon_sym_BSLASHcd] = ACTIONS(5408),
    [anon_sym_BSLASHmte] = ACTIONS(5408),
    [anon_sym_BSLASHms] = ACTIONS(5408),
    [anon_sym_BSLASHs] = ACTIONS(5408),
    [anon_sym_BSLASHr] = ACTIONS(5408),
    [anon_sym_BSLASHsp] = ACTIONS(5408),
    [anon_sym_BSLASHd] = ACTIONS(5408),
    [anon_sym_BSLASHsd] = ACTIONS(5408),
    [anon_sym_BSLASHp] = ACTIONS(5408),
    [anon_sym_BSLASHm] = ACTIONS(5408),
    [anon_sym_BSLASHpo] = ACTIONS(5408),
    [anon_sym_BSLASHpr] = ACTIONS(5408),
    [anon_sym_BSLASHcls] = ACTIONS(5408),
    [anon_sym_BSLASHpmo] = ACTIONS(5408),
    [anon_sym_BSLASHpm] = ACTIONS(5408),
    [anon_sym_BSLASHpmc] = ACTIONS(5408),
    [anon_sym_BSLASHpmr] = ACTIONS(5408),
    [anon_sym_BSLASHpi] = ACTIONS(5408),
    [anon_sym_BSLASHmi] = ACTIONS(5408),
    [anon_sym_BSLASHnb] = ACTIONS(5408),
    [anon_sym_BSLASHpc] = ACTIONS(5408),
    [anon_sym_BSLASHph] = ACTIONS(5408),
    [anon_sym_BSLASHb] = ACTIONS(5408),
    [anon_sym_BSLASHq] = ACTIONS(5408),
    [anon_sym_BSLASHqr] = ACTIONS(5408),
    [anon_sym_BSLASHqc] = ACTIONS(5408),
    [anon_sym_BSLASHqs] = ACTIONS(5408),
    [anon_sym_BSLASHqa] = ACTIONS(5408),
    [anon_sym_BSLASHqac] = ACTIONS(5408),
    [anon_sym_BSLASHqm] = ACTIONS(5408),
    [anon_sym_BSLASHqd] = ACTIONS(5408),
    [anon_sym_BSLASHlh] = ACTIONS(5408),
    [anon_sym_BSLASHli] = ACTIONS(5408),
    [anon_sym_BSLASHlim] = ACTIONS(5408),
    [anon_sym_BSLASHtr] = ACTIONS(5408),
    [anon_sym_BSLASHf] = ACTIONS(5408),
    [anon_sym_BSLASHfe] = ACTIONS(5408),
    [anon_sym_BSLASHef] = ACTIONS(5408),
    [anon_sym_BSLASHfm] = ACTIONS(5408),
    [anon_sym_BSLASHx] = ACTIONS(5408),
    [anon_sym_BSLASHxt] = ACTIONS(5408),
    [anon_sym_BSLASHrq] = ACTIONS(5408),
    [anon_sym_BSLASHadd] = ACTIONS(5408),
    [anon_sym_BSLASHbk] = ACTIONS(5408),
    [anon_sym_BSLASHdc] = ACTIONS(5408),
    [anon_sym_BSLASHk] = ACTIONS(5408),
    [anon_sym_BSLASHnd] = ACTIONS(5408),
    [anon_sym_BSLASHord] = ACTIONS(5408),
    [anon_sym_BSLASHpn] = ACTIONS(5408),
    [anon_sym_BSLASHpng] = ACTIONS(5408),
    [anon_sym_BSLASHaddpn] = ACTIONS(5408),
    [anon_sym_BSLASHqt] = ACTIONS(5408),
    [anon_sym_BSLASHsig] = ACTIONS(5408),
    [anon_sym_BSLASHsls] = ACTIONS(5408),
    [anon_sym_BSLASHtl] = ACTIONS(5408),
    [anon_sym_BSLASHwj] = ACTIONS(5408),
    [anon_sym_BSLASHem] = ACTIONS(5408),
    [anon_sym_BSLASHbd] = ACTIONS(5408),
    [anon_sym_BSLASHit] = ACTIONS(5408),
    [anon_sym_BSLASHbdit] = ACTIONS(5408),
    [anon_sym_BSLASHno] = ACTIONS(5408),
    [anon_sym_BSLASHsc] = ACTIONS(5408),
    [anon_sym_BSLASHsup] = ACTIONS(5408),
    [anon_sym_BSLASHndx] = ACTIONS(5408),
    [anon_sym_BSLASHpro] = ACTIONS(5408),
    [anon_sym_BSLASHrb] = ACTIONS(5408),
    [anon_sym_BSLASHw] = ACTIONS(5408),
    [anon_sym_BSLASHwg] = ACTIONS(5408),
    [anon_sym_BSLASHwh] = ACTIONS(5408),
    [anon_sym_BSLASHwa] = ACTIONS(5408),
    [anon_sym_BSLASHfig] = ACTIONS(5408),
    [anon_sym_BSLASHjmp] = ACTIONS(5408),
    [anon_sym_BSLASHpb] = ACTIONS(5408),
    [anon_sym_BSLASH] = ACTIONS(5408),
    [sym_milestoneStartTag] = ACTIONS(5408),
    [sym_milestoneEndTag] = ACTIONS(5408),
    [sym_zSpaceTag] = ACTIONS(5408),
    [anon_sym_BSLASHesb] = ACTIONS(5408),
  },
  [523] = {
    [ts_builtin_sym_end] = ACTIONS(2779),
    [aux_sym_text_token1] = ACTIONS(2779),
    [anon_sym_BSLASHref] = ACTIONS(2781),
    [anon_sym_BSLASHsts] = ACTIONS(2781),
    [anon_sym_BSLASHrem] = ACTIONS(2781),
    [anon_sym_BSLASHrestore] = ACTIONS(2781),
    [anon_sym_BSLASHlit] = ACTIONS(2781),
    [anon_sym_BSLASHip] = ACTIONS(2781),
    [anon_sym_BSLASHiex] = ACTIONS(2781),
    [anon_sym_BSLASHv] = ACTIONS(2781),
    [anon_sym_BSLASHva] = ACTIONS(2781),
    [anon_sym_BSLASHvp] = ACTIONS(2781),
    [anon_sym_BSLASHc] = ACTIONS(2781),
    [anon_sym_BSLASHcl] = ACTIONS(2781),
    [anon_sym_BSLASHca] = ACTIONS(2781),
    [anon_sym_BSLASHcp] = ACTIONS(2781),
    [anon_sym_BSLASHcd] = ACTIONS(2781),
    [anon_sym_BSLASHmte] = ACTIONS(2781),
    [anon_sym_BSLASHms] = ACTIONS(2781),
    [anon_sym_BSLASHs] = ACTIONS(2781),
    [anon_sym_BSLASHr] = ACTIONS(2781),
    [anon_sym_BSLASHsp] = ACTIONS(2781),
    [anon_sym_BSLASHd] = ACTIONS(2781),
    [anon_sym_BSLASHsd] = ACTIONS(2781),
    [anon_sym_BSLASHp] = ACTIONS(2781),
    [anon_sym_BSLASHm] = ACTIONS(2781),
    [anon_sym_BSLASHpo] = ACTIONS(2781),
    [anon_sym_BSLASHpr] = ACTIONS(2781),
    [anon_sym_BSLASHcls] = ACTIONS(2781),
    [anon_sym_BSLASHpmo] = ACTIONS(2781),
    [anon_sym_BSLASHpm] = ACTIONS(2781),
    [anon_sym_BSLASHpmc] = ACTIONS(2781),
    [anon_sym_BSLASHpmr] = ACTIONS(2781),
    [anon_sym_BSLASHpi] = ACTIONS(2781),
    [anon_sym_BSLASHmi] = ACTIONS(2781),
    [anon_sym_BSLASHnb] = ACTIONS(2781),
    [anon_sym_BSLASHpc] = ACTIONS(2781),
    [anon_sym_BSLASHph] = ACTIONS(2781),
    [anon_sym_BSLASHb] = ACTIONS(2781),
    [anon_sym_BSLASHq] = ACTIONS(2781),
    [anon_sym_BSLASHqr] = ACTIONS(2781),
    [anon_sym_BSLASHqc] = ACTIONS(2781),
    [anon_sym_BSLASHqs] = ACTIONS(2781),
    [anon_sym_BSLASHqa] = ACTIONS(2781),
    [anon_sym_BSLASHqac] = ACTIONS(2781),
    [anon_sym_BSLASHqm] = ACTIONS(2781),
    [anon_sym_BSLASHqd] = ACTIONS(2781),
    [anon_sym_BSLASHlh] = ACTIONS(2781),
    [anon_sym_BSLASHli] = ACTIONS(2781),
    [anon_sym_BSLASHlim] = ACTIONS(2781),
    [anon_sym_BSLASHtr] = ACTIONS(2781),
    [anon_sym_BSLASHf] = ACTIONS(2781),
    [anon_sym_BSLASHfe] = ACTIONS(2781),
    [anon_sym_BSLASHef] = ACTIONS(2781),
    [anon_sym_BSLASHfm] = ACTIONS(2781),
    [anon_sym_BSLASHx] = ACTIONS(2781),
    [anon_sym_BSLASHxt] = ACTIONS(2781),
    [anon_sym_BSLASHrq] = ACTIONS(2781),
    [anon_sym_BSLASHadd] = ACTIONS(2781),
    [anon_sym_BSLASHbk] = ACTIONS(2781),
    [anon_sym_BSLASHdc] = ACTIONS(2781),
    [anon_sym_BSLASHk] = ACTIONS(2781),
    [anon_sym_BSLASHnd] = ACTIONS(2781),
    [anon_sym_BSLASHord] = ACTIONS(2781),
    [anon_sym_BSLASHpn] = ACTIONS(2781),
    [anon_sym_BSLASHpng] = ACTIONS(2781),
    [anon_sym_BSLASHaddpn] = ACTIONS(2781),
    [anon_sym_BSLASHqt] = ACTIONS(2781),
    [anon_sym_BSLASHsig] = ACTIONS(2781),
    [anon_sym_BSLASHsls] = ACTIONS(2781),
    [anon_sym_BSLASHtl] = ACTIONS(2781),
    [anon_sym_BSLASHwj] = ACTIONS(2781),
    [anon_sym_BSLASHem] = ACTIONS(2781),
    [anon_sym_BSLASHbd] = ACTIONS(2781),
    [anon_sym_BSLASHit] = ACTIONS(2781),
    [anon_sym_BSLASHbdit] = ACTIONS(2781),
    [anon_sym_BSLASHno] = ACTIONS(2781),
    [anon_sym_BSLASHsc] = ACTIONS(2781),
    [anon_sym_BSLASHsup] = ACTIONS(2781),
    [anon_sym_BSLASHndx] = ACTIONS(2781),
    [anon_sym_BSLASHpro] = ACTIONS(2781),
    [anon_sym_BSLASHrb] = ACTIONS(2781),
    [anon_sym_BSLASHw] = ACTIONS(2781),
    [anon_sym_BSLASHwg] = ACTIONS(2781),
    [anon_sym_BSLASHwh] = ACTIONS(2781),
    [anon_sym_BSLASHwa] = ACTIONS(2781),
    [anon_sym_BSLASHfig] = ACTIONS(2781),
    [anon_sym_BSLASHjmp] = ACTIONS(2781),
    [anon_sym_BSLASHpb] = ACTIONS(2781),
    [anon_sym_BSLASH] = ACTIONS(2781),
    [sym_milestoneStartTag] = ACTIONS(2781),
    [sym_milestoneEndTag] = ACTIONS(2781),
    [sym_zSpaceTag] = ACTIONS(2781),
    [anon_sym_BSLASHesb] = ACTIONS(2781),
  },
  [524] = {
    [sym__verseMeta] = STATE(524),
    [sym_va] = STATE(524),
    [sym_vp] = STATE(524),
    [aux_sym_v_repeat1] = STATE(524),
    [aux_sym_text_token1] = ACTIONS(5122),
    [anon_sym_BSLASHref] = ACTIONS(5124),
    [anon_sym_BSLASHsts] = ACTIONS(5124),
    [anon_sym_BSLASHrem] = ACTIONS(5124),
    [anon_sym_BSLASHrestore] = ACTIONS(5124),
    [anon_sym_BSLASHlit] = ACTIONS(5124),
    [anon_sym_BSLASHip] = ACTIONS(5124),
    [anon_sym_BSLASHv] = ACTIONS(5124),
    [anon_sym_BSLASHva] = ACTIONS(5472),
    [anon_sym_BSLASHvp] = ACTIONS(5475),
    [anon_sym_BSLASHmte] = ACTIONS(5124),
    [anon_sym_BSLASHms] = ACTIONS(5124),
    [anon_sym_BSLASHs] = ACTIONS(5124),
    [anon_sym_BSLASHr] = ACTIONS(5124),
    [anon_sym_BSLASHsp] = ACTIONS(5124),
    [anon_sym_BSLASHd] = ACTIONS(5124),
    [anon_sym_BSLASHsd] = ACTIONS(5124),
    [anon_sym_BSLASHp] = ACTIONS(5124),
    [anon_sym_BSLASHm] = ACTIONS(5124),
    [anon_sym_BSLASHpo] = ACTIONS(5124),
    [anon_sym_BSLASHpr] = ACTIONS(5124),
    [anon_sym_BSLASHcls] = ACTIONS(5124),
    [anon_sym_BSLASHpmo] = ACTIONS(5124),
    [anon_sym_BSLASHpm] = ACTIONS(5124),
    [anon_sym_BSLASHpmc] = ACTIONS(5124),
    [anon_sym_BSLASHpmr] = ACTIONS(5124),
    [anon_sym_BSLASHpi] = ACTIONS(5124),
    [anon_sym_BSLASHmi] = ACTIONS(5124),
    [anon_sym_BSLASHnb] = ACTIONS(5124),
    [anon_sym_BSLASHpc] = ACTIONS(5124),
    [anon_sym_BSLASHph] = ACTIONS(5124),
    [anon_sym_BSLASHb] = ACTIONS(5124),
    [anon_sym_BSLASHq] = ACTIONS(5124),
    [anon_sym_BSLASHqr] = ACTIONS(5124),
    [anon_sym_BSLASHqc] = ACTIONS(5124),
    [anon_sym_BSLASHqa] = ACTIONS(5124),
    [anon_sym_BSLASHqm] = ACTIONS(5124),
    [anon_sym_BSLASHqd] = ACTIONS(5124),
    [anon_sym_BSLASHlh] = ACTIONS(5124),
    [anon_sym_BSLASHlf] = ACTIONS(5124),
    [anon_sym_BSLASHli] = ACTIONS(5124),
    [anon_sym_BSLASHlim] = ACTIONS(5124),
    [anon_sym_BSLASHliv] = ACTIONS(5124),
    [anon_sym_BSLASHlik] = ACTIONS(5124),
    [anon_sym_BSLASHlitl] = ACTIONS(5124),
    [anon_sym_BSLASHtr] = ACTIONS(5124),
    [anon_sym_BSLASHf] = ACTIONS(5124),
    [anon_sym_BSLASHfe] = ACTIONS(5124),
    [anon_sym_BSLASHef] = ACTIONS(5124),
    [anon_sym_BSLASHfm] = ACTIONS(5124),
    [anon_sym_BSLASHx] = ACTIONS(5124),
    [anon_sym_BSLASHxt] = ACTIONS(5124),
    [anon_sym_BSLASHrq] = ACTIONS(5124),
    [anon_sym_BSLASHadd] = ACTIONS(5124),
    [anon_sym_BSLASHbk] = ACTIONS(5124),
    [anon_sym_BSLASHdc] = ACTIONS(5124),
    [anon_sym_BSLASHk] = ACTIONS(5124),
    [anon_sym_BSLASHnd] = ACTIONS(5124),
    [anon_sym_BSLASHord] = ACTIONS(5124),
    [anon_sym_BSLASHpn] = ACTIONS(5124),
    [anon_sym_BSLASHpng] = ACTIONS(5124),
    [anon_sym_BSLASHaddpn] = ACTIONS(5124),
    [anon_sym_BSLASHqt] = ACTIONS(5124),
    [anon_sym_BSLASHsig] = ACTIONS(5124),
    [anon_sym_BSLASHsls] = ACTIONS(5124),
    [anon_sym_BSLASHtl] = ACTIONS(5124),
    [anon_sym_BSLASHwj] = ACTIONS(5124),
    [anon_sym_BSLASHem] = ACTIONS(5124),
    [anon_sym_BSLASHbd] = ACTIONS(5124),
    [anon_sym_BSLASHit] = ACTIONS(5124),
    [anon_sym_BSLASHbdit] = ACTIONS(5124),
    [anon_sym_BSLASHno] = ACTIONS(5124),
    [anon_sym_BSLASHsc] = ACTIONS(5124),
    [anon_sym_BSLASHsup] = ACTIONS(5124),
    [anon_sym_BSLASHndx] = ACTIONS(5124),
    [anon_sym_BSLASHpro] = ACTIONS(5124),
    [anon_sym_BSLASHrb] = ACTIONS(5124),
    [anon_sym_BSLASHw] = ACTIONS(5124),
    [anon_sym_BSLASHwg] = ACTIONS(5124),
    [anon_sym_BSLASHwh] = ACTIONS(5124),
    [anon_sym_BSLASHwa] = ACTIONS(5124),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5124),
    [anon_sym_BSLASHpb] = ACTIONS(5124),
    [anon_sym_BSLASH] = ACTIONS(5124),
    [sym_milestoneStartTag] = ACTIONS(5124),
    [sym_milestoneEndTag] = ACTIONS(5124),
    [sym_zSpaceTag] = ACTIONS(5124),
    [anon_sym_BSLASHesbe] = ACTIONS(5124),
    [anon_sym_BSLASHcat] = ACTIONS(5124),
  },
  [525] = {
    [sym__milestoneAttributes] = STATE(2046),
    [aux_sym_text_token1] = ACTIONS(5238),
    [anon_sym_BSLASHref] = ACTIONS(5240),
    [anon_sym_BSLASHsts] = ACTIONS(5240),
    [anon_sym_BSLASHrem] = ACTIONS(5240),
    [anon_sym_BSLASHrestore] = ACTIONS(5240),
    [anon_sym_BSLASHlit] = ACTIONS(5240),
    [anon_sym_BSLASHip] = ACTIONS(5240),
    [anon_sym_BSLASHv] = ACTIONS(5240),
    [anon_sym_BSLASHva] = ACTIONS(5240),
    [anon_sym_BSLASHvp] = ACTIONS(5240),
    [anon_sym_BSLASHmte] = ACTIONS(5240),
    [anon_sym_BSLASHms] = ACTIONS(5240),
    [anon_sym_BSLASHs] = ACTIONS(5240),
    [anon_sym_BSLASHr] = ACTIONS(5240),
    [anon_sym_BSLASHsp] = ACTIONS(5240),
    [anon_sym_BSLASHd] = ACTIONS(5240),
    [anon_sym_BSLASHsd] = ACTIONS(5240),
    [anon_sym_BSLASHp] = ACTIONS(5240),
    [anon_sym_BSLASHm] = ACTIONS(5240),
    [anon_sym_BSLASHpo] = ACTIONS(5240),
    [anon_sym_BSLASHpr] = ACTIONS(5240),
    [anon_sym_BSLASHcls] = ACTIONS(5240),
    [anon_sym_BSLASHpmo] = ACTIONS(5240),
    [anon_sym_BSLASHpm] = ACTIONS(5240),
    [anon_sym_BSLASHpmc] = ACTIONS(5240),
    [anon_sym_BSLASHpmr] = ACTIONS(5240),
    [anon_sym_BSLASHpi] = ACTIONS(5240),
    [anon_sym_BSLASHmi] = ACTIONS(5240),
    [anon_sym_BSLASHnb] = ACTIONS(5240),
    [anon_sym_BSLASHpc] = ACTIONS(5240),
    [anon_sym_BSLASHph] = ACTIONS(5240),
    [anon_sym_BSLASHb] = ACTIONS(5240),
    [anon_sym_BSLASHq] = ACTIONS(5240),
    [anon_sym_BSLASHqr] = ACTIONS(5240),
    [anon_sym_BSLASHqc] = ACTIONS(5240),
    [anon_sym_BSLASHqa] = ACTIONS(5240),
    [anon_sym_BSLASHqm] = ACTIONS(5240),
    [anon_sym_BSLASHqd] = ACTIONS(5240),
    [anon_sym_BSLASHlh] = ACTIONS(5240),
    [anon_sym_BSLASHlf] = ACTIONS(5240),
    [anon_sym_BSLASHli] = ACTIONS(5240),
    [anon_sym_BSLASHlim] = ACTIONS(5240),
    [anon_sym_BSLASHliv] = ACTIONS(5240),
    [anon_sym_BSLASHlik] = ACTIONS(5240),
    [anon_sym_BSLASHlitl] = ACTIONS(5240),
    [anon_sym_BSLASHtr] = ACTIONS(5240),
    [anon_sym_BSLASHf] = ACTIONS(5240),
    [anon_sym_BSLASHfe] = ACTIONS(5240),
    [anon_sym_BSLASHef] = ACTIONS(5240),
    [anon_sym_BSLASHfm] = ACTIONS(5240),
    [anon_sym_BSLASHx] = ACTIONS(5240),
    [anon_sym_BSLASHxt] = ACTIONS(5240),
    [anon_sym_BSLASHrq] = ACTIONS(5240),
    [anon_sym_BSLASHadd] = ACTIONS(5240),
    [anon_sym_BSLASHbk] = ACTIONS(5240),
    [anon_sym_BSLASHdc] = ACTIONS(5240),
    [anon_sym_BSLASHk] = ACTIONS(5240),
    [anon_sym_BSLASHnd] = ACTIONS(5240),
    [anon_sym_BSLASHord] = ACTIONS(5240),
    [anon_sym_BSLASHpn] = ACTIONS(5240),
    [anon_sym_BSLASHpng] = ACTIONS(5240),
    [anon_sym_BSLASHaddpn] = ACTIONS(5240),
    [anon_sym_BSLASHqt] = ACTIONS(5240),
    [anon_sym_BSLASHsig] = ACTIONS(5240),
    [anon_sym_BSLASHsls] = ACTIONS(5240),
    [anon_sym_BSLASHtl] = ACTIONS(5240),
    [anon_sym_BSLASHwj] = ACTIONS(5240),
    [anon_sym_BSLASHem] = ACTIONS(5240),
    [anon_sym_BSLASHbd] = ACTIONS(5240),
    [anon_sym_BSLASHit] = ACTIONS(5240),
    [anon_sym_BSLASHbdit] = ACTIONS(5240),
    [anon_sym_BSLASHno] = ACTIONS(5240),
    [anon_sym_BSLASHsc] = ACTIONS(5240),
    [anon_sym_BSLASHsup] = ACTIONS(5240),
    [anon_sym_BSLASHndx] = ACTIONS(5240),
    [anon_sym_BSLASHpro] = ACTIONS(5240),
    [anon_sym_BSLASHrb] = ACTIONS(5240),
    [anon_sym_BSLASHw] = ACTIONS(5240),
    [anon_sym_BSLASHwg] = ACTIONS(5240),
    [anon_sym_BSLASHwh] = ACTIONS(5240),
    [anon_sym_BSLASHwa] = ACTIONS(5240),
    [anon_sym_BSLASHfig] = ACTIONS(5240),
    [anon_sym_BSLASHjmp] = ACTIONS(5240),
    [anon_sym_BSLASHpb] = ACTIONS(5240),
    [anon_sym_BSLASH] = ACTIONS(5240),
    [anon_sym_BSLASH_STAR] = ACTIONS(5478),
    [sym_milestoneStartTag] = ACTIONS(5240),
    [sym_milestoneEndTag] = ACTIONS(5240),
    [sym_zSpaceTag] = ACTIONS(5240),
    [sym__zSpaceClose] = ACTIONS(5480),
    [anon_sym_BSLASHesbe] = ACTIONS(5240),
    [anon_sym_BSLASHcat] = ACTIONS(5240),
    [anon_sym_PIPE] = ACTIONS(5120),
  },
  [526] = {
    [ts_builtin_sym_end] = ACTIONS(5342),
    [aux_sym_text_token1] = ACTIONS(5342),
    [anon_sym_BSLASHref] = ACTIONS(5344),
    [anon_sym_BSLASHsts] = ACTIONS(5344),
    [anon_sym_BSLASHrem] = ACTIONS(5344),
    [anon_sym_BSLASHrestore] = ACTIONS(5344),
    [anon_sym_BSLASHlit] = ACTIONS(5344),
    [anon_sym_BSLASHip] = ACTIONS(5344),
    [anon_sym_BSLASHiex] = ACTIONS(5344),
    [anon_sym_BSLASHv] = ACTIONS(5344),
    [anon_sym_BSLASHva] = ACTIONS(5344),
    [anon_sym_BSLASHvp] = ACTIONS(5344),
    [anon_sym_BSLASHc] = ACTIONS(5344),
    [anon_sym_BSLASHcl] = ACTIONS(5344),
    [anon_sym_BSLASHca] = ACTIONS(5344),
    [anon_sym_BSLASHcp] = ACTIONS(5344),
    [anon_sym_BSLASHcd] = ACTIONS(5344),
    [anon_sym_BSLASHmte] = ACTIONS(5344),
    [anon_sym_BSLASHms] = ACTIONS(5344),
    [anon_sym_BSLASHs] = ACTIONS(5344),
    [anon_sym_BSLASHr] = ACTIONS(5344),
    [anon_sym_BSLASHsp] = ACTIONS(5344),
    [anon_sym_BSLASHd] = ACTIONS(5344),
    [anon_sym_BSLASHsd] = ACTIONS(5344),
    [anon_sym_BSLASHp] = ACTIONS(5344),
    [anon_sym_BSLASHm] = ACTIONS(5344),
    [anon_sym_BSLASHpo] = ACTIONS(5344),
    [anon_sym_BSLASHpr] = ACTIONS(5344),
    [anon_sym_BSLASHcls] = ACTIONS(5344),
    [anon_sym_BSLASHpmo] = ACTIONS(5344),
    [anon_sym_BSLASHpm] = ACTIONS(5344),
    [anon_sym_BSLASHpmc] = ACTIONS(5344),
    [anon_sym_BSLASHpmr] = ACTIONS(5344),
    [anon_sym_BSLASHpi] = ACTIONS(5344),
    [anon_sym_BSLASHmi] = ACTIONS(5344),
    [anon_sym_BSLASHnb] = ACTIONS(5344),
    [anon_sym_BSLASHpc] = ACTIONS(5344),
    [anon_sym_BSLASHph] = ACTIONS(5344),
    [anon_sym_BSLASHb] = ACTIONS(5344),
    [anon_sym_BSLASHq] = ACTIONS(5344),
    [anon_sym_BSLASHqr] = ACTIONS(5344),
    [anon_sym_BSLASHqc] = ACTIONS(5344),
    [anon_sym_BSLASHqs] = ACTIONS(5344),
    [anon_sym_BSLASHqa] = ACTIONS(5344),
    [anon_sym_BSLASHqac] = ACTIONS(5344),
    [anon_sym_BSLASHqm] = ACTIONS(5344),
    [anon_sym_BSLASHqd] = ACTIONS(5344),
    [anon_sym_BSLASHlh] = ACTIONS(5344),
    [anon_sym_BSLASHli] = ACTIONS(5344),
    [anon_sym_BSLASHlim] = ACTIONS(5344),
    [anon_sym_BSLASHtr] = ACTIONS(5344),
    [anon_sym_BSLASHf] = ACTIONS(5344),
    [anon_sym_BSLASHfe] = ACTIONS(5344),
    [anon_sym_BSLASHef] = ACTIONS(5344),
    [anon_sym_BSLASHfm] = ACTIONS(5344),
    [anon_sym_BSLASHx] = ACTIONS(5344),
    [anon_sym_BSLASHxt] = ACTIONS(5344),
    [anon_sym_BSLASHrq] = ACTIONS(5344),
    [anon_sym_BSLASHadd] = ACTIONS(5344),
    [anon_sym_BSLASHbk] = ACTIONS(5344),
    [anon_sym_BSLASHdc] = ACTIONS(5344),
    [anon_sym_BSLASHk] = ACTIONS(5344),
    [anon_sym_BSLASHnd] = ACTIONS(5344),
    [anon_sym_BSLASHord] = ACTIONS(5344),
    [anon_sym_BSLASHpn] = ACTIONS(5344),
    [anon_sym_BSLASHpng] = ACTIONS(5344),
    [anon_sym_BSLASHaddpn] = ACTIONS(5344),
    [anon_sym_BSLASHqt] = ACTIONS(5344),
    [anon_sym_BSLASHsig] = ACTIONS(5344),
    [anon_sym_BSLASHsls] = ACTIONS(5344),
    [anon_sym_BSLASHtl] = ACTIONS(5344),
    [anon_sym_BSLASHwj] = ACTIONS(5344),
    [anon_sym_BSLASHem] = ACTIONS(5344),
    [anon_sym_BSLASHbd] = ACTIONS(5344),
    [anon_sym_BSLASHit] = ACTIONS(5344),
    [anon_sym_BSLASHbdit] = ACTIONS(5344),
    [anon_sym_BSLASHno] = ACTIONS(5344),
    [anon_sym_BSLASHsc] = ACTIONS(5344),
    [anon_sym_BSLASHsup] = ACTIONS(5344),
    [anon_sym_BSLASHndx] = ACTIONS(5344),
    [anon_sym_BSLASHpro] = ACTIONS(5344),
    [anon_sym_BSLASHrb] = ACTIONS(5344),
    [anon_sym_BSLASHw] = ACTIONS(5344),
    [anon_sym_BSLASHwg] = ACTIONS(5344),
    [anon_sym_BSLASHwh] = ACTIONS(5344),
    [anon_sym_BSLASHwa] = ACTIONS(5344),
    [anon_sym_BSLASHfig] = ACTIONS(5344),
    [anon_sym_BSLASHjmp] = ACTIONS(5344),
    [anon_sym_BSLASHpb] = ACTIONS(5344),
    [anon_sym_BSLASH] = ACTIONS(5344),
    [sym_milestoneStartTag] = ACTIONS(5344),
    [sym_milestoneEndTag] = ACTIONS(5344),
    [sym_zSpaceTag] = ACTIONS(5344),
    [anon_sym_BSLASHesb] = ACTIONS(5344),
  },
  [527] = {
    [ts_builtin_sym_end] = ACTIONS(2771),
    [aux_sym_text_token1] = ACTIONS(2771),
    [anon_sym_BSLASHref] = ACTIONS(2773),
    [anon_sym_BSLASHsts] = ACTIONS(2773),
    [anon_sym_BSLASHrem] = ACTIONS(2773),
    [anon_sym_BSLASHrestore] = ACTIONS(2773),
    [anon_sym_BSLASHlit] = ACTIONS(2773),
    [anon_sym_BSLASHip] = ACTIONS(2773),
    [anon_sym_BSLASHiex] = ACTIONS(2773),
    [anon_sym_BSLASHv] = ACTIONS(2773),
    [anon_sym_BSLASHva] = ACTIONS(2773),
    [anon_sym_BSLASHvp] = ACTIONS(2773),
    [anon_sym_BSLASHc] = ACTIONS(2773),
    [anon_sym_BSLASHcl] = ACTIONS(2773),
    [anon_sym_BSLASHca] = ACTIONS(2773),
    [anon_sym_BSLASHcp] = ACTIONS(2773),
    [anon_sym_BSLASHcd] = ACTIONS(2773),
    [anon_sym_BSLASHmte] = ACTIONS(2773),
    [anon_sym_BSLASHms] = ACTIONS(2773),
    [anon_sym_BSLASHs] = ACTIONS(2773),
    [anon_sym_BSLASHr] = ACTIONS(2773),
    [anon_sym_BSLASHsp] = ACTIONS(2773),
    [anon_sym_BSLASHd] = ACTIONS(2773),
    [anon_sym_BSLASHsd] = ACTIONS(2773),
    [anon_sym_BSLASHp] = ACTIONS(2773),
    [anon_sym_BSLASHm] = ACTIONS(2773),
    [anon_sym_BSLASHpo] = ACTIONS(2773),
    [anon_sym_BSLASHpr] = ACTIONS(2773),
    [anon_sym_BSLASHcls] = ACTIONS(2773),
    [anon_sym_BSLASHpmo] = ACTIONS(2773),
    [anon_sym_BSLASHpm] = ACTIONS(2773),
    [anon_sym_BSLASHpmc] = ACTIONS(2773),
    [anon_sym_BSLASHpmr] = ACTIONS(2773),
    [anon_sym_BSLASHpi] = ACTIONS(2773),
    [anon_sym_BSLASHmi] = ACTIONS(2773),
    [anon_sym_BSLASHnb] = ACTIONS(2773),
    [anon_sym_BSLASHpc] = ACTIONS(2773),
    [anon_sym_BSLASHph] = ACTIONS(2773),
    [anon_sym_BSLASHb] = ACTIONS(2773),
    [anon_sym_BSLASHq] = ACTIONS(2773),
    [anon_sym_BSLASHqr] = ACTIONS(2773),
    [anon_sym_BSLASHqc] = ACTIONS(2773),
    [anon_sym_BSLASHqs] = ACTIONS(2773),
    [anon_sym_BSLASHqa] = ACTIONS(2773),
    [anon_sym_BSLASHqac] = ACTIONS(2773),
    [anon_sym_BSLASHqm] = ACTIONS(2773),
    [anon_sym_BSLASHqd] = ACTIONS(2773),
    [anon_sym_BSLASHlh] = ACTIONS(2773),
    [anon_sym_BSLASHli] = ACTIONS(2773),
    [anon_sym_BSLASHlim] = ACTIONS(2773),
    [anon_sym_BSLASHtr] = ACTIONS(2773),
    [anon_sym_BSLASHf] = ACTIONS(2773),
    [anon_sym_BSLASHfe] = ACTIONS(2773),
    [anon_sym_BSLASHef] = ACTIONS(2773),
    [anon_sym_BSLASHfm] = ACTIONS(2773),
    [anon_sym_BSLASHx] = ACTIONS(2773),
    [anon_sym_BSLASHxt] = ACTIONS(2773),
    [anon_sym_BSLASHrq] = ACTIONS(2773),
    [anon_sym_BSLASHadd] = ACTIONS(2773),
    [anon_sym_BSLASHbk] = ACTIONS(2773),
    [anon_sym_BSLASHdc] = ACTIONS(2773),
    [anon_sym_BSLASHk] = ACTIONS(2773),
    [anon_sym_BSLASHnd] = ACTIONS(2773),
    [anon_sym_BSLASHord] = ACTIONS(2773),
    [anon_sym_BSLASHpn] = ACTIONS(2773),
    [anon_sym_BSLASHpng] = ACTIONS(2773),
    [anon_sym_BSLASHaddpn] = ACTIONS(2773),
    [anon_sym_BSLASHqt] = ACTIONS(2773),
    [anon_sym_BSLASHsig] = ACTIONS(2773),
    [anon_sym_BSLASHsls] = ACTIONS(2773),
    [anon_sym_BSLASHtl] = ACTIONS(2773),
    [anon_sym_BSLASHwj] = ACTIONS(2773),
    [anon_sym_BSLASHem] = ACTIONS(2773),
    [anon_sym_BSLASHbd] = ACTIONS(2773),
    [anon_sym_BSLASHit] = ACTIONS(2773),
    [anon_sym_BSLASHbdit] = ACTIONS(2773),
    [anon_sym_BSLASHno] = ACTIONS(2773),
    [anon_sym_BSLASHsc] = ACTIONS(2773),
    [anon_sym_BSLASHsup] = ACTIONS(2773),
    [anon_sym_BSLASHndx] = ACTIONS(2773),
    [anon_sym_BSLASHpro] = ACTIONS(2773),
    [anon_sym_BSLASHrb] = ACTIONS(2773),
    [anon_sym_BSLASHw] = ACTIONS(2773),
    [anon_sym_BSLASHwg] = ACTIONS(2773),
    [anon_sym_BSLASHwh] = ACTIONS(2773),
    [anon_sym_BSLASHwa] = ACTIONS(2773),
    [anon_sym_BSLASHfig] = ACTIONS(2773),
    [anon_sym_BSLASHjmp] = ACTIONS(2773),
    [anon_sym_BSLASHpb] = ACTIONS(2773),
    [anon_sym_BSLASH] = ACTIONS(2773),
    [sym_milestoneStartTag] = ACTIONS(2773),
    [sym_milestoneEndTag] = ACTIONS(2773),
    [sym_zSpaceTag] = ACTIONS(2773),
    [anon_sym_BSLASHesb] = ACTIONS(2773),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(2691),
    [aux_sym_text_token1] = ACTIONS(2691),
    [anon_sym_BSLASHref] = ACTIONS(2693),
    [anon_sym_BSLASHsts] = ACTIONS(2693),
    [anon_sym_BSLASHrem] = ACTIONS(2693),
    [anon_sym_BSLASHrestore] = ACTIONS(2693),
    [anon_sym_BSLASHlit] = ACTIONS(2693),
    [anon_sym_BSLASHip] = ACTIONS(2693),
    [anon_sym_BSLASHiex] = ACTIONS(2693),
    [anon_sym_BSLASHv] = ACTIONS(2693),
    [anon_sym_BSLASHva] = ACTIONS(2693),
    [anon_sym_BSLASHvp] = ACTIONS(2693),
    [anon_sym_BSLASHc] = ACTIONS(2693),
    [anon_sym_BSLASHcl] = ACTIONS(2693),
    [anon_sym_BSLASHca] = ACTIONS(2693),
    [anon_sym_BSLASHcp] = ACTIONS(2693),
    [anon_sym_BSLASHcd] = ACTIONS(2693),
    [anon_sym_BSLASHmte] = ACTIONS(2693),
    [anon_sym_BSLASHms] = ACTIONS(2693),
    [anon_sym_BSLASHs] = ACTIONS(2693),
    [anon_sym_BSLASHr] = ACTIONS(2693),
    [anon_sym_BSLASHsp] = ACTIONS(2693),
    [anon_sym_BSLASHd] = ACTIONS(2693),
    [anon_sym_BSLASHsd] = ACTIONS(2693),
    [anon_sym_BSLASHp] = ACTIONS(2693),
    [anon_sym_BSLASHm] = ACTIONS(2693),
    [anon_sym_BSLASHpo] = ACTIONS(2693),
    [anon_sym_BSLASHpr] = ACTIONS(2693),
    [anon_sym_BSLASHcls] = ACTIONS(2693),
    [anon_sym_BSLASHpmo] = ACTIONS(2693),
    [anon_sym_BSLASHpm] = ACTIONS(2693),
    [anon_sym_BSLASHpmc] = ACTIONS(2693),
    [anon_sym_BSLASHpmr] = ACTIONS(2693),
    [anon_sym_BSLASHpi] = ACTIONS(2693),
    [anon_sym_BSLASHmi] = ACTIONS(2693),
    [anon_sym_BSLASHnb] = ACTIONS(2693),
    [anon_sym_BSLASHpc] = ACTIONS(2693),
    [anon_sym_BSLASHph] = ACTIONS(2693),
    [anon_sym_BSLASHb] = ACTIONS(2693),
    [anon_sym_BSLASHq] = ACTIONS(2693),
    [anon_sym_BSLASHqr] = ACTIONS(2693),
    [anon_sym_BSLASHqc] = ACTIONS(2693),
    [anon_sym_BSLASHqs] = ACTIONS(2693),
    [anon_sym_BSLASHqa] = ACTIONS(2693),
    [anon_sym_BSLASHqac] = ACTIONS(2693),
    [anon_sym_BSLASHqm] = ACTIONS(2693),
    [anon_sym_BSLASHqd] = ACTIONS(2693),
    [anon_sym_BSLASHlh] = ACTIONS(2693),
    [anon_sym_BSLASHli] = ACTIONS(2693),
    [anon_sym_BSLASHlim] = ACTIONS(2693),
    [anon_sym_BSLASHtr] = ACTIONS(2693),
    [anon_sym_BSLASHf] = ACTIONS(2693),
    [anon_sym_BSLASHfe] = ACTIONS(2693),
    [anon_sym_BSLASHef] = ACTIONS(2693),
    [anon_sym_BSLASHfm] = ACTIONS(2693),
    [anon_sym_BSLASHx] = ACTIONS(2693),
    [anon_sym_BSLASHxt] = ACTIONS(2693),
    [anon_sym_BSLASHrq] = ACTIONS(2693),
    [anon_sym_BSLASHadd] = ACTIONS(2693),
    [anon_sym_BSLASHbk] = ACTIONS(2693),
    [anon_sym_BSLASHdc] = ACTIONS(2693),
    [anon_sym_BSLASHk] = ACTIONS(2693),
    [anon_sym_BSLASHnd] = ACTIONS(2693),
    [anon_sym_BSLASHord] = ACTIONS(2693),
    [anon_sym_BSLASHpn] = ACTIONS(2693),
    [anon_sym_BSLASHpng] = ACTIONS(2693),
    [anon_sym_BSLASHaddpn] = ACTIONS(2693),
    [anon_sym_BSLASHqt] = ACTIONS(2693),
    [anon_sym_BSLASHsig] = ACTIONS(2693),
    [anon_sym_BSLASHsls] = ACTIONS(2693),
    [anon_sym_BSLASHtl] = ACTIONS(2693),
    [anon_sym_BSLASHwj] = ACTIONS(2693),
    [anon_sym_BSLASHem] = ACTIONS(2693),
    [anon_sym_BSLASHbd] = ACTIONS(2693),
    [anon_sym_BSLASHit] = ACTIONS(2693),
    [anon_sym_BSLASHbdit] = ACTIONS(2693),
    [anon_sym_BSLASHno] = ACTIONS(2693),
    [anon_sym_BSLASHsc] = ACTIONS(2693),
    [anon_sym_BSLASHsup] = ACTIONS(2693),
    [anon_sym_BSLASHndx] = ACTIONS(2693),
    [anon_sym_BSLASHpro] = ACTIONS(2693),
    [anon_sym_BSLASHrb] = ACTIONS(2693),
    [anon_sym_BSLASHw] = ACTIONS(2693),
    [anon_sym_BSLASHwg] = ACTIONS(2693),
    [anon_sym_BSLASHwh] = ACTIONS(2693),
    [anon_sym_BSLASHwa] = ACTIONS(2693),
    [anon_sym_BSLASHfig] = ACTIONS(2693),
    [anon_sym_BSLASHjmp] = ACTIONS(2693),
    [anon_sym_BSLASHpb] = ACTIONS(2693),
    [anon_sym_BSLASH] = ACTIONS(2693),
    [sym_milestoneStartTag] = ACTIONS(2693),
    [sym_milestoneEndTag] = ACTIONS(2693),
    [sym_zSpaceTag] = ACTIONS(2693),
    [anon_sym_BSLASHesb] = ACTIONS(2693),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(2735),
    [aux_sym_text_token1] = ACTIONS(2735),
    [anon_sym_BSLASHref] = ACTIONS(2737),
    [anon_sym_BSLASHsts] = ACTIONS(2737),
    [anon_sym_BSLASHrem] = ACTIONS(2737),
    [anon_sym_BSLASHrestore] = ACTIONS(2737),
    [anon_sym_BSLASHlit] = ACTIONS(2737),
    [anon_sym_BSLASHip] = ACTIONS(2737),
    [anon_sym_BSLASHiex] = ACTIONS(2737),
    [anon_sym_BSLASHv] = ACTIONS(2737),
    [anon_sym_BSLASHva] = ACTIONS(2737),
    [anon_sym_BSLASHvp] = ACTIONS(2737),
    [anon_sym_BSLASHc] = ACTIONS(2737),
    [anon_sym_BSLASHcl] = ACTIONS(2737),
    [anon_sym_BSLASHca] = ACTIONS(2737),
    [anon_sym_BSLASHcp] = ACTIONS(2737),
    [anon_sym_BSLASHcd] = ACTIONS(2737),
    [anon_sym_BSLASHmte] = ACTIONS(2737),
    [anon_sym_BSLASHms] = ACTIONS(2737),
    [anon_sym_BSLASHs] = ACTIONS(2737),
    [anon_sym_BSLASHr] = ACTIONS(2737),
    [anon_sym_BSLASHsp] = ACTIONS(2737),
    [anon_sym_BSLASHd] = ACTIONS(2737),
    [anon_sym_BSLASHsd] = ACTIONS(2737),
    [anon_sym_BSLASHp] = ACTIONS(2737),
    [anon_sym_BSLASHm] = ACTIONS(2737),
    [anon_sym_BSLASHpo] = ACTIONS(2737),
    [anon_sym_BSLASHpr] = ACTIONS(2737),
    [anon_sym_BSLASHcls] = ACTIONS(2737),
    [anon_sym_BSLASHpmo] = ACTIONS(2737),
    [anon_sym_BSLASHpm] = ACTIONS(2737),
    [anon_sym_BSLASHpmc] = ACTIONS(2737),
    [anon_sym_BSLASHpmr] = ACTIONS(2737),
    [anon_sym_BSLASHpi] = ACTIONS(2737),
    [anon_sym_BSLASHmi] = ACTIONS(2737),
    [anon_sym_BSLASHnb] = ACTIONS(2737),
    [anon_sym_BSLASHpc] = ACTIONS(2737),
    [anon_sym_BSLASHph] = ACTIONS(2737),
    [anon_sym_BSLASHb] = ACTIONS(2737),
    [anon_sym_BSLASHq] = ACTIONS(2737),
    [anon_sym_BSLASHqr] = ACTIONS(2737),
    [anon_sym_BSLASHqc] = ACTIONS(2737),
    [anon_sym_BSLASHqs] = ACTIONS(2737),
    [anon_sym_BSLASHqa] = ACTIONS(2737),
    [anon_sym_BSLASHqac] = ACTIONS(2737),
    [anon_sym_BSLASHqm] = ACTIONS(2737),
    [anon_sym_BSLASHqd] = ACTIONS(2737),
    [anon_sym_BSLASHlh] = ACTIONS(2737),
    [anon_sym_BSLASHli] = ACTIONS(2737),
    [anon_sym_BSLASHlim] = ACTIONS(2737),
    [anon_sym_BSLASHtr] = ACTIONS(2737),
    [anon_sym_BSLASHf] = ACTIONS(2737),
    [anon_sym_BSLASHfe] = ACTIONS(2737),
    [anon_sym_BSLASHef] = ACTIONS(2737),
    [anon_sym_BSLASHfm] = ACTIONS(2737),
    [anon_sym_BSLASHx] = ACTIONS(2737),
    [anon_sym_BSLASHxt] = ACTIONS(2737),
    [anon_sym_BSLASHrq] = ACTIONS(2737),
    [anon_sym_BSLASHadd] = ACTIONS(2737),
    [anon_sym_BSLASHbk] = ACTIONS(2737),
    [anon_sym_BSLASHdc] = ACTIONS(2737),
    [anon_sym_BSLASHk] = ACTIONS(2737),
    [anon_sym_BSLASHnd] = ACTIONS(2737),
    [anon_sym_BSLASHord] = ACTIONS(2737),
    [anon_sym_BSLASHpn] = ACTIONS(2737),
    [anon_sym_BSLASHpng] = ACTIONS(2737),
    [anon_sym_BSLASHaddpn] = ACTIONS(2737),
    [anon_sym_BSLASHqt] = ACTIONS(2737),
    [anon_sym_BSLASHsig] = ACTIONS(2737),
    [anon_sym_BSLASHsls] = ACTIONS(2737),
    [anon_sym_BSLASHtl] = ACTIONS(2737),
    [anon_sym_BSLASHwj] = ACTIONS(2737),
    [anon_sym_BSLASHem] = ACTIONS(2737),
    [anon_sym_BSLASHbd] = ACTIONS(2737),
    [anon_sym_BSLASHit] = ACTIONS(2737),
    [anon_sym_BSLASHbdit] = ACTIONS(2737),
    [anon_sym_BSLASHno] = ACTIONS(2737),
    [anon_sym_BSLASHsc] = ACTIONS(2737),
    [anon_sym_BSLASHsup] = ACTIONS(2737),
    [anon_sym_BSLASHndx] = ACTIONS(2737),
    [anon_sym_BSLASHpro] = ACTIONS(2737),
    [anon_sym_BSLASHrb] = ACTIONS(2737),
    [anon_sym_BSLASHw] = ACTIONS(2737),
    [anon_sym_BSLASHwg] = ACTIONS(2737),
    [anon_sym_BSLASHwh] = ACTIONS(2737),
    [anon_sym_BSLASHwa] = ACTIONS(2737),
    [anon_sym_BSLASHfig] = ACTIONS(2737),
    [anon_sym_BSLASHjmp] = ACTIONS(2737),
    [anon_sym_BSLASHpb] = ACTIONS(2737),
    [anon_sym_BSLASH] = ACTIONS(2737),
    [sym_milestoneStartTag] = ACTIONS(2737),
    [sym_milestoneEndTag] = ACTIONS(2737),
    [sym_zSpaceTag] = ACTIONS(2737),
    [anon_sym_BSLASHesb] = ACTIONS(2737),
  },
  [530] = {
    [ts_builtin_sym_end] = ACTIONS(65),
    [aux_sym_text_token1] = ACTIONS(65),
    [anon_sym_BSLASHref] = ACTIONS(67),
    [anon_sym_BSLASHsts] = ACTIONS(67),
    [anon_sym_BSLASHrem] = ACTIONS(67),
    [anon_sym_BSLASHrestore] = ACTIONS(67),
    [anon_sym_BSLASHlit] = ACTIONS(67),
    [anon_sym_BSLASHip] = ACTIONS(67),
    [anon_sym_BSLASHiex] = ACTIONS(67),
    [anon_sym_BSLASHv] = ACTIONS(67),
    [anon_sym_BSLASHva] = ACTIONS(67),
    [anon_sym_BSLASHvp] = ACTIONS(67),
    [anon_sym_BSLASHc] = ACTIONS(67),
    [anon_sym_BSLASHcl] = ACTIONS(67),
    [anon_sym_BSLASHca] = ACTIONS(67),
    [anon_sym_BSLASHcp] = ACTIONS(67),
    [anon_sym_BSLASHcd] = ACTIONS(67),
    [anon_sym_BSLASHmte] = ACTIONS(67),
    [anon_sym_BSLASHms] = ACTIONS(67),
    [anon_sym_BSLASHs] = ACTIONS(67),
    [anon_sym_BSLASHr] = ACTIONS(67),
    [anon_sym_BSLASHsp] = ACTIONS(67),
    [anon_sym_BSLASHd] = ACTIONS(67),
    [anon_sym_BSLASHsd] = ACTIONS(67),
    [anon_sym_BSLASHp] = ACTIONS(67),
    [anon_sym_BSLASHm] = ACTIONS(67),
    [anon_sym_BSLASHpo] = ACTIONS(67),
    [anon_sym_BSLASHpr] = ACTIONS(67),
    [anon_sym_BSLASHcls] = ACTIONS(67),
    [anon_sym_BSLASHpmo] = ACTIONS(67),
    [anon_sym_BSLASHpm] = ACTIONS(67),
    [anon_sym_BSLASHpmc] = ACTIONS(67),
    [anon_sym_BSLASHpmr] = ACTIONS(67),
    [anon_sym_BSLASHpi] = ACTIONS(67),
    [anon_sym_BSLASHmi] = ACTIONS(67),
    [anon_sym_BSLASHnb] = ACTIONS(67),
    [anon_sym_BSLASHpc] = ACTIONS(67),
    [anon_sym_BSLASHph] = ACTIONS(67),
    [anon_sym_BSLASHb] = ACTIONS(67),
    [anon_sym_BSLASHq] = ACTIONS(67),
    [anon_sym_BSLASHqr] = ACTIONS(67),
    [anon_sym_BSLASHqc] = ACTIONS(67),
    [anon_sym_BSLASHqs] = ACTIONS(67),
    [anon_sym_BSLASHqa] = ACTIONS(67),
    [anon_sym_BSLASHqac] = ACTIONS(67),
    [anon_sym_BSLASHqm] = ACTIONS(67),
    [anon_sym_BSLASHqd] = ACTIONS(67),
    [anon_sym_BSLASHlh] = ACTIONS(67),
    [anon_sym_BSLASHli] = ACTIONS(67),
    [anon_sym_BSLASHlim] = ACTIONS(67),
    [anon_sym_BSLASHtr] = ACTIONS(67),
    [anon_sym_BSLASHf] = ACTIONS(67),
    [anon_sym_BSLASHfe] = ACTIONS(67),
    [anon_sym_BSLASHef] = ACTIONS(67),
    [anon_sym_BSLASHfm] = ACTIONS(67),
    [anon_sym_BSLASHx] = ACTIONS(67),
    [anon_sym_BSLASHxt] = ACTIONS(67),
    [anon_sym_BSLASHrq] = ACTIONS(67),
    [anon_sym_BSLASHadd] = ACTIONS(67),
    [anon_sym_BSLASHbk] = ACTIONS(67),
    [anon_sym_BSLASHdc] = ACTIONS(67),
    [anon_sym_BSLASHk] = ACTIONS(67),
    [anon_sym_BSLASHnd] = ACTIONS(67),
    [anon_sym_BSLASHord] = ACTIONS(67),
    [anon_sym_BSLASHpn] = ACTIONS(67),
    [anon_sym_BSLASHpng] = ACTIONS(67),
    [anon_sym_BSLASHaddpn] = ACTIONS(67),
    [anon_sym_BSLASHqt] = ACTIONS(67),
    [anon_sym_BSLASHsig] = ACTIONS(67),
    [anon_sym_BSLASHsls] = ACTIONS(67),
    [anon_sym_BSLASHtl] = ACTIONS(67),
    [anon_sym_BSLASHwj] = ACTIONS(67),
    [anon_sym_BSLASHem] = ACTIONS(67),
    [anon_sym_BSLASHbd] = ACTIONS(67),
    [anon_sym_BSLASHit] = ACTIONS(67),
    [anon_sym_BSLASHbdit] = ACTIONS(67),
    [anon_sym_BSLASHno] = ACTIONS(67),
    [anon_sym_BSLASHsc] = ACTIONS(67),
    [anon_sym_BSLASHsup] = ACTIONS(67),
    [anon_sym_BSLASHndx] = ACTIONS(67),
    [anon_sym_BSLASHpro] = ACTIONS(67),
    [anon_sym_BSLASHrb] = ACTIONS(67),
    [anon_sym_BSLASHw] = ACTIONS(67),
    [anon_sym_BSLASHwg] = ACTIONS(67),
    [anon_sym_BSLASHwh] = ACTIONS(67),
    [anon_sym_BSLASHwa] = ACTIONS(67),
    [anon_sym_BSLASHfig] = ACTIONS(67),
    [anon_sym_BSLASHjmp] = ACTIONS(67),
    [anon_sym_BSLASHpb] = ACTIONS(67),
    [anon_sym_BSLASH] = ACTIONS(67),
    [sym_milestoneStartTag] = ACTIONS(67),
    [sym_milestoneEndTag] = ACTIONS(67),
    [sym_zSpaceTag] = ACTIONS(67),
    [anon_sym_BSLASHesb] = ACTIONS(67),
  },
  [531] = {
    [ts_builtin_sym_end] = ACTIONS(41),
    [aux_sym_text_token1] = ACTIONS(41),
    [anon_sym_BSLASHref] = ACTIONS(43),
    [anon_sym_BSLASHsts] = ACTIONS(43),
    [anon_sym_BSLASHrem] = ACTIONS(43),
    [anon_sym_BSLASHrestore] = ACTIONS(43),
    [anon_sym_BSLASHlit] = ACTIONS(43),
    [anon_sym_BSLASHip] = ACTIONS(43),
    [anon_sym_BSLASHiex] = ACTIONS(43),
    [anon_sym_BSLASHv] = ACTIONS(43),
    [anon_sym_BSLASHva] = ACTIONS(43),
    [anon_sym_BSLASHvp] = ACTIONS(43),
    [anon_sym_BSLASHc] = ACTIONS(43),
    [anon_sym_BSLASHcl] = ACTIONS(43),
    [anon_sym_BSLASHca] = ACTIONS(43),
    [anon_sym_BSLASHcp] = ACTIONS(43),
    [anon_sym_BSLASHcd] = ACTIONS(43),
    [anon_sym_BSLASHmte] = ACTIONS(43),
    [anon_sym_BSLASHms] = ACTIONS(43),
    [anon_sym_BSLASHs] = ACTIONS(43),
    [anon_sym_BSLASHr] = ACTIONS(43),
    [anon_sym_BSLASHsp] = ACTIONS(43),
    [anon_sym_BSLASHd] = ACTIONS(43),
    [anon_sym_BSLASHsd] = ACTIONS(43),
    [anon_sym_BSLASHp] = ACTIONS(43),
    [anon_sym_BSLASHm] = ACTIONS(43),
    [anon_sym_BSLASHpo] = ACTIONS(43),
    [anon_sym_BSLASHpr] = ACTIONS(43),
    [anon_sym_BSLASHcls] = ACTIONS(43),
    [anon_sym_BSLASHpmo] = ACTIONS(43),
    [anon_sym_BSLASHpm] = ACTIONS(43),
    [anon_sym_BSLASHpmc] = ACTIONS(43),
    [anon_sym_BSLASHpmr] = ACTIONS(43),
    [anon_sym_BSLASHpi] = ACTIONS(43),
    [anon_sym_BSLASHmi] = ACTIONS(43),
    [anon_sym_BSLASHnb] = ACTIONS(43),
    [anon_sym_BSLASHpc] = ACTIONS(43),
    [anon_sym_BSLASHph] = ACTIONS(43),
    [anon_sym_BSLASHb] = ACTIONS(43),
    [anon_sym_BSLASHq] = ACTIONS(43),
    [anon_sym_BSLASHqr] = ACTIONS(43),
    [anon_sym_BSLASHqc] = ACTIONS(43),
    [anon_sym_BSLASHqs] = ACTIONS(43),
    [anon_sym_BSLASHqa] = ACTIONS(43),
    [anon_sym_BSLASHqac] = ACTIONS(43),
    [anon_sym_BSLASHqm] = ACTIONS(43),
    [anon_sym_BSLASHqd] = ACTIONS(43),
    [anon_sym_BSLASHlh] = ACTIONS(43),
    [anon_sym_BSLASHli] = ACTIONS(43),
    [anon_sym_BSLASHlim] = ACTIONS(43),
    [anon_sym_BSLASHtr] = ACTIONS(43),
    [anon_sym_BSLASHf] = ACTIONS(43),
    [anon_sym_BSLASHfe] = ACTIONS(43),
    [anon_sym_BSLASHef] = ACTIONS(43),
    [anon_sym_BSLASHfm] = ACTIONS(43),
    [anon_sym_BSLASHx] = ACTIONS(43),
    [anon_sym_BSLASHxt] = ACTIONS(43),
    [anon_sym_BSLASHrq] = ACTIONS(43),
    [anon_sym_BSLASHadd] = ACTIONS(43),
    [anon_sym_BSLASHbk] = ACTIONS(43),
    [anon_sym_BSLASHdc] = ACTIONS(43),
    [anon_sym_BSLASHk] = ACTIONS(43),
    [anon_sym_BSLASHnd] = ACTIONS(43),
    [anon_sym_BSLASHord] = ACTIONS(43),
    [anon_sym_BSLASHpn] = ACTIONS(43),
    [anon_sym_BSLASHpng] = ACTIONS(43),
    [anon_sym_BSLASHaddpn] = ACTIONS(43),
    [anon_sym_BSLASHqt] = ACTIONS(43),
    [anon_sym_BSLASHsig] = ACTIONS(43),
    [anon_sym_BSLASHsls] = ACTIONS(43),
    [anon_sym_BSLASHtl] = ACTIONS(43),
    [anon_sym_BSLASHwj] = ACTIONS(43),
    [anon_sym_BSLASHem] = ACTIONS(43),
    [anon_sym_BSLASHbd] = ACTIONS(43),
    [anon_sym_BSLASHit] = ACTIONS(43),
    [anon_sym_BSLASHbdit] = ACTIONS(43),
    [anon_sym_BSLASHno] = ACTIONS(43),
    [anon_sym_BSLASHsc] = ACTIONS(43),
    [anon_sym_BSLASHsup] = ACTIONS(43),
    [anon_sym_BSLASHndx] = ACTIONS(43),
    [anon_sym_BSLASHpro] = ACTIONS(43),
    [anon_sym_BSLASHrb] = ACTIONS(43),
    [anon_sym_BSLASHw] = ACTIONS(43),
    [anon_sym_BSLASHwg] = ACTIONS(43),
    [anon_sym_BSLASHwh] = ACTIONS(43),
    [anon_sym_BSLASHwa] = ACTIONS(43),
    [anon_sym_BSLASHfig] = ACTIONS(43),
    [anon_sym_BSLASHjmp] = ACTIONS(43),
    [anon_sym_BSLASHpb] = ACTIONS(43),
    [anon_sym_BSLASH] = ACTIONS(43),
    [sym_milestoneStartTag] = ACTIONS(43),
    [sym_milestoneEndTag] = ACTIONS(43),
    [sym_zSpaceTag] = ACTIONS(43),
    [anon_sym_BSLASHesb] = ACTIONS(43),
  },
  [532] = {
    [ts_builtin_sym_end] = ACTIONS(5390),
    [aux_sym_text_token1] = ACTIONS(5390),
    [anon_sym_BSLASHref] = ACTIONS(5392),
    [anon_sym_BSLASHsts] = ACTIONS(5392),
    [anon_sym_BSLASHrem] = ACTIONS(5392),
    [anon_sym_BSLASHrestore] = ACTIONS(5392),
    [anon_sym_BSLASHlit] = ACTIONS(5392),
    [anon_sym_BSLASHip] = ACTIONS(5392),
    [anon_sym_BSLASHiex] = ACTIONS(5392),
    [anon_sym_BSLASHv] = ACTIONS(5392),
    [anon_sym_BSLASHva] = ACTIONS(5392),
    [anon_sym_BSLASHvp] = ACTIONS(5392),
    [anon_sym_BSLASHc] = ACTIONS(5392),
    [anon_sym_BSLASHcl] = ACTIONS(5392),
    [anon_sym_BSLASHca] = ACTIONS(5392),
    [anon_sym_BSLASHcp] = ACTIONS(5392),
    [anon_sym_BSLASHcd] = ACTIONS(5392),
    [anon_sym_BSLASHmte] = ACTIONS(5392),
    [anon_sym_BSLASHms] = ACTIONS(5392),
    [anon_sym_BSLASHs] = ACTIONS(5392),
    [anon_sym_BSLASHr] = ACTIONS(5392),
    [anon_sym_BSLASHsp] = ACTIONS(5392),
    [anon_sym_BSLASHd] = ACTIONS(5392),
    [anon_sym_BSLASHsd] = ACTIONS(5392),
    [anon_sym_BSLASHp] = ACTIONS(5392),
    [anon_sym_BSLASHm] = ACTIONS(5392),
    [anon_sym_BSLASHpo] = ACTIONS(5392),
    [anon_sym_BSLASHpr] = ACTIONS(5392),
    [anon_sym_BSLASHcls] = ACTIONS(5392),
    [anon_sym_BSLASHpmo] = ACTIONS(5392),
    [anon_sym_BSLASHpm] = ACTIONS(5392),
    [anon_sym_BSLASHpmc] = ACTIONS(5392),
    [anon_sym_BSLASHpmr] = ACTIONS(5392),
    [anon_sym_BSLASHpi] = ACTIONS(5392),
    [anon_sym_BSLASHmi] = ACTIONS(5392),
    [anon_sym_BSLASHnb] = ACTIONS(5392),
    [anon_sym_BSLASHpc] = ACTIONS(5392),
    [anon_sym_BSLASHph] = ACTIONS(5392),
    [anon_sym_BSLASHb] = ACTIONS(5392),
    [anon_sym_BSLASHq] = ACTIONS(5392),
    [anon_sym_BSLASHqr] = ACTIONS(5392),
    [anon_sym_BSLASHqc] = ACTIONS(5392),
    [anon_sym_BSLASHqs] = ACTIONS(5392),
    [anon_sym_BSLASHqa] = ACTIONS(5392),
    [anon_sym_BSLASHqac] = ACTIONS(5392),
    [anon_sym_BSLASHqm] = ACTIONS(5392),
    [anon_sym_BSLASHqd] = ACTIONS(5392),
    [anon_sym_BSLASHlh] = ACTIONS(5392),
    [anon_sym_BSLASHli] = ACTIONS(5392),
    [anon_sym_BSLASHlim] = ACTIONS(5392),
    [anon_sym_BSLASHtr] = ACTIONS(5392),
    [anon_sym_BSLASHf] = ACTIONS(5392),
    [anon_sym_BSLASHfe] = ACTIONS(5392),
    [anon_sym_BSLASHef] = ACTIONS(5392),
    [anon_sym_BSLASHfm] = ACTIONS(5392),
    [anon_sym_BSLASHx] = ACTIONS(5392),
    [anon_sym_BSLASHxt] = ACTIONS(5392),
    [anon_sym_BSLASHrq] = ACTIONS(5392),
    [anon_sym_BSLASHadd] = ACTIONS(5392),
    [anon_sym_BSLASHbk] = ACTIONS(5392),
    [anon_sym_BSLASHdc] = ACTIONS(5392),
    [anon_sym_BSLASHk] = ACTIONS(5392),
    [anon_sym_BSLASHnd] = ACTIONS(5392),
    [anon_sym_BSLASHord] = ACTIONS(5392),
    [anon_sym_BSLASHpn] = ACTIONS(5392),
    [anon_sym_BSLASHpng] = ACTIONS(5392),
    [anon_sym_BSLASHaddpn] = ACTIONS(5392),
    [anon_sym_BSLASHqt] = ACTIONS(5392),
    [anon_sym_BSLASHsig] = ACTIONS(5392),
    [anon_sym_BSLASHsls] = ACTIONS(5392),
    [anon_sym_BSLASHtl] = ACTIONS(5392),
    [anon_sym_BSLASHwj] = ACTIONS(5392),
    [anon_sym_BSLASHem] = ACTIONS(5392),
    [anon_sym_BSLASHbd] = ACTIONS(5392),
    [anon_sym_BSLASHit] = ACTIONS(5392),
    [anon_sym_BSLASHbdit] = ACTIONS(5392),
    [anon_sym_BSLASHno] = ACTIONS(5392),
    [anon_sym_BSLASHsc] = ACTIONS(5392),
    [anon_sym_BSLASHsup] = ACTIONS(5392),
    [anon_sym_BSLASHndx] = ACTIONS(5392),
    [anon_sym_BSLASHpro] = ACTIONS(5392),
    [anon_sym_BSLASHrb] = ACTIONS(5392),
    [anon_sym_BSLASHw] = ACTIONS(5392),
    [anon_sym_BSLASHwg] = ACTIONS(5392),
    [anon_sym_BSLASHwh] = ACTIONS(5392),
    [anon_sym_BSLASHwa] = ACTIONS(5392),
    [anon_sym_BSLASHfig] = ACTIONS(5392),
    [anon_sym_BSLASHjmp] = ACTIONS(5392),
    [anon_sym_BSLASHpb] = ACTIONS(5392),
    [anon_sym_BSLASH] = ACTIONS(5392),
    [sym_milestoneStartTag] = ACTIONS(5392),
    [sym_milestoneEndTag] = ACTIONS(5392),
    [sym_zSpaceTag] = ACTIONS(5392),
    [anon_sym_BSLASHesb] = ACTIONS(5392),
  },
  [533] = {
    [ts_builtin_sym_end] = ACTIONS(2671),
    [aux_sym_text_token1] = ACTIONS(2671),
    [anon_sym_BSLASHref] = ACTIONS(2673),
    [anon_sym_BSLASHsts] = ACTIONS(2673),
    [anon_sym_BSLASHrem] = ACTIONS(2673),
    [anon_sym_BSLASHrestore] = ACTIONS(2673),
    [anon_sym_BSLASHlit] = ACTIONS(2673),
    [anon_sym_BSLASHip] = ACTIONS(2673),
    [anon_sym_BSLASHiex] = ACTIONS(2673),
    [anon_sym_BSLASHv] = ACTIONS(2673),
    [anon_sym_BSLASHva] = ACTIONS(2673),
    [anon_sym_BSLASHvp] = ACTIONS(2673),
    [anon_sym_BSLASHc] = ACTIONS(2673),
    [anon_sym_BSLASHcl] = ACTIONS(2673),
    [anon_sym_BSLASHca] = ACTIONS(2673),
    [anon_sym_BSLASHcp] = ACTIONS(2673),
    [anon_sym_BSLASHcd] = ACTIONS(2673),
    [anon_sym_BSLASHmte] = ACTIONS(2673),
    [anon_sym_BSLASHms] = ACTIONS(2673),
    [anon_sym_BSLASHs] = ACTIONS(2673),
    [anon_sym_BSLASHr] = ACTIONS(2673),
    [anon_sym_BSLASHsp] = ACTIONS(2673),
    [anon_sym_BSLASHd] = ACTIONS(2673),
    [anon_sym_BSLASHsd] = ACTIONS(2673),
    [anon_sym_BSLASHp] = ACTIONS(2673),
    [anon_sym_BSLASHm] = ACTIONS(2673),
    [anon_sym_BSLASHpo] = ACTIONS(2673),
    [anon_sym_BSLASHpr] = ACTIONS(2673),
    [anon_sym_BSLASHcls] = ACTIONS(2673),
    [anon_sym_BSLASHpmo] = ACTIONS(2673),
    [anon_sym_BSLASHpm] = ACTIONS(2673),
    [anon_sym_BSLASHpmc] = ACTIONS(2673),
    [anon_sym_BSLASHpmr] = ACTIONS(2673),
    [anon_sym_BSLASHpi] = ACTIONS(2673),
    [anon_sym_BSLASHmi] = ACTIONS(2673),
    [anon_sym_BSLASHnb] = ACTIONS(2673),
    [anon_sym_BSLASHpc] = ACTIONS(2673),
    [anon_sym_BSLASHph] = ACTIONS(2673),
    [anon_sym_BSLASHb] = ACTIONS(2673),
    [anon_sym_BSLASHq] = ACTIONS(2673),
    [anon_sym_BSLASHqr] = ACTIONS(2673),
    [anon_sym_BSLASHqc] = ACTIONS(2673),
    [anon_sym_BSLASHqs] = ACTIONS(2673),
    [anon_sym_BSLASHqa] = ACTIONS(2673),
    [anon_sym_BSLASHqac] = ACTIONS(2673),
    [anon_sym_BSLASHqm] = ACTIONS(2673),
    [anon_sym_BSLASHqd] = ACTIONS(2673),
    [anon_sym_BSLASHlh] = ACTIONS(2673),
    [anon_sym_BSLASHli] = ACTIONS(2673),
    [anon_sym_BSLASHlim] = ACTIONS(2673),
    [anon_sym_BSLASHtr] = ACTIONS(2673),
    [anon_sym_BSLASHf] = ACTIONS(2673),
    [anon_sym_BSLASHfe] = ACTIONS(2673),
    [anon_sym_BSLASHef] = ACTIONS(2673),
    [anon_sym_BSLASHfm] = ACTIONS(2673),
    [anon_sym_BSLASHx] = ACTIONS(2673),
    [anon_sym_BSLASHxt] = ACTIONS(2673),
    [anon_sym_BSLASHrq] = ACTIONS(2673),
    [anon_sym_BSLASHadd] = ACTIONS(2673),
    [anon_sym_BSLASHbk] = ACTIONS(2673),
    [anon_sym_BSLASHdc] = ACTIONS(2673),
    [anon_sym_BSLASHk] = ACTIONS(2673),
    [anon_sym_BSLASHnd] = ACTIONS(2673),
    [anon_sym_BSLASHord] = ACTIONS(2673),
    [anon_sym_BSLASHpn] = ACTIONS(2673),
    [anon_sym_BSLASHpng] = ACTIONS(2673),
    [anon_sym_BSLASHaddpn] = ACTIONS(2673),
    [anon_sym_BSLASHqt] = ACTIONS(2673),
    [anon_sym_BSLASHsig] = ACTIONS(2673),
    [anon_sym_BSLASHsls] = ACTIONS(2673),
    [anon_sym_BSLASHtl] = ACTIONS(2673),
    [anon_sym_BSLASHwj] = ACTIONS(2673),
    [anon_sym_BSLASHem] = ACTIONS(2673),
    [anon_sym_BSLASHbd] = ACTIONS(2673),
    [anon_sym_BSLASHit] = ACTIONS(2673),
    [anon_sym_BSLASHbdit] = ACTIONS(2673),
    [anon_sym_BSLASHno] = ACTIONS(2673),
    [anon_sym_BSLASHsc] = ACTIONS(2673),
    [anon_sym_BSLASHsup] = ACTIONS(2673),
    [anon_sym_BSLASHndx] = ACTIONS(2673),
    [anon_sym_BSLASHpro] = ACTIONS(2673),
    [anon_sym_BSLASHrb] = ACTIONS(2673),
    [anon_sym_BSLASHw] = ACTIONS(2673),
    [anon_sym_BSLASHwg] = ACTIONS(2673),
    [anon_sym_BSLASHwh] = ACTIONS(2673),
    [anon_sym_BSLASHwa] = ACTIONS(2673),
    [anon_sym_BSLASHfig] = ACTIONS(2673),
    [anon_sym_BSLASHjmp] = ACTIONS(2673),
    [anon_sym_BSLASHpb] = ACTIONS(2673),
    [anon_sym_BSLASH] = ACTIONS(2673),
    [sym_milestoneStartTag] = ACTIONS(2673),
    [sym_milestoneEndTag] = ACTIONS(2673),
    [sym_zSpaceTag] = ACTIONS(2673),
    [anon_sym_BSLASHesb] = ACTIONS(2673),
  },
  [534] = {
    [ts_builtin_sym_end] = ACTIONS(5338),
    [aux_sym_text_token1] = ACTIONS(5338),
    [anon_sym_BSLASHref] = ACTIONS(5340),
    [anon_sym_BSLASHsts] = ACTIONS(5340),
    [anon_sym_BSLASHrem] = ACTIONS(5340),
    [anon_sym_BSLASHrestore] = ACTIONS(5340),
    [anon_sym_BSLASHlit] = ACTIONS(5340),
    [anon_sym_BSLASHip] = ACTIONS(5340),
    [anon_sym_BSLASHiex] = ACTIONS(5340),
    [anon_sym_BSLASHv] = ACTIONS(5340),
    [anon_sym_BSLASHva] = ACTIONS(5340),
    [anon_sym_BSLASHvp] = ACTIONS(5340),
    [anon_sym_BSLASHc] = ACTIONS(5340),
    [anon_sym_BSLASHcl] = ACTIONS(5340),
    [anon_sym_BSLASHca] = ACTIONS(5340),
    [anon_sym_BSLASHcp] = ACTIONS(5340),
    [anon_sym_BSLASHcd] = ACTIONS(5340),
    [anon_sym_BSLASHmte] = ACTIONS(5340),
    [anon_sym_BSLASHms] = ACTIONS(5340),
    [anon_sym_BSLASHs] = ACTIONS(5340),
    [anon_sym_BSLASHr] = ACTIONS(5340),
    [anon_sym_BSLASHsp] = ACTIONS(5340),
    [anon_sym_BSLASHd] = ACTIONS(5340),
    [anon_sym_BSLASHsd] = ACTIONS(5340),
    [anon_sym_BSLASHp] = ACTIONS(5340),
    [anon_sym_BSLASHm] = ACTIONS(5340),
    [anon_sym_BSLASHpo] = ACTIONS(5340),
    [anon_sym_BSLASHpr] = ACTIONS(5340),
    [anon_sym_BSLASHcls] = ACTIONS(5340),
    [anon_sym_BSLASHpmo] = ACTIONS(5340),
    [anon_sym_BSLASHpm] = ACTIONS(5340),
    [anon_sym_BSLASHpmc] = ACTIONS(5340),
    [anon_sym_BSLASHpmr] = ACTIONS(5340),
    [anon_sym_BSLASHpi] = ACTIONS(5340),
    [anon_sym_BSLASHmi] = ACTIONS(5340),
    [anon_sym_BSLASHnb] = ACTIONS(5340),
    [anon_sym_BSLASHpc] = ACTIONS(5340),
    [anon_sym_BSLASHph] = ACTIONS(5340),
    [anon_sym_BSLASHb] = ACTIONS(5340),
    [anon_sym_BSLASHq] = ACTIONS(5340),
    [anon_sym_BSLASHqr] = ACTIONS(5340),
    [anon_sym_BSLASHqc] = ACTIONS(5340),
    [anon_sym_BSLASHqs] = ACTIONS(5340),
    [anon_sym_BSLASHqa] = ACTIONS(5340),
    [anon_sym_BSLASHqac] = ACTIONS(5340),
    [anon_sym_BSLASHqm] = ACTIONS(5340),
    [anon_sym_BSLASHqd] = ACTIONS(5340),
    [anon_sym_BSLASHlh] = ACTIONS(5340),
    [anon_sym_BSLASHli] = ACTIONS(5340),
    [anon_sym_BSLASHlim] = ACTIONS(5340),
    [anon_sym_BSLASHtr] = ACTIONS(5340),
    [anon_sym_BSLASHf] = ACTIONS(5340),
    [anon_sym_BSLASHfe] = ACTIONS(5340),
    [anon_sym_BSLASHef] = ACTIONS(5340),
    [anon_sym_BSLASHfm] = ACTIONS(5340),
    [anon_sym_BSLASHx] = ACTIONS(5340),
    [anon_sym_BSLASHxt] = ACTIONS(5340),
    [anon_sym_BSLASHrq] = ACTIONS(5340),
    [anon_sym_BSLASHadd] = ACTIONS(5340),
    [anon_sym_BSLASHbk] = ACTIONS(5340),
    [anon_sym_BSLASHdc] = ACTIONS(5340),
    [anon_sym_BSLASHk] = ACTIONS(5340),
    [anon_sym_BSLASHnd] = ACTIONS(5340),
    [anon_sym_BSLASHord] = ACTIONS(5340),
    [anon_sym_BSLASHpn] = ACTIONS(5340),
    [anon_sym_BSLASHpng] = ACTIONS(5340),
    [anon_sym_BSLASHaddpn] = ACTIONS(5340),
    [anon_sym_BSLASHqt] = ACTIONS(5340),
    [anon_sym_BSLASHsig] = ACTIONS(5340),
    [anon_sym_BSLASHsls] = ACTIONS(5340),
    [anon_sym_BSLASHtl] = ACTIONS(5340),
    [anon_sym_BSLASHwj] = ACTIONS(5340),
    [anon_sym_BSLASHem] = ACTIONS(5340),
    [anon_sym_BSLASHbd] = ACTIONS(5340),
    [anon_sym_BSLASHit] = ACTIONS(5340),
    [anon_sym_BSLASHbdit] = ACTIONS(5340),
    [anon_sym_BSLASHno] = ACTIONS(5340),
    [anon_sym_BSLASHsc] = ACTIONS(5340),
    [anon_sym_BSLASHsup] = ACTIONS(5340),
    [anon_sym_BSLASHndx] = ACTIONS(5340),
    [anon_sym_BSLASHpro] = ACTIONS(5340),
    [anon_sym_BSLASHrb] = ACTIONS(5340),
    [anon_sym_BSLASHw] = ACTIONS(5340),
    [anon_sym_BSLASHwg] = ACTIONS(5340),
    [anon_sym_BSLASHwh] = ACTIONS(5340),
    [anon_sym_BSLASHwa] = ACTIONS(5340),
    [anon_sym_BSLASHfig] = ACTIONS(5340),
    [anon_sym_BSLASHjmp] = ACTIONS(5340),
    [anon_sym_BSLASHpb] = ACTIONS(5340),
    [anon_sym_BSLASH] = ACTIONS(5340),
    [sym_milestoneStartTag] = ACTIONS(5340),
    [sym_milestoneEndTag] = ACTIONS(5340),
    [sym_zSpaceTag] = ACTIONS(5340),
    [anon_sym_BSLASHesb] = ACTIONS(5340),
  },
  [535] = {
    [ts_builtin_sym_end] = ACTIONS(13),
    [aux_sym_text_token1] = ACTIONS(13),
    [anon_sym_BSLASHref] = ACTIONS(15),
    [anon_sym_BSLASHsts] = ACTIONS(15),
    [anon_sym_BSLASHrem] = ACTIONS(15),
    [anon_sym_BSLASHrestore] = ACTIONS(15),
    [anon_sym_BSLASHlit] = ACTIONS(15),
    [anon_sym_BSLASHip] = ACTIONS(15),
    [anon_sym_BSLASHiex] = ACTIONS(15),
    [anon_sym_BSLASHv] = ACTIONS(15),
    [anon_sym_BSLASHva] = ACTIONS(15),
    [anon_sym_BSLASHvp] = ACTIONS(15),
    [anon_sym_BSLASHc] = ACTIONS(15),
    [anon_sym_BSLASHcl] = ACTIONS(15),
    [anon_sym_BSLASHca] = ACTIONS(15),
    [anon_sym_BSLASHcp] = ACTIONS(15),
    [anon_sym_BSLASHcd] = ACTIONS(15),
    [anon_sym_BSLASHmte] = ACTIONS(15),
    [anon_sym_BSLASHms] = ACTIONS(15),
    [anon_sym_BSLASHs] = ACTIONS(15),
    [anon_sym_BSLASHr] = ACTIONS(15),
    [anon_sym_BSLASHsp] = ACTIONS(15),
    [anon_sym_BSLASHd] = ACTIONS(15),
    [anon_sym_BSLASHsd] = ACTIONS(15),
    [anon_sym_BSLASHp] = ACTIONS(15),
    [anon_sym_BSLASHm] = ACTIONS(15),
    [anon_sym_BSLASHpo] = ACTIONS(15),
    [anon_sym_BSLASHpr] = ACTIONS(15),
    [anon_sym_BSLASHcls] = ACTIONS(15),
    [anon_sym_BSLASHpmo] = ACTIONS(15),
    [anon_sym_BSLASHpm] = ACTIONS(15),
    [anon_sym_BSLASHpmc] = ACTIONS(15),
    [anon_sym_BSLASHpmr] = ACTIONS(15),
    [anon_sym_BSLASHpi] = ACTIONS(15),
    [anon_sym_BSLASHmi] = ACTIONS(15),
    [anon_sym_BSLASHnb] = ACTIONS(15),
    [anon_sym_BSLASHpc] = ACTIONS(15),
    [anon_sym_BSLASHph] = ACTIONS(15),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [anon_sym_BSLASHq] = ACTIONS(15),
    [anon_sym_BSLASHqr] = ACTIONS(15),
    [anon_sym_BSLASHqc] = ACTIONS(15),
    [anon_sym_BSLASHqs] = ACTIONS(15),
    [anon_sym_BSLASHqa] = ACTIONS(15),
    [anon_sym_BSLASHqac] = ACTIONS(15),
    [anon_sym_BSLASHqm] = ACTIONS(15),
    [anon_sym_BSLASHqd] = ACTIONS(15),
    [anon_sym_BSLASHlh] = ACTIONS(15),
    [anon_sym_BSLASHli] = ACTIONS(15),
    [anon_sym_BSLASHlim] = ACTIONS(15),
    [anon_sym_BSLASHtr] = ACTIONS(15),
    [anon_sym_BSLASHf] = ACTIONS(15),
    [anon_sym_BSLASHfe] = ACTIONS(15),
    [anon_sym_BSLASHef] = ACTIONS(15),
    [anon_sym_BSLASHfm] = ACTIONS(15),
    [anon_sym_BSLASHx] = ACTIONS(15),
    [anon_sym_BSLASHxt] = ACTIONS(15),
    [anon_sym_BSLASHrq] = ACTIONS(15),
    [anon_sym_BSLASHadd] = ACTIONS(15),
    [anon_sym_BSLASHbk] = ACTIONS(15),
    [anon_sym_BSLASHdc] = ACTIONS(15),
    [anon_sym_BSLASHk] = ACTIONS(15),
    [anon_sym_BSLASHnd] = ACTIONS(15),
    [anon_sym_BSLASHord] = ACTIONS(15),
    [anon_sym_BSLASHpn] = ACTIONS(15),
    [anon_sym_BSLASHpng] = ACTIONS(15),
    [anon_sym_BSLASHaddpn] = ACTIONS(15),
    [anon_sym_BSLASHqt] = ACTIONS(15),
    [anon_sym_BSLASHsig] = ACTIONS(15),
    [anon_sym_BSLASHsls] = ACTIONS(15),
    [anon_sym_BSLASHtl] = ACTIONS(15),
    [anon_sym_BSLASHwj] = ACTIONS(15),
    [anon_sym_BSLASHem] = ACTIONS(15),
    [anon_sym_BSLASHbd] = ACTIONS(15),
    [anon_sym_BSLASHit] = ACTIONS(15),
    [anon_sym_BSLASHbdit] = ACTIONS(15),
    [anon_sym_BSLASHno] = ACTIONS(15),
    [anon_sym_BSLASHsc] = ACTIONS(15),
    [anon_sym_BSLASHsup] = ACTIONS(15),
    [anon_sym_BSLASHndx] = ACTIONS(15),
    [anon_sym_BSLASHpro] = ACTIONS(15),
    [anon_sym_BSLASHrb] = ACTIONS(15),
    [anon_sym_BSLASHw] = ACTIONS(15),
    [anon_sym_BSLASHwg] = ACTIONS(15),
    [anon_sym_BSLASHwh] = ACTIONS(15),
    [anon_sym_BSLASHwa] = ACTIONS(15),
    [anon_sym_BSLASHfig] = ACTIONS(15),
    [anon_sym_BSLASHjmp] = ACTIONS(15),
    [anon_sym_BSLASHpb] = ACTIONS(15),
    [anon_sym_BSLASH] = ACTIONS(15),
    [sym_milestoneStartTag] = ACTIONS(15),
    [sym_milestoneEndTag] = ACTIONS(15),
    [sym_zSpaceTag] = ACTIONS(15),
    [anon_sym_BSLASHesb] = ACTIONS(15),
  },
  [536] = {
    [ts_builtin_sym_end] = ACTIONS(2667),
    [aux_sym_text_token1] = ACTIONS(2667),
    [anon_sym_BSLASHref] = ACTIONS(2669),
    [anon_sym_BSLASHsts] = ACTIONS(2669),
    [anon_sym_BSLASHrem] = ACTIONS(2669),
    [anon_sym_BSLASHrestore] = ACTIONS(2669),
    [anon_sym_BSLASHlit] = ACTIONS(2669),
    [anon_sym_BSLASHip] = ACTIONS(2669),
    [anon_sym_BSLASHiex] = ACTIONS(2669),
    [anon_sym_BSLASHv] = ACTIONS(2669),
    [anon_sym_BSLASHva] = ACTIONS(2669),
    [anon_sym_BSLASHvp] = ACTIONS(2669),
    [anon_sym_BSLASHc] = ACTIONS(2669),
    [anon_sym_BSLASHcl] = ACTIONS(2669),
    [anon_sym_BSLASHca] = ACTIONS(2669),
    [anon_sym_BSLASHcp] = ACTIONS(2669),
    [anon_sym_BSLASHcd] = ACTIONS(2669),
    [anon_sym_BSLASHmte] = ACTIONS(2669),
    [anon_sym_BSLASHms] = ACTIONS(2669),
    [anon_sym_BSLASHs] = ACTIONS(2669),
    [anon_sym_BSLASHr] = ACTIONS(2669),
    [anon_sym_BSLASHsp] = ACTIONS(2669),
    [anon_sym_BSLASHd] = ACTIONS(2669),
    [anon_sym_BSLASHsd] = ACTIONS(2669),
    [anon_sym_BSLASHp] = ACTIONS(2669),
    [anon_sym_BSLASHm] = ACTIONS(2669),
    [anon_sym_BSLASHpo] = ACTIONS(2669),
    [anon_sym_BSLASHpr] = ACTIONS(2669),
    [anon_sym_BSLASHcls] = ACTIONS(2669),
    [anon_sym_BSLASHpmo] = ACTIONS(2669),
    [anon_sym_BSLASHpm] = ACTIONS(2669),
    [anon_sym_BSLASHpmc] = ACTIONS(2669),
    [anon_sym_BSLASHpmr] = ACTIONS(2669),
    [anon_sym_BSLASHpi] = ACTIONS(2669),
    [anon_sym_BSLASHmi] = ACTIONS(2669),
    [anon_sym_BSLASHnb] = ACTIONS(2669),
    [anon_sym_BSLASHpc] = ACTIONS(2669),
    [anon_sym_BSLASHph] = ACTIONS(2669),
    [anon_sym_BSLASHb] = ACTIONS(2669),
    [anon_sym_BSLASHq] = ACTIONS(2669),
    [anon_sym_BSLASHqr] = ACTIONS(2669),
    [anon_sym_BSLASHqc] = ACTIONS(2669),
    [anon_sym_BSLASHqs] = ACTIONS(2669),
    [anon_sym_BSLASHqa] = ACTIONS(2669),
    [anon_sym_BSLASHqac] = ACTIONS(2669),
    [anon_sym_BSLASHqm] = ACTIONS(2669),
    [anon_sym_BSLASHqd] = ACTIONS(2669),
    [anon_sym_BSLASHlh] = ACTIONS(2669),
    [anon_sym_BSLASHli] = ACTIONS(2669),
    [anon_sym_BSLASHlim] = ACTIONS(2669),
    [anon_sym_BSLASHtr] = ACTIONS(2669),
    [anon_sym_BSLASHf] = ACTIONS(2669),
    [anon_sym_BSLASHfe] = ACTIONS(2669),
    [anon_sym_BSLASHef] = ACTIONS(2669),
    [anon_sym_BSLASHfm] = ACTIONS(2669),
    [anon_sym_BSLASHx] = ACTIONS(2669),
    [anon_sym_BSLASHxt] = ACTIONS(2669),
    [anon_sym_BSLASHrq] = ACTIONS(2669),
    [anon_sym_BSLASHadd] = ACTIONS(2669),
    [anon_sym_BSLASHbk] = ACTIONS(2669),
    [anon_sym_BSLASHdc] = ACTIONS(2669),
    [anon_sym_BSLASHk] = ACTIONS(2669),
    [anon_sym_BSLASHnd] = ACTIONS(2669),
    [anon_sym_BSLASHord] = ACTIONS(2669),
    [anon_sym_BSLASHpn] = ACTIONS(2669),
    [anon_sym_BSLASHpng] = ACTIONS(2669),
    [anon_sym_BSLASHaddpn] = ACTIONS(2669),
    [anon_sym_BSLASHqt] = ACTIONS(2669),
    [anon_sym_BSLASHsig] = ACTIONS(2669),
    [anon_sym_BSLASHsls] = ACTIONS(2669),
    [anon_sym_BSLASHtl] = ACTIONS(2669),
    [anon_sym_BSLASHwj] = ACTIONS(2669),
    [anon_sym_BSLASHem] = ACTIONS(2669),
    [anon_sym_BSLASHbd] = ACTIONS(2669),
    [anon_sym_BSLASHit] = ACTIONS(2669),
    [anon_sym_BSLASHbdit] = ACTIONS(2669),
    [anon_sym_BSLASHno] = ACTIONS(2669),
    [anon_sym_BSLASHsc] = ACTIONS(2669),
    [anon_sym_BSLASHsup] = ACTIONS(2669),
    [anon_sym_BSLASHndx] = ACTIONS(2669),
    [anon_sym_BSLASHpro] = ACTIONS(2669),
    [anon_sym_BSLASHrb] = ACTIONS(2669),
    [anon_sym_BSLASHw] = ACTIONS(2669),
    [anon_sym_BSLASHwg] = ACTIONS(2669),
    [anon_sym_BSLASHwh] = ACTIONS(2669),
    [anon_sym_BSLASHwa] = ACTIONS(2669),
    [anon_sym_BSLASHfig] = ACTIONS(2669),
    [anon_sym_BSLASHjmp] = ACTIONS(2669),
    [anon_sym_BSLASHpb] = ACTIONS(2669),
    [anon_sym_BSLASH] = ACTIONS(2669),
    [sym_milestoneStartTag] = ACTIONS(2669),
    [sym_milestoneEndTag] = ACTIONS(2669),
    [sym_zSpaceTag] = ACTIONS(2669),
    [anon_sym_BSLASHesb] = ACTIONS(2669),
  },
  [537] = {
    [ts_builtin_sym_end] = ACTIONS(2707),
    [aux_sym_text_token1] = ACTIONS(2707),
    [anon_sym_BSLASHref] = ACTIONS(2709),
    [anon_sym_BSLASHsts] = ACTIONS(2709),
    [anon_sym_BSLASHrem] = ACTIONS(2709),
    [anon_sym_BSLASHrestore] = ACTIONS(2709),
    [anon_sym_BSLASHlit] = ACTIONS(2709),
    [anon_sym_BSLASHip] = ACTIONS(2709),
    [anon_sym_BSLASHiex] = ACTIONS(2709),
    [anon_sym_BSLASHv] = ACTIONS(2709),
    [anon_sym_BSLASHva] = ACTIONS(2709),
    [anon_sym_BSLASHvp] = ACTIONS(2709),
    [anon_sym_BSLASHc] = ACTIONS(2709),
    [anon_sym_BSLASHcl] = ACTIONS(2709),
    [anon_sym_BSLASHca] = ACTIONS(2709),
    [anon_sym_BSLASHcp] = ACTIONS(2709),
    [anon_sym_BSLASHcd] = ACTIONS(2709),
    [anon_sym_BSLASHmte] = ACTIONS(2709),
    [anon_sym_BSLASHms] = ACTIONS(2709),
    [anon_sym_BSLASHs] = ACTIONS(2709),
    [anon_sym_BSLASHr] = ACTIONS(2709),
    [anon_sym_BSLASHsp] = ACTIONS(2709),
    [anon_sym_BSLASHd] = ACTIONS(2709),
    [anon_sym_BSLASHsd] = ACTIONS(2709),
    [anon_sym_BSLASHp] = ACTIONS(2709),
    [anon_sym_BSLASHm] = ACTIONS(2709),
    [anon_sym_BSLASHpo] = ACTIONS(2709),
    [anon_sym_BSLASHpr] = ACTIONS(2709),
    [anon_sym_BSLASHcls] = ACTIONS(2709),
    [anon_sym_BSLASHpmo] = ACTIONS(2709),
    [anon_sym_BSLASHpm] = ACTIONS(2709),
    [anon_sym_BSLASHpmc] = ACTIONS(2709),
    [anon_sym_BSLASHpmr] = ACTIONS(2709),
    [anon_sym_BSLASHpi] = ACTIONS(2709),
    [anon_sym_BSLASHmi] = ACTIONS(2709),
    [anon_sym_BSLASHnb] = ACTIONS(2709),
    [anon_sym_BSLASHpc] = ACTIONS(2709),
    [anon_sym_BSLASHph] = ACTIONS(2709),
    [anon_sym_BSLASHb] = ACTIONS(2709),
    [anon_sym_BSLASHq] = ACTIONS(2709),
    [anon_sym_BSLASHqr] = ACTIONS(2709),
    [anon_sym_BSLASHqc] = ACTIONS(2709),
    [anon_sym_BSLASHqs] = ACTIONS(2709),
    [anon_sym_BSLASHqa] = ACTIONS(2709),
    [anon_sym_BSLASHqac] = ACTIONS(2709),
    [anon_sym_BSLASHqm] = ACTIONS(2709),
    [anon_sym_BSLASHqd] = ACTIONS(2709),
    [anon_sym_BSLASHlh] = ACTIONS(2709),
    [anon_sym_BSLASHli] = ACTIONS(2709),
    [anon_sym_BSLASHlim] = ACTIONS(2709),
    [anon_sym_BSLASHtr] = ACTIONS(2709),
    [anon_sym_BSLASHf] = ACTIONS(2709),
    [anon_sym_BSLASHfe] = ACTIONS(2709),
    [anon_sym_BSLASHef] = ACTIONS(2709),
    [anon_sym_BSLASHfm] = ACTIONS(2709),
    [anon_sym_BSLASHx] = ACTIONS(2709),
    [anon_sym_BSLASHxt] = ACTIONS(2709),
    [anon_sym_BSLASHrq] = ACTIONS(2709),
    [anon_sym_BSLASHadd] = ACTIONS(2709),
    [anon_sym_BSLASHbk] = ACTIONS(2709),
    [anon_sym_BSLASHdc] = ACTIONS(2709),
    [anon_sym_BSLASHk] = ACTIONS(2709),
    [anon_sym_BSLASHnd] = ACTIONS(2709),
    [anon_sym_BSLASHord] = ACTIONS(2709),
    [anon_sym_BSLASHpn] = ACTIONS(2709),
    [anon_sym_BSLASHpng] = ACTIONS(2709),
    [anon_sym_BSLASHaddpn] = ACTIONS(2709),
    [anon_sym_BSLASHqt] = ACTIONS(2709),
    [anon_sym_BSLASHsig] = ACTIONS(2709),
    [anon_sym_BSLASHsls] = ACTIONS(2709),
    [anon_sym_BSLASHtl] = ACTIONS(2709),
    [anon_sym_BSLASHwj] = ACTIONS(2709),
    [anon_sym_BSLASHem] = ACTIONS(2709),
    [anon_sym_BSLASHbd] = ACTIONS(2709),
    [anon_sym_BSLASHit] = ACTIONS(2709),
    [anon_sym_BSLASHbdit] = ACTIONS(2709),
    [anon_sym_BSLASHno] = ACTIONS(2709),
    [anon_sym_BSLASHsc] = ACTIONS(2709),
    [anon_sym_BSLASHsup] = ACTIONS(2709),
    [anon_sym_BSLASHndx] = ACTIONS(2709),
    [anon_sym_BSLASHpro] = ACTIONS(2709),
    [anon_sym_BSLASHrb] = ACTIONS(2709),
    [anon_sym_BSLASHw] = ACTIONS(2709),
    [anon_sym_BSLASHwg] = ACTIONS(2709),
    [anon_sym_BSLASHwh] = ACTIONS(2709),
    [anon_sym_BSLASHwa] = ACTIONS(2709),
    [anon_sym_BSLASHfig] = ACTIONS(2709),
    [anon_sym_BSLASHjmp] = ACTIONS(2709),
    [anon_sym_BSLASHpb] = ACTIONS(2709),
    [anon_sym_BSLASH] = ACTIONS(2709),
    [sym_milestoneStartTag] = ACTIONS(2709),
    [sym_milestoneEndTag] = ACTIONS(2709),
    [sym_zSpaceTag] = ACTIONS(2709),
    [anon_sym_BSLASHesb] = ACTIONS(2709),
  },
  [538] = {
    [ts_builtin_sym_end] = ACTIONS(2687),
    [aux_sym_text_token1] = ACTIONS(2687),
    [anon_sym_BSLASHref] = ACTIONS(2689),
    [anon_sym_BSLASHsts] = ACTIONS(2689),
    [anon_sym_BSLASHrem] = ACTIONS(2689),
    [anon_sym_BSLASHrestore] = ACTIONS(2689),
    [anon_sym_BSLASHlit] = ACTIONS(2689),
    [anon_sym_BSLASHip] = ACTIONS(2689),
    [anon_sym_BSLASHiex] = ACTIONS(2689),
    [anon_sym_BSLASHv] = ACTIONS(2689),
    [anon_sym_BSLASHva] = ACTIONS(2689),
    [anon_sym_BSLASHvp] = ACTIONS(2689),
    [anon_sym_BSLASHc] = ACTIONS(2689),
    [anon_sym_BSLASHcl] = ACTIONS(2689),
    [anon_sym_BSLASHca] = ACTIONS(2689),
    [anon_sym_BSLASHcp] = ACTIONS(2689),
    [anon_sym_BSLASHcd] = ACTIONS(2689),
    [anon_sym_BSLASHmte] = ACTIONS(2689),
    [anon_sym_BSLASHms] = ACTIONS(2689),
    [anon_sym_BSLASHs] = ACTIONS(2689),
    [anon_sym_BSLASHr] = ACTIONS(2689),
    [anon_sym_BSLASHsp] = ACTIONS(2689),
    [anon_sym_BSLASHd] = ACTIONS(2689),
    [anon_sym_BSLASHsd] = ACTIONS(2689),
    [anon_sym_BSLASHp] = ACTIONS(2689),
    [anon_sym_BSLASHm] = ACTIONS(2689),
    [anon_sym_BSLASHpo] = ACTIONS(2689),
    [anon_sym_BSLASHpr] = ACTIONS(2689),
    [anon_sym_BSLASHcls] = ACTIONS(2689),
    [anon_sym_BSLASHpmo] = ACTIONS(2689),
    [anon_sym_BSLASHpm] = ACTIONS(2689),
    [anon_sym_BSLASHpmc] = ACTIONS(2689),
    [anon_sym_BSLASHpmr] = ACTIONS(2689),
    [anon_sym_BSLASHpi] = ACTIONS(2689),
    [anon_sym_BSLASHmi] = ACTIONS(2689),
    [anon_sym_BSLASHnb] = ACTIONS(2689),
    [anon_sym_BSLASHpc] = ACTIONS(2689),
    [anon_sym_BSLASHph] = ACTIONS(2689),
    [anon_sym_BSLASHb] = ACTIONS(2689),
    [anon_sym_BSLASHq] = ACTIONS(2689),
    [anon_sym_BSLASHqr] = ACTIONS(2689),
    [anon_sym_BSLASHqc] = ACTIONS(2689),
    [anon_sym_BSLASHqs] = ACTIONS(2689),
    [anon_sym_BSLASHqa] = ACTIONS(2689),
    [anon_sym_BSLASHqac] = ACTIONS(2689),
    [anon_sym_BSLASHqm] = ACTIONS(2689),
    [anon_sym_BSLASHqd] = ACTIONS(2689),
    [anon_sym_BSLASHlh] = ACTIONS(2689),
    [anon_sym_BSLASHli] = ACTIONS(2689),
    [anon_sym_BSLASHlim] = ACTIONS(2689),
    [anon_sym_BSLASHtr] = ACTIONS(2689),
    [anon_sym_BSLASHf] = ACTIONS(2689),
    [anon_sym_BSLASHfe] = ACTIONS(2689),
    [anon_sym_BSLASHef] = ACTIONS(2689),
    [anon_sym_BSLASHfm] = ACTIONS(2689),
    [anon_sym_BSLASHx] = ACTIONS(2689),
    [anon_sym_BSLASHxt] = ACTIONS(2689),
    [anon_sym_BSLASHrq] = ACTIONS(2689),
    [anon_sym_BSLASHadd] = ACTIONS(2689),
    [anon_sym_BSLASHbk] = ACTIONS(2689),
    [anon_sym_BSLASHdc] = ACTIONS(2689),
    [anon_sym_BSLASHk] = ACTIONS(2689),
    [anon_sym_BSLASHnd] = ACTIONS(2689),
    [anon_sym_BSLASHord] = ACTIONS(2689),
    [anon_sym_BSLASHpn] = ACTIONS(2689),
    [anon_sym_BSLASHpng] = ACTIONS(2689),
    [anon_sym_BSLASHaddpn] = ACTIONS(2689),
    [anon_sym_BSLASHqt] = ACTIONS(2689),
    [anon_sym_BSLASHsig] = ACTIONS(2689),
    [anon_sym_BSLASHsls] = ACTIONS(2689),
    [anon_sym_BSLASHtl] = ACTIONS(2689),
    [anon_sym_BSLASHwj] = ACTIONS(2689),
    [anon_sym_BSLASHem] = ACTIONS(2689),
    [anon_sym_BSLASHbd] = ACTIONS(2689),
    [anon_sym_BSLASHit] = ACTIONS(2689),
    [anon_sym_BSLASHbdit] = ACTIONS(2689),
    [anon_sym_BSLASHno] = ACTIONS(2689),
    [anon_sym_BSLASHsc] = ACTIONS(2689),
    [anon_sym_BSLASHsup] = ACTIONS(2689),
    [anon_sym_BSLASHndx] = ACTIONS(2689),
    [anon_sym_BSLASHpro] = ACTIONS(2689),
    [anon_sym_BSLASHrb] = ACTIONS(2689),
    [anon_sym_BSLASHw] = ACTIONS(2689),
    [anon_sym_BSLASHwg] = ACTIONS(2689),
    [anon_sym_BSLASHwh] = ACTIONS(2689),
    [anon_sym_BSLASHwa] = ACTIONS(2689),
    [anon_sym_BSLASHfig] = ACTIONS(2689),
    [anon_sym_BSLASHjmp] = ACTIONS(2689),
    [anon_sym_BSLASHpb] = ACTIONS(2689),
    [anon_sym_BSLASH] = ACTIONS(2689),
    [sym_milestoneStartTag] = ACTIONS(2689),
    [sym_milestoneEndTag] = ACTIONS(2689),
    [sym_zSpaceTag] = ACTIONS(2689),
    [anon_sym_BSLASHesb] = ACTIONS(2689),
  },
  [539] = {
    [ts_builtin_sym_end] = ACTIONS(2711),
    [aux_sym_text_token1] = ACTIONS(2711),
    [anon_sym_BSLASHref] = ACTIONS(2713),
    [anon_sym_BSLASHsts] = ACTIONS(2713),
    [anon_sym_BSLASHrem] = ACTIONS(2713),
    [anon_sym_BSLASHrestore] = ACTIONS(2713),
    [anon_sym_BSLASHlit] = ACTIONS(2713),
    [anon_sym_BSLASHip] = ACTIONS(2713),
    [anon_sym_BSLASHiex] = ACTIONS(2713),
    [anon_sym_BSLASHv] = ACTIONS(2713),
    [anon_sym_BSLASHva] = ACTIONS(2713),
    [anon_sym_BSLASHvp] = ACTIONS(2713),
    [anon_sym_BSLASHc] = ACTIONS(2713),
    [anon_sym_BSLASHcl] = ACTIONS(2713),
    [anon_sym_BSLASHca] = ACTIONS(2713),
    [anon_sym_BSLASHcp] = ACTIONS(2713),
    [anon_sym_BSLASHcd] = ACTIONS(2713),
    [anon_sym_BSLASHmte] = ACTIONS(2713),
    [anon_sym_BSLASHms] = ACTIONS(2713),
    [anon_sym_BSLASHs] = ACTIONS(2713),
    [anon_sym_BSLASHr] = ACTIONS(2713),
    [anon_sym_BSLASHsp] = ACTIONS(2713),
    [anon_sym_BSLASHd] = ACTIONS(2713),
    [anon_sym_BSLASHsd] = ACTIONS(2713),
    [anon_sym_BSLASHp] = ACTIONS(2713),
    [anon_sym_BSLASHm] = ACTIONS(2713),
    [anon_sym_BSLASHpo] = ACTIONS(2713),
    [anon_sym_BSLASHpr] = ACTIONS(2713),
    [anon_sym_BSLASHcls] = ACTIONS(2713),
    [anon_sym_BSLASHpmo] = ACTIONS(2713),
    [anon_sym_BSLASHpm] = ACTIONS(2713),
    [anon_sym_BSLASHpmc] = ACTIONS(2713),
    [anon_sym_BSLASHpmr] = ACTIONS(2713),
    [anon_sym_BSLASHpi] = ACTIONS(2713),
    [anon_sym_BSLASHmi] = ACTIONS(2713),
    [anon_sym_BSLASHnb] = ACTIONS(2713),
    [anon_sym_BSLASHpc] = ACTIONS(2713),
    [anon_sym_BSLASHph] = ACTIONS(2713),
    [anon_sym_BSLASHb] = ACTIONS(2713),
    [anon_sym_BSLASHq] = ACTIONS(2713),
    [anon_sym_BSLASHqr] = ACTIONS(2713),
    [anon_sym_BSLASHqc] = ACTIONS(2713),
    [anon_sym_BSLASHqs] = ACTIONS(2713),
    [anon_sym_BSLASHqa] = ACTIONS(2713),
    [anon_sym_BSLASHqac] = ACTIONS(2713),
    [anon_sym_BSLASHqm] = ACTIONS(2713),
    [anon_sym_BSLASHqd] = ACTIONS(2713),
    [anon_sym_BSLASHlh] = ACTIONS(2713),
    [anon_sym_BSLASHli] = ACTIONS(2713),
    [anon_sym_BSLASHlim] = ACTIONS(2713),
    [anon_sym_BSLASHtr] = ACTIONS(2713),
    [anon_sym_BSLASHf] = ACTIONS(2713),
    [anon_sym_BSLASHfe] = ACTIONS(2713),
    [anon_sym_BSLASHef] = ACTIONS(2713),
    [anon_sym_BSLASHfm] = ACTIONS(2713),
    [anon_sym_BSLASHx] = ACTIONS(2713),
    [anon_sym_BSLASHxt] = ACTIONS(2713),
    [anon_sym_BSLASHrq] = ACTIONS(2713),
    [anon_sym_BSLASHadd] = ACTIONS(2713),
    [anon_sym_BSLASHbk] = ACTIONS(2713),
    [anon_sym_BSLASHdc] = ACTIONS(2713),
    [anon_sym_BSLASHk] = ACTIONS(2713),
    [anon_sym_BSLASHnd] = ACTIONS(2713),
    [anon_sym_BSLASHord] = ACTIONS(2713),
    [anon_sym_BSLASHpn] = ACTIONS(2713),
    [anon_sym_BSLASHpng] = ACTIONS(2713),
    [anon_sym_BSLASHaddpn] = ACTIONS(2713),
    [anon_sym_BSLASHqt] = ACTIONS(2713),
    [anon_sym_BSLASHsig] = ACTIONS(2713),
    [anon_sym_BSLASHsls] = ACTIONS(2713),
    [anon_sym_BSLASHtl] = ACTIONS(2713),
    [anon_sym_BSLASHwj] = ACTIONS(2713),
    [anon_sym_BSLASHem] = ACTIONS(2713),
    [anon_sym_BSLASHbd] = ACTIONS(2713),
    [anon_sym_BSLASHit] = ACTIONS(2713),
    [anon_sym_BSLASHbdit] = ACTIONS(2713),
    [anon_sym_BSLASHno] = ACTIONS(2713),
    [anon_sym_BSLASHsc] = ACTIONS(2713),
    [anon_sym_BSLASHsup] = ACTIONS(2713),
    [anon_sym_BSLASHndx] = ACTIONS(2713),
    [anon_sym_BSLASHpro] = ACTIONS(2713),
    [anon_sym_BSLASHrb] = ACTIONS(2713),
    [anon_sym_BSLASHw] = ACTIONS(2713),
    [anon_sym_BSLASHwg] = ACTIONS(2713),
    [anon_sym_BSLASHwh] = ACTIONS(2713),
    [anon_sym_BSLASHwa] = ACTIONS(2713),
    [anon_sym_BSLASHfig] = ACTIONS(2713),
    [anon_sym_BSLASHjmp] = ACTIONS(2713),
    [anon_sym_BSLASHpb] = ACTIONS(2713),
    [anon_sym_BSLASH] = ACTIONS(2713),
    [sym_milestoneStartTag] = ACTIONS(2713),
    [sym_milestoneEndTag] = ACTIONS(2713),
    [sym_zSpaceTag] = ACTIONS(2713),
    [anon_sym_BSLASHesb] = ACTIONS(2713),
  },
  [540] = {
    [ts_builtin_sym_end] = ACTIONS(2743),
    [aux_sym_text_token1] = ACTIONS(2743),
    [anon_sym_BSLASHref] = ACTIONS(2745),
    [anon_sym_BSLASHsts] = ACTIONS(2745),
    [anon_sym_BSLASHrem] = ACTIONS(2745),
    [anon_sym_BSLASHrestore] = ACTIONS(2745),
    [anon_sym_BSLASHlit] = ACTIONS(2745),
    [anon_sym_BSLASHip] = ACTIONS(2745),
    [anon_sym_BSLASHiex] = ACTIONS(2745),
    [anon_sym_BSLASHv] = ACTIONS(2745),
    [anon_sym_BSLASHva] = ACTIONS(2745),
    [anon_sym_BSLASHvp] = ACTIONS(2745),
    [anon_sym_BSLASHc] = ACTIONS(2745),
    [anon_sym_BSLASHcl] = ACTIONS(2745),
    [anon_sym_BSLASHca] = ACTIONS(2745),
    [anon_sym_BSLASHcp] = ACTIONS(2745),
    [anon_sym_BSLASHcd] = ACTIONS(2745),
    [anon_sym_BSLASHmte] = ACTIONS(2745),
    [anon_sym_BSLASHms] = ACTIONS(2745),
    [anon_sym_BSLASHs] = ACTIONS(2745),
    [anon_sym_BSLASHr] = ACTIONS(2745),
    [anon_sym_BSLASHsp] = ACTIONS(2745),
    [anon_sym_BSLASHd] = ACTIONS(2745),
    [anon_sym_BSLASHsd] = ACTIONS(2745),
    [anon_sym_BSLASHp] = ACTIONS(2745),
    [anon_sym_BSLASHm] = ACTIONS(2745),
    [anon_sym_BSLASHpo] = ACTIONS(2745),
    [anon_sym_BSLASHpr] = ACTIONS(2745),
    [anon_sym_BSLASHcls] = ACTIONS(2745),
    [anon_sym_BSLASHpmo] = ACTIONS(2745),
    [anon_sym_BSLASHpm] = ACTIONS(2745),
    [anon_sym_BSLASHpmc] = ACTIONS(2745),
    [anon_sym_BSLASHpmr] = ACTIONS(2745),
    [anon_sym_BSLASHpi] = ACTIONS(2745),
    [anon_sym_BSLASHmi] = ACTIONS(2745),
    [anon_sym_BSLASHnb] = ACTIONS(2745),
    [anon_sym_BSLASHpc] = ACTIONS(2745),
    [anon_sym_BSLASHph] = ACTIONS(2745),
    [anon_sym_BSLASHb] = ACTIONS(2745),
    [anon_sym_BSLASHq] = ACTIONS(2745),
    [anon_sym_BSLASHqr] = ACTIONS(2745),
    [anon_sym_BSLASHqc] = ACTIONS(2745),
    [anon_sym_BSLASHqs] = ACTIONS(2745),
    [anon_sym_BSLASHqa] = ACTIONS(2745),
    [anon_sym_BSLASHqac] = ACTIONS(2745),
    [anon_sym_BSLASHqm] = ACTIONS(2745),
    [anon_sym_BSLASHqd] = ACTIONS(2745),
    [anon_sym_BSLASHlh] = ACTIONS(2745),
    [anon_sym_BSLASHli] = ACTIONS(2745),
    [anon_sym_BSLASHlim] = ACTIONS(2745),
    [anon_sym_BSLASHtr] = ACTIONS(2745),
    [anon_sym_BSLASHf] = ACTIONS(2745),
    [anon_sym_BSLASHfe] = ACTIONS(2745),
    [anon_sym_BSLASHef] = ACTIONS(2745),
    [anon_sym_BSLASHfm] = ACTIONS(2745),
    [anon_sym_BSLASHx] = ACTIONS(2745),
    [anon_sym_BSLASHxt] = ACTIONS(2745),
    [anon_sym_BSLASHrq] = ACTIONS(2745),
    [anon_sym_BSLASHadd] = ACTIONS(2745),
    [anon_sym_BSLASHbk] = ACTIONS(2745),
    [anon_sym_BSLASHdc] = ACTIONS(2745),
    [anon_sym_BSLASHk] = ACTIONS(2745),
    [anon_sym_BSLASHnd] = ACTIONS(2745),
    [anon_sym_BSLASHord] = ACTIONS(2745),
    [anon_sym_BSLASHpn] = ACTIONS(2745),
    [anon_sym_BSLASHpng] = ACTIONS(2745),
    [anon_sym_BSLASHaddpn] = ACTIONS(2745),
    [anon_sym_BSLASHqt] = ACTIONS(2745),
    [anon_sym_BSLASHsig] = ACTIONS(2745),
    [anon_sym_BSLASHsls] = ACTIONS(2745),
    [anon_sym_BSLASHtl] = ACTIONS(2745),
    [anon_sym_BSLASHwj] = ACTIONS(2745),
    [anon_sym_BSLASHem] = ACTIONS(2745),
    [anon_sym_BSLASHbd] = ACTIONS(2745),
    [anon_sym_BSLASHit] = ACTIONS(2745),
    [anon_sym_BSLASHbdit] = ACTIONS(2745),
    [anon_sym_BSLASHno] = ACTIONS(2745),
    [anon_sym_BSLASHsc] = ACTIONS(2745),
    [anon_sym_BSLASHsup] = ACTIONS(2745),
    [anon_sym_BSLASHndx] = ACTIONS(2745),
    [anon_sym_BSLASHpro] = ACTIONS(2745),
    [anon_sym_BSLASHrb] = ACTIONS(2745),
    [anon_sym_BSLASHw] = ACTIONS(2745),
    [anon_sym_BSLASHwg] = ACTIONS(2745),
    [anon_sym_BSLASHwh] = ACTIONS(2745),
    [anon_sym_BSLASHwa] = ACTIONS(2745),
    [anon_sym_BSLASHfig] = ACTIONS(2745),
    [anon_sym_BSLASHjmp] = ACTIONS(2745),
    [anon_sym_BSLASHpb] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2745),
    [sym_milestoneStartTag] = ACTIONS(2745),
    [sym_milestoneEndTag] = ACTIONS(2745),
    [sym_zSpaceTag] = ACTIONS(2745),
    [anon_sym_BSLASHesb] = ACTIONS(2745),
  },
  [541] = {
    [ts_builtin_sym_end] = ACTIONS(5370),
    [aux_sym_text_token1] = ACTIONS(5370),
    [anon_sym_BSLASHref] = ACTIONS(5372),
    [anon_sym_BSLASHsts] = ACTIONS(5372),
    [anon_sym_BSLASHrem] = ACTIONS(5372),
    [anon_sym_BSLASHrestore] = ACTIONS(5372),
    [anon_sym_BSLASHlit] = ACTIONS(5372),
    [anon_sym_BSLASHip] = ACTIONS(5372),
    [anon_sym_BSLASHiex] = ACTIONS(5372),
    [anon_sym_BSLASHv] = ACTIONS(5372),
    [anon_sym_BSLASHva] = ACTIONS(5372),
    [anon_sym_BSLASHvp] = ACTIONS(5372),
    [anon_sym_BSLASHc] = ACTIONS(5372),
    [anon_sym_BSLASHcl] = ACTIONS(5372),
    [anon_sym_BSLASHca] = ACTIONS(5372),
    [anon_sym_BSLASHcp] = ACTIONS(5372),
    [anon_sym_BSLASHcd] = ACTIONS(5372),
    [anon_sym_BSLASHmte] = ACTIONS(5372),
    [anon_sym_BSLASHms] = ACTIONS(5372),
    [anon_sym_BSLASHs] = ACTIONS(5372),
    [anon_sym_BSLASHr] = ACTIONS(5372),
    [anon_sym_BSLASHsp] = ACTIONS(5372),
    [anon_sym_BSLASHd] = ACTIONS(5372),
    [anon_sym_BSLASHsd] = ACTIONS(5372),
    [anon_sym_BSLASHp] = ACTIONS(5372),
    [anon_sym_BSLASHm] = ACTIONS(5372),
    [anon_sym_BSLASHpo] = ACTIONS(5372),
    [anon_sym_BSLASHpr] = ACTIONS(5372),
    [anon_sym_BSLASHcls] = ACTIONS(5372),
    [anon_sym_BSLASHpmo] = ACTIONS(5372),
    [anon_sym_BSLASHpm] = ACTIONS(5372),
    [anon_sym_BSLASHpmc] = ACTIONS(5372),
    [anon_sym_BSLASHpmr] = ACTIONS(5372),
    [anon_sym_BSLASHpi] = ACTIONS(5372),
    [anon_sym_BSLASHmi] = ACTIONS(5372),
    [anon_sym_BSLASHnb] = ACTIONS(5372),
    [anon_sym_BSLASHpc] = ACTIONS(5372),
    [anon_sym_BSLASHph] = ACTIONS(5372),
    [anon_sym_BSLASHb] = ACTIONS(5372),
    [anon_sym_BSLASHq] = ACTIONS(5372),
    [anon_sym_BSLASHqr] = ACTIONS(5372),
    [anon_sym_BSLASHqc] = ACTIONS(5372),
    [anon_sym_BSLASHqs] = ACTIONS(5372),
    [anon_sym_BSLASHqa] = ACTIONS(5372),
    [anon_sym_BSLASHqac] = ACTIONS(5372),
    [anon_sym_BSLASHqm] = ACTIONS(5372),
    [anon_sym_BSLASHqd] = ACTIONS(5372),
    [anon_sym_BSLASHlh] = ACTIONS(5372),
    [anon_sym_BSLASHli] = ACTIONS(5372),
    [anon_sym_BSLASHlim] = ACTIONS(5372),
    [anon_sym_BSLASHtr] = ACTIONS(5372),
    [anon_sym_BSLASHf] = ACTIONS(5372),
    [anon_sym_BSLASHfe] = ACTIONS(5372),
    [anon_sym_BSLASHef] = ACTIONS(5372),
    [anon_sym_BSLASHfm] = ACTIONS(5372),
    [anon_sym_BSLASHx] = ACTIONS(5372),
    [anon_sym_BSLASHxt] = ACTIONS(5372),
    [anon_sym_BSLASHrq] = ACTIONS(5372),
    [anon_sym_BSLASHadd] = ACTIONS(5372),
    [anon_sym_BSLASHbk] = ACTIONS(5372),
    [anon_sym_BSLASHdc] = ACTIONS(5372),
    [anon_sym_BSLASHk] = ACTIONS(5372),
    [anon_sym_BSLASHnd] = ACTIONS(5372),
    [anon_sym_BSLASHord] = ACTIONS(5372),
    [anon_sym_BSLASHpn] = ACTIONS(5372),
    [anon_sym_BSLASHpng] = ACTIONS(5372),
    [anon_sym_BSLASHaddpn] = ACTIONS(5372),
    [anon_sym_BSLASHqt] = ACTIONS(5372),
    [anon_sym_BSLASHsig] = ACTIONS(5372),
    [anon_sym_BSLASHsls] = ACTIONS(5372),
    [anon_sym_BSLASHtl] = ACTIONS(5372),
    [anon_sym_BSLASHwj] = ACTIONS(5372),
    [anon_sym_BSLASHem] = ACTIONS(5372),
    [anon_sym_BSLASHbd] = ACTIONS(5372),
    [anon_sym_BSLASHit] = ACTIONS(5372),
    [anon_sym_BSLASHbdit] = ACTIONS(5372),
    [anon_sym_BSLASHno] = ACTIONS(5372),
    [anon_sym_BSLASHsc] = ACTIONS(5372),
    [anon_sym_BSLASHsup] = ACTIONS(5372),
    [anon_sym_BSLASHndx] = ACTIONS(5372),
    [anon_sym_BSLASHpro] = ACTIONS(5372),
    [anon_sym_BSLASHrb] = ACTIONS(5372),
    [anon_sym_BSLASHw] = ACTIONS(5372),
    [anon_sym_BSLASHwg] = ACTIONS(5372),
    [anon_sym_BSLASHwh] = ACTIONS(5372),
    [anon_sym_BSLASHwa] = ACTIONS(5372),
    [anon_sym_BSLASHfig] = ACTIONS(5372),
    [anon_sym_BSLASHjmp] = ACTIONS(5372),
    [anon_sym_BSLASHpb] = ACTIONS(5372),
    [anon_sym_BSLASH] = ACTIONS(5372),
    [sym_milestoneStartTag] = ACTIONS(5372),
    [sym_milestoneEndTag] = ACTIONS(5372),
    [sym_zSpaceTag] = ACTIONS(5372),
    [anon_sym_BSLASHesb] = ACTIONS(5372),
  },
  [542] = {
    [ts_builtin_sym_end] = ACTIONS(2739),
    [aux_sym_text_token1] = ACTIONS(2739),
    [anon_sym_BSLASHref] = ACTIONS(2741),
    [anon_sym_BSLASHsts] = ACTIONS(2741),
    [anon_sym_BSLASHrem] = ACTIONS(2741),
    [anon_sym_BSLASHrestore] = ACTIONS(2741),
    [anon_sym_BSLASHlit] = ACTIONS(2741),
    [anon_sym_BSLASHip] = ACTIONS(2741),
    [anon_sym_BSLASHiex] = ACTIONS(2741),
    [anon_sym_BSLASHv] = ACTIONS(2741),
    [anon_sym_BSLASHva] = ACTIONS(2741),
    [anon_sym_BSLASHvp] = ACTIONS(2741),
    [anon_sym_BSLASHc] = ACTIONS(2741),
    [anon_sym_BSLASHcl] = ACTIONS(2741),
    [anon_sym_BSLASHca] = ACTIONS(2741),
    [anon_sym_BSLASHcp] = ACTIONS(2741),
    [anon_sym_BSLASHcd] = ACTIONS(2741),
    [anon_sym_BSLASHmte] = ACTIONS(2741),
    [anon_sym_BSLASHms] = ACTIONS(2741),
    [anon_sym_BSLASHs] = ACTIONS(2741),
    [anon_sym_BSLASHr] = ACTIONS(2741),
    [anon_sym_BSLASHsp] = ACTIONS(2741),
    [anon_sym_BSLASHd] = ACTIONS(2741),
    [anon_sym_BSLASHsd] = ACTIONS(2741),
    [anon_sym_BSLASHp] = ACTIONS(2741),
    [anon_sym_BSLASHm] = ACTIONS(2741),
    [anon_sym_BSLASHpo] = ACTIONS(2741),
    [anon_sym_BSLASHpr] = ACTIONS(2741),
    [anon_sym_BSLASHcls] = ACTIONS(2741),
    [anon_sym_BSLASHpmo] = ACTIONS(2741),
    [anon_sym_BSLASHpm] = ACTIONS(2741),
    [anon_sym_BSLASHpmc] = ACTIONS(2741),
    [anon_sym_BSLASHpmr] = ACTIONS(2741),
    [anon_sym_BSLASHpi] = ACTIONS(2741),
    [anon_sym_BSLASHmi] = ACTIONS(2741),
    [anon_sym_BSLASHnb] = ACTIONS(2741),
    [anon_sym_BSLASHpc] = ACTIONS(2741),
    [anon_sym_BSLASHph] = ACTIONS(2741),
    [anon_sym_BSLASHb] = ACTIONS(2741),
    [anon_sym_BSLASHq] = ACTIONS(2741),
    [anon_sym_BSLASHqr] = ACTIONS(2741),
    [anon_sym_BSLASHqc] = ACTIONS(2741),
    [anon_sym_BSLASHqs] = ACTIONS(2741),
    [anon_sym_BSLASHqa] = ACTIONS(2741),
    [anon_sym_BSLASHqac] = ACTIONS(2741),
    [anon_sym_BSLASHqm] = ACTIONS(2741),
    [anon_sym_BSLASHqd] = ACTIONS(2741),
    [anon_sym_BSLASHlh] = ACTIONS(2741),
    [anon_sym_BSLASHli] = ACTIONS(2741),
    [anon_sym_BSLASHlim] = ACTIONS(2741),
    [anon_sym_BSLASHtr] = ACTIONS(2741),
    [anon_sym_BSLASHf] = ACTIONS(2741),
    [anon_sym_BSLASHfe] = ACTIONS(2741),
    [anon_sym_BSLASHef] = ACTIONS(2741),
    [anon_sym_BSLASHfm] = ACTIONS(2741),
    [anon_sym_BSLASHx] = ACTIONS(2741),
    [anon_sym_BSLASHxt] = ACTIONS(2741),
    [anon_sym_BSLASHrq] = ACTIONS(2741),
    [anon_sym_BSLASHadd] = ACTIONS(2741),
    [anon_sym_BSLASHbk] = ACTIONS(2741),
    [anon_sym_BSLASHdc] = ACTIONS(2741),
    [anon_sym_BSLASHk] = ACTIONS(2741),
    [anon_sym_BSLASHnd] = ACTIONS(2741),
    [anon_sym_BSLASHord] = ACTIONS(2741),
    [anon_sym_BSLASHpn] = ACTIONS(2741),
    [anon_sym_BSLASHpng] = ACTIONS(2741),
    [anon_sym_BSLASHaddpn] = ACTIONS(2741),
    [anon_sym_BSLASHqt] = ACTIONS(2741),
    [anon_sym_BSLASHsig] = ACTIONS(2741),
    [anon_sym_BSLASHsls] = ACTIONS(2741),
    [anon_sym_BSLASHtl] = ACTIONS(2741),
    [anon_sym_BSLASHwj] = ACTIONS(2741),
    [anon_sym_BSLASHem] = ACTIONS(2741),
    [anon_sym_BSLASHbd] = ACTIONS(2741),
    [anon_sym_BSLASHit] = ACTIONS(2741),
    [anon_sym_BSLASHbdit] = ACTIONS(2741),
    [anon_sym_BSLASHno] = ACTIONS(2741),
    [anon_sym_BSLASHsc] = ACTIONS(2741),
    [anon_sym_BSLASHsup] = ACTIONS(2741),
    [anon_sym_BSLASHndx] = ACTIONS(2741),
    [anon_sym_BSLASHpro] = ACTIONS(2741),
    [anon_sym_BSLASHrb] = ACTIONS(2741),
    [anon_sym_BSLASHw] = ACTIONS(2741),
    [anon_sym_BSLASHwg] = ACTIONS(2741),
    [anon_sym_BSLASHwh] = ACTIONS(2741),
    [anon_sym_BSLASHwa] = ACTIONS(2741),
    [anon_sym_BSLASHfig] = ACTIONS(2741),
    [anon_sym_BSLASHjmp] = ACTIONS(2741),
    [anon_sym_BSLASHpb] = ACTIONS(2741),
    [anon_sym_BSLASH] = ACTIONS(2741),
    [sym_milestoneStartTag] = ACTIONS(2741),
    [sym_milestoneEndTag] = ACTIONS(2741),
    [sym_zSpaceTag] = ACTIONS(2741),
    [anon_sym_BSLASHesb] = ACTIONS(2741),
  },
  [543] = {
    [ts_builtin_sym_end] = ACTIONS(2723),
    [aux_sym_text_token1] = ACTIONS(2723),
    [anon_sym_BSLASHref] = ACTIONS(2725),
    [anon_sym_BSLASHsts] = ACTIONS(2725),
    [anon_sym_BSLASHrem] = ACTIONS(2725),
    [anon_sym_BSLASHrestore] = ACTIONS(2725),
    [anon_sym_BSLASHlit] = ACTIONS(2725),
    [anon_sym_BSLASHip] = ACTIONS(2725),
    [anon_sym_BSLASHiex] = ACTIONS(2725),
    [anon_sym_BSLASHv] = ACTIONS(2725),
    [anon_sym_BSLASHva] = ACTIONS(2725),
    [anon_sym_BSLASHvp] = ACTIONS(2725),
    [anon_sym_BSLASHc] = ACTIONS(2725),
    [anon_sym_BSLASHcl] = ACTIONS(2725),
    [anon_sym_BSLASHca] = ACTIONS(2725),
    [anon_sym_BSLASHcp] = ACTIONS(2725),
    [anon_sym_BSLASHcd] = ACTIONS(2725),
    [anon_sym_BSLASHmte] = ACTIONS(2725),
    [anon_sym_BSLASHms] = ACTIONS(2725),
    [anon_sym_BSLASHs] = ACTIONS(2725),
    [anon_sym_BSLASHr] = ACTIONS(2725),
    [anon_sym_BSLASHsp] = ACTIONS(2725),
    [anon_sym_BSLASHd] = ACTIONS(2725),
    [anon_sym_BSLASHsd] = ACTIONS(2725),
    [anon_sym_BSLASHp] = ACTIONS(2725),
    [anon_sym_BSLASHm] = ACTIONS(2725),
    [anon_sym_BSLASHpo] = ACTIONS(2725),
    [anon_sym_BSLASHpr] = ACTIONS(2725),
    [anon_sym_BSLASHcls] = ACTIONS(2725),
    [anon_sym_BSLASHpmo] = ACTIONS(2725),
    [anon_sym_BSLASHpm] = ACTIONS(2725),
    [anon_sym_BSLASHpmc] = ACTIONS(2725),
    [anon_sym_BSLASHpmr] = ACTIONS(2725),
    [anon_sym_BSLASHpi] = ACTIONS(2725),
    [anon_sym_BSLASHmi] = ACTIONS(2725),
    [anon_sym_BSLASHnb] = ACTIONS(2725),
    [anon_sym_BSLASHpc] = ACTIONS(2725),
    [anon_sym_BSLASHph] = ACTIONS(2725),
    [anon_sym_BSLASHb] = ACTIONS(2725),
    [anon_sym_BSLASHq] = ACTIONS(2725),
    [anon_sym_BSLASHqr] = ACTIONS(2725),
    [anon_sym_BSLASHqc] = ACTIONS(2725),
    [anon_sym_BSLASHqs] = ACTIONS(2725),
    [anon_sym_BSLASHqa] = ACTIONS(2725),
    [anon_sym_BSLASHqac] = ACTIONS(2725),
    [anon_sym_BSLASHqm] = ACTIONS(2725),
    [anon_sym_BSLASHqd] = ACTIONS(2725),
    [anon_sym_BSLASHlh] = ACTIONS(2725),
    [anon_sym_BSLASHli] = ACTIONS(2725),
    [anon_sym_BSLASHlim] = ACTIONS(2725),
    [anon_sym_BSLASHtr] = ACTIONS(2725),
    [anon_sym_BSLASHf] = ACTIONS(2725),
    [anon_sym_BSLASHfe] = ACTIONS(2725),
    [anon_sym_BSLASHef] = ACTIONS(2725),
    [anon_sym_BSLASHfm] = ACTIONS(2725),
    [anon_sym_BSLASHx] = ACTIONS(2725),
    [anon_sym_BSLASHxt] = ACTIONS(2725),
    [anon_sym_BSLASHrq] = ACTIONS(2725),
    [anon_sym_BSLASHadd] = ACTIONS(2725),
    [anon_sym_BSLASHbk] = ACTIONS(2725),
    [anon_sym_BSLASHdc] = ACTIONS(2725),
    [anon_sym_BSLASHk] = ACTIONS(2725),
    [anon_sym_BSLASHnd] = ACTIONS(2725),
    [anon_sym_BSLASHord] = ACTIONS(2725),
    [anon_sym_BSLASHpn] = ACTIONS(2725),
    [anon_sym_BSLASHpng] = ACTIONS(2725),
    [anon_sym_BSLASHaddpn] = ACTIONS(2725),
    [anon_sym_BSLASHqt] = ACTIONS(2725),
    [anon_sym_BSLASHsig] = ACTIONS(2725),
    [anon_sym_BSLASHsls] = ACTIONS(2725),
    [anon_sym_BSLASHtl] = ACTIONS(2725),
    [anon_sym_BSLASHwj] = ACTIONS(2725),
    [anon_sym_BSLASHem] = ACTIONS(2725),
    [anon_sym_BSLASHbd] = ACTIONS(2725),
    [anon_sym_BSLASHit] = ACTIONS(2725),
    [anon_sym_BSLASHbdit] = ACTIONS(2725),
    [anon_sym_BSLASHno] = ACTIONS(2725),
    [anon_sym_BSLASHsc] = ACTIONS(2725),
    [anon_sym_BSLASHsup] = ACTIONS(2725),
    [anon_sym_BSLASHndx] = ACTIONS(2725),
    [anon_sym_BSLASHpro] = ACTIONS(2725),
    [anon_sym_BSLASHrb] = ACTIONS(2725),
    [anon_sym_BSLASHw] = ACTIONS(2725),
    [anon_sym_BSLASHwg] = ACTIONS(2725),
    [anon_sym_BSLASHwh] = ACTIONS(2725),
    [anon_sym_BSLASHwa] = ACTIONS(2725),
    [anon_sym_BSLASHfig] = ACTIONS(2725),
    [anon_sym_BSLASHjmp] = ACTIONS(2725),
    [anon_sym_BSLASHpb] = ACTIONS(2725),
    [anon_sym_BSLASH] = ACTIONS(2725),
    [sym_milestoneStartTag] = ACTIONS(2725),
    [sym_milestoneEndTag] = ACTIONS(2725),
    [sym_zSpaceTag] = ACTIONS(2725),
    [anon_sym_BSLASHesb] = ACTIONS(2725),
  },
  [544] = {
    [ts_builtin_sym_end] = ACTIONS(2719),
    [aux_sym_text_token1] = ACTIONS(2719),
    [anon_sym_BSLASHref] = ACTIONS(2721),
    [anon_sym_BSLASHsts] = ACTIONS(2721),
    [anon_sym_BSLASHrem] = ACTIONS(2721),
    [anon_sym_BSLASHrestore] = ACTIONS(2721),
    [anon_sym_BSLASHlit] = ACTIONS(2721),
    [anon_sym_BSLASHip] = ACTIONS(2721),
    [anon_sym_BSLASHiex] = ACTIONS(2721),
    [anon_sym_BSLASHv] = ACTIONS(2721),
    [anon_sym_BSLASHva] = ACTIONS(2721),
    [anon_sym_BSLASHvp] = ACTIONS(2721),
    [anon_sym_BSLASHc] = ACTIONS(2721),
    [anon_sym_BSLASHcl] = ACTIONS(2721),
    [anon_sym_BSLASHca] = ACTIONS(2721),
    [anon_sym_BSLASHcp] = ACTIONS(2721),
    [anon_sym_BSLASHcd] = ACTIONS(2721),
    [anon_sym_BSLASHmte] = ACTIONS(2721),
    [anon_sym_BSLASHms] = ACTIONS(2721),
    [anon_sym_BSLASHs] = ACTIONS(2721),
    [anon_sym_BSLASHr] = ACTIONS(2721),
    [anon_sym_BSLASHsp] = ACTIONS(2721),
    [anon_sym_BSLASHd] = ACTIONS(2721),
    [anon_sym_BSLASHsd] = ACTIONS(2721),
    [anon_sym_BSLASHp] = ACTIONS(2721),
    [anon_sym_BSLASHm] = ACTIONS(2721),
    [anon_sym_BSLASHpo] = ACTIONS(2721),
    [anon_sym_BSLASHpr] = ACTIONS(2721),
    [anon_sym_BSLASHcls] = ACTIONS(2721),
    [anon_sym_BSLASHpmo] = ACTIONS(2721),
    [anon_sym_BSLASHpm] = ACTIONS(2721),
    [anon_sym_BSLASHpmc] = ACTIONS(2721),
    [anon_sym_BSLASHpmr] = ACTIONS(2721),
    [anon_sym_BSLASHpi] = ACTIONS(2721),
    [anon_sym_BSLASHmi] = ACTIONS(2721),
    [anon_sym_BSLASHnb] = ACTIONS(2721),
    [anon_sym_BSLASHpc] = ACTIONS(2721),
    [anon_sym_BSLASHph] = ACTIONS(2721),
    [anon_sym_BSLASHb] = ACTIONS(2721),
    [anon_sym_BSLASHq] = ACTIONS(2721),
    [anon_sym_BSLASHqr] = ACTIONS(2721),
    [anon_sym_BSLASHqc] = ACTIONS(2721),
    [anon_sym_BSLASHqs] = ACTIONS(2721),
    [anon_sym_BSLASHqa] = ACTIONS(2721),
    [anon_sym_BSLASHqac] = ACTIONS(2721),
    [anon_sym_BSLASHqm] = ACTIONS(2721),
    [anon_sym_BSLASHqd] = ACTIONS(2721),
    [anon_sym_BSLASHlh] = ACTIONS(2721),
    [anon_sym_BSLASHli] = ACTIONS(2721),
    [anon_sym_BSLASHlim] = ACTIONS(2721),
    [anon_sym_BSLASHtr] = ACTIONS(2721),
    [anon_sym_BSLASHf] = ACTIONS(2721),
    [anon_sym_BSLASHfe] = ACTIONS(2721),
    [anon_sym_BSLASHef] = ACTIONS(2721),
    [anon_sym_BSLASHfm] = ACTIONS(2721),
    [anon_sym_BSLASHx] = ACTIONS(2721),
    [anon_sym_BSLASHxt] = ACTIONS(2721),
    [anon_sym_BSLASHrq] = ACTIONS(2721),
    [anon_sym_BSLASHadd] = ACTIONS(2721),
    [anon_sym_BSLASHbk] = ACTIONS(2721),
    [anon_sym_BSLASHdc] = ACTIONS(2721),
    [anon_sym_BSLASHk] = ACTIONS(2721),
    [anon_sym_BSLASHnd] = ACTIONS(2721),
    [anon_sym_BSLASHord] = ACTIONS(2721),
    [anon_sym_BSLASHpn] = ACTIONS(2721),
    [anon_sym_BSLASHpng] = ACTIONS(2721),
    [anon_sym_BSLASHaddpn] = ACTIONS(2721),
    [anon_sym_BSLASHqt] = ACTIONS(2721),
    [anon_sym_BSLASHsig] = ACTIONS(2721),
    [anon_sym_BSLASHsls] = ACTIONS(2721),
    [anon_sym_BSLASHtl] = ACTIONS(2721),
    [anon_sym_BSLASHwj] = ACTIONS(2721),
    [anon_sym_BSLASHem] = ACTIONS(2721),
    [anon_sym_BSLASHbd] = ACTIONS(2721),
    [anon_sym_BSLASHit] = ACTIONS(2721),
    [anon_sym_BSLASHbdit] = ACTIONS(2721),
    [anon_sym_BSLASHno] = ACTIONS(2721),
    [anon_sym_BSLASHsc] = ACTIONS(2721),
    [anon_sym_BSLASHsup] = ACTIONS(2721),
    [anon_sym_BSLASHndx] = ACTIONS(2721),
    [anon_sym_BSLASHpro] = ACTIONS(2721),
    [anon_sym_BSLASHrb] = ACTIONS(2721),
    [anon_sym_BSLASHw] = ACTIONS(2721),
    [anon_sym_BSLASHwg] = ACTIONS(2721),
    [anon_sym_BSLASHwh] = ACTIONS(2721),
    [anon_sym_BSLASHwa] = ACTIONS(2721),
    [anon_sym_BSLASHfig] = ACTIONS(2721),
    [anon_sym_BSLASHjmp] = ACTIONS(2721),
    [anon_sym_BSLASHpb] = ACTIONS(2721),
    [anon_sym_BSLASH] = ACTIONS(2721),
    [sym_milestoneStartTag] = ACTIONS(2721),
    [sym_milestoneEndTag] = ACTIONS(2721),
    [sym_zSpaceTag] = ACTIONS(2721),
    [anon_sym_BSLASHesb] = ACTIONS(2721),
  },
  [545] = {
    [ts_builtin_sym_end] = ACTIONS(2747),
    [aux_sym_text_token1] = ACTIONS(2747),
    [anon_sym_BSLASHref] = ACTIONS(2749),
    [anon_sym_BSLASHsts] = ACTIONS(2749),
    [anon_sym_BSLASHrem] = ACTIONS(2749),
    [anon_sym_BSLASHrestore] = ACTIONS(2749),
    [anon_sym_BSLASHlit] = ACTIONS(2749),
    [anon_sym_BSLASHip] = ACTIONS(2749),
    [anon_sym_BSLASHiex] = ACTIONS(2749),
    [anon_sym_BSLASHv] = ACTIONS(2749),
    [anon_sym_BSLASHva] = ACTIONS(2749),
    [anon_sym_BSLASHvp] = ACTIONS(2749),
    [anon_sym_BSLASHc] = ACTIONS(2749),
    [anon_sym_BSLASHcl] = ACTIONS(2749),
    [anon_sym_BSLASHca] = ACTIONS(2749),
    [anon_sym_BSLASHcp] = ACTIONS(2749),
    [anon_sym_BSLASHcd] = ACTIONS(2749),
    [anon_sym_BSLASHmte] = ACTIONS(2749),
    [anon_sym_BSLASHms] = ACTIONS(2749),
    [anon_sym_BSLASHs] = ACTIONS(2749),
    [anon_sym_BSLASHr] = ACTIONS(2749),
    [anon_sym_BSLASHsp] = ACTIONS(2749),
    [anon_sym_BSLASHd] = ACTIONS(2749),
    [anon_sym_BSLASHsd] = ACTIONS(2749),
    [anon_sym_BSLASHp] = ACTIONS(2749),
    [anon_sym_BSLASHm] = ACTIONS(2749),
    [anon_sym_BSLASHpo] = ACTIONS(2749),
    [anon_sym_BSLASHpr] = ACTIONS(2749),
    [anon_sym_BSLASHcls] = ACTIONS(2749),
    [anon_sym_BSLASHpmo] = ACTIONS(2749),
    [anon_sym_BSLASHpm] = ACTIONS(2749),
    [anon_sym_BSLASHpmc] = ACTIONS(2749),
    [anon_sym_BSLASHpmr] = ACTIONS(2749),
    [anon_sym_BSLASHpi] = ACTIONS(2749),
    [anon_sym_BSLASHmi] = ACTIONS(2749),
    [anon_sym_BSLASHnb] = ACTIONS(2749),
    [anon_sym_BSLASHpc] = ACTIONS(2749),
    [anon_sym_BSLASHph] = ACTIONS(2749),
    [anon_sym_BSLASHb] = ACTIONS(2749),
    [anon_sym_BSLASHq] = ACTIONS(2749),
    [anon_sym_BSLASHqr] = ACTIONS(2749),
    [anon_sym_BSLASHqc] = ACTIONS(2749),
    [anon_sym_BSLASHqs] = ACTIONS(2749),
    [anon_sym_BSLASHqa] = ACTIONS(2749),
    [anon_sym_BSLASHqac] = ACTIONS(2749),
    [anon_sym_BSLASHqm] = ACTIONS(2749),
    [anon_sym_BSLASHqd] = ACTIONS(2749),
    [anon_sym_BSLASHlh] = ACTIONS(2749),
    [anon_sym_BSLASHli] = ACTIONS(2749),
    [anon_sym_BSLASHlim] = ACTIONS(2749),
    [anon_sym_BSLASHtr] = ACTIONS(2749),
    [anon_sym_BSLASHf] = ACTIONS(2749),
    [anon_sym_BSLASHfe] = ACTIONS(2749),
    [anon_sym_BSLASHef] = ACTIONS(2749),
    [anon_sym_BSLASHfm] = ACTIONS(2749),
    [anon_sym_BSLASHx] = ACTIONS(2749),
    [anon_sym_BSLASHxt] = ACTIONS(2749),
    [anon_sym_BSLASHrq] = ACTIONS(2749),
    [anon_sym_BSLASHadd] = ACTIONS(2749),
    [anon_sym_BSLASHbk] = ACTIONS(2749),
    [anon_sym_BSLASHdc] = ACTIONS(2749),
    [anon_sym_BSLASHk] = ACTIONS(2749),
    [anon_sym_BSLASHnd] = ACTIONS(2749),
    [anon_sym_BSLASHord] = ACTIONS(2749),
    [anon_sym_BSLASHpn] = ACTIONS(2749),
    [anon_sym_BSLASHpng] = ACTIONS(2749),
    [anon_sym_BSLASHaddpn] = ACTIONS(2749),
    [anon_sym_BSLASHqt] = ACTIONS(2749),
    [anon_sym_BSLASHsig] = ACTIONS(2749),
    [anon_sym_BSLASHsls] = ACTIONS(2749),
    [anon_sym_BSLASHtl] = ACTIONS(2749),
    [anon_sym_BSLASHwj] = ACTIONS(2749),
    [anon_sym_BSLASHem] = ACTIONS(2749),
    [anon_sym_BSLASHbd] = ACTIONS(2749),
    [anon_sym_BSLASHit] = ACTIONS(2749),
    [anon_sym_BSLASHbdit] = ACTIONS(2749),
    [anon_sym_BSLASHno] = ACTIONS(2749),
    [anon_sym_BSLASHsc] = ACTIONS(2749),
    [anon_sym_BSLASHsup] = ACTIONS(2749),
    [anon_sym_BSLASHndx] = ACTIONS(2749),
    [anon_sym_BSLASHpro] = ACTIONS(2749),
    [anon_sym_BSLASHrb] = ACTIONS(2749),
    [anon_sym_BSLASHw] = ACTIONS(2749),
    [anon_sym_BSLASHwg] = ACTIONS(2749),
    [anon_sym_BSLASHwh] = ACTIONS(2749),
    [anon_sym_BSLASHwa] = ACTIONS(2749),
    [anon_sym_BSLASHfig] = ACTIONS(2749),
    [anon_sym_BSLASHjmp] = ACTIONS(2749),
    [anon_sym_BSLASHpb] = ACTIONS(2749),
    [anon_sym_BSLASH] = ACTIONS(2749),
    [sym_milestoneStartTag] = ACTIONS(2749),
    [sym_milestoneEndTag] = ACTIONS(2749),
    [sym_zSpaceTag] = ACTIONS(2749),
    [anon_sym_BSLASHesb] = ACTIONS(2749),
  },
  [546] = {
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHref] = ACTIONS(7),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHv] = ACTIONS(7),
    [anon_sym_BSLASHva] = ACTIONS(7),
    [anon_sym_BSLASHvp] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHlf] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHliv] = ACTIONS(7),
    [anon_sym_BSLASHlik] = ACTIONS(7),
    [anon_sym_BSLASHlitl] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHx] = ACTIONS(7),
    [anon_sym_BSLASHxt] = ACTIONS(7),
    [anon_sym_BSLASHrq] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_BSLASH_STAR] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [sym__zSpaceClose] = ACTIONS(7),
    [anon_sym_BSLASHesbe] = ACTIONS(7),
    [anon_sym_BSLASHcat] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
  },
  [547] = {
    [sym_text] = STATE(554),
    [sym__milestoneAttributes] = STATE(2105),
    [aux_sym_text_token1] = ACTIONS(5482),
    [anon_sym_BSLASHref] = ACTIONS(5114),
    [anon_sym_BSLASHsts] = ACTIONS(5114),
    [anon_sym_BSLASHrem] = ACTIONS(5114),
    [anon_sym_BSLASHrestore] = ACTIONS(5114),
    [anon_sym_BSLASHlit] = ACTIONS(5114),
    [anon_sym_BSLASHip] = ACTIONS(5114),
    [anon_sym_BSLASHv] = ACTIONS(5114),
    [anon_sym_BSLASHva] = ACTIONS(5114),
    [anon_sym_BSLASHvp] = ACTIONS(5114),
    [anon_sym_BSLASHmte] = ACTIONS(5114),
    [anon_sym_BSLASHms] = ACTIONS(5114),
    [anon_sym_BSLASHs] = ACTIONS(5114),
    [anon_sym_BSLASHr] = ACTIONS(5114),
    [anon_sym_BSLASHsp] = ACTIONS(5114),
    [anon_sym_BSLASHd] = ACTIONS(5114),
    [anon_sym_BSLASHsd] = ACTIONS(5114),
    [anon_sym_BSLASHp] = ACTIONS(5114),
    [anon_sym_BSLASHm] = ACTIONS(5114),
    [anon_sym_BSLASHpo] = ACTIONS(5114),
    [anon_sym_BSLASHpr] = ACTIONS(5114),
    [anon_sym_BSLASHcls] = ACTIONS(5114),
    [anon_sym_BSLASHpmo] = ACTIONS(5114),
    [anon_sym_BSLASHpm] = ACTIONS(5114),
    [anon_sym_BSLASHpmc] = ACTIONS(5114),
    [anon_sym_BSLASHpmr] = ACTIONS(5114),
    [anon_sym_BSLASHpi] = ACTIONS(5114),
    [anon_sym_BSLASHmi] = ACTIONS(5114),
    [anon_sym_BSLASHnb] = ACTIONS(5114),
    [anon_sym_BSLASHpc] = ACTIONS(5114),
    [anon_sym_BSLASHph] = ACTIONS(5114),
    [anon_sym_BSLASHb] = ACTIONS(5114),
    [anon_sym_BSLASHq] = ACTIONS(5114),
    [anon_sym_BSLASHqr] = ACTIONS(5114),
    [anon_sym_BSLASHqc] = ACTIONS(5114),
    [anon_sym_BSLASHqs] = ACTIONS(5114),
    [anon_sym_BSLASHqa] = ACTIONS(5114),
    [anon_sym_BSLASHqac] = ACTIONS(5114),
    [anon_sym_BSLASHqm] = ACTIONS(5114),
    [anon_sym_BSLASHqd] = ACTIONS(5114),
    [anon_sym_BSLASHlh] = ACTIONS(5114),
    [anon_sym_BSLASHli] = ACTIONS(5114),
    [anon_sym_BSLASHlim] = ACTIONS(5114),
    [anon_sym_BSLASHtr] = ACTIONS(5114),
    [anon_sym_BSLASHf] = ACTIONS(5114),
    [anon_sym_BSLASHfe] = ACTIONS(5114),
    [anon_sym_BSLASHef] = ACTIONS(5114),
    [anon_sym_BSLASHfm] = ACTIONS(5114),
    [anon_sym_BSLASHx] = ACTIONS(5114),
    [anon_sym_BSLASHxt] = ACTIONS(5114),
    [anon_sym_BSLASHrq] = ACTIONS(5114),
    [anon_sym_BSLASHadd] = ACTIONS(5114),
    [anon_sym_BSLASHbk] = ACTIONS(5114),
    [anon_sym_BSLASHdc] = ACTIONS(5114),
    [anon_sym_BSLASHk] = ACTIONS(5114),
    [anon_sym_BSLASHnd] = ACTIONS(5114),
    [anon_sym_BSLASHord] = ACTIONS(5114),
    [anon_sym_BSLASHpn] = ACTIONS(5114),
    [anon_sym_BSLASHpng] = ACTIONS(5114),
    [anon_sym_BSLASHaddpn] = ACTIONS(5114),
    [anon_sym_BSLASHqt] = ACTIONS(5114),
    [anon_sym_BSLASHsig] = ACTIONS(5114),
    [anon_sym_BSLASHsls] = ACTIONS(5114),
    [anon_sym_BSLASHtl] = ACTIONS(5114),
    [anon_sym_BSLASHwj] = ACTIONS(5114),
    [anon_sym_BSLASHem] = ACTIONS(5114),
    [anon_sym_BSLASHbd] = ACTIONS(5114),
    [anon_sym_BSLASHit] = ACTIONS(5114),
    [anon_sym_BSLASHbdit] = ACTIONS(5114),
    [anon_sym_BSLASHno] = ACTIONS(5114),
    [anon_sym_BSLASHsc] = ACTIONS(5114),
    [anon_sym_BSLASHsup] = ACTIONS(5114),
    [anon_sym_BSLASHndx] = ACTIONS(5114),
    [anon_sym_BSLASHpro] = ACTIONS(5114),
    [anon_sym_BSLASHrb] = ACTIONS(5114),
    [anon_sym_BSLASHw] = ACTIONS(5114),
    [anon_sym_BSLASHwg] = ACTIONS(5114),
    [anon_sym_BSLASHwh] = ACTIONS(5114),
    [anon_sym_BSLASHwa] = ACTIONS(5114),
    [anon_sym_BSLASHfig] = ACTIONS(5114),
    [anon_sym_BSLASHjmp] = ACTIONS(5114),
    [anon_sym_BSLASHpb] = ACTIONS(5114),
    [anon_sym_BSLASH] = ACTIONS(5114),
    [anon_sym_BSLASH_STAR] = ACTIONS(5484),
    [sym_milestoneStartTag] = ACTIONS(5114),
    [sym_milestoneEndTag] = ACTIONS(5114),
    [sym_zSpaceTag] = ACTIONS(5114),
    [sym__zSpaceClose] = ACTIONS(5486),
    [anon_sym_BSLASHesbe] = ACTIONS(5114),
    [anon_sym_BSLASHcat] = ACTIONS(5114),
    [anon_sym_PIPE] = ACTIONS(5120),
  },
  [548] = {
    [ts_builtin_sym_end] = ACTIONS(5488),
    [aux_sym_text_token1] = ACTIONS(5488),
    [anon_sym_BSLASHref] = ACTIONS(5490),
    [anon_sym_BSLASHsts] = ACTIONS(5490),
    [anon_sym_BSLASHrem] = ACTIONS(5490),
    [anon_sym_BSLASHrestore] = ACTIONS(5490),
    [anon_sym_BSLASHlit] = ACTIONS(5490),
    [anon_sym_BSLASHip] = ACTIONS(5490),
    [anon_sym_BSLASHiex] = ACTIONS(5490),
    [anon_sym_BSLASHv] = ACTIONS(5490),
    [anon_sym_BSLASHva] = ACTIONS(5490),
    [anon_sym_BSLASHvp] = ACTIONS(5490),
    [anon_sym_BSLASHc] = ACTIONS(5490),
    [anon_sym_BSLASHcl] = ACTIONS(5490),
    [anon_sym_BSLASHca] = ACTIONS(5490),
    [anon_sym_BSLASHcp] = ACTIONS(5490),
    [anon_sym_BSLASHcd] = ACTIONS(5490),
    [anon_sym_BSLASHmte] = ACTIONS(5490),
    [anon_sym_BSLASHms] = ACTIONS(5490),
    [anon_sym_BSLASHs] = ACTIONS(5490),
    [anon_sym_BSLASHr] = ACTIONS(5490),
    [anon_sym_BSLASHsp] = ACTIONS(5490),
    [anon_sym_BSLASHd] = ACTIONS(5490),
    [anon_sym_BSLASHsd] = ACTIONS(5490),
    [anon_sym_BSLASHp] = ACTIONS(5490),
    [anon_sym_BSLASHm] = ACTIONS(5490),
    [anon_sym_BSLASHpo] = ACTIONS(5490),
    [anon_sym_BSLASHpr] = ACTIONS(5490),
    [anon_sym_BSLASHcls] = ACTIONS(5490),
    [anon_sym_BSLASHpmo] = ACTIONS(5490),
    [anon_sym_BSLASHpm] = ACTIONS(5490),
    [anon_sym_BSLASHpmc] = ACTIONS(5490),
    [anon_sym_BSLASHpmr] = ACTIONS(5490),
    [anon_sym_BSLASHpi] = ACTIONS(5490),
    [anon_sym_BSLASHmi] = ACTIONS(5490),
    [anon_sym_BSLASHnb] = ACTIONS(5490),
    [anon_sym_BSLASHpc] = ACTIONS(5490),
    [anon_sym_BSLASHph] = ACTIONS(5490),
    [anon_sym_BSLASHb] = ACTIONS(5490),
    [anon_sym_BSLASHq] = ACTIONS(5490),
    [anon_sym_BSLASHqr] = ACTIONS(5490),
    [anon_sym_BSLASHqc] = ACTIONS(5490),
    [anon_sym_BSLASHqa] = ACTIONS(5490),
    [anon_sym_BSLASHqm] = ACTIONS(5490),
    [anon_sym_BSLASHqd] = ACTIONS(5490),
    [anon_sym_BSLASHlh] = ACTIONS(5490),
    [anon_sym_BSLASHli] = ACTIONS(5490),
    [anon_sym_BSLASHlim] = ACTIONS(5490),
    [anon_sym_BSLASHtr] = ACTIONS(5490),
    [anon_sym_BSLASHf] = ACTIONS(5490),
    [anon_sym_BSLASHfe] = ACTIONS(5490),
    [anon_sym_BSLASHef] = ACTIONS(5490),
    [anon_sym_BSLASHfm] = ACTIONS(5490),
    [anon_sym_BSLASHx] = ACTIONS(5490),
    [anon_sym_BSLASHxt] = ACTIONS(5490),
    [anon_sym_BSLASHrq] = ACTIONS(5490),
    [anon_sym_BSLASHadd] = ACTIONS(5490),
    [anon_sym_BSLASHbk] = ACTIONS(5490),
    [anon_sym_BSLASHdc] = ACTIONS(5490),
    [anon_sym_BSLASHk] = ACTIONS(5490),
    [anon_sym_BSLASHnd] = ACTIONS(5490),
    [anon_sym_BSLASHord] = ACTIONS(5490),
    [anon_sym_BSLASHpn] = ACTIONS(5490),
    [anon_sym_BSLASHpng] = ACTIONS(5490),
    [anon_sym_BSLASHaddpn] = ACTIONS(5490),
    [anon_sym_BSLASHqt] = ACTIONS(5490),
    [anon_sym_BSLASHsig] = ACTIONS(5490),
    [anon_sym_BSLASHsls] = ACTIONS(5490),
    [anon_sym_BSLASHtl] = ACTIONS(5490),
    [anon_sym_BSLASHwj] = ACTIONS(5490),
    [anon_sym_BSLASHem] = ACTIONS(5490),
    [anon_sym_BSLASHbd] = ACTIONS(5490),
    [anon_sym_BSLASHit] = ACTIONS(5490),
    [anon_sym_BSLASHbdit] = ACTIONS(5490),
    [anon_sym_BSLASHno] = ACTIONS(5490),
    [anon_sym_BSLASHsc] = ACTIONS(5490),
    [anon_sym_BSLASHsup] = ACTIONS(5490),
    [anon_sym_BSLASHndx] = ACTIONS(5490),
    [anon_sym_BSLASHpro] = ACTIONS(5490),
    [anon_sym_BSLASHrb] = ACTIONS(5490),
    [anon_sym_BSLASHw] = ACTIONS(5490),
    [anon_sym_BSLASHwg] = ACTIONS(5490),
    [anon_sym_BSLASHwh] = ACTIONS(5490),
    [anon_sym_BSLASHwa] = ACTIONS(5490),
    [anon_sym_BSLASHfig] = ACTIONS(5490),
    [anon_sym_BSLASHjmp] = ACTIONS(5490),
    [anon_sym_BSLASHpb] = ACTIONS(5490),
    [anon_sym_BSLASH] = ACTIONS(5490),
    [sym_milestoneStartTag] = ACTIONS(5490),
    [sym_milestoneEndTag] = ACTIONS(5490),
    [sym_zSpaceTag] = ACTIONS(5490),
    [anon_sym_BSLASHesb] = ACTIONS(5490),
  },
  [549] = {
    [sym__verseMeta] = STATE(551),
    [sym_va] = STATE(551),
    [sym_vp] = STATE(551),
    [aux_sym_v_repeat1] = STATE(551),
    [aux_sym_text_token1] = ACTIONS(5234),
    [anon_sym_BSLASHref] = ACTIONS(5236),
    [anon_sym_BSLASHsts] = ACTIONS(5236),
    [anon_sym_BSLASHrem] = ACTIONS(5236),
    [anon_sym_BSLASHrestore] = ACTIONS(5236),
    [anon_sym_BSLASHlit] = ACTIONS(5236),
    [anon_sym_BSLASHip] = ACTIONS(5236),
    [anon_sym_BSLASHv] = ACTIONS(5236),
    [anon_sym_BSLASHva] = ACTIONS(1575),
    [anon_sym_BSLASHvp] = ACTIONS(1577),
    [anon_sym_BSLASHmte] = ACTIONS(5236),
    [anon_sym_BSLASHms] = ACTIONS(5236),
    [anon_sym_BSLASHs] = ACTIONS(5236),
    [anon_sym_BSLASHr] = ACTIONS(5236),
    [anon_sym_BSLASHsp] = ACTIONS(5236),
    [anon_sym_BSLASHd] = ACTIONS(5236),
    [anon_sym_BSLASHsd] = ACTIONS(5236),
    [anon_sym_BSLASHp] = ACTIONS(5236),
    [anon_sym_BSLASHm] = ACTIONS(5236),
    [anon_sym_BSLASHpo] = ACTIONS(5236),
    [anon_sym_BSLASHpr] = ACTIONS(5236),
    [anon_sym_BSLASHcls] = ACTIONS(5236),
    [anon_sym_BSLASHpmo] = ACTIONS(5236),
    [anon_sym_BSLASHpm] = ACTIONS(5236),
    [anon_sym_BSLASHpmc] = ACTIONS(5236),
    [anon_sym_BSLASHpmr] = ACTIONS(5236),
    [anon_sym_BSLASHpi] = ACTIONS(5236),
    [anon_sym_BSLASHmi] = ACTIONS(5236),
    [anon_sym_BSLASHnb] = ACTIONS(5236),
    [anon_sym_BSLASHpc] = ACTIONS(5236),
    [anon_sym_BSLASHph] = ACTIONS(5236),
    [anon_sym_BSLASHb] = ACTIONS(5236),
    [anon_sym_BSLASHq] = ACTIONS(5236),
    [anon_sym_BSLASHqr] = ACTIONS(5236),
    [anon_sym_BSLASHqc] = ACTIONS(5236),
    [anon_sym_BSLASHqs] = ACTIONS(5236),
    [anon_sym_BSLASHqa] = ACTIONS(5236),
    [anon_sym_BSLASHqac] = ACTIONS(5236),
    [anon_sym_BSLASHqm] = ACTIONS(5236),
    [anon_sym_BSLASHqd] = ACTIONS(5236),
    [anon_sym_BSLASHlh] = ACTIONS(5236),
    [anon_sym_BSLASHli] = ACTIONS(5236),
    [anon_sym_BSLASHlim] = ACTIONS(5236),
    [anon_sym_BSLASHtr] = ACTIONS(5236),
    [anon_sym_BSLASHf] = ACTIONS(5236),
    [anon_sym_BSLASHfe] = ACTIONS(5236),
    [anon_sym_BSLASHef] = ACTIONS(5236),
    [anon_sym_BSLASHfm] = ACTIONS(5236),
    [anon_sym_BSLASHx] = ACTIONS(5236),
    [anon_sym_BSLASHxt] = ACTIONS(5236),
    [anon_sym_BSLASHrq] = ACTIONS(5236),
    [anon_sym_BSLASHadd] = ACTIONS(5236),
    [anon_sym_BSLASHbk] = ACTIONS(5236),
    [anon_sym_BSLASHdc] = ACTIONS(5236),
    [anon_sym_BSLASHk] = ACTIONS(5236),
    [anon_sym_BSLASHnd] = ACTIONS(5236),
    [anon_sym_BSLASHord] = ACTIONS(5236),
    [anon_sym_BSLASHpn] = ACTIONS(5236),
    [anon_sym_BSLASHpng] = ACTIONS(5236),
    [anon_sym_BSLASHaddpn] = ACTIONS(5236),
    [anon_sym_BSLASHqt] = ACTIONS(5236),
    [anon_sym_BSLASHsig] = ACTIONS(5236),
    [anon_sym_BSLASHsls] = ACTIONS(5236),
    [anon_sym_BSLASHtl] = ACTIONS(5236),
    [anon_sym_BSLASHwj] = ACTIONS(5236),
    [anon_sym_BSLASHem] = ACTIONS(5236),
    [anon_sym_BSLASHbd] = ACTIONS(5236),
    [anon_sym_BSLASHit] = ACTIONS(5236),
    [anon_sym_BSLASHbdit] = ACTIONS(5236),
    [anon_sym_BSLASHno] = ACTIONS(5236),
    [anon_sym_BSLASHsc] = ACTIONS(5236),
    [anon_sym_BSLASHsup] = ACTIONS(5236),
    [anon_sym_BSLASHndx] = ACTIONS(5236),
    [anon_sym_BSLASHpro] = ACTIONS(5236),
    [anon_sym_BSLASHrb] = ACTIONS(5236),
    [anon_sym_BSLASHw] = ACTIONS(5236),
    [anon_sym_BSLASHwg] = ACTIONS(5236),
    [anon_sym_BSLASHwh] = ACTIONS(5236),
    [anon_sym_BSLASHwa] = ACTIONS(5236),
    [anon_sym_BSLASHfig] = ACTIONS(5236),
    [anon_sym_BSLASHjmp] = ACTIONS(5236),
    [anon_sym_BSLASHpb] = ACTIONS(5236),
    [anon_sym_BSLASH] = ACTIONS(5236),
    [sym_milestoneStartTag] = ACTIONS(5236),
    [sym_milestoneEndTag] = ACTIONS(5236),
    [sym_zSpaceTag] = ACTIONS(5236),
    [anon_sym_BSLASHesbe] = ACTIONS(5236),
    [anon_sym_BSLASHcat] = ACTIONS(5236),
  },
  [550] = {
    [ts_builtin_sym_end] = ACTIONS(5492),
    [aux_sym_text_token1] = ACTIONS(5492),
    [anon_sym_BSLASHref] = ACTIONS(5494),
    [anon_sym_BSLASHsts] = ACTIONS(5494),
    [anon_sym_BSLASHrem] = ACTIONS(5494),
    [anon_sym_BSLASHrestore] = ACTIONS(5494),
    [anon_sym_BSLASHlit] = ACTIONS(5494),
    [anon_sym_BSLASHip] = ACTIONS(5494),
    [anon_sym_BSLASHiex] = ACTIONS(5494),
    [anon_sym_BSLASHv] = ACTIONS(5494),
    [anon_sym_BSLASHva] = ACTIONS(5494),
    [anon_sym_BSLASHvp] = ACTIONS(5494),
    [anon_sym_BSLASHc] = ACTIONS(5494),
    [anon_sym_BSLASHcl] = ACTIONS(5494),
    [anon_sym_BSLASHca] = ACTIONS(5494),
    [anon_sym_BSLASHcp] = ACTIONS(5494),
    [anon_sym_BSLASHcd] = ACTIONS(5494),
    [anon_sym_BSLASHmte] = ACTIONS(5494),
    [anon_sym_BSLASHms] = ACTIONS(5494),
    [anon_sym_BSLASHs] = ACTIONS(5494),
    [anon_sym_BSLASHr] = ACTIONS(5494),
    [anon_sym_BSLASHsp] = ACTIONS(5494),
    [anon_sym_BSLASHd] = ACTIONS(5494),
    [anon_sym_BSLASHsd] = ACTIONS(5494),
    [anon_sym_BSLASHp] = ACTIONS(5494),
    [anon_sym_BSLASHm] = ACTIONS(5494),
    [anon_sym_BSLASHpo] = ACTIONS(5494),
    [anon_sym_BSLASHpr] = ACTIONS(5494),
    [anon_sym_BSLASHcls] = ACTIONS(5494),
    [anon_sym_BSLASHpmo] = ACTIONS(5494),
    [anon_sym_BSLASHpm] = ACTIONS(5494),
    [anon_sym_BSLASHpmc] = ACTIONS(5494),
    [anon_sym_BSLASHpmr] = ACTIONS(5494),
    [anon_sym_BSLASHpi] = ACTIONS(5494),
    [anon_sym_BSLASHmi] = ACTIONS(5494),
    [anon_sym_BSLASHnb] = ACTIONS(5494),
    [anon_sym_BSLASHpc] = ACTIONS(5494),
    [anon_sym_BSLASHph] = ACTIONS(5494),
    [anon_sym_BSLASHb] = ACTIONS(5494),
    [anon_sym_BSLASHq] = ACTIONS(5494),
    [anon_sym_BSLASHqr] = ACTIONS(5494),
    [anon_sym_BSLASHqc] = ACTIONS(5494),
    [anon_sym_BSLASHqa] = ACTIONS(5494),
    [anon_sym_BSLASHqm] = ACTIONS(5494),
    [anon_sym_BSLASHqd] = ACTIONS(5494),
    [anon_sym_BSLASHlh] = ACTIONS(5494),
    [anon_sym_BSLASHli] = ACTIONS(5494),
    [anon_sym_BSLASHlim] = ACTIONS(5494),
    [anon_sym_BSLASHtr] = ACTIONS(5494),
    [anon_sym_BSLASHf] = ACTIONS(5494),
    [anon_sym_BSLASHfe] = ACTIONS(5494),
    [anon_sym_BSLASHef] = ACTIONS(5494),
    [anon_sym_BSLASHfm] = ACTIONS(5494),
    [anon_sym_BSLASHx] = ACTIONS(5494),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHrq] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5494),
    [anon_sym_BSLASHbk] = ACTIONS(5494),
    [anon_sym_BSLASHdc] = ACTIONS(5494),
    [anon_sym_BSLASHk] = ACTIONS(5494),
    [anon_sym_BSLASHnd] = ACTIONS(5494),
    [anon_sym_BSLASHord] = ACTIONS(5494),
    [anon_sym_BSLASHpn] = ACTIONS(5494),
    [anon_sym_BSLASHpng] = ACTIONS(5494),
    [anon_sym_BSLASHaddpn] = ACTIONS(5494),
    [anon_sym_BSLASHqt] = ACTIONS(5494),
    [anon_sym_BSLASHsig] = ACTIONS(5494),
    [anon_sym_BSLASHsls] = ACTIONS(5494),
    [anon_sym_BSLASHtl] = ACTIONS(5494),
    [anon_sym_BSLASHwj] = ACTIONS(5494),
    [anon_sym_BSLASHem] = ACTIONS(5494),
    [anon_sym_BSLASHbd] = ACTIONS(5494),
    [anon_sym_BSLASHit] = ACTIONS(5494),
    [anon_sym_BSLASHbdit] = ACTIONS(5494),
    [anon_sym_BSLASHno] = ACTIONS(5494),
    [anon_sym_BSLASHsc] = ACTIONS(5494),
    [anon_sym_BSLASHsup] = ACTIONS(5494),
    [anon_sym_BSLASHndx] = ACTIONS(5494),
    [anon_sym_BSLASHpro] = ACTIONS(5494),
    [anon_sym_BSLASHrb] = ACTIONS(5494),
    [anon_sym_BSLASHw] = ACTIONS(5494),
    [anon_sym_BSLASHwg] = ACTIONS(5494),
    [anon_sym_BSLASHwh] = ACTIONS(5494),
    [anon_sym_BSLASHwa] = ACTIONS(5494),
    [anon_sym_BSLASHfig] = ACTIONS(5494),
    [anon_sym_BSLASHjmp] = ACTIONS(5494),
    [anon_sym_BSLASHpb] = ACTIONS(5494),
    [anon_sym_BSLASH] = ACTIONS(5494),
    [sym_milestoneStartTag] = ACTIONS(5494),
    [sym_milestoneEndTag] = ACTIONS(5494),
    [sym_zSpaceTag] = ACTIONS(5494),
    [anon_sym_BSLASHesb] = ACTIONS(5494),
  },
  [551] = {
    [sym__verseMeta] = STATE(551),
    [sym_va] = STATE(551),
    [sym_vp] = STATE(551),
    [aux_sym_v_repeat1] = STATE(551),
    [aux_sym_text_token1] = ACTIONS(5122),
    [anon_sym_BSLASHref] = ACTIONS(5124),
    [anon_sym_BSLASHsts] = ACTIONS(5124),
    [anon_sym_BSLASHrem] = ACTIONS(5124),
    [anon_sym_BSLASHrestore] = ACTIONS(5124),
    [anon_sym_BSLASHlit] = ACTIONS(5124),
    [anon_sym_BSLASHip] = ACTIONS(5124),
    [anon_sym_BSLASHv] = ACTIONS(5124),
    [anon_sym_BSLASHva] = ACTIONS(5496),
    [anon_sym_BSLASHvp] = ACTIONS(5499),
    [anon_sym_BSLASHmte] = ACTIONS(5124),
    [anon_sym_BSLASHms] = ACTIONS(5124),
    [anon_sym_BSLASHs] = ACTIONS(5124),
    [anon_sym_BSLASHr] = ACTIONS(5124),
    [anon_sym_BSLASHsp] = ACTIONS(5124),
    [anon_sym_BSLASHd] = ACTIONS(5124),
    [anon_sym_BSLASHsd] = ACTIONS(5124),
    [anon_sym_BSLASHp] = ACTIONS(5124),
    [anon_sym_BSLASHm] = ACTIONS(5124),
    [anon_sym_BSLASHpo] = ACTIONS(5124),
    [anon_sym_BSLASHpr] = ACTIONS(5124),
    [anon_sym_BSLASHcls] = ACTIONS(5124),
    [anon_sym_BSLASHpmo] = ACTIONS(5124),
    [anon_sym_BSLASHpm] = ACTIONS(5124),
    [anon_sym_BSLASHpmc] = ACTIONS(5124),
    [anon_sym_BSLASHpmr] = ACTIONS(5124),
    [anon_sym_BSLASHpi] = ACTIONS(5124),
    [anon_sym_BSLASHmi] = ACTIONS(5124),
    [anon_sym_BSLASHnb] = ACTIONS(5124),
    [anon_sym_BSLASHpc] = ACTIONS(5124),
    [anon_sym_BSLASHph] = ACTIONS(5124),
    [anon_sym_BSLASHb] = ACTIONS(5124),
    [anon_sym_BSLASHq] = ACTIONS(5124),
    [anon_sym_BSLASHqr] = ACTIONS(5124),
    [anon_sym_BSLASHqc] = ACTIONS(5124),
    [anon_sym_BSLASHqs] = ACTIONS(5124),
    [anon_sym_BSLASHqa] = ACTIONS(5124),
    [anon_sym_BSLASHqac] = ACTIONS(5124),
    [anon_sym_BSLASHqm] = ACTIONS(5124),
    [anon_sym_BSLASHqd] = ACTIONS(5124),
    [anon_sym_BSLASHlh] = ACTIONS(5124),
    [anon_sym_BSLASHli] = ACTIONS(5124),
    [anon_sym_BSLASHlim] = ACTIONS(5124),
    [anon_sym_BSLASHtr] = ACTIONS(5124),
    [anon_sym_BSLASHf] = ACTIONS(5124),
    [anon_sym_BSLASHfe] = ACTIONS(5124),
    [anon_sym_BSLASHef] = ACTIONS(5124),
    [anon_sym_BSLASHfm] = ACTIONS(5124),
    [anon_sym_BSLASHx] = ACTIONS(5124),
    [anon_sym_BSLASHxt] = ACTIONS(5124),
    [anon_sym_BSLASHrq] = ACTIONS(5124),
    [anon_sym_BSLASHadd] = ACTIONS(5124),
    [anon_sym_BSLASHbk] = ACTIONS(5124),
    [anon_sym_BSLASHdc] = ACTIONS(5124),
    [anon_sym_BSLASHk] = ACTIONS(5124),
    [anon_sym_BSLASHnd] = ACTIONS(5124),
    [anon_sym_BSLASHord] = ACTIONS(5124),
    [anon_sym_BSLASHpn] = ACTIONS(5124),
    [anon_sym_BSLASHpng] = ACTIONS(5124),
    [anon_sym_BSLASHaddpn] = ACTIONS(5124),
    [anon_sym_BSLASHqt] = ACTIONS(5124),
    [anon_sym_BSLASHsig] = ACTIONS(5124),
    [anon_sym_BSLASHsls] = ACTIONS(5124),
    [anon_sym_BSLASHtl] = ACTIONS(5124),
    [anon_sym_BSLASHwj] = ACTIONS(5124),
    [anon_sym_BSLASHem] = ACTIONS(5124),
    [anon_sym_BSLASHbd] = ACTIONS(5124),
    [anon_sym_BSLASHit] = ACTIONS(5124),
    [anon_sym_BSLASHbdit] = ACTIONS(5124),
    [anon_sym_BSLASHno] = ACTIONS(5124),
    [anon_sym_BSLASHsc] = ACTIONS(5124),
    [anon_sym_BSLASHsup] = ACTIONS(5124),
    [anon_sym_BSLASHndx] = ACTIONS(5124),
    [anon_sym_BSLASHpro] = ACTIONS(5124),
    [anon_sym_BSLASHrb] = ACTIONS(5124),
    [anon_sym_BSLASHw] = ACTIONS(5124),
    [anon_sym_BSLASHwg] = ACTIONS(5124),
    [anon_sym_BSLASHwh] = ACTIONS(5124),
    [anon_sym_BSLASHwa] = ACTIONS(5124),
    [anon_sym_BSLASHfig] = ACTIONS(5124),
    [anon_sym_BSLASHjmp] = ACTIONS(5124),
    [anon_sym_BSLASHpb] = ACTIONS(5124),
    [anon_sym_BSLASH] = ACTIONS(5124),
    [sym_milestoneStartTag] = ACTIONS(5124),
    [sym_milestoneEndTag] = ACTIONS(5124),
    [sym_zSpaceTag] = ACTIONS(5124),
    [anon_sym_BSLASHesbe] = ACTIONS(5124),
    [anon_sym_BSLASHcat] = ACTIONS(5124),
  },
  [552] = {
    [sym__verseMeta] = STATE(549),
    [sym_va] = STATE(549),
    [sym_vp] = STATE(549),
    [aux_sym_v_repeat1] = STATE(549),
    [aux_sym_text_token1] = ACTIONS(5246),
    [anon_sym_BSLASHref] = ACTIONS(5248),
    [anon_sym_BSLASHsts] = ACTIONS(5248),
    [anon_sym_BSLASHrem] = ACTIONS(5248),
    [anon_sym_BSLASHrestore] = ACTIONS(5248),
    [anon_sym_BSLASHlit] = ACTIONS(5248),
    [anon_sym_BSLASHip] = ACTIONS(5248),
    [anon_sym_BSLASHv] = ACTIONS(5248),
    [anon_sym_BSLASHva] = ACTIONS(1575),
    [anon_sym_BSLASHvp] = ACTIONS(1577),
    [anon_sym_BSLASHmte] = ACTIONS(5248),
    [anon_sym_BSLASHms] = ACTIONS(5248),
    [anon_sym_BSLASHs] = ACTIONS(5248),
    [anon_sym_BSLASHr] = ACTIONS(5248),
    [anon_sym_BSLASHsp] = ACTIONS(5248),
    [anon_sym_BSLASHd] = ACTIONS(5248),
    [anon_sym_BSLASHsd] = ACTIONS(5248),
    [anon_sym_BSLASHp] = ACTIONS(5248),
    [anon_sym_BSLASHm] = ACTIONS(5248),
    [anon_sym_BSLASHpo] = ACTIONS(5248),
    [anon_sym_BSLASHpr] = ACTIONS(5248),
    [anon_sym_BSLASHcls] = ACTIONS(5248),
    [anon_sym_BSLASHpmo] = ACTIONS(5248),
    [anon_sym_BSLASHpm] = ACTIONS(5248),
    [anon_sym_BSLASHpmc] = ACTIONS(5248),
    [anon_sym_BSLASHpmr] = ACTIONS(5248),
    [anon_sym_BSLASHpi] = ACTIONS(5248),
    [anon_sym_BSLASHmi] = ACTIONS(5248),
    [anon_sym_BSLASHnb] = ACTIONS(5248),
    [anon_sym_BSLASHpc] = ACTIONS(5248),
    [anon_sym_BSLASHph] = ACTIONS(5248),
    [anon_sym_BSLASHb] = ACTIONS(5248),
    [anon_sym_BSLASHq] = ACTIONS(5248),
    [anon_sym_BSLASHqr] = ACTIONS(5248),
    [anon_sym_BSLASHqc] = ACTIONS(5248),
    [anon_sym_BSLASHqs] = ACTIONS(5248),
    [anon_sym_BSLASHqa] = ACTIONS(5248),
    [anon_sym_BSLASHqac] = ACTIONS(5248),
    [anon_sym_BSLASHqm] = ACTIONS(5248),
    [anon_sym_BSLASHqd] = ACTIONS(5248),
    [anon_sym_BSLASHlh] = ACTIONS(5248),
    [anon_sym_BSLASHli] = ACTIONS(5248),
    [anon_sym_BSLASHlim] = ACTIONS(5248),
    [anon_sym_BSLASHtr] = ACTIONS(5248),
    [anon_sym_BSLASHf] = ACTIONS(5248),
    [anon_sym_BSLASHfe] = ACTIONS(5248),
    [anon_sym_BSLASHef] = ACTIONS(5248),
    [anon_sym_BSLASHfm] = ACTIONS(5248),
    [anon_sym_BSLASHx] = ACTIONS(5248),
    [anon_sym_BSLASHxt] = ACTIONS(5248),
    [anon_sym_BSLASHrq] = ACTIONS(5248),
    [anon_sym_BSLASHadd] = ACTIONS(5248),
    [anon_sym_BSLASHbk] = ACTIONS(5248),
    [anon_sym_BSLASHdc] = ACTIONS(5248),
    [anon_sym_BSLASHk] = ACTIONS(5248),
    [anon_sym_BSLASHnd] = ACTIONS(5248),
    [anon_sym_BSLASHord] = ACTIONS(5248),
    [anon_sym_BSLASHpn] = ACTIONS(5248),
    [anon_sym_BSLASHpng] = ACTIONS(5248),
    [anon_sym_BSLASHaddpn] = ACTIONS(5248),
    [anon_sym_BSLASHqt] = ACTIONS(5248),
    [anon_sym_BSLASHsig] = ACTIONS(5248),
    [anon_sym_BSLASHsls] = ACTIONS(5248),
    [anon_sym_BSLASHtl] = ACTIONS(5248),
    [anon_sym_BSLASHwj] = ACTIONS(5248),
    [anon_sym_BSLASHem] = ACTIONS(5248),
    [anon_sym_BSLASHbd] = ACTIONS(5248),
    [anon_sym_BSLASHit] = ACTIONS(5248),
    [anon_sym_BSLASHbdit] = ACTIONS(5248),
    [anon_sym_BSLASHno] = ACTIONS(5248),
    [anon_sym_BSLASHsc] = ACTIONS(5248),
    [anon_sym_BSLASHsup] = ACTIONS(5248),
    [anon_sym_BSLASHndx] = ACTIONS(5248),
    [anon_sym_BSLASHpro] = ACTIONS(5248),
    [anon_sym_BSLASHrb] = ACTIONS(5248),
    [anon_sym_BSLASHw] = ACTIONS(5248),
    [anon_sym_BSLASHwg] = ACTIONS(5248),
    [anon_sym_BSLASHwh] = ACTIONS(5248),
    [anon_sym_BSLASHwa] = ACTIONS(5248),
    [anon_sym_BSLASHfig] = ACTIONS(5248),
    [anon_sym_BSLASHjmp] = ACTIONS(5248),
    [anon_sym_BSLASHpb] = ACTIONS(5248),
    [anon_sym_BSLASH] = ACTIONS(5248),
    [sym_milestoneStartTag] = ACTIONS(5248),
    [sym_milestoneEndTag] = ACTIONS(5248),
    [sym_zSpaceTag] = ACTIONS(5248),
    [anon_sym_BSLASHesbe] = ACTIONS(5248),
    [anon_sym_BSLASHcat] = ACTIONS(5248),
  },
  [553] = {
    [ts_builtin_sym_end] = ACTIONS(5502),
    [aux_sym_text_token1] = ACTIONS(5502),
    [anon_sym_BSLASHref] = ACTIONS(5504),
    [anon_sym_BSLASHsts] = ACTIONS(5504),
    [anon_sym_BSLASHrem] = ACTIONS(5504),
    [anon_sym_BSLASHrestore] = ACTIONS(5504),
    [anon_sym_BSLASHlit] = ACTIONS(5504),
    [anon_sym_BSLASHip] = ACTIONS(5504),
    [anon_sym_BSLASHiex] = ACTIONS(5504),
    [anon_sym_BSLASHv] = ACTIONS(5504),
    [anon_sym_BSLASHva] = ACTIONS(5504),
    [anon_sym_BSLASHvp] = ACTIONS(5504),
    [anon_sym_BSLASHc] = ACTIONS(5504),
    [anon_sym_BSLASHcl] = ACTIONS(5504),
    [anon_sym_BSLASHca] = ACTIONS(5504),
    [anon_sym_BSLASHcp] = ACTIONS(5504),
    [anon_sym_BSLASHcd] = ACTIONS(5504),
    [anon_sym_BSLASHmte] = ACTIONS(5504),
    [anon_sym_BSLASHms] = ACTIONS(5504),
    [anon_sym_BSLASHs] = ACTIONS(5504),
    [anon_sym_BSLASHr] = ACTIONS(5504),
    [anon_sym_BSLASHsp] = ACTIONS(5504),
    [anon_sym_BSLASHd] = ACTIONS(5504),
    [anon_sym_BSLASHsd] = ACTIONS(5504),
    [anon_sym_BSLASHp] = ACTIONS(5504),
    [anon_sym_BSLASHm] = ACTIONS(5504),
    [anon_sym_BSLASHpo] = ACTIONS(5504),
    [anon_sym_BSLASHpr] = ACTIONS(5504),
    [anon_sym_BSLASHcls] = ACTIONS(5504),
    [anon_sym_BSLASHpmo] = ACTIONS(5504),
    [anon_sym_BSLASHpm] = ACTIONS(5504),
    [anon_sym_BSLASHpmc] = ACTIONS(5504),
    [anon_sym_BSLASHpmr] = ACTIONS(5504),
    [anon_sym_BSLASHpi] = ACTIONS(5504),
    [anon_sym_BSLASHmi] = ACTIONS(5504),
    [anon_sym_BSLASHnb] = ACTIONS(5504),
    [anon_sym_BSLASHpc] = ACTIONS(5504),
    [anon_sym_BSLASHph] = ACTIONS(5504),
    [anon_sym_BSLASHb] = ACTIONS(5504),
    [anon_sym_BSLASHq] = ACTIONS(5504),
    [anon_sym_BSLASHqr] = ACTIONS(5504),
    [anon_sym_BSLASHqc] = ACTIONS(5504),
    [anon_sym_BSLASHqa] = ACTIONS(5504),
    [anon_sym_BSLASHqm] = ACTIONS(5504),
    [anon_sym_BSLASHqd] = ACTIONS(5504),
    [anon_sym_BSLASHlh] = ACTIONS(5504),
    [anon_sym_BSLASHli] = ACTIONS(5504),
    [anon_sym_BSLASHlim] = ACTIONS(5504),
    [anon_sym_BSLASHtr] = ACTIONS(5504),
    [anon_sym_BSLASHf] = ACTIONS(5504),
    [anon_sym_BSLASHfe] = ACTIONS(5504),
    [anon_sym_BSLASHef] = ACTIONS(5504),
    [anon_sym_BSLASHfm] = ACTIONS(5504),
    [anon_sym_BSLASHx] = ACTIONS(5504),
    [anon_sym_BSLASHxt] = ACTIONS(5504),
    [anon_sym_BSLASHrq] = ACTIONS(5504),
    [anon_sym_BSLASHadd] = ACTIONS(5504),
    [anon_sym_BSLASHbk] = ACTIONS(5504),
    [anon_sym_BSLASHdc] = ACTIONS(5504),
    [anon_sym_BSLASHk] = ACTIONS(5504),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5504),
    [anon_sym_BSLASHpn] = ACTIONS(5504),
    [anon_sym_BSLASHpng] = ACTIONS(5504),
    [anon_sym_BSLASHaddpn] = ACTIONS(5504),
    [anon_sym_BSLASHqt] = ACTIONS(5504),
    [anon_sym_BSLASHsig] = ACTIONS(5504),
    [anon_sym_BSLASHsls] = ACTIONS(5504),
    [anon_sym_BSLASHtl] = ACTIONS(5504),
    [anon_sym_BSLASHwj] = ACTIONS(5504),
    [anon_sym_BSLASHem] = ACTIONS(5504),
    [anon_sym_BSLASHbd] = ACTIONS(5504),
    [anon_sym_BSLASHit] = ACTIONS(5504),
    [anon_sym_BSLASHbdit] = ACTIONS(5504),
    [anon_sym_BSLASHno] = ACTIONS(5504),
    [anon_sym_BSLASHsc] = ACTIONS(5504),
    [anon_sym_BSLASHsup] = ACTIONS(5504),
    [anon_sym_BSLASHndx] = ACTIONS(5504),
    [anon_sym_BSLASHpro] = ACTIONS(5504),
    [anon_sym_BSLASHrb] = ACTIONS(5504),
    [anon_sym_BSLASHw] = ACTIONS(5504),
    [anon_sym_BSLASHwg] = ACTIONS(5504),
    [anon_sym_BSLASHwh] = ACTIONS(5504),
    [anon_sym_BSLASHwa] = ACTIONS(5504),
    [anon_sym_BSLASHfig] = ACTIONS(5504),
    [anon_sym_BSLASHjmp] = ACTIONS(5504),
    [anon_sym_BSLASHpb] = ACTIONS(5504),
    [anon_sym_BSLASH] = ACTIONS(5504),
    [sym_milestoneStartTag] = ACTIONS(5504),
    [sym_milestoneEndTag] = ACTIONS(5504),
    [sym_zSpaceTag] = ACTIONS(5504),
    [anon_sym_BSLASHesb] = ACTIONS(5504),
  },
  [554] = {
    [sym__milestoneAttributes] = STATE(2111),
    [aux_sym_text_token1] = ACTIONS(5238),
    [anon_sym_BSLASHref] = ACTIONS(5240),
    [anon_sym_BSLASHsts] = ACTIONS(5240),
    [anon_sym_BSLASHrem] = ACTIONS(5240),
    [anon_sym_BSLASHrestore] = ACTIONS(5240),
    [anon_sym_BSLASHlit] = ACTIONS(5240),
    [anon_sym_BSLASHip] = ACTIONS(5240),
    [anon_sym_BSLASHv] = ACTIONS(5240),
    [anon_sym_BSLASHva] = ACTIONS(5240),
    [anon_sym_BSLASHvp] = ACTIONS(5240),
    [anon_sym_BSLASHmte] = ACTIONS(5240),
    [anon_sym_BSLASHms] = ACTIONS(5240),
    [anon_sym_BSLASHs] = ACTIONS(5240),
    [anon_sym_BSLASHr] = ACTIONS(5240),
    [anon_sym_BSLASHsp] = ACTIONS(5240),
    [anon_sym_BSLASHd] = ACTIONS(5240),
    [anon_sym_BSLASHsd] = ACTIONS(5240),
    [anon_sym_BSLASHp] = ACTIONS(5240),
    [anon_sym_BSLASHm] = ACTIONS(5240),
    [anon_sym_BSLASHpo] = ACTIONS(5240),
    [anon_sym_BSLASHpr] = ACTIONS(5240),
    [anon_sym_BSLASHcls] = ACTIONS(5240),
    [anon_sym_BSLASHpmo] = ACTIONS(5240),
    [anon_sym_BSLASHpm] = ACTIONS(5240),
    [anon_sym_BSLASHpmc] = ACTIONS(5240),
    [anon_sym_BSLASHpmr] = ACTIONS(5240),
    [anon_sym_BSLASHpi] = ACTIONS(5240),
    [anon_sym_BSLASHmi] = ACTIONS(5240),
    [anon_sym_BSLASHnb] = ACTIONS(5240),
    [anon_sym_BSLASHpc] = ACTIONS(5240),
    [anon_sym_BSLASHph] = ACTIONS(5240),
    [anon_sym_BSLASHb] = ACTIONS(5240),
    [anon_sym_BSLASHq] = ACTIONS(5240),
    [anon_sym_BSLASHqr] = ACTIONS(5240),
    [anon_sym_BSLASHqc] = ACTIONS(5240),
    [anon_sym_BSLASHqs] = ACTIONS(5240),
    [anon_sym_BSLASHqa] = ACTIONS(5240),
    [anon_sym_BSLASHqac] = ACTIONS(5240),
    [anon_sym_BSLASHqm] = ACTIONS(5240),
    [anon_sym_BSLASHqd] = ACTIONS(5240),
    [anon_sym_BSLASHlh] = ACTIONS(5240),
    [anon_sym_BSLASHli] = ACTIONS(5240),
    [anon_sym_BSLASHlim] = ACTIONS(5240),
    [anon_sym_BSLASHtr] = ACTIONS(5240),
    [anon_sym_BSLASHf] = ACTIONS(5240),
    [anon_sym_BSLASHfe] = ACTIONS(5240),
    [anon_sym_BSLASHef] = ACTIONS(5240),
    [anon_sym_BSLASHfm] = ACTIONS(5240),
    [anon_sym_BSLASHx] = ACTIONS(5240),
    [anon_sym_BSLASHxt] = ACTIONS(5240),
    [anon_sym_BSLASHrq] = ACTIONS(5240),
    [anon_sym_BSLASHadd] = ACTIONS(5240),
    [anon_sym_BSLASHbk] = ACTIONS(5240),
    [anon_sym_BSLASHdc] = ACTIONS(5240),
    [anon_sym_BSLASHk] = ACTIONS(5240),
    [anon_sym_BSLASHnd] = ACTIONS(5240),
    [anon_sym_BSLASHord] = ACTIONS(5240),
    [anon_sym_BSLASHpn] = ACTIONS(5240),
    [anon_sym_BSLASHpng] = ACTIONS(5240),
    [anon_sym_BSLASHaddpn] = ACTIONS(5240),
    [anon_sym_BSLASHqt] = ACTIONS(5240),
    [anon_sym_BSLASHsig] = ACTIONS(5240),
    [anon_sym_BSLASHsls] = ACTIONS(5240),
    [anon_sym_BSLASHtl] = ACTIONS(5240),
    [anon_sym_BSLASHwj] = ACTIONS(5240),
    [anon_sym_BSLASHem] = ACTIONS(5240),
    [anon_sym_BSLASHbd] = ACTIONS(5240),
    [anon_sym_BSLASHit] = ACTIONS(5240),
    [anon_sym_BSLASHbdit] = ACTIONS(5240),
    [anon_sym_BSLASHno] = ACTIONS(5240),
    [anon_sym_BSLASHsc] = ACTIONS(5240),
    [anon_sym_BSLASHsup] = ACTIONS(5240),
    [anon_sym_BSLASHndx] = ACTIONS(5240),
    [anon_sym_BSLASHpro] = ACTIONS(5240),
    [anon_sym_BSLASHrb] = ACTIONS(5240),
    [anon_sym_BSLASHw] = ACTIONS(5240),
    [anon_sym_BSLASHwg] = ACTIONS(5240),
    [anon_sym_BSLASHwh] = ACTIONS(5240),
    [anon_sym_BSLASHwa] = ACTIONS(5240),
    [anon_sym_BSLASHfig] = ACTIONS(5240),
    [anon_sym_BSLASHjmp] = ACTIONS(5240),
    [anon_sym_BSLASHpb] = ACTIONS(5240),
    [anon_sym_BSLASH] = ACTIONS(5240),
    [anon_sym_BSLASH_STAR] = ACTIONS(5506),
    [sym_milestoneStartTag] = ACTIONS(5240),
    [sym_milestoneEndTag] = ACTIONS(5240),
    [sym_zSpaceTag] = ACTIONS(5240),
    [sym__zSpaceClose] = ACTIONS(5508),
    [anon_sym_BSLASHesbe] = ACTIONS(5240),
    [anon_sym_BSLASHcat] = ACTIONS(5240),
    [anon_sym_PIPE] = ACTIONS(5120),
  },
  [555] = {
    [ts_builtin_sym_end] = ACTIONS(5510),
    [aux_sym_text_token1] = ACTIONS(5510),
    [anon_sym_BSLASHref] = ACTIONS(5512),
    [anon_sym_BSLASHsts] = ACTIONS(5512),
    [anon_sym_BSLASHrem] = ACTIONS(5512),
    [anon_sym_BSLASHrestore] = ACTIONS(5512),
    [anon_sym_BSLASHlit] = ACTIONS(5512),
    [anon_sym_BSLASHip] = ACTIONS(5512),
    [anon_sym_BSLASHiex] = ACTIONS(5512),
    [anon_sym_BSLASHv] = ACTIONS(5512),
    [anon_sym_BSLASHva] = ACTIONS(5512),
    [anon_sym_BSLASHvp] = ACTIONS(5512),
    [anon_sym_BSLASHc] = ACTIONS(5512),
    [anon_sym_BSLASHcl] = ACTIONS(5512),
    [anon_sym_BSLASHca] = ACTIONS(5512),
    [anon_sym_BSLASHcp] = ACTIONS(5512),
    [anon_sym_BSLASHcd] = ACTIONS(5512),
    [anon_sym_BSLASHmte] = ACTIONS(5512),
    [anon_sym_BSLASHms] = ACTIONS(5512),
    [anon_sym_BSLASHs] = ACTIONS(5512),
    [anon_sym_BSLASHr] = ACTIONS(5512),
    [anon_sym_BSLASHsp] = ACTIONS(5512),
    [anon_sym_BSLASHd] = ACTIONS(5512),
    [anon_sym_BSLASHsd] = ACTIONS(5512),
    [anon_sym_BSLASHp] = ACTIONS(5512),
    [anon_sym_BSLASHm] = ACTIONS(5512),
    [anon_sym_BSLASHpo] = ACTIONS(5512),
    [anon_sym_BSLASHpr] = ACTIONS(5512),
    [anon_sym_BSLASHcls] = ACTIONS(5512),
    [anon_sym_BSLASHpmo] = ACTIONS(5512),
    [anon_sym_BSLASHpm] = ACTIONS(5512),
    [anon_sym_BSLASHpmc] = ACTIONS(5512),
    [anon_sym_BSLASHpmr] = ACTIONS(5512),
    [anon_sym_BSLASHpi] = ACTIONS(5512),
    [anon_sym_BSLASHmi] = ACTIONS(5512),
    [anon_sym_BSLASHnb] = ACTIONS(5512),
    [anon_sym_BSLASHpc] = ACTIONS(5512),
    [anon_sym_BSLASHph] = ACTIONS(5512),
    [anon_sym_BSLASHb] = ACTIONS(5512),
    [anon_sym_BSLASHq] = ACTIONS(5512),
    [anon_sym_BSLASHqr] = ACTIONS(5512),
    [anon_sym_BSLASHqc] = ACTIONS(5512),
    [anon_sym_BSLASHqa] = ACTIONS(5512),
    [anon_sym_BSLASHqm] = ACTIONS(5512),
    [anon_sym_BSLASHqd] = ACTIONS(5512),
    [anon_sym_BSLASHlh] = ACTIONS(5512),
    [anon_sym_BSLASHli] = ACTIONS(5512),
    [anon_sym_BSLASHlim] = ACTIONS(5512),
    [anon_sym_BSLASHtr] = ACTIONS(5512),
    [anon_sym_BSLASHf] = ACTIONS(5512),
    [anon_sym_BSLASHfe] = ACTIONS(5512),
    [anon_sym_BSLASHef] = ACTIONS(5512),
    [anon_sym_BSLASHfm] = ACTIONS(5512),
    [anon_sym_BSLASHx] = ACTIONS(5512),
    [anon_sym_BSLASHxt] = ACTIONS(5512),
    [anon_sym_BSLASHrq] = ACTIONS(5512),
    [anon_sym_BSLASHadd] = ACTIONS(5512),
    [anon_sym_BSLASHbk] = ACTIONS(5512),
    [anon_sym_BSLASHdc] = ACTIONS(5512),
    [anon_sym_BSLASHk] = ACTIONS(5512),
    [anon_sym_BSLASHnd] = ACTIONS(5512),
    [anon_sym_BSLASHord] = ACTIONS(5512),
    [anon_sym_BSLASHpn] = ACTIONS(5512),
    [anon_sym_BSLASHpng] = ACTIONS(5512),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5512),
    [anon_sym_BSLASHsig] = ACTIONS(5512),
    [anon_sym_BSLASHsls] = ACTIONS(5512),
    [anon_sym_BSLASHtl] = ACTIONS(5512),
    [anon_sym_BSLASHwj] = ACTIONS(5512),
    [anon_sym_BSLASHem] = ACTIONS(5512),
    [anon_sym_BSLASHbd] = ACTIONS(5512),
    [anon_sym_BSLASHit] = ACTIONS(5512),
    [anon_sym_BSLASHbdit] = ACTIONS(5512),
    [anon_sym_BSLASHno] = ACTIONS(5512),
    [anon_sym_BSLASHsc] = ACTIONS(5512),
    [anon_sym_BSLASHsup] = ACTIONS(5512),
    [anon_sym_BSLASHndx] = ACTIONS(5512),
    [anon_sym_BSLASHpro] = ACTIONS(5512),
    [anon_sym_BSLASHrb] = ACTIONS(5512),
    [anon_sym_BSLASHw] = ACTIONS(5512),
    [anon_sym_BSLASHwg] = ACTIONS(5512),
    [anon_sym_BSLASHwh] = ACTIONS(5512),
    [anon_sym_BSLASHwa] = ACTIONS(5512),
    [anon_sym_BSLASHfig] = ACTIONS(5512),
    [anon_sym_BSLASHjmp] = ACTIONS(5512),
    [anon_sym_BSLASHpb] = ACTIONS(5512),
    [anon_sym_BSLASH] = ACTIONS(5512),
    [sym_milestoneStartTag] = ACTIONS(5512),
    [sym_milestoneEndTag] = ACTIONS(5512),
    [sym_zSpaceTag] = ACTIONS(5512),
    [anon_sym_BSLASHesb] = ACTIONS(5512),
  },
  [556] = {
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHref] = ACTIONS(7),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHv] = ACTIONS(7),
    [anon_sym_BSLASHva] = ACTIONS(7),
    [anon_sym_BSLASHvp] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqs] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqac] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHx] = ACTIONS(7),
    [anon_sym_BSLASHxt] = ACTIONS(7),
    [anon_sym_BSLASHrq] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_BSLASH_STAR] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [sym__zSpaceClose] = ACTIONS(7),
    [anon_sym_BSLASHesbe] = ACTIONS(7),
    [anon_sym_BSLASHcat] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
  },
  [557] = {
    [sym_defaultAttribute] = STATE(656),
    [sym__attributesInCrossref] = STATE(656),
    [aux_sym_text_token1] = ACTIONS(5514),
    [anon_sym_BSLASHref] = ACTIONS(5516),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5516),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5516),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5516),
    [anon_sym_BSLASHfr] = ACTIONS(5516),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5516),
    [anon_sym_BSLASHfq] = ACTIONS(5516),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5516),
    [anon_sym_BSLASHfqa] = ACTIONS(5516),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5516),
    [anon_sym_BSLASHfk] = ACTIONS(5516),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5516),
    [anon_sym_BSLASHfl] = ACTIONS(5516),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5516),
    [anon_sym_BSLASHfw] = ACTIONS(5516),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5516),
    [anon_sym_BSLASHfp] = ACTIONS(5516),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5516),
    [anon_sym_BSLASHft] = ACTIONS(5516),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5516),
    [anon_sym_BSLASHfdc] = ACTIONS(5516),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5516),
    [anon_sym_BSLASHfv] = ACTIONS(5516),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5516),
    [anon_sym_BSLASHxt] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5518),
    [anon_sym_BSLASHadd] = ACTIONS(5516),
    [anon_sym_BSLASHbk] = ACTIONS(5516),
    [anon_sym_BSLASHdc] = ACTIONS(5516),
    [anon_sym_BSLASHk] = ACTIONS(5516),
    [anon_sym_BSLASHnd] = ACTIONS(5516),
    [anon_sym_BSLASHord] = ACTIONS(5516),
    [anon_sym_BSLASHpn] = ACTIONS(5516),
    [anon_sym_BSLASHpng] = ACTIONS(5516),
    [anon_sym_BSLASHaddpn] = ACTIONS(5516),
    [anon_sym_BSLASHqt] = ACTIONS(5516),
    [anon_sym_BSLASHsig] = ACTIONS(5516),
    [anon_sym_BSLASHsls] = ACTIONS(5516),
    [anon_sym_BSLASHtl] = ACTIONS(5516),
    [anon_sym_BSLASHwj] = ACTIONS(5516),
    [anon_sym_BSLASHem] = ACTIONS(5516),
    [anon_sym_BSLASHbd] = ACTIONS(5516),
    [anon_sym_BSLASHit] = ACTIONS(5516),
    [anon_sym_BSLASHbdit] = ACTIONS(5516),
    [anon_sym_BSLASHno] = ACTIONS(5516),
    [anon_sym_BSLASHsc] = ACTIONS(5516),
    [anon_sym_BSLASHsup] = ACTIONS(5516),
    [anon_sym_BSLASHndx] = ACTIONS(5516),
    [anon_sym_BSLASHpro] = ACTIONS(5516),
    [anon_sym_BSLASHrb] = ACTIONS(5516),
    [anon_sym_BSLASHw] = ACTIONS(5516),
    [anon_sym_BSLASHwg] = ACTIONS(5516),
    [anon_sym_BSLASHwh] = ACTIONS(5516),
    [anon_sym_BSLASHwa] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5516),
    [anon_sym_BSLASHfig] = ACTIONS(5516),
    [anon_sym_BSLASHjmp] = ACTIONS(5516),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5516),
    [anon_sym_BSLASHcat] = ACTIONS(5516),
    [anon_sym_PIPE] = ACTIONS(5520),
  },
  [558] = {
    [aux_sym_text_token1] = ACTIONS(5322),
    [anon_sym_BSLASHref] = ACTIONS(5324),
    [anon_sym_BSLASHsts] = ACTIONS(5324),
    [anon_sym_BSLASHrem] = ACTIONS(5324),
    [anon_sym_BSLASHrestore] = ACTIONS(5324),
    [anon_sym_BSLASHlit] = ACTIONS(5324),
    [anon_sym_BSLASHip] = ACTIONS(5324),
    [anon_sym_BSLASHv] = ACTIONS(5324),
    [anon_sym_BSLASHva] = ACTIONS(5324),
    [anon_sym_BSLASHvp] = ACTIONS(5324),
    [anon_sym_BSLASHmte] = ACTIONS(5324),
    [anon_sym_BSLASHms] = ACTIONS(5324),
    [anon_sym_BSLASHs] = ACTIONS(5324),
    [anon_sym_BSLASHr] = ACTIONS(5324),
    [anon_sym_BSLASHsp] = ACTIONS(5324),
    [anon_sym_BSLASHd] = ACTIONS(5324),
    [anon_sym_BSLASHsd] = ACTIONS(5324),
    [anon_sym_BSLASHp] = ACTIONS(5324),
    [anon_sym_BSLASHm] = ACTIONS(5324),
    [anon_sym_BSLASHpo] = ACTIONS(5324),
    [anon_sym_BSLASHpr] = ACTIONS(5324),
    [anon_sym_BSLASHcls] = ACTIONS(5324),
    [anon_sym_BSLASHpmo] = ACTIONS(5324),
    [anon_sym_BSLASHpm] = ACTIONS(5324),
    [anon_sym_BSLASHpmc] = ACTIONS(5324),
    [anon_sym_BSLASHpmr] = ACTIONS(5324),
    [anon_sym_BSLASHpi] = ACTIONS(5324),
    [anon_sym_BSLASHmi] = ACTIONS(5324),
    [anon_sym_BSLASHnb] = ACTIONS(5324),
    [anon_sym_BSLASHpc] = ACTIONS(5324),
    [anon_sym_BSLASHph] = ACTIONS(5324),
    [anon_sym_BSLASHb] = ACTIONS(5324),
    [anon_sym_BSLASHq] = ACTIONS(5324),
    [anon_sym_BSLASHqr] = ACTIONS(5324),
    [anon_sym_BSLASHqc] = ACTIONS(5324),
    [anon_sym_BSLASHqa] = ACTIONS(5324),
    [anon_sym_BSLASHqm] = ACTIONS(5324),
    [anon_sym_BSLASHqd] = ACTIONS(5324),
    [anon_sym_BSLASHlh] = ACTIONS(5324),
    [anon_sym_BSLASHlf] = ACTIONS(5324),
    [anon_sym_BSLASHli] = ACTIONS(5324),
    [anon_sym_BSLASHlim] = ACTIONS(5324),
    [anon_sym_BSLASHliv] = ACTIONS(5324),
    [anon_sym_BSLASHlik] = ACTIONS(5324),
    [anon_sym_BSLASHlitl] = ACTIONS(5324),
    [anon_sym_BSLASHtr] = ACTIONS(5324),
    [anon_sym_BSLASHf] = ACTIONS(5324),
    [anon_sym_BSLASHfe] = ACTIONS(5324),
    [anon_sym_BSLASHef] = ACTIONS(5324),
    [anon_sym_BSLASHfm] = ACTIONS(5324),
    [anon_sym_BSLASHx] = ACTIONS(5324),
    [anon_sym_BSLASHxt] = ACTIONS(5324),
    [anon_sym_BSLASHrq] = ACTIONS(5324),
    [anon_sym_BSLASHadd] = ACTIONS(5324),
    [anon_sym_BSLASHbk] = ACTIONS(5324),
    [anon_sym_BSLASHdc] = ACTIONS(5324),
    [anon_sym_BSLASHk] = ACTIONS(5324),
    [anon_sym_BSLASHnd] = ACTIONS(5324),
    [anon_sym_BSLASHord] = ACTIONS(5324),
    [anon_sym_BSLASHpn] = ACTIONS(5324),
    [anon_sym_BSLASHpng] = ACTIONS(5324),
    [anon_sym_BSLASHaddpn] = ACTIONS(5324),
    [anon_sym_BSLASHqt] = ACTIONS(5324),
    [anon_sym_BSLASHsig] = ACTIONS(5324),
    [anon_sym_BSLASHsls] = ACTIONS(5324),
    [anon_sym_BSLASHtl] = ACTIONS(5324),
    [anon_sym_BSLASHwj] = ACTIONS(5324),
    [anon_sym_BSLASHem] = ACTIONS(5324),
    [anon_sym_BSLASHbd] = ACTIONS(5324),
    [anon_sym_BSLASHit] = ACTIONS(5324),
    [anon_sym_BSLASHbdit] = ACTIONS(5324),
    [anon_sym_BSLASHno] = ACTIONS(5324),
    [anon_sym_BSLASHsc] = ACTIONS(5324),
    [anon_sym_BSLASHsup] = ACTIONS(5324),
    [anon_sym_BSLASHndx] = ACTIONS(5324),
    [anon_sym_BSLASHpro] = ACTIONS(5324),
    [anon_sym_BSLASHrb] = ACTIONS(5324),
    [anon_sym_BSLASHw] = ACTIONS(5324),
    [anon_sym_BSLASHwg] = ACTIONS(5324),
    [anon_sym_BSLASHwh] = ACTIONS(5324),
    [anon_sym_BSLASHwa] = ACTIONS(5324),
    [anon_sym_BSLASHfig] = ACTIONS(5324),
    [anon_sym_BSLASHjmp] = ACTIONS(5324),
    [anon_sym_BSLASHpb] = ACTIONS(5324),
    [anon_sym_BSLASH] = ACTIONS(5324),
    [sym_milestoneStartTag] = ACTIONS(5324),
    [sym_milestoneEndTag] = ACTIONS(5324),
    [sym_zSpaceTag] = ACTIONS(5324),
    [anon_sym_BSLASHesbe] = ACTIONS(5324),
    [anon_sym_BSLASHcat] = ACTIONS(5324),
  },
  [559] = {
    [aux_sym_text_token1] = ACTIONS(5362),
    [anon_sym_BSLASHref] = ACTIONS(5364),
    [anon_sym_BSLASHsts] = ACTIONS(5364),
    [anon_sym_BSLASHrem] = ACTIONS(5364),
    [anon_sym_BSLASHrestore] = ACTIONS(5364),
    [anon_sym_BSLASHlit] = ACTIONS(5364),
    [anon_sym_BSLASHip] = ACTIONS(5364),
    [anon_sym_BSLASHv] = ACTIONS(5364),
    [anon_sym_BSLASHva] = ACTIONS(5364),
    [anon_sym_BSLASHvp] = ACTIONS(5364),
    [anon_sym_BSLASHmte] = ACTIONS(5364),
    [anon_sym_BSLASHms] = ACTIONS(5364),
    [anon_sym_BSLASHs] = ACTIONS(5364),
    [anon_sym_BSLASHr] = ACTIONS(5364),
    [anon_sym_BSLASHsp] = ACTIONS(5364),
    [anon_sym_BSLASHd] = ACTIONS(5364),
    [anon_sym_BSLASHsd] = ACTIONS(5364),
    [anon_sym_BSLASHp] = ACTIONS(5364),
    [anon_sym_BSLASHm] = ACTIONS(5364),
    [anon_sym_BSLASHpo] = ACTIONS(5364),
    [anon_sym_BSLASHpr] = ACTIONS(5364),
    [anon_sym_BSLASHcls] = ACTIONS(5364),
    [anon_sym_BSLASHpmo] = ACTIONS(5364),
    [anon_sym_BSLASHpm] = ACTIONS(5364),
    [anon_sym_BSLASHpmc] = ACTIONS(5364),
    [anon_sym_BSLASHpmr] = ACTIONS(5364),
    [anon_sym_BSLASHpi] = ACTIONS(5364),
    [anon_sym_BSLASHmi] = ACTIONS(5364),
    [anon_sym_BSLASHnb] = ACTIONS(5364),
    [anon_sym_BSLASHpc] = ACTIONS(5364),
    [anon_sym_BSLASHph] = ACTIONS(5364),
    [anon_sym_BSLASHb] = ACTIONS(5364),
    [anon_sym_BSLASHq] = ACTIONS(5364),
    [anon_sym_BSLASHqr] = ACTIONS(5364),
    [anon_sym_BSLASHqc] = ACTIONS(5364),
    [anon_sym_BSLASHqa] = ACTIONS(5364),
    [anon_sym_BSLASHqm] = ACTIONS(5364),
    [anon_sym_BSLASHqd] = ACTIONS(5364),
    [anon_sym_BSLASHlh] = ACTIONS(5364),
    [anon_sym_BSLASHlf] = ACTIONS(5364),
    [anon_sym_BSLASHli] = ACTIONS(5364),
    [anon_sym_BSLASHlim] = ACTIONS(5364),
    [anon_sym_BSLASHliv] = ACTIONS(5364),
    [anon_sym_BSLASHlik] = ACTIONS(5364),
    [anon_sym_BSLASHlitl] = ACTIONS(5364),
    [anon_sym_BSLASHtr] = ACTIONS(5364),
    [anon_sym_BSLASHf] = ACTIONS(5364),
    [anon_sym_BSLASHfe] = ACTIONS(5364),
    [anon_sym_BSLASHef] = ACTIONS(5364),
    [anon_sym_BSLASHfm] = ACTIONS(5364),
    [anon_sym_BSLASHx] = ACTIONS(5364),
    [anon_sym_BSLASHxt] = ACTIONS(5364),
    [anon_sym_BSLASHrq] = ACTIONS(5364),
    [anon_sym_BSLASHadd] = ACTIONS(5364),
    [anon_sym_BSLASHbk] = ACTIONS(5364),
    [anon_sym_BSLASHdc] = ACTIONS(5364),
    [anon_sym_BSLASHk] = ACTIONS(5364),
    [anon_sym_BSLASHnd] = ACTIONS(5364),
    [anon_sym_BSLASHord] = ACTIONS(5364),
    [anon_sym_BSLASHpn] = ACTIONS(5364),
    [anon_sym_BSLASHpng] = ACTIONS(5364),
    [anon_sym_BSLASHaddpn] = ACTIONS(5364),
    [anon_sym_BSLASHqt] = ACTIONS(5364),
    [anon_sym_BSLASHsig] = ACTIONS(5364),
    [anon_sym_BSLASHsls] = ACTIONS(5364),
    [anon_sym_BSLASHtl] = ACTIONS(5364),
    [anon_sym_BSLASHwj] = ACTIONS(5364),
    [anon_sym_BSLASHem] = ACTIONS(5364),
    [anon_sym_BSLASHbd] = ACTIONS(5364),
    [anon_sym_BSLASHit] = ACTIONS(5364),
    [anon_sym_BSLASHbdit] = ACTIONS(5364),
    [anon_sym_BSLASHno] = ACTIONS(5364),
    [anon_sym_BSLASHsc] = ACTIONS(5364),
    [anon_sym_BSLASHsup] = ACTIONS(5364),
    [anon_sym_BSLASHndx] = ACTIONS(5364),
    [anon_sym_BSLASHpro] = ACTIONS(5364),
    [anon_sym_BSLASHrb] = ACTIONS(5364),
    [anon_sym_BSLASHw] = ACTIONS(5364),
    [anon_sym_BSLASHwg] = ACTIONS(5364),
    [anon_sym_BSLASHwh] = ACTIONS(5364),
    [anon_sym_BSLASHwa] = ACTIONS(5364),
    [anon_sym_BSLASHfig] = ACTIONS(5364),
    [anon_sym_BSLASHjmp] = ACTIONS(5364),
    [anon_sym_BSLASHpb] = ACTIONS(5364),
    [anon_sym_BSLASH] = ACTIONS(5364),
    [sym_milestoneStartTag] = ACTIONS(5364),
    [sym_milestoneEndTag] = ACTIONS(5364),
    [sym_zSpaceTag] = ACTIONS(5364),
    [anon_sym_BSLASHesbe] = ACTIONS(5364),
    [anon_sym_BSLASHcat] = ACTIONS(5364),
  },
  [560] = {
    [aux_sym_text_token1] = ACTIONS(5406),
    [anon_sym_BSLASHref] = ACTIONS(5408),
    [anon_sym_BSLASHsts] = ACTIONS(5408),
    [anon_sym_BSLASHrem] = ACTIONS(5408),
    [anon_sym_BSLASHrestore] = ACTIONS(5408),
    [anon_sym_BSLASHlit] = ACTIONS(5408),
    [anon_sym_BSLASHip] = ACTIONS(5408),
    [anon_sym_BSLASHv] = ACTIONS(5408),
    [anon_sym_BSLASHva] = ACTIONS(5408),
    [anon_sym_BSLASHvp] = ACTIONS(5408),
    [anon_sym_BSLASHmte] = ACTIONS(5408),
    [anon_sym_BSLASHms] = ACTIONS(5408),
    [anon_sym_BSLASHs] = ACTIONS(5408),
    [anon_sym_BSLASHr] = ACTIONS(5408),
    [anon_sym_BSLASHsp] = ACTIONS(5408),
    [anon_sym_BSLASHd] = ACTIONS(5408),
    [anon_sym_BSLASHsd] = ACTIONS(5408),
    [anon_sym_BSLASHp] = ACTIONS(5408),
    [anon_sym_BSLASHm] = ACTIONS(5408),
    [anon_sym_BSLASHpo] = ACTIONS(5408),
    [anon_sym_BSLASHpr] = ACTIONS(5408),
    [anon_sym_BSLASHcls] = ACTIONS(5408),
    [anon_sym_BSLASHpmo] = ACTIONS(5408),
    [anon_sym_BSLASHpm] = ACTIONS(5408),
    [anon_sym_BSLASHpmc] = ACTIONS(5408),
    [anon_sym_BSLASHpmr] = ACTIONS(5408),
    [anon_sym_BSLASHpi] = ACTIONS(5408),
    [anon_sym_BSLASHmi] = ACTIONS(5408),
    [anon_sym_BSLASHnb] = ACTIONS(5408),
    [anon_sym_BSLASHpc] = ACTIONS(5408),
    [anon_sym_BSLASHph] = ACTIONS(5408),
    [anon_sym_BSLASHb] = ACTIONS(5408),
    [anon_sym_BSLASHq] = ACTIONS(5408),
    [anon_sym_BSLASHqr] = ACTIONS(5408),
    [anon_sym_BSLASHqc] = ACTIONS(5408),
    [anon_sym_BSLASHqa] = ACTIONS(5408),
    [anon_sym_BSLASHqm] = ACTIONS(5408),
    [anon_sym_BSLASHqd] = ACTIONS(5408),
    [anon_sym_BSLASHlh] = ACTIONS(5408),
    [anon_sym_BSLASHlf] = ACTIONS(5408),
    [anon_sym_BSLASHli] = ACTIONS(5408),
    [anon_sym_BSLASHlim] = ACTIONS(5408),
    [anon_sym_BSLASHliv] = ACTIONS(5408),
    [anon_sym_BSLASHlik] = ACTIONS(5408),
    [anon_sym_BSLASHlitl] = ACTIONS(5408),
    [anon_sym_BSLASHtr] = ACTIONS(5408),
    [anon_sym_BSLASHf] = ACTIONS(5408),
    [anon_sym_BSLASHfe] = ACTIONS(5408),
    [anon_sym_BSLASHef] = ACTIONS(5408),
    [anon_sym_BSLASHfm] = ACTIONS(5408),
    [anon_sym_BSLASHx] = ACTIONS(5408),
    [anon_sym_BSLASHxt] = ACTIONS(5408),
    [anon_sym_BSLASHrq] = ACTIONS(5408),
    [anon_sym_BSLASHadd] = ACTIONS(5408),
    [anon_sym_BSLASHbk] = ACTIONS(5408),
    [anon_sym_BSLASHdc] = ACTIONS(5408),
    [anon_sym_BSLASHk] = ACTIONS(5408),
    [anon_sym_BSLASHnd] = ACTIONS(5408),
    [anon_sym_BSLASHord] = ACTIONS(5408),
    [anon_sym_BSLASHpn] = ACTIONS(5408),
    [anon_sym_BSLASHpng] = ACTIONS(5408),
    [anon_sym_BSLASHaddpn] = ACTIONS(5408),
    [anon_sym_BSLASHqt] = ACTIONS(5408),
    [anon_sym_BSLASHsig] = ACTIONS(5408),
    [anon_sym_BSLASHsls] = ACTIONS(5408),
    [anon_sym_BSLASHtl] = ACTIONS(5408),
    [anon_sym_BSLASHwj] = ACTIONS(5408),
    [anon_sym_BSLASHem] = ACTIONS(5408),
    [anon_sym_BSLASHbd] = ACTIONS(5408),
    [anon_sym_BSLASHit] = ACTIONS(5408),
    [anon_sym_BSLASHbdit] = ACTIONS(5408),
    [anon_sym_BSLASHno] = ACTIONS(5408),
    [anon_sym_BSLASHsc] = ACTIONS(5408),
    [anon_sym_BSLASHsup] = ACTIONS(5408),
    [anon_sym_BSLASHndx] = ACTIONS(5408),
    [anon_sym_BSLASHpro] = ACTIONS(5408),
    [anon_sym_BSLASHrb] = ACTIONS(5408),
    [anon_sym_BSLASHw] = ACTIONS(5408),
    [anon_sym_BSLASHwg] = ACTIONS(5408),
    [anon_sym_BSLASHwh] = ACTIONS(5408),
    [anon_sym_BSLASHwa] = ACTIONS(5408),
    [anon_sym_BSLASHfig] = ACTIONS(5408),
    [anon_sym_BSLASHjmp] = ACTIONS(5408),
    [anon_sym_BSLASHpb] = ACTIONS(5408),
    [anon_sym_BSLASH] = ACTIONS(5408),
    [sym_milestoneStartTag] = ACTIONS(5408),
    [sym_milestoneEndTag] = ACTIONS(5408),
    [sym_zSpaceTag] = ACTIONS(5408),
    [anon_sym_BSLASHesbe] = ACTIONS(5408),
    [anon_sym_BSLASHcat] = ACTIONS(5408),
  },
  [561] = {
    [aux_sym_text_token1] = ACTIONS(5402),
    [anon_sym_BSLASHref] = ACTIONS(5404),
    [anon_sym_BSLASHsts] = ACTIONS(5404),
    [anon_sym_BSLASHrem] = ACTIONS(5404),
    [anon_sym_BSLASHrestore] = ACTIONS(5404),
    [anon_sym_BSLASHlit] = ACTIONS(5404),
    [anon_sym_BSLASHip] = ACTIONS(5404),
    [anon_sym_BSLASHv] = ACTIONS(5404),
    [anon_sym_BSLASHva] = ACTIONS(5404),
    [anon_sym_BSLASHvp] = ACTIONS(5404),
    [anon_sym_BSLASHmte] = ACTIONS(5404),
    [anon_sym_BSLASHms] = ACTIONS(5404),
    [anon_sym_BSLASHs] = ACTIONS(5404),
    [anon_sym_BSLASHr] = ACTIONS(5404),
    [anon_sym_BSLASHsp] = ACTIONS(5404),
    [anon_sym_BSLASHd] = ACTIONS(5404),
    [anon_sym_BSLASHsd] = ACTIONS(5404),
    [anon_sym_BSLASHp] = ACTIONS(5404),
    [anon_sym_BSLASHm] = ACTIONS(5404),
    [anon_sym_BSLASHpo] = ACTIONS(5404),
    [anon_sym_BSLASHpr] = ACTIONS(5404),
    [anon_sym_BSLASHcls] = ACTIONS(5404),
    [anon_sym_BSLASHpmo] = ACTIONS(5404),
    [anon_sym_BSLASHpm] = ACTIONS(5404),
    [anon_sym_BSLASHpmc] = ACTIONS(5404),
    [anon_sym_BSLASHpmr] = ACTIONS(5404),
    [anon_sym_BSLASHpi] = ACTIONS(5404),
    [anon_sym_BSLASHmi] = ACTIONS(5404),
    [anon_sym_BSLASHnb] = ACTIONS(5404),
    [anon_sym_BSLASHpc] = ACTIONS(5404),
    [anon_sym_BSLASHph] = ACTIONS(5404),
    [anon_sym_BSLASHb] = ACTIONS(5404),
    [anon_sym_BSLASHq] = ACTIONS(5404),
    [anon_sym_BSLASHqr] = ACTIONS(5404),
    [anon_sym_BSLASHqc] = ACTIONS(5404),
    [anon_sym_BSLASHqa] = ACTIONS(5404),
    [anon_sym_BSLASHqm] = ACTIONS(5404),
    [anon_sym_BSLASHqd] = ACTIONS(5404),
    [anon_sym_BSLASHlh] = ACTIONS(5404),
    [anon_sym_BSLASHlf] = ACTIONS(5404),
    [anon_sym_BSLASHli] = ACTIONS(5404),
    [anon_sym_BSLASHlim] = ACTIONS(5404),
    [anon_sym_BSLASHliv] = ACTIONS(5404),
    [anon_sym_BSLASHlik] = ACTIONS(5404),
    [anon_sym_BSLASHlitl] = ACTIONS(5404),
    [anon_sym_BSLASHtr] = ACTIONS(5404),
    [anon_sym_BSLASHf] = ACTIONS(5404),
    [anon_sym_BSLASHfe] = ACTIONS(5404),
    [anon_sym_BSLASHef] = ACTIONS(5404),
    [anon_sym_BSLASHfm] = ACTIONS(5404),
    [anon_sym_BSLASHx] = ACTIONS(5404),
    [anon_sym_BSLASHxt] = ACTIONS(5404),
    [anon_sym_BSLASHrq] = ACTIONS(5404),
    [anon_sym_BSLASHadd] = ACTIONS(5404),
    [anon_sym_BSLASHbk] = ACTIONS(5404),
    [anon_sym_BSLASHdc] = ACTIONS(5404),
    [anon_sym_BSLASHk] = ACTIONS(5404),
    [anon_sym_BSLASHnd] = ACTIONS(5404),
    [anon_sym_BSLASHord] = ACTIONS(5404),
    [anon_sym_BSLASHpn] = ACTIONS(5404),
    [anon_sym_BSLASHpng] = ACTIONS(5404),
    [anon_sym_BSLASHaddpn] = ACTIONS(5404),
    [anon_sym_BSLASHqt] = ACTIONS(5404),
    [anon_sym_BSLASHsig] = ACTIONS(5404),
    [anon_sym_BSLASHsls] = ACTIONS(5404),
    [anon_sym_BSLASHtl] = ACTIONS(5404),
    [anon_sym_BSLASHwj] = ACTIONS(5404),
    [anon_sym_BSLASHem] = ACTIONS(5404),
    [anon_sym_BSLASHbd] = ACTIONS(5404),
    [anon_sym_BSLASHit] = ACTIONS(5404),
    [anon_sym_BSLASHbdit] = ACTIONS(5404),
    [anon_sym_BSLASHno] = ACTIONS(5404),
    [anon_sym_BSLASHsc] = ACTIONS(5404),
    [anon_sym_BSLASHsup] = ACTIONS(5404),
    [anon_sym_BSLASHndx] = ACTIONS(5404),
    [anon_sym_BSLASHpro] = ACTIONS(5404),
    [anon_sym_BSLASHrb] = ACTIONS(5404),
    [anon_sym_BSLASHw] = ACTIONS(5404),
    [anon_sym_BSLASHwg] = ACTIONS(5404),
    [anon_sym_BSLASHwh] = ACTIONS(5404),
    [anon_sym_BSLASHwa] = ACTIONS(5404),
    [anon_sym_BSLASHfig] = ACTIONS(5404),
    [anon_sym_BSLASHjmp] = ACTIONS(5404),
    [anon_sym_BSLASHpb] = ACTIONS(5404),
    [anon_sym_BSLASH] = ACTIONS(5404),
    [sym_milestoneStartTag] = ACTIONS(5404),
    [sym_milestoneEndTag] = ACTIONS(5404),
    [sym_zSpaceTag] = ACTIONS(5404),
    [anon_sym_BSLASHesbe] = ACTIONS(5404),
    [anon_sym_BSLASHcat] = ACTIONS(5404),
  },
  [562] = {
    [aux_sym_text_token1] = ACTIONS(5398),
    [anon_sym_BSLASHref] = ACTIONS(5400),
    [anon_sym_BSLASHsts] = ACTIONS(5400),
    [anon_sym_BSLASHrem] = ACTIONS(5400),
    [anon_sym_BSLASHrestore] = ACTIONS(5400),
    [anon_sym_BSLASHlit] = ACTIONS(5400),
    [anon_sym_BSLASHip] = ACTIONS(5400),
    [anon_sym_BSLASHv] = ACTIONS(5400),
    [anon_sym_BSLASHva] = ACTIONS(5400),
    [anon_sym_BSLASHvp] = ACTIONS(5400),
    [anon_sym_BSLASHmte] = ACTIONS(5400),
    [anon_sym_BSLASHms] = ACTIONS(5400),
    [anon_sym_BSLASHs] = ACTIONS(5400),
    [anon_sym_BSLASHr] = ACTIONS(5400),
    [anon_sym_BSLASHsp] = ACTIONS(5400),
    [anon_sym_BSLASHd] = ACTIONS(5400),
    [anon_sym_BSLASHsd] = ACTIONS(5400),
    [anon_sym_BSLASHp] = ACTIONS(5400),
    [anon_sym_BSLASHm] = ACTIONS(5400),
    [anon_sym_BSLASHpo] = ACTIONS(5400),
    [anon_sym_BSLASHpr] = ACTIONS(5400),
    [anon_sym_BSLASHcls] = ACTIONS(5400),
    [anon_sym_BSLASHpmo] = ACTIONS(5400),
    [anon_sym_BSLASHpm] = ACTIONS(5400),
    [anon_sym_BSLASHpmc] = ACTIONS(5400),
    [anon_sym_BSLASHpmr] = ACTIONS(5400),
    [anon_sym_BSLASHpi] = ACTIONS(5400),
    [anon_sym_BSLASHmi] = ACTIONS(5400),
    [anon_sym_BSLASHnb] = ACTIONS(5400),
    [anon_sym_BSLASHpc] = ACTIONS(5400),
    [anon_sym_BSLASHph] = ACTIONS(5400),
    [anon_sym_BSLASHb] = ACTIONS(5400),
    [anon_sym_BSLASHq] = ACTIONS(5400),
    [anon_sym_BSLASHqr] = ACTIONS(5400),
    [anon_sym_BSLASHqc] = ACTIONS(5400),
    [anon_sym_BSLASHqa] = ACTIONS(5400),
    [anon_sym_BSLASHqm] = ACTIONS(5400),
    [anon_sym_BSLASHqd] = ACTIONS(5400),
    [anon_sym_BSLASHlh] = ACTIONS(5400),
    [anon_sym_BSLASHlf] = ACTIONS(5400),
    [anon_sym_BSLASHli] = ACTIONS(5400),
    [anon_sym_BSLASHlim] = ACTIONS(5400),
    [anon_sym_BSLASHliv] = ACTIONS(5400),
    [anon_sym_BSLASHlik] = ACTIONS(5400),
    [anon_sym_BSLASHlitl] = ACTIONS(5400),
    [anon_sym_BSLASHtr] = ACTIONS(5400),
    [anon_sym_BSLASHf] = ACTIONS(5400),
    [anon_sym_BSLASHfe] = ACTIONS(5400),
    [anon_sym_BSLASHef] = ACTIONS(5400),
    [anon_sym_BSLASHfm] = ACTIONS(5400),
    [anon_sym_BSLASHx] = ACTIONS(5400),
    [anon_sym_BSLASHxt] = ACTIONS(5400),
    [anon_sym_BSLASHrq] = ACTIONS(5400),
    [anon_sym_BSLASHadd] = ACTIONS(5400),
    [anon_sym_BSLASHbk] = ACTIONS(5400),
    [anon_sym_BSLASHdc] = ACTIONS(5400),
    [anon_sym_BSLASHk] = ACTIONS(5400),
    [anon_sym_BSLASHnd] = ACTIONS(5400),
    [anon_sym_BSLASHord] = ACTIONS(5400),
    [anon_sym_BSLASHpn] = ACTIONS(5400),
    [anon_sym_BSLASHpng] = ACTIONS(5400),
    [anon_sym_BSLASHaddpn] = ACTIONS(5400),
    [anon_sym_BSLASHqt] = ACTIONS(5400),
    [anon_sym_BSLASHsig] = ACTIONS(5400),
    [anon_sym_BSLASHsls] = ACTIONS(5400),
    [anon_sym_BSLASHtl] = ACTIONS(5400),
    [anon_sym_BSLASHwj] = ACTIONS(5400),
    [anon_sym_BSLASHem] = ACTIONS(5400),
    [anon_sym_BSLASHbd] = ACTIONS(5400),
    [anon_sym_BSLASHit] = ACTIONS(5400),
    [anon_sym_BSLASHbdit] = ACTIONS(5400),
    [anon_sym_BSLASHno] = ACTIONS(5400),
    [anon_sym_BSLASHsc] = ACTIONS(5400),
    [anon_sym_BSLASHsup] = ACTIONS(5400),
    [anon_sym_BSLASHndx] = ACTIONS(5400),
    [anon_sym_BSLASHpro] = ACTIONS(5400),
    [anon_sym_BSLASHrb] = ACTIONS(5400),
    [anon_sym_BSLASHw] = ACTIONS(5400),
    [anon_sym_BSLASHwg] = ACTIONS(5400),
    [anon_sym_BSLASHwh] = ACTIONS(5400),
    [anon_sym_BSLASHwa] = ACTIONS(5400),
    [anon_sym_BSLASHfig] = ACTIONS(5400),
    [anon_sym_BSLASHjmp] = ACTIONS(5400),
    [anon_sym_BSLASHpb] = ACTIONS(5400),
    [anon_sym_BSLASH] = ACTIONS(5400),
    [sym_milestoneStartTag] = ACTIONS(5400),
    [sym_milestoneEndTag] = ACTIONS(5400),
    [sym_zSpaceTag] = ACTIONS(5400),
    [anon_sym_BSLASHesbe] = ACTIONS(5400),
    [anon_sym_BSLASHcat] = ACTIONS(5400),
  },
  [563] = {
    [aux_sym_text_token1] = ACTIONS(5374),
    [anon_sym_BSLASHref] = ACTIONS(5376),
    [anon_sym_BSLASHsts] = ACTIONS(5376),
    [anon_sym_BSLASHrem] = ACTIONS(5376),
    [anon_sym_BSLASHrestore] = ACTIONS(5376),
    [anon_sym_BSLASHlit] = ACTIONS(5376),
    [anon_sym_BSLASHip] = ACTIONS(5376),
    [anon_sym_BSLASHv] = ACTIONS(5376),
    [anon_sym_BSLASHva] = ACTIONS(5376),
    [anon_sym_BSLASHvp] = ACTIONS(5376),
    [anon_sym_BSLASHmte] = ACTIONS(5376),
    [anon_sym_BSLASHms] = ACTIONS(5376),
    [anon_sym_BSLASHs] = ACTIONS(5376),
    [anon_sym_BSLASHr] = ACTIONS(5376),
    [anon_sym_BSLASHsp] = ACTIONS(5376),
    [anon_sym_BSLASHd] = ACTIONS(5376),
    [anon_sym_BSLASHsd] = ACTIONS(5376),
    [anon_sym_BSLASHp] = ACTIONS(5376),
    [anon_sym_BSLASHm] = ACTIONS(5376),
    [anon_sym_BSLASHpo] = ACTIONS(5376),
    [anon_sym_BSLASHpr] = ACTIONS(5376),
    [anon_sym_BSLASHcls] = ACTIONS(5376),
    [anon_sym_BSLASHpmo] = ACTIONS(5376),
    [anon_sym_BSLASHpm] = ACTIONS(5376),
    [anon_sym_BSLASHpmc] = ACTIONS(5376),
    [anon_sym_BSLASHpmr] = ACTIONS(5376),
    [anon_sym_BSLASHpi] = ACTIONS(5376),
    [anon_sym_BSLASHmi] = ACTIONS(5376),
    [anon_sym_BSLASHnb] = ACTIONS(5376),
    [anon_sym_BSLASHpc] = ACTIONS(5376),
    [anon_sym_BSLASHph] = ACTIONS(5376),
    [anon_sym_BSLASHb] = ACTIONS(5376),
    [anon_sym_BSLASHq] = ACTIONS(5376),
    [anon_sym_BSLASHqr] = ACTIONS(5376),
    [anon_sym_BSLASHqc] = ACTIONS(5376),
    [anon_sym_BSLASHqa] = ACTIONS(5376),
    [anon_sym_BSLASHqm] = ACTIONS(5376),
    [anon_sym_BSLASHqd] = ACTIONS(5376),
    [anon_sym_BSLASHlh] = ACTIONS(5376),
    [anon_sym_BSLASHlf] = ACTIONS(5376),
    [anon_sym_BSLASHli] = ACTIONS(5376),
    [anon_sym_BSLASHlim] = ACTIONS(5376),
    [anon_sym_BSLASHliv] = ACTIONS(5376),
    [anon_sym_BSLASHlik] = ACTIONS(5376),
    [anon_sym_BSLASHlitl] = ACTIONS(5376),
    [anon_sym_BSLASHtr] = ACTIONS(5376),
    [anon_sym_BSLASHf] = ACTIONS(5376),
    [anon_sym_BSLASHfe] = ACTIONS(5376),
    [anon_sym_BSLASHef] = ACTIONS(5376),
    [anon_sym_BSLASHfm] = ACTIONS(5376),
    [anon_sym_BSLASHx] = ACTIONS(5376),
    [anon_sym_BSLASHxt] = ACTIONS(5376),
    [anon_sym_BSLASHrq] = ACTIONS(5376),
    [anon_sym_BSLASHadd] = ACTIONS(5376),
    [anon_sym_BSLASHbk] = ACTIONS(5376),
    [anon_sym_BSLASHdc] = ACTIONS(5376),
    [anon_sym_BSLASHk] = ACTIONS(5376),
    [anon_sym_BSLASHnd] = ACTIONS(5376),
    [anon_sym_BSLASHord] = ACTIONS(5376),
    [anon_sym_BSLASHpn] = ACTIONS(5376),
    [anon_sym_BSLASHpng] = ACTIONS(5376),
    [anon_sym_BSLASHaddpn] = ACTIONS(5376),
    [anon_sym_BSLASHqt] = ACTIONS(5376),
    [anon_sym_BSLASHsig] = ACTIONS(5376),
    [anon_sym_BSLASHsls] = ACTIONS(5376),
    [anon_sym_BSLASHtl] = ACTIONS(5376),
    [anon_sym_BSLASHwj] = ACTIONS(5376),
    [anon_sym_BSLASHem] = ACTIONS(5376),
    [anon_sym_BSLASHbd] = ACTIONS(5376),
    [anon_sym_BSLASHit] = ACTIONS(5376),
    [anon_sym_BSLASHbdit] = ACTIONS(5376),
    [anon_sym_BSLASHno] = ACTIONS(5376),
    [anon_sym_BSLASHsc] = ACTIONS(5376),
    [anon_sym_BSLASHsup] = ACTIONS(5376),
    [anon_sym_BSLASHndx] = ACTIONS(5376),
    [anon_sym_BSLASHpro] = ACTIONS(5376),
    [anon_sym_BSLASHrb] = ACTIONS(5376),
    [anon_sym_BSLASHw] = ACTIONS(5376),
    [anon_sym_BSLASHwg] = ACTIONS(5376),
    [anon_sym_BSLASHwh] = ACTIONS(5376),
    [anon_sym_BSLASHwa] = ACTIONS(5376),
    [anon_sym_BSLASHfig] = ACTIONS(5376),
    [anon_sym_BSLASHjmp] = ACTIONS(5376),
    [anon_sym_BSLASHpb] = ACTIONS(5376),
    [anon_sym_BSLASH] = ACTIONS(5376),
    [sym_milestoneStartTag] = ACTIONS(5376),
    [sym_milestoneEndTag] = ACTIONS(5376),
    [sym_zSpaceTag] = ACTIONS(5376),
    [anon_sym_BSLASHesbe] = ACTIONS(5376),
    [anon_sym_BSLASHcat] = ACTIONS(5376),
  },
  [564] = {
    [aux_sym_text_token1] = ACTIONS(5366),
    [anon_sym_BSLASHref] = ACTIONS(5368),
    [anon_sym_BSLASHsts] = ACTIONS(5368),
    [anon_sym_BSLASHrem] = ACTIONS(5368),
    [anon_sym_BSLASHrestore] = ACTIONS(5368),
    [anon_sym_BSLASHlit] = ACTIONS(5368),
    [anon_sym_BSLASHip] = ACTIONS(5368),
    [anon_sym_BSLASHv] = ACTIONS(5368),
    [anon_sym_BSLASHva] = ACTIONS(5368),
    [anon_sym_BSLASHvp] = ACTIONS(5368),
    [anon_sym_BSLASHmte] = ACTIONS(5368),
    [anon_sym_BSLASHms] = ACTIONS(5368),
    [anon_sym_BSLASHs] = ACTIONS(5368),
    [anon_sym_BSLASHr] = ACTIONS(5368),
    [anon_sym_BSLASHsp] = ACTIONS(5368),
    [anon_sym_BSLASHd] = ACTIONS(5368),
    [anon_sym_BSLASHsd] = ACTIONS(5368),
    [anon_sym_BSLASHp] = ACTIONS(5368),
    [anon_sym_BSLASHm] = ACTIONS(5368),
    [anon_sym_BSLASHpo] = ACTIONS(5368),
    [anon_sym_BSLASHpr] = ACTIONS(5368),
    [anon_sym_BSLASHcls] = ACTIONS(5368),
    [anon_sym_BSLASHpmo] = ACTIONS(5368),
    [anon_sym_BSLASHpm] = ACTIONS(5368),
    [anon_sym_BSLASHpmc] = ACTIONS(5368),
    [anon_sym_BSLASHpmr] = ACTIONS(5368),
    [anon_sym_BSLASHpi] = ACTIONS(5368),
    [anon_sym_BSLASHmi] = ACTIONS(5368),
    [anon_sym_BSLASHnb] = ACTIONS(5368),
    [anon_sym_BSLASHpc] = ACTIONS(5368),
    [anon_sym_BSLASHph] = ACTIONS(5368),
    [anon_sym_BSLASHb] = ACTIONS(5368),
    [anon_sym_BSLASHq] = ACTIONS(5368),
    [anon_sym_BSLASHqr] = ACTIONS(5368),
    [anon_sym_BSLASHqc] = ACTIONS(5368),
    [anon_sym_BSLASHqa] = ACTIONS(5368),
    [anon_sym_BSLASHqm] = ACTIONS(5368),
    [anon_sym_BSLASHqd] = ACTIONS(5368),
    [anon_sym_BSLASHlh] = ACTIONS(5368),
    [anon_sym_BSLASHlf] = ACTIONS(5368),
    [anon_sym_BSLASHli] = ACTIONS(5368),
    [anon_sym_BSLASHlim] = ACTIONS(5368),
    [anon_sym_BSLASHliv] = ACTIONS(5368),
    [anon_sym_BSLASHlik] = ACTIONS(5368),
    [anon_sym_BSLASHlitl] = ACTIONS(5368),
    [anon_sym_BSLASHtr] = ACTIONS(5368),
    [anon_sym_BSLASHf] = ACTIONS(5368),
    [anon_sym_BSLASHfe] = ACTIONS(5368),
    [anon_sym_BSLASHef] = ACTIONS(5368),
    [anon_sym_BSLASHfm] = ACTIONS(5368),
    [anon_sym_BSLASHx] = ACTIONS(5368),
    [anon_sym_BSLASHxt] = ACTIONS(5368),
    [anon_sym_BSLASHrq] = ACTIONS(5368),
    [anon_sym_BSLASHadd] = ACTIONS(5368),
    [anon_sym_BSLASHbk] = ACTIONS(5368),
    [anon_sym_BSLASHdc] = ACTIONS(5368),
    [anon_sym_BSLASHk] = ACTIONS(5368),
    [anon_sym_BSLASHnd] = ACTIONS(5368),
    [anon_sym_BSLASHord] = ACTIONS(5368),
    [anon_sym_BSLASHpn] = ACTIONS(5368),
    [anon_sym_BSLASHpng] = ACTIONS(5368),
    [anon_sym_BSLASHaddpn] = ACTIONS(5368),
    [anon_sym_BSLASHqt] = ACTIONS(5368),
    [anon_sym_BSLASHsig] = ACTIONS(5368),
    [anon_sym_BSLASHsls] = ACTIONS(5368),
    [anon_sym_BSLASHtl] = ACTIONS(5368),
    [anon_sym_BSLASHwj] = ACTIONS(5368),
    [anon_sym_BSLASHem] = ACTIONS(5368),
    [anon_sym_BSLASHbd] = ACTIONS(5368),
    [anon_sym_BSLASHit] = ACTIONS(5368),
    [anon_sym_BSLASHbdit] = ACTIONS(5368),
    [anon_sym_BSLASHno] = ACTIONS(5368),
    [anon_sym_BSLASHsc] = ACTIONS(5368),
    [anon_sym_BSLASHsup] = ACTIONS(5368),
    [anon_sym_BSLASHndx] = ACTIONS(5368),
    [anon_sym_BSLASHpro] = ACTIONS(5368),
    [anon_sym_BSLASHrb] = ACTIONS(5368),
    [anon_sym_BSLASHw] = ACTIONS(5368),
    [anon_sym_BSLASHwg] = ACTIONS(5368),
    [anon_sym_BSLASHwh] = ACTIONS(5368),
    [anon_sym_BSLASHwa] = ACTIONS(5368),
    [anon_sym_BSLASHfig] = ACTIONS(5368),
    [anon_sym_BSLASHjmp] = ACTIONS(5368),
    [anon_sym_BSLASHpb] = ACTIONS(5368),
    [anon_sym_BSLASH] = ACTIONS(5368),
    [sym_milestoneStartTag] = ACTIONS(5368),
    [sym_milestoneEndTag] = ACTIONS(5368),
    [sym_zSpaceTag] = ACTIONS(5368),
    [anon_sym_BSLASHesbe] = ACTIONS(5368),
    [anon_sym_BSLASHcat] = ACTIONS(5368),
  },
  [565] = {
    [aux_sym_text_token1] = ACTIONS(5346),
    [anon_sym_BSLASHref] = ACTIONS(5348),
    [anon_sym_BSLASHsts] = ACTIONS(5348),
    [anon_sym_BSLASHrem] = ACTIONS(5348),
    [anon_sym_BSLASHrestore] = ACTIONS(5348),
    [anon_sym_BSLASHlit] = ACTIONS(5348),
    [anon_sym_BSLASHip] = ACTIONS(5348),
    [anon_sym_BSLASHv] = ACTIONS(5348),
    [anon_sym_BSLASHva] = ACTIONS(5348),
    [anon_sym_BSLASHvp] = ACTIONS(5348),
    [anon_sym_BSLASHmte] = ACTIONS(5348),
    [anon_sym_BSLASHms] = ACTIONS(5348),
    [anon_sym_BSLASHs] = ACTIONS(5348),
    [anon_sym_BSLASHr] = ACTIONS(5348),
    [anon_sym_BSLASHsp] = ACTIONS(5348),
    [anon_sym_BSLASHd] = ACTIONS(5348),
    [anon_sym_BSLASHsd] = ACTIONS(5348),
    [anon_sym_BSLASHp] = ACTIONS(5348),
    [anon_sym_BSLASHm] = ACTIONS(5348),
    [anon_sym_BSLASHpo] = ACTIONS(5348),
    [anon_sym_BSLASHpr] = ACTIONS(5348),
    [anon_sym_BSLASHcls] = ACTIONS(5348),
    [anon_sym_BSLASHpmo] = ACTIONS(5348),
    [anon_sym_BSLASHpm] = ACTIONS(5348),
    [anon_sym_BSLASHpmc] = ACTIONS(5348),
    [anon_sym_BSLASHpmr] = ACTIONS(5348),
    [anon_sym_BSLASHpi] = ACTIONS(5348),
    [anon_sym_BSLASHmi] = ACTIONS(5348),
    [anon_sym_BSLASHnb] = ACTIONS(5348),
    [anon_sym_BSLASHpc] = ACTIONS(5348),
    [anon_sym_BSLASHph] = ACTIONS(5348),
    [anon_sym_BSLASHb] = ACTIONS(5348),
    [anon_sym_BSLASHq] = ACTIONS(5348),
    [anon_sym_BSLASHqr] = ACTIONS(5348),
    [anon_sym_BSLASHqc] = ACTIONS(5348),
    [anon_sym_BSLASHqa] = ACTIONS(5348),
    [anon_sym_BSLASHqm] = ACTIONS(5348),
    [anon_sym_BSLASHqd] = ACTIONS(5348),
    [anon_sym_BSLASHlh] = ACTIONS(5348),
    [anon_sym_BSLASHlf] = ACTIONS(5348),
    [anon_sym_BSLASHli] = ACTIONS(5348),
    [anon_sym_BSLASHlim] = ACTIONS(5348),
    [anon_sym_BSLASHliv] = ACTIONS(5348),
    [anon_sym_BSLASHlik] = ACTIONS(5348),
    [anon_sym_BSLASHlitl] = ACTIONS(5348),
    [anon_sym_BSLASHtr] = ACTIONS(5348),
    [anon_sym_BSLASHf] = ACTIONS(5348),
    [anon_sym_BSLASHfe] = ACTIONS(5348),
    [anon_sym_BSLASHef] = ACTIONS(5348),
    [anon_sym_BSLASHfm] = ACTIONS(5348),
    [anon_sym_BSLASHx] = ACTIONS(5348),
    [anon_sym_BSLASHxt] = ACTIONS(5348),
    [anon_sym_BSLASHrq] = ACTIONS(5348),
    [anon_sym_BSLASHadd] = ACTIONS(5348),
    [anon_sym_BSLASHbk] = ACTIONS(5348),
    [anon_sym_BSLASHdc] = ACTIONS(5348),
    [anon_sym_BSLASHk] = ACTIONS(5348),
    [anon_sym_BSLASHnd] = ACTIONS(5348),
    [anon_sym_BSLASHord] = ACTIONS(5348),
    [anon_sym_BSLASHpn] = ACTIONS(5348),
    [anon_sym_BSLASHpng] = ACTIONS(5348),
    [anon_sym_BSLASHaddpn] = ACTIONS(5348),
    [anon_sym_BSLASHqt] = ACTIONS(5348),
    [anon_sym_BSLASHsig] = ACTIONS(5348),
    [anon_sym_BSLASHsls] = ACTIONS(5348),
    [anon_sym_BSLASHtl] = ACTIONS(5348),
    [anon_sym_BSLASHwj] = ACTIONS(5348),
    [anon_sym_BSLASHem] = ACTIONS(5348),
    [anon_sym_BSLASHbd] = ACTIONS(5348),
    [anon_sym_BSLASHit] = ACTIONS(5348),
    [anon_sym_BSLASHbdit] = ACTIONS(5348),
    [anon_sym_BSLASHno] = ACTIONS(5348),
    [anon_sym_BSLASHsc] = ACTIONS(5348),
    [anon_sym_BSLASHsup] = ACTIONS(5348),
    [anon_sym_BSLASHndx] = ACTIONS(5348),
    [anon_sym_BSLASHpro] = ACTIONS(5348),
    [anon_sym_BSLASHrb] = ACTIONS(5348),
    [anon_sym_BSLASHw] = ACTIONS(5348),
    [anon_sym_BSLASHwg] = ACTIONS(5348),
    [anon_sym_BSLASHwh] = ACTIONS(5348),
    [anon_sym_BSLASHwa] = ACTIONS(5348),
    [anon_sym_BSLASHfig] = ACTIONS(5348),
    [anon_sym_BSLASHjmp] = ACTIONS(5348),
    [anon_sym_BSLASHpb] = ACTIONS(5348),
    [anon_sym_BSLASH] = ACTIONS(5348),
    [sym_milestoneStartTag] = ACTIONS(5348),
    [sym_milestoneEndTag] = ACTIONS(5348),
    [sym_zSpaceTag] = ACTIONS(5348),
    [anon_sym_BSLASHesbe] = ACTIONS(5348),
    [anon_sym_BSLASHcat] = ACTIONS(5348),
  },
  [566] = {
    [aux_sym_text_token1] = ACTIONS(5334),
    [anon_sym_BSLASHref] = ACTIONS(5336),
    [anon_sym_BSLASHsts] = ACTIONS(5336),
    [anon_sym_BSLASHrem] = ACTIONS(5336),
    [anon_sym_BSLASHrestore] = ACTIONS(5336),
    [anon_sym_BSLASHlit] = ACTIONS(5336),
    [anon_sym_BSLASHip] = ACTIONS(5336),
    [anon_sym_BSLASHv] = ACTIONS(5336),
    [anon_sym_BSLASHva] = ACTIONS(5336),
    [anon_sym_BSLASHvp] = ACTIONS(5336),
    [anon_sym_BSLASHmte] = ACTIONS(5336),
    [anon_sym_BSLASHms] = ACTIONS(5336),
    [anon_sym_BSLASHs] = ACTIONS(5336),
    [anon_sym_BSLASHr] = ACTIONS(5336),
    [anon_sym_BSLASHsp] = ACTIONS(5336),
    [anon_sym_BSLASHd] = ACTIONS(5336),
    [anon_sym_BSLASHsd] = ACTIONS(5336),
    [anon_sym_BSLASHp] = ACTIONS(5336),
    [anon_sym_BSLASHm] = ACTIONS(5336),
    [anon_sym_BSLASHpo] = ACTIONS(5336),
    [anon_sym_BSLASHpr] = ACTIONS(5336),
    [anon_sym_BSLASHcls] = ACTIONS(5336),
    [anon_sym_BSLASHpmo] = ACTIONS(5336),
    [anon_sym_BSLASHpm] = ACTIONS(5336),
    [anon_sym_BSLASHpmc] = ACTIONS(5336),
    [anon_sym_BSLASHpmr] = ACTIONS(5336),
    [anon_sym_BSLASHpi] = ACTIONS(5336),
    [anon_sym_BSLASHmi] = ACTIONS(5336),
    [anon_sym_BSLASHnb] = ACTIONS(5336),
    [anon_sym_BSLASHpc] = ACTIONS(5336),
    [anon_sym_BSLASHph] = ACTIONS(5336),
    [anon_sym_BSLASHb] = ACTIONS(5336),
    [anon_sym_BSLASHq] = ACTIONS(5336),
    [anon_sym_BSLASHqr] = ACTIONS(5336),
    [anon_sym_BSLASHqc] = ACTIONS(5336),
    [anon_sym_BSLASHqa] = ACTIONS(5336),
    [anon_sym_BSLASHqm] = ACTIONS(5336),
    [anon_sym_BSLASHqd] = ACTIONS(5336),
    [anon_sym_BSLASHlh] = ACTIONS(5336),
    [anon_sym_BSLASHlf] = ACTIONS(5336),
    [anon_sym_BSLASHli] = ACTIONS(5336),
    [anon_sym_BSLASHlim] = ACTIONS(5336),
    [anon_sym_BSLASHliv] = ACTIONS(5336),
    [anon_sym_BSLASHlik] = ACTIONS(5336),
    [anon_sym_BSLASHlitl] = ACTIONS(5336),
    [anon_sym_BSLASHtr] = ACTIONS(5336),
    [anon_sym_BSLASHf] = ACTIONS(5336),
    [anon_sym_BSLASHfe] = ACTIONS(5336),
    [anon_sym_BSLASHef] = ACTIONS(5336),
    [anon_sym_BSLASHfm] = ACTIONS(5336),
    [anon_sym_BSLASHx] = ACTIONS(5336),
    [anon_sym_BSLASHxt] = ACTIONS(5336),
    [anon_sym_BSLASHrq] = ACTIONS(5336),
    [anon_sym_BSLASHadd] = ACTIONS(5336),
    [anon_sym_BSLASHbk] = ACTIONS(5336),
    [anon_sym_BSLASHdc] = ACTIONS(5336),
    [anon_sym_BSLASHk] = ACTIONS(5336),
    [anon_sym_BSLASHnd] = ACTIONS(5336),
    [anon_sym_BSLASHord] = ACTIONS(5336),
    [anon_sym_BSLASHpn] = ACTIONS(5336),
    [anon_sym_BSLASHpng] = ACTIONS(5336),
    [anon_sym_BSLASHaddpn] = ACTIONS(5336),
    [anon_sym_BSLASHqt] = ACTIONS(5336),
    [anon_sym_BSLASHsig] = ACTIONS(5336),
    [anon_sym_BSLASHsls] = ACTIONS(5336),
    [anon_sym_BSLASHtl] = ACTIONS(5336),
    [anon_sym_BSLASHwj] = ACTIONS(5336),
    [anon_sym_BSLASHem] = ACTIONS(5336),
    [anon_sym_BSLASHbd] = ACTIONS(5336),
    [anon_sym_BSLASHit] = ACTIONS(5336),
    [anon_sym_BSLASHbdit] = ACTIONS(5336),
    [anon_sym_BSLASHno] = ACTIONS(5336),
    [anon_sym_BSLASHsc] = ACTIONS(5336),
    [anon_sym_BSLASHsup] = ACTIONS(5336),
    [anon_sym_BSLASHndx] = ACTIONS(5336),
    [anon_sym_BSLASHpro] = ACTIONS(5336),
    [anon_sym_BSLASHrb] = ACTIONS(5336),
    [anon_sym_BSLASHw] = ACTIONS(5336),
    [anon_sym_BSLASHwg] = ACTIONS(5336),
    [anon_sym_BSLASHwh] = ACTIONS(5336),
    [anon_sym_BSLASHwa] = ACTIONS(5336),
    [anon_sym_BSLASHfig] = ACTIONS(5336),
    [anon_sym_BSLASHjmp] = ACTIONS(5336),
    [anon_sym_BSLASHpb] = ACTIONS(5336),
    [anon_sym_BSLASH] = ACTIONS(5336),
    [sym_milestoneStartTag] = ACTIONS(5336),
    [sym_milestoneEndTag] = ACTIONS(5336),
    [sym_zSpaceTag] = ACTIONS(5336),
    [anon_sym_BSLASHesbe] = ACTIONS(5336),
    [anon_sym_BSLASHcat] = ACTIONS(5336),
  },
  [567] = {
    [aux_sym_text_token1] = ACTIONS(5350),
    [anon_sym_BSLASHref] = ACTIONS(5352),
    [anon_sym_BSLASHsts] = ACTIONS(5352),
    [anon_sym_BSLASHrem] = ACTIONS(5352),
    [anon_sym_BSLASHrestore] = ACTIONS(5352),
    [anon_sym_BSLASHlit] = ACTIONS(5352),
    [anon_sym_BSLASHip] = ACTIONS(5352),
    [anon_sym_BSLASHv] = ACTIONS(5352),
    [anon_sym_BSLASHva] = ACTIONS(5352),
    [anon_sym_BSLASHvp] = ACTIONS(5352),
    [anon_sym_BSLASHmte] = ACTIONS(5352),
    [anon_sym_BSLASHms] = ACTIONS(5352),
    [anon_sym_BSLASHs] = ACTIONS(5352),
    [anon_sym_BSLASHr] = ACTIONS(5352),
    [anon_sym_BSLASHsp] = ACTIONS(5352),
    [anon_sym_BSLASHd] = ACTIONS(5352),
    [anon_sym_BSLASHsd] = ACTIONS(5352),
    [anon_sym_BSLASHp] = ACTIONS(5352),
    [anon_sym_BSLASHm] = ACTIONS(5352),
    [anon_sym_BSLASHpo] = ACTIONS(5352),
    [anon_sym_BSLASHpr] = ACTIONS(5352),
    [anon_sym_BSLASHcls] = ACTIONS(5352),
    [anon_sym_BSLASHpmo] = ACTIONS(5352),
    [anon_sym_BSLASHpm] = ACTIONS(5352),
    [anon_sym_BSLASHpmc] = ACTIONS(5352),
    [anon_sym_BSLASHpmr] = ACTIONS(5352),
    [anon_sym_BSLASHpi] = ACTIONS(5352),
    [anon_sym_BSLASHmi] = ACTIONS(5352),
    [anon_sym_BSLASHnb] = ACTIONS(5352),
    [anon_sym_BSLASHpc] = ACTIONS(5352),
    [anon_sym_BSLASHph] = ACTIONS(5352),
    [anon_sym_BSLASHb] = ACTIONS(5352),
    [anon_sym_BSLASHq] = ACTIONS(5352),
    [anon_sym_BSLASHqr] = ACTIONS(5352),
    [anon_sym_BSLASHqc] = ACTIONS(5352),
    [anon_sym_BSLASHqa] = ACTIONS(5352),
    [anon_sym_BSLASHqm] = ACTIONS(5352),
    [anon_sym_BSLASHqd] = ACTIONS(5352),
    [anon_sym_BSLASHlh] = ACTIONS(5352),
    [anon_sym_BSLASHlf] = ACTIONS(5352),
    [anon_sym_BSLASHli] = ACTIONS(5352),
    [anon_sym_BSLASHlim] = ACTIONS(5352),
    [anon_sym_BSLASHliv] = ACTIONS(5352),
    [anon_sym_BSLASHlik] = ACTIONS(5352),
    [anon_sym_BSLASHlitl] = ACTIONS(5352),
    [anon_sym_BSLASHtr] = ACTIONS(5352),
    [anon_sym_BSLASHf] = ACTIONS(5352),
    [anon_sym_BSLASHfe] = ACTIONS(5352),
    [anon_sym_BSLASHef] = ACTIONS(5352),
    [anon_sym_BSLASHfm] = ACTIONS(5352),
    [anon_sym_BSLASHx] = ACTIONS(5352),
    [anon_sym_BSLASHxt] = ACTIONS(5352),
    [anon_sym_BSLASHrq] = ACTIONS(5352),
    [anon_sym_BSLASHadd] = ACTIONS(5352),
    [anon_sym_BSLASHbk] = ACTIONS(5352),
    [anon_sym_BSLASHdc] = ACTIONS(5352),
    [anon_sym_BSLASHk] = ACTIONS(5352),
    [anon_sym_BSLASHnd] = ACTIONS(5352),
    [anon_sym_BSLASHord] = ACTIONS(5352),
    [anon_sym_BSLASHpn] = ACTIONS(5352),
    [anon_sym_BSLASHpng] = ACTIONS(5352),
    [anon_sym_BSLASHaddpn] = ACTIONS(5352),
    [anon_sym_BSLASHqt] = ACTIONS(5352),
    [anon_sym_BSLASHsig] = ACTIONS(5352),
    [anon_sym_BSLASHsls] = ACTIONS(5352),
    [anon_sym_BSLASHtl] = ACTIONS(5352),
    [anon_sym_BSLASHwj] = ACTIONS(5352),
    [anon_sym_BSLASHem] = ACTIONS(5352),
    [anon_sym_BSLASHbd] = ACTIONS(5352),
    [anon_sym_BSLASHit] = ACTIONS(5352),
    [anon_sym_BSLASHbdit] = ACTIONS(5352),
    [anon_sym_BSLASHno] = ACTIONS(5352),
    [anon_sym_BSLASHsc] = ACTIONS(5352),
    [anon_sym_BSLASHsup] = ACTIONS(5352),
    [anon_sym_BSLASHndx] = ACTIONS(5352),
    [anon_sym_BSLASHpro] = ACTIONS(5352),
    [anon_sym_BSLASHrb] = ACTIONS(5352),
    [anon_sym_BSLASHw] = ACTIONS(5352),
    [anon_sym_BSLASHwg] = ACTIONS(5352),
    [anon_sym_BSLASHwh] = ACTIONS(5352),
    [anon_sym_BSLASHwa] = ACTIONS(5352),
    [anon_sym_BSLASHfig] = ACTIONS(5352),
    [anon_sym_BSLASHjmp] = ACTIONS(5352),
    [anon_sym_BSLASHpb] = ACTIONS(5352),
    [anon_sym_BSLASH] = ACTIONS(5352),
    [sym_milestoneStartTag] = ACTIONS(5352),
    [sym_milestoneEndTag] = ACTIONS(5352),
    [sym_zSpaceTag] = ACTIONS(5352),
    [anon_sym_BSLASHesbe] = ACTIONS(5352),
    [anon_sym_BSLASHcat] = ACTIONS(5352),
  },
  [568] = {
    [aux_sym_text_token1] = ACTIONS(5338),
    [anon_sym_BSLASHref] = ACTIONS(5340),
    [anon_sym_BSLASHsts] = ACTIONS(5340),
    [anon_sym_BSLASHrem] = ACTIONS(5340),
    [anon_sym_BSLASHrestore] = ACTIONS(5340),
    [anon_sym_BSLASHlit] = ACTIONS(5340),
    [anon_sym_BSLASHip] = ACTIONS(5340),
    [anon_sym_BSLASHv] = ACTIONS(5340),
    [anon_sym_BSLASHva] = ACTIONS(5340),
    [anon_sym_BSLASHvp] = ACTIONS(5340),
    [anon_sym_BSLASHmte] = ACTIONS(5340),
    [anon_sym_BSLASHms] = ACTIONS(5340),
    [anon_sym_BSLASHs] = ACTIONS(5340),
    [anon_sym_BSLASHr] = ACTIONS(5340),
    [anon_sym_BSLASHsp] = ACTIONS(5340),
    [anon_sym_BSLASHd] = ACTIONS(5340),
    [anon_sym_BSLASHsd] = ACTIONS(5340),
    [anon_sym_BSLASHp] = ACTIONS(5340),
    [anon_sym_BSLASHm] = ACTIONS(5340),
    [anon_sym_BSLASHpo] = ACTIONS(5340),
    [anon_sym_BSLASHpr] = ACTIONS(5340),
    [anon_sym_BSLASHcls] = ACTIONS(5340),
    [anon_sym_BSLASHpmo] = ACTIONS(5340),
    [anon_sym_BSLASHpm] = ACTIONS(5340),
    [anon_sym_BSLASHpmc] = ACTIONS(5340),
    [anon_sym_BSLASHpmr] = ACTIONS(5340),
    [anon_sym_BSLASHpi] = ACTIONS(5340),
    [anon_sym_BSLASHmi] = ACTIONS(5340),
    [anon_sym_BSLASHnb] = ACTIONS(5340),
    [anon_sym_BSLASHpc] = ACTIONS(5340),
    [anon_sym_BSLASHph] = ACTIONS(5340),
    [anon_sym_BSLASHb] = ACTIONS(5340),
    [anon_sym_BSLASHq] = ACTIONS(5340),
    [anon_sym_BSLASHqr] = ACTIONS(5340),
    [anon_sym_BSLASHqc] = ACTIONS(5340),
    [anon_sym_BSLASHqa] = ACTIONS(5340),
    [anon_sym_BSLASHqm] = ACTIONS(5340),
    [anon_sym_BSLASHqd] = ACTIONS(5340),
    [anon_sym_BSLASHlh] = ACTIONS(5340),
    [anon_sym_BSLASHlf] = ACTIONS(5340),
    [anon_sym_BSLASHli] = ACTIONS(5340),
    [anon_sym_BSLASHlim] = ACTIONS(5340),
    [anon_sym_BSLASHliv] = ACTIONS(5340),
    [anon_sym_BSLASHlik] = ACTIONS(5340),
    [anon_sym_BSLASHlitl] = ACTIONS(5340),
    [anon_sym_BSLASHtr] = ACTIONS(5340),
    [anon_sym_BSLASHf] = ACTIONS(5340),
    [anon_sym_BSLASHfe] = ACTIONS(5340),
    [anon_sym_BSLASHef] = ACTIONS(5340),
    [anon_sym_BSLASHfm] = ACTIONS(5340),
    [anon_sym_BSLASHx] = ACTIONS(5340),
    [anon_sym_BSLASHxt] = ACTIONS(5340),
    [anon_sym_BSLASHrq] = ACTIONS(5340),
    [anon_sym_BSLASHadd] = ACTIONS(5340),
    [anon_sym_BSLASHbk] = ACTIONS(5340),
    [anon_sym_BSLASHdc] = ACTIONS(5340),
    [anon_sym_BSLASHk] = ACTIONS(5340),
    [anon_sym_BSLASHnd] = ACTIONS(5340),
    [anon_sym_BSLASHord] = ACTIONS(5340),
    [anon_sym_BSLASHpn] = ACTIONS(5340),
    [anon_sym_BSLASHpng] = ACTIONS(5340),
    [anon_sym_BSLASHaddpn] = ACTIONS(5340),
    [anon_sym_BSLASHqt] = ACTIONS(5340),
    [anon_sym_BSLASHsig] = ACTIONS(5340),
    [anon_sym_BSLASHsls] = ACTIONS(5340),
    [anon_sym_BSLASHtl] = ACTIONS(5340),
    [anon_sym_BSLASHwj] = ACTIONS(5340),
    [anon_sym_BSLASHem] = ACTIONS(5340),
    [anon_sym_BSLASHbd] = ACTIONS(5340),
    [anon_sym_BSLASHit] = ACTIONS(5340),
    [anon_sym_BSLASHbdit] = ACTIONS(5340),
    [anon_sym_BSLASHno] = ACTIONS(5340),
    [anon_sym_BSLASHsc] = ACTIONS(5340),
    [anon_sym_BSLASHsup] = ACTIONS(5340),
    [anon_sym_BSLASHndx] = ACTIONS(5340),
    [anon_sym_BSLASHpro] = ACTIONS(5340),
    [anon_sym_BSLASHrb] = ACTIONS(5340),
    [anon_sym_BSLASHw] = ACTIONS(5340),
    [anon_sym_BSLASHwg] = ACTIONS(5340),
    [anon_sym_BSLASHwh] = ACTIONS(5340),
    [anon_sym_BSLASHwa] = ACTIONS(5340),
    [anon_sym_BSLASHfig] = ACTIONS(5340),
    [anon_sym_BSLASHjmp] = ACTIONS(5340),
    [anon_sym_BSLASHpb] = ACTIONS(5340),
    [anon_sym_BSLASH] = ACTIONS(5340),
    [sym_milestoneStartTag] = ACTIONS(5340),
    [sym_milestoneEndTag] = ACTIONS(5340),
    [sym_zSpaceTag] = ACTIONS(5340),
    [anon_sym_BSLASHesbe] = ACTIONS(5340),
    [anon_sym_BSLASHcat] = ACTIONS(5340),
  },
  [569] = {
    [aux_sym_text_token1] = ACTIONS(5390),
    [anon_sym_BSLASHref] = ACTIONS(5392),
    [anon_sym_BSLASHsts] = ACTIONS(5392),
    [anon_sym_BSLASHrem] = ACTIONS(5392),
    [anon_sym_BSLASHrestore] = ACTIONS(5392),
    [anon_sym_BSLASHlit] = ACTIONS(5392),
    [anon_sym_BSLASHip] = ACTIONS(5392),
    [anon_sym_BSLASHv] = ACTIONS(5392),
    [anon_sym_BSLASHva] = ACTIONS(5392),
    [anon_sym_BSLASHvp] = ACTIONS(5392),
    [anon_sym_BSLASHmte] = ACTIONS(5392),
    [anon_sym_BSLASHms] = ACTIONS(5392),
    [anon_sym_BSLASHs] = ACTIONS(5392),
    [anon_sym_BSLASHr] = ACTIONS(5392),
    [anon_sym_BSLASHsp] = ACTIONS(5392),
    [anon_sym_BSLASHd] = ACTIONS(5392),
    [anon_sym_BSLASHsd] = ACTIONS(5392),
    [anon_sym_BSLASHp] = ACTIONS(5392),
    [anon_sym_BSLASHm] = ACTIONS(5392),
    [anon_sym_BSLASHpo] = ACTIONS(5392),
    [anon_sym_BSLASHpr] = ACTIONS(5392),
    [anon_sym_BSLASHcls] = ACTIONS(5392),
    [anon_sym_BSLASHpmo] = ACTIONS(5392),
    [anon_sym_BSLASHpm] = ACTIONS(5392),
    [anon_sym_BSLASHpmc] = ACTIONS(5392),
    [anon_sym_BSLASHpmr] = ACTIONS(5392),
    [anon_sym_BSLASHpi] = ACTIONS(5392),
    [anon_sym_BSLASHmi] = ACTIONS(5392),
    [anon_sym_BSLASHnb] = ACTIONS(5392),
    [anon_sym_BSLASHpc] = ACTIONS(5392),
    [anon_sym_BSLASHph] = ACTIONS(5392),
    [anon_sym_BSLASHb] = ACTIONS(5392),
    [anon_sym_BSLASHq] = ACTIONS(5392),
    [anon_sym_BSLASHqr] = ACTIONS(5392),
    [anon_sym_BSLASHqc] = ACTIONS(5392),
    [anon_sym_BSLASHqa] = ACTIONS(5392),
    [anon_sym_BSLASHqm] = ACTIONS(5392),
    [anon_sym_BSLASHqd] = ACTIONS(5392),
    [anon_sym_BSLASHlh] = ACTIONS(5392),
    [anon_sym_BSLASHlf] = ACTIONS(5392),
    [anon_sym_BSLASHli] = ACTIONS(5392),
    [anon_sym_BSLASHlim] = ACTIONS(5392),
    [anon_sym_BSLASHliv] = ACTIONS(5392),
    [anon_sym_BSLASHlik] = ACTIONS(5392),
    [anon_sym_BSLASHlitl] = ACTIONS(5392),
    [anon_sym_BSLASHtr] = ACTIONS(5392),
    [anon_sym_BSLASHf] = ACTIONS(5392),
    [anon_sym_BSLASHfe] = ACTIONS(5392),
    [anon_sym_BSLASHef] = ACTIONS(5392),
    [anon_sym_BSLASHfm] = ACTIONS(5392),
    [anon_sym_BSLASHx] = ACTIONS(5392),
    [anon_sym_BSLASHxt] = ACTIONS(5392),
    [anon_sym_BSLASHrq] = ACTIONS(5392),
    [anon_sym_BSLASHadd] = ACTIONS(5392),
    [anon_sym_BSLASHbk] = ACTIONS(5392),
    [anon_sym_BSLASHdc] = ACTIONS(5392),
    [anon_sym_BSLASHk] = ACTIONS(5392),
    [anon_sym_BSLASHnd] = ACTIONS(5392),
    [anon_sym_BSLASHord] = ACTIONS(5392),
    [anon_sym_BSLASHpn] = ACTIONS(5392),
    [anon_sym_BSLASHpng] = ACTIONS(5392),
    [anon_sym_BSLASHaddpn] = ACTIONS(5392),
    [anon_sym_BSLASHqt] = ACTIONS(5392),
    [anon_sym_BSLASHsig] = ACTIONS(5392),
    [anon_sym_BSLASHsls] = ACTIONS(5392),
    [anon_sym_BSLASHtl] = ACTIONS(5392),
    [anon_sym_BSLASHwj] = ACTIONS(5392),
    [anon_sym_BSLASHem] = ACTIONS(5392),
    [anon_sym_BSLASHbd] = ACTIONS(5392),
    [anon_sym_BSLASHit] = ACTIONS(5392),
    [anon_sym_BSLASHbdit] = ACTIONS(5392),
    [anon_sym_BSLASHno] = ACTIONS(5392),
    [anon_sym_BSLASHsc] = ACTIONS(5392),
    [anon_sym_BSLASHsup] = ACTIONS(5392),
    [anon_sym_BSLASHndx] = ACTIONS(5392),
    [anon_sym_BSLASHpro] = ACTIONS(5392),
    [anon_sym_BSLASHrb] = ACTIONS(5392),
    [anon_sym_BSLASHw] = ACTIONS(5392),
    [anon_sym_BSLASHwg] = ACTIONS(5392),
    [anon_sym_BSLASHwh] = ACTIONS(5392),
    [anon_sym_BSLASHwa] = ACTIONS(5392),
    [anon_sym_BSLASHfig] = ACTIONS(5392),
    [anon_sym_BSLASHjmp] = ACTIONS(5392),
    [anon_sym_BSLASHpb] = ACTIONS(5392),
    [anon_sym_BSLASH] = ACTIONS(5392),
    [sym_milestoneStartTag] = ACTIONS(5392),
    [sym_milestoneEndTag] = ACTIONS(5392),
    [sym_zSpaceTag] = ACTIONS(5392),
    [anon_sym_BSLASHesbe] = ACTIONS(5392),
    [anon_sym_BSLASHcat] = ACTIONS(5392),
  },
  [570] = {
    [aux_sym_text_token1] = ACTIONS(5330),
    [anon_sym_BSLASHref] = ACTIONS(5332),
    [anon_sym_BSLASHsts] = ACTIONS(5332),
    [anon_sym_BSLASHrem] = ACTIONS(5332),
    [anon_sym_BSLASHrestore] = ACTIONS(5332),
    [anon_sym_BSLASHlit] = ACTIONS(5332),
    [anon_sym_BSLASHip] = ACTIONS(5332),
    [anon_sym_BSLASHv] = ACTIONS(5332),
    [anon_sym_BSLASHva] = ACTIONS(5332),
    [anon_sym_BSLASHvp] = ACTIONS(5332),
    [anon_sym_BSLASHmte] = ACTIONS(5332),
    [anon_sym_BSLASHms] = ACTIONS(5332),
    [anon_sym_BSLASHs] = ACTIONS(5332),
    [anon_sym_BSLASHr] = ACTIONS(5332),
    [anon_sym_BSLASHsp] = ACTIONS(5332),
    [anon_sym_BSLASHd] = ACTIONS(5332),
    [anon_sym_BSLASHsd] = ACTIONS(5332),
    [anon_sym_BSLASHp] = ACTIONS(5332),
    [anon_sym_BSLASHm] = ACTIONS(5332),
    [anon_sym_BSLASHpo] = ACTIONS(5332),
    [anon_sym_BSLASHpr] = ACTIONS(5332),
    [anon_sym_BSLASHcls] = ACTIONS(5332),
    [anon_sym_BSLASHpmo] = ACTIONS(5332),
    [anon_sym_BSLASHpm] = ACTIONS(5332),
    [anon_sym_BSLASHpmc] = ACTIONS(5332),
    [anon_sym_BSLASHpmr] = ACTIONS(5332),
    [anon_sym_BSLASHpi] = ACTIONS(5332),
    [anon_sym_BSLASHmi] = ACTIONS(5332),
    [anon_sym_BSLASHnb] = ACTIONS(5332),
    [anon_sym_BSLASHpc] = ACTIONS(5332),
    [anon_sym_BSLASHph] = ACTIONS(5332),
    [anon_sym_BSLASHb] = ACTIONS(5332),
    [anon_sym_BSLASHq] = ACTIONS(5332),
    [anon_sym_BSLASHqr] = ACTIONS(5332),
    [anon_sym_BSLASHqc] = ACTIONS(5332),
    [anon_sym_BSLASHqa] = ACTIONS(5332),
    [anon_sym_BSLASHqm] = ACTIONS(5332),
    [anon_sym_BSLASHqd] = ACTIONS(5332),
    [anon_sym_BSLASHlh] = ACTIONS(5332),
    [anon_sym_BSLASHlf] = ACTIONS(5332),
    [anon_sym_BSLASHli] = ACTIONS(5332),
    [anon_sym_BSLASHlim] = ACTIONS(5332),
    [anon_sym_BSLASHliv] = ACTIONS(5332),
    [anon_sym_BSLASHlik] = ACTIONS(5332),
    [anon_sym_BSLASHlitl] = ACTIONS(5332),
    [anon_sym_BSLASHtr] = ACTIONS(5332),
    [anon_sym_BSLASHf] = ACTIONS(5332),
    [anon_sym_BSLASHfe] = ACTIONS(5332),
    [anon_sym_BSLASHef] = ACTIONS(5332),
    [anon_sym_BSLASHfm] = ACTIONS(5332),
    [anon_sym_BSLASHx] = ACTIONS(5332),
    [anon_sym_BSLASHxt] = ACTIONS(5332),
    [anon_sym_BSLASHrq] = ACTIONS(5332),
    [anon_sym_BSLASHadd] = ACTIONS(5332),
    [anon_sym_BSLASHbk] = ACTIONS(5332),
    [anon_sym_BSLASHdc] = ACTIONS(5332),
    [anon_sym_BSLASHk] = ACTIONS(5332),
    [anon_sym_BSLASHnd] = ACTIONS(5332),
    [anon_sym_BSLASHord] = ACTIONS(5332),
    [anon_sym_BSLASHpn] = ACTIONS(5332),
    [anon_sym_BSLASHpng] = ACTIONS(5332),
    [anon_sym_BSLASHaddpn] = ACTIONS(5332),
    [anon_sym_BSLASHqt] = ACTIONS(5332),
    [anon_sym_BSLASHsig] = ACTIONS(5332),
    [anon_sym_BSLASHsls] = ACTIONS(5332),
    [anon_sym_BSLASHtl] = ACTIONS(5332),
    [anon_sym_BSLASHwj] = ACTIONS(5332),
    [anon_sym_BSLASHem] = ACTIONS(5332),
    [anon_sym_BSLASHbd] = ACTIONS(5332),
    [anon_sym_BSLASHit] = ACTIONS(5332),
    [anon_sym_BSLASHbdit] = ACTIONS(5332),
    [anon_sym_BSLASHno] = ACTIONS(5332),
    [anon_sym_BSLASHsc] = ACTIONS(5332),
    [anon_sym_BSLASHsup] = ACTIONS(5332),
    [anon_sym_BSLASHndx] = ACTIONS(5332),
    [anon_sym_BSLASHpro] = ACTIONS(5332),
    [anon_sym_BSLASHrb] = ACTIONS(5332),
    [anon_sym_BSLASHw] = ACTIONS(5332),
    [anon_sym_BSLASHwg] = ACTIONS(5332),
    [anon_sym_BSLASHwh] = ACTIONS(5332),
    [anon_sym_BSLASHwa] = ACTIONS(5332),
    [anon_sym_BSLASHfig] = ACTIONS(5332),
    [anon_sym_BSLASHjmp] = ACTIONS(5332),
    [anon_sym_BSLASHpb] = ACTIONS(5332),
    [anon_sym_BSLASH] = ACTIONS(5332),
    [sym_milestoneStartTag] = ACTIONS(5332),
    [sym_milestoneEndTag] = ACTIONS(5332),
    [sym_zSpaceTag] = ACTIONS(5332),
    [anon_sym_BSLASHesbe] = ACTIONS(5332),
    [anon_sym_BSLASHcat] = ACTIONS(5332),
  },
  [571] = {
    [aux_sym_text_token1] = ACTIONS(5430),
    [anon_sym_BSLASHref] = ACTIONS(5432),
    [anon_sym_BSLASHsts] = ACTIONS(5432),
    [anon_sym_BSLASHrem] = ACTIONS(5432),
    [anon_sym_BSLASHrestore] = ACTIONS(5432),
    [anon_sym_BSLASHlit] = ACTIONS(5432),
    [anon_sym_BSLASHip] = ACTIONS(5432),
    [anon_sym_BSLASHv] = ACTIONS(5432),
    [anon_sym_BSLASHva] = ACTIONS(5432),
    [anon_sym_BSLASHvp] = ACTIONS(5432),
    [anon_sym_BSLASHmte] = ACTIONS(5432),
    [anon_sym_BSLASHms] = ACTIONS(5432),
    [anon_sym_BSLASHs] = ACTIONS(5432),
    [anon_sym_BSLASHr] = ACTIONS(5432),
    [anon_sym_BSLASHsp] = ACTIONS(5432),
    [anon_sym_BSLASHd] = ACTIONS(5432),
    [anon_sym_BSLASHsd] = ACTIONS(5432),
    [anon_sym_BSLASHp] = ACTIONS(5432),
    [anon_sym_BSLASHm] = ACTIONS(5432),
    [anon_sym_BSLASHpo] = ACTIONS(5432),
    [anon_sym_BSLASHpr] = ACTIONS(5432),
    [anon_sym_BSLASHcls] = ACTIONS(5432),
    [anon_sym_BSLASHpmo] = ACTIONS(5432),
    [anon_sym_BSLASHpm] = ACTIONS(5432),
    [anon_sym_BSLASHpmc] = ACTIONS(5432),
    [anon_sym_BSLASHpmr] = ACTIONS(5432),
    [anon_sym_BSLASHpi] = ACTIONS(5432),
    [anon_sym_BSLASHmi] = ACTIONS(5432),
    [anon_sym_BSLASHnb] = ACTIONS(5432),
    [anon_sym_BSLASHpc] = ACTIONS(5432),
    [anon_sym_BSLASHph] = ACTIONS(5432),
    [anon_sym_BSLASHb] = ACTIONS(5432),
    [anon_sym_BSLASHq] = ACTIONS(5432),
    [anon_sym_BSLASHqr] = ACTIONS(5432),
    [anon_sym_BSLASHqc] = ACTIONS(5432),
    [anon_sym_BSLASHqa] = ACTIONS(5432),
    [anon_sym_BSLASHqm] = ACTIONS(5432),
    [anon_sym_BSLASHqd] = ACTIONS(5432),
    [anon_sym_BSLASHlh] = ACTIONS(5432),
    [anon_sym_BSLASHlf] = ACTIONS(5432),
    [anon_sym_BSLASHli] = ACTIONS(5432),
    [anon_sym_BSLASHlim] = ACTIONS(5432),
    [anon_sym_BSLASHliv] = ACTIONS(5432),
    [anon_sym_BSLASHlik] = ACTIONS(5432),
    [anon_sym_BSLASHlitl] = ACTIONS(5432),
    [anon_sym_BSLASHtr] = ACTIONS(5432),
    [anon_sym_BSLASHf] = ACTIONS(5432),
    [anon_sym_BSLASHfe] = ACTIONS(5432),
    [anon_sym_BSLASHef] = ACTIONS(5432),
    [anon_sym_BSLASHfm] = ACTIONS(5432),
    [anon_sym_BSLASHx] = ACTIONS(5432),
    [anon_sym_BSLASHxt] = ACTIONS(5432),
    [anon_sym_BSLASHrq] = ACTIONS(5432),
    [anon_sym_BSLASHadd] = ACTIONS(5432),
    [anon_sym_BSLASHbk] = ACTIONS(5432),
    [anon_sym_BSLASHdc] = ACTIONS(5432),
    [anon_sym_BSLASHk] = ACTIONS(5432),
    [anon_sym_BSLASHnd] = ACTIONS(5432),
    [anon_sym_BSLASHord] = ACTIONS(5432),
    [anon_sym_BSLASHpn] = ACTIONS(5432),
    [anon_sym_BSLASHpng] = ACTIONS(5432),
    [anon_sym_BSLASHaddpn] = ACTIONS(5432),
    [anon_sym_BSLASHqt] = ACTIONS(5432),
    [anon_sym_BSLASHsig] = ACTIONS(5432),
    [anon_sym_BSLASHsls] = ACTIONS(5432),
    [anon_sym_BSLASHtl] = ACTIONS(5432),
    [anon_sym_BSLASHwj] = ACTIONS(5432),
    [anon_sym_BSLASHem] = ACTIONS(5432),
    [anon_sym_BSLASHbd] = ACTIONS(5432),
    [anon_sym_BSLASHit] = ACTIONS(5432),
    [anon_sym_BSLASHbdit] = ACTIONS(5432),
    [anon_sym_BSLASHno] = ACTIONS(5432),
    [anon_sym_BSLASHsc] = ACTIONS(5432),
    [anon_sym_BSLASHsup] = ACTIONS(5432),
    [anon_sym_BSLASHndx] = ACTIONS(5432),
    [anon_sym_BSLASHpro] = ACTIONS(5432),
    [anon_sym_BSLASHrb] = ACTIONS(5432),
    [anon_sym_BSLASHw] = ACTIONS(5432),
    [anon_sym_BSLASHwg] = ACTIONS(5432),
    [anon_sym_BSLASHwh] = ACTIONS(5432),
    [anon_sym_BSLASHwa] = ACTIONS(5432),
    [anon_sym_BSLASHfig] = ACTIONS(5432),
    [anon_sym_BSLASHjmp] = ACTIONS(5432),
    [anon_sym_BSLASHpb] = ACTIONS(5432),
    [anon_sym_BSLASH] = ACTIONS(5432),
    [sym_milestoneStartTag] = ACTIONS(5432),
    [sym_milestoneEndTag] = ACTIONS(5432),
    [sym_zSpaceTag] = ACTIONS(5432),
    [anon_sym_BSLASHesbe] = ACTIONS(5432),
    [anon_sym_BSLASHcat] = ACTIONS(5432),
  },
  [572] = {
    [aux_sym_text_token1] = ACTIONS(5342),
    [anon_sym_BSLASHref] = ACTIONS(5344),
    [anon_sym_BSLASHsts] = ACTIONS(5344),
    [anon_sym_BSLASHrem] = ACTIONS(5344),
    [anon_sym_BSLASHrestore] = ACTIONS(5344),
    [anon_sym_BSLASHlit] = ACTIONS(5344),
    [anon_sym_BSLASHip] = ACTIONS(5344),
    [anon_sym_BSLASHv] = ACTIONS(5344),
    [anon_sym_BSLASHva] = ACTIONS(5344),
    [anon_sym_BSLASHvp] = ACTIONS(5344),
    [anon_sym_BSLASHmte] = ACTIONS(5344),
    [anon_sym_BSLASHms] = ACTIONS(5344),
    [anon_sym_BSLASHs] = ACTIONS(5344),
    [anon_sym_BSLASHr] = ACTIONS(5344),
    [anon_sym_BSLASHsp] = ACTIONS(5344),
    [anon_sym_BSLASHd] = ACTIONS(5344),
    [anon_sym_BSLASHsd] = ACTIONS(5344),
    [anon_sym_BSLASHp] = ACTIONS(5344),
    [anon_sym_BSLASHm] = ACTIONS(5344),
    [anon_sym_BSLASHpo] = ACTIONS(5344),
    [anon_sym_BSLASHpr] = ACTIONS(5344),
    [anon_sym_BSLASHcls] = ACTIONS(5344),
    [anon_sym_BSLASHpmo] = ACTIONS(5344),
    [anon_sym_BSLASHpm] = ACTIONS(5344),
    [anon_sym_BSLASHpmc] = ACTIONS(5344),
    [anon_sym_BSLASHpmr] = ACTIONS(5344),
    [anon_sym_BSLASHpi] = ACTIONS(5344),
    [anon_sym_BSLASHmi] = ACTIONS(5344),
    [anon_sym_BSLASHnb] = ACTIONS(5344),
    [anon_sym_BSLASHpc] = ACTIONS(5344),
    [anon_sym_BSLASHph] = ACTIONS(5344),
    [anon_sym_BSLASHb] = ACTIONS(5344),
    [anon_sym_BSLASHq] = ACTIONS(5344),
    [anon_sym_BSLASHqr] = ACTIONS(5344),
    [anon_sym_BSLASHqc] = ACTIONS(5344),
    [anon_sym_BSLASHqa] = ACTIONS(5344),
    [anon_sym_BSLASHqm] = ACTIONS(5344),
    [anon_sym_BSLASHqd] = ACTIONS(5344),
    [anon_sym_BSLASHlh] = ACTIONS(5344),
    [anon_sym_BSLASHlf] = ACTIONS(5344),
    [anon_sym_BSLASHli] = ACTIONS(5344),
    [anon_sym_BSLASHlim] = ACTIONS(5344),
    [anon_sym_BSLASHliv] = ACTIONS(5344),
    [anon_sym_BSLASHlik] = ACTIONS(5344),
    [anon_sym_BSLASHlitl] = ACTIONS(5344),
    [anon_sym_BSLASHtr] = ACTIONS(5344),
    [anon_sym_BSLASHf] = ACTIONS(5344),
    [anon_sym_BSLASHfe] = ACTIONS(5344),
    [anon_sym_BSLASHef] = ACTIONS(5344),
    [anon_sym_BSLASHfm] = ACTIONS(5344),
    [anon_sym_BSLASHx] = ACTIONS(5344),
    [anon_sym_BSLASHxt] = ACTIONS(5344),
    [anon_sym_BSLASHrq] = ACTIONS(5344),
    [anon_sym_BSLASHadd] = ACTIONS(5344),
    [anon_sym_BSLASHbk] = ACTIONS(5344),
    [anon_sym_BSLASHdc] = ACTIONS(5344),
    [anon_sym_BSLASHk] = ACTIONS(5344),
    [anon_sym_BSLASHnd] = ACTIONS(5344),
    [anon_sym_BSLASHord] = ACTIONS(5344),
    [anon_sym_BSLASHpn] = ACTIONS(5344),
    [anon_sym_BSLASHpng] = ACTIONS(5344),
    [anon_sym_BSLASHaddpn] = ACTIONS(5344),
    [anon_sym_BSLASHqt] = ACTIONS(5344),
    [anon_sym_BSLASHsig] = ACTIONS(5344),
    [anon_sym_BSLASHsls] = ACTIONS(5344),
    [anon_sym_BSLASHtl] = ACTIONS(5344),
    [anon_sym_BSLASHwj] = ACTIONS(5344),
    [anon_sym_BSLASHem] = ACTIONS(5344),
    [anon_sym_BSLASHbd] = ACTIONS(5344),
    [anon_sym_BSLASHit] = ACTIONS(5344),
    [anon_sym_BSLASHbdit] = ACTIONS(5344),
    [anon_sym_BSLASHno] = ACTIONS(5344),
    [anon_sym_BSLASHsc] = ACTIONS(5344),
    [anon_sym_BSLASHsup] = ACTIONS(5344),
    [anon_sym_BSLASHndx] = ACTIONS(5344),
    [anon_sym_BSLASHpro] = ACTIONS(5344),
    [anon_sym_BSLASHrb] = ACTIONS(5344),
    [anon_sym_BSLASHw] = ACTIONS(5344),
    [anon_sym_BSLASHwg] = ACTIONS(5344),
    [anon_sym_BSLASHwh] = ACTIONS(5344),
    [anon_sym_BSLASHwa] = ACTIONS(5344),
    [anon_sym_BSLASHfig] = ACTIONS(5344),
    [anon_sym_BSLASHjmp] = ACTIONS(5344),
    [anon_sym_BSLASHpb] = ACTIONS(5344),
    [anon_sym_BSLASH] = ACTIONS(5344),
    [sym_milestoneStartTag] = ACTIONS(5344),
    [sym_milestoneEndTag] = ACTIONS(5344),
    [sym_zSpaceTag] = ACTIONS(5344),
    [anon_sym_BSLASHesbe] = ACTIONS(5344),
    [anon_sym_BSLASHcat] = ACTIONS(5344),
  },
  [573] = {
    [aux_sym_text_token1] = ACTIONS(5394),
    [anon_sym_BSLASHref] = ACTIONS(5396),
    [anon_sym_BSLASHsts] = ACTIONS(5396),
    [anon_sym_BSLASHrem] = ACTIONS(5396),
    [anon_sym_BSLASHrestore] = ACTIONS(5396),
    [anon_sym_BSLASHlit] = ACTIONS(5396),
    [anon_sym_BSLASHip] = ACTIONS(5396),
    [anon_sym_BSLASHv] = ACTIONS(5396),
    [anon_sym_BSLASHva] = ACTIONS(5396),
    [anon_sym_BSLASHvp] = ACTIONS(5396),
    [anon_sym_BSLASHmte] = ACTIONS(5396),
    [anon_sym_BSLASHms] = ACTIONS(5396),
    [anon_sym_BSLASHs] = ACTIONS(5396),
    [anon_sym_BSLASHr] = ACTIONS(5396),
    [anon_sym_BSLASHsp] = ACTIONS(5396),
    [anon_sym_BSLASHd] = ACTIONS(5396),
    [anon_sym_BSLASHsd] = ACTIONS(5396),
    [anon_sym_BSLASHp] = ACTIONS(5396),
    [anon_sym_BSLASHm] = ACTIONS(5396),
    [anon_sym_BSLASHpo] = ACTIONS(5396),
    [anon_sym_BSLASHpr] = ACTIONS(5396),
    [anon_sym_BSLASHcls] = ACTIONS(5396),
    [anon_sym_BSLASHpmo] = ACTIONS(5396),
    [anon_sym_BSLASHpm] = ACTIONS(5396),
    [anon_sym_BSLASHpmc] = ACTIONS(5396),
    [anon_sym_BSLASHpmr] = ACTIONS(5396),
    [anon_sym_BSLASHpi] = ACTIONS(5396),
    [anon_sym_BSLASHmi] = ACTIONS(5396),
    [anon_sym_BSLASHnb] = ACTIONS(5396),
    [anon_sym_BSLASHpc] = ACTIONS(5396),
    [anon_sym_BSLASHph] = ACTIONS(5396),
    [anon_sym_BSLASHb] = ACTIONS(5396),
    [anon_sym_BSLASHq] = ACTIONS(5396),
    [anon_sym_BSLASHqr] = ACTIONS(5396),
    [anon_sym_BSLASHqc] = ACTIONS(5396),
    [anon_sym_BSLASHqa] = ACTIONS(5396),
    [anon_sym_BSLASHqm] = ACTIONS(5396),
    [anon_sym_BSLASHqd] = ACTIONS(5396),
    [anon_sym_BSLASHlh] = ACTIONS(5396),
    [anon_sym_BSLASHlf] = ACTIONS(5396),
    [anon_sym_BSLASHli] = ACTIONS(5396),
    [anon_sym_BSLASHlim] = ACTIONS(5396),
    [anon_sym_BSLASHliv] = ACTIONS(5396),
    [anon_sym_BSLASHlik] = ACTIONS(5396),
    [anon_sym_BSLASHlitl] = ACTIONS(5396),
    [anon_sym_BSLASHtr] = ACTIONS(5396),
    [anon_sym_BSLASHf] = ACTIONS(5396),
    [anon_sym_BSLASHfe] = ACTIONS(5396),
    [anon_sym_BSLASHef] = ACTIONS(5396),
    [anon_sym_BSLASHfm] = ACTIONS(5396),
    [anon_sym_BSLASHx] = ACTIONS(5396),
    [anon_sym_BSLASHxt] = ACTIONS(5396),
    [anon_sym_BSLASHrq] = ACTIONS(5396),
    [anon_sym_BSLASHadd] = ACTIONS(5396),
    [anon_sym_BSLASHbk] = ACTIONS(5396),
    [anon_sym_BSLASHdc] = ACTIONS(5396),
    [anon_sym_BSLASHk] = ACTIONS(5396),
    [anon_sym_BSLASHnd] = ACTIONS(5396),
    [anon_sym_BSLASHord] = ACTIONS(5396),
    [anon_sym_BSLASHpn] = ACTIONS(5396),
    [anon_sym_BSLASHpng] = ACTIONS(5396),
    [anon_sym_BSLASHaddpn] = ACTIONS(5396),
    [anon_sym_BSLASHqt] = ACTIONS(5396),
    [anon_sym_BSLASHsig] = ACTIONS(5396),
    [anon_sym_BSLASHsls] = ACTIONS(5396),
    [anon_sym_BSLASHtl] = ACTIONS(5396),
    [anon_sym_BSLASHwj] = ACTIONS(5396),
    [anon_sym_BSLASHem] = ACTIONS(5396),
    [anon_sym_BSLASHbd] = ACTIONS(5396),
    [anon_sym_BSLASHit] = ACTIONS(5396),
    [anon_sym_BSLASHbdit] = ACTIONS(5396),
    [anon_sym_BSLASHno] = ACTIONS(5396),
    [anon_sym_BSLASHsc] = ACTIONS(5396),
    [anon_sym_BSLASHsup] = ACTIONS(5396),
    [anon_sym_BSLASHndx] = ACTIONS(5396),
    [anon_sym_BSLASHpro] = ACTIONS(5396),
    [anon_sym_BSLASHrb] = ACTIONS(5396),
    [anon_sym_BSLASHw] = ACTIONS(5396),
    [anon_sym_BSLASHwg] = ACTIONS(5396),
    [anon_sym_BSLASHwh] = ACTIONS(5396),
    [anon_sym_BSLASHwa] = ACTIONS(5396),
    [anon_sym_BSLASHfig] = ACTIONS(5396),
    [anon_sym_BSLASHjmp] = ACTIONS(5396),
    [anon_sym_BSLASHpb] = ACTIONS(5396),
    [anon_sym_BSLASH] = ACTIONS(5396),
    [sym_milestoneStartTag] = ACTIONS(5396),
    [sym_milestoneEndTag] = ACTIONS(5396),
    [sym_zSpaceTag] = ACTIONS(5396),
    [anon_sym_BSLASHesbe] = ACTIONS(5396),
    [anon_sym_BSLASHcat] = ACTIONS(5396),
  },
  [574] = {
    [aux_sym_text_token1] = ACTIONS(5410),
    [anon_sym_BSLASHref] = ACTIONS(5412),
    [anon_sym_BSLASHsts] = ACTIONS(5412),
    [anon_sym_BSLASHrem] = ACTIONS(5412),
    [anon_sym_BSLASHrestore] = ACTIONS(5412),
    [anon_sym_BSLASHlit] = ACTIONS(5412),
    [anon_sym_BSLASHip] = ACTIONS(5412),
    [anon_sym_BSLASHv] = ACTIONS(5412),
    [anon_sym_BSLASHva] = ACTIONS(5412),
    [anon_sym_BSLASHvp] = ACTIONS(5412),
    [anon_sym_BSLASHmte] = ACTIONS(5412),
    [anon_sym_BSLASHms] = ACTIONS(5412),
    [anon_sym_BSLASHs] = ACTIONS(5412),
    [anon_sym_BSLASHr] = ACTIONS(5412),
    [anon_sym_BSLASHsp] = ACTIONS(5412),
    [anon_sym_BSLASHd] = ACTIONS(5412),
    [anon_sym_BSLASHsd] = ACTIONS(5412),
    [anon_sym_BSLASHp] = ACTIONS(5412),
    [anon_sym_BSLASHm] = ACTIONS(5412),
    [anon_sym_BSLASHpo] = ACTIONS(5412),
    [anon_sym_BSLASHpr] = ACTIONS(5412),
    [anon_sym_BSLASHcls] = ACTIONS(5412),
    [anon_sym_BSLASHpmo] = ACTIONS(5412),
    [anon_sym_BSLASHpm] = ACTIONS(5412),
    [anon_sym_BSLASHpmc] = ACTIONS(5412),
    [anon_sym_BSLASHpmr] = ACTIONS(5412),
    [anon_sym_BSLASHpi] = ACTIONS(5412),
    [anon_sym_BSLASHmi] = ACTIONS(5412),
    [anon_sym_BSLASHnb] = ACTIONS(5412),
    [anon_sym_BSLASHpc] = ACTIONS(5412),
    [anon_sym_BSLASHph] = ACTIONS(5412),
    [anon_sym_BSLASHb] = ACTIONS(5412),
    [anon_sym_BSLASHq] = ACTIONS(5412),
    [anon_sym_BSLASHqr] = ACTIONS(5412),
    [anon_sym_BSLASHqc] = ACTIONS(5412),
    [anon_sym_BSLASHqa] = ACTIONS(5412),
    [anon_sym_BSLASHqm] = ACTIONS(5412),
    [anon_sym_BSLASHqd] = ACTIONS(5412),
    [anon_sym_BSLASHlh] = ACTIONS(5412),
    [anon_sym_BSLASHlf] = ACTIONS(5412),
    [anon_sym_BSLASHli] = ACTIONS(5412),
    [anon_sym_BSLASHlim] = ACTIONS(5412),
    [anon_sym_BSLASHliv] = ACTIONS(5412),
    [anon_sym_BSLASHlik] = ACTIONS(5412),
    [anon_sym_BSLASHlitl] = ACTIONS(5412),
    [anon_sym_BSLASHtr] = ACTIONS(5412),
    [anon_sym_BSLASHf] = ACTIONS(5412),
    [anon_sym_BSLASHfe] = ACTIONS(5412),
    [anon_sym_BSLASHef] = ACTIONS(5412),
    [anon_sym_BSLASHfm] = ACTIONS(5412),
    [anon_sym_BSLASHx] = ACTIONS(5412),
    [anon_sym_BSLASHxt] = ACTIONS(5412),
    [anon_sym_BSLASHrq] = ACTIONS(5412),
    [anon_sym_BSLASHadd] = ACTIONS(5412),
    [anon_sym_BSLASHbk] = ACTIONS(5412),
    [anon_sym_BSLASHdc] = ACTIONS(5412),
    [anon_sym_BSLASHk] = ACTIONS(5412),
    [anon_sym_BSLASHnd] = ACTIONS(5412),
    [anon_sym_BSLASHord] = ACTIONS(5412),
    [anon_sym_BSLASHpn] = ACTIONS(5412),
    [anon_sym_BSLASHpng] = ACTIONS(5412),
    [anon_sym_BSLASHaddpn] = ACTIONS(5412),
    [anon_sym_BSLASHqt] = ACTIONS(5412),
    [anon_sym_BSLASHsig] = ACTIONS(5412),
    [anon_sym_BSLASHsls] = ACTIONS(5412),
    [anon_sym_BSLASHtl] = ACTIONS(5412),
    [anon_sym_BSLASHwj] = ACTIONS(5412),
    [anon_sym_BSLASHem] = ACTIONS(5412),
    [anon_sym_BSLASHbd] = ACTIONS(5412),
    [anon_sym_BSLASHit] = ACTIONS(5412),
    [anon_sym_BSLASHbdit] = ACTIONS(5412),
    [anon_sym_BSLASHno] = ACTIONS(5412),
    [anon_sym_BSLASHsc] = ACTIONS(5412),
    [anon_sym_BSLASHsup] = ACTIONS(5412),
    [anon_sym_BSLASHndx] = ACTIONS(5412),
    [anon_sym_BSLASHpro] = ACTIONS(5412),
    [anon_sym_BSLASHrb] = ACTIONS(5412),
    [anon_sym_BSLASHw] = ACTIONS(5412),
    [anon_sym_BSLASHwg] = ACTIONS(5412),
    [anon_sym_BSLASHwh] = ACTIONS(5412),
    [anon_sym_BSLASHwa] = ACTIONS(5412),
    [anon_sym_BSLASHfig] = ACTIONS(5412),
    [anon_sym_BSLASHjmp] = ACTIONS(5412),
    [anon_sym_BSLASHpb] = ACTIONS(5412),
    [anon_sym_BSLASH] = ACTIONS(5412),
    [sym_milestoneStartTag] = ACTIONS(5412),
    [sym_milestoneEndTag] = ACTIONS(5412),
    [sym_zSpaceTag] = ACTIONS(5412),
    [anon_sym_BSLASHesbe] = ACTIONS(5412),
    [anon_sym_BSLASHcat] = ACTIONS(5412),
  },
  [575] = {
    [aux_sym_text_token1] = ACTIONS(5422),
    [anon_sym_BSLASHref] = ACTIONS(5424),
    [anon_sym_BSLASHsts] = ACTIONS(5424),
    [anon_sym_BSLASHrem] = ACTIONS(5424),
    [anon_sym_BSLASHrestore] = ACTIONS(5424),
    [anon_sym_BSLASHlit] = ACTIONS(5424),
    [anon_sym_BSLASHip] = ACTIONS(5424),
    [anon_sym_BSLASHv] = ACTIONS(5424),
    [anon_sym_BSLASHva] = ACTIONS(5424),
    [anon_sym_BSLASHvp] = ACTIONS(5424),
    [anon_sym_BSLASHmte] = ACTIONS(5424),
    [anon_sym_BSLASHms] = ACTIONS(5424),
    [anon_sym_BSLASHs] = ACTIONS(5424),
    [anon_sym_BSLASHr] = ACTIONS(5424),
    [anon_sym_BSLASHsp] = ACTIONS(5424),
    [anon_sym_BSLASHd] = ACTIONS(5424),
    [anon_sym_BSLASHsd] = ACTIONS(5424),
    [anon_sym_BSLASHp] = ACTIONS(5424),
    [anon_sym_BSLASHm] = ACTIONS(5424),
    [anon_sym_BSLASHpo] = ACTIONS(5424),
    [anon_sym_BSLASHpr] = ACTIONS(5424),
    [anon_sym_BSLASHcls] = ACTIONS(5424),
    [anon_sym_BSLASHpmo] = ACTIONS(5424),
    [anon_sym_BSLASHpm] = ACTIONS(5424),
    [anon_sym_BSLASHpmc] = ACTIONS(5424),
    [anon_sym_BSLASHpmr] = ACTIONS(5424),
    [anon_sym_BSLASHpi] = ACTIONS(5424),
    [anon_sym_BSLASHmi] = ACTIONS(5424),
    [anon_sym_BSLASHnb] = ACTIONS(5424),
    [anon_sym_BSLASHpc] = ACTIONS(5424),
    [anon_sym_BSLASHph] = ACTIONS(5424),
    [anon_sym_BSLASHb] = ACTIONS(5424),
    [anon_sym_BSLASHq] = ACTIONS(5424),
    [anon_sym_BSLASHqr] = ACTIONS(5424),
    [anon_sym_BSLASHqc] = ACTIONS(5424),
    [anon_sym_BSLASHqa] = ACTIONS(5424),
    [anon_sym_BSLASHqm] = ACTIONS(5424),
    [anon_sym_BSLASHqd] = ACTIONS(5424),
    [anon_sym_BSLASHlh] = ACTIONS(5424),
    [anon_sym_BSLASHlf] = ACTIONS(5424),
    [anon_sym_BSLASHli] = ACTIONS(5424),
    [anon_sym_BSLASHlim] = ACTIONS(5424),
    [anon_sym_BSLASHliv] = ACTIONS(5424),
    [anon_sym_BSLASHlik] = ACTIONS(5424),
    [anon_sym_BSLASHlitl] = ACTIONS(5424),
    [anon_sym_BSLASHtr] = ACTIONS(5424),
    [anon_sym_BSLASHf] = ACTIONS(5424),
    [anon_sym_BSLASHfe] = ACTIONS(5424),
    [anon_sym_BSLASHef] = ACTIONS(5424),
    [anon_sym_BSLASHfm] = ACTIONS(5424),
    [anon_sym_BSLASHx] = ACTIONS(5424),
    [anon_sym_BSLASHxt] = ACTIONS(5424),
    [anon_sym_BSLASHrq] = ACTIONS(5424),
    [anon_sym_BSLASHadd] = ACTIONS(5424),
    [anon_sym_BSLASHbk] = ACTIONS(5424),
    [anon_sym_BSLASHdc] = ACTIONS(5424),
    [anon_sym_BSLASHk] = ACTIONS(5424),
    [anon_sym_BSLASHnd] = ACTIONS(5424),
    [anon_sym_BSLASHord] = ACTIONS(5424),
    [anon_sym_BSLASHpn] = ACTIONS(5424),
    [anon_sym_BSLASHpng] = ACTIONS(5424),
    [anon_sym_BSLASHaddpn] = ACTIONS(5424),
    [anon_sym_BSLASHqt] = ACTIONS(5424),
    [anon_sym_BSLASHsig] = ACTIONS(5424),
    [anon_sym_BSLASHsls] = ACTIONS(5424),
    [anon_sym_BSLASHtl] = ACTIONS(5424),
    [anon_sym_BSLASHwj] = ACTIONS(5424),
    [anon_sym_BSLASHem] = ACTIONS(5424),
    [anon_sym_BSLASHbd] = ACTIONS(5424),
    [anon_sym_BSLASHit] = ACTIONS(5424),
    [anon_sym_BSLASHbdit] = ACTIONS(5424),
    [anon_sym_BSLASHno] = ACTIONS(5424),
    [anon_sym_BSLASHsc] = ACTIONS(5424),
    [anon_sym_BSLASHsup] = ACTIONS(5424),
    [anon_sym_BSLASHndx] = ACTIONS(5424),
    [anon_sym_BSLASHpro] = ACTIONS(5424),
    [anon_sym_BSLASHrb] = ACTIONS(5424),
    [anon_sym_BSLASHw] = ACTIONS(5424),
    [anon_sym_BSLASHwg] = ACTIONS(5424),
    [anon_sym_BSLASHwh] = ACTIONS(5424),
    [anon_sym_BSLASHwa] = ACTIONS(5424),
    [anon_sym_BSLASHfig] = ACTIONS(5424),
    [anon_sym_BSLASHjmp] = ACTIONS(5424),
    [anon_sym_BSLASHpb] = ACTIONS(5424),
    [anon_sym_BSLASH] = ACTIONS(5424),
    [sym_milestoneStartTag] = ACTIONS(5424),
    [sym_milestoneEndTag] = ACTIONS(5424),
    [sym_zSpaceTag] = ACTIONS(5424),
    [anon_sym_BSLASHesbe] = ACTIONS(5424),
    [anon_sym_BSLASHcat] = ACTIONS(5424),
  },
  [576] = {
    [aux_sym_text_token1] = ACTIONS(5326),
    [anon_sym_BSLASHref] = ACTIONS(5328),
    [anon_sym_BSLASHsts] = ACTIONS(5328),
    [anon_sym_BSLASHrem] = ACTIONS(5328),
    [anon_sym_BSLASHrestore] = ACTIONS(5328),
    [anon_sym_BSLASHlit] = ACTIONS(5328),
    [anon_sym_BSLASHip] = ACTIONS(5328),
    [anon_sym_BSLASHv] = ACTIONS(5328),
    [anon_sym_BSLASHva] = ACTIONS(5328),
    [anon_sym_BSLASHvp] = ACTIONS(5328),
    [anon_sym_BSLASHmte] = ACTIONS(5328),
    [anon_sym_BSLASHms] = ACTIONS(5328),
    [anon_sym_BSLASHs] = ACTIONS(5328),
    [anon_sym_BSLASHr] = ACTIONS(5328),
    [anon_sym_BSLASHsp] = ACTIONS(5328),
    [anon_sym_BSLASHd] = ACTIONS(5328),
    [anon_sym_BSLASHsd] = ACTIONS(5328),
    [anon_sym_BSLASHp] = ACTIONS(5328),
    [anon_sym_BSLASHm] = ACTIONS(5328),
    [anon_sym_BSLASHpo] = ACTIONS(5328),
    [anon_sym_BSLASHpr] = ACTIONS(5328),
    [anon_sym_BSLASHcls] = ACTIONS(5328),
    [anon_sym_BSLASHpmo] = ACTIONS(5328),
    [anon_sym_BSLASHpm] = ACTIONS(5328),
    [anon_sym_BSLASHpmc] = ACTIONS(5328),
    [anon_sym_BSLASHpmr] = ACTIONS(5328),
    [anon_sym_BSLASHpi] = ACTIONS(5328),
    [anon_sym_BSLASHmi] = ACTIONS(5328),
    [anon_sym_BSLASHnb] = ACTIONS(5328),
    [anon_sym_BSLASHpc] = ACTIONS(5328),
    [anon_sym_BSLASHph] = ACTIONS(5328),
    [anon_sym_BSLASHb] = ACTIONS(5328),
    [anon_sym_BSLASHq] = ACTIONS(5328),
    [anon_sym_BSLASHqr] = ACTIONS(5328),
    [anon_sym_BSLASHqc] = ACTIONS(5328),
    [anon_sym_BSLASHqa] = ACTIONS(5328),
    [anon_sym_BSLASHqm] = ACTIONS(5328),
    [anon_sym_BSLASHqd] = ACTIONS(5328),
    [anon_sym_BSLASHlh] = ACTIONS(5328),
    [anon_sym_BSLASHlf] = ACTIONS(5328),
    [anon_sym_BSLASHli] = ACTIONS(5328),
    [anon_sym_BSLASHlim] = ACTIONS(5328),
    [anon_sym_BSLASHliv] = ACTIONS(5328),
    [anon_sym_BSLASHlik] = ACTIONS(5328),
    [anon_sym_BSLASHlitl] = ACTIONS(5328),
    [anon_sym_BSLASHtr] = ACTIONS(5328),
    [anon_sym_BSLASHf] = ACTIONS(5328),
    [anon_sym_BSLASHfe] = ACTIONS(5328),
    [anon_sym_BSLASHef] = ACTIONS(5328),
    [anon_sym_BSLASHfm] = ACTIONS(5328),
    [anon_sym_BSLASHx] = ACTIONS(5328),
    [anon_sym_BSLASHxt] = ACTIONS(5328),
    [anon_sym_BSLASHrq] = ACTIONS(5328),
    [anon_sym_BSLASHadd] = ACTIONS(5328),
    [anon_sym_BSLASHbk] = ACTIONS(5328),
    [anon_sym_BSLASHdc] = ACTIONS(5328),
    [anon_sym_BSLASHk] = ACTIONS(5328),
    [anon_sym_BSLASHnd] = ACTIONS(5328),
    [anon_sym_BSLASHord] = ACTIONS(5328),
    [anon_sym_BSLASHpn] = ACTIONS(5328),
    [anon_sym_BSLASHpng] = ACTIONS(5328),
    [anon_sym_BSLASHaddpn] = ACTIONS(5328),
    [anon_sym_BSLASHqt] = ACTIONS(5328),
    [anon_sym_BSLASHsig] = ACTIONS(5328),
    [anon_sym_BSLASHsls] = ACTIONS(5328),
    [anon_sym_BSLASHtl] = ACTIONS(5328),
    [anon_sym_BSLASHwj] = ACTIONS(5328),
    [anon_sym_BSLASHem] = ACTIONS(5328),
    [anon_sym_BSLASHbd] = ACTIONS(5328),
    [anon_sym_BSLASHit] = ACTIONS(5328),
    [anon_sym_BSLASHbdit] = ACTIONS(5328),
    [anon_sym_BSLASHno] = ACTIONS(5328),
    [anon_sym_BSLASHsc] = ACTIONS(5328),
    [anon_sym_BSLASHsup] = ACTIONS(5328),
    [anon_sym_BSLASHndx] = ACTIONS(5328),
    [anon_sym_BSLASHpro] = ACTIONS(5328),
    [anon_sym_BSLASHrb] = ACTIONS(5328),
    [anon_sym_BSLASHw] = ACTIONS(5328),
    [anon_sym_BSLASHwg] = ACTIONS(5328),
    [anon_sym_BSLASHwh] = ACTIONS(5328),
    [anon_sym_BSLASHwa] = ACTIONS(5328),
    [anon_sym_BSLASHfig] = ACTIONS(5328),
    [anon_sym_BSLASHjmp] = ACTIONS(5328),
    [anon_sym_BSLASHpb] = ACTIONS(5328),
    [anon_sym_BSLASH] = ACTIONS(5328),
    [sym_milestoneStartTag] = ACTIONS(5328),
    [sym_milestoneEndTag] = ACTIONS(5328),
    [sym_zSpaceTag] = ACTIONS(5328),
    [anon_sym_BSLASHesbe] = ACTIONS(5328),
    [anon_sym_BSLASHcat] = ACTIONS(5328),
  },
  [577] = {
    [aux_sym_text_token1] = ACTIONS(5426),
    [anon_sym_BSLASHref] = ACTIONS(5428),
    [anon_sym_BSLASHsts] = ACTIONS(5428),
    [anon_sym_BSLASHrem] = ACTIONS(5428),
    [anon_sym_BSLASHrestore] = ACTIONS(5428),
    [anon_sym_BSLASHlit] = ACTIONS(5428),
    [anon_sym_BSLASHip] = ACTIONS(5428),
    [anon_sym_BSLASHv] = ACTIONS(5428),
    [anon_sym_BSLASHva] = ACTIONS(5428),
    [anon_sym_BSLASHvp] = ACTIONS(5428),
    [anon_sym_BSLASHmte] = ACTIONS(5428),
    [anon_sym_BSLASHms] = ACTIONS(5428),
    [anon_sym_BSLASHs] = ACTIONS(5428),
    [anon_sym_BSLASHr] = ACTIONS(5428),
    [anon_sym_BSLASHsp] = ACTIONS(5428),
    [anon_sym_BSLASHd] = ACTIONS(5428),
    [anon_sym_BSLASHsd] = ACTIONS(5428),
    [anon_sym_BSLASHp] = ACTIONS(5428),
    [anon_sym_BSLASHm] = ACTIONS(5428),
    [anon_sym_BSLASHpo] = ACTIONS(5428),
    [anon_sym_BSLASHpr] = ACTIONS(5428),
    [anon_sym_BSLASHcls] = ACTIONS(5428),
    [anon_sym_BSLASHpmo] = ACTIONS(5428),
    [anon_sym_BSLASHpm] = ACTIONS(5428),
    [anon_sym_BSLASHpmc] = ACTIONS(5428),
    [anon_sym_BSLASHpmr] = ACTIONS(5428),
    [anon_sym_BSLASHpi] = ACTIONS(5428),
    [anon_sym_BSLASHmi] = ACTIONS(5428),
    [anon_sym_BSLASHnb] = ACTIONS(5428),
    [anon_sym_BSLASHpc] = ACTIONS(5428),
    [anon_sym_BSLASHph] = ACTIONS(5428),
    [anon_sym_BSLASHb] = ACTIONS(5428),
    [anon_sym_BSLASHq] = ACTIONS(5428),
    [anon_sym_BSLASHqr] = ACTIONS(5428),
    [anon_sym_BSLASHqc] = ACTIONS(5428),
    [anon_sym_BSLASHqa] = ACTIONS(5428),
    [anon_sym_BSLASHqm] = ACTIONS(5428),
    [anon_sym_BSLASHqd] = ACTIONS(5428),
    [anon_sym_BSLASHlh] = ACTIONS(5428),
    [anon_sym_BSLASHlf] = ACTIONS(5428),
    [anon_sym_BSLASHli] = ACTIONS(5428),
    [anon_sym_BSLASHlim] = ACTIONS(5428),
    [anon_sym_BSLASHliv] = ACTIONS(5428),
    [anon_sym_BSLASHlik] = ACTIONS(5428),
    [anon_sym_BSLASHlitl] = ACTIONS(5428),
    [anon_sym_BSLASHtr] = ACTIONS(5428),
    [anon_sym_BSLASHf] = ACTIONS(5428),
    [anon_sym_BSLASHfe] = ACTIONS(5428),
    [anon_sym_BSLASHef] = ACTIONS(5428),
    [anon_sym_BSLASHfm] = ACTIONS(5428),
    [anon_sym_BSLASHx] = ACTIONS(5428),
    [anon_sym_BSLASHxt] = ACTIONS(5428),
    [anon_sym_BSLASHrq] = ACTIONS(5428),
    [anon_sym_BSLASHadd] = ACTIONS(5428),
    [anon_sym_BSLASHbk] = ACTIONS(5428),
    [anon_sym_BSLASHdc] = ACTIONS(5428),
    [anon_sym_BSLASHk] = ACTIONS(5428),
    [anon_sym_BSLASHnd] = ACTIONS(5428),
    [anon_sym_BSLASHord] = ACTIONS(5428),
    [anon_sym_BSLASHpn] = ACTIONS(5428),
    [anon_sym_BSLASHpng] = ACTIONS(5428),
    [anon_sym_BSLASHaddpn] = ACTIONS(5428),
    [anon_sym_BSLASHqt] = ACTIONS(5428),
    [anon_sym_BSLASHsig] = ACTIONS(5428),
    [anon_sym_BSLASHsls] = ACTIONS(5428),
    [anon_sym_BSLASHtl] = ACTIONS(5428),
    [anon_sym_BSLASHwj] = ACTIONS(5428),
    [anon_sym_BSLASHem] = ACTIONS(5428),
    [anon_sym_BSLASHbd] = ACTIONS(5428),
    [anon_sym_BSLASHit] = ACTIONS(5428),
    [anon_sym_BSLASHbdit] = ACTIONS(5428),
    [anon_sym_BSLASHno] = ACTIONS(5428),
    [anon_sym_BSLASHsc] = ACTIONS(5428),
    [anon_sym_BSLASHsup] = ACTIONS(5428),
    [anon_sym_BSLASHndx] = ACTIONS(5428),
    [anon_sym_BSLASHpro] = ACTIONS(5428),
    [anon_sym_BSLASHrb] = ACTIONS(5428),
    [anon_sym_BSLASHw] = ACTIONS(5428),
    [anon_sym_BSLASHwg] = ACTIONS(5428),
    [anon_sym_BSLASHwh] = ACTIONS(5428),
    [anon_sym_BSLASHwa] = ACTIONS(5428),
    [anon_sym_BSLASHfig] = ACTIONS(5428),
    [anon_sym_BSLASHjmp] = ACTIONS(5428),
    [anon_sym_BSLASHpb] = ACTIONS(5428),
    [anon_sym_BSLASH] = ACTIONS(5428),
    [sym_milestoneStartTag] = ACTIONS(5428),
    [sym_milestoneEndTag] = ACTIONS(5428),
    [sym_zSpaceTag] = ACTIONS(5428),
    [anon_sym_BSLASHesbe] = ACTIONS(5428),
    [anon_sym_BSLASHcat] = ACTIONS(5428),
  },
  [578] = {
    [aux_sym_text_token1] = ACTIONS(5354),
    [anon_sym_BSLASHref] = ACTIONS(5356),
    [anon_sym_BSLASHsts] = ACTIONS(5356),
    [anon_sym_BSLASHrem] = ACTIONS(5356),
    [anon_sym_BSLASHrestore] = ACTIONS(5356),
    [anon_sym_BSLASHlit] = ACTIONS(5356),
    [anon_sym_BSLASHip] = ACTIONS(5356),
    [anon_sym_BSLASHv] = ACTIONS(5356),
    [anon_sym_BSLASHva] = ACTIONS(5356),
    [anon_sym_BSLASHvp] = ACTIONS(5356),
    [anon_sym_BSLASHmte] = ACTIONS(5356),
    [anon_sym_BSLASHms] = ACTIONS(5356),
    [anon_sym_BSLASHs] = ACTIONS(5356),
    [anon_sym_BSLASHr] = ACTIONS(5356),
    [anon_sym_BSLASHsp] = ACTIONS(5356),
    [anon_sym_BSLASHd] = ACTIONS(5356),
    [anon_sym_BSLASHsd] = ACTIONS(5356),
    [anon_sym_BSLASHp] = ACTIONS(5356),
    [anon_sym_BSLASHm] = ACTIONS(5356),
    [anon_sym_BSLASHpo] = ACTIONS(5356),
    [anon_sym_BSLASHpr] = ACTIONS(5356),
    [anon_sym_BSLASHcls] = ACTIONS(5356),
    [anon_sym_BSLASHpmo] = ACTIONS(5356),
    [anon_sym_BSLASHpm] = ACTIONS(5356),
    [anon_sym_BSLASHpmc] = ACTIONS(5356),
    [anon_sym_BSLASHpmr] = ACTIONS(5356),
    [anon_sym_BSLASHpi] = ACTIONS(5356),
    [anon_sym_BSLASHmi] = ACTIONS(5356),
    [anon_sym_BSLASHnb] = ACTIONS(5356),
    [anon_sym_BSLASHpc] = ACTIONS(5356),
    [anon_sym_BSLASHph] = ACTIONS(5356),
    [anon_sym_BSLASHb] = ACTIONS(5356),
    [anon_sym_BSLASHq] = ACTIONS(5356),
    [anon_sym_BSLASHqr] = ACTIONS(5356),
    [anon_sym_BSLASHqc] = ACTIONS(5356),
    [anon_sym_BSLASHqa] = ACTIONS(5356),
    [anon_sym_BSLASHqm] = ACTIONS(5356),
    [anon_sym_BSLASHqd] = ACTIONS(5356),
    [anon_sym_BSLASHlh] = ACTIONS(5356),
    [anon_sym_BSLASHlf] = ACTIONS(5356),
    [anon_sym_BSLASHli] = ACTIONS(5356),
    [anon_sym_BSLASHlim] = ACTIONS(5356),
    [anon_sym_BSLASHliv] = ACTIONS(5356),
    [anon_sym_BSLASHlik] = ACTIONS(5356),
    [anon_sym_BSLASHlitl] = ACTIONS(5356),
    [anon_sym_BSLASHtr] = ACTIONS(5356),
    [anon_sym_BSLASHf] = ACTIONS(5356),
    [anon_sym_BSLASHfe] = ACTIONS(5356),
    [anon_sym_BSLASHef] = ACTIONS(5356),
    [anon_sym_BSLASHfm] = ACTIONS(5356),
    [anon_sym_BSLASHx] = ACTIONS(5356),
    [anon_sym_BSLASHxt] = ACTIONS(5356),
    [anon_sym_BSLASHrq] = ACTIONS(5356),
    [anon_sym_BSLASHadd] = ACTIONS(5356),
    [anon_sym_BSLASHbk] = ACTIONS(5356),
    [anon_sym_BSLASHdc] = ACTIONS(5356),
    [anon_sym_BSLASHk] = ACTIONS(5356),
    [anon_sym_BSLASHnd] = ACTIONS(5356),
    [anon_sym_BSLASHord] = ACTIONS(5356),
    [anon_sym_BSLASHpn] = ACTIONS(5356),
    [anon_sym_BSLASHpng] = ACTIONS(5356),
    [anon_sym_BSLASHaddpn] = ACTIONS(5356),
    [anon_sym_BSLASHqt] = ACTIONS(5356),
    [anon_sym_BSLASHsig] = ACTIONS(5356),
    [anon_sym_BSLASHsls] = ACTIONS(5356),
    [anon_sym_BSLASHtl] = ACTIONS(5356),
    [anon_sym_BSLASHwj] = ACTIONS(5356),
    [anon_sym_BSLASHem] = ACTIONS(5356),
    [anon_sym_BSLASHbd] = ACTIONS(5356),
    [anon_sym_BSLASHit] = ACTIONS(5356),
    [anon_sym_BSLASHbdit] = ACTIONS(5356),
    [anon_sym_BSLASHno] = ACTIONS(5356),
    [anon_sym_BSLASHsc] = ACTIONS(5356),
    [anon_sym_BSLASHsup] = ACTIONS(5356),
    [anon_sym_BSLASHndx] = ACTIONS(5356),
    [anon_sym_BSLASHpro] = ACTIONS(5356),
    [anon_sym_BSLASHrb] = ACTIONS(5356),
    [anon_sym_BSLASHw] = ACTIONS(5356),
    [anon_sym_BSLASHwg] = ACTIONS(5356),
    [anon_sym_BSLASHwh] = ACTIONS(5356),
    [anon_sym_BSLASHwa] = ACTIONS(5356),
    [anon_sym_BSLASHfig] = ACTIONS(5356),
    [anon_sym_BSLASHjmp] = ACTIONS(5356),
    [anon_sym_BSLASHpb] = ACTIONS(5356),
    [anon_sym_BSLASH] = ACTIONS(5356),
    [sym_milestoneStartTag] = ACTIONS(5356),
    [sym_milestoneEndTag] = ACTIONS(5356),
    [sym_zSpaceTag] = ACTIONS(5356),
    [anon_sym_BSLASHesbe] = ACTIONS(5356),
    [anon_sym_BSLASHcat] = ACTIONS(5356),
  },
  [579] = {
    [aux_sym_text_token1] = ACTIONS(5382),
    [anon_sym_BSLASHref] = ACTIONS(5384),
    [anon_sym_BSLASHsts] = ACTIONS(5384),
    [anon_sym_BSLASHrem] = ACTIONS(5384),
    [anon_sym_BSLASHrestore] = ACTIONS(5384),
    [anon_sym_BSLASHlit] = ACTIONS(5384),
    [anon_sym_BSLASHip] = ACTIONS(5384),
    [anon_sym_BSLASHv] = ACTIONS(5384),
    [anon_sym_BSLASHva] = ACTIONS(5384),
    [anon_sym_BSLASHvp] = ACTIONS(5384),
    [anon_sym_BSLASHmte] = ACTIONS(5384),
    [anon_sym_BSLASHms] = ACTIONS(5384),
    [anon_sym_BSLASHs] = ACTIONS(5384),
    [anon_sym_BSLASHr] = ACTIONS(5384),
    [anon_sym_BSLASHsp] = ACTIONS(5384),
    [anon_sym_BSLASHd] = ACTIONS(5384),
    [anon_sym_BSLASHsd] = ACTIONS(5384),
    [anon_sym_BSLASHp] = ACTIONS(5384),
    [anon_sym_BSLASHm] = ACTIONS(5384),
    [anon_sym_BSLASHpo] = ACTIONS(5384),
    [anon_sym_BSLASHpr] = ACTIONS(5384),
    [anon_sym_BSLASHcls] = ACTIONS(5384),
    [anon_sym_BSLASHpmo] = ACTIONS(5384),
    [anon_sym_BSLASHpm] = ACTIONS(5384),
    [anon_sym_BSLASHpmc] = ACTIONS(5384),
    [anon_sym_BSLASHpmr] = ACTIONS(5384),
    [anon_sym_BSLASHpi] = ACTIONS(5384),
    [anon_sym_BSLASHmi] = ACTIONS(5384),
    [anon_sym_BSLASHnb] = ACTIONS(5384),
    [anon_sym_BSLASHpc] = ACTIONS(5384),
    [anon_sym_BSLASHph] = ACTIONS(5384),
    [anon_sym_BSLASHb] = ACTIONS(5384),
    [anon_sym_BSLASHq] = ACTIONS(5384),
    [anon_sym_BSLASHqr] = ACTIONS(5384),
    [anon_sym_BSLASHqc] = ACTIONS(5384),
    [anon_sym_BSLASHqa] = ACTIONS(5384),
    [anon_sym_BSLASHqm] = ACTIONS(5384),
    [anon_sym_BSLASHqd] = ACTIONS(5384),
    [anon_sym_BSLASHlh] = ACTIONS(5384),
    [anon_sym_BSLASHlf] = ACTIONS(5384),
    [anon_sym_BSLASHli] = ACTIONS(5384),
    [anon_sym_BSLASHlim] = ACTIONS(5384),
    [anon_sym_BSLASHliv] = ACTIONS(5384),
    [anon_sym_BSLASHlik] = ACTIONS(5384),
    [anon_sym_BSLASHlitl] = ACTIONS(5384),
    [anon_sym_BSLASHtr] = ACTIONS(5384),
    [anon_sym_BSLASHf] = ACTIONS(5384),
    [anon_sym_BSLASHfe] = ACTIONS(5384),
    [anon_sym_BSLASHef] = ACTIONS(5384),
    [anon_sym_BSLASHfm] = ACTIONS(5384),
    [anon_sym_BSLASHx] = ACTIONS(5384),
    [anon_sym_BSLASHxt] = ACTIONS(5384),
    [anon_sym_BSLASHrq] = ACTIONS(5384),
    [anon_sym_BSLASHadd] = ACTIONS(5384),
    [anon_sym_BSLASHbk] = ACTIONS(5384),
    [anon_sym_BSLASHdc] = ACTIONS(5384),
    [anon_sym_BSLASHk] = ACTIONS(5384),
    [anon_sym_BSLASHnd] = ACTIONS(5384),
    [anon_sym_BSLASHord] = ACTIONS(5384),
    [anon_sym_BSLASHpn] = ACTIONS(5384),
    [anon_sym_BSLASHpng] = ACTIONS(5384),
    [anon_sym_BSLASHaddpn] = ACTIONS(5384),
    [anon_sym_BSLASHqt] = ACTIONS(5384),
    [anon_sym_BSLASHsig] = ACTIONS(5384),
    [anon_sym_BSLASHsls] = ACTIONS(5384),
    [anon_sym_BSLASHtl] = ACTIONS(5384),
    [anon_sym_BSLASHwj] = ACTIONS(5384),
    [anon_sym_BSLASHem] = ACTIONS(5384),
    [anon_sym_BSLASHbd] = ACTIONS(5384),
    [anon_sym_BSLASHit] = ACTIONS(5384),
    [anon_sym_BSLASHbdit] = ACTIONS(5384),
    [anon_sym_BSLASHno] = ACTIONS(5384),
    [anon_sym_BSLASHsc] = ACTIONS(5384),
    [anon_sym_BSLASHsup] = ACTIONS(5384),
    [anon_sym_BSLASHndx] = ACTIONS(5384),
    [anon_sym_BSLASHpro] = ACTIONS(5384),
    [anon_sym_BSLASHrb] = ACTIONS(5384),
    [anon_sym_BSLASHw] = ACTIONS(5384),
    [anon_sym_BSLASHwg] = ACTIONS(5384),
    [anon_sym_BSLASHwh] = ACTIONS(5384),
    [anon_sym_BSLASHwa] = ACTIONS(5384),
    [anon_sym_BSLASHfig] = ACTIONS(5384),
    [anon_sym_BSLASHjmp] = ACTIONS(5384),
    [anon_sym_BSLASHpb] = ACTIONS(5384),
    [anon_sym_BSLASH] = ACTIONS(5384),
    [sym_milestoneStartTag] = ACTIONS(5384),
    [sym_milestoneEndTag] = ACTIONS(5384),
    [sym_zSpaceTag] = ACTIONS(5384),
    [anon_sym_BSLASHesbe] = ACTIONS(5384),
    [anon_sym_BSLASHcat] = ACTIONS(5384),
  },
  [580] = {
    [aux_sym_text_token1] = ACTIONS(5414),
    [anon_sym_BSLASHref] = ACTIONS(5416),
    [anon_sym_BSLASHsts] = ACTIONS(5416),
    [anon_sym_BSLASHrem] = ACTIONS(5416),
    [anon_sym_BSLASHrestore] = ACTIONS(5416),
    [anon_sym_BSLASHlit] = ACTIONS(5416),
    [anon_sym_BSLASHip] = ACTIONS(5416),
    [anon_sym_BSLASHv] = ACTIONS(5416),
    [anon_sym_BSLASHva] = ACTIONS(5416),
    [anon_sym_BSLASHvp] = ACTIONS(5416),
    [anon_sym_BSLASHmte] = ACTIONS(5416),
    [anon_sym_BSLASHms] = ACTIONS(5416),
    [anon_sym_BSLASHs] = ACTIONS(5416),
    [anon_sym_BSLASHr] = ACTIONS(5416),
    [anon_sym_BSLASHsp] = ACTIONS(5416),
    [anon_sym_BSLASHd] = ACTIONS(5416),
    [anon_sym_BSLASHsd] = ACTIONS(5416),
    [anon_sym_BSLASHp] = ACTIONS(5416),
    [anon_sym_BSLASHm] = ACTIONS(5416),
    [anon_sym_BSLASHpo] = ACTIONS(5416),
    [anon_sym_BSLASHpr] = ACTIONS(5416),
    [anon_sym_BSLASHcls] = ACTIONS(5416),
    [anon_sym_BSLASHpmo] = ACTIONS(5416),
    [anon_sym_BSLASHpm] = ACTIONS(5416),
    [anon_sym_BSLASHpmc] = ACTIONS(5416),
    [anon_sym_BSLASHpmr] = ACTIONS(5416),
    [anon_sym_BSLASHpi] = ACTIONS(5416),
    [anon_sym_BSLASHmi] = ACTIONS(5416),
    [anon_sym_BSLASHnb] = ACTIONS(5416),
    [anon_sym_BSLASHpc] = ACTIONS(5416),
    [anon_sym_BSLASHph] = ACTIONS(5416),
    [anon_sym_BSLASHb] = ACTIONS(5416),
    [anon_sym_BSLASHq] = ACTIONS(5416),
    [anon_sym_BSLASHqr] = ACTIONS(5416),
    [anon_sym_BSLASHqc] = ACTIONS(5416),
    [anon_sym_BSLASHqa] = ACTIONS(5416),
    [anon_sym_BSLASHqm] = ACTIONS(5416),
    [anon_sym_BSLASHqd] = ACTIONS(5416),
    [anon_sym_BSLASHlh] = ACTIONS(5416),
    [anon_sym_BSLASHlf] = ACTIONS(5416),
    [anon_sym_BSLASHli] = ACTIONS(5416),
    [anon_sym_BSLASHlim] = ACTIONS(5416),
    [anon_sym_BSLASHliv] = ACTIONS(5416),
    [anon_sym_BSLASHlik] = ACTIONS(5416),
    [anon_sym_BSLASHlitl] = ACTIONS(5416),
    [anon_sym_BSLASHtr] = ACTIONS(5416),
    [anon_sym_BSLASHf] = ACTIONS(5416),
    [anon_sym_BSLASHfe] = ACTIONS(5416),
    [anon_sym_BSLASHef] = ACTIONS(5416),
    [anon_sym_BSLASHfm] = ACTIONS(5416),
    [anon_sym_BSLASHx] = ACTIONS(5416),
    [anon_sym_BSLASHxt] = ACTIONS(5416),
    [anon_sym_BSLASHrq] = ACTIONS(5416),
    [anon_sym_BSLASHadd] = ACTIONS(5416),
    [anon_sym_BSLASHbk] = ACTIONS(5416),
    [anon_sym_BSLASHdc] = ACTIONS(5416),
    [anon_sym_BSLASHk] = ACTIONS(5416),
    [anon_sym_BSLASHnd] = ACTIONS(5416),
    [anon_sym_BSLASHord] = ACTIONS(5416),
    [anon_sym_BSLASHpn] = ACTIONS(5416),
    [anon_sym_BSLASHpng] = ACTIONS(5416),
    [anon_sym_BSLASHaddpn] = ACTIONS(5416),
    [anon_sym_BSLASHqt] = ACTIONS(5416),
    [anon_sym_BSLASHsig] = ACTIONS(5416),
    [anon_sym_BSLASHsls] = ACTIONS(5416),
    [anon_sym_BSLASHtl] = ACTIONS(5416),
    [anon_sym_BSLASHwj] = ACTIONS(5416),
    [anon_sym_BSLASHem] = ACTIONS(5416),
    [anon_sym_BSLASHbd] = ACTIONS(5416),
    [anon_sym_BSLASHit] = ACTIONS(5416),
    [anon_sym_BSLASHbdit] = ACTIONS(5416),
    [anon_sym_BSLASHno] = ACTIONS(5416),
    [anon_sym_BSLASHsc] = ACTIONS(5416),
    [anon_sym_BSLASHsup] = ACTIONS(5416),
    [anon_sym_BSLASHndx] = ACTIONS(5416),
    [anon_sym_BSLASHpro] = ACTIONS(5416),
    [anon_sym_BSLASHrb] = ACTIONS(5416),
    [anon_sym_BSLASHw] = ACTIONS(5416),
    [anon_sym_BSLASHwg] = ACTIONS(5416),
    [anon_sym_BSLASHwh] = ACTIONS(5416),
    [anon_sym_BSLASHwa] = ACTIONS(5416),
    [anon_sym_BSLASHfig] = ACTIONS(5416),
    [anon_sym_BSLASHjmp] = ACTIONS(5416),
    [anon_sym_BSLASHpb] = ACTIONS(5416),
    [anon_sym_BSLASH] = ACTIONS(5416),
    [sym_milestoneStartTag] = ACTIONS(5416),
    [sym_milestoneEndTag] = ACTIONS(5416),
    [sym_zSpaceTag] = ACTIONS(5416),
    [anon_sym_BSLASHesbe] = ACTIONS(5416),
    [anon_sym_BSLASHcat] = ACTIONS(5416),
  },
  [581] = {
    [aux_sym_text_token1] = ACTIONS(5378),
    [anon_sym_BSLASHref] = ACTIONS(5380),
    [anon_sym_BSLASHsts] = ACTIONS(5380),
    [anon_sym_BSLASHrem] = ACTIONS(5380),
    [anon_sym_BSLASHrestore] = ACTIONS(5380),
    [anon_sym_BSLASHlit] = ACTIONS(5380),
    [anon_sym_BSLASHip] = ACTIONS(5380),
    [anon_sym_BSLASHv] = ACTIONS(5380),
    [anon_sym_BSLASHva] = ACTIONS(5380),
    [anon_sym_BSLASHvp] = ACTIONS(5380),
    [anon_sym_BSLASHmte] = ACTIONS(5380),
    [anon_sym_BSLASHms] = ACTIONS(5380),
    [anon_sym_BSLASHs] = ACTIONS(5380),
    [anon_sym_BSLASHr] = ACTIONS(5380),
    [anon_sym_BSLASHsp] = ACTIONS(5380),
    [anon_sym_BSLASHd] = ACTIONS(5380),
    [anon_sym_BSLASHsd] = ACTIONS(5380),
    [anon_sym_BSLASHp] = ACTIONS(5380),
    [anon_sym_BSLASHm] = ACTIONS(5380),
    [anon_sym_BSLASHpo] = ACTIONS(5380),
    [anon_sym_BSLASHpr] = ACTIONS(5380),
    [anon_sym_BSLASHcls] = ACTIONS(5380),
    [anon_sym_BSLASHpmo] = ACTIONS(5380),
    [anon_sym_BSLASHpm] = ACTIONS(5380),
    [anon_sym_BSLASHpmc] = ACTIONS(5380),
    [anon_sym_BSLASHpmr] = ACTIONS(5380),
    [anon_sym_BSLASHpi] = ACTIONS(5380),
    [anon_sym_BSLASHmi] = ACTIONS(5380),
    [anon_sym_BSLASHnb] = ACTIONS(5380),
    [anon_sym_BSLASHpc] = ACTIONS(5380),
    [anon_sym_BSLASHph] = ACTIONS(5380),
    [anon_sym_BSLASHb] = ACTIONS(5380),
    [anon_sym_BSLASHq] = ACTIONS(5380),
    [anon_sym_BSLASHqr] = ACTIONS(5380),
    [anon_sym_BSLASHqc] = ACTIONS(5380),
    [anon_sym_BSLASHqa] = ACTIONS(5380),
    [anon_sym_BSLASHqm] = ACTIONS(5380),
    [anon_sym_BSLASHqd] = ACTIONS(5380),
    [anon_sym_BSLASHlh] = ACTIONS(5380),
    [anon_sym_BSLASHlf] = ACTIONS(5380),
    [anon_sym_BSLASHli] = ACTIONS(5380),
    [anon_sym_BSLASHlim] = ACTIONS(5380),
    [anon_sym_BSLASHliv] = ACTIONS(5380),
    [anon_sym_BSLASHlik] = ACTIONS(5380),
    [anon_sym_BSLASHlitl] = ACTIONS(5380),
    [anon_sym_BSLASHtr] = ACTIONS(5380),
    [anon_sym_BSLASHf] = ACTIONS(5380),
    [anon_sym_BSLASHfe] = ACTIONS(5380),
    [anon_sym_BSLASHef] = ACTIONS(5380),
    [anon_sym_BSLASHfm] = ACTIONS(5380),
    [anon_sym_BSLASHx] = ACTIONS(5380),
    [anon_sym_BSLASHxt] = ACTIONS(5380),
    [anon_sym_BSLASHrq] = ACTIONS(5380),
    [anon_sym_BSLASHadd] = ACTIONS(5380),
    [anon_sym_BSLASHbk] = ACTIONS(5380),
    [anon_sym_BSLASHdc] = ACTIONS(5380),
    [anon_sym_BSLASHk] = ACTIONS(5380),
    [anon_sym_BSLASHnd] = ACTIONS(5380),
    [anon_sym_BSLASHord] = ACTIONS(5380),
    [anon_sym_BSLASHpn] = ACTIONS(5380),
    [anon_sym_BSLASHpng] = ACTIONS(5380),
    [anon_sym_BSLASHaddpn] = ACTIONS(5380),
    [anon_sym_BSLASHqt] = ACTIONS(5380),
    [anon_sym_BSLASHsig] = ACTIONS(5380),
    [anon_sym_BSLASHsls] = ACTIONS(5380),
    [anon_sym_BSLASHtl] = ACTIONS(5380),
    [anon_sym_BSLASHwj] = ACTIONS(5380),
    [anon_sym_BSLASHem] = ACTIONS(5380),
    [anon_sym_BSLASHbd] = ACTIONS(5380),
    [anon_sym_BSLASHit] = ACTIONS(5380),
    [anon_sym_BSLASHbdit] = ACTIONS(5380),
    [anon_sym_BSLASHno] = ACTIONS(5380),
    [anon_sym_BSLASHsc] = ACTIONS(5380),
    [anon_sym_BSLASHsup] = ACTIONS(5380),
    [anon_sym_BSLASHndx] = ACTIONS(5380),
    [anon_sym_BSLASHpro] = ACTIONS(5380),
    [anon_sym_BSLASHrb] = ACTIONS(5380),
    [anon_sym_BSLASHw] = ACTIONS(5380),
    [anon_sym_BSLASHwg] = ACTIONS(5380),
    [anon_sym_BSLASHwh] = ACTIONS(5380),
    [anon_sym_BSLASHwa] = ACTIONS(5380),
    [anon_sym_BSLASHfig] = ACTIONS(5380),
    [anon_sym_BSLASHjmp] = ACTIONS(5380),
    [anon_sym_BSLASHpb] = ACTIONS(5380),
    [anon_sym_BSLASH] = ACTIONS(5380),
    [sym_milestoneStartTag] = ACTIONS(5380),
    [sym_milestoneEndTag] = ACTIONS(5380),
    [sym_zSpaceTag] = ACTIONS(5380),
    [anon_sym_BSLASHesbe] = ACTIONS(5380),
    [anon_sym_BSLASHcat] = ACTIONS(5380),
  },
  [582] = {
    [aux_sym_text_token1] = ACTIONS(5358),
    [anon_sym_BSLASHref] = ACTIONS(5360),
    [anon_sym_BSLASHsts] = ACTIONS(5360),
    [anon_sym_BSLASHrem] = ACTIONS(5360),
    [anon_sym_BSLASHrestore] = ACTIONS(5360),
    [anon_sym_BSLASHlit] = ACTIONS(5360),
    [anon_sym_BSLASHip] = ACTIONS(5360),
    [anon_sym_BSLASHv] = ACTIONS(5360),
    [anon_sym_BSLASHva] = ACTIONS(5360),
    [anon_sym_BSLASHvp] = ACTIONS(5360),
    [anon_sym_BSLASHmte] = ACTIONS(5360),
    [anon_sym_BSLASHms] = ACTIONS(5360),
    [anon_sym_BSLASHs] = ACTIONS(5360),
    [anon_sym_BSLASHr] = ACTIONS(5360),
    [anon_sym_BSLASHsp] = ACTIONS(5360),
    [anon_sym_BSLASHd] = ACTIONS(5360),
    [anon_sym_BSLASHsd] = ACTIONS(5360),
    [anon_sym_BSLASHp] = ACTIONS(5360),
    [anon_sym_BSLASHm] = ACTIONS(5360),
    [anon_sym_BSLASHpo] = ACTIONS(5360),
    [anon_sym_BSLASHpr] = ACTIONS(5360),
    [anon_sym_BSLASHcls] = ACTIONS(5360),
    [anon_sym_BSLASHpmo] = ACTIONS(5360),
    [anon_sym_BSLASHpm] = ACTIONS(5360),
    [anon_sym_BSLASHpmc] = ACTIONS(5360),
    [anon_sym_BSLASHpmr] = ACTIONS(5360),
    [anon_sym_BSLASHpi] = ACTIONS(5360),
    [anon_sym_BSLASHmi] = ACTIONS(5360),
    [anon_sym_BSLASHnb] = ACTIONS(5360),
    [anon_sym_BSLASHpc] = ACTIONS(5360),
    [anon_sym_BSLASHph] = ACTIONS(5360),
    [anon_sym_BSLASHb] = ACTIONS(5360),
    [anon_sym_BSLASHq] = ACTIONS(5360),
    [anon_sym_BSLASHqr] = ACTIONS(5360),
    [anon_sym_BSLASHqc] = ACTIONS(5360),
    [anon_sym_BSLASHqa] = ACTIONS(5360),
    [anon_sym_BSLASHqm] = ACTIONS(5360),
    [anon_sym_BSLASHqd] = ACTIONS(5360),
    [anon_sym_BSLASHlh] = ACTIONS(5360),
    [anon_sym_BSLASHlf] = ACTIONS(5360),
    [anon_sym_BSLASHli] = ACTIONS(5360),
    [anon_sym_BSLASHlim] = ACTIONS(5360),
    [anon_sym_BSLASHliv] = ACTIONS(5360),
    [anon_sym_BSLASHlik] = ACTIONS(5360),
    [anon_sym_BSLASHlitl] = ACTIONS(5360),
    [anon_sym_BSLASHtr] = ACTIONS(5360),
    [anon_sym_BSLASHf] = ACTIONS(5360),
    [anon_sym_BSLASHfe] = ACTIONS(5360),
    [anon_sym_BSLASHef] = ACTIONS(5360),
    [anon_sym_BSLASHfm] = ACTIONS(5360),
    [anon_sym_BSLASHx] = ACTIONS(5360),
    [anon_sym_BSLASHxt] = ACTIONS(5360),
    [anon_sym_BSLASHrq] = ACTIONS(5360),
    [anon_sym_BSLASHadd] = ACTIONS(5360),
    [anon_sym_BSLASHbk] = ACTIONS(5360),
    [anon_sym_BSLASHdc] = ACTIONS(5360),
    [anon_sym_BSLASHk] = ACTIONS(5360),
    [anon_sym_BSLASHnd] = ACTIONS(5360),
    [anon_sym_BSLASHord] = ACTIONS(5360),
    [anon_sym_BSLASHpn] = ACTIONS(5360),
    [anon_sym_BSLASHpng] = ACTIONS(5360),
    [anon_sym_BSLASHaddpn] = ACTIONS(5360),
    [anon_sym_BSLASHqt] = ACTIONS(5360),
    [anon_sym_BSLASHsig] = ACTIONS(5360),
    [anon_sym_BSLASHsls] = ACTIONS(5360),
    [anon_sym_BSLASHtl] = ACTIONS(5360),
    [anon_sym_BSLASHwj] = ACTIONS(5360),
    [anon_sym_BSLASHem] = ACTIONS(5360),
    [anon_sym_BSLASHbd] = ACTIONS(5360),
    [anon_sym_BSLASHit] = ACTIONS(5360),
    [anon_sym_BSLASHbdit] = ACTIONS(5360),
    [anon_sym_BSLASHno] = ACTIONS(5360),
    [anon_sym_BSLASHsc] = ACTIONS(5360),
    [anon_sym_BSLASHsup] = ACTIONS(5360),
    [anon_sym_BSLASHndx] = ACTIONS(5360),
    [anon_sym_BSLASHpro] = ACTIONS(5360),
    [anon_sym_BSLASHrb] = ACTIONS(5360),
    [anon_sym_BSLASHw] = ACTIONS(5360),
    [anon_sym_BSLASHwg] = ACTIONS(5360),
    [anon_sym_BSLASHwh] = ACTIONS(5360),
    [anon_sym_BSLASHwa] = ACTIONS(5360),
    [anon_sym_BSLASHfig] = ACTIONS(5360),
    [anon_sym_BSLASHjmp] = ACTIONS(5360),
    [anon_sym_BSLASHpb] = ACTIONS(5360),
    [anon_sym_BSLASH] = ACTIONS(5360),
    [sym_milestoneStartTag] = ACTIONS(5360),
    [sym_milestoneEndTag] = ACTIONS(5360),
    [sym_zSpaceTag] = ACTIONS(5360),
    [anon_sym_BSLASHesbe] = ACTIONS(5360),
    [anon_sym_BSLASHcat] = ACTIONS(5360),
  },
  [583] = {
    [aux_sym_text_token1] = ACTIONS(5418),
    [anon_sym_BSLASHref] = ACTIONS(5420),
    [anon_sym_BSLASHsts] = ACTIONS(5420),
    [anon_sym_BSLASHrem] = ACTIONS(5420),
    [anon_sym_BSLASHrestore] = ACTIONS(5420),
    [anon_sym_BSLASHlit] = ACTIONS(5420),
    [anon_sym_BSLASHip] = ACTIONS(5420),
    [anon_sym_BSLASHv] = ACTIONS(5420),
    [anon_sym_BSLASHva] = ACTIONS(5420),
    [anon_sym_BSLASHvp] = ACTIONS(5420),
    [anon_sym_BSLASHmte] = ACTIONS(5420),
    [anon_sym_BSLASHms] = ACTIONS(5420),
    [anon_sym_BSLASHs] = ACTIONS(5420),
    [anon_sym_BSLASHr] = ACTIONS(5420),
    [anon_sym_BSLASHsp] = ACTIONS(5420),
    [anon_sym_BSLASHd] = ACTIONS(5420),
    [anon_sym_BSLASHsd] = ACTIONS(5420),
    [anon_sym_BSLASHp] = ACTIONS(5420),
    [anon_sym_BSLASHm] = ACTIONS(5420),
    [anon_sym_BSLASHpo] = ACTIONS(5420),
    [anon_sym_BSLASHpr] = ACTIONS(5420),
    [anon_sym_BSLASHcls] = ACTIONS(5420),
    [anon_sym_BSLASHpmo] = ACTIONS(5420),
    [anon_sym_BSLASHpm] = ACTIONS(5420),
    [anon_sym_BSLASHpmc] = ACTIONS(5420),
    [anon_sym_BSLASHpmr] = ACTIONS(5420),
    [anon_sym_BSLASHpi] = ACTIONS(5420),
    [anon_sym_BSLASHmi] = ACTIONS(5420),
    [anon_sym_BSLASHnb] = ACTIONS(5420),
    [anon_sym_BSLASHpc] = ACTIONS(5420),
    [anon_sym_BSLASHph] = ACTIONS(5420),
    [anon_sym_BSLASHb] = ACTIONS(5420),
    [anon_sym_BSLASHq] = ACTIONS(5420),
    [anon_sym_BSLASHqr] = ACTIONS(5420),
    [anon_sym_BSLASHqc] = ACTIONS(5420),
    [anon_sym_BSLASHqa] = ACTIONS(5420),
    [anon_sym_BSLASHqm] = ACTIONS(5420),
    [anon_sym_BSLASHqd] = ACTIONS(5420),
    [anon_sym_BSLASHlh] = ACTIONS(5420),
    [anon_sym_BSLASHlf] = ACTIONS(5420),
    [anon_sym_BSLASHli] = ACTIONS(5420),
    [anon_sym_BSLASHlim] = ACTIONS(5420),
    [anon_sym_BSLASHliv] = ACTIONS(5420),
    [anon_sym_BSLASHlik] = ACTIONS(5420),
    [anon_sym_BSLASHlitl] = ACTIONS(5420),
    [anon_sym_BSLASHtr] = ACTIONS(5420),
    [anon_sym_BSLASHf] = ACTIONS(5420),
    [anon_sym_BSLASHfe] = ACTIONS(5420),
    [anon_sym_BSLASHef] = ACTIONS(5420),
    [anon_sym_BSLASHfm] = ACTIONS(5420),
    [anon_sym_BSLASHx] = ACTIONS(5420),
    [anon_sym_BSLASHxt] = ACTIONS(5420),
    [anon_sym_BSLASHrq] = ACTIONS(5420),
    [anon_sym_BSLASHadd] = ACTIONS(5420),
    [anon_sym_BSLASHbk] = ACTIONS(5420),
    [anon_sym_BSLASHdc] = ACTIONS(5420),
    [anon_sym_BSLASHk] = ACTIONS(5420),
    [anon_sym_BSLASHnd] = ACTIONS(5420),
    [anon_sym_BSLASHord] = ACTIONS(5420),
    [anon_sym_BSLASHpn] = ACTIONS(5420),
    [anon_sym_BSLASHpng] = ACTIONS(5420),
    [anon_sym_BSLASHaddpn] = ACTIONS(5420),
    [anon_sym_BSLASHqt] = ACTIONS(5420),
    [anon_sym_BSLASHsig] = ACTIONS(5420),
    [anon_sym_BSLASHsls] = ACTIONS(5420),
    [anon_sym_BSLASHtl] = ACTIONS(5420),
    [anon_sym_BSLASHwj] = ACTIONS(5420),
    [anon_sym_BSLASHem] = ACTIONS(5420),
    [anon_sym_BSLASHbd] = ACTIONS(5420),
    [anon_sym_BSLASHit] = ACTIONS(5420),
    [anon_sym_BSLASHbdit] = ACTIONS(5420),
    [anon_sym_BSLASHno] = ACTIONS(5420),
    [anon_sym_BSLASHsc] = ACTIONS(5420),
    [anon_sym_BSLASHsup] = ACTIONS(5420),
    [anon_sym_BSLASHndx] = ACTIONS(5420),
    [anon_sym_BSLASHpro] = ACTIONS(5420),
    [anon_sym_BSLASHrb] = ACTIONS(5420),
    [anon_sym_BSLASHw] = ACTIONS(5420),
    [anon_sym_BSLASHwg] = ACTIONS(5420),
    [anon_sym_BSLASHwh] = ACTIONS(5420),
    [anon_sym_BSLASHwa] = ACTIONS(5420),
    [anon_sym_BSLASHfig] = ACTIONS(5420),
    [anon_sym_BSLASHjmp] = ACTIONS(5420),
    [anon_sym_BSLASHpb] = ACTIONS(5420),
    [anon_sym_BSLASH] = ACTIONS(5420),
    [sym_milestoneStartTag] = ACTIONS(5420),
    [sym_milestoneEndTag] = ACTIONS(5420),
    [sym_zSpaceTag] = ACTIONS(5420),
    [anon_sym_BSLASHesbe] = ACTIONS(5420),
    [anon_sym_BSLASHcat] = ACTIONS(5420),
  },
  [584] = {
    [aux_sym_text_token1] = ACTIONS(5370),
    [anon_sym_BSLASHref] = ACTIONS(5372),
    [anon_sym_BSLASHsts] = ACTIONS(5372),
    [anon_sym_BSLASHrem] = ACTIONS(5372),
    [anon_sym_BSLASHrestore] = ACTIONS(5372),
    [anon_sym_BSLASHlit] = ACTIONS(5372),
    [anon_sym_BSLASHip] = ACTIONS(5372),
    [anon_sym_BSLASHv] = ACTIONS(5372),
    [anon_sym_BSLASHva] = ACTIONS(5372),
    [anon_sym_BSLASHvp] = ACTIONS(5372),
    [anon_sym_BSLASHmte] = ACTIONS(5372),
    [anon_sym_BSLASHms] = ACTIONS(5372),
    [anon_sym_BSLASHs] = ACTIONS(5372),
    [anon_sym_BSLASHr] = ACTIONS(5372),
    [anon_sym_BSLASHsp] = ACTIONS(5372),
    [anon_sym_BSLASHd] = ACTIONS(5372),
    [anon_sym_BSLASHsd] = ACTIONS(5372),
    [anon_sym_BSLASHp] = ACTIONS(5372),
    [anon_sym_BSLASHm] = ACTIONS(5372),
    [anon_sym_BSLASHpo] = ACTIONS(5372),
    [anon_sym_BSLASHpr] = ACTIONS(5372),
    [anon_sym_BSLASHcls] = ACTIONS(5372),
    [anon_sym_BSLASHpmo] = ACTIONS(5372),
    [anon_sym_BSLASHpm] = ACTIONS(5372),
    [anon_sym_BSLASHpmc] = ACTIONS(5372),
    [anon_sym_BSLASHpmr] = ACTIONS(5372),
    [anon_sym_BSLASHpi] = ACTIONS(5372),
    [anon_sym_BSLASHmi] = ACTIONS(5372),
    [anon_sym_BSLASHnb] = ACTIONS(5372),
    [anon_sym_BSLASHpc] = ACTIONS(5372),
    [anon_sym_BSLASHph] = ACTIONS(5372),
    [anon_sym_BSLASHb] = ACTIONS(5372),
    [anon_sym_BSLASHq] = ACTIONS(5372),
    [anon_sym_BSLASHqr] = ACTIONS(5372),
    [anon_sym_BSLASHqc] = ACTIONS(5372),
    [anon_sym_BSLASHqa] = ACTIONS(5372),
    [anon_sym_BSLASHqm] = ACTIONS(5372),
    [anon_sym_BSLASHqd] = ACTIONS(5372),
    [anon_sym_BSLASHlh] = ACTIONS(5372),
    [anon_sym_BSLASHlf] = ACTIONS(5372),
    [anon_sym_BSLASHli] = ACTIONS(5372),
    [anon_sym_BSLASHlim] = ACTIONS(5372),
    [anon_sym_BSLASHliv] = ACTIONS(5372),
    [anon_sym_BSLASHlik] = ACTIONS(5372),
    [anon_sym_BSLASHlitl] = ACTIONS(5372),
    [anon_sym_BSLASHtr] = ACTIONS(5372),
    [anon_sym_BSLASHf] = ACTIONS(5372),
    [anon_sym_BSLASHfe] = ACTIONS(5372),
    [anon_sym_BSLASHef] = ACTIONS(5372),
    [anon_sym_BSLASHfm] = ACTIONS(5372),
    [anon_sym_BSLASHx] = ACTIONS(5372),
    [anon_sym_BSLASHxt] = ACTIONS(5372),
    [anon_sym_BSLASHrq] = ACTIONS(5372),
    [anon_sym_BSLASHadd] = ACTIONS(5372),
    [anon_sym_BSLASHbk] = ACTIONS(5372),
    [anon_sym_BSLASHdc] = ACTIONS(5372),
    [anon_sym_BSLASHk] = ACTIONS(5372),
    [anon_sym_BSLASHnd] = ACTIONS(5372),
    [anon_sym_BSLASHord] = ACTIONS(5372),
    [anon_sym_BSLASHpn] = ACTIONS(5372),
    [anon_sym_BSLASHpng] = ACTIONS(5372),
    [anon_sym_BSLASHaddpn] = ACTIONS(5372),
    [anon_sym_BSLASHqt] = ACTIONS(5372),
    [anon_sym_BSLASHsig] = ACTIONS(5372),
    [anon_sym_BSLASHsls] = ACTIONS(5372),
    [anon_sym_BSLASHtl] = ACTIONS(5372),
    [anon_sym_BSLASHwj] = ACTIONS(5372),
    [anon_sym_BSLASHem] = ACTIONS(5372),
    [anon_sym_BSLASHbd] = ACTIONS(5372),
    [anon_sym_BSLASHit] = ACTIONS(5372),
    [anon_sym_BSLASHbdit] = ACTIONS(5372),
    [anon_sym_BSLASHno] = ACTIONS(5372),
    [anon_sym_BSLASHsc] = ACTIONS(5372),
    [anon_sym_BSLASHsup] = ACTIONS(5372),
    [anon_sym_BSLASHndx] = ACTIONS(5372),
    [anon_sym_BSLASHpro] = ACTIONS(5372),
    [anon_sym_BSLASHrb] = ACTIONS(5372),
    [anon_sym_BSLASHw] = ACTIONS(5372),
    [anon_sym_BSLASHwg] = ACTIONS(5372),
    [anon_sym_BSLASHwh] = ACTIONS(5372),
    [anon_sym_BSLASHwa] = ACTIONS(5372),
    [anon_sym_BSLASHfig] = ACTIONS(5372),
    [anon_sym_BSLASHjmp] = ACTIONS(5372),
    [anon_sym_BSLASHpb] = ACTIONS(5372),
    [anon_sym_BSLASH] = ACTIONS(5372),
    [sym_milestoneStartTag] = ACTIONS(5372),
    [sym_milestoneEndTag] = ACTIONS(5372),
    [sym_zSpaceTag] = ACTIONS(5372),
    [anon_sym_BSLASHesbe] = ACTIONS(5372),
    [anon_sym_BSLASHcat] = ACTIONS(5372),
  },
  [585] = {
    [aux_sym_text_token1] = ACTIONS(5386),
    [anon_sym_BSLASHref] = ACTIONS(5388),
    [anon_sym_BSLASHsts] = ACTIONS(5388),
    [anon_sym_BSLASHrem] = ACTIONS(5388),
    [anon_sym_BSLASHrestore] = ACTIONS(5388),
    [anon_sym_BSLASHlit] = ACTIONS(5388),
    [anon_sym_BSLASHip] = ACTIONS(5388),
    [anon_sym_BSLASHv] = ACTIONS(5388),
    [anon_sym_BSLASHva] = ACTIONS(5388),
    [anon_sym_BSLASHvp] = ACTIONS(5388),
    [anon_sym_BSLASHmte] = ACTIONS(5388),
    [anon_sym_BSLASHms] = ACTIONS(5388),
    [anon_sym_BSLASHs] = ACTIONS(5388),
    [anon_sym_BSLASHr] = ACTIONS(5388),
    [anon_sym_BSLASHsp] = ACTIONS(5388),
    [anon_sym_BSLASHd] = ACTIONS(5388),
    [anon_sym_BSLASHsd] = ACTIONS(5388),
    [anon_sym_BSLASHp] = ACTIONS(5388),
    [anon_sym_BSLASHm] = ACTIONS(5388),
    [anon_sym_BSLASHpo] = ACTIONS(5388),
    [anon_sym_BSLASHpr] = ACTIONS(5388),
    [anon_sym_BSLASHcls] = ACTIONS(5388),
    [anon_sym_BSLASHpmo] = ACTIONS(5388),
    [anon_sym_BSLASHpm] = ACTIONS(5388),
    [anon_sym_BSLASHpmc] = ACTIONS(5388),
    [anon_sym_BSLASHpmr] = ACTIONS(5388),
    [anon_sym_BSLASHpi] = ACTIONS(5388),
    [anon_sym_BSLASHmi] = ACTIONS(5388),
    [anon_sym_BSLASHnb] = ACTIONS(5388),
    [anon_sym_BSLASHpc] = ACTIONS(5388),
    [anon_sym_BSLASHph] = ACTIONS(5388),
    [anon_sym_BSLASHb] = ACTIONS(5388),
    [anon_sym_BSLASHq] = ACTIONS(5388),
    [anon_sym_BSLASHqr] = ACTIONS(5388),
    [anon_sym_BSLASHqc] = ACTIONS(5388),
    [anon_sym_BSLASHqa] = ACTIONS(5388),
    [anon_sym_BSLASHqm] = ACTIONS(5388),
    [anon_sym_BSLASHqd] = ACTIONS(5388),
    [anon_sym_BSLASHlh] = ACTIONS(5388),
    [anon_sym_BSLASHlf] = ACTIONS(5388),
    [anon_sym_BSLASHli] = ACTIONS(5388),
    [anon_sym_BSLASHlim] = ACTIONS(5388),
    [anon_sym_BSLASHliv] = ACTIONS(5388),
    [anon_sym_BSLASHlik] = ACTIONS(5388),
    [anon_sym_BSLASHlitl] = ACTIONS(5388),
    [anon_sym_BSLASHtr] = ACTIONS(5388),
    [anon_sym_BSLASHf] = ACTIONS(5388),
    [anon_sym_BSLASHfe] = ACTIONS(5388),
    [anon_sym_BSLASHef] = ACTIONS(5388),
    [anon_sym_BSLASHfm] = ACTIONS(5388),
    [anon_sym_BSLASHx] = ACTIONS(5388),
    [anon_sym_BSLASHxt] = ACTIONS(5388),
    [anon_sym_BSLASHrq] = ACTIONS(5388),
    [anon_sym_BSLASHadd] = ACTIONS(5388),
    [anon_sym_BSLASHbk] = ACTIONS(5388),
    [anon_sym_BSLASHdc] = ACTIONS(5388),
    [anon_sym_BSLASHk] = ACTIONS(5388),
    [anon_sym_BSLASHnd] = ACTIONS(5388),
    [anon_sym_BSLASHord] = ACTIONS(5388),
    [anon_sym_BSLASHpn] = ACTIONS(5388),
    [anon_sym_BSLASHpng] = ACTIONS(5388),
    [anon_sym_BSLASHaddpn] = ACTIONS(5388),
    [anon_sym_BSLASHqt] = ACTIONS(5388),
    [anon_sym_BSLASHsig] = ACTIONS(5388),
    [anon_sym_BSLASHsls] = ACTIONS(5388),
    [anon_sym_BSLASHtl] = ACTIONS(5388),
    [anon_sym_BSLASHwj] = ACTIONS(5388),
    [anon_sym_BSLASHem] = ACTIONS(5388),
    [anon_sym_BSLASHbd] = ACTIONS(5388),
    [anon_sym_BSLASHit] = ACTIONS(5388),
    [anon_sym_BSLASHbdit] = ACTIONS(5388),
    [anon_sym_BSLASHno] = ACTIONS(5388),
    [anon_sym_BSLASHsc] = ACTIONS(5388),
    [anon_sym_BSLASHsup] = ACTIONS(5388),
    [anon_sym_BSLASHndx] = ACTIONS(5388),
    [anon_sym_BSLASHpro] = ACTIONS(5388),
    [anon_sym_BSLASHrb] = ACTIONS(5388),
    [anon_sym_BSLASHw] = ACTIONS(5388),
    [anon_sym_BSLASHwg] = ACTIONS(5388),
    [anon_sym_BSLASHwh] = ACTIONS(5388),
    [anon_sym_BSLASHwa] = ACTIONS(5388),
    [anon_sym_BSLASHfig] = ACTIONS(5388),
    [anon_sym_BSLASHjmp] = ACTIONS(5388),
    [anon_sym_BSLASHpb] = ACTIONS(5388),
    [anon_sym_BSLASH] = ACTIONS(5388),
    [sym_milestoneStartTag] = ACTIONS(5388),
    [sym_milestoneEndTag] = ACTIONS(5388),
    [sym_zSpaceTag] = ACTIONS(5388),
    [anon_sym_BSLASHesbe] = ACTIONS(5388),
    [anon_sym_BSLASHcat] = ACTIONS(5388),
  },
  [586] = {
    [ts_builtin_sym_end] = ACTIONS(2727),
    [aux_sym_text_token1] = ACTIONS(2727),
    [anon_sym_BSLASHsts] = ACTIONS(2729),
    [anon_sym_BSLASHrem] = ACTIONS(2729),
    [anon_sym_BSLASHrestore] = ACTIONS(2729),
    [anon_sym_BSLASHlit] = ACTIONS(2729),
    [anon_sym_BSLASHip] = ACTIONS(2729),
    [anon_sym_BSLASHiex] = ACTIONS(2729),
    [anon_sym_BSLASHc] = ACTIONS(2729),
    [anon_sym_BSLASHcl] = ACTIONS(2729),
    [anon_sym_BSLASHca] = ACTIONS(2729),
    [anon_sym_BSLASHcp] = ACTIONS(2729),
    [anon_sym_BSLASHcd] = ACTIONS(2729),
    [anon_sym_BSLASHmte] = ACTIONS(2729),
    [anon_sym_BSLASHms] = ACTIONS(2729),
    [anon_sym_BSLASHs] = ACTIONS(2729),
    [anon_sym_BSLASHr] = ACTIONS(2729),
    [anon_sym_BSLASHsp] = ACTIONS(2729),
    [anon_sym_BSLASHd] = ACTIONS(2729),
    [anon_sym_BSLASHsd] = ACTIONS(2729),
    [anon_sym_BSLASHp] = ACTIONS(2729),
    [anon_sym_BSLASHm] = ACTIONS(2729),
    [anon_sym_BSLASHpo] = ACTIONS(2729),
    [anon_sym_BSLASHpr] = ACTIONS(2729),
    [anon_sym_BSLASHcls] = ACTIONS(2729),
    [anon_sym_BSLASHpmo] = ACTIONS(2729),
    [anon_sym_BSLASHpm] = ACTIONS(2729),
    [anon_sym_BSLASHpmc] = ACTIONS(2729),
    [anon_sym_BSLASHpmr] = ACTIONS(2729),
    [anon_sym_BSLASHpi] = ACTIONS(2729),
    [anon_sym_BSLASHmi] = ACTIONS(2729),
    [anon_sym_BSLASHnb] = ACTIONS(2729),
    [anon_sym_BSLASHpc] = ACTIONS(2729),
    [anon_sym_BSLASHph] = ACTIONS(2729),
    [anon_sym_BSLASHb] = ACTIONS(2729),
    [anon_sym_BSLASHq] = ACTIONS(2729),
    [anon_sym_BSLASHqr] = ACTIONS(2729),
    [anon_sym_BSLASHqc] = ACTIONS(2729),
    [anon_sym_BSLASHqa] = ACTIONS(2729),
    [anon_sym_BSLASHqm] = ACTIONS(2729),
    [anon_sym_BSLASHqd] = ACTIONS(2729),
    [anon_sym_BSLASHlh] = ACTIONS(2729),
    [anon_sym_BSLASHli] = ACTIONS(2729),
    [anon_sym_BSLASHlim] = ACTIONS(2729),
    [anon_sym_BSLASHtr] = ACTIONS(2729),
    [sym_thTag] = ACTIONS(2729),
    [sym_thrTag] = ACTIONS(2729),
    [sym_tcTag] = ACTIONS(2729),
    [sym_tcrTag] = ACTIONS(2729),
    [anon_sym_BSLASHf] = ACTIONS(2729),
    [anon_sym_BSLASHfe] = ACTIONS(2729),
    [anon_sym_BSLASHef] = ACTIONS(2729),
    [anon_sym_BSLASHfm] = ACTIONS(2729),
    [anon_sym_BSLASHadd] = ACTIONS(2729),
    [anon_sym_BSLASHbk] = ACTIONS(2729),
    [anon_sym_BSLASHdc] = ACTIONS(2729),
    [anon_sym_BSLASHk] = ACTIONS(2729),
    [anon_sym_BSLASHnd] = ACTIONS(2729),
    [anon_sym_BSLASHord] = ACTIONS(2729),
    [anon_sym_BSLASHpn] = ACTIONS(2729),
    [anon_sym_BSLASHpng] = ACTIONS(2729),
    [anon_sym_BSLASHaddpn] = ACTIONS(2729),
    [anon_sym_BSLASHqt] = ACTIONS(2729),
    [anon_sym_BSLASHsig] = ACTIONS(2729),
    [anon_sym_BSLASHsls] = ACTIONS(2729),
    [anon_sym_BSLASHtl] = ACTIONS(2729),
    [anon_sym_BSLASHwj] = ACTIONS(2729),
    [anon_sym_BSLASHem] = ACTIONS(2729),
    [anon_sym_BSLASHbd] = ACTIONS(2729),
    [anon_sym_BSLASHit] = ACTIONS(2729),
    [anon_sym_BSLASHbdit] = ACTIONS(2729),
    [anon_sym_BSLASHno] = ACTIONS(2729),
    [anon_sym_BSLASHsc] = ACTIONS(2729),
    [anon_sym_BSLASHsup] = ACTIONS(2729),
    [anon_sym_BSLASHndx] = ACTIONS(2729),
    [anon_sym_BSLASHpro] = ACTIONS(2729),
    [anon_sym_BSLASHrb] = ACTIONS(2729),
    [anon_sym_BSLASHw] = ACTIONS(2729),
    [anon_sym_BSLASHwg] = ACTIONS(2729),
    [anon_sym_BSLASHwh] = ACTIONS(2729),
    [anon_sym_BSLASHwa] = ACTIONS(2729),
    [anon_sym_BSLASHfig] = ACTIONS(2729),
    [anon_sym_BSLASHjmp] = ACTIONS(2729),
    [anon_sym_BSLASHpb] = ACTIONS(2729),
    [anon_sym_BSLASH] = ACTIONS(2729),
    [sym_milestoneStartTag] = ACTIONS(2729),
    [sym_milestoneEndTag] = ACTIONS(2729),
    [sym_zSpaceTag] = ACTIONS(2729),
    [anon_sym_BSLASHesb] = ACTIONS(2729),
  },
  [587] = {
    [ts_builtin_sym_end] = ACTIONS(2779),
    [aux_sym_text_token1] = ACTIONS(2779),
    [anon_sym_BSLASHsts] = ACTIONS(2781),
    [anon_sym_BSLASHrem] = ACTIONS(2781),
    [anon_sym_BSLASHrestore] = ACTIONS(2781),
    [anon_sym_BSLASHlit] = ACTIONS(2781),
    [anon_sym_BSLASHip] = ACTIONS(2781),
    [anon_sym_BSLASHiex] = ACTIONS(2781),
    [anon_sym_BSLASHc] = ACTIONS(2781),
    [anon_sym_BSLASHcl] = ACTIONS(2781),
    [anon_sym_BSLASHca] = ACTIONS(2781),
    [anon_sym_BSLASHcp] = ACTIONS(2781),
    [anon_sym_BSLASHcd] = ACTIONS(2781),
    [anon_sym_BSLASHmte] = ACTIONS(2781),
    [anon_sym_BSLASHms] = ACTIONS(2781),
    [anon_sym_BSLASHs] = ACTIONS(2781),
    [anon_sym_BSLASHr] = ACTIONS(2781),
    [anon_sym_BSLASHsp] = ACTIONS(2781),
    [anon_sym_BSLASHd] = ACTIONS(2781),
    [anon_sym_BSLASHsd] = ACTIONS(2781),
    [anon_sym_BSLASHp] = ACTIONS(2781),
    [anon_sym_BSLASHm] = ACTIONS(2781),
    [anon_sym_BSLASHpo] = ACTIONS(2781),
    [anon_sym_BSLASHpr] = ACTIONS(2781),
    [anon_sym_BSLASHcls] = ACTIONS(2781),
    [anon_sym_BSLASHpmo] = ACTIONS(2781),
    [anon_sym_BSLASHpm] = ACTIONS(2781),
    [anon_sym_BSLASHpmc] = ACTIONS(2781),
    [anon_sym_BSLASHpmr] = ACTIONS(2781),
    [anon_sym_BSLASHpi] = ACTIONS(2781),
    [anon_sym_BSLASHmi] = ACTIONS(2781),
    [anon_sym_BSLASHnb] = ACTIONS(2781),
    [anon_sym_BSLASHpc] = ACTIONS(2781),
    [anon_sym_BSLASHph] = ACTIONS(2781),
    [anon_sym_BSLASHb] = ACTIONS(2781),
    [anon_sym_BSLASHq] = ACTIONS(2781),
    [anon_sym_BSLASHqr] = ACTIONS(2781),
    [anon_sym_BSLASHqc] = ACTIONS(2781),
    [anon_sym_BSLASHqa] = ACTIONS(2781),
    [anon_sym_BSLASHqm] = ACTIONS(2781),
    [anon_sym_BSLASHqd] = ACTIONS(2781),
    [anon_sym_BSLASHlh] = ACTIONS(2781),
    [anon_sym_BSLASHli] = ACTIONS(2781),
    [anon_sym_BSLASHlim] = ACTIONS(2781),
    [anon_sym_BSLASHtr] = ACTIONS(2781),
    [sym_thTag] = ACTIONS(2781),
    [sym_thrTag] = ACTIONS(2781),
    [sym_tcTag] = ACTIONS(2781),
    [sym_tcrTag] = ACTIONS(2781),
    [anon_sym_BSLASHf] = ACTIONS(2781),
    [anon_sym_BSLASHfe] = ACTIONS(2781),
    [anon_sym_BSLASHef] = ACTIONS(2781),
    [anon_sym_BSLASHfm] = ACTIONS(2781),
    [anon_sym_BSLASHadd] = ACTIONS(2781),
    [anon_sym_BSLASHbk] = ACTIONS(2781),
    [anon_sym_BSLASHdc] = ACTIONS(2781),
    [anon_sym_BSLASHk] = ACTIONS(2781),
    [anon_sym_BSLASHnd] = ACTIONS(2781),
    [anon_sym_BSLASHord] = ACTIONS(2781),
    [anon_sym_BSLASHpn] = ACTIONS(2781),
    [anon_sym_BSLASHpng] = ACTIONS(2781),
    [anon_sym_BSLASHaddpn] = ACTIONS(2781),
    [anon_sym_BSLASHqt] = ACTIONS(2781),
    [anon_sym_BSLASHsig] = ACTIONS(2781),
    [anon_sym_BSLASHsls] = ACTIONS(2781),
    [anon_sym_BSLASHtl] = ACTIONS(2781),
    [anon_sym_BSLASHwj] = ACTIONS(2781),
    [anon_sym_BSLASHem] = ACTIONS(2781),
    [anon_sym_BSLASHbd] = ACTIONS(2781),
    [anon_sym_BSLASHit] = ACTIONS(2781),
    [anon_sym_BSLASHbdit] = ACTIONS(2781),
    [anon_sym_BSLASHno] = ACTIONS(2781),
    [anon_sym_BSLASHsc] = ACTIONS(2781),
    [anon_sym_BSLASHsup] = ACTIONS(2781),
    [anon_sym_BSLASHndx] = ACTIONS(2781),
    [anon_sym_BSLASHpro] = ACTIONS(2781),
    [anon_sym_BSLASHrb] = ACTIONS(2781),
    [anon_sym_BSLASHw] = ACTIONS(2781),
    [anon_sym_BSLASHwg] = ACTIONS(2781),
    [anon_sym_BSLASHwh] = ACTIONS(2781),
    [anon_sym_BSLASHwa] = ACTIONS(2781),
    [anon_sym_BSLASHfig] = ACTIONS(2781),
    [anon_sym_BSLASHjmp] = ACTIONS(2781),
    [anon_sym_BSLASHpb] = ACTIONS(2781),
    [anon_sym_BSLASH] = ACTIONS(2781),
    [sym_milestoneStartTag] = ACTIONS(2781),
    [sym_milestoneEndTag] = ACTIONS(2781),
    [sym_zSpaceTag] = ACTIONS(2781),
    [anon_sym_BSLASHesb] = ACTIONS(2781),
  },
  [588] = {
    [ts_builtin_sym_end] = ACTIONS(5),
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHiex] = ACTIONS(7),
    [anon_sym_BSLASHc] = ACTIONS(7),
    [anon_sym_BSLASHcl] = ACTIONS(7),
    [anon_sym_BSLASHca] = ACTIONS(7),
    [anon_sym_BSLASHcp] = ACTIONS(7),
    [anon_sym_BSLASHcd] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [sym_thTag] = ACTIONS(7),
    [sym_thrTag] = ACTIONS(7),
    [sym_tcTag] = ACTIONS(7),
    [sym_tcrTag] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [anon_sym_BSLASHesb] = ACTIONS(7),
  },
  [589] = {
    [ts_builtin_sym_end] = ACTIONS(2775),
    [aux_sym_text_token1] = ACTIONS(2775),
    [anon_sym_BSLASHsts] = ACTIONS(2777),
    [anon_sym_BSLASHrem] = ACTIONS(2777),
    [anon_sym_BSLASHrestore] = ACTIONS(2777),
    [anon_sym_BSLASHlit] = ACTIONS(2777),
    [anon_sym_BSLASHip] = ACTIONS(2777),
    [anon_sym_BSLASHiex] = ACTIONS(2777),
    [anon_sym_BSLASHc] = ACTIONS(2777),
    [anon_sym_BSLASHcl] = ACTIONS(2777),
    [anon_sym_BSLASHca] = ACTIONS(2777),
    [anon_sym_BSLASHcp] = ACTIONS(2777),
    [anon_sym_BSLASHcd] = ACTIONS(2777),
    [anon_sym_BSLASHmte] = ACTIONS(2777),
    [anon_sym_BSLASHms] = ACTIONS(2777),
    [anon_sym_BSLASHs] = ACTIONS(2777),
    [anon_sym_BSLASHr] = ACTIONS(2777),
    [anon_sym_BSLASHsp] = ACTIONS(2777),
    [anon_sym_BSLASHd] = ACTIONS(2777),
    [anon_sym_BSLASHsd] = ACTIONS(2777),
    [anon_sym_BSLASHp] = ACTIONS(2777),
    [anon_sym_BSLASHm] = ACTIONS(2777),
    [anon_sym_BSLASHpo] = ACTIONS(2777),
    [anon_sym_BSLASHpr] = ACTIONS(2777),
    [anon_sym_BSLASHcls] = ACTIONS(2777),
    [anon_sym_BSLASHpmo] = ACTIONS(2777),
    [anon_sym_BSLASHpm] = ACTIONS(2777),
    [anon_sym_BSLASHpmc] = ACTIONS(2777),
    [anon_sym_BSLASHpmr] = ACTIONS(2777),
    [anon_sym_BSLASHpi] = ACTIONS(2777),
    [anon_sym_BSLASHmi] = ACTIONS(2777),
    [anon_sym_BSLASHnb] = ACTIONS(2777),
    [anon_sym_BSLASHpc] = ACTIONS(2777),
    [anon_sym_BSLASHph] = ACTIONS(2777),
    [anon_sym_BSLASHb] = ACTIONS(2777),
    [anon_sym_BSLASHq] = ACTIONS(2777),
    [anon_sym_BSLASHqr] = ACTIONS(2777),
    [anon_sym_BSLASHqc] = ACTIONS(2777),
    [anon_sym_BSLASHqa] = ACTIONS(2777),
    [anon_sym_BSLASHqm] = ACTIONS(2777),
    [anon_sym_BSLASHqd] = ACTIONS(2777),
    [anon_sym_BSLASHlh] = ACTIONS(2777),
    [anon_sym_BSLASHli] = ACTIONS(2777),
    [anon_sym_BSLASHlim] = ACTIONS(2777),
    [anon_sym_BSLASHtr] = ACTIONS(2777),
    [sym_thTag] = ACTIONS(2777),
    [sym_thrTag] = ACTIONS(2777),
    [sym_tcTag] = ACTIONS(2777),
    [sym_tcrTag] = ACTIONS(2777),
    [anon_sym_BSLASHf] = ACTIONS(2777),
    [anon_sym_BSLASHfe] = ACTIONS(2777),
    [anon_sym_BSLASHef] = ACTIONS(2777),
    [anon_sym_BSLASHfm] = ACTIONS(2777),
    [anon_sym_BSLASHadd] = ACTIONS(2777),
    [anon_sym_BSLASHbk] = ACTIONS(2777),
    [anon_sym_BSLASHdc] = ACTIONS(2777),
    [anon_sym_BSLASHk] = ACTIONS(2777),
    [anon_sym_BSLASHnd] = ACTIONS(2777),
    [anon_sym_BSLASHord] = ACTIONS(2777),
    [anon_sym_BSLASHpn] = ACTIONS(2777),
    [anon_sym_BSLASHpng] = ACTIONS(2777),
    [anon_sym_BSLASHaddpn] = ACTIONS(2777),
    [anon_sym_BSLASHqt] = ACTIONS(2777),
    [anon_sym_BSLASHsig] = ACTIONS(2777),
    [anon_sym_BSLASHsls] = ACTIONS(2777),
    [anon_sym_BSLASHtl] = ACTIONS(2777),
    [anon_sym_BSLASHwj] = ACTIONS(2777),
    [anon_sym_BSLASHem] = ACTIONS(2777),
    [anon_sym_BSLASHbd] = ACTIONS(2777),
    [anon_sym_BSLASHit] = ACTIONS(2777),
    [anon_sym_BSLASHbdit] = ACTIONS(2777),
    [anon_sym_BSLASHno] = ACTIONS(2777),
    [anon_sym_BSLASHsc] = ACTIONS(2777),
    [anon_sym_BSLASHsup] = ACTIONS(2777),
    [anon_sym_BSLASHndx] = ACTIONS(2777),
    [anon_sym_BSLASHpro] = ACTIONS(2777),
    [anon_sym_BSLASHrb] = ACTIONS(2777),
    [anon_sym_BSLASHw] = ACTIONS(2777),
    [anon_sym_BSLASHwg] = ACTIONS(2777),
    [anon_sym_BSLASHwh] = ACTIONS(2777),
    [anon_sym_BSLASHwa] = ACTIONS(2777),
    [anon_sym_BSLASHfig] = ACTIONS(2777),
    [anon_sym_BSLASHjmp] = ACTIONS(2777),
    [anon_sym_BSLASHpb] = ACTIONS(2777),
    [anon_sym_BSLASH] = ACTIONS(2777),
    [sym_milestoneStartTag] = ACTIONS(2777),
    [sym_milestoneEndTag] = ACTIONS(2777),
    [sym_zSpaceTag] = ACTIONS(2777),
    [anon_sym_BSLASHesb] = ACTIONS(2777),
  },
  [590] = {
    [ts_builtin_sym_end] = ACTIONS(2675),
    [aux_sym_text_token1] = ACTIONS(2675),
    [anon_sym_BSLASHsts] = ACTIONS(2677),
    [anon_sym_BSLASHrem] = ACTIONS(2677),
    [anon_sym_BSLASHrestore] = ACTIONS(2677),
    [anon_sym_BSLASHlit] = ACTIONS(2677),
    [anon_sym_BSLASHip] = ACTIONS(2677),
    [anon_sym_BSLASHiex] = ACTIONS(2677),
    [anon_sym_BSLASHc] = ACTIONS(2677),
    [anon_sym_BSLASHcl] = ACTIONS(2677),
    [anon_sym_BSLASHca] = ACTIONS(2677),
    [anon_sym_BSLASHcp] = ACTIONS(2677),
    [anon_sym_BSLASHcd] = ACTIONS(2677),
    [anon_sym_BSLASHmte] = ACTIONS(2677),
    [anon_sym_BSLASHms] = ACTIONS(2677),
    [anon_sym_BSLASHs] = ACTIONS(2677),
    [anon_sym_BSLASHr] = ACTIONS(2677),
    [anon_sym_BSLASHsp] = ACTIONS(2677),
    [anon_sym_BSLASHd] = ACTIONS(2677),
    [anon_sym_BSLASHsd] = ACTIONS(2677),
    [anon_sym_BSLASHp] = ACTIONS(2677),
    [anon_sym_BSLASHm] = ACTIONS(2677),
    [anon_sym_BSLASHpo] = ACTIONS(2677),
    [anon_sym_BSLASHpr] = ACTIONS(2677),
    [anon_sym_BSLASHcls] = ACTIONS(2677),
    [anon_sym_BSLASHpmo] = ACTIONS(2677),
    [anon_sym_BSLASHpm] = ACTIONS(2677),
    [anon_sym_BSLASHpmc] = ACTIONS(2677),
    [anon_sym_BSLASHpmr] = ACTIONS(2677),
    [anon_sym_BSLASHpi] = ACTIONS(2677),
    [anon_sym_BSLASHmi] = ACTIONS(2677),
    [anon_sym_BSLASHnb] = ACTIONS(2677),
    [anon_sym_BSLASHpc] = ACTIONS(2677),
    [anon_sym_BSLASHph] = ACTIONS(2677),
    [anon_sym_BSLASHb] = ACTIONS(2677),
    [anon_sym_BSLASHq] = ACTIONS(2677),
    [anon_sym_BSLASHqr] = ACTIONS(2677),
    [anon_sym_BSLASHqc] = ACTIONS(2677),
    [anon_sym_BSLASHqa] = ACTIONS(2677),
    [anon_sym_BSLASHqm] = ACTIONS(2677),
    [anon_sym_BSLASHqd] = ACTIONS(2677),
    [anon_sym_BSLASHlh] = ACTIONS(2677),
    [anon_sym_BSLASHli] = ACTIONS(2677),
    [anon_sym_BSLASHlim] = ACTIONS(2677),
    [anon_sym_BSLASHtr] = ACTIONS(2677),
    [sym_thTag] = ACTIONS(2677),
    [sym_thrTag] = ACTIONS(2677),
    [sym_tcTag] = ACTIONS(2677),
    [sym_tcrTag] = ACTIONS(2677),
    [anon_sym_BSLASHf] = ACTIONS(2677),
    [anon_sym_BSLASHfe] = ACTIONS(2677),
    [anon_sym_BSLASHef] = ACTIONS(2677),
    [anon_sym_BSLASHfm] = ACTIONS(2677),
    [anon_sym_BSLASHadd] = ACTIONS(2677),
    [anon_sym_BSLASHbk] = ACTIONS(2677),
    [anon_sym_BSLASHdc] = ACTIONS(2677),
    [anon_sym_BSLASHk] = ACTIONS(2677),
    [anon_sym_BSLASHnd] = ACTIONS(2677),
    [anon_sym_BSLASHord] = ACTIONS(2677),
    [anon_sym_BSLASHpn] = ACTIONS(2677),
    [anon_sym_BSLASHpng] = ACTIONS(2677),
    [anon_sym_BSLASHaddpn] = ACTIONS(2677),
    [anon_sym_BSLASHqt] = ACTIONS(2677),
    [anon_sym_BSLASHsig] = ACTIONS(2677),
    [anon_sym_BSLASHsls] = ACTIONS(2677),
    [anon_sym_BSLASHtl] = ACTIONS(2677),
    [anon_sym_BSLASHwj] = ACTIONS(2677),
    [anon_sym_BSLASHem] = ACTIONS(2677),
    [anon_sym_BSLASHbd] = ACTIONS(2677),
    [anon_sym_BSLASHit] = ACTIONS(2677),
    [anon_sym_BSLASHbdit] = ACTIONS(2677),
    [anon_sym_BSLASHno] = ACTIONS(2677),
    [anon_sym_BSLASHsc] = ACTIONS(2677),
    [anon_sym_BSLASHsup] = ACTIONS(2677),
    [anon_sym_BSLASHndx] = ACTIONS(2677),
    [anon_sym_BSLASHpro] = ACTIONS(2677),
    [anon_sym_BSLASHrb] = ACTIONS(2677),
    [anon_sym_BSLASHw] = ACTIONS(2677),
    [anon_sym_BSLASHwg] = ACTIONS(2677),
    [anon_sym_BSLASHwh] = ACTIONS(2677),
    [anon_sym_BSLASHwa] = ACTIONS(2677),
    [anon_sym_BSLASHfig] = ACTIONS(2677),
    [anon_sym_BSLASHjmp] = ACTIONS(2677),
    [anon_sym_BSLASHpb] = ACTIONS(2677),
    [anon_sym_BSLASH] = ACTIONS(2677),
    [sym_milestoneStartTag] = ACTIONS(2677),
    [sym_milestoneEndTag] = ACTIONS(2677),
    [sym_zSpaceTag] = ACTIONS(2677),
    [anon_sym_BSLASHesb] = ACTIONS(2677),
  },
  [591] = {
    [ts_builtin_sym_end] = ACTIONS(2663),
    [aux_sym_text_token1] = ACTIONS(2663),
    [anon_sym_BSLASHsts] = ACTIONS(2665),
    [anon_sym_BSLASHrem] = ACTIONS(2665),
    [anon_sym_BSLASHrestore] = ACTIONS(2665),
    [anon_sym_BSLASHlit] = ACTIONS(2665),
    [anon_sym_BSLASHip] = ACTIONS(2665),
    [anon_sym_BSLASHiex] = ACTIONS(2665),
    [anon_sym_BSLASHc] = ACTIONS(2665),
    [anon_sym_BSLASHcl] = ACTIONS(2665),
    [anon_sym_BSLASHca] = ACTIONS(2665),
    [anon_sym_BSLASHcp] = ACTIONS(2665),
    [anon_sym_BSLASHcd] = ACTIONS(2665),
    [anon_sym_BSLASHmte] = ACTIONS(2665),
    [anon_sym_BSLASHms] = ACTIONS(2665),
    [anon_sym_BSLASHs] = ACTIONS(2665),
    [anon_sym_BSLASHr] = ACTIONS(2665),
    [anon_sym_BSLASHsp] = ACTIONS(2665),
    [anon_sym_BSLASHd] = ACTIONS(2665),
    [anon_sym_BSLASHsd] = ACTIONS(2665),
    [anon_sym_BSLASHp] = ACTIONS(2665),
    [anon_sym_BSLASHm] = ACTIONS(2665),
    [anon_sym_BSLASHpo] = ACTIONS(2665),
    [anon_sym_BSLASHpr] = ACTIONS(2665),
    [anon_sym_BSLASHcls] = ACTIONS(2665),
    [anon_sym_BSLASHpmo] = ACTIONS(2665),
    [anon_sym_BSLASHpm] = ACTIONS(2665),
    [anon_sym_BSLASHpmc] = ACTIONS(2665),
    [anon_sym_BSLASHpmr] = ACTIONS(2665),
    [anon_sym_BSLASHpi] = ACTIONS(2665),
    [anon_sym_BSLASHmi] = ACTIONS(2665),
    [anon_sym_BSLASHnb] = ACTIONS(2665),
    [anon_sym_BSLASHpc] = ACTIONS(2665),
    [anon_sym_BSLASHph] = ACTIONS(2665),
    [anon_sym_BSLASHb] = ACTIONS(2665),
    [anon_sym_BSLASHq] = ACTIONS(2665),
    [anon_sym_BSLASHqr] = ACTIONS(2665),
    [anon_sym_BSLASHqc] = ACTIONS(2665),
    [anon_sym_BSLASHqa] = ACTIONS(2665),
    [anon_sym_BSLASHqm] = ACTIONS(2665),
    [anon_sym_BSLASHqd] = ACTIONS(2665),
    [anon_sym_BSLASHlh] = ACTIONS(2665),
    [anon_sym_BSLASHli] = ACTIONS(2665),
    [anon_sym_BSLASHlim] = ACTIONS(2665),
    [anon_sym_BSLASHtr] = ACTIONS(2665),
    [sym_thTag] = ACTIONS(2665),
    [sym_thrTag] = ACTIONS(2665),
    [sym_tcTag] = ACTIONS(2665),
    [sym_tcrTag] = ACTIONS(2665),
    [anon_sym_BSLASHf] = ACTIONS(2665),
    [anon_sym_BSLASHfe] = ACTIONS(2665),
    [anon_sym_BSLASHef] = ACTIONS(2665),
    [anon_sym_BSLASHfm] = ACTIONS(2665),
    [anon_sym_BSLASHadd] = ACTIONS(2665),
    [anon_sym_BSLASHbk] = ACTIONS(2665),
    [anon_sym_BSLASHdc] = ACTIONS(2665),
    [anon_sym_BSLASHk] = ACTIONS(2665),
    [anon_sym_BSLASHnd] = ACTIONS(2665),
    [anon_sym_BSLASHord] = ACTIONS(2665),
    [anon_sym_BSLASHpn] = ACTIONS(2665),
    [anon_sym_BSLASHpng] = ACTIONS(2665),
    [anon_sym_BSLASHaddpn] = ACTIONS(2665),
    [anon_sym_BSLASHqt] = ACTIONS(2665),
    [anon_sym_BSLASHsig] = ACTIONS(2665),
    [anon_sym_BSLASHsls] = ACTIONS(2665),
    [anon_sym_BSLASHtl] = ACTIONS(2665),
    [anon_sym_BSLASHwj] = ACTIONS(2665),
    [anon_sym_BSLASHem] = ACTIONS(2665),
    [anon_sym_BSLASHbd] = ACTIONS(2665),
    [anon_sym_BSLASHit] = ACTIONS(2665),
    [anon_sym_BSLASHbdit] = ACTIONS(2665),
    [anon_sym_BSLASHno] = ACTIONS(2665),
    [anon_sym_BSLASHsc] = ACTIONS(2665),
    [anon_sym_BSLASHsup] = ACTIONS(2665),
    [anon_sym_BSLASHndx] = ACTIONS(2665),
    [anon_sym_BSLASHpro] = ACTIONS(2665),
    [anon_sym_BSLASHrb] = ACTIONS(2665),
    [anon_sym_BSLASHw] = ACTIONS(2665),
    [anon_sym_BSLASHwg] = ACTIONS(2665),
    [anon_sym_BSLASHwh] = ACTIONS(2665),
    [anon_sym_BSLASHwa] = ACTIONS(2665),
    [anon_sym_BSLASHfig] = ACTIONS(2665),
    [anon_sym_BSLASHjmp] = ACTIONS(2665),
    [anon_sym_BSLASHpb] = ACTIONS(2665),
    [anon_sym_BSLASH] = ACTIONS(2665),
    [sym_milestoneStartTag] = ACTIONS(2665),
    [sym_milestoneEndTag] = ACTIONS(2665),
    [sym_zSpaceTag] = ACTIONS(2665),
    [anon_sym_BSLASHesb] = ACTIONS(2665),
  },
  [592] = {
    [ts_builtin_sym_end] = ACTIONS(2755),
    [aux_sym_text_token1] = ACTIONS(2755),
    [anon_sym_BSLASHsts] = ACTIONS(2757),
    [anon_sym_BSLASHrem] = ACTIONS(2757),
    [anon_sym_BSLASHrestore] = ACTIONS(2757),
    [anon_sym_BSLASHlit] = ACTIONS(2757),
    [anon_sym_BSLASHip] = ACTIONS(2757),
    [anon_sym_BSLASHiex] = ACTIONS(2757),
    [anon_sym_BSLASHc] = ACTIONS(2757),
    [anon_sym_BSLASHcl] = ACTIONS(2757),
    [anon_sym_BSLASHca] = ACTIONS(2757),
    [anon_sym_BSLASHcp] = ACTIONS(2757),
    [anon_sym_BSLASHcd] = ACTIONS(2757),
    [anon_sym_BSLASHmte] = ACTIONS(2757),
    [anon_sym_BSLASHms] = ACTIONS(2757),
    [anon_sym_BSLASHs] = ACTIONS(2757),
    [anon_sym_BSLASHr] = ACTIONS(2757),
    [anon_sym_BSLASHsp] = ACTIONS(2757),
    [anon_sym_BSLASHd] = ACTIONS(2757),
    [anon_sym_BSLASHsd] = ACTIONS(2757),
    [anon_sym_BSLASHp] = ACTIONS(2757),
    [anon_sym_BSLASHm] = ACTIONS(2757),
    [anon_sym_BSLASHpo] = ACTIONS(2757),
    [anon_sym_BSLASHpr] = ACTIONS(2757),
    [anon_sym_BSLASHcls] = ACTIONS(2757),
    [anon_sym_BSLASHpmo] = ACTIONS(2757),
    [anon_sym_BSLASHpm] = ACTIONS(2757),
    [anon_sym_BSLASHpmc] = ACTIONS(2757),
    [anon_sym_BSLASHpmr] = ACTIONS(2757),
    [anon_sym_BSLASHpi] = ACTIONS(2757),
    [anon_sym_BSLASHmi] = ACTIONS(2757),
    [anon_sym_BSLASHnb] = ACTIONS(2757),
    [anon_sym_BSLASHpc] = ACTIONS(2757),
    [anon_sym_BSLASHph] = ACTIONS(2757),
    [anon_sym_BSLASHb] = ACTIONS(2757),
    [anon_sym_BSLASHq] = ACTIONS(2757),
    [anon_sym_BSLASHqr] = ACTIONS(2757),
    [anon_sym_BSLASHqc] = ACTIONS(2757),
    [anon_sym_BSLASHqa] = ACTIONS(2757),
    [anon_sym_BSLASHqm] = ACTIONS(2757),
    [anon_sym_BSLASHqd] = ACTIONS(2757),
    [anon_sym_BSLASHlh] = ACTIONS(2757),
    [anon_sym_BSLASHli] = ACTIONS(2757),
    [anon_sym_BSLASHlim] = ACTIONS(2757),
    [anon_sym_BSLASHtr] = ACTIONS(2757),
    [sym_thTag] = ACTIONS(2757),
    [sym_thrTag] = ACTIONS(2757),
    [sym_tcTag] = ACTIONS(2757),
    [sym_tcrTag] = ACTIONS(2757),
    [anon_sym_BSLASHf] = ACTIONS(2757),
    [anon_sym_BSLASHfe] = ACTIONS(2757),
    [anon_sym_BSLASHef] = ACTIONS(2757),
    [anon_sym_BSLASHfm] = ACTIONS(2757),
    [anon_sym_BSLASHadd] = ACTIONS(2757),
    [anon_sym_BSLASHbk] = ACTIONS(2757),
    [anon_sym_BSLASHdc] = ACTIONS(2757),
    [anon_sym_BSLASHk] = ACTIONS(2757),
    [anon_sym_BSLASHnd] = ACTIONS(2757),
    [anon_sym_BSLASHord] = ACTIONS(2757),
    [anon_sym_BSLASHpn] = ACTIONS(2757),
    [anon_sym_BSLASHpng] = ACTIONS(2757),
    [anon_sym_BSLASHaddpn] = ACTIONS(2757),
    [anon_sym_BSLASHqt] = ACTIONS(2757),
    [anon_sym_BSLASHsig] = ACTIONS(2757),
    [anon_sym_BSLASHsls] = ACTIONS(2757),
    [anon_sym_BSLASHtl] = ACTIONS(2757),
    [anon_sym_BSLASHwj] = ACTIONS(2757),
    [anon_sym_BSLASHem] = ACTIONS(2757),
    [anon_sym_BSLASHbd] = ACTIONS(2757),
    [anon_sym_BSLASHit] = ACTIONS(2757),
    [anon_sym_BSLASHbdit] = ACTIONS(2757),
    [anon_sym_BSLASHno] = ACTIONS(2757),
    [anon_sym_BSLASHsc] = ACTIONS(2757),
    [anon_sym_BSLASHsup] = ACTIONS(2757),
    [anon_sym_BSLASHndx] = ACTIONS(2757),
    [anon_sym_BSLASHpro] = ACTIONS(2757),
    [anon_sym_BSLASHrb] = ACTIONS(2757),
    [anon_sym_BSLASHw] = ACTIONS(2757),
    [anon_sym_BSLASHwg] = ACTIONS(2757),
    [anon_sym_BSLASHwh] = ACTIONS(2757),
    [anon_sym_BSLASHwa] = ACTIONS(2757),
    [anon_sym_BSLASHfig] = ACTIONS(2757),
    [anon_sym_BSLASHjmp] = ACTIONS(2757),
    [anon_sym_BSLASHpb] = ACTIONS(2757),
    [anon_sym_BSLASH] = ACTIONS(2757),
    [sym_milestoneStartTag] = ACTIONS(2757),
    [sym_milestoneEndTag] = ACTIONS(2757),
    [sym_zSpaceTag] = ACTIONS(2757),
    [anon_sym_BSLASHesb] = ACTIONS(2757),
  },
  [593] = {
    [ts_builtin_sym_end] = ACTIONS(17),
    [aux_sym_text_token1] = ACTIONS(17),
    [anon_sym_BSLASHsts] = ACTIONS(19),
    [anon_sym_BSLASHrem] = ACTIONS(19),
    [anon_sym_BSLASHrestore] = ACTIONS(19),
    [anon_sym_BSLASHlit] = ACTIONS(19),
    [anon_sym_BSLASHip] = ACTIONS(19),
    [anon_sym_BSLASHiex] = ACTIONS(19),
    [anon_sym_BSLASHc] = ACTIONS(19),
    [anon_sym_BSLASHcl] = ACTIONS(19),
    [anon_sym_BSLASHca] = ACTIONS(19),
    [anon_sym_BSLASHcp] = ACTIONS(19),
    [anon_sym_BSLASHcd] = ACTIONS(19),
    [anon_sym_BSLASHmte] = ACTIONS(19),
    [anon_sym_BSLASHms] = ACTIONS(19),
    [anon_sym_BSLASHs] = ACTIONS(19),
    [anon_sym_BSLASHr] = ACTIONS(19),
    [anon_sym_BSLASHsp] = ACTIONS(19),
    [anon_sym_BSLASHd] = ACTIONS(19),
    [anon_sym_BSLASHsd] = ACTIONS(19),
    [anon_sym_BSLASHp] = ACTIONS(19),
    [anon_sym_BSLASHm] = ACTIONS(19),
    [anon_sym_BSLASHpo] = ACTIONS(19),
    [anon_sym_BSLASHpr] = ACTIONS(19),
    [anon_sym_BSLASHcls] = ACTIONS(19),
    [anon_sym_BSLASHpmo] = ACTIONS(19),
    [anon_sym_BSLASHpm] = ACTIONS(19),
    [anon_sym_BSLASHpmc] = ACTIONS(19),
    [anon_sym_BSLASHpmr] = ACTIONS(19),
    [anon_sym_BSLASHpi] = ACTIONS(19),
    [anon_sym_BSLASHmi] = ACTIONS(19),
    [anon_sym_BSLASHnb] = ACTIONS(19),
    [anon_sym_BSLASHpc] = ACTIONS(19),
    [anon_sym_BSLASHph] = ACTIONS(19),
    [anon_sym_BSLASHb] = ACTIONS(19),
    [anon_sym_BSLASHq] = ACTIONS(19),
    [anon_sym_BSLASHqr] = ACTIONS(19),
    [anon_sym_BSLASHqc] = ACTIONS(19),
    [anon_sym_BSLASHqa] = ACTIONS(19),
    [anon_sym_BSLASHqm] = ACTIONS(19),
    [anon_sym_BSLASHqd] = ACTIONS(19),
    [anon_sym_BSLASHlh] = ACTIONS(19),
    [anon_sym_BSLASHli] = ACTIONS(19),
    [anon_sym_BSLASHlim] = ACTIONS(19),
    [anon_sym_BSLASHtr] = ACTIONS(19),
    [sym_thTag] = ACTIONS(19),
    [sym_thrTag] = ACTIONS(19),
    [sym_tcTag] = ACTIONS(19),
    [sym_tcrTag] = ACTIONS(19),
    [anon_sym_BSLASHf] = ACTIONS(19),
    [anon_sym_BSLASHfe] = ACTIONS(19),
    [anon_sym_BSLASHef] = ACTIONS(19),
    [anon_sym_BSLASHfm] = ACTIONS(19),
    [anon_sym_BSLASHadd] = ACTIONS(19),
    [anon_sym_BSLASHbk] = ACTIONS(19),
    [anon_sym_BSLASHdc] = ACTIONS(19),
    [anon_sym_BSLASHk] = ACTIONS(19),
    [anon_sym_BSLASHnd] = ACTIONS(19),
    [anon_sym_BSLASHord] = ACTIONS(19),
    [anon_sym_BSLASHpn] = ACTIONS(19),
    [anon_sym_BSLASHpng] = ACTIONS(19),
    [anon_sym_BSLASHaddpn] = ACTIONS(19),
    [anon_sym_BSLASHqt] = ACTIONS(19),
    [anon_sym_BSLASHsig] = ACTIONS(19),
    [anon_sym_BSLASHsls] = ACTIONS(19),
    [anon_sym_BSLASHtl] = ACTIONS(19),
    [anon_sym_BSLASHwj] = ACTIONS(19),
    [anon_sym_BSLASHem] = ACTIONS(19),
    [anon_sym_BSLASHbd] = ACTIONS(19),
    [anon_sym_BSLASHit] = ACTIONS(19),
    [anon_sym_BSLASHbdit] = ACTIONS(19),
    [anon_sym_BSLASHno] = ACTIONS(19),
    [anon_sym_BSLASHsc] = ACTIONS(19),
    [anon_sym_BSLASHsup] = ACTIONS(19),
    [anon_sym_BSLASHndx] = ACTIONS(19),
    [anon_sym_BSLASHpro] = ACTIONS(19),
    [anon_sym_BSLASHrb] = ACTIONS(19),
    [anon_sym_BSLASHw] = ACTIONS(19),
    [anon_sym_BSLASHwg] = ACTIONS(19),
    [anon_sym_BSLASHwh] = ACTIONS(19),
    [anon_sym_BSLASHwa] = ACTIONS(19),
    [anon_sym_BSLASHfig] = ACTIONS(19),
    [anon_sym_BSLASHjmp] = ACTIONS(19),
    [anon_sym_BSLASHpb] = ACTIONS(19),
    [anon_sym_BSLASH] = ACTIONS(19),
    [sym_milestoneStartTag] = ACTIONS(19),
    [sym_milestoneEndTag] = ACTIONS(19),
    [sym_zSpaceTag] = ACTIONS(19),
    [anon_sym_BSLASHesb] = ACTIONS(19),
  },
  [594] = {
    [ts_builtin_sym_end] = ACTIONS(2683),
    [aux_sym_text_token1] = ACTIONS(2683),
    [anon_sym_BSLASHsts] = ACTIONS(2685),
    [anon_sym_BSLASHrem] = ACTIONS(2685),
    [anon_sym_BSLASHrestore] = ACTIONS(2685),
    [anon_sym_BSLASHlit] = ACTIONS(2685),
    [anon_sym_BSLASHip] = ACTIONS(2685),
    [anon_sym_BSLASHiex] = ACTIONS(2685),
    [anon_sym_BSLASHc] = ACTIONS(2685),
    [anon_sym_BSLASHcl] = ACTIONS(2685),
    [anon_sym_BSLASHca] = ACTIONS(2685),
    [anon_sym_BSLASHcp] = ACTIONS(2685),
    [anon_sym_BSLASHcd] = ACTIONS(2685),
    [anon_sym_BSLASHmte] = ACTIONS(2685),
    [anon_sym_BSLASHms] = ACTIONS(2685),
    [anon_sym_BSLASHs] = ACTIONS(2685),
    [anon_sym_BSLASHr] = ACTIONS(2685),
    [anon_sym_BSLASHsp] = ACTIONS(2685),
    [anon_sym_BSLASHd] = ACTIONS(2685),
    [anon_sym_BSLASHsd] = ACTIONS(2685),
    [anon_sym_BSLASHp] = ACTIONS(2685),
    [anon_sym_BSLASHm] = ACTIONS(2685),
    [anon_sym_BSLASHpo] = ACTIONS(2685),
    [anon_sym_BSLASHpr] = ACTIONS(2685),
    [anon_sym_BSLASHcls] = ACTIONS(2685),
    [anon_sym_BSLASHpmo] = ACTIONS(2685),
    [anon_sym_BSLASHpm] = ACTIONS(2685),
    [anon_sym_BSLASHpmc] = ACTIONS(2685),
    [anon_sym_BSLASHpmr] = ACTIONS(2685),
    [anon_sym_BSLASHpi] = ACTIONS(2685),
    [anon_sym_BSLASHmi] = ACTIONS(2685),
    [anon_sym_BSLASHnb] = ACTIONS(2685),
    [anon_sym_BSLASHpc] = ACTIONS(2685),
    [anon_sym_BSLASHph] = ACTIONS(2685),
    [anon_sym_BSLASHb] = ACTIONS(2685),
    [anon_sym_BSLASHq] = ACTIONS(2685),
    [anon_sym_BSLASHqr] = ACTIONS(2685),
    [anon_sym_BSLASHqc] = ACTIONS(2685),
    [anon_sym_BSLASHqa] = ACTIONS(2685),
    [anon_sym_BSLASHqm] = ACTIONS(2685),
    [anon_sym_BSLASHqd] = ACTIONS(2685),
    [anon_sym_BSLASHlh] = ACTIONS(2685),
    [anon_sym_BSLASHli] = ACTIONS(2685),
    [anon_sym_BSLASHlim] = ACTIONS(2685),
    [anon_sym_BSLASHtr] = ACTIONS(2685),
    [sym_thTag] = ACTIONS(2685),
    [sym_thrTag] = ACTIONS(2685),
    [sym_tcTag] = ACTIONS(2685),
    [sym_tcrTag] = ACTIONS(2685),
    [anon_sym_BSLASHf] = ACTIONS(2685),
    [anon_sym_BSLASHfe] = ACTIONS(2685),
    [anon_sym_BSLASHef] = ACTIONS(2685),
    [anon_sym_BSLASHfm] = ACTIONS(2685),
    [anon_sym_BSLASHadd] = ACTIONS(2685),
    [anon_sym_BSLASHbk] = ACTIONS(2685),
    [anon_sym_BSLASHdc] = ACTIONS(2685),
    [anon_sym_BSLASHk] = ACTIONS(2685),
    [anon_sym_BSLASHnd] = ACTIONS(2685),
    [anon_sym_BSLASHord] = ACTIONS(2685),
    [anon_sym_BSLASHpn] = ACTIONS(2685),
    [anon_sym_BSLASHpng] = ACTIONS(2685),
    [anon_sym_BSLASHaddpn] = ACTIONS(2685),
    [anon_sym_BSLASHqt] = ACTIONS(2685),
    [anon_sym_BSLASHsig] = ACTIONS(2685),
    [anon_sym_BSLASHsls] = ACTIONS(2685),
    [anon_sym_BSLASHtl] = ACTIONS(2685),
    [anon_sym_BSLASHwj] = ACTIONS(2685),
    [anon_sym_BSLASHem] = ACTIONS(2685),
    [anon_sym_BSLASHbd] = ACTIONS(2685),
    [anon_sym_BSLASHit] = ACTIONS(2685),
    [anon_sym_BSLASHbdit] = ACTIONS(2685),
    [anon_sym_BSLASHno] = ACTIONS(2685),
    [anon_sym_BSLASHsc] = ACTIONS(2685),
    [anon_sym_BSLASHsup] = ACTIONS(2685),
    [anon_sym_BSLASHndx] = ACTIONS(2685),
    [anon_sym_BSLASHpro] = ACTIONS(2685),
    [anon_sym_BSLASHrb] = ACTIONS(2685),
    [anon_sym_BSLASHw] = ACTIONS(2685),
    [anon_sym_BSLASHwg] = ACTIONS(2685),
    [anon_sym_BSLASHwh] = ACTIONS(2685),
    [anon_sym_BSLASHwa] = ACTIONS(2685),
    [anon_sym_BSLASHfig] = ACTIONS(2685),
    [anon_sym_BSLASHjmp] = ACTIONS(2685),
    [anon_sym_BSLASHpb] = ACTIONS(2685),
    [anon_sym_BSLASH] = ACTIONS(2685),
    [sym_milestoneStartTag] = ACTIONS(2685),
    [sym_milestoneEndTag] = ACTIONS(2685),
    [sym_zSpaceTag] = ACTIONS(2685),
    [anon_sym_BSLASHesb] = ACTIONS(2685),
  },
  [595] = {
    [ts_builtin_sym_end] = ACTIONS(2795),
    [aux_sym_text_token1] = ACTIONS(2795),
    [anon_sym_BSLASHsts] = ACTIONS(2797),
    [anon_sym_BSLASHrem] = ACTIONS(2797),
    [anon_sym_BSLASHrestore] = ACTIONS(2797),
    [anon_sym_BSLASHlit] = ACTIONS(2797),
    [anon_sym_BSLASHip] = ACTIONS(2797),
    [anon_sym_BSLASHiex] = ACTIONS(2797),
    [anon_sym_BSLASHc] = ACTIONS(2797),
    [anon_sym_BSLASHcl] = ACTIONS(2797),
    [anon_sym_BSLASHca] = ACTIONS(2797),
    [anon_sym_BSLASHcp] = ACTIONS(2797),
    [anon_sym_BSLASHcd] = ACTIONS(2797),
    [anon_sym_BSLASHmte] = ACTIONS(2797),
    [anon_sym_BSLASHms] = ACTIONS(2797),
    [anon_sym_BSLASHs] = ACTIONS(2797),
    [anon_sym_BSLASHr] = ACTIONS(2797),
    [anon_sym_BSLASHsp] = ACTIONS(2797),
    [anon_sym_BSLASHd] = ACTIONS(2797),
    [anon_sym_BSLASHsd] = ACTIONS(2797),
    [anon_sym_BSLASHp] = ACTIONS(2797),
    [anon_sym_BSLASHm] = ACTIONS(2797),
    [anon_sym_BSLASHpo] = ACTIONS(2797),
    [anon_sym_BSLASHpr] = ACTIONS(2797),
    [anon_sym_BSLASHcls] = ACTIONS(2797),
    [anon_sym_BSLASHpmo] = ACTIONS(2797),
    [anon_sym_BSLASHpm] = ACTIONS(2797),
    [anon_sym_BSLASHpmc] = ACTIONS(2797),
    [anon_sym_BSLASHpmr] = ACTIONS(2797),
    [anon_sym_BSLASHpi] = ACTIONS(2797),
    [anon_sym_BSLASHmi] = ACTIONS(2797),
    [anon_sym_BSLASHnb] = ACTIONS(2797),
    [anon_sym_BSLASHpc] = ACTIONS(2797),
    [anon_sym_BSLASHph] = ACTIONS(2797),
    [anon_sym_BSLASHb] = ACTIONS(2797),
    [anon_sym_BSLASHq] = ACTIONS(2797),
    [anon_sym_BSLASHqr] = ACTIONS(2797),
    [anon_sym_BSLASHqc] = ACTIONS(2797),
    [anon_sym_BSLASHqa] = ACTIONS(2797),
    [anon_sym_BSLASHqm] = ACTIONS(2797),
    [anon_sym_BSLASHqd] = ACTIONS(2797),
    [anon_sym_BSLASHlh] = ACTIONS(2797),
    [anon_sym_BSLASHli] = ACTIONS(2797),
    [anon_sym_BSLASHlim] = ACTIONS(2797),
    [anon_sym_BSLASHtr] = ACTIONS(2797),
    [sym_thTag] = ACTIONS(2797),
    [sym_thrTag] = ACTIONS(2797),
    [sym_tcTag] = ACTIONS(2797),
    [sym_tcrTag] = ACTIONS(2797),
    [anon_sym_BSLASHf] = ACTIONS(2797),
    [anon_sym_BSLASHfe] = ACTIONS(2797),
    [anon_sym_BSLASHef] = ACTIONS(2797),
    [anon_sym_BSLASHfm] = ACTIONS(2797),
    [anon_sym_BSLASHadd] = ACTIONS(2797),
    [anon_sym_BSLASHbk] = ACTIONS(2797),
    [anon_sym_BSLASHdc] = ACTIONS(2797),
    [anon_sym_BSLASHk] = ACTIONS(2797),
    [anon_sym_BSLASHnd] = ACTIONS(2797),
    [anon_sym_BSLASHord] = ACTIONS(2797),
    [anon_sym_BSLASHpn] = ACTIONS(2797),
    [anon_sym_BSLASHpng] = ACTIONS(2797),
    [anon_sym_BSLASHaddpn] = ACTIONS(2797),
    [anon_sym_BSLASHqt] = ACTIONS(2797),
    [anon_sym_BSLASHsig] = ACTIONS(2797),
    [anon_sym_BSLASHsls] = ACTIONS(2797),
    [anon_sym_BSLASHtl] = ACTIONS(2797),
    [anon_sym_BSLASHwj] = ACTIONS(2797),
    [anon_sym_BSLASHem] = ACTIONS(2797),
    [anon_sym_BSLASHbd] = ACTIONS(2797),
    [anon_sym_BSLASHit] = ACTIONS(2797),
    [anon_sym_BSLASHbdit] = ACTIONS(2797),
    [anon_sym_BSLASHno] = ACTIONS(2797),
    [anon_sym_BSLASHsc] = ACTIONS(2797),
    [anon_sym_BSLASHsup] = ACTIONS(2797),
    [anon_sym_BSLASHndx] = ACTIONS(2797),
    [anon_sym_BSLASHpro] = ACTIONS(2797),
    [anon_sym_BSLASHrb] = ACTIONS(2797),
    [anon_sym_BSLASHw] = ACTIONS(2797),
    [anon_sym_BSLASHwg] = ACTIONS(2797),
    [anon_sym_BSLASHwh] = ACTIONS(2797),
    [anon_sym_BSLASHwa] = ACTIONS(2797),
    [anon_sym_BSLASHfig] = ACTIONS(2797),
    [anon_sym_BSLASHjmp] = ACTIONS(2797),
    [anon_sym_BSLASHpb] = ACTIONS(2797),
    [anon_sym_BSLASH] = ACTIONS(2797),
    [sym_milestoneStartTag] = ACTIONS(2797),
    [sym_milestoneEndTag] = ACTIONS(2797),
    [sym_zSpaceTag] = ACTIONS(2797),
    [anon_sym_BSLASHesb] = ACTIONS(2797),
  },
  [596] = {
    [ts_builtin_sym_end] = ACTIONS(2759),
    [aux_sym_text_token1] = ACTIONS(2759),
    [anon_sym_BSLASHsts] = ACTIONS(2761),
    [anon_sym_BSLASHrem] = ACTIONS(2761),
    [anon_sym_BSLASHrestore] = ACTIONS(2761),
    [anon_sym_BSLASHlit] = ACTIONS(2761),
    [anon_sym_BSLASHip] = ACTIONS(2761),
    [anon_sym_BSLASHiex] = ACTIONS(2761),
    [anon_sym_BSLASHc] = ACTIONS(2761),
    [anon_sym_BSLASHcl] = ACTIONS(2761),
    [anon_sym_BSLASHca] = ACTIONS(2761),
    [anon_sym_BSLASHcp] = ACTIONS(2761),
    [anon_sym_BSLASHcd] = ACTIONS(2761),
    [anon_sym_BSLASHmte] = ACTIONS(2761),
    [anon_sym_BSLASHms] = ACTIONS(2761),
    [anon_sym_BSLASHs] = ACTIONS(2761),
    [anon_sym_BSLASHr] = ACTIONS(2761),
    [anon_sym_BSLASHsp] = ACTIONS(2761),
    [anon_sym_BSLASHd] = ACTIONS(2761),
    [anon_sym_BSLASHsd] = ACTIONS(2761),
    [anon_sym_BSLASHp] = ACTIONS(2761),
    [anon_sym_BSLASHm] = ACTIONS(2761),
    [anon_sym_BSLASHpo] = ACTIONS(2761),
    [anon_sym_BSLASHpr] = ACTIONS(2761),
    [anon_sym_BSLASHcls] = ACTIONS(2761),
    [anon_sym_BSLASHpmo] = ACTIONS(2761),
    [anon_sym_BSLASHpm] = ACTIONS(2761),
    [anon_sym_BSLASHpmc] = ACTIONS(2761),
    [anon_sym_BSLASHpmr] = ACTIONS(2761),
    [anon_sym_BSLASHpi] = ACTIONS(2761),
    [anon_sym_BSLASHmi] = ACTIONS(2761),
    [anon_sym_BSLASHnb] = ACTIONS(2761),
    [anon_sym_BSLASHpc] = ACTIONS(2761),
    [anon_sym_BSLASHph] = ACTIONS(2761),
    [anon_sym_BSLASHb] = ACTIONS(2761),
    [anon_sym_BSLASHq] = ACTIONS(2761),
    [anon_sym_BSLASHqr] = ACTIONS(2761),
    [anon_sym_BSLASHqc] = ACTIONS(2761),
    [anon_sym_BSLASHqa] = ACTIONS(2761),
    [anon_sym_BSLASHqm] = ACTIONS(2761),
    [anon_sym_BSLASHqd] = ACTIONS(2761),
    [anon_sym_BSLASHlh] = ACTIONS(2761),
    [anon_sym_BSLASHli] = ACTIONS(2761),
    [anon_sym_BSLASHlim] = ACTIONS(2761),
    [anon_sym_BSLASHtr] = ACTIONS(2761),
    [sym_thTag] = ACTIONS(2761),
    [sym_thrTag] = ACTIONS(2761),
    [sym_tcTag] = ACTIONS(2761),
    [sym_tcrTag] = ACTIONS(2761),
    [anon_sym_BSLASHf] = ACTIONS(2761),
    [anon_sym_BSLASHfe] = ACTIONS(2761),
    [anon_sym_BSLASHef] = ACTIONS(2761),
    [anon_sym_BSLASHfm] = ACTIONS(2761),
    [anon_sym_BSLASHadd] = ACTIONS(2761),
    [anon_sym_BSLASHbk] = ACTIONS(2761),
    [anon_sym_BSLASHdc] = ACTIONS(2761),
    [anon_sym_BSLASHk] = ACTIONS(2761),
    [anon_sym_BSLASHnd] = ACTIONS(2761),
    [anon_sym_BSLASHord] = ACTIONS(2761),
    [anon_sym_BSLASHpn] = ACTIONS(2761),
    [anon_sym_BSLASHpng] = ACTIONS(2761),
    [anon_sym_BSLASHaddpn] = ACTIONS(2761),
    [anon_sym_BSLASHqt] = ACTIONS(2761),
    [anon_sym_BSLASHsig] = ACTIONS(2761),
    [anon_sym_BSLASHsls] = ACTIONS(2761),
    [anon_sym_BSLASHtl] = ACTIONS(2761),
    [anon_sym_BSLASHwj] = ACTIONS(2761),
    [anon_sym_BSLASHem] = ACTIONS(2761),
    [anon_sym_BSLASHbd] = ACTIONS(2761),
    [anon_sym_BSLASHit] = ACTIONS(2761),
    [anon_sym_BSLASHbdit] = ACTIONS(2761),
    [anon_sym_BSLASHno] = ACTIONS(2761),
    [anon_sym_BSLASHsc] = ACTIONS(2761),
    [anon_sym_BSLASHsup] = ACTIONS(2761),
    [anon_sym_BSLASHndx] = ACTIONS(2761),
    [anon_sym_BSLASHpro] = ACTIONS(2761),
    [anon_sym_BSLASHrb] = ACTIONS(2761),
    [anon_sym_BSLASHw] = ACTIONS(2761),
    [anon_sym_BSLASHwg] = ACTIONS(2761),
    [anon_sym_BSLASHwh] = ACTIONS(2761),
    [anon_sym_BSLASHwa] = ACTIONS(2761),
    [anon_sym_BSLASHfig] = ACTIONS(2761),
    [anon_sym_BSLASHjmp] = ACTIONS(2761),
    [anon_sym_BSLASHpb] = ACTIONS(2761),
    [anon_sym_BSLASH] = ACTIONS(2761),
    [sym_milestoneStartTag] = ACTIONS(2761),
    [sym_milestoneEndTag] = ACTIONS(2761),
    [sym_zSpaceTag] = ACTIONS(2761),
    [anon_sym_BSLASHesb] = ACTIONS(2761),
  },
  [597] = {
    [ts_builtin_sym_end] = ACTIONS(2711),
    [aux_sym_text_token1] = ACTIONS(2711),
    [anon_sym_BSLASHsts] = ACTIONS(2713),
    [anon_sym_BSLASHrem] = ACTIONS(2713),
    [anon_sym_BSLASHrestore] = ACTIONS(2713),
    [anon_sym_BSLASHlit] = ACTIONS(2713),
    [anon_sym_BSLASHip] = ACTIONS(2713),
    [anon_sym_BSLASHiex] = ACTIONS(2713),
    [anon_sym_BSLASHc] = ACTIONS(2713),
    [anon_sym_BSLASHcl] = ACTIONS(2713),
    [anon_sym_BSLASHca] = ACTIONS(2713),
    [anon_sym_BSLASHcp] = ACTIONS(2713),
    [anon_sym_BSLASHcd] = ACTIONS(2713),
    [anon_sym_BSLASHmte] = ACTIONS(2713),
    [anon_sym_BSLASHms] = ACTIONS(2713),
    [anon_sym_BSLASHs] = ACTIONS(2713),
    [anon_sym_BSLASHr] = ACTIONS(2713),
    [anon_sym_BSLASHsp] = ACTIONS(2713),
    [anon_sym_BSLASHd] = ACTIONS(2713),
    [anon_sym_BSLASHsd] = ACTIONS(2713),
    [anon_sym_BSLASHp] = ACTIONS(2713),
    [anon_sym_BSLASHm] = ACTIONS(2713),
    [anon_sym_BSLASHpo] = ACTIONS(2713),
    [anon_sym_BSLASHpr] = ACTIONS(2713),
    [anon_sym_BSLASHcls] = ACTIONS(2713),
    [anon_sym_BSLASHpmo] = ACTIONS(2713),
    [anon_sym_BSLASHpm] = ACTIONS(2713),
    [anon_sym_BSLASHpmc] = ACTIONS(2713),
    [anon_sym_BSLASHpmr] = ACTIONS(2713),
    [anon_sym_BSLASHpi] = ACTIONS(2713),
    [anon_sym_BSLASHmi] = ACTIONS(2713),
    [anon_sym_BSLASHnb] = ACTIONS(2713),
    [anon_sym_BSLASHpc] = ACTIONS(2713),
    [anon_sym_BSLASHph] = ACTIONS(2713),
    [anon_sym_BSLASHb] = ACTIONS(2713),
    [anon_sym_BSLASHq] = ACTIONS(2713),
    [anon_sym_BSLASHqr] = ACTIONS(2713),
    [anon_sym_BSLASHqc] = ACTIONS(2713),
    [anon_sym_BSLASHqa] = ACTIONS(2713),
    [anon_sym_BSLASHqm] = ACTIONS(2713),
    [anon_sym_BSLASHqd] = ACTIONS(2713),
    [anon_sym_BSLASHlh] = ACTIONS(2713),
    [anon_sym_BSLASHli] = ACTIONS(2713),
    [anon_sym_BSLASHlim] = ACTIONS(2713),
    [anon_sym_BSLASHtr] = ACTIONS(2713),
    [sym_thTag] = ACTIONS(2713),
    [sym_thrTag] = ACTIONS(2713),
    [sym_tcTag] = ACTIONS(2713),
    [sym_tcrTag] = ACTIONS(2713),
    [anon_sym_BSLASHf] = ACTIONS(2713),
    [anon_sym_BSLASHfe] = ACTIONS(2713),
    [anon_sym_BSLASHef] = ACTIONS(2713),
    [anon_sym_BSLASHfm] = ACTIONS(2713),
    [anon_sym_BSLASHadd] = ACTIONS(2713),
    [anon_sym_BSLASHbk] = ACTIONS(2713),
    [anon_sym_BSLASHdc] = ACTIONS(2713),
    [anon_sym_BSLASHk] = ACTIONS(2713),
    [anon_sym_BSLASHnd] = ACTIONS(2713),
    [anon_sym_BSLASHord] = ACTIONS(2713),
    [anon_sym_BSLASHpn] = ACTIONS(2713),
    [anon_sym_BSLASHpng] = ACTIONS(2713),
    [anon_sym_BSLASHaddpn] = ACTIONS(2713),
    [anon_sym_BSLASHqt] = ACTIONS(2713),
    [anon_sym_BSLASHsig] = ACTIONS(2713),
    [anon_sym_BSLASHsls] = ACTIONS(2713),
    [anon_sym_BSLASHtl] = ACTIONS(2713),
    [anon_sym_BSLASHwj] = ACTIONS(2713),
    [anon_sym_BSLASHem] = ACTIONS(2713),
    [anon_sym_BSLASHbd] = ACTIONS(2713),
    [anon_sym_BSLASHit] = ACTIONS(2713),
    [anon_sym_BSLASHbdit] = ACTIONS(2713),
    [anon_sym_BSLASHno] = ACTIONS(2713),
    [anon_sym_BSLASHsc] = ACTIONS(2713),
    [anon_sym_BSLASHsup] = ACTIONS(2713),
    [anon_sym_BSLASHndx] = ACTIONS(2713),
    [anon_sym_BSLASHpro] = ACTIONS(2713),
    [anon_sym_BSLASHrb] = ACTIONS(2713),
    [anon_sym_BSLASHw] = ACTIONS(2713),
    [anon_sym_BSLASHwg] = ACTIONS(2713),
    [anon_sym_BSLASHwh] = ACTIONS(2713),
    [anon_sym_BSLASHwa] = ACTIONS(2713),
    [anon_sym_BSLASHfig] = ACTIONS(2713),
    [anon_sym_BSLASHjmp] = ACTIONS(2713),
    [anon_sym_BSLASHpb] = ACTIONS(2713),
    [anon_sym_BSLASH] = ACTIONS(2713),
    [sym_milestoneStartTag] = ACTIONS(2713),
    [sym_milestoneEndTag] = ACTIONS(2713),
    [sym_zSpaceTag] = ACTIONS(2713),
    [anon_sym_BSLASHesb] = ACTIONS(2713),
  },
  [598] = {
    [ts_builtin_sym_end] = ACTIONS(2679),
    [aux_sym_text_token1] = ACTIONS(2679),
    [anon_sym_BSLASHsts] = ACTIONS(2681),
    [anon_sym_BSLASHrem] = ACTIONS(2681),
    [anon_sym_BSLASHrestore] = ACTIONS(2681),
    [anon_sym_BSLASHlit] = ACTIONS(2681),
    [anon_sym_BSLASHip] = ACTIONS(2681),
    [anon_sym_BSLASHiex] = ACTIONS(2681),
    [anon_sym_BSLASHc] = ACTIONS(2681),
    [anon_sym_BSLASHcl] = ACTIONS(2681),
    [anon_sym_BSLASHca] = ACTIONS(2681),
    [anon_sym_BSLASHcp] = ACTIONS(2681),
    [anon_sym_BSLASHcd] = ACTIONS(2681),
    [anon_sym_BSLASHmte] = ACTIONS(2681),
    [anon_sym_BSLASHms] = ACTIONS(2681),
    [anon_sym_BSLASHs] = ACTIONS(2681),
    [anon_sym_BSLASHr] = ACTIONS(2681),
    [anon_sym_BSLASHsp] = ACTIONS(2681),
    [anon_sym_BSLASHd] = ACTIONS(2681),
    [anon_sym_BSLASHsd] = ACTIONS(2681),
    [anon_sym_BSLASHp] = ACTIONS(2681),
    [anon_sym_BSLASHm] = ACTIONS(2681),
    [anon_sym_BSLASHpo] = ACTIONS(2681),
    [anon_sym_BSLASHpr] = ACTIONS(2681),
    [anon_sym_BSLASHcls] = ACTIONS(2681),
    [anon_sym_BSLASHpmo] = ACTIONS(2681),
    [anon_sym_BSLASHpm] = ACTIONS(2681),
    [anon_sym_BSLASHpmc] = ACTIONS(2681),
    [anon_sym_BSLASHpmr] = ACTIONS(2681),
    [anon_sym_BSLASHpi] = ACTIONS(2681),
    [anon_sym_BSLASHmi] = ACTIONS(2681),
    [anon_sym_BSLASHnb] = ACTIONS(2681),
    [anon_sym_BSLASHpc] = ACTIONS(2681),
    [anon_sym_BSLASHph] = ACTIONS(2681),
    [anon_sym_BSLASHb] = ACTIONS(2681),
    [anon_sym_BSLASHq] = ACTIONS(2681),
    [anon_sym_BSLASHqr] = ACTIONS(2681),
    [anon_sym_BSLASHqc] = ACTIONS(2681),
    [anon_sym_BSLASHqa] = ACTIONS(2681),
    [anon_sym_BSLASHqm] = ACTIONS(2681),
    [anon_sym_BSLASHqd] = ACTIONS(2681),
    [anon_sym_BSLASHlh] = ACTIONS(2681),
    [anon_sym_BSLASHli] = ACTIONS(2681),
    [anon_sym_BSLASHlim] = ACTIONS(2681),
    [anon_sym_BSLASHtr] = ACTIONS(2681),
    [sym_thTag] = ACTIONS(2681),
    [sym_thrTag] = ACTIONS(2681),
    [sym_tcTag] = ACTIONS(2681),
    [sym_tcrTag] = ACTIONS(2681),
    [anon_sym_BSLASHf] = ACTIONS(2681),
    [anon_sym_BSLASHfe] = ACTIONS(2681),
    [anon_sym_BSLASHef] = ACTIONS(2681),
    [anon_sym_BSLASHfm] = ACTIONS(2681),
    [anon_sym_BSLASHadd] = ACTIONS(2681),
    [anon_sym_BSLASHbk] = ACTIONS(2681),
    [anon_sym_BSLASHdc] = ACTIONS(2681),
    [anon_sym_BSLASHk] = ACTIONS(2681),
    [anon_sym_BSLASHnd] = ACTIONS(2681),
    [anon_sym_BSLASHord] = ACTIONS(2681),
    [anon_sym_BSLASHpn] = ACTIONS(2681),
    [anon_sym_BSLASHpng] = ACTIONS(2681),
    [anon_sym_BSLASHaddpn] = ACTIONS(2681),
    [anon_sym_BSLASHqt] = ACTIONS(2681),
    [anon_sym_BSLASHsig] = ACTIONS(2681),
    [anon_sym_BSLASHsls] = ACTIONS(2681),
    [anon_sym_BSLASHtl] = ACTIONS(2681),
    [anon_sym_BSLASHwj] = ACTIONS(2681),
    [anon_sym_BSLASHem] = ACTIONS(2681),
    [anon_sym_BSLASHbd] = ACTIONS(2681),
    [anon_sym_BSLASHit] = ACTIONS(2681),
    [anon_sym_BSLASHbdit] = ACTIONS(2681),
    [anon_sym_BSLASHno] = ACTIONS(2681),
    [anon_sym_BSLASHsc] = ACTIONS(2681),
    [anon_sym_BSLASHsup] = ACTIONS(2681),
    [anon_sym_BSLASHndx] = ACTIONS(2681),
    [anon_sym_BSLASHpro] = ACTIONS(2681),
    [anon_sym_BSLASHrb] = ACTIONS(2681),
    [anon_sym_BSLASHw] = ACTIONS(2681),
    [anon_sym_BSLASHwg] = ACTIONS(2681),
    [anon_sym_BSLASHwh] = ACTIONS(2681),
    [anon_sym_BSLASHwa] = ACTIONS(2681),
    [anon_sym_BSLASHfig] = ACTIONS(2681),
    [anon_sym_BSLASHjmp] = ACTIONS(2681),
    [anon_sym_BSLASHpb] = ACTIONS(2681),
    [anon_sym_BSLASH] = ACTIONS(2681),
    [sym_milestoneStartTag] = ACTIONS(2681),
    [sym_milestoneEndTag] = ACTIONS(2681),
    [sym_zSpaceTag] = ACTIONS(2681),
    [anon_sym_BSLASHesb] = ACTIONS(2681),
  },
  [599] = {
    [ts_builtin_sym_end] = ACTIONS(2751),
    [aux_sym_text_token1] = ACTIONS(2751),
    [anon_sym_BSLASHsts] = ACTIONS(2753),
    [anon_sym_BSLASHrem] = ACTIONS(2753),
    [anon_sym_BSLASHrestore] = ACTIONS(2753),
    [anon_sym_BSLASHlit] = ACTIONS(2753),
    [anon_sym_BSLASHip] = ACTIONS(2753),
    [anon_sym_BSLASHiex] = ACTIONS(2753),
    [anon_sym_BSLASHc] = ACTIONS(2753),
    [anon_sym_BSLASHcl] = ACTIONS(2753),
    [anon_sym_BSLASHca] = ACTIONS(2753),
    [anon_sym_BSLASHcp] = ACTIONS(2753),
    [anon_sym_BSLASHcd] = ACTIONS(2753),
    [anon_sym_BSLASHmte] = ACTIONS(2753),
    [anon_sym_BSLASHms] = ACTIONS(2753),
    [anon_sym_BSLASHs] = ACTIONS(2753),
    [anon_sym_BSLASHr] = ACTIONS(2753),
    [anon_sym_BSLASHsp] = ACTIONS(2753),
    [anon_sym_BSLASHd] = ACTIONS(2753),
    [anon_sym_BSLASHsd] = ACTIONS(2753),
    [anon_sym_BSLASHp] = ACTIONS(2753),
    [anon_sym_BSLASHm] = ACTIONS(2753),
    [anon_sym_BSLASHpo] = ACTIONS(2753),
    [anon_sym_BSLASHpr] = ACTIONS(2753),
    [anon_sym_BSLASHcls] = ACTIONS(2753),
    [anon_sym_BSLASHpmo] = ACTIONS(2753),
    [anon_sym_BSLASHpm] = ACTIONS(2753),
    [anon_sym_BSLASHpmc] = ACTIONS(2753),
    [anon_sym_BSLASHpmr] = ACTIONS(2753),
    [anon_sym_BSLASHpi] = ACTIONS(2753),
    [anon_sym_BSLASHmi] = ACTIONS(2753),
    [anon_sym_BSLASHnb] = ACTIONS(2753),
    [anon_sym_BSLASHpc] = ACTIONS(2753),
    [anon_sym_BSLASHph] = ACTIONS(2753),
    [anon_sym_BSLASHb] = ACTIONS(2753),
    [anon_sym_BSLASHq] = ACTIONS(2753),
    [anon_sym_BSLASHqr] = ACTIONS(2753),
    [anon_sym_BSLASHqc] = ACTIONS(2753),
    [anon_sym_BSLASHqa] = ACTIONS(2753),
    [anon_sym_BSLASHqm] = ACTIONS(2753),
    [anon_sym_BSLASHqd] = ACTIONS(2753),
    [anon_sym_BSLASHlh] = ACTIONS(2753),
    [anon_sym_BSLASHli] = ACTIONS(2753),
    [anon_sym_BSLASHlim] = ACTIONS(2753),
    [anon_sym_BSLASHtr] = ACTIONS(2753),
    [sym_thTag] = ACTIONS(2753),
    [sym_thrTag] = ACTIONS(2753),
    [sym_tcTag] = ACTIONS(2753),
    [sym_tcrTag] = ACTIONS(2753),
    [anon_sym_BSLASHf] = ACTIONS(2753),
    [anon_sym_BSLASHfe] = ACTIONS(2753),
    [anon_sym_BSLASHef] = ACTIONS(2753),
    [anon_sym_BSLASHfm] = ACTIONS(2753),
    [anon_sym_BSLASHadd] = ACTIONS(2753),
    [anon_sym_BSLASHbk] = ACTIONS(2753),
    [anon_sym_BSLASHdc] = ACTIONS(2753),
    [anon_sym_BSLASHk] = ACTIONS(2753),
    [anon_sym_BSLASHnd] = ACTIONS(2753),
    [anon_sym_BSLASHord] = ACTIONS(2753),
    [anon_sym_BSLASHpn] = ACTIONS(2753),
    [anon_sym_BSLASHpng] = ACTIONS(2753),
    [anon_sym_BSLASHaddpn] = ACTIONS(2753),
    [anon_sym_BSLASHqt] = ACTIONS(2753),
    [anon_sym_BSLASHsig] = ACTIONS(2753),
    [anon_sym_BSLASHsls] = ACTIONS(2753),
    [anon_sym_BSLASHtl] = ACTIONS(2753),
    [anon_sym_BSLASHwj] = ACTIONS(2753),
    [anon_sym_BSLASHem] = ACTIONS(2753),
    [anon_sym_BSLASHbd] = ACTIONS(2753),
    [anon_sym_BSLASHit] = ACTIONS(2753),
    [anon_sym_BSLASHbdit] = ACTIONS(2753),
    [anon_sym_BSLASHno] = ACTIONS(2753),
    [anon_sym_BSLASHsc] = ACTIONS(2753),
    [anon_sym_BSLASHsup] = ACTIONS(2753),
    [anon_sym_BSLASHndx] = ACTIONS(2753),
    [anon_sym_BSLASHpro] = ACTIONS(2753),
    [anon_sym_BSLASHrb] = ACTIONS(2753),
    [anon_sym_BSLASHw] = ACTIONS(2753),
    [anon_sym_BSLASHwg] = ACTIONS(2753),
    [anon_sym_BSLASHwh] = ACTIONS(2753),
    [anon_sym_BSLASHwa] = ACTIONS(2753),
    [anon_sym_BSLASHfig] = ACTIONS(2753),
    [anon_sym_BSLASHjmp] = ACTIONS(2753),
    [anon_sym_BSLASHpb] = ACTIONS(2753),
    [anon_sym_BSLASH] = ACTIONS(2753),
    [sym_milestoneStartTag] = ACTIONS(2753),
    [sym_milestoneEndTag] = ACTIONS(2753),
    [sym_zSpaceTag] = ACTIONS(2753),
    [anon_sym_BSLASHesb] = ACTIONS(2753),
  },
  [600] = {
    [ts_builtin_sym_end] = ACTIONS(2767),
    [aux_sym_text_token1] = ACTIONS(2767),
    [anon_sym_BSLASHsts] = ACTIONS(2769),
    [anon_sym_BSLASHrem] = ACTIONS(2769),
    [anon_sym_BSLASHrestore] = ACTIONS(2769),
    [anon_sym_BSLASHlit] = ACTIONS(2769),
    [anon_sym_BSLASHip] = ACTIONS(2769),
    [anon_sym_BSLASHiex] = ACTIONS(2769),
    [anon_sym_BSLASHc] = ACTIONS(2769),
    [anon_sym_BSLASHcl] = ACTIONS(2769),
    [anon_sym_BSLASHca] = ACTIONS(2769),
    [anon_sym_BSLASHcp] = ACTIONS(2769),
    [anon_sym_BSLASHcd] = ACTIONS(2769),
    [anon_sym_BSLASHmte] = ACTIONS(2769),
    [anon_sym_BSLASHms] = ACTIONS(2769),
    [anon_sym_BSLASHs] = ACTIONS(2769),
    [anon_sym_BSLASHr] = ACTIONS(2769),
    [anon_sym_BSLASHsp] = ACTIONS(2769),
    [anon_sym_BSLASHd] = ACTIONS(2769),
    [anon_sym_BSLASHsd] = ACTIONS(2769),
    [anon_sym_BSLASHp] = ACTIONS(2769),
    [anon_sym_BSLASHm] = ACTIONS(2769),
    [anon_sym_BSLASHpo] = ACTIONS(2769),
    [anon_sym_BSLASHpr] = ACTIONS(2769),
    [anon_sym_BSLASHcls] = ACTIONS(2769),
    [anon_sym_BSLASHpmo] = ACTIONS(2769),
    [anon_sym_BSLASHpm] = ACTIONS(2769),
    [anon_sym_BSLASHpmc] = ACTIONS(2769),
    [anon_sym_BSLASHpmr] = ACTIONS(2769),
    [anon_sym_BSLASHpi] = ACTIONS(2769),
    [anon_sym_BSLASHmi] = ACTIONS(2769),
    [anon_sym_BSLASHnb] = ACTIONS(2769),
    [anon_sym_BSLASHpc] = ACTIONS(2769),
    [anon_sym_BSLASHph] = ACTIONS(2769),
    [anon_sym_BSLASHb] = ACTIONS(2769),
    [anon_sym_BSLASHq] = ACTIONS(2769),
    [anon_sym_BSLASHqr] = ACTIONS(2769),
    [anon_sym_BSLASHqc] = ACTIONS(2769),
    [anon_sym_BSLASHqa] = ACTIONS(2769),
    [anon_sym_BSLASHqm] = ACTIONS(2769),
    [anon_sym_BSLASHqd] = ACTIONS(2769),
    [anon_sym_BSLASHlh] = ACTIONS(2769),
    [anon_sym_BSLASHli] = ACTIONS(2769),
    [anon_sym_BSLASHlim] = ACTIONS(2769),
    [anon_sym_BSLASHtr] = ACTIONS(2769),
    [sym_thTag] = ACTIONS(2769),
    [sym_thrTag] = ACTIONS(2769),
    [sym_tcTag] = ACTIONS(2769),
    [sym_tcrTag] = ACTIONS(2769),
    [anon_sym_BSLASHf] = ACTIONS(2769),
    [anon_sym_BSLASHfe] = ACTIONS(2769),
    [anon_sym_BSLASHef] = ACTIONS(2769),
    [anon_sym_BSLASHfm] = ACTIONS(2769),
    [anon_sym_BSLASHadd] = ACTIONS(2769),
    [anon_sym_BSLASHbk] = ACTIONS(2769),
    [anon_sym_BSLASHdc] = ACTIONS(2769),
    [anon_sym_BSLASHk] = ACTIONS(2769),
    [anon_sym_BSLASHnd] = ACTIONS(2769),
    [anon_sym_BSLASHord] = ACTIONS(2769),
    [anon_sym_BSLASHpn] = ACTIONS(2769),
    [anon_sym_BSLASHpng] = ACTIONS(2769),
    [anon_sym_BSLASHaddpn] = ACTIONS(2769),
    [anon_sym_BSLASHqt] = ACTIONS(2769),
    [anon_sym_BSLASHsig] = ACTIONS(2769),
    [anon_sym_BSLASHsls] = ACTIONS(2769),
    [anon_sym_BSLASHtl] = ACTIONS(2769),
    [anon_sym_BSLASHwj] = ACTIONS(2769),
    [anon_sym_BSLASHem] = ACTIONS(2769),
    [anon_sym_BSLASHbd] = ACTIONS(2769),
    [anon_sym_BSLASHit] = ACTIONS(2769),
    [anon_sym_BSLASHbdit] = ACTIONS(2769),
    [anon_sym_BSLASHno] = ACTIONS(2769),
    [anon_sym_BSLASHsc] = ACTIONS(2769),
    [anon_sym_BSLASHsup] = ACTIONS(2769),
    [anon_sym_BSLASHndx] = ACTIONS(2769),
    [anon_sym_BSLASHpro] = ACTIONS(2769),
    [anon_sym_BSLASHrb] = ACTIONS(2769),
    [anon_sym_BSLASHw] = ACTIONS(2769),
    [anon_sym_BSLASHwg] = ACTIONS(2769),
    [anon_sym_BSLASHwh] = ACTIONS(2769),
    [anon_sym_BSLASHwa] = ACTIONS(2769),
    [anon_sym_BSLASHfig] = ACTIONS(2769),
    [anon_sym_BSLASHjmp] = ACTIONS(2769),
    [anon_sym_BSLASHpb] = ACTIONS(2769),
    [anon_sym_BSLASH] = ACTIONS(2769),
    [sym_milestoneStartTag] = ACTIONS(2769),
    [sym_milestoneEndTag] = ACTIONS(2769),
    [sym_zSpaceTag] = ACTIONS(2769),
    [anon_sym_BSLASHesb] = ACTIONS(2769),
  },
  [601] = {
    [ts_builtin_sym_end] = ACTIONS(2699),
    [aux_sym_text_token1] = ACTIONS(2699),
    [anon_sym_BSLASHsts] = ACTIONS(2701),
    [anon_sym_BSLASHrem] = ACTIONS(2701),
    [anon_sym_BSLASHrestore] = ACTIONS(2701),
    [anon_sym_BSLASHlit] = ACTIONS(2701),
    [anon_sym_BSLASHip] = ACTIONS(2701),
    [anon_sym_BSLASHiex] = ACTIONS(2701),
    [anon_sym_BSLASHc] = ACTIONS(2701),
    [anon_sym_BSLASHcl] = ACTIONS(2701),
    [anon_sym_BSLASHca] = ACTIONS(2701),
    [anon_sym_BSLASHcp] = ACTIONS(2701),
    [anon_sym_BSLASHcd] = ACTIONS(2701),
    [anon_sym_BSLASHmte] = ACTIONS(2701),
    [anon_sym_BSLASHms] = ACTIONS(2701),
    [anon_sym_BSLASHs] = ACTIONS(2701),
    [anon_sym_BSLASHr] = ACTIONS(2701),
    [anon_sym_BSLASHsp] = ACTIONS(2701),
    [anon_sym_BSLASHd] = ACTIONS(2701),
    [anon_sym_BSLASHsd] = ACTIONS(2701),
    [anon_sym_BSLASHp] = ACTIONS(2701),
    [anon_sym_BSLASHm] = ACTIONS(2701),
    [anon_sym_BSLASHpo] = ACTIONS(2701),
    [anon_sym_BSLASHpr] = ACTIONS(2701),
    [anon_sym_BSLASHcls] = ACTIONS(2701),
    [anon_sym_BSLASHpmo] = ACTIONS(2701),
    [anon_sym_BSLASHpm] = ACTIONS(2701),
    [anon_sym_BSLASHpmc] = ACTIONS(2701),
    [anon_sym_BSLASHpmr] = ACTIONS(2701),
    [anon_sym_BSLASHpi] = ACTIONS(2701),
    [anon_sym_BSLASHmi] = ACTIONS(2701),
    [anon_sym_BSLASHnb] = ACTIONS(2701),
    [anon_sym_BSLASHpc] = ACTIONS(2701),
    [anon_sym_BSLASHph] = ACTIONS(2701),
    [anon_sym_BSLASHb] = ACTIONS(2701),
    [anon_sym_BSLASHq] = ACTIONS(2701),
    [anon_sym_BSLASHqr] = ACTIONS(2701),
    [anon_sym_BSLASHqc] = ACTIONS(2701),
    [anon_sym_BSLASHqa] = ACTIONS(2701),
    [anon_sym_BSLASHqm] = ACTIONS(2701),
    [anon_sym_BSLASHqd] = ACTIONS(2701),
    [anon_sym_BSLASHlh] = ACTIONS(2701),
    [anon_sym_BSLASHli] = ACTIONS(2701),
    [anon_sym_BSLASHlim] = ACTIONS(2701),
    [anon_sym_BSLASHtr] = ACTIONS(2701),
    [sym_thTag] = ACTIONS(2701),
    [sym_thrTag] = ACTIONS(2701),
    [sym_tcTag] = ACTIONS(2701),
    [sym_tcrTag] = ACTIONS(2701),
    [anon_sym_BSLASHf] = ACTIONS(2701),
    [anon_sym_BSLASHfe] = ACTIONS(2701),
    [anon_sym_BSLASHef] = ACTIONS(2701),
    [anon_sym_BSLASHfm] = ACTIONS(2701),
    [anon_sym_BSLASHadd] = ACTIONS(2701),
    [anon_sym_BSLASHbk] = ACTIONS(2701),
    [anon_sym_BSLASHdc] = ACTIONS(2701),
    [anon_sym_BSLASHk] = ACTIONS(2701),
    [anon_sym_BSLASHnd] = ACTIONS(2701),
    [anon_sym_BSLASHord] = ACTIONS(2701),
    [anon_sym_BSLASHpn] = ACTIONS(2701),
    [anon_sym_BSLASHpng] = ACTIONS(2701),
    [anon_sym_BSLASHaddpn] = ACTIONS(2701),
    [anon_sym_BSLASHqt] = ACTIONS(2701),
    [anon_sym_BSLASHsig] = ACTIONS(2701),
    [anon_sym_BSLASHsls] = ACTIONS(2701),
    [anon_sym_BSLASHtl] = ACTIONS(2701),
    [anon_sym_BSLASHwj] = ACTIONS(2701),
    [anon_sym_BSLASHem] = ACTIONS(2701),
    [anon_sym_BSLASHbd] = ACTIONS(2701),
    [anon_sym_BSLASHit] = ACTIONS(2701),
    [anon_sym_BSLASHbdit] = ACTIONS(2701),
    [anon_sym_BSLASHno] = ACTIONS(2701),
    [anon_sym_BSLASHsc] = ACTIONS(2701),
    [anon_sym_BSLASHsup] = ACTIONS(2701),
    [anon_sym_BSLASHndx] = ACTIONS(2701),
    [anon_sym_BSLASHpro] = ACTIONS(2701),
    [anon_sym_BSLASHrb] = ACTIONS(2701),
    [anon_sym_BSLASHw] = ACTIONS(2701),
    [anon_sym_BSLASHwg] = ACTIONS(2701),
    [anon_sym_BSLASHwh] = ACTIONS(2701),
    [anon_sym_BSLASHwa] = ACTIONS(2701),
    [anon_sym_BSLASHfig] = ACTIONS(2701),
    [anon_sym_BSLASHjmp] = ACTIONS(2701),
    [anon_sym_BSLASHpb] = ACTIONS(2701),
    [anon_sym_BSLASH] = ACTIONS(2701),
    [sym_milestoneStartTag] = ACTIONS(2701),
    [sym_milestoneEndTag] = ACTIONS(2701),
    [sym_zSpaceTag] = ACTIONS(2701),
    [anon_sym_BSLASHesb] = ACTIONS(2701),
  },
  [602] = {
    [ts_builtin_sym_end] = ACTIONS(2791),
    [aux_sym_text_token1] = ACTIONS(2791),
    [anon_sym_BSLASHsts] = ACTIONS(2793),
    [anon_sym_BSLASHrem] = ACTIONS(2793),
    [anon_sym_BSLASHrestore] = ACTIONS(2793),
    [anon_sym_BSLASHlit] = ACTIONS(2793),
    [anon_sym_BSLASHip] = ACTIONS(2793),
    [anon_sym_BSLASHiex] = ACTIONS(2793),
    [anon_sym_BSLASHc] = ACTIONS(2793),
    [anon_sym_BSLASHcl] = ACTIONS(2793),
    [anon_sym_BSLASHca] = ACTIONS(2793),
    [anon_sym_BSLASHcp] = ACTIONS(2793),
    [anon_sym_BSLASHcd] = ACTIONS(2793),
    [anon_sym_BSLASHmte] = ACTIONS(2793),
    [anon_sym_BSLASHms] = ACTIONS(2793),
    [anon_sym_BSLASHs] = ACTIONS(2793),
    [anon_sym_BSLASHr] = ACTIONS(2793),
    [anon_sym_BSLASHsp] = ACTIONS(2793),
    [anon_sym_BSLASHd] = ACTIONS(2793),
    [anon_sym_BSLASHsd] = ACTIONS(2793),
    [anon_sym_BSLASHp] = ACTIONS(2793),
    [anon_sym_BSLASHm] = ACTIONS(2793),
    [anon_sym_BSLASHpo] = ACTIONS(2793),
    [anon_sym_BSLASHpr] = ACTIONS(2793),
    [anon_sym_BSLASHcls] = ACTIONS(2793),
    [anon_sym_BSLASHpmo] = ACTIONS(2793),
    [anon_sym_BSLASHpm] = ACTIONS(2793),
    [anon_sym_BSLASHpmc] = ACTIONS(2793),
    [anon_sym_BSLASHpmr] = ACTIONS(2793),
    [anon_sym_BSLASHpi] = ACTIONS(2793),
    [anon_sym_BSLASHmi] = ACTIONS(2793),
    [anon_sym_BSLASHnb] = ACTIONS(2793),
    [anon_sym_BSLASHpc] = ACTIONS(2793),
    [anon_sym_BSLASHph] = ACTIONS(2793),
    [anon_sym_BSLASHb] = ACTIONS(2793),
    [anon_sym_BSLASHq] = ACTIONS(2793),
    [anon_sym_BSLASHqr] = ACTIONS(2793),
    [anon_sym_BSLASHqc] = ACTIONS(2793),
    [anon_sym_BSLASHqa] = ACTIONS(2793),
    [anon_sym_BSLASHqm] = ACTIONS(2793),
    [anon_sym_BSLASHqd] = ACTIONS(2793),
    [anon_sym_BSLASHlh] = ACTIONS(2793),
    [anon_sym_BSLASHli] = ACTIONS(2793),
    [anon_sym_BSLASHlim] = ACTIONS(2793),
    [anon_sym_BSLASHtr] = ACTIONS(2793),
    [sym_thTag] = ACTIONS(2793),
    [sym_thrTag] = ACTIONS(2793),
    [sym_tcTag] = ACTIONS(2793),
    [sym_tcrTag] = ACTIONS(2793),
    [anon_sym_BSLASHf] = ACTIONS(2793),
    [anon_sym_BSLASHfe] = ACTIONS(2793),
    [anon_sym_BSLASHef] = ACTIONS(2793),
    [anon_sym_BSLASHfm] = ACTIONS(2793),
    [anon_sym_BSLASHadd] = ACTIONS(2793),
    [anon_sym_BSLASHbk] = ACTIONS(2793),
    [anon_sym_BSLASHdc] = ACTIONS(2793),
    [anon_sym_BSLASHk] = ACTIONS(2793),
    [anon_sym_BSLASHnd] = ACTIONS(2793),
    [anon_sym_BSLASHord] = ACTIONS(2793),
    [anon_sym_BSLASHpn] = ACTIONS(2793),
    [anon_sym_BSLASHpng] = ACTIONS(2793),
    [anon_sym_BSLASHaddpn] = ACTIONS(2793),
    [anon_sym_BSLASHqt] = ACTIONS(2793),
    [anon_sym_BSLASHsig] = ACTIONS(2793),
    [anon_sym_BSLASHsls] = ACTIONS(2793),
    [anon_sym_BSLASHtl] = ACTIONS(2793),
    [anon_sym_BSLASHwj] = ACTIONS(2793),
    [anon_sym_BSLASHem] = ACTIONS(2793),
    [anon_sym_BSLASHbd] = ACTIONS(2793),
    [anon_sym_BSLASHit] = ACTIONS(2793),
    [anon_sym_BSLASHbdit] = ACTIONS(2793),
    [anon_sym_BSLASHno] = ACTIONS(2793),
    [anon_sym_BSLASHsc] = ACTIONS(2793),
    [anon_sym_BSLASHsup] = ACTIONS(2793),
    [anon_sym_BSLASHndx] = ACTIONS(2793),
    [anon_sym_BSLASHpro] = ACTIONS(2793),
    [anon_sym_BSLASHrb] = ACTIONS(2793),
    [anon_sym_BSLASHw] = ACTIONS(2793),
    [anon_sym_BSLASHwg] = ACTIONS(2793),
    [anon_sym_BSLASHwh] = ACTIONS(2793),
    [anon_sym_BSLASHwa] = ACTIONS(2793),
    [anon_sym_BSLASHfig] = ACTIONS(2793),
    [anon_sym_BSLASHjmp] = ACTIONS(2793),
    [anon_sym_BSLASHpb] = ACTIONS(2793),
    [anon_sym_BSLASH] = ACTIONS(2793),
    [sym_milestoneStartTag] = ACTIONS(2793),
    [sym_milestoneEndTag] = ACTIONS(2793),
    [sym_zSpaceTag] = ACTIONS(2793),
    [anon_sym_BSLASHesb] = ACTIONS(2793),
  },
  [603] = {
    [ts_builtin_sym_end] = ACTIONS(2787),
    [aux_sym_text_token1] = ACTIONS(2787),
    [anon_sym_BSLASHsts] = ACTIONS(2789),
    [anon_sym_BSLASHrem] = ACTIONS(2789),
    [anon_sym_BSLASHrestore] = ACTIONS(2789),
    [anon_sym_BSLASHlit] = ACTIONS(2789),
    [anon_sym_BSLASHip] = ACTIONS(2789),
    [anon_sym_BSLASHiex] = ACTIONS(2789),
    [anon_sym_BSLASHc] = ACTIONS(2789),
    [anon_sym_BSLASHcl] = ACTIONS(2789),
    [anon_sym_BSLASHca] = ACTIONS(2789),
    [anon_sym_BSLASHcp] = ACTIONS(2789),
    [anon_sym_BSLASHcd] = ACTIONS(2789),
    [anon_sym_BSLASHmte] = ACTIONS(2789),
    [anon_sym_BSLASHms] = ACTIONS(2789),
    [anon_sym_BSLASHs] = ACTIONS(2789),
    [anon_sym_BSLASHr] = ACTIONS(2789),
    [anon_sym_BSLASHsp] = ACTIONS(2789),
    [anon_sym_BSLASHd] = ACTIONS(2789),
    [anon_sym_BSLASHsd] = ACTIONS(2789),
    [anon_sym_BSLASHp] = ACTIONS(2789),
    [anon_sym_BSLASHm] = ACTIONS(2789),
    [anon_sym_BSLASHpo] = ACTIONS(2789),
    [anon_sym_BSLASHpr] = ACTIONS(2789),
    [anon_sym_BSLASHcls] = ACTIONS(2789),
    [anon_sym_BSLASHpmo] = ACTIONS(2789),
    [anon_sym_BSLASHpm] = ACTIONS(2789),
    [anon_sym_BSLASHpmc] = ACTIONS(2789),
    [anon_sym_BSLASHpmr] = ACTIONS(2789),
    [anon_sym_BSLASHpi] = ACTIONS(2789),
    [anon_sym_BSLASHmi] = ACTIONS(2789),
    [anon_sym_BSLASHnb] = ACTIONS(2789),
    [anon_sym_BSLASHpc] = ACTIONS(2789),
    [anon_sym_BSLASHph] = ACTIONS(2789),
    [anon_sym_BSLASHb] = ACTIONS(2789),
    [anon_sym_BSLASHq] = ACTIONS(2789),
    [anon_sym_BSLASHqr] = ACTIONS(2789),
    [anon_sym_BSLASHqc] = ACTIONS(2789),
    [anon_sym_BSLASHqa] = ACTIONS(2789),
    [anon_sym_BSLASHqm] = ACTIONS(2789),
    [anon_sym_BSLASHqd] = ACTIONS(2789),
    [anon_sym_BSLASHlh] = ACTIONS(2789),
    [anon_sym_BSLASHli] = ACTIONS(2789),
    [anon_sym_BSLASHlim] = ACTIONS(2789),
    [anon_sym_BSLASHtr] = ACTIONS(2789),
    [sym_thTag] = ACTIONS(2789),
    [sym_thrTag] = ACTIONS(2789),
    [sym_tcTag] = ACTIONS(2789),
    [sym_tcrTag] = ACTIONS(2789),
    [anon_sym_BSLASHf] = ACTIONS(2789),
    [anon_sym_BSLASHfe] = ACTIONS(2789),
    [anon_sym_BSLASHef] = ACTIONS(2789),
    [anon_sym_BSLASHfm] = ACTIONS(2789),
    [anon_sym_BSLASHadd] = ACTIONS(2789),
    [anon_sym_BSLASHbk] = ACTIONS(2789),
    [anon_sym_BSLASHdc] = ACTIONS(2789),
    [anon_sym_BSLASHk] = ACTIONS(2789),
    [anon_sym_BSLASHnd] = ACTIONS(2789),
    [anon_sym_BSLASHord] = ACTIONS(2789),
    [anon_sym_BSLASHpn] = ACTIONS(2789),
    [anon_sym_BSLASHpng] = ACTIONS(2789),
    [anon_sym_BSLASHaddpn] = ACTIONS(2789),
    [anon_sym_BSLASHqt] = ACTIONS(2789),
    [anon_sym_BSLASHsig] = ACTIONS(2789),
    [anon_sym_BSLASHsls] = ACTIONS(2789),
    [anon_sym_BSLASHtl] = ACTIONS(2789),
    [anon_sym_BSLASHwj] = ACTIONS(2789),
    [anon_sym_BSLASHem] = ACTIONS(2789),
    [anon_sym_BSLASHbd] = ACTIONS(2789),
    [anon_sym_BSLASHit] = ACTIONS(2789),
    [anon_sym_BSLASHbdit] = ACTIONS(2789),
    [anon_sym_BSLASHno] = ACTIONS(2789),
    [anon_sym_BSLASHsc] = ACTIONS(2789),
    [anon_sym_BSLASHsup] = ACTIONS(2789),
    [anon_sym_BSLASHndx] = ACTIONS(2789),
    [anon_sym_BSLASHpro] = ACTIONS(2789),
    [anon_sym_BSLASHrb] = ACTIONS(2789),
    [anon_sym_BSLASHw] = ACTIONS(2789),
    [anon_sym_BSLASHwg] = ACTIONS(2789),
    [anon_sym_BSLASHwh] = ACTIONS(2789),
    [anon_sym_BSLASHwa] = ACTIONS(2789),
    [anon_sym_BSLASHfig] = ACTIONS(2789),
    [anon_sym_BSLASHjmp] = ACTIONS(2789),
    [anon_sym_BSLASHpb] = ACTIONS(2789),
    [anon_sym_BSLASH] = ACTIONS(2789),
    [sym_milestoneStartTag] = ACTIONS(2789),
    [sym_milestoneEndTag] = ACTIONS(2789),
    [sym_zSpaceTag] = ACTIONS(2789),
    [anon_sym_BSLASHesb] = ACTIONS(2789),
  },
  [604] = {
    [ts_builtin_sym_end] = ACTIONS(2783),
    [aux_sym_text_token1] = ACTIONS(2783),
    [anon_sym_BSLASHsts] = ACTIONS(2785),
    [anon_sym_BSLASHrem] = ACTIONS(2785),
    [anon_sym_BSLASHrestore] = ACTIONS(2785),
    [anon_sym_BSLASHlit] = ACTIONS(2785),
    [anon_sym_BSLASHip] = ACTIONS(2785),
    [anon_sym_BSLASHiex] = ACTIONS(2785),
    [anon_sym_BSLASHc] = ACTIONS(2785),
    [anon_sym_BSLASHcl] = ACTIONS(2785),
    [anon_sym_BSLASHca] = ACTIONS(2785),
    [anon_sym_BSLASHcp] = ACTIONS(2785),
    [anon_sym_BSLASHcd] = ACTIONS(2785),
    [anon_sym_BSLASHmte] = ACTIONS(2785),
    [anon_sym_BSLASHms] = ACTIONS(2785),
    [anon_sym_BSLASHs] = ACTIONS(2785),
    [anon_sym_BSLASHr] = ACTIONS(2785),
    [anon_sym_BSLASHsp] = ACTIONS(2785),
    [anon_sym_BSLASHd] = ACTIONS(2785),
    [anon_sym_BSLASHsd] = ACTIONS(2785),
    [anon_sym_BSLASHp] = ACTIONS(2785),
    [anon_sym_BSLASHm] = ACTIONS(2785),
    [anon_sym_BSLASHpo] = ACTIONS(2785),
    [anon_sym_BSLASHpr] = ACTIONS(2785),
    [anon_sym_BSLASHcls] = ACTIONS(2785),
    [anon_sym_BSLASHpmo] = ACTIONS(2785),
    [anon_sym_BSLASHpm] = ACTIONS(2785),
    [anon_sym_BSLASHpmc] = ACTIONS(2785),
    [anon_sym_BSLASHpmr] = ACTIONS(2785),
    [anon_sym_BSLASHpi] = ACTIONS(2785),
    [anon_sym_BSLASHmi] = ACTIONS(2785),
    [anon_sym_BSLASHnb] = ACTIONS(2785),
    [anon_sym_BSLASHpc] = ACTIONS(2785),
    [anon_sym_BSLASHph] = ACTIONS(2785),
    [anon_sym_BSLASHb] = ACTIONS(2785),
    [anon_sym_BSLASHq] = ACTIONS(2785),
    [anon_sym_BSLASHqr] = ACTIONS(2785),
    [anon_sym_BSLASHqc] = ACTIONS(2785),
    [anon_sym_BSLASHqa] = ACTIONS(2785),
    [anon_sym_BSLASHqm] = ACTIONS(2785),
    [anon_sym_BSLASHqd] = ACTIONS(2785),
    [anon_sym_BSLASHlh] = ACTIONS(2785),
    [anon_sym_BSLASHli] = ACTIONS(2785),
    [anon_sym_BSLASHlim] = ACTIONS(2785),
    [anon_sym_BSLASHtr] = ACTIONS(2785),
    [sym_thTag] = ACTIONS(2785),
    [sym_thrTag] = ACTIONS(2785),
    [sym_tcTag] = ACTIONS(2785),
    [sym_tcrTag] = ACTIONS(2785),
    [anon_sym_BSLASHf] = ACTIONS(2785),
    [anon_sym_BSLASHfe] = ACTIONS(2785),
    [anon_sym_BSLASHef] = ACTIONS(2785),
    [anon_sym_BSLASHfm] = ACTIONS(2785),
    [anon_sym_BSLASHadd] = ACTIONS(2785),
    [anon_sym_BSLASHbk] = ACTIONS(2785),
    [anon_sym_BSLASHdc] = ACTIONS(2785),
    [anon_sym_BSLASHk] = ACTIONS(2785),
    [anon_sym_BSLASHnd] = ACTIONS(2785),
    [anon_sym_BSLASHord] = ACTIONS(2785),
    [anon_sym_BSLASHpn] = ACTIONS(2785),
    [anon_sym_BSLASHpng] = ACTIONS(2785),
    [anon_sym_BSLASHaddpn] = ACTIONS(2785),
    [anon_sym_BSLASHqt] = ACTIONS(2785),
    [anon_sym_BSLASHsig] = ACTIONS(2785),
    [anon_sym_BSLASHsls] = ACTIONS(2785),
    [anon_sym_BSLASHtl] = ACTIONS(2785),
    [anon_sym_BSLASHwj] = ACTIONS(2785),
    [anon_sym_BSLASHem] = ACTIONS(2785),
    [anon_sym_BSLASHbd] = ACTIONS(2785),
    [anon_sym_BSLASHit] = ACTIONS(2785),
    [anon_sym_BSLASHbdit] = ACTIONS(2785),
    [anon_sym_BSLASHno] = ACTIONS(2785),
    [anon_sym_BSLASHsc] = ACTIONS(2785),
    [anon_sym_BSLASHsup] = ACTIONS(2785),
    [anon_sym_BSLASHndx] = ACTIONS(2785),
    [anon_sym_BSLASHpro] = ACTIONS(2785),
    [anon_sym_BSLASHrb] = ACTIONS(2785),
    [anon_sym_BSLASHw] = ACTIONS(2785),
    [anon_sym_BSLASHwg] = ACTIONS(2785),
    [anon_sym_BSLASHwh] = ACTIONS(2785),
    [anon_sym_BSLASHwa] = ACTIONS(2785),
    [anon_sym_BSLASHfig] = ACTIONS(2785),
    [anon_sym_BSLASHjmp] = ACTIONS(2785),
    [anon_sym_BSLASHpb] = ACTIONS(2785),
    [anon_sym_BSLASH] = ACTIONS(2785),
    [sym_milestoneStartTag] = ACTIONS(2785),
    [sym_milestoneEndTag] = ACTIONS(2785),
    [sym_zSpaceTag] = ACTIONS(2785),
    [anon_sym_BSLASHesb] = ACTIONS(2785),
  },
  [605] = {
    [ts_builtin_sym_end] = ACTIONS(2707),
    [aux_sym_text_token1] = ACTIONS(2707),
    [anon_sym_BSLASHsts] = ACTIONS(2709),
    [anon_sym_BSLASHrem] = ACTIONS(2709),
    [anon_sym_BSLASHrestore] = ACTIONS(2709),
    [anon_sym_BSLASHlit] = ACTIONS(2709),
    [anon_sym_BSLASHip] = ACTIONS(2709),
    [anon_sym_BSLASHiex] = ACTIONS(2709),
    [anon_sym_BSLASHc] = ACTIONS(2709),
    [anon_sym_BSLASHcl] = ACTIONS(2709),
    [anon_sym_BSLASHca] = ACTIONS(2709),
    [anon_sym_BSLASHcp] = ACTIONS(2709),
    [anon_sym_BSLASHcd] = ACTIONS(2709),
    [anon_sym_BSLASHmte] = ACTIONS(2709),
    [anon_sym_BSLASHms] = ACTIONS(2709),
    [anon_sym_BSLASHs] = ACTIONS(2709),
    [anon_sym_BSLASHr] = ACTIONS(2709),
    [anon_sym_BSLASHsp] = ACTIONS(2709),
    [anon_sym_BSLASHd] = ACTIONS(2709),
    [anon_sym_BSLASHsd] = ACTIONS(2709),
    [anon_sym_BSLASHp] = ACTIONS(2709),
    [anon_sym_BSLASHm] = ACTIONS(2709),
    [anon_sym_BSLASHpo] = ACTIONS(2709),
    [anon_sym_BSLASHpr] = ACTIONS(2709),
    [anon_sym_BSLASHcls] = ACTIONS(2709),
    [anon_sym_BSLASHpmo] = ACTIONS(2709),
    [anon_sym_BSLASHpm] = ACTIONS(2709),
    [anon_sym_BSLASHpmc] = ACTIONS(2709),
    [anon_sym_BSLASHpmr] = ACTIONS(2709),
    [anon_sym_BSLASHpi] = ACTIONS(2709),
    [anon_sym_BSLASHmi] = ACTIONS(2709),
    [anon_sym_BSLASHnb] = ACTIONS(2709),
    [anon_sym_BSLASHpc] = ACTIONS(2709),
    [anon_sym_BSLASHph] = ACTIONS(2709),
    [anon_sym_BSLASHb] = ACTIONS(2709),
    [anon_sym_BSLASHq] = ACTIONS(2709),
    [anon_sym_BSLASHqr] = ACTIONS(2709),
    [anon_sym_BSLASHqc] = ACTIONS(2709),
    [anon_sym_BSLASHqa] = ACTIONS(2709),
    [anon_sym_BSLASHqm] = ACTIONS(2709),
    [anon_sym_BSLASHqd] = ACTIONS(2709),
    [anon_sym_BSLASHlh] = ACTIONS(2709),
    [anon_sym_BSLASHli] = ACTIONS(2709),
    [anon_sym_BSLASHlim] = ACTIONS(2709),
    [anon_sym_BSLASHtr] = ACTIONS(2709),
    [sym_thTag] = ACTIONS(2709),
    [sym_thrTag] = ACTIONS(2709),
    [sym_tcTag] = ACTIONS(2709),
    [sym_tcrTag] = ACTIONS(2709),
    [anon_sym_BSLASHf] = ACTIONS(2709),
    [anon_sym_BSLASHfe] = ACTIONS(2709),
    [anon_sym_BSLASHef] = ACTIONS(2709),
    [anon_sym_BSLASHfm] = ACTIONS(2709),
    [anon_sym_BSLASHadd] = ACTIONS(2709),
    [anon_sym_BSLASHbk] = ACTIONS(2709),
    [anon_sym_BSLASHdc] = ACTIONS(2709),
    [anon_sym_BSLASHk] = ACTIONS(2709),
    [anon_sym_BSLASHnd] = ACTIONS(2709),
    [anon_sym_BSLASHord] = ACTIONS(2709),
    [anon_sym_BSLASHpn] = ACTIONS(2709),
    [anon_sym_BSLASHpng] = ACTIONS(2709),
    [anon_sym_BSLASHaddpn] = ACTIONS(2709),
    [anon_sym_BSLASHqt] = ACTIONS(2709),
    [anon_sym_BSLASHsig] = ACTIONS(2709),
    [anon_sym_BSLASHsls] = ACTIONS(2709),
    [anon_sym_BSLASHtl] = ACTIONS(2709),
    [anon_sym_BSLASHwj] = ACTIONS(2709),
    [anon_sym_BSLASHem] = ACTIONS(2709),
    [anon_sym_BSLASHbd] = ACTIONS(2709),
    [anon_sym_BSLASHit] = ACTIONS(2709),
    [anon_sym_BSLASHbdit] = ACTIONS(2709),
    [anon_sym_BSLASHno] = ACTIONS(2709),
    [anon_sym_BSLASHsc] = ACTIONS(2709),
    [anon_sym_BSLASHsup] = ACTIONS(2709),
    [anon_sym_BSLASHndx] = ACTIONS(2709),
    [anon_sym_BSLASHpro] = ACTIONS(2709),
    [anon_sym_BSLASHrb] = ACTIONS(2709),
    [anon_sym_BSLASHw] = ACTIONS(2709),
    [anon_sym_BSLASHwg] = ACTIONS(2709),
    [anon_sym_BSLASHwh] = ACTIONS(2709),
    [anon_sym_BSLASHwa] = ACTIONS(2709),
    [anon_sym_BSLASHfig] = ACTIONS(2709),
    [anon_sym_BSLASHjmp] = ACTIONS(2709),
    [anon_sym_BSLASHpb] = ACTIONS(2709),
    [anon_sym_BSLASH] = ACTIONS(2709),
    [sym_milestoneStartTag] = ACTIONS(2709),
    [sym_milestoneEndTag] = ACTIONS(2709),
    [sym_zSpaceTag] = ACTIONS(2709),
    [anon_sym_BSLASHesb] = ACTIONS(2709),
  },
  [606] = {
    [ts_builtin_sym_end] = ACTIONS(13),
    [aux_sym_text_token1] = ACTIONS(13),
    [anon_sym_BSLASHsts] = ACTIONS(15),
    [anon_sym_BSLASHrem] = ACTIONS(15),
    [anon_sym_BSLASHrestore] = ACTIONS(15),
    [anon_sym_BSLASHlit] = ACTIONS(15),
    [anon_sym_BSLASHip] = ACTIONS(15),
    [anon_sym_BSLASHiex] = ACTIONS(15),
    [anon_sym_BSLASHc] = ACTIONS(15),
    [anon_sym_BSLASHcl] = ACTIONS(15),
    [anon_sym_BSLASHca] = ACTIONS(15),
    [anon_sym_BSLASHcp] = ACTIONS(15),
    [anon_sym_BSLASHcd] = ACTIONS(15),
    [anon_sym_BSLASHmte] = ACTIONS(15),
    [anon_sym_BSLASHms] = ACTIONS(15),
    [anon_sym_BSLASHs] = ACTIONS(15),
    [anon_sym_BSLASHr] = ACTIONS(15),
    [anon_sym_BSLASHsp] = ACTIONS(15),
    [anon_sym_BSLASHd] = ACTIONS(15),
    [anon_sym_BSLASHsd] = ACTIONS(15),
    [anon_sym_BSLASHp] = ACTIONS(15),
    [anon_sym_BSLASHm] = ACTIONS(15),
    [anon_sym_BSLASHpo] = ACTIONS(15),
    [anon_sym_BSLASHpr] = ACTIONS(15),
    [anon_sym_BSLASHcls] = ACTIONS(15),
    [anon_sym_BSLASHpmo] = ACTIONS(15),
    [anon_sym_BSLASHpm] = ACTIONS(15),
    [anon_sym_BSLASHpmc] = ACTIONS(15),
    [anon_sym_BSLASHpmr] = ACTIONS(15),
    [anon_sym_BSLASHpi] = ACTIONS(15),
    [anon_sym_BSLASHmi] = ACTIONS(15),
    [anon_sym_BSLASHnb] = ACTIONS(15),
    [anon_sym_BSLASHpc] = ACTIONS(15),
    [anon_sym_BSLASHph] = ACTIONS(15),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [anon_sym_BSLASHq] = ACTIONS(15),
    [anon_sym_BSLASHqr] = ACTIONS(15),
    [anon_sym_BSLASHqc] = ACTIONS(15),
    [anon_sym_BSLASHqa] = ACTIONS(15),
    [anon_sym_BSLASHqm] = ACTIONS(15),
    [anon_sym_BSLASHqd] = ACTIONS(15),
    [anon_sym_BSLASHlh] = ACTIONS(15),
    [anon_sym_BSLASHli] = ACTIONS(15),
    [anon_sym_BSLASHlim] = ACTIONS(15),
    [anon_sym_BSLASHtr] = ACTIONS(15),
    [sym_thTag] = ACTIONS(15),
    [sym_thrTag] = ACTIONS(15),
    [sym_tcTag] = ACTIONS(15),
    [sym_tcrTag] = ACTIONS(15),
    [anon_sym_BSLASHf] = ACTIONS(15),
    [anon_sym_BSLASHfe] = ACTIONS(15),
    [anon_sym_BSLASHef] = ACTIONS(15),
    [anon_sym_BSLASHfm] = ACTIONS(15),
    [anon_sym_BSLASHadd] = ACTIONS(15),
    [anon_sym_BSLASHbk] = ACTIONS(15),
    [anon_sym_BSLASHdc] = ACTIONS(15),
    [anon_sym_BSLASHk] = ACTIONS(15),
    [anon_sym_BSLASHnd] = ACTIONS(15),
    [anon_sym_BSLASHord] = ACTIONS(15),
    [anon_sym_BSLASHpn] = ACTIONS(15),
    [anon_sym_BSLASHpng] = ACTIONS(15),
    [anon_sym_BSLASHaddpn] = ACTIONS(15),
    [anon_sym_BSLASHqt] = ACTIONS(15),
    [anon_sym_BSLASHsig] = ACTIONS(15),
    [anon_sym_BSLASHsls] = ACTIONS(15),
    [anon_sym_BSLASHtl] = ACTIONS(15),
    [anon_sym_BSLASHwj] = ACTIONS(15),
    [anon_sym_BSLASHem] = ACTIONS(15),
    [anon_sym_BSLASHbd] = ACTIONS(15),
    [anon_sym_BSLASHit] = ACTIONS(15),
    [anon_sym_BSLASHbdit] = ACTIONS(15),
    [anon_sym_BSLASHno] = ACTIONS(15),
    [anon_sym_BSLASHsc] = ACTIONS(15),
    [anon_sym_BSLASHsup] = ACTIONS(15),
    [anon_sym_BSLASHndx] = ACTIONS(15),
    [anon_sym_BSLASHpro] = ACTIONS(15),
    [anon_sym_BSLASHrb] = ACTIONS(15),
    [anon_sym_BSLASHw] = ACTIONS(15),
    [anon_sym_BSLASHwg] = ACTIONS(15),
    [anon_sym_BSLASHwh] = ACTIONS(15),
    [anon_sym_BSLASHwa] = ACTIONS(15),
    [anon_sym_BSLASHfig] = ACTIONS(15),
    [anon_sym_BSLASHjmp] = ACTIONS(15),
    [anon_sym_BSLASHpb] = ACTIONS(15),
    [anon_sym_BSLASH] = ACTIONS(15),
    [sym_milestoneStartTag] = ACTIONS(15),
    [sym_milestoneEndTag] = ACTIONS(15),
    [sym_zSpaceTag] = ACTIONS(15),
    [anon_sym_BSLASHesb] = ACTIONS(15),
  },
  [607] = {
    [ts_builtin_sym_end] = ACTIONS(2771),
    [aux_sym_text_token1] = ACTIONS(2771),
    [anon_sym_BSLASHsts] = ACTIONS(2773),
    [anon_sym_BSLASHrem] = ACTIONS(2773),
    [anon_sym_BSLASHrestore] = ACTIONS(2773),
    [anon_sym_BSLASHlit] = ACTIONS(2773),
    [anon_sym_BSLASHip] = ACTIONS(2773),
    [anon_sym_BSLASHiex] = ACTIONS(2773),
    [anon_sym_BSLASHc] = ACTIONS(2773),
    [anon_sym_BSLASHcl] = ACTIONS(2773),
    [anon_sym_BSLASHca] = ACTIONS(2773),
    [anon_sym_BSLASHcp] = ACTIONS(2773),
    [anon_sym_BSLASHcd] = ACTIONS(2773),
    [anon_sym_BSLASHmte] = ACTIONS(2773),
    [anon_sym_BSLASHms] = ACTIONS(2773),
    [anon_sym_BSLASHs] = ACTIONS(2773),
    [anon_sym_BSLASHr] = ACTIONS(2773),
    [anon_sym_BSLASHsp] = ACTIONS(2773),
    [anon_sym_BSLASHd] = ACTIONS(2773),
    [anon_sym_BSLASHsd] = ACTIONS(2773),
    [anon_sym_BSLASHp] = ACTIONS(2773),
    [anon_sym_BSLASHm] = ACTIONS(2773),
    [anon_sym_BSLASHpo] = ACTIONS(2773),
    [anon_sym_BSLASHpr] = ACTIONS(2773),
    [anon_sym_BSLASHcls] = ACTIONS(2773),
    [anon_sym_BSLASHpmo] = ACTIONS(2773),
    [anon_sym_BSLASHpm] = ACTIONS(2773),
    [anon_sym_BSLASHpmc] = ACTIONS(2773),
    [anon_sym_BSLASHpmr] = ACTIONS(2773),
    [anon_sym_BSLASHpi] = ACTIONS(2773),
    [anon_sym_BSLASHmi] = ACTIONS(2773),
    [anon_sym_BSLASHnb] = ACTIONS(2773),
    [anon_sym_BSLASHpc] = ACTIONS(2773),
    [anon_sym_BSLASHph] = ACTIONS(2773),
    [anon_sym_BSLASHb] = ACTIONS(2773),
    [anon_sym_BSLASHq] = ACTIONS(2773),
    [anon_sym_BSLASHqr] = ACTIONS(2773),
    [anon_sym_BSLASHqc] = ACTIONS(2773),
    [anon_sym_BSLASHqa] = ACTIONS(2773),
    [anon_sym_BSLASHqm] = ACTIONS(2773),
    [anon_sym_BSLASHqd] = ACTIONS(2773),
    [anon_sym_BSLASHlh] = ACTIONS(2773),
    [anon_sym_BSLASHli] = ACTIONS(2773),
    [anon_sym_BSLASHlim] = ACTIONS(2773),
    [anon_sym_BSLASHtr] = ACTIONS(2773),
    [sym_thTag] = ACTIONS(2773),
    [sym_thrTag] = ACTIONS(2773),
    [sym_tcTag] = ACTIONS(2773),
    [sym_tcrTag] = ACTIONS(2773),
    [anon_sym_BSLASHf] = ACTIONS(2773),
    [anon_sym_BSLASHfe] = ACTIONS(2773),
    [anon_sym_BSLASHef] = ACTIONS(2773),
    [anon_sym_BSLASHfm] = ACTIONS(2773),
    [anon_sym_BSLASHadd] = ACTIONS(2773),
    [anon_sym_BSLASHbk] = ACTIONS(2773),
    [anon_sym_BSLASHdc] = ACTIONS(2773),
    [anon_sym_BSLASHk] = ACTIONS(2773),
    [anon_sym_BSLASHnd] = ACTIONS(2773),
    [anon_sym_BSLASHord] = ACTIONS(2773),
    [anon_sym_BSLASHpn] = ACTIONS(2773),
    [anon_sym_BSLASHpng] = ACTIONS(2773),
    [anon_sym_BSLASHaddpn] = ACTIONS(2773),
    [anon_sym_BSLASHqt] = ACTIONS(2773),
    [anon_sym_BSLASHsig] = ACTIONS(2773),
    [anon_sym_BSLASHsls] = ACTIONS(2773),
    [anon_sym_BSLASHtl] = ACTIONS(2773),
    [anon_sym_BSLASHwj] = ACTIONS(2773),
    [anon_sym_BSLASHem] = ACTIONS(2773),
    [anon_sym_BSLASHbd] = ACTIONS(2773),
    [anon_sym_BSLASHit] = ACTIONS(2773),
    [anon_sym_BSLASHbdit] = ACTIONS(2773),
    [anon_sym_BSLASHno] = ACTIONS(2773),
    [anon_sym_BSLASHsc] = ACTIONS(2773),
    [anon_sym_BSLASHsup] = ACTIONS(2773),
    [anon_sym_BSLASHndx] = ACTIONS(2773),
    [anon_sym_BSLASHpro] = ACTIONS(2773),
    [anon_sym_BSLASHrb] = ACTIONS(2773),
    [anon_sym_BSLASHw] = ACTIONS(2773),
    [anon_sym_BSLASHwg] = ACTIONS(2773),
    [anon_sym_BSLASHwh] = ACTIONS(2773),
    [anon_sym_BSLASHwa] = ACTIONS(2773),
    [anon_sym_BSLASHfig] = ACTIONS(2773),
    [anon_sym_BSLASHjmp] = ACTIONS(2773),
    [anon_sym_BSLASHpb] = ACTIONS(2773),
    [anon_sym_BSLASH] = ACTIONS(2773),
    [sym_milestoneStartTag] = ACTIONS(2773),
    [sym_milestoneEndTag] = ACTIONS(2773),
    [sym_zSpaceTag] = ACTIONS(2773),
    [anon_sym_BSLASHesb] = ACTIONS(2773),
  },
  [608] = {
    [ts_builtin_sym_end] = ACTIONS(2747),
    [aux_sym_text_token1] = ACTIONS(2747),
    [anon_sym_BSLASHsts] = ACTIONS(2749),
    [anon_sym_BSLASHrem] = ACTIONS(2749),
    [anon_sym_BSLASHrestore] = ACTIONS(2749),
    [anon_sym_BSLASHlit] = ACTIONS(2749),
    [anon_sym_BSLASHip] = ACTIONS(2749),
    [anon_sym_BSLASHiex] = ACTIONS(2749),
    [anon_sym_BSLASHc] = ACTIONS(2749),
    [anon_sym_BSLASHcl] = ACTIONS(2749),
    [anon_sym_BSLASHca] = ACTIONS(2749),
    [anon_sym_BSLASHcp] = ACTIONS(2749),
    [anon_sym_BSLASHcd] = ACTIONS(2749),
    [anon_sym_BSLASHmte] = ACTIONS(2749),
    [anon_sym_BSLASHms] = ACTIONS(2749),
    [anon_sym_BSLASHs] = ACTIONS(2749),
    [anon_sym_BSLASHr] = ACTIONS(2749),
    [anon_sym_BSLASHsp] = ACTIONS(2749),
    [anon_sym_BSLASHd] = ACTIONS(2749),
    [anon_sym_BSLASHsd] = ACTIONS(2749),
    [anon_sym_BSLASHp] = ACTIONS(2749),
    [anon_sym_BSLASHm] = ACTIONS(2749),
    [anon_sym_BSLASHpo] = ACTIONS(2749),
    [anon_sym_BSLASHpr] = ACTIONS(2749),
    [anon_sym_BSLASHcls] = ACTIONS(2749),
    [anon_sym_BSLASHpmo] = ACTIONS(2749),
    [anon_sym_BSLASHpm] = ACTIONS(2749),
    [anon_sym_BSLASHpmc] = ACTIONS(2749),
    [anon_sym_BSLASHpmr] = ACTIONS(2749),
    [anon_sym_BSLASHpi] = ACTIONS(2749),
    [anon_sym_BSLASHmi] = ACTIONS(2749),
    [anon_sym_BSLASHnb] = ACTIONS(2749),
    [anon_sym_BSLASHpc] = ACTIONS(2749),
    [anon_sym_BSLASHph] = ACTIONS(2749),
    [anon_sym_BSLASHb] = ACTIONS(2749),
    [anon_sym_BSLASHq] = ACTIONS(2749),
    [anon_sym_BSLASHqr] = ACTIONS(2749),
    [anon_sym_BSLASHqc] = ACTIONS(2749),
    [anon_sym_BSLASHqa] = ACTIONS(2749),
    [anon_sym_BSLASHqm] = ACTIONS(2749),
    [anon_sym_BSLASHqd] = ACTIONS(2749),
    [anon_sym_BSLASHlh] = ACTIONS(2749),
    [anon_sym_BSLASHli] = ACTIONS(2749),
    [anon_sym_BSLASHlim] = ACTIONS(2749),
    [anon_sym_BSLASHtr] = ACTIONS(2749),
    [sym_thTag] = ACTIONS(2749),
    [sym_thrTag] = ACTIONS(2749),
    [sym_tcTag] = ACTIONS(2749),
    [sym_tcrTag] = ACTIONS(2749),
    [anon_sym_BSLASHf] = ACTIONS(2749),
    [anon_sym_BSLASHfe] = ACTIONS(2749),
    [anon_sym_BSLASHef] = ACTIONS(2749),
    [anon_sym_BSLASHfm] = ACTIONS(2749),
    [anon_sym_BSLASHadd] = ACTIONS(2749),
    [anon_sym_BSLASHbk] = ACTIONS(2749),
    [anon_sym_BSLASHdc] = ACTIONS(2749),
    [anon_sym_BSLASHk] = ACTIONS(2749),
    [anon_sym_BSLASHnd] = ACTIONS(2749),
    [anon_sym_BSLASHord] = ACTIONS(2749),
    [anon_sym_BSLASHpn] = ACTIONS(2749),
    [anon_sym_BSLASHpng] = ACTIONS(2749),
    [anon_sym_BSLASHaddpn] = ACTIONS(2749),
    [anon_sym_BSLASHqt] = ACTIONS(2749),
    [anon_sym_BSLASHsig] = ACTIONS(2749),
    [anon_sym_BSLASHsls] = ACTIONS(2749),
    [anon_sym_BSLASHtl] = ACTIONS(2749),
    [anon_sym_BSLASHwj] = ACTIONS(2749),
    [anon_sym_BSLASHem] = ACTIONS(2749),
    [anon_sym_BSLASHbd] = ACTIONS(2749),
    [anon_sym_BSLASHit] = ACTIONS(2749),
    [anon_sym_BSLASHbdit] = ACTIONS(2749),
    [anon_sym_BSLASHno] = ACTIONS(2749),
    [anon_sym_BSLASHsc] = ACTIONS(2749),
    [anon_sym_BSLASHsup] = ACTIONS(2749),
    [anon_sym_BSLASHndx] = ACTIONS(2749),
    [anon_sym_BSLASHpro] = ACTIONS(2749),
    [anon_sym_BSLASHrb] = ACTIONS(2749),
    [anon_sym_BSLASHw] = ACTIONS(2749),
    [anon_sym_BSLASHwg] = ACTIONS(2749),
    [anon_sym_BSLASHwh] = ACTIONS(2749),
    [anon_sym_BSLASHwa] = ACTIONS(2749),
    [anon_sym_BSLASHfig] = ACTIONS(2749),
    [anon_sym_BSLASHjmp] = ACTIONS(2749),
    [anon_sym_BSLASHpb] = ACTIONS(2749),
    [anon_sym_BSLASH] = ACTIONS(2749),
    [sym_milestoneStartTag] = ACTIONS(2749),
    [sym_milestoneEndTag] = ACTIONS(2749),
    [sym_zSpaceTag] = ACTIONS(2749),
    [anon_sym_BSLASHesb] = ACTIONS(2749),
  },
  [609] = {
    [ts_builtin_sym_end] = ACTIONS(2743),
    [aux_sym_text_token1] = ACTIONS(2743),
    [anon_sym_BSLASHsts] = ACTIONS(2745),
    [anon_sym_BSLASHrem] = ACTIONS(2745),
    [anon_sym_BSLASHrestore] = ACTIONS(2745),
    [anon_sym_BSLASHlit] = ACTIONS(2745),
    [anon_sym_BSLASHip] = ACTIONS(2745),
    [anon_sym_BSLASHiex] = ACTIONS(2745),
    [anon_sym_BSLASHc] = ACTIONS(2745),
    [anon_sym_BSLASHcl] = ACTIONS(2745),
    [anon_sym_BSLASHca] = ACTIONS(2745),
    [anon_sym_BSLASHcp] = ACTIONS(2745),
    [anon_sym_BSLASHcd] = ACTIONS(2745),
    [anon_sym_BSLASHmte] = ACTIONS(2745),
    [anon_sym_BSLASHms] = ACTIONS(2745),
    [anon_sym_BSLASHs] = ACTIONS(2745),
    [anon_sym_BSLASHr] = ACTIONS(2745),
    [anon_sym_BSLASHsp] = ACTIONS(2745),
    [anon_sym_BSLASHd] = ACTIONS(2745),
    [anon_sym_BSLASHsd] = ACTIONS(2745),
    [anon_sym_BSLASHp] = ACTIONS(2745),
    [anon_sym_BSLASHm] = ACTIONS(2745),
    [anon_sym_BSLASHpo] = ACTIONS(2745),
    [anon_sym_BSLASHpr] = ACTIONS(2745),
    [anon_sym_BSLASHcls] = ACTIONS(2745),
    [anon_sym_BSLASHpmo] = ACTIONS(2745),
    [anon_sym_BSLASHpm] = ACTIONS(2745),
    [anon_sym_BSLASHpmc] = ACTIONS(2745),
    [anon_sym_BSLASHpmr] = ACTIONS(2745),
    [anon_sym_BSLASHpi] = ACTIONS(2745),
    [anon_sym_BSLASHmi] = ACTIONS(2745),
    [anon_sym_BSLASHnb] = ACTIONS(2745),
    [anon_sym_BSLASHpc] = ACTIONS(2745),
    [anon_sym_BSLASHph] = ACTIONS(2745),
    [anon_sym_BSLASHb] = ACTIONS(2745),
    [anon_sym_BSLASHq] = ACTIONS(2745),
    [anon_sym_BSLASHqr] = ACTIONS(2745),
    [anon_sym_BSLASHqc] = ACTIONS(2745),
    [anon_sym_BSLASHqa] = ACTIONS(2745),
    [anon_sym_BSLASHqm] = ACTIONS(2745),
    [anon_sym_BSLASHqd] = ACTIONS(2745),
    [anon_sym_BSLASHlh] = ACTIONS(2745),
    [anon_sym_BSLASHli] = ACTIONS(2745),
    [anon_sym_BSLASHlim] = ACTIONS(2745),
    [anon_sym_BSLASHtr] = ACTIONS(2745),
    [sym_thTag] = ACTIONS(2745),
    [sym_thrTag] = ACTIONS(2745),
    [sym_tcTag] = ACTIONS(2745),
    [sym_tcrTag] = ACTIONS(2745),
    [anon_sym_BSLASHf] = ACTIONS(2745),
    [anon_sym_BSLASHfe] = ACTIONS(2745),
    [anon_sym_BSLASHef] = ACTIONS(2745),
    [anon_sym_BSLASHfm] = ACTIONS(2745),
    [anon_sym_BSLASHadd] = ACTIONS(2745),
    [anon_sym_BSLASHbk] = ACTIONS(2745),
    [anon_sym_BSLASHdc] = ACTIONS(2745),
    [anon_sym_BSLASHk] = ACTIONS(2745),
    [anon_sym_BSLASHnd] = ACTIONS(2745),
    [anon_sym_BSLASHord] = ACTIONS(2745),
    [anon_sym_BSLASHpn] = ACTIONS(2745),
    [anon_sym_BSLASHpng] = ACTIONS(2745),
    [anon_sym_BSLASHaddpn] = ACTIONS(2745),
    [anon_sym_BSLASHqt] = ACTIONS(2745),
    [anon_sym_BSLASHsig] = ACTIONS(2745),
    [anon_sym_BSLASHsls] = ACTIONS(2745),
    [anon_sym_BSLASHtl] = ACTIONS(2745),
    [anon_sym_BSLASHwj] = ACTIONS(2745),
    [anon_sym_BSLASHem] = ACTIONS(2745),
    [anon_sym_BSLASHbd] = ACTIONS(2745),
    [anon_sym_BSLASHit] = ACTIONS(2745),
    [anon_sym_BSLASHbdit] = ACTIONS(2745),
    [anon_sym_BSLASHno] = ACTIONS(2745),
    [anon_sym_BSLASHsc] = ACTIONS(2745),
    [anon_sym_BSLASHsup] = ACTIONS(2745),
    [anon_sym_BSLASHndx] = ACTIONS(2745),
    [anon_sym_BSLASHpro] = ACTIONS(2745),
    [anon_sym_BSLASHrb] = ACTIONS(2745),
    [anon_sym_BSLASHw] = ACTIONS(2745),
    [anon_sym_BSLASHwg] = ACTIONS(2745),
    [anon_sym_BSLASHwh] = ACTIONS(2745),
    [anon_sym_BSLASHwa] = ACTIONS(2745),
    [anon_sym_BSLASHfig] = ACTIONS(2745),
    [anon_sym_BSLASHjmp] = ACTIONS(2745),
    [anon_sym_BSLASHpb] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2745),
    [sym_milestoneStartTag] = ACTIONS(2745),
    [sym_milestoneEndTag] = ACTIONS(2745),
    [sym_zSpaceTag] = ACTIONS(2745),
    [anon_sym_BSLASHesb] = ACTIONS(2745),
  },
  [610] = {
    [ts_builtin_sym_end] = ACTIONS(2739),
    [aux_sym_text_token1] = ACTIONS(2739),
    [anon_sym_BSLASHsts] = ACTIONS(2741),
    [anon_sym_BSLASHrem] = ACTIONS(2741),
    [anon_sym_BSLASHrestore] = ACTIONS(2741),
    [anon_sym_BSLASHlit] = ACTIONS(2741),
    [anon_sym_BSLASHip] = ACTIONS(2741),
    [anon_sym_BSLASHiex] = ACTIONS(2741),
    [anon_sym_BSLASHc] = ACTIONS(2741),
    [anon_sym_BSLASHcl] = ACTIONS(2741),
    [anon_sym_BSLASHca] = ACTIONS(2741),
    [anon_sym_BSLASHcp] = ACTIONS(2741),
    [anon_sym_BSLASHcd] = ACTIONS(2741),
    [anon_sym_BSLASHmte] = ACTIONS(2741),
    [anon_sym_BSLASHms] = ACTIONS(2741),
    [anon_sym_BSLASHs] = ACTIONS(2741),
    [anon_sym_BSLASHr] = ACTIONS(2741),
    [anon_sym_BSLASHsp] = ACTIONS(2741),
    [anon_sym_BSLASHd] = ACTIONS(2741),
    [anon_sym_BSLASHsd] = ACTIONS(2741),
    [anon_sym_BSLASHp] = ACTIONS(2741),
    [anon_sym_BSLASHm] = ACTIONS(2741),
    [anon_sym_BSLASHpo] = ACTIONS(2741),
    [anon_sym_BSLASHpr] = ACTIONS(2741),
    [anon_sym_BSLASHcls] = ACTIONS(2741),
    [anon_sym_BSLASHpmo] = ACTIONS(2741),
    [anon_sym_BSLASHpm] = ACTIONS(2741),
    [anon_sym_BSLASHpmc] = ACTIONS(2741),
    [anon_sym_BSLASHpmr] = ACTIONS(2741),
    [anon_sym_BSLASHpi] = ACTIONS(2741),
    [anon_sym_BSLASHmi] = ACTIONS(2741),
    [anon_sym_BSLASHnb] = ACTIONS(2741),
    [anon_sym_BSLASHpc] = ACTIONS(2741),
    [anon_sym_BSLASHph] = ACTIONS(2741),
    [anon_sym_BSLASHb] = ACTIONS(2741),
    [anon_sym_BSLASHq] = ACTIONS(2741),
    [anon_sym_BSLASHqr] = ACTIONS(2741),
    [anon_sym_BSLASHqc] = ACTIONS(2741),
    [anon_sym_BSLASHqa] = ACTIONS(2741),
    [anon_sym_BSLASHqm] = ACTIONS(2741),
    [anon_sym_BSLASHqd] = ACTIONS(2741),
    [anon_sym_BSLASHlh] = ACTIONS(2741),
    [anon_sym_BSLASHli] = ACTIONS(2741),
    [anon_sym_BSLASHlim] = ACTIONS(2741),
    [anon_sym_BSLASHtr] = ACTIONS(2741),
    [sym_thTag] = ACTIONS(2741),
    [sym_thrTag] = ACTIONS(2741),
    [sym_tcTag] = ACTIONS(2741),
    [sym_tcrTag] = ACTIONS(2741),
    [anon_sym_BSLASHf] = ACTIONS(2741),
    [anon_sym_BSLASHfe] = ACTIONS(2741),
    [anon_sym_BSLASHef] = ACTIONS(2741),
    [anon_sym_BSLASHfm] = ACTIONS(2741),
    [anon_sym_BSLASHadd] = ACTIONS(2741),
    [anon_sym_BSLASHbk] = ACTIONS(2741),
    [anon_sym_BSLASHdc] = ACTIONS(2741),
    [anon_sym_BSLASHk] = ACTIONS(2741),
    [anon_sym_BSLASHnd] = ACTIONS(2741),
    [anon_sym_BSLASHord] = ACTIONS(2741),
    [anon_sym_BSLASHpn] = ACTIONS(2741),
    [anon_sym_BSLASHpng] = ACTIONS(2741),
    [anon_sym_BSLASHaddpn] = ACTIONS(2741),
    [anon_sym_BSLASHqt] = ACTIONS(2741),
    [anon_sym_BSLASHsig] = ACTIONS(2741),
    [anon_sym_BSLASHsls] = ACTIONS(2741),
    [anon_sym_BSLASHtl] = ACTIONS(2741),
    [anon_sym_BSLASHwj] = ACTIONS(2741),
    [anon_sym_BSLASHem] = ACTIONS(2741),
    [anon_sym_BSLASHbd] = ACTIONS(2741),
    [anon_sym_BSLASHit] = ACTIONS(2741),
    [anon_sym_BSLASHbdit] = ACTIONS(2741),
    [anon_sym_BSLASHno] = ACTIONS(2741),
    [anon_sym_BSLASHsc] = ACTIONS(2741),
    [anon_sym_BSLASHsup] = ACTIONS(2741),
    [anon_sym_BSLASHndx] = ACTIONS(2741),
    [anon_sym_BSLASHpro] = ACTIONS(2741),
    [anon_sym_BSLASHrb] = ACTIONS(2741),
    [anon_sym_BSLASHw] = ACTIONS(2741),
    [anon_sym_BSLASHwg] = ACTIONS(2741),
    [anon_sym_BSLASHwh] = ACTIONS(2741),
    [anon_sym_BSLASHwa] = ACTIONS(2741),
    [anon_sym_BSLASHfig] = ACTIONS(2741),
    [anon_sym_BSLASHjmp] = ACTIONS(2741),
    [anon_sym_BSLASHpb] = ACTIONS(2741),
    [anon_sym_BSLASH] = ACTIONS(2741),
    [sym_milestoneStartTag] = ACTIONS(2741),
    [sym_milestoneEndTag] = ACTIONS(2741),
    [sym_zSpaceTag] = ACTIONS(2741),
    [anon_sym_BSLASHesb] = ACTIONS(2741),
  },
  [611] = {
    [ts_builtin_sym_end] = ACTIONS(2735),
    [aux_sym_text_token1] = ACTIONS(2735),
    [anon_sym_BSLASHsts] = ACTIONS(2737),
    [anon_sym_BSLASHrem] = ACTIONS(2737),
    [anon_sym_BSLASHrestore] = ACTIONS(2737),
    [anon_sym_BSLASHlit] = ACTIONS(2737),
    [anon_sym_BSLASHip] = ACTIONS(2737),
    [anon_sym_BSLASHiex] = ACTIONS(2737),
    [anon_sym_BSLASHc] = ACTIONS(2737),
    [anon_sym_BSLASHcl] = ACTIONS(2737),
    [anon_sym_BSLASHca] = ACTIONS(2737),
    [anon_sym_BSLASHcp] = ACTIONS(2737),
    [anon_sym_BSLASHcd] = ACTIONS(2737),
    [anon_sym_BSLASHmte] = ACTIONS(2737),
    [anon_sym_BSLASHms] = ACTIONS(2737),
    [anon_sym_BSLASHs] = ACTIONS(2737),
    [anon_sym_BSLASHr] = ACTIONS(2737),
    [anon_sym_BSLASHsp] = ACTIONS(2737),
    [anon_sym_BSLASHd] = ACTIONS(2737),
    [anon_sym_BSLASHsd] = ACTIONS(2737),
    [anon_sym_BSLASHp] = ACTIONS(2737),
    [anon_sym_BSLASHm] = ACTIONS(2737),
    [anon_sym_BSLASHpo] = ACTIONS(2737),
    [anon_sym_BSLASHpr] = ACTIONS(2737),
    [anon_sym_BSLASHcls] = ACTIONS(2737),
    [anon_sym_BSLASHpmo] = ACTIONS(2737),
    [anon_sym_BSLASHpm] = ACTIONS(2737),
    [anon_sym_BSLASHpmc] = ACTIONS(2737),
    [anon_sym_BSLASHpmr] = ACTIONS(2737),
    [anon_sym_BSLASHpi] = ACTIONS(2737),
    [anon_sym_BSLASHmi] = ACTIONS(2737),
    [anon_sym_BSLASHnb] = ACTIONS(2737),
    [anon_sym_BSLASHpc] = ACTIONS(2737),
    [anon_sym_BSLASHph] = ACTIONS(2737),
    [anon_sym_BSLASHb] = ACTIONS(2737),
    [anon_sym_BSLASHq] = ACTIONS(2737),
    [anon_sym_BSLASHqr] = ACTIONS(2737),
    [anon_sym_BSLASHqc] = ACTIONS(2737),
    [anon_sym_BSLASHqa] = ACTIONS(2737),
    [anon_sym_BSLASHqm] = ACTIONS(2737),
    [anon_sym_BSLASHqd] = ACTIONS(2737),
    [anon_sym_BSLASHlh] = ACTIONS(2737),
    [anon_sym_BSLASHli] = ACTIONS(2737),
    [anon_sym_BSLASHlim] = ACTIONS(2737),
    [anon_sym_BSLASHtr] = ACTIONS(2737),
    [sym_thTag] = ACTIONS(2737),
    [sym_thrTag] = ACTIONS(2737),
    [sym_tcTag] = ACTIONS(2737),
    [sym_tcrTag] = ACTIONS(2737),
    [anon_sym_BSLASHf] = ACTIONS(2737),
    [anon_sym_BSLASHfe] = ACTIONS(2737),
    [anon_sym_BSLASHef] = ACTIONS(2737),
    [anon_sym_BSLASHfm] = ACTIONS(2737),
    [anon_sym_BSLASHadd] = ACTIONS(2737),
    [anon_sym_BSLASHbk] = ACTIONS(2737),
    [anon_sym_BSLASHdc] = ACTIONS(2737),
    [anon_sym_BSLASHk] = ACTIONS(2737),
    [anon_sym_BSLASHnd] = ACTIONS(2737),
    [anon_sym_BSLASHord] = ACTIONS(2737),
    [anon_sym_BSLASHpn] = ACTIONS(2737),
    [anon_sym_BSLASHpng] = ACTIONS(2737),
    [anon_sym_BSLASHaddpn] = ACTIONS(2737),
    [anon_sym_BSLASHqt] = ACTIONS(2737),
    [anon_sym_BSLASHsig] = ACTIONS(2737),
    [anon_sym_BSLASHsls] = ACTIONS(2737),
    [anon_sym_BSLASHtl] = ACTIONS(2737),
    [anon_sym_BSLASHwj] = ACTIONS(2737),
    [anon_sym_BSLASHem] = ACTIONS(2737),
    [anon_sym_BSLASHbd] = ACTIONS(2737),
    [anon_sym_BSLASHit] = ACTIONS(2737),
    [anon_sym_BSLASHbdit] = ACTIONS(2737),
    [anon_sym_BSLASHno] = ACTIONS(2737),
    [anon_sym_BSLASHsc] = ACTIONS(2737),
    [anon_sym_BSLASHsup] = ACTIONS(2737),
    [anon_sym_BSLASHndx] = ACTIONS(2737),
    [anon_sym_BSLASHpro] = ACTIONS(2737),
    [anon_sym_BSLASHrb] = ACTIONS(2737),
    [anon_sym_BSLASHw] = ACTIONS(2737),
    [anon_sym_BSLASHwg] = ACTIONS(2737),
    [anon_sym_BSLASHwh] = ACTIONS(2737),
    [anon_sym_BSLASHwa] = ACTIONS(2737),
    [anon_sym_BSLASHfig] = ACTIONS(2737),
    [anon_sym_BSLASHjmp] = ACTIONS(2737),
    [anon_sym_BSLASHpb] = ACTIONS(2737),
    [anon_sym_BSLASH] = ACTIONS(2737),
    [sym_milestoneStartTag] = ACTIONS(2737),
    [sym_milestoneEndTag] = ACTIONS(2737),
    [sym_zSpaceTag] = ACTIONS(2737),
    [anon_sym_BSLASHesb] = ACTIONS(2737),
  },
  [612] = {
    [ts_builtin_sym_end] = ACTIONS(2667),
    [aux_sym_text_token1] = ACTIONS(2667),
    [anon_sym_BSLASHsts] = ACTIONS(2669),
    [anon_sym_BSLASHrem] = ACTIONS(2669),
    [anon_sym_BSLASHrestore] = ACTIONS(2669),
    [anon_sym_BSLASHlit] = ACTIONS(2669),
    [anon_sym_BSLASHip] = ACTIONS(2669),
    [anon_sym_BSLASHiex] = ACTIONS(2669),
    [anon_sym_BSLASHc] = ACTIONS(2669),
    [anon_sym_BSLASHcl] = ACTIONS(2669),
    [anon_sym_BSLASHca] = ACTIONS(2669),
    [anon_sym_BSLASHcp] = ACTIONS(2669),
    [anon_sym_BSLASHcd] = ACTIONS(2669),
    [anon_sym_BSLASHmte] = ACTIONS(2669),
    [anon_sym_BSLASHms] = ACTIONS(2669),
    [anon_sym_BSLASHs] = ACTIONS(2669),
    [anon_sym_BSLASHr] = ACTIONS(2669),
    [anon_sym_BSLASHsp] = ACTIONS(2669),
    [anon_sym_BSLASHd] = ACTIONS(2669),
    [anon_sym_BSLASHsd] = ACTIONS(2669),
    [anon_sym_BSLASHp] = ACTIONS(2669),
    [anon_sym_BSLASHm] = ACTIONS(2669),
    [anon_sym_BSLASHpo] = ACTIONS(2669),
    [anon_sym_BSLASHpr] = ACTIONS(2669),
    [anon_sym_BSLASHcls] = ACTIONS(2669),
    [anon_sym_BSLASHpmo] = ACTIONS(2669),
    [anon_sym_BSLASHpm] = ACTIONS(2669),
    [anon_sym_BSLASHpmc] = ACTIONS(2669),
    [anon_sym_BSLASHpmr] = ACTIONS(2669),
    [anon_sym_BSLASHpi] = ACTIONS(2669),
    [anon_sym_BSLASHmi] = ACTIONS(2669),
    [anon_sym_BSLASHnb] = ACTIONS(2669),
    [anon_sym_BSLASHpc] = ACTIONS(2669),
    [anon_sym_BSLASHph] = ACTIONS(2669),
    [anon_sym_BSLASHb] = ACTIONS(2669),
    [anon_sym_BSLASHq] = ACTIONS(2669),
    [anon_sym_BSLASHqr] = ACTIONS(2669),
    [anon_sym_BSLASHqc] = ACTIONS(2669),
    [anon_sym_BSLASHqa] = ACTIONS(2669),
    [anon_sym_BSLASHqm] = ACTIONS(2669),
    [anon_sym_BSLASHqd] = ACTIONS(2669),
    [anon_sym_BSLASHlh] = ACTIONS(2669),
    [anon_sym_BSLASHli] = ACTIONS(2669),
    [anon_sym_BSLASHlim] = ACTIONS(2669),
    [anon_sym_BSLASHtr] = ACTIONS(2669),
    [sym_thTag] = ACTIONS(2669),
    [sym_thrTag] = ACTIONS(2669),
    [sym_tcTag] = ACTIONS(2669),
    [sym_tcrTag] = ACTIONS(2669),
    [anon_sym_BSLASHf] = ACTIONS(2669),
    [anon_sym_BSLASHfe] = ACTIONS(2669),
    [anon_sym_BSLASHef] = ACTIONS(2669),
    [anon_sym_BSLASHfm] = ACTIONS(2669),
    [anon_sym_BSLASHadd] = ACTIONS(2669),
    [anon_sym_BSLASHbk] = ACTIONS(2669),
    [anon_sym_BSLASHdc] = ACTIONS(2669),
    [anon_sym_BSLASHk] = ACTIONS(2669),
    [anon_sym_BSLASHnd] = ACTIONS(2669),
    [anon_sym_BSLASHord] = ACTIONS(2669),
    [anon_sym_BSLASHpn] = ACTIONS(2669),
    [anon_sym_BSLASHpng] = ACTIONS(2669),
    [anon_sym_BSLASHaddpn] = ACTIONS(2669),
    [anon_sym_BSLASHqt] = ACTIONS(2669),
    [anon_sym_BSLASHsig] = ACTIONS(2669),
    [anon_sym_BSLASHsls] = ACTIONS(2669),
    [anon_sym_BSLASHtl] = ACTIONS(2669),
    [anon_sym_BSLASHwj] = ACTIONS(2669),
    [anon_sym_BSLASHem] = ACTIONS(2669),
    [anon_sym_BSLASHbd] = ACTIONS(2669),
    [anon_sym_BSLASHit] = ACTIONS(2669),
    [anon_sym_BSLASHbdit] = ACTIONS(2669),
    [anon_sym_BSLASHno] = ACTIONS(2669),
    [anon_sym_BSLASHsc] = ACTIONS(2669),
    [anon_sym_BSLASHsup] = ACTIONS(2669),
    [anon_sym_BSLASHndx] = ACTIONS(2669),
    [anon_sym_BSLASHpro] = ACTIONS(2669),
    [anon_sym_BSLASHrb] = ACTIONS(2669),
    [anon_sym_BSLASHw] = ACTIONS(2669),
    [anon_sym_BSLASHwg] = ACTIONS(2669),
    [anon_sym_BSLASHwh] = ACTIONS(2669),
    [anon_sym_BSLASHwa] = ACTIONS(2669),
    [anon_sym_BSLASHfig] = ACTIONS(2669),
    [anon_sym_BSLASHjmp] = ACTIONS(2669),
    [anon_sym_BSLASHpb] = ACTIONS(2669),
    [anon_sym_BSLASH] = ACTIONS(2669),
    [sym_milestoneStartTag] = ACTIONS(2669),
    [sym_milestoneEndTag] = ACTIONS(2669),
    [sym_zSpaceTag] = ACTIONS(2669),
    [anon_sym_BSLASHesb] = ACTIONS(2669),
  },
  [613] = {
    [ts_builtin_sym_end] = ACTIONS(2695),
    [aux_sym_text_token1] = ACTIONS(2695),
    [anon_sym_BSLASHsts] = ACTIONS(2697),
    [anon_sym_BSLASHrem] = ACTIONS(2697),
    [anon_sym_BSLASHrestore] = ACTIONS(2697),
    [anon_sym_BSLASHlit] = ACTIONS(2697),
    [anon_sym_BSLASHip] = ACTIONS(2697),
    [anon_sym_BSLASHiex] = ACTIONS(2697),
    [anon_sym_BSLASHc] = ACTIONS(2697),
    [anon_sym_BSLASHcl] = ACTIONS(2697),
    [anon_sym_BSLASHca] = ACTIONS(2697),
    [anon_sym_BSLASHcp] = ACTIONS(2697),
    [anon_sym_BSLASHcd] = ACTIONS(2697),
    [anon_sym_BSLASHmte] = ACTIONS(2697),
    [anon_sym_BSLASHms] = ACTIONS(2697),
    [anon_sym_BSLASHs] = ACTIONS(2697),
    [anon_sym_BSLASHr] = ACTIONS(2697),
    [anon_sym_BSLASHsp] = ACTIONS(2697),
    [anon_sym_BSLASHd] = ACTIONS(2697),
    [anon_sym_BSLASHsd] = ACTIONS(2697),
    [anon_sym_BSLASHp] = ACTIONS(2697),
    [anon_sym_BSLASHm] = ACTIONS(2697),
    [anon_sym_BSLASHpo] = ACTIONS(2697),
    [anon_sym_BSLASHpr] = ACTIONS(2697),
    [anon_sym_BSLASHcls] = ACTIONS(2697),
    [anon_sym_BSLASHpmo] = ACTIONS(2697),
    [anon_sym_BSLASHpm] = ACTIONS(2697),
    [anon_sym_BSLASHpmc] = ACTIONS(2697),
    [anon_sym_BSLASHpmr] = ACTIONS(2697),
    [anon_sym_BSLASHpi] = ACTIONS(2697),
    [anon_sym_BSLASHmi] = ACTIONS(2697),
    [anon_sym_BSLASHnb] = ACTIONS(2697),
    [anon_sym_BSLASHpc] = ACTIONS(2697),
    [anon_sym_BSLASHph] = ACTIONS(2697),
    [anon_sym_BSLASHb] = ACTIONS(2697),
    [anon_sym_BSLASHq] = ACTIONS(2697),
    [anon_sym_BSLASHqr] = ACTIONS(2697),
    [anon_sym_BSLASHqc] = ACTIONS(2697),
    [anon_sym_BSLASHqa] = ACTIONS(2697),
    [anon_sym_BSLASHqm] = ACTIONS(2697),
    [anon_sym_BSLASHqd] = ACTIONS(2697),
    [anon_sym_BSLASHlh] = ACTIONS(2697),
    [anon_sym_BSLASHli] = ACTIONS(2697),
    [anon_sym_BSLASHlim] = ACTIONS(2697),
    [anon_sym_BSLASHtr] = ACTIONS(2697),
    [sym_thTag] = ACTIONS(2697),
    [sym_thrTag] = ACTIONS(2697),
    [sym_tcTag] = ACTIONS(2697),
    [sym_tcrTag] = ACTIONS(2697),
    [anon_sym_BSLASHf] = ACTIONS(2697),
    [anon_sym_BSLASHfe] = ACTIONS(2697),
    [anon_sym_BSLASHef] = ACTIONS(2697),
    [anon_sym_BSLASHfm] = ACTIONS(2697),
    [anon_sym_BSLASHadd] = ACTIONS(2697),
    [anon_sym_BSLASHbk] = ACTIONS(2697),
    [anon_sym_BSLASHdc] = ACTIONS(2697),
    [anon_sym_BSLASHk] = ACTIONS(2697),
    [anon_sym_BSLASHnd] = ACTIONS(2697),
    [anon_sym_BSLASHord] = ACTIONS(2697),
    [anon_sym_BSLASHpn] = ACTIONS(2697),
    [anon_sym_BSLASHpng] = ACTIONS(2697),
    [anon_sym_BSLASHaddpn] = ACTIONS(2697),
    [anon_sym_BSLASHqt] = ACTIONS(2697),
    [anon_sym_BSLASHsig] = ACTIONS(2697),
    [anon_sym_BSLASHsls] = ACTIONS(2697),
    [anon_sym_BSLASHtl] = ACTIONS(2697),
    [anon_sym_BSLASHwj] = ACTIONS(2697),
    [anon_sym_BSLASHem] = ACTIONS(2697),
    [anon_sym_BSLASHbd] = ACTIONS(2697),
    [anon_sym_BSLASHit] = ACTIONS(2697),
    [anon_sym_BSLASHbdit] = ACTIONS(2697),
    [anon_sym_BSLASHno] = ACTIONS(2697),
    [anon_sym_BSLASHsc] = ACTIONS(2697),
    [anon_sym_BSLASHsup] = ACTIONS(2697),
    [anon_sym_BSLASHndx] = ACTIONS(2697),
    [anon_sym_BSLASHpro] = ACTIONS(2697),
    [anon_sym_BSLASHrb] = ACTIONS(2697),
    [anon_sym_BSLASHw] = ACTIONS(2697),
    [anon_sym_BSLASHwg] = ACTIONS(2697),
    [anon_sym_BSLASHwh] = ACTIONS(2697),
    [anon_sym_BSLASHwa] = ACTIONS(2697),
    [anon_sym_BSLASHfig] = ACTIONS(2697),
    [anon_sym_BSLASHjmp] = ACTIONS(2697),
    [anon_sym_BSLASHpb] = ACTIONS(2697),
    [anon_sym_BSLASH] = ACTIONS(2697),
    [sym_milestoneStartTag] = ACTIONS(2697),
    [sym_milestoneEndTag] = ACTIONS(2697),
    [sym_zSpaceTag] = ACTIONS(2697),
    [anon_sym_BSLASHesb] = ACTIONS(2697),
  },
  [614] = {
    [ts_builtin_sym_end] = ACTIONS(2703),
    [aux_sym_text_token1] = ACTIONS(2703),
    [anon_sym_BSLASHsts] = ACTIONS(2705),
    [anon_sym_BSLASHrem] = ACTIONS(2705),
    [anon_sym_BSLASHrestore] = ACTIONS(2705),
    [anon_sym_BSLASHlit] = ACTIONS(2705),
    [anon_sym_BSLASHip] = ACTIONS(2705),
    [anon_sym_BSLASHiex] = ACTIONS(2705),
    [anon_sym_BSLASHc] = ACTIONS(2705),
    [anon_sym_BSLASHcl] = ACTIONS(2705),
    [anon_sym_BSLASHca] = ACTIONS(2705),
    [anon_sym_BSLASHcp] = ACTIONS(2705),
    [anon_sym_BSLASHcd] = ACTIONS(2705),
    [anon_sym_BSLASHmte] = ACTIONS(2705),
    [anon_sym_BSLASHms] = ACTIONS(2705),
    [anon_sym_BSLASHs] = ACTIONS(2705),
    [anon_sym_BSLASHr] = ACTIONS(2705),
    [anon_sym_BSLASHsp] = ACTIONS(2705),
    [anon_sym_BSLASHd] = ACTIONS(2705),
    [anon_sym_BSLASHsd] = ACTIONS(2705),
    [anon_sym_BSLASHp] = ACTIONS(2705),
    [anon_sym_BSLASHm] = ACTIONS(2705),
    [anon_sym_BSLASHpo] = ACTIONS(2705),
    [anon_sym_BSLASHpr] = ACTIONS(2705),
    [anon_sym_BSLASHcls] = ACTIONS(2705),
    [anon_sym_BSLASHpmo] = ACTIONS(2705),
    [anon_sym_BSLASHpm] = ACTIONS(2705),
    [anon_sym_BSLASHpmc] = ACTIONS(2705),
    [anon_sym_BSLASHpmr] = ACTIONS(2705),
    [anon_sym_BSLASHpi] = ACTIONS(2705),
    [anon_sym_BSLASHmi] = ACTIONS(2705),
    [anon_sym_BSLASHnb] = ACTIONS(2705),
    [anon_sym_BSLASHpc] = ACTIONS(2705),
    [anon_sym_BSLASHph] = ACTIONS(2705),
    [anon_sym_BSLASHb] = ACTIONS(2705),
    [anon_sym_BSLASHq] = ACTIONS(2705),
    [anon_sym_BSLASHqr] = ACTIONS(2705),
    [anon_sym_BSLASHqc] = ACTIONS(2705),
    [anon_sym_BSLASHqa] = ACTIONS(2705),
    [anon_sym_BSLASHqm] = ACTIONS(2705),
    [anon_sym_BSLASHqd] = ACTIONS(2705),
    [anon_sym_BSLASHlh] = ACTIONS(2705),
    [anon_sym_BSLASHli] = ACTIONS(2705),
    [anon_sym_BSLASHlim] = ACTIONS(2705),
    [anon_sym_BSLASHtr] = ACTIONS(2705),
    [sym_thTag] = ACTIONS(2705),
    [sym_thrTag] = ACTIONS(2705),
    [sym_tcTag] = ACTIONS(2705),
    [sym_tcrTag] = ACTIONS(2705),
    [anon_sym_BSLASHf] = ACTIONS(2705),
    [anon_sym_BSLASHfe] = ACTIONS(2705),
    [anon_sym_BSLASHef] = ACTIONS(2705),
    [anon_sym_BSLASHfm] = ACTIONS(2705),
    [anon_sym_BSLASHadd] = ACTIONS(2705),
    [anon_sym_BSLASHbk] = ACTIONS(2705),
    [anon_sym_BSLASHdc] = ACTIONS(2705),
    [anon_sym_BSLASHk] = ACTIONS(2705),
    [anon_sym_BSLASHnd] = ACTIONS(2705),
    [anon_sym_BSLASHord] = ACTIONS(2705),
    [anon_sym_BSLASHpn] = ACTIONS(2705),
    [anon_sym_BSLASHpng] = ACTIONS(2705),
    [anon_sym_BSLASHaddpn] = ACTIONS(2705),
    [anon_sym_BSLASHqt] = ACTIONS(2705),
    [anon_sym_BSLASHsig] = ACTIONS(2705),
    [anon_sym_BSLASHsls] = ACTIONS(2705),
    [anon_sym_BSLASHtl] = ACTIONS(2705),
    [anon_sym_BSLASHwj] = ACTIONS(2705),
    [anon_sym_BSLASHem] = ACTIONS(2705),
    [anon_sym_BSLASHbd] = ACTIONS(2705),
    [anon_sym_BSLASHit] = ACTIONS(2705),
    [anon_sym_BSLASHbdit] = ACTIONS(2705),
    [anon_sym_BSLASHno] = ACTIONS(2705),
    [anon_sym_BSLASHsc] = ACTIONS(2705),
    [anon_sym_BSLASHsup] = ACTIONS(2705),
    [anon_sym_BSLASHndx] = ACTIONS(2705),
    [anon_sym_BSLASHpro] = ACTIONS(2705),
    [anon_sym_BSLASHrb] = ACTIONS(2705),
    [anon_sym_BSLASHw] = ACTIONS(2705),
    [anon_sym_BSLASHwg] = ACTIONS(2705),
    [anon_sym_BSLASHwh] = ACTIONS(2705),
    [anon_sym_BSLASHwa] = ACTIONS(2705),
    [anon_sym_BSLASHfig] = ACTIONS(2705),
    [anon_sym_BSLASHjmp] = ACTIONS(2705),
    [anon_sym_BSLASHpb] = ACTIONS(2705),
    [anon_sym_BSLASH] = ACTIONS(2705),
    [sym_milestoneStartTag] = ACTIONS(2705),
    [sym_milestoneEndTag] = ACTIONS(2705),
    [sym_zSpaceTag] = ACTIONS(2705),
    [anon_sym_BSLASHesb] = ACTIONS(2705),
  },
  [615] = {
    [ts_builtin_sym_end] = ACTIONS(2691),
    [aux_sym_text_token1] = ACTIONS(2691),
    [anon_sym_BSLASHsts] = ACTIONS(2693),
    [anon_sym_BSLASHrem] = ACTIONS(2693),
    [anon_sym_BSLASHrestore] = ACTIONS(2693),
    [anon_sym_BSLASHlit] = ACTIONS(2693),
    [anon_sym_BSLASHip] = ACTIONS(2693),
    [anon_sym_BSLASHiex] = ACTIONS(2693),
    [anon_sym_BSLASHc] = ACTIONS(2693),
    [anon_sym_BSLASHcl] = ACTIONS(2693),
    [anon_sym_BSLASHca] = ACTIONS(2693),
    [anon_sym_BSLASHcp] = ACTIONS(2693),
    [anon_sym_BSLASHcd] = ACTIONS(2693),
    [anon_sym_BSLASHmte] = ACTIONS(2693),
    [anon_sym_BSLASHms] = ACTIONS(2693),
    [anon_sym_BSLASHs] = ACTIONS(2693),
    [anon_sym_BSLASHr] = ACTIONS(2693),
    [anon_sym_BSLASHsp] = ACTIONS(2693),
    [anon_sym_BSLASHd] = ACTIONS(2693),
    [anon_sym_BSLASHsd] = ACTIONS(2693),
    [anon_sym_BSLASHp] = ACTIONS(2693),
    [anon_sym_BSLASHm] = ACTIONS(2693),
    [anon_sym_BSLASHpo] = ACTIONS(2693),
    [anon_sym_BSLASHpr] = ACTIONS(2693),
    [anon_sym_BSLASHcls] = ACTIONS(2693),
    [anon_sym_BSLASHpmo] = ACTIONS(2693),
    [anon_sym_BSLASHpm] = ACTIONS(2693),
    [anon_sym_BSLASHpmc] = ACTIONS(2693),
    [anon_sym_BSLASHpmr] = ACTIONS(2693),
    [anon_sym_BSLASHpi] = ACTIONS(2693),
    [anon_sym_BSLASHmi] = ACTIONS(2693),
    [anon_sym_BSLASHnb] = ACTIONS(2693),
    [anon_sym_BSLASHpc] = ACTIONS(2693),
    [anon_sym_BSLASHph] = ACTIONS(2693),
    [anon_sym_BSLASHb] = ACTIONS(2693),
    [anon_sym_BSLASHq] = ACTIONS(2693),
    [anon_sym_BSLASHqr] = ACTIONS(2693),
    [anon_sym_BSLASHqc] = ACTIONS(2693),
    [anon_sym_BSLASHqa] = ACTIONS(2693),
    [anon_sym_BSLASHqm] = ACTIONS(2693),
    [anon_sym_BSLASHqd] = ACTIONS(2693),
    [anon_sym_BSLASHlh] = ACTIONS(2693),
    [anon_sym_BSLASHli] = ACTIONS(2693),
    [anon_sym_BSLASHlim] = ACTIONS(2693),
    [anon_sym_BSLASHtr] = ACTIONS(2693),
    [sym_thTag] = ACTIONS(2693),
    [sym_thrTag] = ACTIONS(2693),
    [sym_tcTag] = ACTIONS(2693),
    [sym_tcrTag] = ACTIONS(2693),
    [anon_sym_BSLASHf] = ACTIONS(2693),
    [anon_sym_BSLASHfe] = ACTIONS(2693),
    [anon_sym_BSLASHef] = ACTIONS(2693),
    [anon_sym_BSLASHfm] = ACTIONS(2693),
    [anon_sym_BSLASHadd] = ACTIONS(2693),
    [anon_sym_BSLASHbk] = ACTIONS(2693),
    [anon_sym_BSLASHdc] = ACTIONS(2693),
    [anon_sym_BSLASHk] = ACTIONS(2693),
    [anon_sym_BSLASHnd] = ACTIONS(2693),
    [anon_sym_BSLASHord] = ACTIONS(2693),
    [anon_sym_BSLASHpn] = ACTIONS(2693),
    [anon_sym_BSLASHpng] = ACTIONS(2693),
    [anon_sym_BSLASHaddpn] = ACTIONS(2693),
    [anon_sym_BSLASHqt] = ACTIONS(2693),
    [anon_sym_BSLASHsig] = ACTIONS(2693),
    [anon_sym_BSLASHsls] = ACTIONS(2693),
    [anon_sym_BSLASHtl] = ACTIONS(2693),
    [anon_sym_BSLASHwj] = ACTIONS(2693),
    [anon_sym_BSLASHem] = ACTIONS(2693),
    [anon_sym_BSLASHbd] = ACTIONS(2693),
    [anon_sym_BSLASHit] = ACTIONS(2693),
    [anon_sym_BSLASHbdit] = ACTIONS(2693),
    [anon_sym_BSLASHno] = ACTIONS(2693),
    [anon_sym_BSLASHsc] = ACTIONS(2693),
    [anon_sym_BSLASHsup] = ACTIONS(2693),
    [anon_sym_BSLASHndx] = ACTIONS(2693),
    [anon_sym_BSLASHpro] = ACTIONS(2693),
    [anon_sym_BSLASHrb] = ACTIONS(2693),
    [anon_sym_BSLASHw] = ACTIONS(2693),
    [anon_sym_BSLASHwg] = ACTIONS(2693),
    [anon_sym_BSLASHwh] = ACTIONS(2693),
    [anon_sym_BSLASHwa] = ACTIONS(2693),
    [anon_sym_BSLASHfig] = ACTIONS(2693),
    [anon_sym_BSLASHjmp] = ACTIONS(2693),
    [anon_sym_BSLASHpb] = ACTIONS(2693),
    [anon_sym_BSLASH] = ACTIONS(2693),
    [sym_milestoneStartTag] = ACTIONS(2693),
    [sym_milestoneEndTag] = ACTIONS(2693),
    [sym_zSpaceTag] = ACTIONS(2693),
    [anon_sym_BSLASHesb] = ACTIONS(2693),
  },
  [616] = {
    [ts_builtin_sym_end] = ACTIONS(2687),
    [aux_sym_text_token1] = ACTIONS(2687),
    [anon_sym_BSLASHsts] = ACTIONS(2689),
    [anon_sym_BSLASHrem] = ACTIONS(2689),
    [anon_sym_BSLASHrestore] = ACTIONS(2689),
    [anon_sym_BSLASHlit] = ACTIONS(2689),
    [anon_sym_BSLASHip] = ACTIONS(2689),
    [anon_sym_BSLASHiex] = ACTIONS(2689),
    [anon_sym_BSLASHc] = ACTIONS(2689),
    [anon_sym_BSLASHcl] = ACTIONS(2689),
    [anon_sym_BSLASHca] = ACTIONS(2689),
    [anon_sym_BSLASHcp] = ACTIONS(2689),
    [anon_sym_BSLASHcd] = ACTIONS(2689),
    [anon_sym_BSLASHmte] = ACTIONS(2689),
    [anon_sym_BSLASHms] = ACTIONS(2689),
    [anon_sym_BSLASHs] = ACTIONS(2689),
    [anon_sym_BSLASHr] = ACTIONS(2689),
    [anon_sym_BSLASHsp] = ACTIONS(2689),
    [anon_sym_BSLASHd] = ACTIONS(2689),
    [anon_sym_BSLASHsd] = ACTIONS(2689),
    [anon_sym_BSLASHp] = ACTIONS(2689),
    [anon_sym_BSLASHm] = ACTIONS(2689),
    [anon_sym_BSLASHpo] = ACTIONS(2689),
    [anon_sym_BSLASHpr] = ACTIONS(2689),
    [anon_sym_BSLASHcls] = ACTIONS(2689),
    [anon_sym_BSLASHpmo] = ACTIONS(2689),
    [anon_sym_BSLASHpm] = ACTIONS(2689),
    [anon_sym_BSLASHpmc] = ACTIONS(2689),
    [anon_sym_BSLASHpmr] = ACTIONS(2689),
    [anon_sym_BSLASHpi] = ACTIONS(2689),
    [anon_sym_BSLASHmi] = ACTIONS(2689),
    [anon_sym_BSLASHnb] = ACTIONS(2689),
    [anon_sym_BSLASHpc] = ACTIONS(2689),
    [anon_sym_BSLASHph] = ACTIONS(2689),
    [anon_sym_BSLASHb] = ACTIONS(2689),
    [anon_sym_BSLASHq] = ACTIONS(2689),
    [anon_sym_BSLASHqr] = ACTIONS(2689),
    [anon_sym_BSLASHqc] = ACTIONS(2689),
    [anon_sym_BSLASHqa] = ACTIONS(2689),
    [anon_sym_BSLASHqm] = ACTIONS(2689),
    [anon_sym_BSLASHqd] = ACTIONS(2689),
    [anon_sym_BSLASHlh] = ACTIONS(2689),
    [anon_sym_BSLASHli] = ACTIONS(2689),
    [anon_sym_BSLASHlim] = ACTIONS(2689),
    [anon_sym_BSLASHtr] = ACTIONS(2689),
    [sym_thTag] = ACTIONS(2689),
    [sym_thrTag] = ACTIONS(2689),
    [sym_tcTag] = ACTIONS(2689),
    [sym_tcrTag] = ACTIONS(2689),
    [anon_sym_BSLASHf] = ACTIONS(2689),
    [anon_sym_BSLASHfe] = ACTIONS(2689),
    [anon_sym_BSLASHef] = ACTIONS(2689),
    [anon_sym_BSLASHfm] = ACTIONS(2689),
    [anon_sym_BSLASHadd] = ACTIONS(2689),
    [anon_sym_BSLASHbk] = ACTIONS(2689),
    [anon_sym_BSLASHdc] = ACTIONS(2689),
    [anon_sym_BSLASHk] = ACTIONS(2689),
    [anon_sym_BSLASHnd] = ACTIONS(2689),
    [anon_sym_BSLASHord] = ACTIONS(2689),
    [anon_sym_BSLASHpn] = ACTIONS(2689),
    [anon_sym_BSLASHpng] = ACTIONS(2689),
    [anon_sym_BSLASHaddpn] = ACTIONS(2689),
    [anon_sym_BSLASHqt] = ACTIONS(2689),
    [anon_sym_BSLASHsig] = ACTIONS(2689),
    [anon_sym_BSLASHsls] = ACTIONS(2689),
    [anon_sym_BSLASHtl] = ACTIONS(2689),
    [anon_sym_BSLASHwj] = ACTIONS(2689),
    [anon_sym_BSLASHem] = ACTIONS(2689),
    [anon_sym_BSLASHbd] = ACTIONS(2689),
    [anon_sym_BSLASHit] = ACTIONS(2689),
    [anon_sym_BSLASHbdit] = ACTIONS(2689),
    [anon_sym_BSLASHno] = ACTIONS(2689),
    [anon_sym_BSLASHsc] = ACTIONS(2689),
    [anon_sym_BSLASHsup] = ACTIONS(2689),
    [anon_sym_BSLASHndx] = ACTIONS(2689),
    [anon_sym_BSLASHpro] = ACTIONS(2689),
    [anon_sym_BSLASHrb] = ACTIONS(2689),
    [anon_sym_BSLASHw] = ACTIONS(2689),
    [anon_sym_BSLASHwg] = ACTIONS(2689),
    [anon_sym_BSLASHwh] = ACTIONS(2689),
    [anon_sym_BSLASHwa] = ACTIONS(2689),
    [anon_sym_BSLASHfig] = ACTIONS(2689),
    [anon_sym_BSLASHjmp] = ACTIONS(2689),
    [anon_sym_BSLASHpb] = ACTIONS(2689),
    [anon_sym_BSLASH] = ACTIONS(2689),
    [sym_milestoneStartTag] = ACTIONS(2689),
    [sym_milestoneEndTag] = ACTIONS(2689),
    [sym_zSpaceTag] = ACTIONS(2689),
    [anon_sym_BSLASHesb] = ACTIONS(2689),
  },
  [617] = {
    [ts_builtin_sym_end] = ACTIONS(2671),
    [aux_sym_text_token1] = ACTIONS(2671),
    [anon_sym_BSLASHsts] = ACTIONS(2673),
    [anon_sym_BSLASHrem] = ACTIONS(2673),
    [anon_sym_BSLASHrestore] = ACTIONS(2673),
    [anon_sym_BSLASHlit] = ACTIONS(2673),
    [anon_sym_BSLASHip] = ACTIONS(2673),
    [anon_sym_BSLASHiex] = ACTIONS(2673),
    [anon_sym_BSLASHc] = ACTIONS(2673),
    [anon_sym_BSLASHcl] = ACTIONS(2673),
    [anon_sym_BSLASHca] = ACTIONS(2673),
    [anon_sym_BSLASHcp] = ACTIONS(2673),
    [anon_sym_BSLASHcd] = ACTIONS(2673),
    [anon_sym_BSLASHmte] = ACTIONS(2673),
    [anon_sym_BSLASHms] = ACTIONS(2673),
    [anon_sym_BSLASHs] = ACTIONS(2673),
    [anon_sym_BSLASHr] = ACTIONS(2673),
    [anon_sym_BSLASHsp] = ACTIONS(2673),
    [anon_sym_BSLASHd] = ACTIONS(2673),
    [anon_sym_BSLASHsd] = ACTIONS(2673),
    [anon_sym_BSLASHp] = ACTIONS(2673),
    [anon_sym_BSLASHm] = ACTIONS(2673),
    [anon_sym_BSLASHpo] = ACTIONS(2673),
    [anon_sym_BSLASHpr] = ACTIONS(2673),
    [anon_sym_BSLASHcls] = ACTIONS(2673),
    [anon_sym_BSLASHpmo] = ACTIONS(2673),
    [anon_sym_BSLASHpm] = ACTIONS(2673),
    [anon_sym_BSLASHpmc] = ACTIONS(2673),
    [anon_sym_BSLASHpmr] = ACTIONS(2673),
    [anon_sym_BSLASHpi] = ACTIONS(2673),
    [anon_sym_BSLASHmi] = ACTIONS(2673),
    [anon_sym_BSLASHnb] = ACTIONS(2673),
    [anon_sym_BSLASHpc] = ACTIONS(2673),
    [anon_sym_BSLASHph] = ACTIONS(2673),
    [anon_sym_BSLASHb] = ACTIONS(2673),
    [anon_sym_BSLASHq] = ACTIONS(2673),
    [anon_sym_BSLASHqr] = ACTIONS(2673),
    [anon_sym_BSLASHqc] = ACTIONS(2673),
    [anon_sym_BSLASHqa] = ACTIONS(2673),
    [anon_sym_BSLASHqm] = ACTIONS(2673),
    [anon_sym_BSLASHqd] = ACTIONS(2673),
    [anon_sym_BSLASHlh] = ACTIONS(2673),
    [anon_sym_BSLASHli] = ACTIONS(2673),
    [anon_sym_BSLASHlim] = ACTIONS(2673),
    [anon_sym_BSLASHtr] = ACTIONS(2673),
    [sym_thTag] = ACTIONS(2673),
    [sym_thrTag] = ACTIONS(2673),
    [sym_tcTag] = ACTIONS(2673),
    [sym_tcrTag] = ACTIONS(2673),
    [anon_sym_BSLASHf] = ACTIONS(2673),
    [anon_sym_BSLASHfe] = ACTIONS(2673),
    [anon_sym_BSLASHef] = ACTIONS(2673),
    [anon_sym_BSLASHfm] = ACTIONS(2673),
    [anon_sym_BSLASHadd] = ACTIONS(2673),
    [anon_sym_BSLASHbk] = ACTIONS(2673),
    [anon_sym_BSLASHdc] = ACTIONS(2673),
    [anon_sym_BSLASHk] = ACTIONS(2673),
    [anon_sym_BSLASHnd] = ACTIONS(2673),
    [anon_sym_BSLASHord] = ACTIONS(2673),
    [anon_sym_BSLASHpn] = ACTIONS(2673),
    [anon_sym_BSLASHpng] = ACTIONS(2673),
    [anon_sym_BSLASHaddpn] = ACTIONS(2673),
    [anon_sym_BSLASHqt] = ACTIONS(2673),
    [anon_sym_BSLASHsig] = ACTIONS(2673),
    [anon_sym_BSLASHsls] = ACTIONS(2673),
    [anon_sym_BSLASHtl] = ACTIONS(2673),
    [anon_sym_BSLASHwj] = ACTIONS(2673),
    [anon_sym_BSLASHem] = ACTIONS(2673),
    [anon_sym_BSLASHbd] = ACTIONS(2673),
    [anon_sym_BSLASHit] = ACTIONS(2673),
    [anon_sym_BSLASHbdit] = ACTIONS(2673),
    [anon_sym_BSLASHno] = ACTIONS(2673),
    [anon_sym_BSLASHsc] = ACTIONS(2673),
    [anon_sym_BSLASHsup] = ACTIONS(2673),
    [anon_sym_BSLASHndx] = ACTIONS(2673),
    [anon_sym_BSLASHpro] = ACTIONS(2673),
    [anon_sym_BSLASHrb] = ACTIONS(2673),
    [anon_sym_BSLASHw] = ACTIONS(2673),
    [anon_sym_BSLASHwg] = ACTIONS(2673),
    [anon_sym_BSLASHwh] = ACTIONS(2673),
    [anon_sym_BSLASHwa] = ACTIONS(2673),
    [anon_sym_BSLASHfig] = ACTIONS(2673),
    [anon_sym_BSLASHjmp] = ACTIONS(2673),
    [anon_sym_BSLASHpb] = ACTIONS(2673),
    [anon_sym_BSLASH] = ACTIONS(2673),
    [sym_milestoneStartTag] = ACTIONS(2673),
    [sym_milestoneEndTag] = ACTIONS(2673),
    [sym_zSpaceTag] = ACTIONS(2673),
    [anon_sym_BSLASHesb] = ACTIONS(2673),
  },
  [618] = {
    [ts_builtin_sym_end] = ACTIONS(2731),
    [aux_sym_text_token1] = ACTIONS(2731),
    [anon_sym_BSLASHsts] = ACTIONS(2733),
    [anon_sym_BSLASHrem] = ACTIONS(2733),
    [anon_sym_BSLASHrestore] = ACTIONS(2733),
    [anon_sym_BSLASHlit] = ACTIONS(2733),
    [anon_sym_BSLASHip] = ACTIONS(2733),
    [anon_sym_BSLASHiex] = ACTIONS(2733),
    [anon_sym_BSLASHc] = ACTIONS(2733),
    [anon_sym_BSLASHcl] = ACTIONS(2733),
    [anon_sym_BSLASHca] = ACTIONS(2733),
    [anon_sym_BSLASHcp] = ACTIONS(2733),
    [anon_sym_BSLASHcd] = ACTIONS(2733),
    [anon_sym_BSLASHmte] = ACTIONS(2733),
    [anon_sym_BSLASHms] = ACTIONS(2733),
    [anon_sym_BSLASHs] = ACTIONS(2733),
    [anon_sym_BSLASHr] = ACTIONS(2733),
    [anon_sym_BSLASHsp] = ACTIONS(2733),
    [anon_sym_BSLASHd] = ACTIONS(2733),
    [anon_sym_BSLASHsd] = ACTIONS(2733),
    [anon_sym_BSLASHp] = ACTIONS(2733),
    [anon_sym_BSLASHm] = ACTIONS(2733),
    [anon_sym_BSLASHpo] = ACTIONS(2733),
    [anon_sym_BSLASHpr] = ACTIONS(2733),
    [anon_sym_BSLASHcls] = ACTIONS(2733),
    [anon_sym_BSLASHpmo] = ACTIONS(2733),
    [anon_sym_BSLASHpm] = ACTIONS(2733),
    [anon_sym_BSLASHpmc] = ACTIONS(2733),
    [anon_sym_BSLASHpmr] = ACTIONS(2733),
    [anon_sym_BSLASHpi] = ACTIONS(2733),
    [anon_sym_BSLASHmi] = ACTIONS(2733),
    [anon_sym_BSLASHnb] = ACTIONS(2733),
    [anon_sym_BSLASHpc] = ACTIONS(2733),
    [anon_sym_BSLASHph] = ACTIONS(2733),
    [anon_sym_BSLASHb] = ACTIONS(2733),
    [anon_sym_BSLASHq] = ACTIONS(2733),
    [anon_sym_BSLASHqr] = ACTIONS(2733),
    [anon_sym_BSLASHqc] = ACTIONS(2733),
    [anon_sym_BSLASHqa] = ACTIONS(2733),
    [anon_sym_BSLASHqm] = ACTIONS(2733),
    [anon_sym_BSLASHqd] = ACTIONS(2733),
    [anon_sym_BSLASHlh] = ACTIONS(2733),
    [anon_sym_BSLASHli] = ACTIONS(2733),
    [anon_sym_BSLASHlim] = ACTIONS(2733),
    [anon_sym_BSLASHtr] = ACTIONS(2733),
    [sym_thTag] = ACTIONS(2733),
    [sym_thrTag] = ACTIONS(2733),
    [sym_tcTag] = ACTIONS(2733),
    [sym_tcrTag] = ACTIONS(2733),
    [anon_sym_BSLASHf] = ACTIONS(2733),
    [anon_sym_BSLASHfe] = ACTIONS(2733),
    [anon_sym_BSLASHef] = ACTIONS(2733),
    [anon_sym_BSLASHfm] = ACTIONS(2733),
    [anon_sym_BSLASHadd] = ACTIONS(2733),
    [anon_sym_BSLASHbk] = ACTIONS(2733),
    [anon_sym_BSLASHdc] = ACTIONS(2733),
    [anon_sym_BSLASHk] = ACTIONS(2733),
    [anon_sym_BSLASHnd] = ACTIONS(2733),
    [anon_sym_BSLASHord] = ACTIONS(2733),
    [anon_sym_BSLASHpn] = ACTIONS(2733),
    [anon_sym_BSLASHpng] = ACTIONS(2733),
    [anon_sym_BSLASHaddpn] = ACTIONS(2733),
    [anon_sym_BSLASHqt] = ACTIONS(2733),
    [anon_sym_BSLASHsig] = ACTIONS(2733),
    [anon_sym_BSLASHsls] = ACTIONS(2733),
    [anon_sym_BSLASHtl] = ACTIONS(2733),
    [anon_sym_BSLASHwj] = ACTIONS(2733),
    [anon_sym_BSLASHem] = ACTIONS(2733),
    [anon_sym_BSLASHbd] = ACTIONS(2733),
    [anon_sym_BSLASHit] = ACTIONS(2733),
    [anon_sym_BSLASHbdit] = ACTIONS(2733),
    [anon_sym_BSLASHno] = ACTIONS(2733),
    [anon_sym_BSLASHsc] = ACTIONS(2733),
    [anon_sym_BSLASHsup] = ACTIONS(2733),
    [anon_sym_BSLASHndx] = ACTIONS(2733),
    [anon_sym_BSLASHpro] = ACTIONS(2733),
    [anon_sym_BSLASHrb] = ACTIONS(2733),
    [anon_sym_BSLASHw] = ACTIONS(2733),
    [anon_sym_BSLASHwg] = ACTIONS(2733),
    [anon_sym_BSLASHwh] = ACTIONS(2733),
    [anon_sym_BSLASHwa] = ACTIONS(2733),
    [anon_sym_BSLASHfig] = ACTIONS(2733),
    [anon_sym_BSLASHjmp] = ACTIONS(2733),
    [anon_sym_BSLASHpb] = ACTIONS(2733),
    [anon_sym_BSLASH] = ACTIONS(2733),
    [sym_milestoneStartTag] = ACTIONS(2733),
    [sym_milestoneEndTag] = ACTIONS(2733),
    [sym_zSpaceTag] = ACTIONS(2733),
    [anon_sym_BSLASHesb] = ACTIONS(2733),
  },
  [619] = {
    [ts_builtin_sym_end] = ACTIONS(9),
    [aux_sym_text_token1] = ACTIONS(9),
    [anon_sym_BSLASHsts] = ACTIONS(11),
    [anon_sym_BSLASHrem] = ACTIONS(11),
    [anon_sym_BSLASHrestore] = ACTIONS(11),
    [anon_sym_BSLASHlit] = ACTIONS(11),
    [anon_sym_BSLASHip] = ACTIONS(11),
    [anon_sym_BSLASHiex] = ACTIONS(11),
    [anon_sym_BSLASHc] = ACTIONS(11),
    [anon_sym_BSLASHcl] = ACTIONS(11),
    [anon_sym_BSLASHca] = ACTIONS(11),
    [anon_sym_BSLASHcp] = ACTIONS(11),
    [anon_sym_BSLASHcd] = ACTIONS(11),
    [anon_sym_BSLASHmte] = ACTIONS(11),
    [anon_sym_BSLASHms] = ACTIONS(11),
    [anon_sym_BSLASHs] = ACTIONS(11),
    [anon_sym_BSLASHr] = ACTIONS(11),
    [anon_sym_BSLASHsp] = ACTIONS(11),
    [anon_sym_BSLASHd] = ACTIONS(11),
    [anon_sym_BSLASHsd] = ACTIONS(11),
    [anon_sym_BSLASHp] = ACTIONS(11),
    [anon_sym_BSLASHm] = ACTIONS(11),
    [anon_sym_BSLASHpo] = ACTIONS(11),
    [anon_sym_BSLASHpr] = ACTIONS(11),
    [anon_sym_BSLASHcls] = ACTIONS(11),
    [anon_sym_BSLASHpmo] = ACTIONS(11),
    [anon_sym_BSLASHpm] = ACTIONS(11),
    [anon_sym_BSLASHpmc] = ACTIONS(11),
    [anon_sym_BSLASHpmr] = ACTIONS(11),
    [anon_sym_BSLASHpi] = ACTIONS(11),
    [anon_sym_BSLASHmi] = ACTIONS(11),
    [anon_sym_BSLASHnb] = ACTIONS(11),
    [anon_sym_BSLASHpc] = ACTIONS(11),
    [anon_sym_BSLASHph] = ACTIONS(11),
    [anon_sym_BSLASHb] = ACTIONS(11),
    [anon_sym_BSLASHq] = ACTIONS(11),
    [anon_sym_BSLASHqr] = ACTIONS(11),
    [anon_sym_BSLASHqc] = ACTIONS(11),
    [anon_sym_BSLASHqa] = ACTIONS(11),
    [anon_sym_BSLASHqm] = ACTIONS(11),
    [anon_sym_BSLASHqd] = ACTIONS(11),
    [anon_sym_BSLASHlh] = ACTIONS(11),
    [anon_sym_BSLASHli] = ACTIONS(11),
    [anon_sym_BSLASHlim] = ACTIONS(11),
    [anon_sym_BSLASHtr] = ACTIONS(11),
    [sym_thTag] = ACTIONS(11),
    [sym_thrTag] = ACTIONS(11),
    [sym_tcTag] = ACTIONS(11),
    [sym_tcrTag] = ACTIONS(11),
    [anon_sym_BSLASHf] = ACTIONS(11),
    [anon_sym_BSLASHfe] = ACTIONS(11),
    [anon_sym_BSLASHef] = ACTIONS(11),
    [anon_sym_BSLASHfm] = ACTIONS(11),
    [anon_sym_BSLASHadd] = ACTIONS(11),
    [anon_sym_BSLASHbk] = ACTIONS(11),
    [anon_sym_BSLASHdc] = ACTIONS(11),
    [anon_sym_BSLASHk] = ACTIONS(11),
    [anon_sym_BSLASHnd] = ACTIONS(11),
    [anon_sym_BSLASHord] = ACTIONS(11),
    [anon_sym_BSLASHpn] = ACTIONS(11),
    [anon_sym_BSLASHpng] = ACTIONS(11),
    [anon_sym_BSLASHaddpn] = ACTIONS(11),
    [anon_sym_BSLASHqt] = ACTIONS(11),
    [anon_sym_BSLASHsig] = ACTIONS(11),
    [anon_sym_BSLASHsls] = ACTIONS(11),
    [anon_sym_BSLASHtl] = ACTIONS(11),
    [anon_sym_BSLASHwj] = ACTIONS(11),
    [anon_sym_BSLASHem] = ACTIONS(11),
    [anon_sym_BSLASHbd] = ACTIONS(11),
    [anon_sym_BSLASHit] = ACTIONS(11),
    [anon_sym_BSLASHbdit] = ACTIONS(11),
    [anon_sym_BSLASHno] = ACTIONS(11),
    [anon_sym_BSLASHsc] = ACTIONS(11),
    [anon_sym_BSLASHsup] = ACTIONS(11),
    [anon_sym_BSLASHndx] = ACTIONS(11),
    [anon_sym_BSLASHpro] = ACTIONS(11),
    [anon_sym_BSLASHrb] = ACTIONS(11),
    [anon_sym_BSLASHw] = ACTIONS(11),
    [anon_sym_BSLASHwg] = ACTIONS(11),
    [anon_sym_BSLASHwh] = ACTIONS(11),
    [anon_sym_BSLASHwa] = ACTIONS(11),
    [anon_sym_BSLASHfig] = ACTIONS(11),
    [anon_sym_BSLASHjmp] = ACTIONS(11),
    [anon_sym_BSLASHpb] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(11),
    [sym_milestoneStartTag] = ACTIONS(11),
    [sym_milestoneEndTag] = ACTIONS(11),
    [sym_zSpaceTag] = ACTIONS(11),
    [anon_sym_BSLASHesb] = ACTIONS(11),
  },
  [620] = {
    [ts_builtin_sym_end] = ACTIONS(2723),
    [aux_sym_text_token1] = ACTIONS(2723),
    [anon_sym_BSLASHsts] = ACTIONS(2725),
    [anon_sym_BSLASHrem] = ACTIONS(2725),
    [anon_sym_BSLASHrestore] = ACTIONS(2725),
    [anon_sym_BSLASHlit] = ACTIONS(2725),
    [anon_sym_BSLASHip] = ACTIONS(2725),
    [anon_sym_BSLASHiex] = ACTIONS(2725),
    [anon_sym_BSLASHc] = ACTIONS(2725),
    [anon_sym_BSLASHcl] = ACTIONS(2725),
    [anon_sym_BSLASHca] = ACTIONS(2725),
    [anon_sym_BSLASHcp] = ACTIONS(2725),
    [anon_sym_BSLASHcd] = ACTIONS(2725),
    [anon_sym_BSLASHmte] = ACTIONS(2725),
    [anon_sym_BSLASHms] = ACTIONS(2725),
    [anon_sym_BSLASHs] = ACTIONS(2725),
    [anon_sym_BSLASHr] = ACTIONS(2725),
    [anon_sym_BSLASHsp] = ACTIONS(2725),
    [anon_sym_BSLASHd] = ACTIONS(2725),
    [anon_sym_BSLASHsd] = ACTIONS(2725),
    [anon_sym_BSLASHp] = ACTIONS(2725),
    [anon_sym_BSLASHm] = ACTIONS(2725),
    [anon_sym_BSLASHpo] = ACTIONS(2725),
    [anon_sym_BSLASHpr] = ACTIONS(2725),
    [anon_sym_BSLASHcls] = ACTIONS(2725),
    [anon_sym_BSLASHpmo] = ACTIONS(2725),
    [anon_sym_BSLASHpm] = ACTIONS(2725),
    [anon_sym_BSLASHpmc] = ACTIONS(2725),
    [anon_sym_BSLASHpmr] = ACTIONS(2725),
    [anon_sym_BSLASHpi] = ACTIONS(2725),
    [anon_sym_BSLASHmi] = ACTIONS(2725),
    [anon_sym_BSLASHnb] = ACTIONS(2725),
    [anon_sym_BSLASHpc] = ACTIONS(2725),
    [anon_sym_BSLASHph] = ACTIONS(2725),
    [anon_sym_BSLASHb] = ACTIONS(2725),
    [anon_sym_BSLASHq] = ACTIONS(2725),
    [anon_sym_BSLASHqr] = ACTIONS(2725),
    [anon_sym_BSLASHqc] = ACTIONS(2725),
    [anon_sym_BSLASHqa] = ACTIONS(2725),
    [anon_sym_BSLASHqm] = ACTIONS(2725),
    [anon_sym_BSLASHqd] = ACTIONS(2725),
    [anon_sym_BSLASHlh] = ACTIONS(2725),
    [anon_sym_BSLASHli] = ACTIONS(2725),
    [anon_sym_BSLASHlim] = ACTIONS(2725),
    [anon_sym_BSLASHtr] = ACTIONS(2725),
    [sym_thTag] = ACTIONS(2725),
    [sym_thrTag] = ACTIONS(2725),
    [sym_tcTag] = ACTIONS(2725),
    [sym_tcrTag] = ACTIONS(2725),
    [anon_sym_BSLASHf] = ACTIONS(2725),
    [anon_sym_BSLASHfe] = ACTIONS(2725),
    [anon_sym_BSLASHef] = ACTIONS(2725),
    [anon_sym_BSLASHfm] = ACTIONS(2725),
    [anon_sym_BSLASHadd] = ACTIONS(2725),
    [anon_sym_BSLASHbk] = ACTIONS(2725),
    [anon_sym_BSLASHdc] = ACTIONS(2725),
    [anon_sym_BSLASHk] = ACTIONS(2725),
    [anon_sym_BSLASHnd] = ACTIONS(2725),
    [anon_sym_BSLASHord] = ACTIONS(2725),
    [anon_sym_BSLASHpn] = ACTIONS(2725),
    [anon_sym_BSLASHpng] = ACTIONS(2725),
    [anon_sym_BSLASHaddpn] = ACTIONS(2725),
    [anon_sym_BSLASHqt] = ACTIONS(2725),
    [anon_sym_BSLASHsig] = ACTIONS(2725),
    [anon_sym_BSLASHsls] = ACTIONS(2725),
    [anon_sym_BSLASHtl] = ACTIONS(2725),
    [anon_sym_BSLASHwj] = ACTIONS(2725),
    [anon_sym_BSLASHem] = ACTIONS(2725),
    [anon_sym_BSLASHbd] = ACTIONS(2725),
    [anon_sym_BSLASHit] = ACTIONS(2725),
    [anon_sym_BSLASHbdit] = ACTIONS(2725),
    [anon_sym_BSLASHno] = ACTIONS(2725),
    [anon_sym_BSLASHsc] = ACTIONS(2725),
    [anon_sym_BSLASHsup] = ACTIONS(2725),
    [anon_sym_BSLASHndx] = ACTIONS(2725),
    [anon_sym_BSLASHpro] = ACTIONS(2725),
    [anon_sym_BSLASHrb] = ACTIONS(2725),
    [anon_sym_BSLASHw] = ACTIONS(2725),
    [anon_sym_BSLASHwg] = ACTIONS(2725),
    [anon_sym_BSLASHwh] = ACTIONS(2725),
    [anon_sym_BSLASHwa] = ACTIONS(2725),
    [anon_sym_BSLASHfig] = ACTIONS(2725),
    [anon_sym_BSLASHjmp] = ACTIONS(2725),
    [anon_sym_BSLASHpb] = ACTIONS(2725),
    [anon_sym_BSLASH] = ACTIONS(2725),
    [sym_milestoneStartTag] = ACTIONS(2725),
    [sym_milestoneEndTag] = ACTIONS(2725),
    [sym_zSpaceTag] = ACTIONS(2725),
    [anon_sym_BSLASHesb] = ACTIONS(2725),
  },
  [621] = {
    [ts_builtin_sym_end] = ACTIONS(2719),
    [aux_sym_text_token1] = ACTIONS(2719),
    [anon_sym_BSLASHsts] = ACTIONS(2721),
    [anon_sym_BSLASHrem] = ACTIONS(2721),
    [anon_sym_BSLASHrestore] = ACTIONS(2721),
    [anon_sym_BSLASHlit] = ACTIONS(2721),
    [anon_sym_BSLASHip] = ACTIONS(2721),
    [anon_sym_BSLASHiex] = ACTIONS(2721),
    [anon_sym_BSLASHc] = ACTIONS(2721),
    [anon_sym_BSLASHcl] = ACTIONS(2721),
    [anon_sym_BSLASHca] = ACTIONS(2721),
    [anon_sym_BSLASHcp] = ACTIONS(2721),
    [anon_sym_BSLASHcd] = ACTIONS(2721),
    [anon_sym_BSLASHmte] = ACTIONS(2721),
    [anon_sym_BSLASHms] = ACTIONS(2721),
    [anon_sym_BSLASHs] = ACTIONS(2721),
    [anon_sym_BSLASHr] = ACTIONS(2721),
    [anon_sym_BSLASHsp] = ACTIONS(2721),
    [anon_sym_BSLASHd] = ACTIONS(2721),
    [anon_sym_BSLASHsd] = ACTIONS(2721),
    [anon_sym_BSLASHp] = ACTIONS(2721),
    [anon_sym_BSLASHm] = ACTIONS(2721),
    [anon_sym_BSLASHpo] = ACTIONS(2721),
    [anon_sym_BSLASHpr] = ACTIONS(2721),
    [anon_sym_BSLASHcls] = ACTIONS(2721),
    [anon_sym_BSLASHpmo] = ACTIONS(2721),
    [anon_sym_BSLASHpm] = ACTIONS(2721),
    [anon_sym_BSLASHpmc] = ACTIONS(2721),
    [anon_sym_BSLASHpmr] = ACTIONS(2721),
    [anon_sym_BSLASHpi] = ACTIONS(2721),
    [anon_sym_BSLASHmi] = ACTIONS(2721),
    [anon_sym_BSLASHnb] = ACTIONS(2721),
    [anon_sym_BSLASHpc] = ACTIONS(2721),
    [anon_sym_BSLASHph] = ACTIONS(2721),
    [anon_sym_BSLASHb] = ACTIONS(2721),
    [anon_sym_BSLASHq] = ACTIONS(2721),
    [anon_sym_BSLASHqr] = ACTIONS(2721),
    [anon_sym_BSLASHqc] = ACTIONS(2721),
    [anon_sym_BSLASHqa] = ACTIONS(2721),
    [anon_sym_BSLASHqm] = ACTIONS(2721),
    [anon_sym_BSLASHqd] = ACTIONS(2721),
    [anon_sym_BSLASHlh] = ACTIONS(2721),
    [anon_sym_BSLASHli] = ACTIONS(2721),
    [anon_sym_BSLASHlim] = ACTIONS(2721),
    [anon_sym_BSLASHtr] = ACTIONS(2721),
    [sym_thTag] = ACTIONS(2721),
    [sym_thrTag] = ACTIONS(2721),
    [sym_tcTag] = ACTIONS(2721),
    [sym_tcrTag] = ACTIONS(2721),
    [anon_sym_BSLASHf] = ACTIONS(2721),
    [anon_sym_BSLASHfe] = ACTIONS(2721),
    [anon_sym_BSLASHef] = ACTIONS(2721),
    [anon_sym_BSLASHfm] = ACTIONS(2721),
    [anon_sym_BSLASHadd] = ACTIONS(2721),
    [anon_sym_BSLASHbk] = ACTIONS(2721),
    [anon_sym_BSLASHdc] = ACTIONS(2721),
    [anon_sym_BSLASHk] = ACTIONS(2721),
    [anon_sym_BSLASHnd] = ACTIONS(2721),
    [anon_sym_BSLASHord] = ACTIONS(2721),
    [anon_sym_BSLASHpn] = ACTIONS(2721),
    [anon_sym_BSLASHpng] = ACTIONS(2721),
    [anon_sym_BSLASHaddpn] = ACTIONS(2721),
    [anon_sym_BSLASHqt] = ACTIONS(2721),
    [anon_sym_BSLASHsig] = ACTIONS(2721),
    [anon_sym_BSLASHsls] = ACTIONS(2721),
    [anon_sym_BSLASHtl] = ACTIONS(2721),
    [anon_sym_BSLASHwj] = ACTIONS(2721),
    [anon_sym_BSLASHem] = ACTIONS(2721),
    [anon_sym_BSLASHbd] = ACTIONS(2721),
    [anon_sym_BSLASHit] = ACTIONS(2721),
    [anon_sym_BSLASHbdit] = ACTIONS(2721),
    [anon_sym_BSLASHno] = ACTIONS(2721),
    [anon_sym_BSLASHsc] = ACTIONS(2721),
    [anon_sym_BSLASHsup] = ACTIONS(2721),
    [anon_sym_BSLASHndx] = ACTIONS(2721),
    [anon_sym_BSLASHpro] = ACTIONS(2721),
    [anon_sym_BSLASHrb] = ACTIONS(2721),
    [anon_sym_BSLASHw] = ACTIONS(2721),
    [anon_sym_BSLASHwg] = ACTIONS(2721),
    [anon_sym_BSLASHwh] = ACTIONS(2721),
    [anon_sym_BSLASHwa] = ACTIONS(2721),
    [anon_sym_BSLASHfig] = ACTIONS(2721),
    [anon_sym_BSLASHjmp] = ACTIONS(2721),
    [anon_sym_BSLASHpb] = ACTIONS(2721),
    [anon_sym_BSLASH] = ACTIONS(2721),
    [sym_milestoneStartTag] = ACTIONS(2721),
    [sym_milestoneEndTag] = ACTIONS(2721),
    [sym_zSpaceTag] = ACTIONS(2721),
    [anon_sym_BSLASHesb] = ACTIONS(2721),
  },
  [622] = {
    [ts_builtin_sym_end] = ACTIONS(2715),
    [aux_sym_text_token1] = ACTIONS(2715),
    [anon_sym_BSLASHsts] = ACTIONS(2717),
    [anon_sym_BSLASHrem] = ACTIONS(2717),
    [anon_sym_BSLASHrestore] = ACTIONS(2717),
    [anon_sym_BSLASHlit] = ACTIONS(2717),
    [anon_sym_BSLASHip] = ACTIONS(2717),
    [anon_sym_BSLASHiex] = ACTIONS(2717),
    [anon_sym_BSLASHc] = ACTIONS(2717),
    [anon_sym_BSLASHcl] = ACTIONS(2717),
    [anon_sym_BSLASHca] = ACTIONS(2717),
    [anon_sym_BSLASHcp] = ACTIONS(2717),
    [anon_sym_BSLASHcd] = ACTIONS(2717),
    [anon_sym_BSLASHmte] = ACTIONS(2717),
    [anon_sym_BSLASHms] = ACTIONS(2717),
    [anon_sym_BSLASHs] = ACTIONS(2717),
    [anon_sym_BSLASHr] = ACTIONS(2717),
    [anon_sym_BSLASHsp] = ACTIONS(2717),
    [anon_sym_BSLASHd] = ACTIONS(2717),
    [anon_sym_BSLASHsd] = ACTIONS(2717),
    [anon_sym_BSLASHp] = ACTIONS(2717),
    [anon_sym_BSLASHm] = ACTIONS(2717),
    [anon_sym_BSLASHpo] = ACTIONS(2717),
    [anon_sym_BSLASHpr] = ACTIONS(2717),
    [anon_sym_BSLASHcls] = ACTIONS(2717),
    [anon_sym_BSLASHpmo] = ACTIONS(2717),
    [anon_sym_BSLASHpm] = ACTIONS(2717),
    [anon_sym_BSLASHpmc] = ACTIONS(2717),
    [anon_sym_BSLASHpmr] = ACTIONS(2717),
    [anon_sym_BSLASHpi] = ACTIONS(2717),
    [anon_sym_BSLASHmi] = ACTIONS(2717),
    [anon_sym_BSLASHnb] = ACTIONS(2717),
    [anon_sym_BSLASHpc] = ACTIONS(2717),
    [anon_sym_BSLASHph] = ACTIONS(2717),
    [anon_sym_BSLASHb] = ACTIONS(2717),
    [anon_sym_BSLASHq] = ACTIONS(2717),
    [anon_sym_BSLASHqr] = ACTIONS(2717),
    [anon_sym_BSLASHqc] = ACTIONS(2717),
    [anon_sym_BSLASHqa] = ACTIONS(2717),
    [anon_sym_BSLASHqm] = ACTIONS(2717),
    [anon_sym_BSLASHqd] = ACTIONS(2717),
    [anon_sym_BSLASHlh] = ACTIONS(2717),
    [anon_sym_BSLASHli] = ACTIONS(2717),
    [anon_sym_BSLASHlim] = ACTIONS(2717),
    [anon_sym_BSLASHtr] = ACTIONS(2717),
    [sym_thTag] = ACTIONS(2717),
    [sym_thrTag] = ACTIONS(2717),
    [sym_tcTag] = ACTIONS(2717),
    [sym_tcrTag] = ACTIONS(2717),
    [anon_sym_BSLASHf] = ACTIONS(2717),
    [anon_sym_BSLASHfe] = ACTIONS(2717),
    [anon_sym_BSLASHef] = ACTIONS(2717),
    [anon_sym_BSLASHfm] = ACTIONS(2717),
    [anon_sym_BSLASHadd] = ACTIONS(2717),
    [anon_sym_BSLASHbk] = ACTIONS(2717),
    [anon_sym_BSLASHdc] = ACTIONS(2717),
    [anon_sym_BSLASHk] = ACTIONS(2717),
    [anon_sym_BSLASHnd] = ACTIONS(2717),
    [anon_sym_BSLASHord] = ACTIONS(2717),
    [anon_sym_BSLASHpn] = ACTIONS(2717),
    [anon_sym_BSLASHpng] = ACTIONS(2717),
    [anon_sym_BSLASHaddpn] = ACTIONS(2717),
    [anon_sym_BSLASHqt] = ACTIONS(2717),
    [anon_sym_BSLASHsig] = ACTIONS(2717),
    [anon_sym_BSLASHsls] = ACTIONS(2717),
    [anon_sym_BSLASHtl] = ACTIONS(2717),
    [anon_sym_BSLASHwj] = ACTIONS(2717),
    [anon_sym_BSLASHem] = ACTIONS(2717),
    [anon_sym_BSLASHbd] = ACTIONS(2717),
    [anon_sym_BSLASHit] = ACTIONS(2717),
    [anon_sym_BSLASHbdit] = ACTIONS(2717),
    [anon_sym_BSLASHno] = ACTIONS(2717),
    [anon_sym_BSLASHsc] = ACTIONS(2717),
    [anon_sym_BSLASHsup] = ACTIONS(2717),
    [anon_sym_BSLASHndx] = ACTIONS(2717),
    [anon_sym_BSLASHpro] = ACTIONS(2717),
    [anon_sym_BSLASHrb] = ACTIONS(2717),
    [anon_sym_BSLASHw] = ACTIONS(2717),
    [anon_sym_BSLASHwg] = ACTIONS(2717),
    [anon_sym_BSLASHwh] = ACTIONS(2717),
    [anon_sym_BSLASHwa] = ACTIONS(2717),
    [anon_sym_BSLASHfig] = ACTIONS(2717),
    [anon_sym_BSLASHjmp] = ACTIONS(2717),
    [anon_sym_BSLASHpb] = ACTIONS(2717),
    [anon_sym_BSLASH] = ACTIONS(2717),
    [sym_milestoneStartTag] = ACTIONS(2717),
    [sym_milestoneEndTag] = ACTIONS(2717),
    [sym_zSpaceTag] = ACTIONS(2717),
    [anon_sym_BSLASHesb] = ACTIONS(2717),
  },
  [623] = {
    [ts_builtin_sym_end] = ACTIONS(5522),
    [aux_sym_text_token1] = ACTIONS(5522),
    [anon_sym_BSLASHsts] = ACTIONS(5524),
    [anon_sym_BSLASHrem] = ACTIONS(5524),
    [anon_sym_BSLASHrestore] = ACTIONS(5524),
    [anon_sym_BSLASHlit] = ACTIONS(5524),
    [anon_sym_BSLASHip] = ACTIONS(5524),
    [anon_sym_BSLASHiex] = ACTIONS(5524),
    [anon_sym_BSLASHc] = ACTIONS(5524),
    [anon_sym_BSLASHcl] = ACTIONS(5524),
    [anon_sym_BSLASHca] = ACTIONS(5524),
    [anon_sym_BSLASHcp] = ACTIONS(5524),
    [anon_sym_BSLASHcd] = ACTIONS(5524),
    [anon_sym_BSLASHmte] = ACTIONS(5524),
    [anon_sym_BSLASHms] = ACTIONS(5524),
    [anon_sym_BSLASHs] = ACTIONS(5524),
    [anon_sym_BSLASHsr] = ACTIONS(5524),
    [anon_sym_BSLASHr] = ACTIONS(5524),
    [anon_sym_BSLASHsp] = ACTIONS(5524),
    [anon_sym_BSLASHd] = ACTIONS(5524),
    [anon_sym_BSLASHsd] = ACTIONS(5524),
    [anon_sym_BSLASHp] = ACTIONS(5524),
    [anon_sym_BSLASHm] = ACTIONS(5524),
    [anon_sym_BSLASHpo] = ACTIONS(5524),
    [anon_sym_BSLASHpr] = ACTIONS(5524),
    [anon_sym_BSLASHcls] = ACTIONS(5524),
    [anon_sym_BSLASHpmo] = ACTIONS(5524),
    [anon_sym_BSLASHpm] = ACTIONS(5524),
    [anon_sym_BSLASHpmc] = ACTIONS(5524),
    [anon_sym_BSLASHpmr] = ACTIONS(5524),
    [anon_sym_BSLASHpi] = ACTIONS(5524),
    [anon_sym_BSLASHmi] = ACTIONS(5524),
    [anon_sym_BSLASHnb] = ACTIONS(5524),
    [anon_sym_BSLASHpc] = ACTIONS(5524),
    [anon_sym_BSLASHph] = ACTIONS(5524),
    [anon_sym_BSLASHb] = ACTIONS(5524),
    [anon_sym_BSLASHq] = ACTIONS(5524),
    [anon_sym_BSLASHqr] = ACTIONS(5524),
    [anon_sym_BSLASHqc] = ACTIONS(5524),
    [anon_sym_BSLASHqa] = ACTIONS(5524),
    [anon_sym_BSLASHqm] = ACTIONS(5524),
    [anon_sym_BSLASHqd] = ACTIONS(5524),
    [anon_sym_BSLASHlh] = ACTIONS(5524),
    [anon_sym_BSLASHli] = ACTIONS(5524),
    [anon_sym_BSLASHlim] = ACTIONS(5524),
    [anon_sym_BSLASHtr] = ACTIONS(5524),
    [anon_sym_BSLASHf] = ACTIONS(5524),
    [anon_sym_BSLASHfe] = ACTIONS(5524),
    [anon_sym_BSLASHef] = ACTIONS(5524),
    [anon_sym_BSLASHfm] = ACTIONS(5524),
    [anon_sym_BSLASHx] = ACTIONS(5524),
    [anon_sym_BSLASHxt] = ACTIONS(5524),
    [anon_sym_BSLASHrq] = ACTIONS(5524),
    [anon_sym_BSLASHadd] = ACTIONS(5524),
    [anon_sym_BSLASHbk] = ACTIONS(5524),
    [anon_sym_BSLASHdc] = ACTIONS(5524),
    [anon_sym_BSLASHk] = ACTIONS(5524),
    [anon_sym_BSLASHnd] = ACTIONS(5524),
    [anon_sym_BSLASHord] = ACTIONS(5524),
    [anon_sym_BSLASHpn] = ACTIONS(5524),
    [anon_sym_BSLASHpng] = ACTIONS(5524),
    [anon_sym_BSLASHaddpn] = ACTIONS(5524),
    [anon_sym_BSLASHqt] = ACTIONS(5524),
    [anon_sym_BSLASHsig] = ACTIONS(5524),
    [anon_sym_BSLASHsls] = ACTIONS(5524),
    [anon_sym_BSLASHtl] = ACTIONS(5524),
    [anon_sym_BSLASHwj] = ACTIONS(5524),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5524),
    [anon_sym_BSLASHit] = ACTIONS(5524),
    [anon_sym_BSLASHbdit] = ACTIONS(5524),
    [anon_sym_BSLASHno] = ACTIONS(5524),
    [anon_sym_BSLASHsc] = ACTIONS(5524),
    [anon_sym_BSLASHsup] = ACTIONS(5524),
    [anon_sym_BSLASHndx] = ACTIONS(5524),
    [anon_sym_BSLASHpro] = ACTIONS(5524),
    [anon_sym_BSLASHrb] = ACTIONS(5524),
    [anon_sym_BSLASHw] = ACTIONS(5524),
    [anon_sym_BSLASHwg] = ACTIONS(5524),
    [anon_sym_BSLASHwh] = ACTIONS(5524),
    [anon_sym_BSLASHwa] = ACTIONS(5524),
    [anon_sym_BSLASHfig] = ACTIONS(5524),
    [anon_sym_BSLASHjmp] = ACTIONS(5524),
    [anon_sym_BSLASHpb] = ACTIONS(5524),
    [anon_sym_BSLASH] = ACTIONS(5524),
    [sym_milestoneStartTag] = ACTIONS(5524),
    [sym_milestoneEndTag] = ACTIONS(5524),
    [sym_zSpaceTag] = ACTIONS(5524),
    [anon_sym_BSLASHesb] = ACTIONS(5524),
  },
  [624] = {
    [ts_builtin_sym_end] = ACTIONS(5526),
    [aux_sym_text_token1] = ACTIONS(5526),
    [anon_sym_BSLASHsts] = ACTIONS(5528),
    [anon_sym_BSLASHrem] = ACTIONS(5528),
    [anon_sym_BSLASHrestore] = ACTIONS(5528),
    [anon_sym_BSLASHlit] = ACTIONS(5528),
    [anon_sym_BSLASHip] = ACTIONS(5528),
    [anon_sym_BSLASHiex] = ACTIONS(5528),
    [anon_sym_BSLASHc] = ACTIONS(5528),
    [anon_sym_BSLASHcl] = ACTIONS(5528),
    [anon_sym_BSLASHca] = ACTIONS(5528),
    [anon_sym_BSLASHcp] = ACTIONS(5528),
    [anon_sym_BSLASHcd] = ACTIONS(5528),
    [anon_sym_BSLASHmte] = ACTIONS(5528),
    [anon_sym_BSLASHms] = ACTIONS(5528),
    [anon_sym_BSLASHs] = ACTIONS(5528),
    [anon_sym_BSLASHsr] = ACTIONS(5528),
    [anon_sym_BSLASHr] = ACTIONS(5528),
    [anon_sym_BSLASHsp] = ACTIONS(5528),
    [anon_sym_BSLASHd] = ACTIONS(5528),
    [anon_sym_BSLASHsd] = ACTIONS(5528),
    [anon_sym_BSLASHp] = ACTIONS(5528),
    [anon_sym_BSLASHm] = ACTIONS(5528),
    [anon_sym_BSLASHpo] = ACTIONS(5528),
    [anon_sym_BSLASHpr] = ACTIONS(5528),
    [anon_sym_BSLASHcls] = ACTIONS(5528),
    [anon_sym_BSLASHpmo] = ACTIONS(5528),
    [anon_sym_BSLASHpm] = ACTIONS(5528),
    [anon_sym_BSLASHpmc] = ACTIONS(5528),
    [anon_sym_BSLASHpmr] = ACTIONS(5528),
    [anon_sym_BSLASHpi] = ACTIONS(5528),
    [anon_sym_BSLASHmi] = ACTIONS(5528),
    [anon_sym_BSLASHnb] = ACTIONS(5528),
    [anon_sym_BSLASHpc] = ACTIONS(5528),
    [anon_sym_BSLASHph] = ACTIONS(5528),
    [anon_sym_BSLASHb] = ACTIONS(5528),
    [anon_sym_BSLASHq] = ACTIONS(5528),
    [anon_sym_BSLASHqr] = ACTIONS(5528),
    [anon_sym_BSLASHqc] = ACTIONS(5528),
    [anon_sym_BSLASHqa] = ACTIONS(5528),
    [anon_sym_BSLASHqm] = ACTIONS(5528),
    [anon_sym_BSLASHqd] = ACTIONS(5528),
    [anon_sym_BSLASHlh] = ACTIONS(5528),
    [anon_sym_BSLASHli] = ACTIONS(5528),
    [anon_sym_BSLASHlim] = ACTIONS(5528),
    [anon_sym_BSLASHtr] = ACTIONS(5528),
    [anon_sym_BSLASHf] = ACTIONS(5528),
    [anon_sym_BSLASHfe] = ACTIONS(5528),
    [anon_sym_BSLASHef] = ACTIONS(5528),
    [anon_sym_BSLASHfm] = ACTIONS(5528),
    [anon_sym_BSLASHx] = ACTIONS(5528),
    [anon_sym_BSLASHxt] = ACTIONS(5528),
    [anon_sym_BSLASHrq] = ACTIONS(5528),
    [anon_sym_BSLASHadd] = ACTIONS(5528),
    [anon_sym_BSLASHbk] = ACTIONS(5528),
    [anon_sym_BSLASHdc] = ACTIONS(5528),
    [anon_sym_BSLASHk] = ACTIONS(5528),
    [anon_sym_BSLASHnd] = ACTIONS(5528),
    [anon_sym_BSLASHord] = ACTIONS(5528),
    [anon_sym_BSLASHpn] = ACTIONS(5528),
    [anon_sym_BSLASHpng] = ACTIONS(5528),
    [anon_sym_BSLASHaddpn] = ACTIONS(5528),
    [anon_sym_BSLASHqt] = ACTIONS(5528),
    [anon_sym_BSLASHsig] = ACTIONS(5528),
    [anon_sym_BSLASHsls] = ACTIONS(5528),
    [anon_sym_BSLASHtl] = ACTIONS(5528),
    [anon_sym_BSLASHwj] = ACTIONS(5528),
    [anon_sym_BSLASHem] = ACTIONS(5528),
    [anon_sym_BSLASHbd] = ACTIONS(5528),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5528),
    [anon_sym_BSLASHno] = ACTIONS(5528),
    [anon_sym_BSLASHsc] = ACTIONS(5528),
    [anon_sym_BSLASHsup] = ACTIONS(5528),
    [anon_sym_BSLASHndx] = ACTIONS(5528),
    [anon_sym_BSLASHpro] = ACTIONS(5528),
    [anon_sym_BSLASHrb] = ACTIONS(5528),
    [anon_sym_BSLASHw] = ACTIONS(5528),
    [anon_sym_BSLASHwg] = ACTIONS(5528),
    [anon_sym_BSLASHwh] = ACTIONS(5528),
    [anon_sym_BSLASHwa] = ACTIONS(5528),
    [anon_sym_BSLASHfig] = ACTIONS(5528),
    [anon_sym_BSLASHjmp] = ACTIONS(5528),
    [anon_sym_BSLASHpb] = ACTIONS(5528),
    [anon_sym_BSLASH] = ACTIONS(5528),
    [sym_milestoneStartTag] = ACTIONS(5528),
    [sym_milestoneEndTag] = ACTIONS(5528),
    [sym_zSpaceTag] = ACTIONS(5528),
    [anon_sym_BSLASHesb] = ACTIONS(5528),
  },
  [625] = {
    [ts_builtin_sym_end] = ACTIONS(2763),
    [aux_sym_text_token1] = ACTIONS(2763),
    [anon_sym_BSLASHsts] = ACTIONS(2765),
    [anon_sym_BSLASHrem] = ACTIONS(2765),
    [anon_sym_BSLASHrestore] = ACTIONS(2765),
    [anon_sym_BSLASHlit] = ACTIONS(2765),
    [anon_sym_BSLASHip] = ACTIONS(2765),
    [anon_sym_BSLASHiex] = ACTIONS(2765),
    [anon_sym_BSLASHc] = ACTIONS(2765),
    [anon_sym_BSLASHcl] = ACTIONS(2765),
    [anon_sym_BSLASHca] = ACTIONS(2765),
    [anon_sym_BSLASHcp] = ACTIONS(2765),
    [anon_sym_BSLASHcd] = ACTIONS(2765),
    [anon_sym_BSLASHmte] = ACTIONS(2765),
    [anon_sym_BSLASHms] = ACTIONS(2765),
    [anon_sym_BSLASHs] = ACTIONS(2765),
    [anon_sym_BSLASHr] = ACTIONS(2765),
    [anon_sym_BSLASHsp] = ACTIONS(2765),
    [anon_sym_BSLASHd] = ACTIONS(2765),
    [anon_sym_BSLASHsd] = ACTIONS(2765),
    [anon_sym_BSLASHp] = ACTIONS(2765),
    [anon_sym_BSLASHm] = ACTIONS(2765),
    [anon_sym_BSLASHpo] = ACTIONS(2765),
    [anon_sym_BSLASHpr] = ACTIONS(2765),
    [anon_sym_BSLASHcls] = ACTIONS(2765),
    [anon_sym_BSLASHpmo] = ACTIONS(2765),
    [anon_sym_BSLASHpm] = ACTIONS(2765),
    [anon_sym_BSLASHpmc] = ACTIONS(2765),
    [anon_sym_BSLASHpmr] = ACTIONS(2765),
    [anon_sym_BSLASHpi] = ACTIONS(2765),
    [anon_sym_BSLASHmi] = ACTIONS(2765),
    [anon_sym_BSLASHnb] = ACTIONS(2765),
    [anon_sym_BSLASHpc] = ACTIONS(2765),
    [anon_sym_BSLASHph] = ACTIONS(2765),
    [anon_sym_BSLASHb] = ACTIONS(2765),
    [anon_sym_BSLASHq] = ACTIONS(2765),
    [anon_sym_BSLASHqr] = ACTIONS(2765),
    [anon_sym_BSLASHqc] = ACTIONS(2765),
    [anon_sym_BSLASHqa] = ACTIONS(2765),
    [anon_sym_BSLASHqm] = ACTIONS(2765),
    [anon_sym_BSLASHqd] = ACTIONS(2765),
    [anon_sym_BSLASHlh] = ACTIONS(2765),
    [anon_sym_BSLASHli] = ACTIONS(2765),
    [anon_sym_BSLASHlim] = ACTIONS(2765),
    [anon_sym_BSLASHtr] = ACTIONS(2765),
    [sym_thTag] = ACTIONS(2765),
    [sym_thrTag] = ACTIONS(2765),
    [sym_tcTag] = ACTIONS(2765),
    [sym_tcrTag] = ACTIONS(2765),
    [anon_sym_BSLASHf] = ACTIONS(2765),
    [anon_sym_BSLASHfe] = ACTIONS(2765),
    [anon_sym_BSLASHef] = ACTIONS(2765),
    [anon_sym_BSLASHfm] = ACTIONS(2765),
    [anon_sym_BSLASHadd] = ACTIONS(2765),
    [anon_sym_BSLASHbk] = ACTIONS(2765),
    [anon_sym_BSLASHdc] = ACTIONS(2765),
    [anon_sym_BSLASHk] = ACTIONS(2765),
    [anon_sym_BSLASHnd] = ACTIONS(2765),
    [anon_sym_BSLASHord] = ACTIONS(2765),
    [anon_sym_BSLASHpn] = ACTIONS(2765),
    [anon_sym_BSLASHpng] = ACTIONS(2765),
    [anon_sym_BSLASHaddpn] = ACTIONS(2765),
    [anon_sym_BSLASHqt] = ACTIONS(2765),
    [anon_sym_BSLASHsig] = ACTIONS(2765),
    [anon_sym_BSLASHsls] = ACTIONS(2765),
    [anon_sym_BSLASHtl] = ACTIONS(2765),
    [anon_sym_BSLASHwj] = ACTIONS(2765),
    [anon_sym_BSLASHem] = ACTIONS(2765),
    [anon_sym_BSLASHbd] = ACTIONS(2765),
    [anon_sym_BSLASHit] = ACTIONS(2765),
    [anon_sym_BSLASHbdit] = ACTIONS(2765),
    [anon_sym_BSLASHno] = ACTIONS(2765),
    [anon_sym_BSLASHsc] = ACTIONS(2765),
    [anon_sym_BSLASHsup] = ACTIONS(2765),
    [anon_sym_BSLASHndx] = ACTIONS(2765),
    [anon_sym_BSLASHpro] = ACTIONS(2765),
    [anon_sym_BSLASHrb] = ACTIONS(2765),
    [anon_sym_BSLASHw] = ACTIONS(2765),
    [anon_sym_BSLASHwg] = ACTIONS(2765),
    [anon_sym_BSLASHwh] = ACTIONS(2765),
    [anon_sym_BSLASHwa] = ACTIONS(2765),
    [anon_sym_BSLASHfig] = ACTIONS(2765),
    [anon_sym_BSLASHjmp] = ACTIONS(2765),
    [anon_sym_BSLASHpb] = ACTIONS(2765),
    [anon_sym_BSLASH] = ACTIONS(2765),
    [sym_milestoneStartTag] = ACTIONS(2765),
    [sym_milestoneEndTag] = ACTIONS(2765),
    [sym_zSpaceTag] = ACTIONS(2765),
    [anon_sym_BSLASHesb] = ACTIONS(2765),
  },
  [626] = {
    [aux_sym_text_token1] = ACTIONS(2735),
    [anon_sym_BSLASHref] = ACTIONS(2737),
    [anon_sym_BSLASHsts] = ACTIONS(2737),
    [anon_sym_BSLASHrem] = ACTIONS(2737),
    [anon_sym_BSLASHrestore] = ACTIONS(2737),
    [anon_sym_BSLASHlit] = ACTIONS(2737),
    [anon_sym_BSLASHip] = ACTIONS(2737),
    [anon_sym_BSLASHv] = ACTIONS(2737),
    [anon_sym_BSLASHva] = ACTIONS(2737),
    [anon_sym_BSLASHvp] = ACTIONS(2737),
    [anon_sym_BSLASHmte] = ACTIONS(2737),
    [anon_sym_BSLASHms] = ACTIONS(2737),
    [anon_sym_BSLASHs] = ACTIONS(2737),
    [anon_sym_BSLASHr] = ACTIONS(2737),
    [anon_sym_BSLASHsp] = ACTIONS(2737),
    [anon_sym_BSLASHd] = ACTIONS(2737),
    [anon_sym_BSLASHsd] = ACTIONS(2737),
    [anon_sym_BSLASHp] = ACTIONS(2737),
    [anon_sym_BSLASHm] = ACTIONS(2737),
    [anon_sym_BSLASHpo] = ACTIONS(2737),
    [anon_sym_BSLASHpr] = ACTIONS(2737),
    [anon_sym_BSLASHcls] = ACTIONS(2737),
    [anon_sym_BSLASHpmo] = ACTIONS(2737),
    [anon_sym_BSLASHpm] = ACTIONS(2737),
    [anon_sym_BSLASHpmc] = ACTIONS(2737),
    [anon_sym_BSLASHpmr] = ACTIONS(2737),
    [anon_sym_BSLASHpi] = ACTIONS(2737),
    [anon_sym_BSLASHmi] = ACTIONS(2737),
    [anon_sym_BSLASHnb] = ACTIONS(2737),
    [anon_sym_BSLASHpc] = ACTIONS(2737),
    [anon_sym_BSLASHph] = ACTIONS(2737),
    [anon_sym_BSLASHb] = ACTIONS(2737),
    [anon_sym_BSLASHq] = ACTIONS(2737),
    [anon_sym_BSLASHqr] = ACTIONS(2737),
    [anon_sym_BSLASHqc] = ACTIONS(2737),
    [anon_sym_BSLASHqs] = ACTIONS(2737),
    [anon_sym_BSLASHqa] = ACTIONS(2737),
    [anon_sym_BSLASHqac] = ACTIONS(2737),
    [anon_sym_BSLASHqm] = ACTIONS(2737),
    [anon_sym_BSLASHqd] = ACTIONS(2737),
    [anon_sym_BSLASHlh] = ACTIONS(2737),
    [anon_sym_BSLASHli] = ACTIONS(2737),
    [anon_sym_BSLASHlim] = ACTIONS(2737),
    [anon_sym_BSLASHtr] = ACTIONS(2737),
    [anon_sym_BSLASHf] = ACTIONS(2737),
    [anon_sym_BSLASHfe] = ACTIONS(2737),
    [anon_sym_BSLASHef] = ACTIONS(2737),
    [anon_sym_BSLASHfm] = ACTIONS(2737),
    [anon_sym_BSLASHx] = ACTIONS(2737),
    [anon_sym_BSLASHxt] = ACTIONS(2737),
    [anon_sym_BSLASHrq] = ACTIONS(2737),
    [anon_sym_BSLASHadd] = ACTIONS(2737),
    [anon_sym_BSLASHbk] = ACTIONS(2737),
    [anon_sym_BSLASHdc] = ACTIONS(2737),
    [anon_sym_BSLASHk] = ACTIONS(2737),
    [anon_sym_BSLASHnd] = ACTIONS(2737),
    [anon_sym_BSLASHord] = ACTIONS(2737),
    [anon_sym_BSLASHpn] = ACTIONS(2737),
    [anon_sym_BSLASHpng] = ACTIONS(2737),
    [anon_sym_BSLASHaddpn] = ACTIONS(2737),
    [anon_sym_BSLASHqt] = ACTIONS(2737),
    [anon_sym_BSLASHsig] = ACTIONS(2737),
    [anon_sym_BSLASHsls] = ACTIONS(2737),
    [anon_sym_BSLASHtl] = ACTIONS(2737),
    [anon_sym_BSLASHwj] = ACTIONS(2737),
    [anon_sym_BSLASHem] = ACTIONS(2737),
    [anon_sym_BSLASHbd] = ACTIONS(2737),
    [anon_sym_BSLASHit] = ACTIONS(2737),
    [anon_sym_BSLASHbdit] = ACTIONS(2737),
    [anon_sym_BSLASHno] = ACTIONS(2737),
    [anon_sym_BSLASHsc] = ACTIONS(2737),
    [anon_sym_BSLASHsup] = ACTIONS(2737),
    [anon_sym_BSLASHndx] = ACTIONS(2737),
    [anon_sym_BSLASHpro] = ACTIONS(2737),
    [anon_sym_BSLASHrb] = ACTIONS(2737),
    [anon_sym_BSLASHw] = ACTIONS(2737),
    [anon_sym_BSLASHwg] = ACTIONS(2737),
    [anon_sym_BSLASHwh] = ACTIONS(2737),
    [anon_sym_BSLASHwa] = ACTIONS(2737),
    [anon_sym_BSLASHfig] = ACTIONS(2737),
    [anon_sym_BSLASHjmp] = ACTIONS(2737),
    [anon_sym_BSLASHpb] = ACTIONS(2737),
    [anon_sym_BSLASH] = ACTIONS(2737),
    [sym_milestoneStartTag] = ACTIONS(2737),
    [sym_milestoneEndTag] = ACTIONS(2737),
    [sym_zSpaceTag] = ACTIONS(2737),
    [anon_sym_BSLASHesbe] = ACTIONS(2737),
    [anon_sym_BSLASHcat] = ACTIONS(2737),
  },
  [627] = {
    [aux_sym_text_token1] = ACTIONS(9),
    [anon_sym_BSLASHref] = ACTIONS(11),
    [anon_sym_BSLASHsts] = ACTIONS(11),
    [anon_sym_BSLASHrem] = ACTIONS(11),
    [anon_sym_BSLASHrestore] = ACTIONS(11),
    [anon_sym_BSLASHlit] = ACTIONS(11),
    [anon_sym_BSLASHip] = ACTIONS(11),
    [anon_sym_BSLASHv] = ACTIONS(11),
    [anon_sym_BSLASHva] = ACTIONS(11),
    [anon_sym_BSLASHvp] = ACTIONS(11),
    [anon_sym_BSLASHmte] = ACTIONS(11),
    [anon_sym_BSLASHms] = ACTIONS(11),
    [anon_sym_BSLASHs] = ACTIONS(11),
    [anon_sym_BSLASHr] = ACTIONS(11),
    [anon_sym_BSLASHsp] = ACTIONS(11),
    [anon_sym_BSLASHd] = ACTIONS(11),
    [anon_sym_BSLASHsd] = ACTIONS(11),
    [anon_sym_BSLASHp] = ACTIONS(11),
    [anon_sym_BSLASHm] = ACTIONS(11),
    [anon_sym_BSLASHpo] = ACTIONS(11),
    [anon_sym_BSLASHpr] = ACTIONS(11),
    [anon_sym_BSLASHcls] = ACTIONS(11),
    [anon_sym_BSLASHpmo] = ACTIONS(11),
    [anon_sym_BSLASHpm] = ACTIONS(11),
    [anon_sym_BSLASHpmc] = ACTIONS(11),
    [anon_sym_BSLASHpmr] = ACTIONS(11),
    [anon_sym_BSLASHpi] = ACTIONS(11),
    [anon_sym_BSLASHmi] = ACTIONS(11),
    [anon_sym_BSLASHnb] = ACTIONS(11),
    [anon_sym_BSLASHpc] = ACTIONS(11),
    [anon_sym_BSLASHph] = ACTIONS(11),
    [anon_sym_BSLASHb] = ACTIONS(11),
    [anon_sym_BSLASHq] = ACTIONS(11),
    [anon_sym_BSLASHqr] = ACTIONS(11),
    [anon_sym_BSLASHqc] = ACTIONS(11),
    [anon_sym_BSLASHqs] = ACTIONS(11),
    [anon_sym_BSLASHqa] = ACTIONS(11),
    [anon_sym_BSLASHqac] = ACTIONS(11),
    [anon_sym_BSLASHqm] = ACTIONS(11),
    [anon_sym_BSLASHqd] = ACTIONS(11),
    [anon_sym_BSLASHlh] = ACTIONS(11),
    [anon_sym_BSLASHli] = ACTIONS(11),
    [anon_sym_BSLASHlim] = ACTIONS(11),
    [anon_sym_BSLASHtr] = ACTIONS(11),
    [anon_sym_BSLASHf] = ACTIONS(11),
    [anon_sym_BSLASHfe] = ACTIONS(11),
    [anon_sym_BSLASHef] = ACTIONS(11),
    [anon_sym_BSLASHfm] = ACTIONS(11),
    [anon_sym_BSLASHx] = ACTIONS(11),
    [anon_sym_BSLASHxt] = ACTIONS(11),
    [anon_sym_BSLASHrq] = ACTIONS(11),
    [anon_sym_BSLASHadd] = ACTIONS(11),
    [anon_sym_BSLASHbk] = ACTIONS(11),
    [anon_sym_BSLASHdc] = ACTIONS(11),
    [anon_sym_BSLASHk] = ACTIONS(11),
    [anon_sym_BSLASHnd] = ACTIONS(11),
    [anon_sym_BSLASHord] = ACTIONS(11),
    [anon_sym_BSLASHpn] = ACTIONS(11),
    [anon_sym_BSLASHpng] = ACTIONS(11),
    [anon_sym_BSLASHaddpn] = ACTIONS(11),
    [anon_sym_BSLASHqt] = ACTIONS(11),
    [anon_sym_BSLASHsig] = ACTIONS(11),
    [anon_sym_BSLASHsls] = ACTIONS(11),
    [anon_sym_BSLASHtl] = ACTIONS(11),
    [anon_sym_BSLASHwj] = ACTIONS(11),
    [anon_sym_BSLASHem] = ACTIONS(11),
    [anon_sym_BSLASHbd] = ACTIONS(11),
    [anon_sym_BSLASHit] = ACTIONS(11),
    [anon_sym_BSLASHbdit] = ACTIONS(11),
    [anon_sym_BSLASHno] = ACTIONS(11),
    [anon_sym_BSLASHsc] = ACTIONS(11),
    [anon_sym_BSLASHsup] = ACTIONS(11),
    [anon_sym_BSLASHndx] = ACTIONS(11),
    [anon_sym_BSLASHpro] = ACTIONS(11),
    [anon_sym_BSLASHrb] = ACTIONS(11),
    [anon_sym_BSLASHw] = ACTIONS(11),
    [anon_sym_BSLASHwg] = ACTIONS(11),
    [anon_sym_BSLASHwh] = ACTIONS(11),
    [anon_sym_BSLASHwa] = ACTIONS(11),
    [anon_sym_BSLASHfig] = ACTIONS(11),
    [anon_sym_BSLASHjmp] = ACTIONS(11),
    [anon_sym_BSLASHpb] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(11),
    [sym_milestoneStartTag] = ACTIONS(11),
    [sym_milestoneEndTag] = ACTIONS(11),
    [sym_zSpaceTag] = ACTIONS(11),
    [anon_sym_BSLASHesbe] = ACTIONS(11),
    [anon_sym_BSLASHcat] = ACTIONS(11),
  },
  [628] = {
    [aux_sym_text_token1] = ACTIONS(5410),
    [anon_sym_BSLASHref] = ACTIONS(5412),
    [anon_sym_BSLASHsts] = ACTIONS(5412),
    [anon_sym_BSLASHrem] = ACTIONS(5412),
    [anon_sym_BSLASHrestore] = ACTIONS(5412),
    [anon_sym_BSLASHlit] = ACTIONS(5412),
    [anon_sym_BSLASHip] = ACTIONS(5412),
    [anon_sym_BSLASHv] = ACTIONS(5412),
    [anon_sym_BSLASHva] = ACTIONS(5412),
    [anon_sym_BSLASHvp] = ACTIONS(5412),
    [anon_sym_BSLASHmte] = ACTIONS(5412),
    [anon_sym_BSLASHms] = ACTIONS(5412),
    [anon_sym_BSLASHs] = ACTIONS(5412),
    [anon_sym_BSLASHr] = ACTIONS(5412),
    [anon_sym_BSLASHsp] = ACTIONS(5412),
    [anon_sym_BSLASHd] = ACTIONS(5412),
    [anon_sym_BSLASHsd] = ACTIONS(5412),
    [anon_sym_BSLASHp] = ACTIONS(5412),
    [anon_sym_BSLASHm] = ACTIONS(5412),
    [anon_sym_BSLASHpo] = ACTIONS(5412),
    [anon_sym_BSLASHpr] = ACTIONS(5412),
    [anon_sym_BSLASHcls] = ACTIONS(5412),
    [anon_sym_BSLASHpmo] = ACTIONS(5412),
    [anon_sym_BSLASHpm] = ACTIONS(5412),
    [anon_sym_BSLASHpmc] = ACTIONS(5412),
    [anon_sym_BSLASHpmr] = ACTIONS(5412),
    [anon_sym_BSLASHpi] = ACTIONS(5412),
    [anon_sym_BSLASHmi] = ACTIONS(5412),
    [anon_sym_BSLASHnb] = ACTIONS(5412),
    [anon_sym_BSLASHpc] = ACTIONS(5412),
    [anon_sym_BSLASHph] = ACTIONS(5412),
    [anon_sym_BSLASHb] = ACTIONS(5412),
    [anon_sym_BSLASHq] = ACTIONS(5412),
    [anon_sym_BSLASHqr] = ACTIONS(5412),
    [anon_sym_BSLASHqc] = ACTIONS(5412),
    [anon_sym_BSLASHqs] = ACTIONS(5412),
    [anon_sym_BSLASHqa] = ACTIONS(5412),
    [anon_sym_BSLASHqac] = ACTIONS(5412),
    [anon_sym_BSLASHqm] = ACTIONS(5412),
    [anon_sym_BSLASHqd] = ACTIONS(5412),
    [anon_sym_BSLASHlh] = ACTIONS(5412),
    [anon_sym_BSLASHli] = ACTIONS(5412),
    [anon_sym_BSLASHlim] = ACTIONS(5412),
    [anon_sym_BSLASHtr] = ACTIONS(5412),
    [anon_sym_BSLASHf] = ACTIONS(5412),
    [anon_sym_BSLASHfe] = ACTIONS(5412),
    [anon_sym_BSLASHef] = ACTIONS(5412),
    [anon_sym_BSLASHfm] = ACTIONS(5412),
    [anon_sym_BSLASHx] = ACTIONS(5412),
    [anon_sym_BSLASHxt] = ACTIONS(5412),
    [anon_sym_BSLASHrq] = ACTIONS(5412),
    [anon_sym_BSLASHadd] = ACTIONS(5412),
    [anon_sym_BSLASHbk] = ACTIONS(5412),
    [anon_sym_BSLASHdc] = ACTIONS(5412),
    [anon_sym_BSLASHk] = ACTIONS(5412),
    [anon_sym_BSLASHnd] = ACTIONS(5412),
    [anon_sym_BSLASHord] = ACTIONS(5412),
    [anon_sym_BSLASHpn] = ACTIONS(5412),
    [anon_sym_BSLASHpng] = ACTIONS(5412),
    [anon_sym_BSLASHaddpn] = ACTIONS(5412),
    [anon_sym_BSLASHqt] = ACTIONS(5412),
    [anon_sym_BSLASHsig] = ACTIONS(5412),
    [anon_sym_BSLASHsls] = ACTIONS(5412),
    [anon_sym_BSLASHtl] = ACTIONS(5412),
    [anon_sym_BSLASHwj] = ACTIONS(5412),
    [anon_sym_BSLASHem] = ACTIONS(5412),
    [anon_sym_BSLASHbd] = ACTIONS(5412),
    [anon_sym_BSLASHit] = ACTIONS(5412),
    [anon_sym_BSLASHbdit] = ACTIONS(5412),
    [anon_sym_BSLASHno] = ACTIONS(5412),
    [anon_sym_BSLASHsc] = ACTIONS(5412),
    [anon_sym_BSLASHsup] = ACTIONS(5412),
    [anon_sym_BSLASHndx] = ACTIONS(5412),
    [anon_sym_BSLASHpro] = ACTIONS(5412),
    [anon_sym_BSLASHrb] = ACTIONS(5412),
    [anon_sym_BSLASHw] = ACTIONS(5412),
    [anon_sym_BSLASHwg] = ACTIONS(5412),
    [anon_sym_BSLASHwh] = ACTIONS(5412),
    [anon_sym_BSLASHwa] = ACTIONS(5412),
    [anon_sym_BSLASHfig] = ACTIONS(5412),
    [anon_sym_BSLASHjmp] = ACTIONS(5412),
    [anon_sym_BSLASHpb] = ACTIONS(5412),
    [anon_sym_BSLASH] = ACTIONS(5412),
    [sym_milestoneStartTag] = ACTIONS(5412),
    [sym_milestoneEndTag] = ACTIONS(5412),
    [sym_zSpaceTag] = ACTIONS(5412),
    [anon_sym_BSLASHesbe] = ACTIONS(5412),
    [anon_sym_BSLASHcat] = ACTIONS(5412),
  },
  [629] = {
    [sym__comments] = STATE(754),
    [sym_sts] = STATE(754),
    [sym_rem] = STATE(754),
    [sym_restore] = STATE(754),
    [sym_lit] = STATE(754),
    [sym_imtBlock] = STATE(754),
    [sym_imt] = STATE(1705),
    [sym_imtTag] = STATE(1122),
    [sym_imteBlock] = STATE(1828),
    [sym_imte] = STATE(1835),
    [sym_imteTag] = STATE(1125),
    [sym__midIntroMarker] = STATE(754),
    [sym_isBlock] = STATE(754),
    [sym_is] = STATE(1712),
    [sym_isTag] = STATE(1126),
    [sym_io] = STATE(754),
    [sym_ioTag] = STATE(1127),
    [sym_iot] = STATE(754),
    [sym_ip] = STATE(754),
    [sym_im] = STATE(754),
    [sym_ipi] = STATE(754),
    [sym_imi] = STATE(754),
    [sym_iliBlock] = STATE(754),
    [sym_ili] = STATE(1711),
    [sym_iliTag] = STATE(1128),
    [sym_ipq] = STATE(754),
    [sym_imq] = STATE(754),
    [sym_ipr] = STATE(754),
    [sym_ib] = STATE(754),
    [sym_iqBlock] = STATE(754),
    [sym_iq] = STATE(1709),
    [sym_iqTag] = STATE(1129),
    [sym_ie] = STATE(1840),
    [sym_iex] = STATE(754),
    [sym_chapter] = STATE(1842),
    [sym_c] = STATE(153),
    [sym_cl] = STATE(2062),
    [sym_mtBlock] = STATE(747),
    [sym_mt] = STATE(1701),
    [sym_mtTag] = STATE(1773),
    [sym_milestoneTag] = STATE(1964),
    [sym__milestoneStandaloneMarker] = STATE(1730),
    [sym__milestoneStart] = STATE(1730),
    [sym__milestoneEnd] = STATE(1730),
    [sym_milestone] = STATE(754),
    [sym__zNameSpaceRegular] = STATE(1729),
    [sym__zNameSpaceClosed] = STATE(1729),
    [sym__zNameSpaceStandaloneMarker] = STATE(1729),
    [sym_zNameSpace] = STATE(754),
    [sym_esb] = STATE(754),
    [aux_sym_File_repeat1] = STATE(754),
    [aux_sym_File_repeat2] = STATE(1842),
    [aux_sym_imtBlock_repeat1] = STATE(1705),
    [aux_sym_imteBlock_repeat1] = STATE(1835),
    [aux_sym_isBlock_repeat1] = STATE(1712),
    [aux_sym_iliBlock_repeat1] = STATE(1711),
    [aux_sym_iqBlock_repeat1] = STATE(1709),
    [aux_sym_mtBlock_repeat1] = STATE(1701),
    [ts_builtin_sym_end] = ACTIONS(5530),
    [anon_sym_BSLASHsts] = ACTIONS(5532),
    [anon_sym_BSLASHrem] = ACTIONS(5534),
    [anon_sym_BSLASHrestore] = ACTIONS(5536),
    [anon_sym_BSLASHlit] = ACTIONS(5538),
    [anon_sym_BSLASHimt] = ACTIONS(5540),
    [anon_sym_BSLASHimte] = ACTIONS(5542),
    [anon_sym_BSLASHis] = ACTIONS(5544),
    [anon_sym_BSLASHio] = ACTIONS(5546),
    [anon_sym_BSLASHiot] = ACTIONS(5548),
    [anon_sym_BSLASHip] = ACTIONS(5550),
    [anon_sym_BSLASHim] = ACTIONS(5552),
    [anon_sym_BSLASHipi] = ACTIONS(5554),
    [anon_sym_BSLASHimi] = ACTIONS(5556),
    [anon_sym_BSLASHili] = ACTIONS(5558),
    [anon_sym_BSLASHipq] = ACTIONS(5560),
    [anon_sym_BSLASHimq] = ACTIONS(5562),
    [anon_sym_BSLASHipr] = ACTIONS(5564),
    [anon_sym_BSLASHib] = ACTIONS(5566),
    [anon_sym_BSLASHiq] = ACTIONS(5568),
    [anon_sym_BSLASHie] = ACTIONS(5570),
    [anon_sym_BSLASHiex] = ACTIONS(5572),
    [anon_sym_BSLASHc] = ACTIONS(5574),
    [anon_sym_BSLASHcl] = ACTIONS(5576),
    [anon_sym_BSLASHmt] = ACTIONS(5578),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(5580),
    [sym_milestoneEndTag] = ACTIONS(5582),
    [sym_zSpaceTag] = ACTIONS(5584),
    [anon_sym_BSLASHesb] = ACTIONS(5586),
  },
  [630] = {
    [aux_sym_text_token1] = ACTIONS(5426),
    [anon_sym_BSLASHref] = ACTIONS(5428),
    [anon_sym_BSLASHsts] = ACTIONS(5428),
    [anon_sym_BSLASHrem] = ACTIONS(5428),
    [anon_sym_BSLASHrestore] = ACTIONS(5428),
    [anon_sym_BSLASHlit] = ACTIONS(5428),
    [anon_sym_BSLASHip] = ACTIONS(5428),
    [anon_sym_BSLASHv] = ACTIONS(5428),
    [anon_sym_BSLASHva] = ACTIONS(5428),
    [anon_sym_BSLASHvp] = ACTIONS(5428),
    [anon_sym_BSLASHmte] = ACTIONS(5428),
    [anon_sym_BSLASHms] = ACTIONS(5428),
    [anon_sym_BSLASHs] = ACTIONS(5428),
    [anon_sym_BSLASHr] = ACTIONS(5428),
    [anon_sym_BSLASHsp] = ACTIONS(5428),
    [anon_sym_BSLASHd] = ACTIONS(5428),
    [anon_sym_BSLASHsd] = ACTIONS(5428),
    [anon_sym_BSLASHp] = ACTIONS(5428),
    [anon_sym_BSLASHm] = ACTIONS(5428),
    [anon_sym_BSLASHpo] = ACTIONS(5428),
    [anon_sym_BSLASHpr] = ACTIONS(5428),
    [anon_sym_BSLASHcls] = ACTIONS(5428),
    [anon_sym_BSLASHpmo] = ACTIONS(5428),
    [anon_sym_BSLASHpm] = ACTIONS(5428),
    [anon_sym_BSLASHpmc] = ACTIONS(5428),
    [anon_sym_BSLASHpmr] = ACTIONS(5428),
    [anon_sym_BSLASHpi] = ACTIONS(5428),
    [anon_sym_BSLASHmi] = ACTIONS(5428),
    [anon_sym_BSLASHnb] = ACTIONS(5428),
    [anon_sym_BSLASHpc] = ACTIONS(5428),
    [anon_sym_BSLASHph] = ACTIONS(5428),
    [anon_sym_BSLASHb] = ACTIONS(5428),
    [anon_sym_BSLASHq] = ACTIONS(5428),
    [anon_sym_BSLASHqr] = ACTIONS(5428),
    [anon_sym_BSLASHqc] = ACTIONS(5428),
    [anon_sym_BSLASHqs] = ACTIONS(5428),
    [anon_sym_BSLASHqa] = ACTIONS(5428),
    [anon_sym_BSLASHqac] = ACTIONS(5428),
    [anon_sym_BSLASHqm] = ACTIONS(5428),
    [anon_sym_BSLASHqd] = ACTIONS(5428),
    [anon_sym_BSLASHlh] = ACTIONS(5428),
    [anon_sym_BSLASHli] = ACTIONS(5428),
    [anon_sym_BSLASHlim] = ACTIONS(5428),
    [anon_sym_BSLASHtr] = ACTIONS(5428),
    [anon_sym_BSLASHf] = ACTIONS(5428),
    [anon_sym_BSLASHfe] = ACTIONS(5428),
    [anon_sym_BSLASHef] = ACTIONS(5428),
    [anon_sym_BSLASHfm] = ACTIONS(5428),
    [anon_sym_BSLASHx] = ACTIONS(5428),
    [anon_sym_BSLASHxt] = ACTIONS(5428),
    [anon_sym_BSLASHrq] = ACTIONS(5428),
    [anon_sym_BSLASHadd] = ACTIONS(5428),
    [anon_sym_BSLASHbk] = ACTIONS(5428),
    [anon_sym_BSLASHdc] = ACTIONS(5428),
    [anon_sym_BSLASHk] = ACTIONS(5428),
    [anon_sym_BSLASHnd] = ACTIONS(5428),
    [anon_sym_BSLASHord] = ACTIONS(5428),
    [anon_sym_BSLASHpn] = ACTIONS(5428),
    [anon_sym_BSLASHpng] = ACTIONS(5428),
    [anon_sym_BSLASHaddpn] = ACTIONS(5428),
    [anon_sym_BSLASHqt] = ACTIONS(5428),
    [anon_sym_BSLASHsig] = ACTIONS(5428),
    [anon_sym_BSLASHsls] = ACTIONS(5428),
    [anon_sym_BSLASHtl] = ACTIONS(5428),
    [anon_sym_BSLASHwj] = ACTIONS(5428),
    [anon_sym_BSLASHem] = ACTIONS(5428),
    [anon_sym_BSLASHbd] = ACTIONS(5428),
    [anon_sym_BSLASHit] = ACTIONS(5428),
    [anon_sym_BSLASHbdit] = ACTIONS(5428),
    [anon_sym_BSLASHno] = ACTIONS(5428),
    [anon_sym_BSLASHsc] = ACTIONS(5428),
    [anon_sym_BSLASHsup] = ACTIONS(5428),
    [anon_sym_BSLASHndx] = ACTIONS(5428),
    [anon_sym_BSLASHpro] = ACTIONS(5428),
    [anon_sym_BSLASHrb] = ACTIONS(5428),
    [anon_sym_BSLASHw] = ACTIONS(5428),
    [anon_sym_BSLASHwg] = ACTIONS(5428),
    [anon_sym_BSLASHwh] = ACTIONS(5428),
    [anon_sym_BSLASHwa] = ACTIONS(5428),
    [anon_sym_BSLASHfig] = ACTIONS(5428),
    [anon_sym_BSLASHjmp] = ACTIONS(5428),
    [anon_sym_BSLASHpb] = ACTIONS(5428),
    [anon_sym_BSLASH] = ACTIONS(5428),
    [sym_milestoneStartTag] = ACTIONS(5428),
    [sym_milestoneEndTag] = ACTIONS(5428),
    [sym_zSpaceTag] = ACTIONS(5428),
    [anon_sym_BSLASHesbe] = ACTIONS(5428),
    [anon_sym_BSLASHcat] = ACTIONS(5428),
  },
  [631] = {
    [aux_sym_text_token1] = ACTIONS(5382),
    [anon_sym_BSLASHref] = ACTIONS(5384),
    [anon_sym_BSLASHsts] = ACTIONS(5384),
    [anon_sym_BSLASHrem] = ACTIONS(5384),
    [anon_sym_BSLASHrestore] = ACTIONS(5384),
    [anon_sym_BSLASHlit] = ACTIONS(5384),
    [anon_sym_BSLASHip] = ACTIONS(5384),
    [anon_sym_BSLASHv] = ACTIONS(5384),
    [anon_sym_BSLASHva] = ACTIONS(5384),
    [anon_sym_BSLASHvp] = ACTIONS(5384),
    [anon_sym_BSLASHmte] = ACTIONS(5384),
    [anon_sym_BSLASHms] = ACTIONS(5384),
    [anon_sym_BSLASHs] = ACTIONS(5384),
    [anon_sym_BSLASHr] = ACTIONS(5384),
    [anon_sym_BSLASHsp] = ACTIONS(5384),
    [anon_sym_BSLASHd] = ACTIONS(5384),
    [anon_sym_BSLASHsd] = ACTIONS(5384),
    [anon_sym_BSLASHp] = ACTIONS(5384),
    [anon_sym_BSLASHm] = ACTIONS(5384),
    [anon_sym_BSLASHpo] = ACTIONS(5384),
    [anon_sym_BSLASHpr] = ACTIONS(5384),
    [anon_sym_BSLASHcls] = ACTIONS(5384),
    [anon_sym_BSLASHpmo] = ACTIONS(5384),
    [anon_sym_BSLASHpm] = ACTIONS(5384),
    [anon_sym_BSLASHpmc] = ACTIONS(5384),
    [anon_sym_BSLASHpmr] = ACTIONS(5384),
    [anon_sym_BSLASHpi] = ACTIONS(5384),
    [anon_sym_BSLASHmi] = ACTIONS(5384),
    [anon_sym_BSLASHnb] = ACTIONS(5384),
    [anon_sym_BSLASHpc] = ACTIONS(5384),
    [anon_sym_BSLASHph] = ACTIONS(5384),
    [anon_sym_BSLASHb] = ACTIONS(5384),
    [anon_sym_BSLASHq] = ACTIONS(5384),
    [anon_sym_BSLASHqr] = ACTIONS(5384),
    [anon_sym_BSLASHqc] = ACTIONS(5384),
    [anon_sym_BSLASHqs] = ACTIONS(5384),
    [anon_sym_BSLASHqa] = ACTIONS(5384),
    [anon_sym_BSLASHqac] = ACTIONS(5384),
    [anon_sym_BSLASHqm] = ACTIONS(5384),
    [anon_sym_BSLASHqd] = ACTIONS(5384),
    [anon_sym_BSLASHlh] = ACTIONS(5384),
    [anon_sym_BSLASHli] = ACTIONS(5384),
    [anon_sym_BSLASHlim] = ACTIONS(5384),
    [anon_sym_BSLASHtr] = ACTIONS(5384),
    [anon_sym_BSLASHf] = ACTIONS(5384),
    [anon_sym_BSLASHfe] = ACTIONS(5384),
    [anon_sym_BSLASHef] = ACTIONS(5384),
    [anon_sym_BSLASHfm] = ACTIONS(5384),
    [anon_sym_BSLASHx] = ACTIONS(5384),
    [anon_sym_BSLASHxt] = ACTIONS(5384),
    [anon_sym_BSLASHrq] = ACTIONS(5384),
    [anon_sym_BSLASHadd] = ACTIONS(5384),
    [anon_sym_BSLASHbk] = ACTIONS(5384),
    [anon_sym_BSLASHdc] = ACTIONS(5384),
    [anon_sym_BSLASHk] = ACTIONS(5384),
    [anon_sym_BSLASHnd] = ACTIONS(5384),
    [anon_sym_BSLASHord] = ACTIONS(5384),
    [anon_sym_BSLASHpn] = ACTIONS(5384),
    [anon_sym_BSLASHpng] = ACTIONS(5384),
    [anon_sym_BSLASHaddpn] = ACTIONS(5384),
    [anon_sym_BSLASHqt] = ACTIONS(5384),
    [anon_sym_BSLASHsig] = ACTIONS(5384),
    [anon_sym_BSLASHsls] = ACTIONS(5384),
    [anon_sym_BSLASHtl] = ACTIONS(5384),
    [anon_sym_BSLASHwj] = ACTIONS(5384),
    [anon_sym_BSLASHem] = ACTIONS(5384),
    [anon_sym_BSLASHbd] = ACTIONS(5384),
    [anon_sym_BSLASHit] = ACTIONS(5384),
    [anon_sym_BSLASHbdit] = ACTIONS(5384),
    [anon_sym_BSLASHno] = ACTIONS(5384),
    [anon_sym_BSLASHsc] = ACTIONS(5384),
    [anon_sym_BSLASHsup] = ACTIONS(5384),
    [anon_sym_BSLASHndx] = ACTIONS(5384),
    [anon_sym_BSLASHpro] = ACTIONS(5384),
    [anon_sym_BSLASHrb] = ACTIONS(5384),
    [anon_sym_BSLASHw] = ACTIONS(5384),
    [anon_sym_BSLASHwg] = ACTIONS(5384),
    [anon_sym_BSLASHwh] = ACTIONS(5384),
    [anon_sym_BSLASHwa] = ACTIONS(5384),
    [anon_sym_BSLASHfig] = ACTIONS(5384),
    [anon_sym_BSLASHjmp] = ACTIONS(5384),
    [anon_sym_BSLASHpb] = ACTIONS(5384),
    [anon_sym_BSLASH] = ACTIONS(5384),
    [sym_milestoneStartTag] = ACTIONS(5384),
    [sym_milestoneEndTag] = ACTIONS(5384),
    [sym_zSpaceTag] = ACTIONS(5384),
    [anon_sym_BSLASHesbe] = ACTIONS(5384),
    [anon_sym_BSLASHcat] = ACTIONS(5384),
  },
  [632] = {
    [aux_sym_text_token1] = ACTIONS(49),
    [anon_sym_BSLASHref] = ACTIONS(51),
    [anon_sym_BSLASHsts] = ACTIONS(51),
    [anon_sym_BSLASHrem] = ACTIONS(51),
    [anon_sym_BSLASHrestore] = ACTIONS(51),
    [anon_sym_BSLASHlit] = ACTIONS(51),
    [anon_sym_BSLASHip] = ACTIONS(51),
    [anon_sym_BSLASHv] = ACTIONS(51),
    [anon_sym_BSLASHva] = ACTIONS(51),
    [anon_sym_BSLASHvp] = ACTIONS(51),
    [anon_sym_BSLASHmte] = ACTIONS(51),
    [anon_sym_BSLASHms] = ACTIONS(51),
    [anon_sym_BSLASHs] = ACTIONS(51),
    [anon_sym_BSLASHr] = ACTIONS(51),
    [anon_sym_BSLASHsp] = ACTIONS(51),
    [anon_sym_BSLASHd] = ACTIONS(51),
    [anon_sym_BSLASHsd] = ACTIONS(51),
    [anon_sym_BSLASHp] = ACTIONS(51),
    [anon_sym_BSLASHm] = ACTIONS(51),
    [anon_sym_BSLASHpo] = ACTIONS(51),
    [anon_sym_BSLASHpr] = ACTIONS(51),
    [anon_sym_BSLASHcls] = ACTIONS(51),
    [anon_sym_BSLASHpmo] = ACTIONS(51),
    [anon_sym_BSLASHpm] = ACTIONS(51),
    [anon_sym_BSLASHpmc] = ACTIONS(51),
    [anon_sym_BSLASHpmr] = ACTIONS(51),
    [anon_sym_BSLASHpi] = ACTIONS(51),
    [anon_sym_BSLASHmi] = ACTIONS(51),
    [anon_sym_BSLASHnb] = ACTIONS(51),
    [anon_sym_BSLASHpc] = ACTIONS(51),
    [anon_sym_BSLASHph] = ACTIONS(51),
    [anon_sym_BSLASHb] = ACTIONS(51),
    [anon_sym_BSLASHq] = ACTIONS(51),
    [anon_sym_BSLASHqr] = ACTIONS(51),
    [anon_sym_BSLASHqc] = ACTIONS(51),
    [anon_sym_BSLASHqs] = ACTIONS(51),
    [anon_sym_BSLASHqa] = ACTIONS(51),
    [anon_sym_BSLASHqac] = ACTIONS(51),
    [anon_sym_BSLASHqm] = ACTIONS(51),
    [anon_sym_BSLASHqd] = ACTIONS(51),
    [anon_sym_BSLASHlh] = ACTIONS(51),
    [anon_sym_BSLASHli] = ACTIONS(51),
    [anon_sym_BSLASHlim] = ACTIONS(51),
    [anon_sym_BSLASHtr] = ACTIONS(51),
    [anon_sym_BSLASHf] = ACTIONS(51),
    [anon_sym_BSLASHfe] = ACTIONS(51),
    [anon_sym_BSLASHef] = ACTIONS(51),
    [anon_sym_BSLASHfm] = ACTIONS(51),
    [anon_sym_BSLASHx] = ACTIONS(51),
    [anon_sym_BSLASHxt] = ACTIONS(51),
    [anon_sym_BSLASHrq] = ACTIONS(51),
    [anon_sym_BSLASHadd] = ACTIONS(51),
    [anon_sym_BSLASHbk] = ACTIONS(51),
    [anon_sym_BSLASHdc] = ACTIONS(51),
    [anon_sym_BSLASHk] = ACTIONS(51),
    [anon_sym_BSLASHnd] = ACTIONS(51),
    [anon_sym_BSLASHord] = ACTIONS(51),
    [anon_sym_BSLASHpn] = ACTIONS(51),
    [anon_sym_BSLASHpng] = ACTIONS(51),
    [anon_sym_BSLASHaddpn] = ACTIONS(51),
    [anon_sym_BSLASHqt] = ACTIONS(51),
    [anon_sym_BSLASHsig] = ACTIONS(51),
    [anon_sym_BSLASHsls] = ACTIONS(51),
    [anon_sym_BSLASHtl] = ACTIONS(51),
    [anon_sym_BSLASHwj] = ACTIONS(51),
    [anon_sym_BSLASHem] = ACTIONS(51),
    [anon_sym_BSLASHbd] = ACTIONS(51),
    [anon_sym_BSLASHit] = ACTIONS(51),
    [anon_sym_BSLASHbdit] = ACTIONS(51),
    [anon_sym_BSLASHno] = ACTIONS(51),
    [anon_sym_BSLASHsc] = ACTIONS(51),
    [anon_sym_BSLASHsup] = ACTIONS(51),
    [anon_sym_BSLASHndx] = ACTIONS(51),
    [anon_sym_BSLASHpro] = ACTIONS(51),
    [anon_sym_BSLASHrb] = ACTIONS(51),
    [anon_sym_BSLASHw] = ACTIONS(51),
    [anon_sym_BSLASHwg] = ACTIONS(51),
    [anon_sym_BSLASHwh] = ACTIONS(51),
    [anon_sym_BSLASHwa] = ACTIONS(51),
    [anon_sym_BSLASHfig] = ACTIONS(51),
    [anon_sym_BSLASHjmp] = ACTIONS(51),
    [anon_sym_BSLASHpb] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(51),
    [sym_milestoneStartTag] = ACTIONS(51),
    [sym_milestoneEndTag] = ACTIONS(51),
    [sym_zSpaceTag] = ACTIONS(51),
    [anon_sym_BSLASHesbe] = ACTIONS(51),
    [anon_sym_BSLASHcat] = ACTIONS(51),
  },
  [633] = {
    [aux_sym_text_token1] = ACTIONS(5414),
    [anon_sym_BSLASHref] = ACTIONS(5416),
    [anon_sym_BSLASHsts] = ACTIONS(5416),
    [anon_sym_BSLASHrem] = ACTIONS(5416),
    [anon_sym_BSLASHrestore] = ACTIONS(5416),
    [anon_sym_BSLASHlit] = ACTIONS(5416),
    [anon_sym_BSLASHip] = ACTIONS(5416),
    [anon_sym_BSLASHv] = ACTIONS(5416),
    [anon_sym_BSLASHva] = ACTIONS(5416),
    [anon_sym_BSLASHvp] = ACTIONS(5416),
    [anon_sym_BSLASHmte] = ACTIONS(5416),
    [anon_sym_BSLASHms] = ACTIONS(5416),
    [anon_sym_BSLASHs] = ACTIONS(5416),
    [anon_sym_BSLASHr] = ACTIONS(5416),
    [anon_sym_BSLASHsp] = ACTIONS(5416),
    [anon_sym_BSLASHd] = ACTIONS(5416),
    [anon_sym_BSLASHsd] = ACTIONS(5416),
    [anon_sym_BSLASHp] = ACTIONS(5416),
    [anon_sym_BSLASHm] = ACTIONS(5416),
    [anon_sym_BSLASHpo] = ACTIONS(5416),
    [anon_sym_BSLASHpr] = ACTIONS(5416),
    [anon_sym_BSLASHcls] = ACTIONS(5416),
    [anon_sym_BSLASHpmo] = ACTIONS(5416),
    [anon_sym_BSLASHpm] = ACTIONS(5416),
    [anon_sym_BSLASHpmc] = ACTIONS(5416),
    [anon_sym_BSLASHpmr] = ACTIONS(5416),
    [anon_sym_BSLASHpi] = ACTIONS(5416),
    [anon_sym_BSLASHmi] = ACTIONS(5416),
    [anon_sym_BSLASHnb] = ACTIONS(5416),
    [anon_sym_BSLASHpc] = ACTIONS(5416),
    [anon_sym_BSLASHph] = ACTIONS(5416),
    [anon_sym_BSLASHb] = ACTIONS(5416),
    [anon_sym_BSLASHq] = ACTIONS(5416),
    [anon_sym_BSLASHqr] = ACTIONS(5416),
    [anon_sym_BSLASHqc] = ACTIONS(5416),
    [anon_sym_BSLASHqs] = ACTIONS(5416),
    [anon_sym_BSLASHqa] = ACTIONS(5416),
    [anon_sym_BSLASHqac] = ACTIONS(5416),
    [anon_sym_BSLASHqm] = ACTIONS(5416),
    [anon_sym_BSLASHqd] = ACTIONS(5416),
    [anon_sym_BSLASHlh] = ACTIONS(5416),
    [anon_sym_BSLASHli] = ACTIONS(5416),
    [anon_sym_BSLASHlim] = ACTIONS(5416),
    [anon_sym_BSLASHtr] = ACTIONS(5416),
    [anon_sym_BSLASHf] = ACTIONS(5416),
    [anon_sym_BSLASHfe] = ACTIONS(5416),
    [anon_sym_BSLASHef] = ACTIONS(5416),
    [anon_sym_BSLASHfm] = ACTIONS(5416),
    [anon_sym_BSLASHx] = ACTIONS(5416),
    [anon_sym_BSLASHxt] = ACTIONS(5416),
    [anon_sym_BSLASHrq] = ACTIONS(5416),
    [anon_sym_BSLASHadd] = ACTIONS(5416),
    [anon_sym_BSLASHbk] = ACTIONS(5416),
    [anon_sym_BSLASHdc] = ACTIONS(5416),
    [anon_sym_BSLASHk] = ACTIONS(5416),
    [anon_sym_BSLASHnd] = ACTIONS(5416),
    [anon_sym_BSLASHord] = ACTIONS(5416),
    [anon_sym_BSLASHpn] = ACTIONS(5416),
    [anon_sym_BSLASHpng] = ACTIONS(5416),
    [anon_sym_BSLASHaddpn] = ACTIONS(5416),
    [anon_sym_BSLASHqt] = ACTIONS(5416),
    [anon_sym_BSLASHsig] = ACTIONS(5416),
    [anon_sym_BSLASHsls] = ACTIONS(5416),
    [anon_sym_BSLASHtl] = ACTIONS(5416),
    [anon_sym_BSLASHwj] = ACTIONS(5416),
    [anon_sym_BSLASHem] = ACTIONS(5416),
    [anon_sym_BSLASHbd] = ACTIONS(5416),
    [anon_sym_BSLASHit] = ACTIONS(5416),
    [anon_sym_BSLASHbdit] = ACTIONS(5416),
    [anon_sym_BSLASHno] = ACTIONS(5416),
    [anon_sym_BSLASHsc] = ACTIONS(5416),
    [anon_sym_BSLASHsup] = ACTIONS(5416),
    [anon_sym_BSLASHndx] = ACTIONS(5416),
    [anon_sym_BSLASHpro] = ACTIONS(5416),
    [anon_sym_BSLASHrb] = ACTIONS(5416),
    [anon_sym_BSLASHw] = ACTIONS(5416),
    [anon_sym_BSLASHwg] = ACTIONS(5416),
    [anon_sym_BSLASHwh] = ACTIONS(5416),
    [anon_sym_BSLASHwa] = ACTIONS(5416),
    [anon_sym_BSLASHfig] = ACTIONS(5416),
    [anon_sym_BSLASHjmp] = ACTIONS(5416),
    [anon_sym_BSLASHpb] = ACTIONS(5416),
    [anon_sym_BSLASH] = ACTIONS(5416),
    [sym_milestoneStartTag] = ACTIONS(5416),
    [sym_milestoneEndTag] = ACTIONS(5416),
    [sym_zSpaceTag] = ACTIONS(5416),
    [anon_sym_BSLASHesbe] = ACTIONS(5416),
    [anon_sym_BSLASHcat] = ACTIONS(5416),
  },
  [634] = {
    [aux_sym_text_token1] = ACTIONS(5406),
    [anon_sym_BSLASHref] = ACTIONS(5408),
    [anon_sym_BSLASHsts] = ACTIONS(5408),
    [anon_sym_BSLASHrem] = ACTIONS(5408),
    [anon_sym_BSLASHrestore] = ACTIONS(5408),
    [anon_sym_BSLASHlit] = ACTIONS(5408),
    [anon_sym_BSLASHip] = ACTIONS(5408),
    [anon_sym_BSLASHv] = ACTIONS(5408),
    [anon_sym_BSLASHva] = ACTIONS(5408),
    [anon_sym_BSLASHvp] = ACTIONS(5408),
    [anon_sym_BSLASHmte] = ACTIONS(5408),
    [anon_sym_BSLASHms] = ACTIONS(5408),
    [anon_sym_BSLASHs] = ACTIONS(5408),
    [anon_sym_BSLASHr] = ACTIONS(5408),
    [anon_sym_BSLASHsp] = ACTIONS(5408),
    [anon_sym_BSLASHd] = ACTIONS(5408),
    [anon_sym_BSLASHsd] = ACTIONS(5408),
    [anon_sym_BSLASHp] = ACTIONS(5408),
    [anon_sym_BSLASHm] = ACTIONS(5408),
    [anon_sym_BSLASHpo] = ACTIONS(5408),
    [anon_sym_BSLASHpr] = ACTIONS(5408),
    [anon_sym_BSLASHcls] = ACTIONS(5408),
    [anon_sym_BSLASHpmo] = ACTIONS(5408),
    [anon_sym_BSLASHpm] = ACTIONS(5408),
    [anon_sym_BSLASHpmc] = ACTIONS(5408),
    [anon_sym_BSLASHpmr] = ACTIONS(5408),
    [anon_sym_BSLASHpi] = ACTIONS(5408),
    [anon_sym_BSLASHmi] = ACTIONS(5408),
    [anon_sym_BSLASHnb] = ACTIONS(5408),
    [anon_sym_BSLASHpc] = ACTIONS(5408),
    [anon_sym_BSLASHph] = ACTIONS(5408),
    [anon_sym_BSLASHb] = ACTIONS(5408),
    [anon_sym_BSLASHq] = ACTIONS(5408),
    [anon_sym_BSLASHqr] = ACTIONS(5408),
    [anon_sym_BSLASHqc] = ACTIONS(5408),
    [anon_sym_BSLASHqs] = ACTIONS(5408),
    [anon_sym_BSLASHqa] = ACTIONS(5408),
    [anon_sym_BSLASHqac] = ACTIONS(5408),
    [anon_sym_BSLASHqm] = ACTIONS(5408),
    [anon_sym_BSLASHqd] = ACTIONS(5408),
    [anon_sym_BSLASHlh] = ACTIONS(5408),
    [anon_sym_BSLASHli] = ACTIONS(5408),
    [anon_sym_BSLASHlim] = ACTIONS(5408),
    [anon_sym_BSLASHtr] = ACTIONS(5408),
    [anon_sym_BSLASHf] = ACTIONS(5408),
    [anon_sym_BSLASHfe] = ACTIONS(5408),
    [anon_sym_BSLASHef] = ACTIONS(5408),
    [anon_sym_BSLASHfm] = ACTIONS(5408),
    [anon_sym_BSLASHx] = ACTIONS(5408),
    [anon_sym_BSLASHxt] = ACTIONS(5408),
    [anon_sym_BSLASHrq] = ACTIONS(5408),
    [anon_sym_BSLASHadd] = ACTIONS(5408),
    [anon_sym_BSLASHbk] = ACTIONS(5408),
    [anon_sym_BSLASHdc] = ACTIONS(5408),
    [anon_sym_BSLASHk] = ACTIONS(5408),
    [anon_sym_BSLASHnd] = ACTIONS(5408),
    [anon_sym_BSLASHord] = ACTIONS(5408),
    [anon_sym_BSLASHpn] = ACTIONS(5408),
    [anon_sym_BSLASHpng] = ACTIONS(5408),
    [anon_sym_BSLASHaddpn] = ACTIONS(5408),
    [anon_sym_BSLASHqt] = ACTIONS(5408),
    [anon_sym_BSLASHsig] = ACTIONS(5408),
    [anon_sym_BSLASHsls] = ACTIONS(5408),
    [anon_sym_BSLASHtl] = ACTIONS(5408),
    [anon_sym_BSLASHwj] = ACTIONS(5408),
    [anon_sym_BSLASHem] = ACTIONS(5408),
    [anon_sym_BSLASHbd] = ACTIONS(5408),
    [anon_sym_BSLASHit] = ACTIONS(5408),
    [anon_sym_BSLASHbdit] = ACTIONS(5408),
    [anon_sym_BSLASHno] = ACTIONS(5408),
    [anon_sym_BSLASHsc] = ACTIONS(5408),
    [anon_sym_BSLASHsup] = ACTIONS(5408),
    [anon_sym_BSLASHndx] = ACTIONS(5408),
    [anon_sym_BSLASHpro] = ACTIONS(5408),
    [anon_sym_BSLASHrb] = ACTIONS(5408),
    [anon_sym_BSLASHw] = ACTIONS(5408),
    [anon_sym_BSLASHwg] = ACTIONS(5408),
    [anon_sym_BSLASHwh] = ACTIONS(5408),
    [anon_sym_BSLASHwa] = ACTIONS(5408),
    [anon_sym_BSLASHfig] = ACTIONS(5408),
    [anon_sym_BSLASHjmp] = ACTIONS(5408),
    [anon_sym_BSLASHpb] = ACTIONS(5408),
    [anon_sym_BSLASH] = ACTIONS(5408),
    [sym_milestoneStartTag] = ACTIONS(5408),
    [sym_milestoneEndTag] = ACTIONS(5408),
    [sym_zSpaceTag] = ACTIONS(5408),
    [anon_sym_BSLASHesbe] = ACTIONS(5408),
    [anon_sym_BSLASHcat] = ACTIONS(5408),
  },
  [635] = {
    [aux_sym_text_token1] = ACTIONS(2751),
    [anon_sym_BSLASHref] = ACTIONS(2753),
    [anon_sym_BSLASHsts] = ACTIONS(2753),
    [anon_sym_BSLASHrem] = ACTIONS(2753),
    [anon_sym_BSLASHrestore] = ACTIONS(2753),
    [anon_sym_BSLASHlit] = ACTIONS(2753),
    [anon_sym_BSLASHip] = ACTIONS(2753),
    [anon_sym_BSLASHv] = ACTIONS(2753),
    [anon_sym_BSLASHva] = ACTIONS(2753),
    [anon_sym_BSLASHvp] = ACTIONS(2753),
    [anon_sym_BSLASHmte] = ACTIONS(2753),
    [anon_sym_BSLASHms] = ACTIONS(2753),
    [anon_sym_BSLASHs] = ACTIONS(2753),
    [anon_sym_BSLASHr] = ACTIONS(2753),
    [anon_sym_BSLASHsp] = ACTIONS(2753),
    [anon_sym_BSLASHd] = ACTIONS(2753),
    [anon_sym_BSLASHsd] = ACTIONS(2753),
    [anon_sym_BSLASHp] = ACTIONS(2753),
    [anon_sym_BSLASHm] = ACTIONS(2753),
    [anon_sym_BSLASHpo] = ACTIONS(2753),
    [anon_sym_BSLASHpr] = ACTIONS(2753),
    [anon_sym_BSLASHcls] = ACTIONS(2753),
    [anon_sym_BSLASHpmo] = ACTIONS(2753),
    [anon_sym_BSLASHpm] = ACTIONS(2753),
    [anon_sym_BSLASHpmc] = ACTIONS(2753),
    [anon_sym_BSLASHpmr] = ACTIONS(2753),
    [anon_sym_BSLASHpi] = ACTIONS(2753),
    [anon_sym_BSLASHmi] = ACTIONS(2753),
    [anon_sym_BSLASHnb] = ACTIONS(2753),
    [anon_sym_BSLASHpc] = ACTIONS(2753),
    [anon_sym_BSLASHph] = ACTIONS(2753),
    [anon_sym_BSLASHb] = ACTIONS(2753),
    [anon_sym_BSLASHq] = ACTIONS(2753),
    [anon_sym_BSLASHqr] = ACTIONS(2753),
    [anon_sym_BSLASHqc] = ACTIONS(2753),
    [anon_sym_BSLASHqs] = ACTIONS(2753),
    [anon_sym_BSLASHqa] = ACTIONS(2753),
    [anon_sym_BSLASHqac] = ACTIONS(2753),
    [anon_sym_BSLASHqm] = ACTIONS(2753),
    [anon_sym_BSLASHqd] = ACTIONS(2753),
    [anon_sym_BSLASHlh] = ACTIONS(2753),
    [anon_sym_BSLASHli] = ACTIONS(2753),
    [anon_sym_BSLASHlim] = ACTIONS(2753),
    [anon_sym_BSLASHtr] = ACTIONS(2753),
    [anon_sym_BSLASHf] = ACTIONS(2753),
    [anon_sym_BSLASHfe] = ACTIONS(2753),
    [anon_sym_BSLASHef] = ACTIONS(2753),
    [anon_sym_BSLASHfm] = ACTIONS(2753),
    [anon_sym_BSLASHx] = ACTIONS(2753),
    [anon_sym_BSLASHxt] = ACTIONS(2753),
    [anon_sym_BSLASHrq] = ACTIONS(2753),
    [anon_sym_BSLASHadd] = ACTIONS(2753),
    [anon_sym_BSLASHbk] = ACTIONS(2753),
    [anon_sym_BSLASHdc] = ACTIONS(2753),
    [anon_sym_BSLASHk] = ACTIONS(2753),
    [anon_sym_BSLASHnd] = ACTIONS(2753),
    [anon_sym_BSLASHord] = ACTIONS(2753),
    [anon_sym_BSLASHpn] = ACTIONS(2753),
    [anon_sym_BSLASHpng] = ACTIONS(2753),
    [anon_sym_BSLASHaddpn] = ACTIONS(2753),
    [anon_sym_BSLASHqt] = ACTIONS(2753),
    [anon_sym_BSLASHsig] = ACTIONS(2753),
    [anon_sym_BSLASHsls] = ACTIONS(2753),
    [anon_sym_BSLASHtl] = ACTIONS(2753),
    [anon_sym_BSLASHwj] = ACTIONS(2753),
    [anon_sym_BSLASHem] = ACTIONS(2753),
    [anon_sym_BSLASHbd] = ACTIONS(2753),
    [anon_sym_BSLASHit] = ACTIONS(2753),
    [anon_sym_BSLASHbdit] = ACTIONS(2753),
    [anon_sym_BSLASHno] = ACTIONS(2753),
    [anon_sym_BSLASHsc] = ACTIONS(2753),
    [anon_sym_BSLASHsup] = ACTIONS(2753),
    [anon_sym_BSLASHndx] = ACTIONS(2753),
    [anon_sym_BSLASHpro] = ACTIONS(2753),
    [anon_sym_BSLASHrb] = ACTIONS(2753),
    [anon_sym_BSLASHw] = ACTIONS(2753),
    [anon_sym_BSLASHwg] = ACTIONS(2753),
    [anon_sym_BSLASHwh] = ACTIONS(2753),
    [anon_sym_BSLASHwa] = ACTIONS(2753),
    [anon_sym_BSLASHfig] = ACTIONS(2753),
    [anon_sym_BSLASHjmp] = ACTIONS(2753),
    [anon_sym_BSLASHpb] = ACTIONS(2753),
    [anon_sym_BSLASH] = ACTIONS(2753),
    [sym_milestoneStartTag] = ACTIONS(2753),
    [sym_milestoneEndTag] = ACTIONS(2753),
    [sym_zSpaceTag] = ACTIONS(2753),
    [anon_sym_BSLASHesbe] = ACTIONS(2753),
    [anon_sym_BSLASHcat] = ACTIONS(2753),
  },
  [636] = {
    [aux_sym_text_token1] = ACTIONS(5402),
    [anon_sym_BSLASHref] = ACTIONS(5404),
    [anon_sym_BSLASHsts] = ACTIONS(5404),
    [anon_sym_BSLASHrem] = ACTIONS(5404),
    [anon_sym_BSLASHrestore] = ACTIONS(5404),
    [anon_sym_BSLASHlit] = ACTIONS(5404),
    [anon_sym_BSLASHip] = ACTIONS(5404),
    [anon_sym_BSLASHv] = ACTIONS(5404),
    [anon_sym_BSLASHva] = ACTIONS(5404),
    [anon_sym_BSLASHvp] = ACTIONS(5404),
    [anon_sym_BSLASHmte] = ACTIONS(5404),
    [anon_sym_BSLASHms] = ACTIONS(5404),
    [anon_sym_BSLASHs] = ACTIONS(5404),
    [anon_sym_BSLASHr] = ACTIONS(5404),
    [anon_sym_BSLASHsp] = ACTIONS(5404),
    [anon_sym_BSLASHd] = ACTIONS(5404),
    [anon_sym_BSLASHsd] = ACTIONS(5404),
    [anon_sym_BSLASHp] = ACTIONS(5404),
    [anon_sym_BSLASHm] = ACTIONS(5404),
    [anon_sym_BSLASHpo] = ACTIONS(5404),
    [anon_sym_BSLASHpr] = ACTIONS(5404),
    [anon_sym_BSLASHcls] = ACTIONS(5404),
    [anon_sym_BSLASHpmo] = ACTIONS(5404),
    [anon_sym_BSLASHpm] = ACTIONS(5404),
    [anon_sym_BSLASHpmc] = ACTIONS(5404),
    [anon_sym_BSLASHpmr] = ACTIONS(5404),
    [anon_sym_BSLASHpi] = ACTIONS(5404),
    [anon_sym_BSLASHmi] = ACTIONS(5404),
    [anon_sym_BSLASHnb] = ACTIONS(5404),
    [anon_sym_BSLASHpc] = ACTIONS(5404),
    [anon_sym_BSLASHph] = ACTIONS(5404),
    [anon_sym_BSLASHb] = ACTIONS(5404),
    [anon_sym_BSLASHq] = ACTIONS(5404),
    [anon_sym_BSLASHqr] = ACTIONS(5404),
    [anon_sym_BSLASHqc] = ACTIONS(5404),
    [anon_sym_BSLASHqs] = ACTIONS(5404),
    [anon_sym_BSLASHqa] = ACTIONS(5404),
    [anon_sym_BSLASHqac] = ACTIONS(5404),
    [anon_sym_BSLASHqm] = ACTIONS(5404),
    [anon_sym_BSLASHqd] = ACTIONS(5404),
    [anon_sym_BSLASHlh] = ACTIONS(5404),
    [anon_sym_BSLASHli] = ACTIONS(5404),
    [anon_sym_BSLASHlim] = ACTIONS(5404),
    [anon_sym_BSLASHtr] = ACTIONS(5404),
    [anon_sym_BSLASHf] = ACTIONS(5404),
    [anon_sym_BSLASHfe] = ACTIONS(5404),
    [anon_sym_BSLASHef] = ACTIONS(5404),
    [anon_sym_BSLASHfm] = ACTIONS(5404),
    [anon_sym_BSLASHx] = ACTIONS(5404),
    [anon_sym_BSLASHxt] = ACTIONS(5404),
    [anon_sym_BSLASHrq] = ACTIONS(5404),
    [anon_sym_BSLASHadd] = ACTIONS(5404),
    [anon_sym_BSLASHbk] = ACTIONS(5404),
    [anon_sym_BSLASHdc] = ACTIONS(5404),
    [anon_sym_BSLASHk] = ACTIONS(5404),
    [anon_sym_BSLASHnd] = ACTIONS(5404),
    [anon_sym_BSLASHord] = ACTIONS(5404),
    [anon_sym_BSLASHpn] = ACTIONS(5404),
    [anon_sym_BSLASHpng] = ACTIONS(5404),
    [anon_sym_BSLASHaddpn] = ACTIONS(5404),
    [anon_sym_BSLASHqt] = ACTIONS(5404),
    [anon_sym_BSLASHsig] = ACTIONS(5404),
    [anon_sym_BSLASHsls] = ACTIONS(5404),
    [anon_sym_BSLASHtl] = ACTIONS(5404),
    [anon_sym_BSLASHwj] = ACTIONS(5404),
    [anon_sym_BSLASHem] = ACTIONS(5404),
    [anon_sym_BSLASHbd] = ACTIONS(5404),
    [anon_sym_BSLASHit] = ACTIONS(5404),
    [anon_sym_BSLASHbdit] = ACTIONS(5404),
    [anon_sym_BSLASHno] = ACTIONS(5404),
    [anon_sym_BSLASHsc] = ACTIONS(5404),
    [anon_sym_BSLASHsup] = ACTIONS(5404),
    [anon_sym_BSLASHndx] = ACTIONS(5404),
    [anon_sym_BSLASHpro] = ACTIONS(5404),
    [anon_sym_BSLASHrb] = ACTIONS(5404),
    [anon_sym_BSLASHw] = ACTIONS(5404),
    [anon_sym_BSLASHwg] = ACTIONS(5404),
    [anon_sym_BSLASHwh] = ACTIONS(5404),
    [anon_sym_BSLASHwa] = ACTIONS(5404),
    [anon_sym_BSLASHfig] = ACTIONS(5404),
    [anon_sym_BSLASHjmp] = ACTIONS(5404),
    [anon_sym_BSLASHpb] = ACTIONS(5404),
    [anon_sym_BSLASH] = ACTIONS(5404),
    [sym_milestoneStartTag] = ACTIONS(5404),
    [sym_milestoneEndTag] = ACTIONS(5404),
    [sym_zSpaceTag] = ACTIONS(5404),
    [anon_sym_BSLASHesbe] = ACTIONS(5404),
    [anon_sym_BSLASHcat] = ACTIONS(5404),
  },
  [637] = {
    [aux_sym_text_token1] = ACTIONS(5346),
    [anon_sym_BSLASHref] = ACTIONS(5348),
    [anon_sym_BSLASHsts] = ACTIONS(5348),
    [anon_sym_BSLASHrem] = ACTIONS(5348),
    [anon_sym_BSLASHrestore] = ACTIONS(5348),
    [anon_sym_BSLASHlit] = ACTIONS(5348),
    [anon_sym_BSLASHip] = ACTIONS(5348),
    [anon_sym_BSLASHv] = ACTIONS(5348),
    [anon_sym_BSLASHva] = ACTIONS(5348),
    [anon_sym_BSLASHvp] = ACTIONS(5348),
    [anon_sym_BSLASHmte] = ACTIONS(5348),
    [anon_sym_BSLASHms] = ACTIONS(5348),
    [anon_sym_BSLASHs] = ACTIONS(5348),
    [anon_sym_BSLASHr] = ACTIONS(5348),
    [anon_sym_BSLASHsp] = ACTIONS(5348),
    [anon_sym_BSLASHd] = ACTIONS(5348),
    [anon_sym_BSLASHsd] = ACTIONS(5348),
    [anon_sym_BSLASHp] = ACTIONS(5348),
    [anon_sym_BSLASHm] = ACTIONS(5348),
    [anon_sym_BSLASHpo] = ACTIONS(5348),
    [anon_sym_BSLASHpr] = ACTIONS(5348),
    [anon_sym_BSLASHcls] = ACTIONS(5348),
    [anon_sym_BSLASHpmo] = ACTIONS(5348),
    [anon_sym_BSLASHpm] = ACTIONS(5348),
    [anon_sym_BSLASHpmc] = ACTIONS(5348),
    [anon_sym_BSLASHpmr] = ACTIONS(5348),
    [anon_sym_BSLASHpi] = ACTIONS(5348),
    [anon_sym_BSLASHmi] = ACTIONS(5348),
    [anon_sym_BSLASHnb] = ACTIONS(5348),
    [anon_sym_BSLASHpc] = ACTIONS(5348),
    [anon_sym_BSLASHph] = ACTIONS(5348),
    [anon_sym_BSLASHb] = ACTIONS(5348),
    [anon_sym_BSLASHq] = ACTIONS(5348),
    [anon_sym_BSLASHqr] = ACTIONS(5348),
    [anon_sym_BSLASHqc] = ACTIONS(5348),
    [anon_sym_BSLASHqs] = ACTIONS(5348),
    [anon_sym_BSLASHqa] = ACTIONS(5348),
    [anon_sym_BSLASHqac] = ACTIONS(5348),
    [anon_sym_BSLASHqm] = ACTIONS(5348),
    [anon_sym_BSLASHqd] = ACTIONS(5348),
    [anon_sym_BSLASHlh] = ACTIONS(5348),
    [anon_sym_BSLASHli] = ACTIONS(5348),
    [anon_sym_BSLASHlim] = ACTIONS(5348),
    [anon_sym_BSLASHtr] = ACTIONS(5348),
    [anon_sym_BSLASHf] = ACTIONS(5348),
    [anon_sym_BSLASHfe] = ACTIONS(5348),
    [anon_sym_BSLASHef] = ACTIONS(5348),
    [anon_sym_BSLASHfm] = ACTIONS(5348),
    [anon_sym_BSLASHx] = ACTIONS(5348),
    [anon_sym_BSLASHxt] = ACTIONS(5348),
    [anon_sym_BSLASHrq] = ACTIONS(5348),
    [anon_sym_BSLASHadd] = ACTIONS(5348),
    [anon_sym_BSLASHbk] = ACTIONS(5348),
    [anon_sym_BSLASHdc] = ACTIONS(5348),
    [anon_sym_BSLASHk] = ACTIONS(5348),
    [anon_sym_BSLASHnd] = ACTIONS(5348),
    [anon_sym_BSLASHord] = ACTIONS(5348),
    [anon_sym_BSLASHpn] = ACTIONS(5348),
    [anon_sym_BSLASHpng] = ACTIONS(5348),
    [anon_sym_BSLASHaddpn] = ACTIONS(5348),
    [anon_sym_BSLASHqt] = ACTIONS(5348),
    [anon_sym_BSLASHsig] = ACTIONS(5348),
    [anon_sym_BSLASHsls] = ACTIONS(5348),
    [anon_sym_BSLASHtl] = ACTIONS(5348),
    [anon_sym_BSLASHwj] = ACTIONS(5348),
    [anon_sym_BSLASHem] = ACTIONS(5348),
    [anon_sym_BSLASHbd] = ACTIONS(5348),
    [anon_sym_BSLASHit] = ACTIONS(5348),
    [anon_sym_BSLASHbdit] = ACTIONS(5348),
    [anon_sym_BSLASHno] = ACTIONS(5348),
    [anon_sym_BSLASHsc] = ACTIONS(5348),
    [anon_sym_BSLASHsup] = ACTIONS(5348),
    [anon_sym_BSLASHndx] = ACTIONS(5348),
    [anon_sym_BSLASHpro] = ACTIONS(5348),
    [anon_sym_BSLASHrb] = ACTIONS(5348),
    [anon_sym_BSLASHw] = ACTIONS(5348),
    [anon_sym_BSLASHwg] = ACTIONS(5348),
    [anon_sym_BSLASHwh] = ACTIONS(5348),
    [anon_sym_BSLASHwa] = ACTIONS(5348),
    [anon_sym_BSLASHfig] = ACTIONS(5348),
    [anon_sym_BSLASHjmp] = ACTIONS(5348),
    [anon_sym_BSLASHpb] = ACTIONS(5348),
    [anon_sym_BSLASH] = ACTIONS(5348),
    [sym_milestoneStartTag] = ACTIONS(5348),
    [sym_milestoneEndTag] = ACTIONS(5348),
    [sym_zSpaceTag] = ACTIONS(5348),
    [anon_sym_BSLASHesbe] = ACTIONS(5348),
    [anon_sym_BSLASHcat] = ACTIONS(5348),
  },
  [638] = {
    [ts_builtin_sym_end] = ACTIONS(5588),
    [aux_sym_text_token1] = ACTIONS(5588),
    [anon_sym_BSLASHref] = ACTIONS(5590),
    [anon_sym_BSLASHsts] = ACTIONS(5590),
    [anon_sym_BSLASHrem] = ACTIONS(5590),
    [anon_sym_BSLASHrestore] = ACTIONS(5590),
    [anon_sym_BSLASHlit] = ACTIONS(5590),
    [anon_sym_BSLASHiqt] = ACTIONS(5590),
    [anon_sym_BSLASHip] = ACTIONS(5590),
    [anon_sym_BSLASHiex] = ACTIONS(5590),
    [anon_sym_BSLASHc] = ACTIONS(5590),
    [anon_sym_BSLASHcl] = ACTIONS(5590),
    [anon_sym_BSLASHca] = ACTIONS(5590),
    [anon_sym_BSLASHcp] = ACTIONS(5590),
    [anon_sym_BSLASHcd] = ACTIONS(5590),
    [anon_sym_BSLASHmte] = ACTIONS(5590),
    [anon_sym_BSLASHms] = ACTIONS(5590),
    [anon_sym_BSLASHs] = ACTIONS(5590),
    [anon_sym_BSLASHr] = ACTIONS(5590),
    [anon_sym_BSLASHsp] = ACTIONS(5590),
    [anon_sym_BSLASHd] = ACTIONS(5590),
    [anon_sym_BSLASHsd] = ACTIONS(5590),
    [anon_sym_BSLASHp] = ACTIONS(5590),
    [anon_sym_BSLASHm] = ACTIONS(5590),
    [anon_sym_BSLASHpo] = ACTIONS(5590),
    [anon_sym_BSLASHpr] = ACTIONS(5590),
    [anon_sym_BSLASHcls] = ACTIONS(5590),
    [anon_sym_BSLASHpmo] = ACTIONS(5590),
    [anon_sym_BSLASHpm] = ACTIONS(5590),
    [anon_sym_BSLASHpmc] = ACTIONS(5590),
    [anon_sym_BSLASHpmr] = ACTIONS(5590),
    [anon_sym_BSLASHpi] = ACTIONS(5590),
    [anon_sym_BSLASHmi] = ACTIONS(5590),
    [anon_sym_BSLASHnb] = ACTIONS(5590),
    [anon_sym_BSLASHpc] = ACTIONS(5590),
    [anon_sym_BSLASHph] = ACTIONS(5590),
    [anon_sym_BSLASHb] = ACTIONS(5590),
    [anon_sym_BSLASHq] = ACTIONS(5590),
    [anon_sym_BSLASHqr] = ACTIONS(5590),
    [anon_sym_BSLASHqc] = ACTIONS(5590),
    [anon_sym_BSLASHqa] = ACTIONS(5590),
    [anon_sym_BSLASHqm] = ACTIONS(5590),
    [anon_sym_BSLASHqd] = ACTIONS(5590),
    [anon_sym_BSLASHlh] = ACTIONS(5590),
    [anon_sym_BSLASHli] = ACTIONS(5590),
    [anon_sym_BSLASHlim] = ACTIONS(5590),
    [anon_sym_BSLASHtr] = ACTIONS(5590),
    [anon_sym_BSLASHf] = ACTIONS(5590),
    [anon_sym_BSLASHfe] = ACTIONS(5590),
    [anon_sym_BSLASHef] = ACTIONS(5590),
    [anon_sym_BSLASHfm] = ACTIONS(5590),
    [anon_sym_BSLASHxt] = ACTIONS(5590),
    [anon_sym_BSLASHadd] = ACTIONS(5590),
    [anon_sym_BSLASHbk] = ACTIONS(5590),
    [anon_sym_BSLASHdc] = ACTIONS(5590),
    [anon_sym_BSLASHk] = ACTIONS(5590),
    [anon_sym_BSLASHnd] = ACTIONS(5590),
    [anon_sym_BSLASHord] = ACTIONS(5590),
    [anon_sym_BSLASHpn] = ACTIONS(5590),
    [anon_sym_BSLASHpng] = ACTIONS(5590),
    [anon_sym_BSLASHaddpn] = ACTIONS(5590),
    [anon_sym_BSLASHqt] = ACTIONS(5590),
    [anon_sym_BSLASHsig] = ACTIONS(5590),
    [anon_sym_BSLASHsls] = ACTIONS(5590),
    [anon_sym_BSLASHtl] = ACTIONS(5590),
    [anon_sym_BSLASHwj] = ACTIONS(5590),
    [anon_sym_BSLASHem] = ACTIONS(5590),
    [anon_sym_BSLASHbd] = ACTIONS(5590),
    [anon_sym_BSLASHit] = ACTIONS(5590),
    [anon_sym_BSLASHbdit] = ACTIONS(5590),
    [anon_sym_BSLASHno] = ACTIONS(5590),
    [anon_sym_BSLASHsc] = ACTIONS(5590),
    [anon_sym_BSLASHsup] = ACTIONS(5590),
    [anon_sym_BSLASHndx] = ACTIONS(5590),
    [anon_sym_BSLASHpro] = ACTIONS(5590),
    [anon_sym_BSLASHrb] = ACTIONS(5590),
    [anon_sym_BSLASHw] = ACTIONS(5590),
    [anon_sym_BSLASHwg] = ACTIONS(5590),
    [anon_sym_BSLASHwh] = ACTIONS(5590),
    [anon_sym_BSLASHwa] = ACTIONS(5590),
    [anon_sym_BSLASHfig] = ACTIONS(5590),
    [anon_sym_BSLASHjmp] = ACTIONS(5590),
    [anon_sym_BSLASHpb] = ACTIONS(5590),
    [anon_sym_BSLASH] = ACTIONS(5590),
    [sym_milestoneStartTag] = ACTIONS(5590),
    [sym_milestoneEndTag] = ACTIONS(5590),
    [sym_zSpaceTag] = ACTIONS(5590),
    [anon_sym_BSLASHesb] = ACTIONS(5590),
  },
  [639] = {
    [aux_sym_text_token1] = ACTIONS(2675),
    [anon_sym_BSLASHref] = ACTIONS(2677),
    [anon_sym_BSLASHsts] = ACTIONS(2677),
    [anon_sym_BSLASHrem] = ACTIONS(2677),
    [anon_sym_BSLASHrestore] = ACTIONS(2677),
    [anon_sym_BSLASHlit] = ACTIONS(2677),
    [anon_sym_BSLASHip] = ACTIONS(2677),
    [anon_sym_BSLASHv] = ACTIONS(2677),
    [anon_sym_BSLASHva] = ACTIONS(2677),
    [anon_sym_BSLASHvp] = ACTIONS(2677),
    [anon_sym_BSLASHmte] = ACTIONS(2677),
    [anon_sym_BSLASHms] = ACTIONS(2677),
    [anon_sym_BSLASHs] = ACTIONS(2677),
    [anon_sym_BSLASHr] = ACTIONS(2677),
    [anon_sym_BSLASHsp] = ACTIONS(2677),
    [anon_sym_BSLASHd] = ACTIONS(2677),
    [anon_sym_BSLASHsd] = ACTIONS(2677),
    [anon_sym_BSLASHp] = ACTIONS(2677),
    [anon_sym_BSLASHm] = ACTIONS(2677),
    [anon_sym_BSLASHpo] = ACTIONS(2677),
    [anon_sym_BSLASHpr] = ACTIONS(2677),
    [anon_sym_BSLASHcls] = ACTIONS(2677),
    [anon_sym_BSLASHpmo] = ACTIONS(2677),
    [anon_sym_BSLASHpm] = ACTIONS(2677),
    [anon_sym_BSLASHpmc] = ACTIONS(2677),
    [anon_sym_BSLASHpmr] = ACTIONS(2677),
    [anon_sym_BSLASHpi] = ACTIONS(2677),
    [anon_sym_BSLASHmi] = ACTIONS(2677),
    [anon_sym_BSLASHnb] = ACTIONS(2677),
    [anon_sym_BSLASHpc] = ACTIONS(2677),
    [anon_sym_BSLASHph] = ACTIONS(2677),
    [anon_sym_BSLASHb] = ACTIONS(2677),
    [anon_sym_BSLASHq] = ACTIONS(2677),
    [anon_sym_BSLASHqr] = ACTIONS(2677),
    [anon_sym_BSLASHqc] = ACTIONS(2677),
    [anon_sym_BSLASHqs] = ACTIONS(2677),
    [anon_sym_BSLASHqa] = ACTIONS(2677),
    [anon_sym_BSLASHqac] = ACTIONS(2677),
    [anon_sym_BSLASHqm] = ACTIONS(2677),
    [anon_sym_BSLASHqd] = ACTIONS(2677),
    [anon_sym_BSLASHlh] = ACTIONS(2677),
    [anon_sym_BSLASHli] = ACTIONS(2677),
    [anon_sym_BSLASHlim] = ACTIONS(2677),
    [anon_sym_BSLASHtr] = ACTIONS(2677),
    [anon_sym_BSLASHf] = ACTIONS(2677),
    [anon_sym_BSLASHfe] = ACTIONS(2677),
    [anon_sym_BSLASHef] = ACTIONS(2677),
    [anon_sym_BSLASHfm] = ACTIONS(2677),
    [anon_sym_BSLASHx] = ACTIONS(2677),
    [anon_sym_BSLASHxt] = ACTIONS(2677),
    [anon_sym_BSLASHrq] = ACTIONS(2677),
    [anon_sym_BSLASHadd] = ACTIONS(2677),
    [anon_sym_BSLASHbk] = ACTIONS(2677),
    [anon_sym_BSLASHdc] = ACTIONS(2677),
    [anon_sym_BSLASHk] = ACTIONS(2677),
    [anon_sym_BSLASHnd] = ACTIONS(2677),
    [anon_sym_BSLASHord] = ACTIONS(2677),
    [anon_sym_BSLASHpn] = ACTIONS(2677),
    [anon_sym_BSLASHpng] = ACTIONS(2677),
    [anon_sym_BSLASHaddpn] = ACTIONS(2677),
    [anon_sym_BSLASHqt] = ACTIONS(2677),
    [anon_sym_BSLASHsig] = ACTIONS(2677),
    [anon_sym_BSLASHsls] = ACTIONS(2677),
    [anon_sym_BSLASHtl] = ACTIONS(2677),
    [anon_sym_BSLASHwj] = ACTIONS(2677),
    [anon_sym_BSLASHem] = ACTIONS(2677),
    [anon_sym_BSLASHbd] = ACTIONS(2677),
    [anon_sym_BSLASHit] = ACTIONS(2677),
    [anon_sym_BSLASHbdit] = ACTIONS(2677),
    [anon_sym_BSLASHno] = ACTIONS(2677),
    [anon_sym_BSLASHsc] = ACTIONS(2677),
    [anon_sym_BSLASHsup] = ACTIONS(2677),
    [anon_sym_BSLASHndx] = ACTIONS(2677),
    [anon_sym_BSLASHpro] = ACTIONS(2677),
    [anon_sym_BSLASHrb] = ACTIONS(2677),
    [anon_sym_BSLASHw] = ACTIONS(2677),
    [anon_sym_BSLASHwg] = ACTIONS(2677),
    [anon_sym_BSLASHwh] = ACTIONS(2677),
    [anon_sym_BSLASHwa] = ACTIONS(2677),
    [anon_sym_BSLASHfig] = ACTIONS(2677),
    [anon_sym_BSLASHjmp] = ACTIONS(2677),
    [anon_sym_BSLASHpb] = ACTIONS(2677),
    [anon_sym_BSLASH] = ACTIONS(2677),
    [sym_milestoneStartTag] = ACTIONS(2677),
    [sym_milestoneEndTag] = ACTIONS(2677),
    [sym_zSpaceTag] = ACTIONS(2677),
    [anon_sym_BSLASHesbe] = ACTIONS(2677),
    [anon_sym_BSLASHcat] = ACTIONS(2677),
  },
  [640] = {
    [aux_sym_text_token1] = ACTIONS(2711),
    [anon_sym_BSLASHref] = ACTIONS(2713),
    [anon_sym_BSLASHsts] = ACTIONS(2713),
    [anon_sym_BSLASHrem] = ACTIONS(2713),
    [anon_sym_BSLASHrestore] = ACTIONS(2713),
    [anon_sym_BSLASHlit] = ACTIONS(2713),
    [anon_sym_BSLASHip] = ACTIONS(2713),
    [anon_sym_BSLASHv] = ACTIONS(2713),
    [anon_sym_BSLASHva] = ACTIONS(2713),
    [anon_sym_BSLASHvp] = ACTIONS(2713),
    [anon_sym_BSLASHmte] = ACTIONS(2713),
    [anon_sym_BSLASHms] = ACTIONS(2713),
    [anon_sym_BSLASHs] = ACTIONS(2713),
    [anon_sym_BSLASHr] = ACTIONS(2713),
    [anon_sym_BSLASHsp] = ACTIONS(2713),
    [anon_sym_BSLASHd] = ACTIONS(2713),
    [anon_sym_BSLASHsd] = ACTIONS(2713),
    [anon_sym_BSLASHp] = ACTIONS(2713),
    [anon_sym_BSLASHm] = ACTIONS(2713),
    [anon_sym_BSLASHpo] = ACTIONS(2713),
    [anon_sym_BSLASHpr] = ACTIONS(2713),
    [anon_sym_BSLASHcls] = ACTIONS(2713),
    [anon_sym_BSLASHpmo] = ACTIONS(2713),
    [anon_sym_BSLASHpm] = ACTIONS(2713),
    [anon_sym_BSLASHpmc] = ACTIONS(2713),
    [anon_sym_BSLASHpmr] = ACTIONS(2713),
    [anon_sym_BSLASHpi] = ACTIONS(2713),
    [anon_sym_BSLASHmi] = ACTIONS(2713),
    [anon_sym_BSLASHnb] = ACTIONS(2713),
    [anon_sym_BSLASHpc] = ACTIONS(2713),
    [anon_sym_BSLASHph] = ACTIONS(2713),
    [anon_sym_BSLASHb] = ACTIONS(2713),
    [anon_sym_BSLASHq] = ACTIONS(2713),
    [anon_sym_BSLASHqr] = ACTIONS(2713),
    [anon_sym_BSLASHqc] = ACTIONS(2713),
    [anon_sym_BSLASHqs] = ACTIONS(2713),
    [anon_sym_BSLASHqa] = ACTIONS(2713),
    [anon_sym_BSLASHqac] = ACTIONS(2713),
    [anon_sym_BSLASHqm] = ACTIONS(2713),
    [anon_sym_BSLASHqd] = ACTIONS(2713),
    [anon_sym_BSLASHlh] = ACTIONS(2713),
    [anon_sym_BSLASHli] = ACTIONS(2713),
    [anon_sym_BSLASHlim] = ACTIONS(2713),
    [anon_sym_BSLASHtr] = ACTIONS(2713),
    [anon_sym_BSLASHf] = ACTIONS(2713),
    [anon_sym_BSLASHfe] = ACTIONS(2713),
    [anon_sym_BSLASHef] = ACTIONS(2713),
    [anon_sym_BSLASHfm] = ACTIONS(2713),
    [anon_sym_BSLASHx] = ACTIONS(2713),
    [anon_sym_BSLASHxt] = ACTIONS(2713),
    [anon_sym_BSLASHrq] = ACTIONS(2713),
    [anon_sym_BSLASHadd] = ACTIONS(2713),
    [anon_sym_BSLASHbk] = ACTIONS(2713),
    [anon_sym_BSLASHdc] = ACTIONS(2713),
    [anon_sym_BSLASHk] = ACTIONS(2713),
    [anon_sym_BSLASHnd] = ACTIONS(2713),
    [anon_sym_BSLASHord] = ACTIONS(2713),
    [anon_sym_BSLASHpn] = ACTIONS(2713),
    [anon_sym_BSLASHpng] = ACTIONS(2713),
    [anon_sym_BSLASHaddpn] = ACTIONS(2713),
    [anon_sym_BSLASHqt] = ACTIONS(2713),
    [anon_sym_BSLASHsig] = ACTIONS(2713),
    [anon_sym_BSLASHsls] = ACTIONS(2713),
    [anon_sym_BSLASHtl] = ACTIONS(2713),
    [anon_sym_BSLASHwj] = ACTIONS(2713),
    [anon_sym_BSLASHem] = ACTIONS(2713),
    [anon_sym_BSLASHbd] = ACTIONS(2713),
    [anon_sym_BSLASHit] = ACTIONS(2713),
    [anon_sym_BSLASHbdit] = ACTIONS(2713),
    [anon_sym_BSLASHno] = ACTIONS(2713),
    [anon_sym_BSLASHsc] = ACTIONS(2713),
    [anon_sym_BSLASHsup] = ACTIONS(2713),
    [anon_sym_BSLASHndx] = ACTIONS(2713),
    [anon_sym_BSLASHpro] = ACTIONS(2713),
    [anon_sym_BSLASHrb] = ACTIONS(2713),
    [anon_sym_BSLASHw] = ACTIONS(2713),
    [anon_sym_BSLASHwg] = ACTIONS(2713),
    [anon_sym_BSLASHwh] = ACTIONS(2713),
    [anon_sym_BSLASHwa] = ACTIONS(2713),
    [anon_sym_BSLASHfig] = ACTIONS(2713),
    [anon_sym_BSLASHjmp] = ACTIONS(2713),
    [anon_sym_BSLASHpb] = ACTIONS(2713),
    [anon_sym_BSLASH] = ACTIONS(2713),
    [sym_milestoneStartTag] = ACTIONS(2713),
    [sym_milestoneEndTag] = ACTIONS(2713),
    [sym_zSpaceTag] = ACTIONS(2713),
    [anon_sym_BSLASHesbe] = ACTIONS(2713),
    [anon_sym_BSLASHcat] = ACTIONS(2713),
  },
  [641] = {
    [aux_sym_text_token1] = ACTIONS(498),
    [anon_sym_BSLASHref] = ACTIONS(500),
    [anon_sym_BSLASHsts] = ACTIONS(500),
    [anon_sym_BSLASHrem] = ACTIONS(500),
    [anon_sym_BSLASHrestore] = ACTIONS(500),
    [anon_sym_BSLASHlit] = ACTIONS(500),
    [anon_sym_BSLASHip] = ACTIONS(500),
    [anon_sym_BSLASHv] = ACTIONS(500),
    [anon_sym_BSLASHva] = ACTIONS(500),
    [anon_sym_BSLASHvp] = ACTIONS(500),
    [anon_sym_BSLASHmte] = ACTIONS(500),
    [anon_sym_BSLASHms] = ACTIONS(500),
    [anon_sym_BSLASHs] = ACTIONS(500),
    [anon_sym_BSLASHr] = ACTIONS(500),
    [anon_sym_BSLASHsp] = ACTIONS(500),
    [anon_sym_BSLASHd] = ACTIONS(500),
    [anon_sym_BSLASHsd] = ACTIONS(500),
    [anon_sym_BSLASHp] = ACTIONS(500),
    [anon_sym_BSLASHm] = ACTIONS(500),
    [anon_sym_BSLASHpo] = ACTIONS(500),
    [anon_sym_BSLASHpr] = ACTIONS(500),
    [anon_sym_BSLASHcls] = ACTIONS(500),
    [anon_sym_BSLASHpmo] = ACTIONS(500),
    [anon_sym_BSLASHpm] = ACTIONS(500),
    [anon_sym_BSLASHpmc] = ACTIONS(500),
    [anon_sym_BSLASHpmr] = ACTIONS(500),
    [anon_sym_BSLASHpi] = ACTIONS(500),
    [anon_sym_BSLASHmi] = ACTIONS(500),
    [anon_sym_BSLASHnb] = ACTIONS(500),
    [anon_sym_BSLASHpc] = ACTIONS(500),
    [anon_sym_BSLASHph] = ACTIONS(500),
    [anon_sym_BSLASHb] = ACTIONS(500),
    [anon_sym_BSLASHq] = ACTIONS(500),
    [anon_sym_BSLASHqr] = ACTIONS(500),
    [anon_sym_BSLASHqc] = ACTIONS(500),
    [anon_sym_BSLASHqs] = ACTIONS(500),
    [anon_sym_BSLASHqa] = ACTIONS(500),
    [anon_sym_BSLASHqac] = ACTIONS(500),
    [anon_sym_BSLASHqm] = ACTIONS(500),
    [anon_sym_BSLASHqd] = ACTIONS(500),
    [anon_sym_BSLASHlh] = ACTIONS(500),
    [anon_sym_BSLASHli] = ACTIONS(500),
    [anon_sym_BSLASHlim] = ACTIONS(500),
    [anon_sym_BSLASHtr] = ACTIONS(500),
    [anon_sym_BSLASHf] = ACTIONS(500),
    [anon_sym_BSLASHfe] = ACTIONS(500),
    [anon_sym_BSLASHef] = ACTIONS(500),
    [anon_sym_BSLASHfm] = ACTIONS(500),
    [anon_sym_BSLASHx] = ACTIONS(500),
    [anon_sym_BSLASHxt] = ACTIONS(500),
    [anon_sym_BSLASHrq] = ACTIONS(500),
    [anon_sym_BSLASHadd] = ACTIONS(500),
    [anon_sym_BSLASHbk] = ACTIONS(500),
    [anon_sym_BSLASHdc] = ACTIONS(500),
    [anon_sym_BSLASHk] = ACTIONS(500),
    [anon_sym_BSLASHnd] = ACTIONS(500),
    [anon_sym_BSLASHord] = ACTIONS(500),
    [anon_sym_BSLASHpn] = ACTIONS(500),
    [anon_sym_BSLASHpng] = ACTIONS(500),
    [anon_sym_BSLASHaddpn] = ACTIONS(500),
    [anon_sym_BSLASHqt] = ACTIONS(500),
    [anon_sym_BSLASHsig] = ACTIONS(500),
    [anon_sym_BSLASHsls] = ACTIONS(500),
    [anon_sym_BSLASHtl] = ACTIONS(500),
    [anon_sym_BSLASHwj] = ACTIONS(500),
    [anon_sym_BSLASHem] = ACTIONS(500),
    [anon_sym_BSLASHbd] = ACTIONS(500),
    [anon_sym_BSLASHit] = ACTIONS(500),
    [anon_sym_BSLASHbdit] = ACTIONS(500),
    [anon_sym_BSLASHno] = ACTIONS(500),
    [anon_sym_BSLASHsc] = ACTIONS(500),
    [anon_sym_BSLASHsup] = ACTIONS(500),
    [anon_sym_BSLASHndx] = ACTIONS(500),
    [anon_sym_BSLASHpro] = ACTIONS(500),
    [anon_sym_BSLASHrb] = ACTIONS(500),
    [anon_sym_BSLASHw] = ACTIONS(500),
    [anon_sym_BSLASHwg] = ACTIONS(500),
    [anon_sym_BSLASHwh] = ACTIONS(500),
    [anon_sym_BSLASHwa] = ACTIONS(500),
    [anon_sym_BSLASHfig] = ACTIONS(500),
    [anon_sym_BSLASHjmp] = ACTIONS(500),
    [anon_sym_BSLASHpb] = ACTIONS(500),
    [anon_sym_BSLASH] = ACTIONS(500),
    [sym_milestoneStartTag] = ACTIONS(500),
    [sym_milestoneEndTag] = ACTIONS(500),
    [sym_zSpaceTag] = ACTIONS(500),
    [anon_sym_BSLASHesbe] = ACTIONS(500),
    [anon_sym_BSLASHcat] = ACTIONS(500),
  },
  [642] = {
    [aux_sym_text_token1] = ACTIONS(5398),
    [anon_sym_BSLASHref] = ACTIONS(5400),
    [anon_sym_BSLASHsts] = ACTIONS(5400),
    [anon_sym_BSLASHrem] = ACTIONS(5400),
    [anon_sym_BSLASHrestore] = ACTIONS(5400),
    [anon_sym_BSLASHlit] = ACTIONS(5400),
    [anon_sym_BSLASHip] = ACTIONS(5400),
    [anon_sym_BSLASHv] = ACTIONS(5400),
    [anon_sym_BSLASHva] = ACTIONS(5400),
    [anon_sym_BSLASHvp] = ACTIONS(5400),
    [anon_sym_BSLASHmte] = ACTIONS(5400),
    [anon_sym_BSLASHms] = ACTIONS(5400),
    [anon_sym_BSLASHs] = ACTIONS(5400),
    [anon_sym_BSLASHr] = ACTIONS(5400),
    [anon_sym_BSLASHsp] = ACTIONS(5400),
    [anon_sym_BSLASHd] = ACTIONS(5400),
    [anon_sym_BSLASHsd] = ACTIONS(5400),
    [anon_sym_BSLASHp] = ACTIONS(5400),
    [anon_sym_BSLASHm] = ACTIONS(5400),
    [anon_sym_BSLASHpo] = ACTIONS(5400),
    [anon_sym_BSLASHpr] = ACTIONS(5400),
    [anon_sym_BSLASHcls] = ACTIONS(5400),
    [anon_sym_BSLASHpmo] = ACTIONS(5400),
    [anon_sym_BSLASHpm] = ACTIONS(5400),
    [anon_sym_BSLASHpmc] = ACTIONS(5400),
    [anon_sym_BSLASHpmr] = ACTIONS(5400),
    [anon_sym_BSLASHpi] = ACTIONS(5400),
    [anon_sym_BSLASHmi] = ACTIONS(5400),
    [anon_sym_BSLASHnb] = ACTIONS(5400),
    [anon_sym_BSLASHpc] = ACTIONS(5400),
    [anon_sym_BSLASHph] = ACTIONS(5400),
    [anon_sym_BSLASHb] = ACTIONS(5400),
    [anon_sym_BSLASHq] = ACTIONS(5400),
    [anon_sym_BSLASHqr] = ACTIONS(5400),
    [anon_sym_BSLASHqc] = ACTIONS(5400),
    [anon_sym_BSLASHqs] = ACTIONS(5400),
    [anon_sym_BSLASHqa] = ACTIONS(5400),
    [anon_sym_BSLASHqac] = ACTIONS(5400),
    [anon_sym_BSLASHqm] = ACTIONS(5400),
    [anon_sym_BSLASHqd] = ACTIONS(5400),
    [anon_sym_BSLASHlh] = ACTIONS(5400),
    [anon_sym_BSLASHli] = ACTIONS(5400),
    [anon_sym_BSLASHlim] = ACTIONS(5400),
    [anon_sym_BSLASHtr] = ACTIONS(5400),
    [anon_sym_BSLASHf] = ACTIONS(5400),
    [anon_sym_BSLASHfe] = ACTIONS(5400),
    [anon_sym_BSLASHef] = ACTIONS(5400),
    [anon_sym_BSLASHfm] = ACTIONS(5400),
    [anon_sym_BSLASHx] = ACTIONS(5400),
    [anon_sym_BSLASHxt] = ACTIONS(5400),
    [anon_sym_BSLASHrq] = ACTIONS(5400),
    [anon_sym_BSLASHadd] = ACTIONS(5400),
    [anon_sym_BSLASHbk] = ACTIONS(5400),
    [anon_sym_BSLASHdc] = ACTIONS(5400),
    [anon_sym_BSLASHk] = ACTIONS(5400),
    [anon_sym_BSLASHnd] = ACTIONS(5400),
    [anon_sym_BSLASHord] = ACTIONS(5400),
    [anon_sym_BSLASHpn] = ACTIONS(5400),
    [anon_sym_BSLASHpng] = ACTIONS(5400),
    [anon_sym_BSLASHaddpn] = ACTIONS(5400),
    [anon_sym_BSLASHqt] = ACTIONS(5400),
    [anon_sym_BSLASHsig] = ACTIONS(5400),
    [anon_sym_BSLASHsls] = ACTIONS(5400),
    [anon_sym_BSLASHtl] = ACTIONS(5400),
    [anon_sym_BSLASHwj] = ACTIONS(5400),
    [anon_sym_BSLASHem] = ACTIONS(5400),
    [anon_sym_BSLASHbd] = ACTIONS(5400),
    [anon_sym_BSLASHit] = ACTIONS(5400),
    [anon_sym_BSLASHbdit] = ACTIONS(5400),
    [anon_sym_BSLASHno] = ACTIONS(5400),
    [anon_sym_BSLASHsc] = ACTIONS(5400),
    [anon_sym_BSLASHsup] = ACTIONS(5400),
    [anon_sym_BSLASHndx] = ACTIONS(5400),
    [anon_sym_BSLASHpro] = ACTIONS(5400),
    [anon_sym_BSLASHrb] = ACTIONS(5400),
    [anon_sym_BSLASHw] = ACTIONS(5400),
    [anon_sym_BSLASHwg] = ACTIONS(5400),
    [anon_sym_BSLASHwh] = ACTIONS(5400),
    [anon_sym_BSLASHwa] = ACTIONS(5400),
    [anon_sym_BSLASHfig] = ACTIONS(5400),
    [anon_sym_BSLASHjmp] = ACTIONS(5400),
    [anon_sym_BSLASHpb] = ACTIONS(5400),
    [anon_sym_BSLASH] = ACTIONS(5400),
    [sym_milestoneStartTag] = ACTIONS(5400),
    [sym_milestoneEndTag] = ACTIONS(5400),
    [sym_zSpaceTag] = ACTIONS(5400),
    [anon_sym_BSLASHesbe] = ACTIONS(5400),
    [anon_sym_BSLASHcat] = ACTIONS(5400),
  },
  [643] = {
    [aux_sym_text_token1] = ACTIONS(45),
    [anon_sym_BSLASHref] = ACTIONS(47),
    [anon_sym_BSLASHsts] = ACTIONS(47),
    [anon_sym_BSLASHrem] = ACTIONS(47),
    [anon_sym_BSLASHrestore] = ACTIONS(47),
    [anon_sym_BSLASHlit] = ACTIONS(47),
    [anon_sym_BSLASHip] = ACTIONS(47),
    [anon_sym_BSLASHv] = ACTIONS(47),
    [anon_sym_BSLASHva] = ACTIONS(47),
    [anon_sym_BSLASHvp] = ACTIONS(47),
    [anon_sym_BSLASHmte] = ACTIONS(47),
    [anon_sym_BSLASHms] = ACTIONS(47),
    [anon_sym_BSLASHs] = ACTIONS(47),
    [anon_sym_BSLASHr] = ACTIONS(47),
    [anon_sym_BSLASHsp] = ACTIONS(47),
    [anon_sym_BSLASHd] = ACTIONS(47),
    [anon_sym_BSLASHsd] = ACTIONS(47),
    [anon_sym_BSLASHp] = ACTIONS(47),
    [anon_sym_BSLASHm] = ACTIONS(47),
    [anon_sym_BSLASHpo] = ACTIONS(47),
    [anon_sym_BSLASHpr] = ACTIONS(47),
    [anon_sym_BSLASHcls] = ACTIONS(47),
    [anon_sym_BSLASHpmo] = ACTIONS(47),
    [anon_sym_BSLASHpm] = ACTIONS(47),
    [anon_sym_BSLASHpmc] = ACTIONS(47),
    [anon_sym_BSLASHpmr] = ACTIONS(47),
    [anon_sym_BSLASHpi] = ACTIONS(47),
    [anon_sym_BSLASHmi] = ACTIONS(47),
    [anon_sym_BSLASHnb] = ACTIONS(47),
    [anon_sym_BSLASHpc] = ACTIONS(47),
    [anon_sym_BSLASHph] = ACTIONS(47),
    [anon_sym_BSLASHb] = ACTIONS(47),
    [anon_sym_BSLASHq] = ACTIONS(47),
    [anon_sym_BSLASHqr] = ACTIONS(47),
    [anon_sym_BSLASHqc] = ACTIONS(47),
    [anon_sym_BSLASHqs] = ACTIONS(47),
    [anon_sym_BSLASHqa] = ACTIONS(47),
    [anon_sym_BSLASHqac] = ACTIONS(47),
    [anon_sym_BSLASHqm] = ACTIONS(47),
    [anon_sym_BSLASHqd] = ACTIONS(47),
    [anon_sym_BSLASHlh] = ACTIONS(47),
    [anon_sym_BSLASHli] = ACTIONS(47),
    [anon_sym_BSLASHlim] = ACTIONS(47),
    [anon_sym_BSLASHtr] = ACTIONS(47),
    [anon_sym_BSLASHf] = ACTIONS(47),
    [anon_sym_BSLASHfe] = ACTIONS(47),
    [anon_sym_BSLASHef] = ACTIONS(47),
    [anon_sym_BSLASHfm] = ACTIONS(47),
    [anon_sym_BSLASHx] = ACTIONS(47),
    [anon_sym_BSLASHxt] = ACTIONS(47),
    [anon_sym_BSLASHrq] = ACTIONS(47),
    [anon_sym_BSLASHadd] = ACTIONS(47),
    [anon_sym_BSLASHbk] = ACTIONS(47),
    [anon_sym_BSLASHdc] = ACTIONS(47),
    [anon_sym_BSLASHk] = ACTIONS(47),
    [anon_sym_BSLASHnd] = ACTIONS(47),
    [anon_sym_BSLASHord] = ACTIONS(47),
    [anon_sym_BSLASHpn] = ACTIONS(47),
    [anon_sym_BSLASHpng] = ACTIONS(47),
    [anon_sym_BSLASHaddpn] = ACTIONS(47),
    [anon_sym_BSLASHqt] = ACTIONS(47),
    [anon_sym_BSLASHsig] = ACTIONS(47),
    [anon_sym_BSLASHsls] = ACTIONS(47),
    [anon_sym_BSLASHtl] = ACTIONS(47),
    [anon_sym_BSLASHwj] = ACTIONS(47),
    [anon_sym_BSLASHem] = ACTIONS(47),
    [anon_sym_BSLASHbd] = ACTIONS(47),
    [anon_sym_BSLASHit] = ACTIONS(47),
    [anon_sym_BSLASHbdit] = ACTIONS(47),
    [anon_sym_BSLASHno] = ACTIONS(47),
    [anon_sym_BSLASHsc] = ACTIONS(47),
    [anon_sym_BSLASHsup] = ACTIONS(47),
    [anon_sym_BSLASHndx] = ACTIONS(47),
    [anon_sym_BSLASHpro] = ACTIONS(47),
    [anon_sym_BSLASHrb] = ACTIONS(47),
    [anon_sym_BSLASHw] = ACTIONS(47),
    [anon_sym_BSLASHwg] = ACTIONS(47),
    [anon_sym_BSLASHwh] = ACTIONS(47),
    [anon_sym_BSLASHwa] = ACTIONS(47),
    [anon_sym_BSLASHfig] = ACTIONS(47),
    [anon_sym_BSLASHjmp] = ACTIONS(47),
    [anon_sym_BSLASHpb] = ACTIONS(47),
    [anon_sym_BSLASH] = ACTIONS(47),
    [sym_milestoneStartTag] = ACTIONS(47),
    [sym_milestoneEndTag] = ACTIONS(47),
    [sym_zSpaceTag] = ACTIONS(47),
    [anon_sym_BSLASHesbe] = ACTIONS(47),
    [anon_sym_BSLASHcat] = ACTIONS(47),
  },
  [644] = {
    [aux_sym_text_token1] = ACTIONS(5390),
    [anon_sym_BSLASHref] = ACTIONS(5392),
    [anon_sym_BSLASHsts] = ACTIONS(5392),
    [anon_sym_BSLASHrem] = ACTIONS(5392),
    [anon_sym_BSLASHrestore] = ACTIONS(5392),
    [anon_sym_BSLASHlit] = ACTIONS(5392),
    [anon_sym_BSLASHip] = ACTIONS(5392),
    [anon_sym_BSLASHv] = ACTIONS(5392),
    [anon_sym_BSLASHva] = ACTIONS(5392),
    [anon_sym_BSLASHvp] = ACTIONS(5392),
    [anon_sym_BSLASHmte] = ACTIONS(5392),
    [anon_sym_BSLASHms] = ACTIONS(5392),
    [anon_sym_BSLASHs] = ACTIONS(5392),
    [anon_sym_BSLASHr] = ACTIONS(5392),
    [anon_sym_BSLASHsp] = ACTIONS(5392),
    [anon_sym_BSLASHd] = ACTIONS(5392),
    [anon_sym_BSLASHsd] = ACTIONS(5392),
    [anon_sym_BSLASHp] = ACTIONS(5392),
    [anon_sym_BSLASHm] = ACTIONS(5392),
    [anon_sym_BSLASHpo] = ACTIONS(5392),
    [anon_sym_BSLASHpr] = ACTIONS(5392),
    [anon_sym_BSLASHcls] = ACTIONS(5392),
    [anon_sym_BSLASHpmo] = ACTIONS(5392),
    [anon_sym_BSLASHpm] = ACTIONS(5392),
    [anon_sym_BSLASHpmc] = ACTIONS(5392),
    [anon_sym_BSLASHpmr] = ACTIONS(5392),
    [anon_sym_BSLASHpi] = ACTIONS(5392),
    [anon_sym_BSLASHmi] = ACTIONS(5392),
    [anon_sym_BSLASHnb] = ACTIONS(5392),
    [anon_sym_BSLASHpc] = ACTIONS(5392),
    [anon_sym_BSLASHph] = ACTIONS(5392),
    [anon_sym_BSLASHb] = ACTIONS(5392),
    [anon_sym_BSLASHq] = ACTIONS(5392),
    [anon_sym_BSLASHqr] = ACTIONS(5392),
    [anon_sym_BSLASHqc] = ACTIONS(5392),
    [anon_sym_BSLASHqs] = ACTIONS(5392),
    [anon_sym_BSLASHqa] = ACTIONS(5392),
    [anon_sym_BSLASHqac] = ACTIONS(5392),
    [anon_sym_BSLASHqm] = ACTIONS(5392),
    [anon_sym_BSLASHqd] = ACTIONS(5392),
    [anon_sym_BSLASHlh] = ACTIONS(5392),
    [anon_sym_BSLASHli] = ACTIONS(5392),
    [anon_sym_BSLASHlim] = ACTIONS(5392),
    [anon_sym_BSLASHtr] = ACTIONS(5392),
    [anon_sym_BSLASHf] = ACTIONS(5392),
    [anon_sym_BSLASHfe] = ACTIONS(5392),
    [anon_sym_BSLASHef] = ACTIONS(5392),
    [anon_sym_BSLASHfm] = ACTIONS(5392),
    [anon_sym_BSLASHx] = ACTIONS(5392),
    [anon_sym_BSLASHxt] = ACTIONS(5392),
    [anon_sym_BSLASHrq] = ACTIONS(5392),
    [anon_sym_BSLASHadd] = ACTIONS(5392),
    [anon_sym_BSLASHbk] = ACTIONS(5392),
    [anon_sym_BSLASHdc] = ACTIONS(5392),
    [anon_sym_BSLASHk] = ACTIONS(5392),
    [anon_sym_BSLASHnd] = ACTIONS(5392),
    [anon_sym_BSLASHord] = ACTIONS(5392),
    [anon_sym_BSLASHpn] = ACTIONS(5392),
    [anon_sym_BSLASHpng] = ACTIONS(5392),
    [anon_sym_BSLASHaddpn] = ACTIONS(5392),
    [anon_sym_BSLASHqt] = ACTIONS(5392),
    [anon_sym_BSLASHsig] = ACTIONS(5392),
    [anon_sym_BSLASHsls] = ACTIONS(5392),
    [anon_sym_BSLASHtl] = ACTIONS(5392),
    [anon_sym_BSLASHwj] = ACTIONS(5392),
    [anon_sym_BSLASHem] = ACTIONS(5392),
    [anon_sym_BSLASHbd] = ACTIONS(5392),
    [anon_sym_BSLASHit] = ACTIONS(5392),
    [anon_sym_BSLASHbdit] = ACTIONS(5392),
    [anon_sym_BSLASHno] = ACTIONS(5392),
    [anon_sym_BSLASHsc] = ACTIONS(5392),
    [anon_sym_BSLASHsup] = ACTIONS(5392),
    [anon_sym_BSLASHndx] = ACTIONS(5392),
    [anon_sym_BSLASHpro] = ACTIONS(5392),
    [anon_sym_BSLASHrb] = ACTIONS(5392),
    [anon_sym_BSLASHw] = ACTIONS(5392),
    [anon_sym_BSLASHwg] = ACTIONS(5392),
    [anon_sym_BSLASHwh] = ACTIONS(5392),
    [anon_sym_BSLASHwa] = ACTIONS(5392),
    [anon_sym_BSLASHfig] = ACTIONS(5392),
    [anon_sym_BSLASHjmp] = ACTIONS(5392),
    [anon_sym_BSLASHpb] = ACTIONS(5392),
    [anon_sym_BSLASH] = ACTIONS(5392),
    [sym_milestoneStartTag] = ACTIONS(5392),
    [sym_milestoneEndTag] = ACTIONS(5392),
    [sym_zSpaceTag] = ACTIONS(5392),
    [anon_sym_BSLASHesbe] = ACTIONS(5392),
    [anon_sym_BSLASHcat] = ACTIONS(5392),
  },
  [645] = {
    [aux_sym_text_token1] = ACTIONS(5418),
    [anon_sym_BSLASHref] = ACTIONS(5420),
    [anon_sym_BSLASHsts] = ACTIONS(5420),
    [anon_sym_BSLASHrem] = ACTIONS(5420),
    [anon_sym_BSLASHrestore] = ACTIONS(5420),
    [anon_sym_BSLASHlit] = ACTIONS(5420),
    [anon_sym_BSLASHip] = ACTIONS(5420),
    [anon_sym_BSLASHv] = ACTIONS(5420),
    [anon_sym_BSLASHva] = ACTIONS(5420),
    [anon_sym_BSLASHvp] = ACTIONS(5420),
    [anon_sym_BSLASHmte] = ACTIONS(5420),
    [anon_sym_BSLASHms] = ACTIONS(5420),
    [anon_sym_BSLASHs] = ACTIONS(5420),
    [anon_sym_BSLASHr] = ACTIONS(5420),
    [anon_sym_BSLASHsp] = ACTIONS(5420),
    [anon_sym_BSLASHd] = ACTIONS(5420),
    [anon_sym_BSLASHsd] = ACTIONS(5420),
    [anon_sym_BSLASHp] = ACTIONS(5420),
    [anon_sym_BSLASHm] = ACTIONS(5420),
    [anon_sym_BSLASHpo] = ACTIONS(5420),
    [anon_sym_BSLASHpr] = ACTIONS(5420),
    [anon_sym_BSLASHcls] = ACTIONS(5420),
    [anon_sym_BSLASHpmo] = ACTIONS(5420),
    [anon_sym_BSLASHpm] = ACTIONS(5420),
    [anon_sym_BSLASHpmc] = ACTIONS(5420),
    [anon_sym_BSLASHpmr] = ACTIONS(5420),
    [anon_sym_BSLASHpi] = ACTIONS(5420),
    [anon_sym_BSLASHmi] = ACTIONS(5420),
    [anon_sym_BSLASHnb] = ACTIONS(5420),
    [anon_sym_BSLASHpc] = ACTIONS(5420),
    [anon_sym_BSLASHph] = ACTIONS(5420),
    [anon_sym_BSLASHb] = ACTIONS(5420),
    [anon_sym_BSLASHq] = ACTIONS(5420),
    [anon_sym_BSLASHqr] = ACTIONS(5420),
    [anon_sym_BSLASHqc] = ACTIONS(5420),
    [anon_sym_BSLASHqs] = ACTIONS(5420),
    [anon_sym_BSLASHqa] = ACTIONS(5420),
    [anon_sym_BSLASHqac] = ACTIONS(5420),
    [anon_sym_BSLASHqm] = ACTIONS(5420),
    [anon_sym_BSLASHqd] = ACTIONS(5420),
    [anon_sym_BSLASHlh] = ACTIONS(5420),
    [anon_sym_BSLASHli] = ACTIONS(5420),
    [anon_sym_BSLASHlim] = ACTIONS(5420),
    [anon_sym_BSLASHtr] = ACTIONS(5420),
    [anon_sym_BSLASHf] = ACTIONS(5420),
    [anon_sym_BSLASHfe] = ACTIONS(5420),
    [anon_sym_BSLASHef] = ACTIONS(5420),
    [anon_sym_BSLASHfm] = ACTIONS(5420),
    [anon_sym_BSLASHx] = ACTIONS(5420),
    [anon_sym_BSLASHxt] = ACTIONS(5420),
    [anon_sym_BSLASHrq] = ACTIONS(5420),
    [anon_sym_BSLASHadd] = ACTIONS(5420),
    [anon_sym_BSLASHbk] = ACTIONS(5420),
    [anon_sym_BSLASHdc] = ACTIONS(5420),
    [anon_sym_BSLASHk] = ACTIONS(5420),
    [anon_sym_BSLASHnd] = ACTIONS(5420),
    [anon_sym_BSLASHord] = ACTIONS(5420),
    [anon_sym_BSLASHpn] = ACTIONS(5420),
    [anon_sym_BSLASHpng] = ACTIONS(5420),
    [anon_sym_BSLASHaddpn] = ACTIONS(5420),
    [anon_sym_BSLASHqt] = ACTIONS(5420),
    [anon_sym_BSLASHsig] = ACTIONS(5420),
    [anon_sym_BSLASHsls] = ACTIONS(5420),
    [anon_sym_BSLASHtl] = ACTIONS(5420),
    [anon_sym_BSLASHwj] = ACTIONS(5420),
    [anon_sym_BSLASHem] = ACTIONS(5420),
    [anon_sym_BSLASHbd] = ACTIONS(5420),
    [anon_sym_BSLASHit] = ACTIONS(5420),
    [anon_sym_BSLASHbdit] = ACTIONS(5420),
    [anon_sym_BSLASHno] = ACTIONS(5420),
    [anon_sym_BSLASHsc] = ACTIONS(5420),
    [anon_sym_BSLASHsup] = ACTIONS(5420),
    [anon_sym_BSLASHndx] = ACTIONS(5420),
    [anon_sym_BSLASHpro] = ACTIONS(5420),
    [anon_sym_BSLASHrb] = ACTIONS(5420),
    [anon_sym_BSLASHw] = ACTIONS(5420),
    [anon_sym_BSLASHwg] = ACTIONS(5420),
    [anon_sym_BSLASHwh] = ACTIONS(5420),
    [anon_sym_BSLASHwa] = ACTIONS(5420),
    [anon_sym_BSLASHfig] = ACTIONS(5420),
    [anon_sym_BSLASHjmp] = ACTIONS(5420),
    [anon_sym_BSLASHpb] = ACTIONS(5420),
    [anon_sym_BSLASH] = ACTIONS(5420),
    [sym_milestoneStartTag] = ACTIONS(5420),
    [sym_milestoneEndTag] = ACTIONS(5420),
    [sym_zSpaceTag] = ACTIONS(5420),
    [anon_sym_BSLASHesbe] = ACTIONS(5420),
    [anon_sym_BSLASHcat] = ACTIONS(5420),
  },
  [646] = {
    [aux_sym_text_token1] = ACTIONS(5370),
    [anon_sym_BSLASHref] = ACTIONS(5372),
    [anon_sym_BSLASHsts] = ACTIONS(5372),
    [anon_sym_BSLASHrem] = ACTIONS(5372),
    [anon_sym_BSLASHrestore] = ACTIONS(5372),
    [anon_sym_BSLASHlit] = ACTIONS(5372),
    [anon_sym_BSLASHip] = ACTIONS(5372),
    [anon_sym_BSLASHv] = ACTIONS(5372),
    [anon_sym_BSLASHva] = ACTIONS(5372),
    [anon_sym_BSLASHvp] = ACTIONS(5372),
    [anon_sym_BSLASHmte] = ACTIONS(5372),
    [anon_sym_BSLASHms] = ACTIONS(5372),
    [anon_sym_BSLASHs] = ACTIONS(5372),
    [anon_sym_BSLASHr] = ACTIONS(5372),
    [anon_sym_BSLASHsp] = ACTIONS(5372),
    [anon_sym_BSLASHd] = ACTIONS(5372),
    [anon_sym_BSLASHsd] = ACTIONS(5372),
    [anon_sym_BSLASHp] = ACTIONS(5372),
    [anon_sym_BSLASHm] = ACTIONS(5372),
    [anon_sym_BSLASHpo] = ACTIONS(5372),
    [anon_sym_BSLASHpr] = ACTIONS(5372),
    [anon_sym_BSLASHcls] = ACTIONS(5372),
    [anon_sym_BSLASHpmo] = ACTIONS(5372),
    [anon_sym_BSLASHpm] = ACTIONS(5372),
    [anon_sym_BSLASHpmc] = ACTIONS(5372),
    [anon_sym_BSLASHpmr] = ACTIONS(5372),
    [anon_sym_BSLASHpi] = ACTIONS(5372),
    [anon_sym_BSLASHmi] = ACTIONS(5372),
    [anon_sym_BSLASHnb] = ACTIONS(5372),
    [anon_sym_BSLASHpc] = ACTIONS(5372),
    [anon_sym_BSLASHph] = ACTIONS(5372),
    [anon_sym_BSLASHb] = ACTIONS(5372),
    [anon_sym_BSLASHq] = ACTIONS(5372),
    [anon_sym_BSLASHqr] = ACTIONS(5372),
    [anon_sym_BSLASHqc] = ACTIONS(5372),
    [anon_sym_BSLASHqs] = ACTIONS(5372),
    [anon_sym_BSLASHqa] = ACTIONS(5372),
    [anon_sym_BSLASHqac] = ACTIONS(5372),
    [anon_sym_BSLASHqm] = ACTIONS(5372),
    [anon_sym_BSLASHqd] = ACTIONS(5372),
    [anon_sym_BSLASHlh] = ACTIONS(5372),
    [anon_sym_BSLASHli] = ACTIONS(5372),
    [anon_sym_BSLASHlim] = ACTIONS(5372),
    [anon_sym_BSLASHtr] = ACTIONS(5372),
    [anon_sym_BSLASHf] = ACTIONS(5372),
    [anon_sym_BSLASHfe] = ACTIONS(5372),
    [anon_sym_BSLASHef] = ACTIONS(5372),
    [anon_sym_BSLASHfm] = ACTIONS(5372),
    [anon_sym_BSLASHx] = ACTIONS(5372),
    [anon_sym_BSLASHxt] = ACTIONS(5372),
    [anon_sym_BSLASHrq] = ACTIONS(5372),
    [anon_sym_BSLASHadd] = ACTIONS(5372),
    [anon_sym_BSLASHbk] = ACTIONS(5372),
    [anon_sym_BSLASHdc] = ACTIONS(5372),
    [anon_sym_BSLASHk] = ACTIONS(5372),
    [anon_sym_BSLASHnd] = ACTIONS(5372),
    [anon_sym_BSLASHord] = ACTIONS(5372),
    [anon_sym_BSLASHpn] = ACTIONS(5372),
    [anon_sym_BSLASHpng] = ACTIONS(5372),
    [anon_sym_BSLASHaddpn] = ACTIONS(5372),
    [anon_sym_BSLASHqt] = ACTIONS(5372),
    [anon_sym_BSLASHsig] = ACTIONS(5372),
    [anon_sym_BSLASHsls] = ACTIONS(5372),
    [anon_sym_BSLASHtl] = ACTIONS(5372),
    [anon_sym_BSLASHwj] = ACTIONS(5372),
    [anon_sym_BSLASHem] = ACTIONS(5372),
    [anon_sym_BSLASHbd] = ACTIONS(5372),
    [anon_sym_BSLASHit] = ACTIONS(5372),
    [anon_sym_BSLASHbdit] = ACTIONS(5372),
    [anon_sym_BSLASHno] = ACTIONS(5372),
    [anon_sym_BSLASHsc] = ACTIONS(5372),
    [anon_sym_BSLASHsup] = ACTIONS(5372),
    [anon_sym_BSLASHndx] = ACTIONS(5372),
    [anon_sym_BSLASHpro] = ACTIONS(5372),
    [anon_sym_BSLASHrb] = ACTIONS(5372),
    [anon_sym_BSLASHw] = ACTIONS(5372),
    [anon_sym_BSLASHwg] = ACTIONS(5372),
    [anon_sym_BSLASHwh] = ACTIONS(5372),
    [anon_sym_BSLASHwa] = ACTIONS(5372),
    [anon_sym_BSLASHfig] = ACTIONS(5372),
    [anon_sym_BSLASHjmp] = ACTIONS(5372),
    [anon_sym_BSLASHpb] = ACTIONS(5372),
    [anon_sym_BSLASH] = ACTIONS(5372),
    [sym_milestoneStartTag] = ACTIONS(5372),
    [sym_milestoneEndTag] = ACTIONS(5372),
    [sym_zSpaceTag] = ACTIONS(5372),
    [anon_sym_BSLASHesbe] = ACTIONS(5372),
    [anon_sym_BSLASHcat] = ACTIONS(5372),
  },
  [647] = {
    [aux_sym_text_token1] = ACTIONS(5386),
    [anon_sym_BSLASHref] = ACTIONS(5388),
    [anon_sym_BSLASHsts] = ACTIONS(5388),
    [anon_sym_BSLASHrem] = ACTIONS(5388),
    [anon_sym_BSLASHrestore] = ACTIONS(5388),
    [anon_sym_BSLASHlit] = ACTIONS(5388),
    [anon_sym_BSLASHip] = ACTIONS(5388),
    [anon_sym_BSLASHv] = ACTIONS(5388),
    [anon_sym_BSLASHva] = ACTIONS(5388),
    [anon_sym_BSLASHvp] = ACTIONS(5388),
    [anon_sym_BSLASHmte] = ACTIONS(5388),
    [anon_sym_BSLASHms] = ACTIONS(5388),
    [anon_sym_BSLASHs] = ACTIONS(5388),
    [anon_sym_BSLASHr] = ACTIONS(5388),
    [anon_sym_BSLASHsp] = ACTIONS(5388),
    [anon_sym_BSLASHd] = ACTIONS(5388),
    [anon_sym_BSLASHsd] = ACTIONS(5388),
    [anon_sym_BSLASHp] = ACTIONS(5388),
    [anon_sym_BSLASHm] = ACTIONS(5388),
    [anon_sym_BSLASHpo] = ACTIONS(5388),
    [anon_sym_BSLASHpr] = ACTIONS(5388),
    [anon_sym_BSLASHcls] = ACTIONS(5388),
    [anon_sym_BSLASHpmo] = ACTIONS(5388),
    [anon_sym_BSLASHpm] = ACTIONS(5388),
    [anon_sym_BSLASHpmc] = ACTIONS(5388),
    [anon_sym_BSLASHpmr] = ACTIONS(5388),
    [anon_sym_BSLASHpi] = ACTIONS(5388),
    [anon_sym_BSLASHmi] = ACTIONS(5388),
    [anon_sym_BSLASHnb] = ACTIONS(5388),
    [anon_sym_BSLASHpc] = ACTIONS(5388),
    [anon_sym_BSLASHph] = ACTIONS(5388),
    [anon_sym_BSLASHb] = ACTIONS(5388),
    [anon_sym_BSLASHq] = ACTIONS(5388),
    [anon_sym_BSLASHqr] = ACTIONS(5388),
    [anon_sym_BSLASHqc] = ACTIONS(5388),
    [anon_sym_BSLASHqs] = ACTIONS(5388),
    [anon_sym_BSLASHqa] = ACTIONS(5388),
    [anon_sym_BSLASHqac] = ACTIONS(5388),
    [anon_sym_BSLASHqm] = ACTIONS(5388),
    [anon_sym_BSLASHqd] = ACTIONS(5388),
    [anon_sym_BSLASHlh] = ACTIONS(5388),
    [anon_sym_BSLASHli] = ACTIONS(5388),
    [anon_sym_BSLASHlim] = ACTIONS(5388),
    [anon_sym_BSLASHtr] = ACTIONS(5388),
    [anon_sym_BSLASHf] = ACTIONS(5388),
    [anon_sym_BSLASHfe] = ACTIONS(5388),
    [anon_sym_BSLASHef] = ACTIONS(5388),
    [anon_sym_BSLASHfm] = ACTIONS(5388),
    [anon_sym_BSLASHx] = ACTIONS(5388),
    [anon_sym_BSLASHxt] = ACTIONS(5388),
    [anon_sym_BSLASHrq] = ACTIONS(5388),
    [anon_sym_BSLASHadd] = ACTIONS(5388),
    [anon_sym_BSLASHbk] = ACTIONS(5388),
    [anon_sym_BSLASHdc] = ACTIONS(5388),
    [anon_sym_BSLASHk] = ACTIONS(5388),
    [anon_sym_BSLASHnd] = ACTIONS(5388),
    [anon_sym_BSLASHord] = ACTIONS(5388),
    [anon_sym_BSLASHpn] = ACTIONS(5388),
    [anon_sym_BSLASHpng] = ACTIONS(5388),
    [anon_sym_BSLASHaddpn] = ACTIONS(5388),
    [anon_sym_BSLASHqt] = ACTIONS(5388),
    [anon_sym_BSLASHsig] = ACTIONS(5388),
    [anon_sym_BSLASHsls] = ACTIONS(5388),
    [anon_sym_BSLASHtl] = ACTIONS(5388),
    [anon_sym_BSLASHwj] = ACTIONS(5388),
    [anon_sym_BSLASHem] = ACTIONS(5388),
    [anon_sym_BSLASHbd] = ACTIONS(5388),
    [anon_sym_BSLASHit] = ACTIONS(5388),
    [anon_sym_BSLASHbdit] = ACTIONS(5388),
    [anon_sym_BSLASHno] = ACTIONS(5388),
    [anon_sym_BSLASHsc] = ACTIONS(5388),
    [anon_sym_BSLASHsup] = ACTIONS(5388),
    [anon_sym_BSLASHndx] = ACTIONS(5388),
    [anon_sym_BSLASHpro] = ACTIONS(5388),
    [anon_sym_BSLASHrb] = ACTIONS(5388),
    [anon_sym_BSLASHw] = ACTIONS(5388),
    [anon_sym_BSLASHwg] = ACTIONS(5388),
    [anon_sym_BSLASHwh] = ACTIONS(5388),
    [anon_sym_BSLASHwa] = ACTIONS(5388),
    [anon_sym_BSLASHfig] = ACTIONS(5388),
    [anon_sym_BSLASHjmp] = ACTIONS(5388),
    [anon_sym_BSLASHpb] = ACTIONS(5388),
    [anon_sym_BSLASH] = ACTIONS(5388),
    [sym_milestoneStartTag] = ACTIONS(5388),
    [sym_milestoneEndTag] = ACTIONS(5388),
    [sym_zSpaceTag] = ACTIONS(5388),
    [anon_sym_BSLASHesbe] = ACTIONS(5388),
    [anon_sym_BSLASHcat] = ACTIONS(5388),
  },
  [648] = {
    [aux_sym_text_token1] = ACTIONS(5460),
    [anon_sym_BSLASHref] = ACTIONS(5462),
    [anon_sym_BSLASHsts] = ACTIONS(5462),
    [anon_sym_BSLASHrem] = ACTIONS(5462),
    [anon_sym_BSLASHrestore] = ACTIONS(5462),
    [anon_sym_BSLASHlit] = ACTIONS(5462),
    [anon_sym_BSLASHip] = ACTIONS(5462),
    [anon_sym_BSLASHv] = ACTIONS(5462),
    [anon_sym_BSLASHva] = ACTIONS(5462),
    [anon_sym_BSLASHvp] = ACTIONS(5462),
    [anon_sym_BSLASHmte] = ACTIONS(5462),
    [anon_sym_BSLASHms] = ACTIONS(5462),
    [anon_sym_BSLASHs] = ACTIONS(5462),
    [anon_sym_BSLASHr] = ACTIONS(5462),
    [anon_sym_BSLASHsp] = ACTIONS(5462),
    [anon_sym_BSLASHd] = ACTIONS(5462),
    [anon_sym_BSLASHsd] = ACTIONS(5462),
    [anon_sym_BSLASHp] = ACTIONS(5462),
    [anon_sym_BSLASHm] = ACTIONS(5462),
    [anon_sym_BSLASHpo] = ACTIONS(5462),
    [anon_sym_BSLASHpr] = ACTIONS(5462),
    [anon_sym_BSLASHcls] = ACTIONS(5462),
    [anon_sym_BSLASHpmo] = ACTIONS(5462),
    [anon_sym_BSLASHpm] = ACTIONS(5462),
    [anon_sym_BSLASHpmc] = ACTIONS(5462),
    [anon_sym_BSLASHpmr] = ACTIONS(5462),
    [anon_sym_BSLASHpi] = ACTIONS(5462),
    [anon_sym_BSLASHmi] = ACTIONS(5462),
    [anon_sym_BSLASHnb] = ACTIONS(5462),
    [anon_sym_BSLASHpc] = ACTIONS(5462),
    [anon_sym_BSLASHph] = ACTIONS(5462),
    [anon_sym_BSLASHb] = ACTIONS(5462),
    [anon_sym_BSLASHq] = ACTIONS(5462),
    [anon_sym_BSLASHqr] = ACTIONS(5462),
    [anon_sym_BSLASHqc] = ACTIONS(5462),
    [anon_sym_BSLASHqs] = ACTIONS(5462),
    [anon_sym_BSLASHqa] = ACTIONS(5462),
    [anon_sym_BSLASHqac] = ACTIONS(5462),
    [anon_sym_BSLASHqm] = ACTIONS(5462),
    [anon_sym_BSLASHqd] = ACTIONS(5462),
    [anon_sym_BSLASHlh] = ACTIONS(5462),
    [anon_sym_BSLASHli] = ACTIONS(5462),
    [anon_sym_BSLASHlim] = ACTIONS(5462),
    [anon_sym_BSLASHtr] = ACTIONS(5462),
    [anon_sym_BSLASHf] = ACTIONS(5462),
    [anon_sym_BSLASHfe] = ACTIONS(5462),
    [anon_sym_BSLASHef] = ACTIONS(5462),
    [anon_sym_BSLASHfm] = ACTIONS(5462),
    [anon_sym_BSLASHx] = ACTIONS(5462),
    [anon_sym_BSLASHxt] = ACTIONS(5462),
    [anon_sym_BSLASHrq] = ACTIONS(5462),
    [anon_sym_BSLASHadd] = ACTIONS(5462),
    [anon_sym_BSLASHbk] = ACTIONS(5462),
    [anon_sym_BSLASHdc] = ACTIONS(5462),
    [anon_sym_BSLASHk] = ACTIONS(5462),
    [anon_sym_BSLASHnd] = ACTIONS(5462),
    [anon_sym_BSLASHord] = ACTIONS(5462),
    [anon_sym_BSLASHpn] = ACTIONS(5462),
    [anon_sym_BSLASHpng] = ACTIONS(5462),
    [anon_sym_BSLASHaddpn] = ACTIONS(5462),
    [anon_sym_BSLASHqt] = ACTIONS(5462),
    [anon_sym_BSLASHsig] = ACTIONS(5462),
    [anon_sym_BSLASHsls] = ACTIONS(5462),
    [anon_sym_BSLASHtl] = ACTIONS(5462),
    [anon_sym_BSLASHwj] = ACTIONS(5462),
    [anon_sym_BSLASHem] = ACTIONS(5462),
    [anon_sym_BSLASHbd] = ACTIONS(5462),
    [anon_sym_BSLASHit] = ACTIONS(5462),
    [anon_sym_BSLASHbdit] = ACTIONS(5462),
    [anon_sym_BSLASHno] = ACTIONS(5462),
    [anon_sym_BSLASHsc] = ACTIONS(5462),
    [anon_sym_BSLASHsup] = ACTIONS(5462),
    [anon_sym_BSLASHndx] = ACTIONS(5462),
    [anon_sym_BSLASHpro] = ACTIONS(5462),
    [anon_sym_BSLASHrb] = ACTIONS(5462),
    [anon_sym_BSLASHw] = ACTIONS(5462),
    [anon_sym_BSLASHwg] = ACTIONS(5462),
    [anon_sym_BSLASHwh] = ACTIONS(5462),
    [anon_sym_BSLASHwa] = ACTIONS(5462),
    [anon_sym_BSLASHfig] = ACTIONS(5462),
    [anon_sym_BSLASHjmp] = ACTIONS(5462),
    [anon_sym_BSLASHpb] = ACTIONS(5462),
    [anon_sym_BSLASH] = ACTIONS(5462),
    [sym_milestoneStartTag] = ACTIONS(5462),
    [sym_milestoneEndTag] = ACTIONS(5462),
    [sym_zSpaceTag] = ACTIONS(5462),
    [anon_sym_BSLASHesbe] = ACTIONS(5462),
    [anon_sym_BSLASHcat] = ACTIONS(5462),
  },
  [649] = {
    [aux_sym_text_token1] = ACTIONS(5362),
    [anon_sym_BSLASHref] = ACTIONS(5364),
    [anon_sym_BSLASHsts] = ACTIONS(5364),
    [anon_sym_BSLASHrem] = ACTIONS(5364),
    [anon_sym_BSLASHrestore] = ACTIONS(5364),
    [anon_sym_BSLASHlit] = ACTIONS(5364),
    [anon_sym_BSLASHip] = ACTIONS(5364),
    [anon_sym_BSLASHv] = ACTIONS(5364),
    [anon_sym_BSLASHva] = ACTIONS(5364),
    [anon_sym_BSLASHvp] = ACTIONS(5364),
    [anon_sym_BSLASHmte] = ACTIONS(5364),
    [anon_sym_BSLASHms] = ACTIONS(5364),
    [anon_sym_BSLASHs] = ACTIONS(5364),
    [anon_sym_BSLASHr] = ACTIONS(5364),
    [anon_sym_BSLASHsp] = ACTIONS(5364),
    [anon_sym_BSLASHd] = ACTIONS(5364),
    [anon_sym_BSLASHsd] = ACTIONS(5364),
    [anon_sym_BSLASHp] = ACTIONS(5364),
    [anon_sym_BSLASHm] = ACTIONS(5364),
    [anon_sym_BSLASHpo] = ACTIONS(5364),
    [anon_sym_BSLASHpr] = ACTIONS(5364),
    [anon_sym_BSLASHcls] = ACTIONS(5364),
    [anon_sym_BSLASHpmo] = ACTIONS(5364),
    [anon_sym_BSLASHpm] = ACTIONS(5364),
    [anon_sym_BSLASHpmc] = ACTIONS(5364),
    [anon_sym_BSLASHpmr] = ACTIONS(5364),
    [anon_sym_BSLASHpi] = ACTIONS(5364),
    [anon_sym_BSLASHmi] = ACTIONS(5364),
    [anon_sym_BSLASHnb] = ACTIONS(5364),
    [anon_sym_BSLASHpc] = ACTIONS(5364),
    [anon_sym_BSLASHph] = ACTIONS(5364),
    [anon_sym_BSLASHb] = ACTIONS(5364),
    [anon_sym_BSLASHq] = ACTIONS(5364),
    [anon_sym_BSLASHqr] = ACTIONS(5364),
    [anon_sym_BSLASHqc] = ACTIONS(5364),
    [anon_sym_BSLASHqs] = ACTIONS(5364),
    [anon_sym_BSLASHqa] = ACTIONS(5364),
    [anon_sym_BSLASHqac] = ACTIONS(5364),
    [anon_sym_BSLASHqm] = ACTIONS(5364),
    [anon_sym_BSLASHqd] = ACTIONS(5364),
    [anon_sym_BSLASHlh] = ACTIONS(5364),
    [anon_sym_BSLASHli] = ACTIONS(5364),
    [anon_sym_BSLASHlim] = ACTIONS(5364),
    [anon_sym_BSLASHtr] = ACTIONS(5364),
    [anon_sym_BSLASHf] = ACTIONS(5364),
    [anon_sym_BSLASHfe] = ACTIONS(5364),
    [anon_sym_BSLASHef] = ACTIONS(5364),
    [anon_sym_BSLASHfm] = ACTIONS(5364),
    [anon_sym_BSLASHx] = ACTIONS(5364),
    [anon_sym_BSLASHxt] = ACTIONS(5364),
    [anon_sym_BSLASHrq] = ACTIONS(5364),
    [anon_sym_BSLASHadd] = ACTIONS(5364),
    [anon_sym_BSLASHbk] = ACTIONS(5364),
    [anon_sym_BSLASHdc] = ACTIONS(5364),
    [anon_sym_BSLASHk] = ACTIONS(5364),
    [anon_sym_BSLASHnd] = ACTIONS(5364),
    [anon_sym_BSLASHord] = ACTIONS(5364),
    [anon_sym_BSLASHpn] = ACTIONS(5364),
    [anon_sym_BSLASHpng] = ACTIONS(5364),
    [anon_sym_BSLASHaddpn] = ACTIONS(5364),
    [anon_sym_BSLASHqt] = ACTIONS(5364),
    [anon_sym_BSLASHsig] = ACTIONS(5364),
    [anon_sym_BSLASHsls] = ACTIONS(5364),
    [anon_sym_BSLASHtl] = ACTIONS(5364),
    [anon_sym_BSLASHwj] = ACTIONS(5364),
    [anon_sym_BSLASHem] = ACTIONS(5364),
    [anon_sym_BSLASHbd] = ACTIONS(5364),
    [anon_sym_BSLASHit] = ACTIONS(5364),
    [anon_sym_BSLASHbdit] = ACTIONS(5364),
    [anon_sym_BSLASHno] = ACTIONS(5364),
    [anon_sym_BSLASHsc] = ACTIONS(5364),
    [anon_sym_BSLASHsup] = ACTIONS(5364),
    [anon_sym_BSLASHndx] = ACTIONS(5364),
    [anon_sym_BSLASHpro] = ACTIONS(5364),
    [anon_sym_BSLASHrb] = ACTIONS(5364),
    [anon_sym_BSLASHw] = ACTIONS(5364),
    [anon_sym_BSLASHwg] = ACTIONS(5364),
    [anon_sym_BSLASHwh] = ACTIONS(5364),
    [anon_sym_BSLASHwa] = ACTIONS(5364),
    [anon_sym_BSLASHfig] = ACTIONS(5364),
    [anon_sym_BSLASHjmp] = ACTIONS(5364),
    [anon_sym_BSLASHpb] = ACTIONS(5364),
    [anon_sym_BSLASH] = ACTIONS(5364),
    [sym_milestoneStartTag] = ACTIONS(5364),
    [sym_milestoneEndTag] = ACTIONS(5364),
    [sym_zSpaceTag] = ACTIONS(5364),
    [anon_sym_BSLASHesbe] = ACTIONS(5364),
    [anon_sym_BSLASHcat] = ACTIONS(5364),
  },
  [650] = {
    [aux_sym_text_token1] = ACTIONS(5448),
    [anon_sym_BSLASHref] = ACTIONS(5450),
    [anon_sym_BSLASHsts] = ACTIONS(5450),
    [anon_sym_BSLASHrem] = ACTIONS(5450),
    [anon_sym_BSLASHrestore] = ACTIONS(5450),
    [anon_sym_BSLASHlit] = ACTIONS(5450),
    [anon_sym_BSLASHip] = ACTIONS(5450),
    [anon_sym_BSLASHv] = ACTIONS(5450),
    [anon_sym_BSLASHva] = ACTIONS(5450),
    [anon_sym_BSLASHvp] = ACTIONS(5450),
    [anon_sym_BSLASHmte] = ACTIONS(5450),
    [anon_sym_BSLASHms] = ACTIONS(5450),
    [anon_sym_BSLASHs] = ACTIONS(5450),
    [anon_sym_BSLASHr] = ACTIONS(5450),
    [anon_sym_BSLASHsp] = ACTIONS(5450),
    [anon_sym_BSLASHd] = ACTIONS(5450),
    [anon_sym_BSLASHsd] = ACTIONS(5450),
    [anon_sym_BSLASHp] = ACTIONS(5450),
    [anon_sym_BSLASHm] = ACTIONS(5450),
    [anon_sym_BSLASHpo] = ACTIONS(5450),
    [anon_sym_BSLASHpr] = ACTIONS(5450),
    [anon_sym_BSLASHcls] = ACTIONS(5450),
    [anon_sym_BSLASHpmo] = ACTIONS(5450),
    [anon_sym_BSLASHpm] = ACTIONS(5450),
    [anon_sym_BSLASHpmc] = ACTIONS(5450),
    [anon_sym_BSLASHpmr] = ACTIONS(5450),
    [anon_sym_BSLASHpi] = ACTIONS(5450),
    [anon_sym_BSLASHmi] = ACTIONS(5450),
    [anon_sym_BSLASHnb] = ACTIONS(5450),
    [anon_sym_BSLASHpc] = ACTIONS(5450),
    [anon_sym_BSLASHph] = ACTIONS(5450),
    [anon_sym_BSLASHb] = ACTIONS(5450),
    [anon_sym_BSLASHq] = ACTIONS(5450),
    [anon_sym_BSLASHqr] = ACTIONS(5450),
    [anon_sym_BSLASHqc] = ACTIONS(5450),
    [anon_sym_BSLASHqs] = ACTIONS(5450),
    [anon_sym_BSLASHqa] = ACTIONS(5450),
    [anon_sym_BSLASHqac] = ACTIONS(5450),
    [anon_sym_BSLASHqm] = ACTIONS(5450),
    [anon_sym_BSLASHqd] = ACTIONS(5450),
    [anon_sym_BSLASHlh] = ACTIONS(5450),
    [anon_sym_BSLASHli] = ACTIONS(5450),
    [anon_sym_BSLASHlim] = ACTIONS(5450),
    [anon_sym_BSLASHtr] = ACTIONS(5450),
    [anon_sym_BSLASHf] = ACTIONS(5450),
    [anon_sym_BSLASHfe] = ACTIONS(5450),
    [anon_sym_BSLASHef] = ACTIONS(5450),
    [anon_sym_BSLASHfm] = ACTIONS(5450),
    [anon_sym_BSLASHx] = ACTIONS(5450),
    [anon_sym_BSLASHxt] = ACTIONS(5450),
    [anon_sym_BSLASHrq] = ACTIONS(5450),
    [anon_sym_BSLASHadd] = ACTIONS(5450),
    [anon_sym_BSLASHbk] = ACTIONS(5450),
    [anon_sym_BSLASHdc] = ACTIONS(5450),
    [anon_sym_BSLASHk] = ACTIONS(5450),
    [anon_sym_BSLASHnd] = ACTIONS(5450),
    [anon_sym_BSLASHord] = ACTIONS(5450),
    [anon_sym_BSLASHpn] = ACTIONS(5450),
    [anon_sym_BSLASHpng] = ACTIONS(5450),
    [anon_sym_BSLASHaddpn] = ACTIONS(5450),
    [anon_sym_BSLASHqt] = ACTIONS(5450),
    [anon_sym_BSLASHsig] = ACTIONS(5450),
    [anon_sym_BSLASHsls] = ACTIONS(5450),
    [anon_sym_BSLASHtl] = ACTIONS(5450),
    [anon_sym_BSLASHwj] = ACTIONS(5450),
    [anon_sym_BSLASHem] = ACTIONS(5450),
    [anon_sym_BSLASHbd] = ACTIONS(5450),
    [anon_sym_BSLASHit] = ACTIONS(5450),
    [anon_sym_BSLASHbdit] = ACTIONS(5450),
    [anon_sym_BSLASHno] = ACTIONS(5450),
    [anon_sym_BSLASHsc] = ACTIONS(5450),
    [anon_sym_BSLASHsup] = ACTIONS(5450),
    [anon_sym_BSLASHndx] = ACTIONS(5450),
    [anon_sym_BSLASHpro] = ACTIONS(5450),
    [anon_sym_BSLASHrb] = ACTIONS(5450),
    [anon_sym_BSLASHw] = ACTIONS(5450),
    [anon_sym_BSLASHwg] = ACTIONS(5450),
    [anon_sym_BSLASHwh] = ACTIONS(5450),
    [anon_sym_BSLASHwa] = ACTIONS(5450),
    [anon_sym_BSLASHfig] = ACTIONS(5450),
    [anon_sym_BSLASHjmp] = ACTIONS(5450),
    [anon_sym_BSLASHpb] = ACTIONS(5450),
    [anon_sym_BSLASH] = ACTIONS(5450),
    [sym_milestoneStartTag] = ACTIONS(5450),
    [sym_milestoneEndTag] = ACTIONS(5450),
    [sym_zSpaceTag] = ACTIONS(5450),
    [anon_sym_BSLASHesbe] = ACTIONS(5450),
    [anon_sym_BSLASHcat] = ACTIONS(5450),
  },
  [651] = {
    [aux_sym_text_token1] = ACTIONS(5592),
    [anon_sym_BSLASHref] = ACTIONS(5310),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHfr] = ACTIONS(5310),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHfq] = ACTIONS(5310),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHfqa] = ACTIONS(5310),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHfk] = ACTIONS(5310),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHfl] = ACTIONS(5310),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHfw] = ACTIONS(5310),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHfp] = ACTIONS(5310),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHft] = ACTIONS(5310),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHfdc] = ACTIONS(5310),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHfv] = ACTIONS(5310),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHxt] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5310),
    [anon_sym_BSLASHadd] = ACTIONS(5310),
    [anon_sym_BSLASHbk] = ACTIONS(5310),
    [anon_sym_BSLASHdc] = ACTIONS(5310),
    [anon_sym_BSLASHk] = ACTIONS(5310),
    [anon_sym_BSLASHnd] = ACTIONS(5310),
    [anon_sym_BSLASHord] = ACTIONS(5310),
    [anon_sym_BSLASHpn] = ACTIONS(5310),
    [anon_sym_BSLASHpng] = ACTIONS(5310),
    [anon_sym_BSLASHaddpn] = ACTIONS(5310),
    [anon_sym_BSLASHqt] = ACTIONS(5310),
    [anon_sym_BSLASHsig] = ACTIONS(5310),
    [anon_sym_BSLASHsls] = ACTIONS(5310),
    [anon_sym_BSLASHtl] = ACTIONS(5310),
    [anon_sym_BSLASHwj] = ACTIONS(5310),
    [anon_sym_BSLASHem] = ACTIONS(5310),
    [anon_sym_BSLASHbd] = ACTIONS(5310),
    [anon_sym_BSLASHit] = ACTIONS(5310),
    [anon_sym_BSLASHbdit] = ACTIONS(5310),
    [anon_sym_BSLASHno] = ACTIONS(5310),
    [anon_sym_BSLASHsc] = ACTIONS(5310),
    [anon_sym_BSLASHsup] = ACTIONS(5310),
    [anon_sym_BSLASHndx] = ACTIONS(5310),
    [anon_sym_BSLASHpro] = ACTIONS(5310),
    [anon_sym_BSLASHrb] = ACTIONS(5310),
    [anon_sym_BSLASHw] = ACTIONS(5310),
    [anon_sym_BSLASHwg] = ACTIONS(5310),
    [anon_sym_BSLASHwh] = ACTIONS(5310),
    [anon_sym_BSLASHwa] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5310),
    [anon_sym_BSLASHfig] = ACTIONS(5310),
    [anon_sym_BSLASHjmp] = ACTIONS(5310),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5310),
    [anon_sym_BSLASHcat] = ACTIONS(5310),
  },
  [652] = {
    [aux_sym_text_token1] = ACTIONS(5330),
    [anon_sym_BSLASHref] = ACTIONS(5332),
    [anon_sym_BSLASHsts] = ACTIONS(5332),
    [anon_sym_BSLASHrem] = ACTIONS(5332),
    [anon_sym_BSLASHrestore] = ACTIONS(5332),
    [anon_sym_BSLASHlit] = ACTIONS(5332),
    [anon_sym_BSLASHip] = ACTIONS(5332),
    [anon_sym_BSLASHv] = ACTIONS(5332),
    [anon_sym_BSLASHva] = ACTIONS(5332),
    [anon_sym_BSLASHvp] = ACTIONS(5332),
    [anon_sym_BSLASHmte] = ACTIONS(5332),
    [anon_sym_BSLASHms] = ACTIONS(5332),
    [anon_sym_BSLASHs] = ACTIONS(5332),
    [anon_sym_BSLASHr] = ACTIONS(5332),
    [anon_sym_BSLASHsp] = ACTIONS(5332),
    [anon_sym_BSLASHd] = ACTIONS(5332),
    [anon_sym_BSLASHsd] = ACTIONS(5332),
    [anon_sym_BSLASHp] = ACTIONS(5332),
    [anon_sym_BSLASHm] = ACTIONS(5332),
    [anon_sym_BSLASHpo] = ACTIONS(5332),
    [anon_sym_BSLASHpr] = ACTIONS(5332),
    [anon_sym_BSLASHcls] = ACTIONS(5332),
    [anon_sym_BSLASHpmo] = ACTIONS(5332),
    [anon_sym_BSLASHpm] = ACTIONS(5332),
    [anon_sym_BSLASHpmc] = ACTIONS(5332),
    [anon_sym_BSLASHpmr] = ACTIONS(5332),
    [anon_sym_BSLASHpi] = ACTIONS(5332),
    [anon_sym_BSLASHmi] = ACTIONS(5332),
    [anon_sym_BSLASHnb] = ACTIONS(5332),
    [anon_sym_BSLASHpc] = ACTIONS(5332),
    [anon_sym_BSLASHph] = ACTIONS(5332),
    [anon_sym_BSLASHb] = ACTIONS(5332),
    [anon_sym_BSLASHq] = ACTIONS(5332),
    [anon_sym_BSLASHqr] = ACTIONS(5332),
    [anon_sym_BSLASHqc] = ACTIONS(5332),
    [anon_sym_BSLASHqs] = ACTIONS(5332),
    [anon_sym_BSLASHqa] = ACTIONS(5332),
    [anon_sym_BSLASHqac] = ACTIONS(5332),
    [anon_sym_BSLASHqm] = ACTIONS(5332),
    [anon_sym_BSLASHqd] = ACTIONS(5332),
    [anon_sym_BSLASHlh] = ACTIONS(5332),
    [anon_sym_BSLASHli] = ACTIONS(5332),
    [anon_sym_BSLASHlim] = ACTIONS(5332),
    [anon_sym_BSLASHtr] = ACTIONS(5332),
    [anon_sym_BSLASHf] = ACTIONS(5332),
    [anon_sym_BSLASHfe] = ACTIONS(5332),
    [anon_sym_BSLASHef] = ACTIONS(5332),
    [anon_sym_BSLASHfm] = ACTIONS(5332),
    [anon_sym_BSLASHx] = ACTIONS(5332),
    [anon_sym_BSLASHxt] = ACTIONS(5332),
    [anon_sym_BSLASHrq] = ACTIONS(5332),
    [anon_sym_BSLASHadd] = ACTIONS(5332),
    [anon_sym_BSLASHbk] = ACTIONS(5332),
    [anon_sym_BSLASHdc] = ACTIONS(5332),
    [anon_sym_BSLASHk] = ACTIONS(5332),
    [anon_sym_BSLASHnd] = ACTIONS(5332),
    [anon_sym_BSLASHord] = ACTIONS(5332),
    [anon_sym_BSLASHpn] = ACTIONS(5332),
    [anon_sym_BSLASHpng] = ACTIONS(5332),
    [anon_sym_BSLASHaddpn] = ACTIONS(5332),
    [anon_sym_BSLASHqt] = ACTIONS(5332),
    [anon_sym_BSLASHsig] = ACTIONS(5332),
    [anon_sym_BSLASHsls] = ACTIONS(5332),
    [anon_sym_BSLASHtl] = ACTIONS(5332),
    [anon_sym_BSLASHwj] = ACTIONS(5332),
    [anon_sym_BSLASHem] = ACTIONS(5332),
    [anon_sym_BSLASHbd] = ACTIONS(5332),
    [anon_sym_BSLASHit] = ACTIONS(5332),
    [anon_sym_BSLASHbdit] = ACTIONS(5332),
    [anon_sym_BSLASHno] = ACTIONS(5332),
    [anon_sym_BSLASHsc] = ACTIONS(5332),
    [anon_sym_BSLASHsup] = ACTIONS(5332),
    [anon_sym_BSLASHndx] = ACTIONS(5332),
    [anon_sym_BSLASHpro] = ACTIONS(5332),
    [anon_sym_BSLASHrb] = ACTIONS(5332),
    [anon_sym_BSLASHw] = ACTIONS(5332),
    [anon_sym_BSLASHwg] = ACTIONS(5332),
    [anon_sym_BSLASHwh] = ACTIONS(5332),
    [anon_sym_BSLASHwa] = ACTIONS(5332),
    [anon_sym_BSLASHfig] = ACTIONS(5332),
    [anon_sym_BSLASHjmp] = ACTIONS(5332),
    [anon_sym_BSLASHpb] = ACTIONS(5332),
    [anon_sym_BSLASH] = ACTIONS(5332),
    [sym_milestoneStartTag] = ACTIONS(5332),
    [sym_milestoneEndTag] = ACTIONS(5332),
    [sym_zSpaceTag] = ACTIONS(5332),
    [anon_sym_BSLASHesbe] = ACTIONS(5332),
    [anon_sym_BSLASHcat] = ACTIONS(5332),
  },
  [653] = {
    [aux_sym_text_token1] = ACTIONS(502),
    [anon_sym_BSLASHref] = ACTIONS(504),
    [anon_sym_BSLASHsts] = ACTIONS(504),
    [anon_sym_BSLASHrem] = ACTIONS(504),
    [anon_sym_BSLASHrestore] = ACTIONS(504),
    [anon_sym_BSLASHlit] = ACTIONS(504),
    [anon_sym_BSLASHip] = ACTIONS(504),
    [anon_sym_BSLASHv] = ACTIONS(504),
    [anon_sym_BSLASHva] = ACTIONS(504),
    [anon_sym_BSLASHvp] = ACTIONS(504),
    [anon_sym_BSLASHmte] = ACTIONS(504),
    [anon_sym_BSLASHms] = ACTIONS(504),
    [anon_sym_BSLASHs] = ACTIONS(504),
    [anon_sym_BSLASHr] = ACTIONS(504),
    [anon_sym_BSLASHsp] = ACTIONS(504),
    [anon_sym_BSLASHd] = ACTIONS(504),
    [anon_sym_BSLASHsd] = ACTIONS(504),
    [anon_sym_BSLASHp] = ACTIONS(504),
    [anon_sym_BSLASHm] = ACTIONS(504),
    [anon_sym_BSLASHpo] = ACTIONS(504),
    [anon_sym_BSLASHpr] = ACTIONS(504),
    [anon_sym_BSLASHcls] = ACTIONS(504),
    [anon_sym_BSLASHpmo] = ACTIONS(504),
    [anon_sym_BSLASHpm] = ACTIONS(504),
    [anon_sym_BSLASHpmc] = ACTIONS(504),
    [anon_sym_BSLASHpmr] = ACTIONS(504),
    [anon_sym_BSLASHpi] = ACTIONS(504),
    [anon_sym_BSLASHmi] = ACTIONS(504),
    [anon_sym_BSLASHnb] = ACTIONS(504),
    [anon_sym_BSLASHpc] = ACTIONS(504),
    [anon_sym_BSLASHph] = ACTIONS(504),
    [anon_sym_BSLASHb] = ACTIONS(504),
    [anon_sym_BSLASHq] = ACTIONS(504),
    [anon_sym_BSLASHqr] = ACTIONS(504),
    [anon_sym_BSLASHqc] = ACTIONS(504),
    [anon_sym_BSLASHqs] = ACTIONS(504),
    [anon_sym_BSLASHqa] = ACTIONS(504),
    [anon_sym_BSLASHqac] = ACTIONS(504),
    [anon_sym_BSLASHqm] = ACTIONS(504),
    [anon_sym_BSLASHqd] = ACTIONS(504),
    [anon_sym_BSLASHlh] = ACTIONS(504),
    [anon_sym_BSLASHli] = ACTIONS(504),
    [anon_sym_BSLASHlim] = ACTIONS(504),
    [anon_sym_BSLASHtr] = ACTIONS(504),
    [anon_sym_BSLASHf] = ACTIONS(504),
    [anon_sym_BSLASHfe] = ACTIONS(504),
    [anon_sym_BSLASHef] = ACTIONS(504),
    [anon_sym_BSLASHfm] = ACTIONS(504),
    [anon_sym_BSLASHx] = ACTIONS(504),
    [anon_sym_BSLASHxt] = ACTIONS(504),
    [anon_sym_BSLASHrq] = ACTIONS(504),
    [anon_sym_BSLASHadd] = ACTIONS(504),
    [anon_sym_BSLASHbk] = ACTIONS(504),
    [anon_sym_BSLASHdc] = ACTIONS(504),
    [anon_sym_BSLASHk] = ACTIONS(504),
    [anon_sym_BSLASHnd] = ACTIONS(504),
    [anon_sym_BSLASHord] = ACTIONS(504),
    [anon_sym_BSLASHpn] = ACTIONS(504),
    [anon_sym_BSLASHpng] = ACTIONS(504),
    [anon_sym_BSLASHaddpn] = ACTIONS(504),
    [anon_sym_BSLASHqt] = ACTIONS(504),
    [anon_sym_BSLASHsig] = ACTIONS(504),
    [anon_sym_BSLASHsls] = ACTIONS(504),
    [anon_sym_BSLASHtl] = ACTIONS(504),
    [anon_sym_BSLASHwj] = ACTIONS(504),
    [anon_sym_BSLASHem] = ACTIONS(504),
    [anon_sym_BSLASHbd] = ACTIONS(504),
    [anon_sym_BSLASHit] = ACTIONS(504),
    [anon_sym_BSLASHbdit] = ACTIONS(504),
    [anon_sym_BSLASHno] = ACTIONS(504),
    [anon_sym_BSLASHsc] = ACTIONS(504),
    [anon_sym_BSLASHsup] = ACTIONS(504),
    [anon_sym_BSLASHndx] = ACTIONS(504),
    [anon_sym_BSLASHpro] = ACTIONS(504),
    [anon_sym_BSLASHrb] = ACTIONS(504),
    [anon_sym_BSLASHw] = ACTIONS(504),
    [anon_sym_BSLASHwg] = ACTIONS(504),
    [anon_sym_BSLASHwh] = ACTIONS(504),
    [anon_sym_BSLASHwa] = ACTIONS(504),
    [anon_sym_BSLASHfig] = ACTIONS(504),
    [anon_sym_BSLASHjmp] = ACTIONS(504),
    [anon_sym_BSLASHpb] = ACTIONS(504),
    [anon_sym_BSLASH] = ACTIONS(504),
    [sym_milestoneStartTag] = ACTIONS(504),
    [sym_milestoneEndTag] = ACTIONS(504),
    [sym_zSpaceTag] = ACTIONS(504),
    [anon_sym_BSLASHesbe] = ACTIONS(504),
    [anon_sym_BSLASHcat] = ACTIONS(504),
  },
  [654] = {
    [aux_sym_text_token1] = ACTIONS(13),
    [anon_sym_BSLASHref] = ACTIONS(15),
    [anon_sym_BSLASHsts] = ACTIONS(15),
    [anon_sym_BSLASHrem] = ACTIONS(15),
    [anon_sym_BSLASHrestore] = ACTIONS(15),
    [anon_sym_BSLASHlit] = ACTIONS(15),
    [anon_sym_BSLASHip] = ACTIONS(15),
    [anon_sym_BSLASHv] = ACTIONS(15),
    [anon_sym_BSLASHva] = ACTIONS(15),
    [anon_sym_BSLASHvp] = ACTIONS(15),
    [anon_sym_BSLASHmte] = ACTIONS(15),
    [anon_sym_BSLASHms] = ACTIONS(15),
    [anon_sym_BSLASHs] = ACTIONS(15),
    [anon_sym_BSLASHr] = ACTIONS(15),
    [anon_sym_BSLASHsp] = ACTIONS(15),
    [anon_sym_BSLASHd] = ACTIONS(15),
    [anon_sym_BSLASHsd] = ACTIONS(15),
    [anon_sym_BSLASHp] = ACTIONS(15),
    [anon_sym_BSLASHm] = ACTIONS(15),
    [anon_sym_BSLASHpo] = ACTIONS(15),
    [anon_sym_BSLASHpr] = ACTIONS(15),
    [anon_sym_BSLASHcls] = ACTIONS(15),
    [anon_sym_BSLASHpmo] = ACTIONS(15),
    [anon_sym_BSLASHpm] = ACTIONS(15),
    [anon_sym_BSLASHpmc] = ACTIONS(15),
    [anon_sym_BSLASHpmr] = ACTIONS(15),
    [anon_sym_BSLASHpi] = ACTIONS(15),
    [anon_sym_BSLASHmi] = ACTIONS(15),
    [anon_sym_BSLASHnb] = ACTIONS(15),
    [anon_sym_BSLASHpc] = ACTIONS(15),
    [anon_sym_BSLASHph] = ACTIONS(15),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [anon_sym_BSLASHq] = ACTIONS(15),
    [anon_sym_BSLASHqr] = ACTIONS(15),
    [anon_sym_BSLASHqc] = ACTIONS(15),
    [anon_sym_BSLASHqs] = ACTIONS(15),
    [anon_sym_BSLASHqa] = ACTIONS(15),
    [anon_sym_BSLASHqac] = ACTIONS(15),
    [anon_sym_BSLASHqm] = ACTIONS(15),
    [anon_sym_BSLASHqd] = ACTIONS(15),
    [anon_sym_BSLASHlh] = ACTIONS(15),
    [anon_sym_BSLASHli] = ACTIONS(15),
    [anon_sym_BSLASHlim] = ACTIONS(15),
    [anon_sym_BSLASHtr] = ACTIONS(15),
    [anon_sym_BSLASHf] = ACTIONS(15),
    [anon_sym_BSLASHfe] = ACTIONS(15),
    [anon_sym_BSLASHef] = ACTIONS(15),
    [anon_sym_BSLASHfm] = ACTIONS(15),
    [anon_sym_BSLASHx] = ACTIONS(15),
    [anon_sym_BSLASHxt] = ACTIONS(15),
    [anon_sym_BSLASHrq] = ACTIONS(15),
    [anon_sym_BSLASHadd] = ACTIONS(15),
    [anon_sym_BSLASHbk] = ACTIONS(15),
    [anon_sym_BSLASHdc] = ACTIONS(15),
    [anon_sym_BSLASHk] = ACTIONS(15),
    [anon_sym_BSLASHnd] = ACTIONS(15),
    [anon_sym_BSLASHord] = ACTIONS(15),
    [anon_sym_BSLASHpn] = ACTIONS(15),
    [anon_sym_BSLASHpng] = ACTIONS(15),
    [anon_sym_BSLASHaddpn] = ACTIONS(15),
    [anon_sym_BSLASHqt] = ACTIONS(15),
    [anon_sym_BSLASHsig] = ACTIONS(15),
    [anon_sym_BSLASHsls] = ACTIONS(15),
    [anon_sym_BSLASHtl] = ACTIONS(15),
    [anon_sym_BSLASHwj] = ACTIONS(15),
    [anon_sym_BSLASHem] = ACTIONS(15),
    [anon_sym_BSLASHbd] = ACTIONS(15),
    [anon_sym_BSLASHit] = ACTIONS(15),
    [anon_sym_BSLASHbdit] = ACTIONS(15),
    [anon_sym_BSLASHno] = ACTIONS(15),
    [anon_sym_BSLASHsc] = ACTIONS(15),
    [anon_sym_BSLASHsup] = ACTIONS(15),
    [anon_sym_BSLASHndx] = ACTIONS(15),
    [anon_sym_BSLASHpro] = ACTIONS(15),
    [anon_sym_BSLASHrb] = ACTIONS(15),
    [anon_sym_BSLASHw] = ACTIONS(15),
    [anon_sym_BSLASHwg] = ACTIONS(15),
    [anon_sym_BSLASHwh] = ACTIONS(15),
    [anon_sym_BSLASHwa] = ACTIONS(15),
    [anon_sym_BSLASHfig] = ACTIONS(15),
    [anon_sym_BSLASHjmp] = ACTIONS(15),
    [anon_sym_BSLASHpb] = ACTIONS(15),
    [anon_sym_BSLASH] = ACTIONS(15),
    [sym_milestoneStartTag] = ACTIONS(15),
    [sym_milestoneEndTag] = ACTIONS(15),
    [sym_zSpaceTag] = ACTIONS(15),
    [anon_sym_BSLASHesbe] = ACTIONS(15),
    [anon_sym_BSLASHcat] = ACTIONS(15),
  },
  [655] = {
    [aux_sym_text_token1] = ACTIONS(2679),
    [anon_sym_BSLASHref] = ACTIONS(2681),
    [anon_sym_BSLASHsts] = ACTIONS(2681),
    [anon_sym_BSLASHrem] = ACTIONS(2681),
    [anon_sym_BSLASHrestore] = ACTIONS(2681),
    [anon_sym_BSLASHlit] = ACTIONS(2681),
    [anon_sym_BSLASHip] = ACTIONS(2681),
    [anon_sym_BSLASHv] = ACTIONS(2681),
    [anon_sym_BSLASHva] = ACTIONS(2681),
    [anon_sym_BSLASHvp] = ACTIONS(2681),
    [anon_sym_BSLASHmte] = ACTIONS(2681),
    [anon_sym_BSLASHms] = ACTIONS(2681),
    [anon_sym_BSLASHs] = ACTIONS(2681),
    [anon_sym_BSLASHr] = ACTIONS(2681),
    [anon_sym_BSLASHsp] = ACTIONS(2681),
    [anon_sym_BSLASHd] = ACTIONS(2681),
    [anon_sym_BSLASHsd] = ACTIONS(2681),
    [anon_sym_BSLASHp] = ACTIONS(2681),
    [anon_sym_BSLASHm] = ACTIONS(2681),
    [anon_sym_BSLASHpo] = ACTIONS(2681),
    [anon_sym_BSLASHpr] = ACTIONS(2681),
    [anon_sym_BSLASHcls] = ACTIONS(2681),
    [anon_sym_BSLASHpmo] = ACTIONS(2681),
    [anon_sym_BSLASHpm] = ACTIONS(2681),
    [anon_sym_BSLASHpmc] = ACTIONS(2681),
    [anon_sym_BSLASHpmr] = ACTIONS(2681),
    [anon_sym_BSLASHpi] = ACTIONS(2681),
    [anon_sym_BSLASHmi] = ACTIONS(2681),
    [anon_sym_BSLASHnb] = ACTIONS(2681),
    [anon_sym_BSLASHpc] = ACTIONS(2681),
    [anon_sym_BSLASHph] = ACTIONS(2681),
    [anon_sym_BSLASHb] = ACTIONS(2681),
    [anon_sym_BSLASHq] = ACTIONS(2681),
    [anon_sym_BSLASHqr] = ACTIONS(2681),
    [anon_sym_BSLASHqc] = ACTIONS(2681),
    [anon_sym_BSLASHqs] = ACTIONS(2681),
    [anon_sym_BSLASHqa] = ACTIONS(2681),
    [anon_sym_BSLASHqac] = ACTIONS(2681),
    [anon_sym_BSLASHqm] = ACTIONS(2681),
    [anon_sym_BSLASHqd] = ACTIONS(2681),
    [anon_sym_BSLASHlh] = ACTIONS(2681),
    [anon_sym_BSLASHli] = ACTIONS(2681),
    [anon_sym_BSLASHlim] = ACTIONS(2681),
    [anon_sym_BSLASHtr] = ACTIONS(2681),
    [anon_sym_BSLASHf] = ACTIONS(2681),
    [anon_sym_BSLASHfe] = ACTIONS(2681),
    [anon_sym_BSLASHef] = ACTIONS(2681),
    [anon_sym_BSLASHfm] = ACTIONS(2681),
    [anon_sym_BSLASHx] = ACTIONS(2681),
    [anon_sym_BSLASHxt] = ACTIONS(2681),
    [anon_sym_BSLASHrq] = ACTIONS(2681),
    [anon_sym_BSLASHadd] = ACTIONS(2681),
    [anon_sym_BSLASHbk] = ACTIONS(2681),
    [anon_sym_BSLASHdc] = ACTIONS(2681),
    [anon_sym_BSLASHk] = ACTIONS(2681),
    [anon_sym_BSLASHnd] = ACTIONS(2681),
    [anon_sym_BSLASHord] = ACTIONS(2681),
    [anon_sym_BSLASHpn] = ACTIONS(2681),
    [anon_sym_BSLASHpng] = ACTIONS(2681),
    [anon_sym_BSLASHaddpn] = ACTIONS(2681),
    [anon_sym_BSLASHqt] = ACTIONS(2681),
    [anon_sym_BSLASHsig] = ACTIONS(2681),
    [anon_sym_BSLASHsls] = ACTIONS(2681),
    [anon_sym_BSLASHtl] = ACTIONS(2681),
    [anon_sym_BSLASHwj] = ACTIONS(2681),
    [anon_sym_BSLASHem] = ACTIONS(2681),
    [anon_sym_BSLASHbd] = ACTIONS(2681),
    [anon_sym_BSLASHit] = ACTIONS(2681),
    [anon_sym_BSLASHbdit] = ACTIONS(2681),
    [anon_sym_BSLASHno] = ACTIONS(2681),
    [anon_sym_BSLASHsc] = ACTIONS(2681),
    [anon_sym_BSLASHsup] = ACTIONS(2681),
    [anon_sym_BSLASHndx] = ACTIONS(2681),
    [anon_sym_BSLASHpro] = ACTIONS(2681),
    [anon_sym_BSLASHrb] = ACTIONS(2681),
    [anon_sym_BSLASHw] = ACTIONS(2681),
    [anon_sym_BSLASHwg] = ACTIONS(2681),
    [anon_sym_BSLASHwh] = ACTIONS(2681),
    [anon_sym_BSLASHwa] = ACTIONS(2681),
    [anon_sym_BSLASHfig] = ACTIONS(2681),
    [anon_sym_BSLASHjmp] = ACTIONS(2681),
    [anon_sym_BSLASHpb] = ACTIONS(2681),
    [anon_sym_BSLASH] = ACTIONS(2681),
    [sym_milestoneStartTag] = ACTIONS(2681),
    [sym_milestoneEndTag] = ACTIONS(2681),
    [sym_zSpaceTag] = ACTIONS(2681),
    [anon_sym_BSLASHesbe] = ACTIONS(2681),
    [anon_sym_BSLASHcat] = ACTIONS(2681),
  },
  [656] = {
    [aux_sym_text_token1] = ACTIONS(5594),
    [anon_sym_BSLASHref] = ACTIONS(5596),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHfr] = ACTIONS(5596),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHfq] = ACTIONS(5596),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHfqa] = ACTIONS(5596),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHfk] = ACTIONS(5596),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHfl] = ACTIONS(5596),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHfw] = ACTIONS(5596),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHfp] = ACTIONS(5596),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHft] = ACTIONS(5596),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHfdc] = ACTIONS(5596),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHfv] = ACTIONS(5596),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHxt] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5598),
    [anon_sym_BSLASHadd] = ACTIONS(5596),
    [anon_sym_BSLASHbk] = ACTIONS(5596),
    [anon_sym_BSLASHdc] = ACTIONS(5596),
    [anon_sym_BSLASHk] = ACTIONS(5596),
    [anon_sym_BSLASHnd] = ACTIONS(5596),
    [anon_sym_BSLASHord] = ACTIONS(5596),
    [anon_sym_BSLASHpn] = ACTIONS(5596),
    [anon_sym_BSLASHpng] = ACTIONS(5596),
    [anon_sym_BSLASHaddpn] = ACTIONS(5596),
    [anon_sym_BSLASHqt] = ACTIONS(5596),
    [anon_sym_BSLASHsig] = ACTIONS(5596),
    [anon_sym_BSLASHsls] = ACTIONS(5596),
    [anon_sym_BSLASHtl] = ACTIONS(5596),
    [anon_sym_BSLASHwj] = ACTIONS(5596),
    [anon_sym_BSLASHem] = ACTIONS(5596),
    [anon_sym_BSLASHbd] = ACTIONS(5596),
    [anon_sym_BSLASHit] = ACTIONS(5596),
    [anon_sym_BSLASHbdit] = ACTIONS(5596),
    [anon_sym_BSLASHno] = ACTIONS(5596),
    [anon_sym_BSLASHsc] = ACTIONS(5596),
    [anon_sym_BSLASHsup] = ACTIONS(5596),
    [anon_sym_BSLASHndx] = ACTIONS(5596),
    [anon_sym_BSLASHpro] = ACTIONS(5596),
    [anon_sym_BSLASHrb] = ACTIONS(5596),
    [anon_sym_BSLASHw] = ACTIONS(5596),
    [anon_sym_BSLASHwg] = ACTIONS(5596),
    [anon_sym_BSLASHwh] = ACTIONS(5596),
    [anon_sym_BSLASHwa] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5596),
    [anon_sym_BSLASHfig] = ACTIONS(5596),
    [anon_sym_BSLASHjmp] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5596),
    [anon_sym_BSLASHcat] = ACTIONS(5596),
  },
  [657] = {
    [aux_sym_text_token1] = ACTIONS(5354),
    [anon_sym_BSLASHref] = ACTIONS(5356),
    [anon_sym_BSLASHsts] = ACTIONS(5356),
    [anon_sym_BSLASHrem] = ACTIONS(5356),
    [anon_sym_BSLASHrestore] = ACTIONS(5356),
    [anon_sym_BSLASHlit] = ACTIONS(5356),
    [anon_sym_BSLASHip] = ACTIONS(5356),
    [anon_sym_BSLASHv] = ACTIONS(5356),
    [anon_sym_BSLASHva] = ACTIONS(5356),
    [anon_sym_BSLASHvp] = ACTIONS(5356),
    [anon_sym_BSLASHmte] = ACTIONS(5356),
    [anon_sym_BSLASHms] = ACTIONS(5356),
    [anon_sym_BSLASHs] = ACTIONS(5356),
    [anon_sym_BSLASHr] = ACTIONS(5356),
    [anon_sym_BSLASHsp] = ACTIONS(5356),
    [anon_sym_BSLASHd] = ACTIONS(5356),
    [anon_sym_BSLASHsd] = ACTIONS(5356),
    [anon_sym_BSLASHp] = ACTIONS(5356),
    [anon_sym_BSLASHm] = ACTIONS(5356),
    [anon_sym_BSLASHpo] = ACTIONS(5356),
    [anon_sym_BSLASHpr] = ACTIONS(5356),
    [anon_sym_BSLASHcls] = ACTIONS(5356),
    [anon_sym_BSLASHpmo] = ACTIONS(5356),
    [anon_sym_BSLASHpm] = ACTIONS(5356),
    [anon_sym_BSLASHpmc] = ACTIONS(5356),
    [anon_sym_BSLASHpmr] = ACTIONS(5356),
    [anon_sym_BSLASHpi] = ACTIONS(5356),
    [anon_sym_BSLASHmi] = ACTIONS(5356),
    [anon_sym_BSLASHnb] = ACTIONS(5356),
    [anon_sym_BSLASHpc] = ACTIONS(5356),
    [anon_sym_BSLASHph] = ACTIONS(5356),
    [anon_sym_BSLASHb] = ACTIONS(5356),
    [anon_sym_BSLASHq] = ACTIONS(5356),
    [anon_sym_BSLASHqr] = ACTIONS(5356),
    [anon_sym_BSLASHqc] = ACTIONS(5356),
    [anon_sym_BSLASHqs] = ACTIONS(5356),
    [anon_sym_BSLASHqa] = ACTIONS(5356),
    [anon_sym_BSLASHqac] = ACTIONS(5356),
    [anon_sym_BSLASHqm] = ACTIONS(5356),
    [anon_sym_BSLASHqd] = ACTIONS(5356),
    [anon_sym_BSLASHlh] = ACTIONS(5356),
    [anon_sym_BSLASHli] = ACTIONS(5356),
    [anon_sym_BSLASHlim] = ACTIONS(5356),
    [anon_sym_BSLASHtr] = ACTIONS(5356),
    [anon_sym_BSLASHf] = ACTIONS(5356),
    [anon_sym_BSLASHfe] = ACTIONS(5356),
    [anon_sym_BSLASHef] = ACTIONS(5356),
    [anon_sym_BSLASHfm] = ACTIONS(5356),
    [anon_sym_BSLASHx] = ACTIONS(5356),
    [anon_sym_BSLASHxt] = ACTIONS(5356),
    [anon_sym_BSLASHrq] = ACTIONS(5356),
    [anon_sym_BSLASHadd] = ACTIONS(5356),
    [anon_sym_BSLASHbk] = ACTIONS(5356),
    [anon_sym_BSLASHdc] = ACTIONS(5356),
    [anon_sym_BSLASHk] = ACTIONS(5356),
    [anon_sym_BSLASHnd] = ACTIONS(5356),
    [anon_sym_BSLASHord] = ACTIONS(5356),
    [anon_sym_BSLASHpn] = ACTIONS(5356),
    [anon_sym_BSLASHpng] = ACTIONS(5356),
    [anon_sym_BSLASHaddpn] = ACTIONS(5356),
    [anon_sym_BSLASHqt] = ACTIONS(5356),
    [anon_sym_BSLASHsig] = ACTIONS(5356),
    [anon_sym_BSLASHsls] = ACTIONS(5356),
    [anon_sym_BSLASHtl] = ACTIONS(5356),
    [anon_sym_BSLASHwj] = ACTIONS(5356),
    [anon_sym_BSLASHem] = ACTIONS(5356),
    [anon_sym_BSLASHbd] = ACTIONS(5356),
    [anon_sym_BSLASHit] = ACTIONS(5356),
    [anon_sym_BSLASHbdit] = ACTIONS(5356),
    [anon_sym_BSLASHno] = ACTIONS(5356),
    [anon_sym_BSLASHsc] = ACTIONS(5356),
    [anon_sym_BSLASHsup] = ACTIONS(5356),
    [anon_sym_BSLASHndx] = ACTIONS(5356),
    [anon_sym_BSLASHpro] = ACTIONS(5356),
    [anon_sym_BSLASHrb] = ACTIONS(5356),
    [anon_sym_BSLASHw] = ACTIONS(5356),
    [anon_sym_BSLASHwg] = ACTIONS(5356),
    [anon_sym_BSLASHwh] = ACTIONS(5356),
    [anon_sym_BSLASHwa] = ACTIONS(5356),
    [anon_sym_BSLASHfig] = ACTIONS(5356),
    [anon_sym_BSLASHjmp] = ACTIONS(5356),
    [anon_sym_BSLASHpb] = ACTIONS(5356),
    [anon_sym_BSLASH] = ACTIONS(5356),
    [sym_milestoneStartTag] = ACTIONS(5356),
    [sym_milestoneEndTag] = ACTIONS(5356),
    [sym_zSpaceTag] = ACTIONS(5356),
    [anon_sym_BSLASHesbe] = ACTIONS(5356),
    [anon_sym_BSLASHcat] = ACTIONS(5356),
  },
  [658] = {
    [aux_sym_text_token1] = ACTIONS(2699),
    [anon_sym_BSLASHref] = ACTIONS(2701),
    [anon_sym_BSLASHsts] = ACTIONS(2701),
    [anon_sym_BSLASHrem] = ACTIONS(2701),
    [anon_sym_BSLASHrestore] = ACTIONS(2701),
    [anon_sym_BSLASHlit] = ACTIONS(2701),
    [anon_sym_BSLASHip] = ACTIONS(2701),
    [anon_sym_BSLASHv] = ACTIONS(2701),
    [anon_sym_BSLASHva] = ACTIONS(2701),
    [anon_sym_BSLASHvp] = ACTIONS(2701),
    [anon_sym_BSLASHmte] = ACTIONS(2701),
    [anon_sym_BSLASHms] = ACTIONS(2701),
    [anon_sym_BSLASHs] = ACTIONS(2701),
    [anon_sym_BSLASHr] = ACTIONS(2701),
    [anon_sym_BSLASHsp] = ACTIONS(2701),
    [anon_sym_BSLASHd] = ACTIONS(2701),
    [anon_sym_BSLASHsd] = ACTIONS(2701),
    [anon_sym_BSLASHp] = ACTIONS(2701),
    [anon_sym_BSLASHm] = ACTIONS(2701),
    [anon_sym_BSLASHpo] = ACTIONS(2701),
    [anon_sym_BSLASHpr] = ACTIONS(2701),
    [anon_sym_BSLASHcls] = ACTIONS(2701),
    [anon_sym_BSLASHpmo] = ACTIONS(2701),
    [anon_sym_BSLASHpm] = ACTIONS(2701),
    [anon_sym_BSLASHpmc] = ACTIONS(2701),
    [anon_sym_BSLASHpmr] = ACTIONS(2701),
    [anon_sym_BSLASHpi] = ACTIONS(2701),
    [anon_sym_BSLASHmi] = ACTIONS(2701),
    [anon_sym_BSLASHnb] = ACTIONS(2701),
    [anon_sym_BSLASHpc] = ACTIONS(2701),
    [anon_sym_BSLASHph] = ACTIONS(2701),
    [anon_sym_BSLASHb] = ACTIONS(2701),
    [anon_sym_BSLASHq] = ACTIONS(2701),
    [anon_sym_BSLASHqr] = ACTIONS(2701),
    [anon_sym_BSLASHqc] = ACTIONS(2701),
    [anon_sym_BSLASHqs] = ACTIONS(2701),
    [anon_sym_BSLASHqa] = ACTIONS(2701),
    [anon_sym_BSLASHqac] = ACTIONS(2701),
    [anon_sym_BSLASHqm] = ACTIONS(2701),
    [anon_sym_BSLASHqd] = ACTIONS(2701),
    [anon_sym_BSLASHlh] = ACTIONS(2701),
    [anon_sym_BSLASHli] = ACTIONS(2701),
    [anon_sym_BSLASHlim] = ACTIONS(2701),
    [anon_sym_BSLASHtr] = ACTIONS(2701),
    [anon_sym_BSLASHf] = ACTIONS(2701),
    [anon_sym_BSLASHfe] = ACTIONS(2701),
    [anon_sym_BSLASHef] = ACTIONS(2701),
    [anon_sym_BSLASHfm] = ACTIONS(2701),
    [anon_sym_BSLASHx] = ACTIONS(2701),
    [anon_sym_BSLASHxt] = ACTIONS(2701),
    [anon_sym_BSLASHrq] = ACTIONS(2701),
    [anon_sym_BSLASHadd] = ACTIONS(2701),
    [anon_sym_BSLASHbk] = ACTIONS(2701),
    [anon_sym_BSLASHdc] = ACTIONS(2701),
    [anon_sym_BSLASHk] = ACTIONS(2701),
    [anon_sym_BSLASHnd] = ACTIONS(2701),
    [anon_sym_BSLASHord] = ACTIONS(2701),
    [anon_sym_BSLASHpn] = ACTIONS(2701),
    [anon_sym_BSLASHpng] = ACTIONS(2701),
    [anon_sym_BSLASHaddpn] = ACTIONS(2701),
    [anon_sym_BSLASHqt] = ACTIONS(2701),
    [anon_sym_BSLASHsig] = ACTIONS(2701),
    [anon_sym_BSLASHsls] = ACTIONS(2701),
    [anon_sym_BSLASHtl] = ACTIONS(2701),
    [anon_sym_BSLASHwj] = ACTIONS(2701),
    [anon_sym_BSLASHem] = ACTIONS(2701),
    [anon_sym_BSLASHbd] = ACTIONS(2701),
    [anon_sym_BSLASHit] = ACTIONS(2701),
    [anon_sym_BSLASHbdit] = ACTIONS(2701),
    [anon_sym_BSLASHno] = ACTIONS(2701),
    [anon_sym_BSLASHsc] = ACTIONS(2701),
    [anon_sym_BSLASHsup] = ACTIONS(2701),
    [anon_sym_BSLASHndx] = ACTIONS(2701),
    [anon_sym_BSLASHpro] = ACTIONS(2701),
    [anon_sym_BSLASHrb] = ACTIONS(2701),
    [anon_sym_BSLASHw] = ACTIONS(2701),
    [anon_sym_BSLASHwg] = ACTIONS(2701),
    [anon_sym_BSLASHwh] = ACTIONS(2701),
    [anon_sym_BSLASHwa] = ACTIONS(2701),
    [anon_sym_BSLASHfig] = ACTIONS(2701),
    [anon_sym_BSLASHjmp] = ACTIONS(2701),
    [anon_sym_BSLASHpb] = ACTIONS(2701),
    [anon_sym_BSLASH] = ACTIONS(2701),
    [sym_milestoneStartTag] = ACTIONS(2701),
    [sym_milestoneEndTag] = ACTIONS(2701),
    [sym_zSpaceTag] = ACTIONS(2701),
    [anon_sym_BSLASHesbe] = ACTIONS(2701),
    [anon_sym_BSLASHcat] = ACTIONS(2701),
  },
  [659] = {
    [aux_sym_text_token1] = ACTIONS(5334),
    [anon_sym_BSLASHref] = ACTIONS(5336),
    [anon_sym_BSLASHsts] = ACTIONS(5336),
    [anon_sym_BSLASHrem] = ACTIONS(5336),
    [anon_sym_BSLASHrestore] = ACTIONS(5336),
    [anon_sym_BSLASHlit] = ACTIONS(5336),
    [anon_sym_BSLASHip] = ACTIONS(5336),
    [anon_sym_BSLASHv] = ACTIONS(5336),
    [anon_sym_BSLASHva] = ACTIONS(5336),
    [anon_sym_BSLASHvp] = ACTIONS(5336),
    [anon_sym_BSLASHmte] = ACTIONS(5336),
    [anon_sym_BSLASHms] = ACTIONS(5336),
    [anon_sym_BSLASHs] = ACTIONS(5336),
    [anon_sym_BSLASHr] = ACTIONS(5336),
    [anon_sym_BSLASHsp] = ACTIONS(5336),
    [anon_sym_BSLASHd] = ACTIONS(5336),
    [anon_sym_BSLASHsd] = ACTIONS(5336),
    [anon_sym_BSLASHp] = ACTIONS(5336),
    [anon_sym_BSLASHm] = ACTIONS(5336),
    [anon_sym_BSLASHpo] = ACTIONS(5336),
    [anon_sym_BSLASHpr] = ACTIONS(5336),
    [anon_sym_BSLASHcls] = ACTIONS(5336),
    [anon_sym_BSLASHpmo] = ACTIONS(5336),
    [anon_sym_BSLASHpm] = ACTIONS(5336),
    [anon_sym_BSLASHpmc] = ACTIONS(5336),
    [anon_sym_BSLASHpmr] = ACTIONS(5336),
    [anon_sym_BSLASHpi] = ACTIONS(5336),
    [anon_sym_BSLASHmi] = ACTIONS(5336),
    [anon_sym_BSLASHnb] = ACTIONS(5336),
    [anon_sym_BSLASHpc] = ACTIONS(5336),
    [anon_sym_BSLASHph] = ACTIONS(5336),
    [anon_sym_BSLASHb] = ACTIONS(5336),
    [anon_sym_BSLASHq] = ACTIONS(5336),
    [anon_sym_BSLASHqr] = ACTIONS(5336),
    [anon_sym_BSLASHqc] = ACTIONS(5336),
    [anon_sym_BSLASHqs] = ACTIONS(5336),
    [anon_sym_BSLASHqa] = ACTIONS(5336),
    [anon_sym_BSLASHqac] = ACTIONS(5336),
    [anon_sym_BSLASHqm] = ACTIONS(5336),
    [anon_sym_BSLASHqd] = ACTIONS(5336),
    [anon_sym_BSLASHlh] = ACTIONS(5336),
    [anon_sym_BSLASHli] = ACTIONS(5336),
    [anon_sym_BSLASHlim] = ACTIONS(5336),
    [anon_sym_BSLASHtr] = ACTIONS(5336),
    [anon_sym_BSLASHf] = ACTIONS(5336),
    [anon_sym_BSLASHfe] = ACTIONS(5336),
    [anon_sym_BSLASHef] = ACTIONS(5336),
    [anon_sym_BSLASHfm] = ACTIONS(5336),
    [anon_sym_BSLASHx] = ACTIONS(5336),
    [anon_sym_BSLASHxt] = ACTIONS(5336),
    [anon_sym_BSLASHrq] = ACTIONS(5336),
    [anon_sym_BSLASHadd] = ACTIONS(5336),
    [anon_sym_BSLASHbk] = ACTIONS(5336),
    [anon_sym_BSLASHdc] = ACTIONS(5336),
    [anon_sym_BSLASHk] = ACTIONS(5336),
    [anon_sym_BSLASHnd] = ACTIONS(5336),
    [anon_sym_BSLASHord] = ACTIONS(5336),
    [anon_sym_BSLASHpn] = ACTIONS(5336),
    [anon_sym_BSLASHpng] = ACTIONS(5336),
    [anon_sym_BSLASHaddpn] = ACTIONS(5336),
    [anon_sym_BSLASHqt] = ACTIONS(5336),
    [anon_sym_BSLASHsig] = ACTIONS(5336),
    [anon_sym_BSLASHsls] = ACTIONS(5336),
    [anon_sym_BSLASHtl] = ACTIONS(5336),
    [anon_sym_BSLASHwj] = ACTIONS(5336),
    [anon_sym_BSLASHem] = ACTIONS(5336),
    [anon_sym_BSLASHbd] = ACTIONS(5336),
    [anon_sym_BSLASHit] = ACTIONS(5336),
    [anon_sym_BSLASHbdit] = ACTIONS(5336),
    [anon_sym_BSLASHno] = ACTIONS(5336),
    [anon_sym_BSLASHsc] = ACTIONS(5336),
    [anon_sym_BSLASHsup] = ACTIONS(5336),
    [anon_sym_BSLASHndx] = ACTIONS(5336),
    [anon_sym_BSLASHpro] = ACTIONS(5336),
    [anon_sym_BSLASHrb] = ACTIONS(5336),
    [anon_sym_BSLASHw] = ACTIONS(5336),
    [anon_sym_BSLASHwg] = ACTIONS(5336),
    [anon_sym_BSLASHwh] = ACTIONS(5336),
    [anon_sym_BSLASHwa] = ACTIONS(5336),
    [anon_sym_BSLASHfig] = ACTIONS(5336),
    [anon_sym_BSLASHjmp] = ACTIONS(5336),
    [anon_sym_BSLASHpb] = ACTIONS(5336),
    [anon_sym_BSLASH] = ACTIONS(5336),
    [sym_milestoneStartTag] = ACTIONS(5336),
    [sym_milestoneEndTag] = ACTIONS(5336),
    [sym_zSpaceTag] = ACTIONS(5336),
    [anon_sym_BSLASHesbe] = ACTIONS(5336),
    [anon_sym_BSLASHcat] = ACTIONS(5336),
  },
  [660] = {
    [aux_sym_text_token1] = ACTIONS(21),
    [anon_sym_BSLASHref] = ACTIONS(23),
    [anon_sym_BSLASHsts] = ACTIONS(23),
    [anon_sym_BSLASHrem] = ACTIONS(23),
    [anon_sym_BSLASHrestore] = ACTIONS(23),
    [anon_sym_BSLASHlit] = ACTIONS(23),
    [anon_sym_BSLASHip] = ACTIONS(23),
    [anon_sym_BSLASHv] = ACTIONS(23),
    [anon_sym_BSLASHva] = ACTIONS(23),
    [anon_sym_BSLASHvp] = ACTIONS(23),
    [anon_sym_BSLASHmte] = ACTIONS(23),
    [anon_sym_BSLASHms] = ACTIONS(23),
    [anon_sym_BSLASHs] = ACTIONS(23),
    [anon_sym_BSLASHr] = ACTIONS(23),
    [anon_sym_BSLASHsp] = ACTIONS(23),
    [anon_sym_BSLASHd] = ACTIONS(23),
    [anon_sym_BSLASHsd] = ACTIONS(23),
    [anon_sym_BSLASHp] = ACTIONS(23),
    [anon_sym_BSLASHm] = ACTIONS(23),
    [anon_sym_BSLASHpo] = ACTIONS(23),
    [anon_sym_BSLASHpr] = ACTIONS(23),
    [anon_sym_BSLASHcls] = ACTIONS(23),
    [anon_sym_BSLASHpmo] = ACTIONS(23),
    [anon_sym_BSLASHpm] = ACTIONS(23),
    [anon_sym_BSLASHpmc] = ACTIONS(23),
    [anon_sym_BSLASHpmr] = ACTIONS(23),
    [anon_sym_BSLASHpi] = ACTIONS(23),
    [anon_sym_BSLASHmi] = ACTIONS(23),
    [anon_sym_BSLASHnb] = ACTIONS(23),
    [anon_sym_BSLASHpc] = ACTIONS(23),
    [anon_sym_BSLASHph] = ACTIONS(23),
    [anon_sym_BSLASHb] = ACTIONS(23),
    [anon_sym_BSLASHq] = ACTIONS(23),
    [anon_sym_BSLASHqr] = ACTIONS(23),
    [anon_sym_BSLASHqc] = ACTIONS(23),
    [anon_sym_BSLASHqs] = ACTIONS(23),
    [anon_sym_BSLASHqa] = ACTIONS(23),
    [anon_sym_BSLASHqac] = ACTIONS(23),
    [anon_sym_BSLASHqm] = ACTIONS(23),
    [anon_sym_BSLASHqd] = ACTIONS(23),
    [anon_sym_BSLASHlh] = ACTIONS(23),
    [anon_sym_BSLASHli] = ACTIONS(23),
    [anon_sym_BSLASHlim] = ACTIONS(23),
    [anon_sym_BSLASHtr] = ACTIONS(23),
    [anon_sym_BSLASHf] = ACTIONS(23),
    [anon_sym_BSLASHfe] = ACTIONS(23),
    [anon_sym_BSLASHef] = ACTIONS(23),
    [anon_sym_BSLASHfm] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(23),
    [anon_sym_BSLASHxt] = ACTIONS(23),
    [anon_sym_BSLASHrq] = ACTIONS(23),
    [anon_sym_BSLASHadd] = ACTIONS(23),
    [anon_sym_BSLASHbk] = ACTIONS(23),
    [anon_sym_BSLASHdc] = ACTIONS(23),
    [anon_sym_BSLASHk] = ACTIONS(23),
    [anon_sym_BSLASHnd] = ACTIONS(23),
    [anon_sym_BSLASHord] = ACTIONS(23),
    [anon_sym_BSLASHpn] = ACTIONS(23),
    [anon_sym_BSLASHpng] = ACTIONS(23),
    [anon_sym_BSLASHaddpn] = ACTIONS(23),
    [anon_sym_BSLASHqt] = ACTIONS(23),
    [anon_sym_BSLASHsig] = ACTIONS(23),
    [anon_sym_BSLASHsls] = ACTIONS(23),
    [anon_sym_BSLASHtl] = ACTIONS(23),
    [anon_sym_BSLASHwj] = ACTIONS(23),
    [anon_sym_BSLASHem] = ACTIONS(23),
    [anon_sym_BSLASHbd] = ACTIONS(23),
    [anon_sym_BSLASHit] = ACTIONS(23),
    [anon_sym_BSLASHbdit] = ACTIONS(23),
    [anon_sym_BSLASHno] = ACTIONS(23),
    [anon_sym_BSLASHsc] = ACTIONS(23),
    [anon_sym_BSLASHsup] = ACTIONS(23),
    [anon_sym_BSLASHndx] = ACTIONS(23),
    [anon_sym_BSLASHpro] = ACTIONS(23),
    [anon_sym_BSLASHrb] = ACTIONS(23),
    [anon_sym_BSLASHw] = ACTIONS(23),
    [anon_sym_BSLASHwg] = ACTIONS(23),
    [anon_sym_BSLASHwh] = ACTIONS(23),
    [anon_sym_BSLASHwa] = ACTIONS(23),
    [anon_sym_BSLASHfig] = ACTIONS(23),
    [anon_sym_BSLASHjmp] = ACTIONS(23),
    [anon_sym_BSLASHpb] = ACTIONS(23),
    [anon_sym_BSLASH] = ACTIONS(23),
    [sym_milestoneStartTag] = ACTIONS(23),
    [sym_milestoneEndTag] = ACTIONS(23),
    [sym_zSpaceTag] = ACTIONS(23),
    [anon_sym_BSLASHesbe] = ACTIONS(23),
    [anon_sym_BSLASHcat] = ACTIONS(23),
  },
  [661] = {
    [aux_sym_text_token1] = ACTIONS(25),
    [anon_sym_BSLASHref] = ACTIONS(27),
    [anon_sym_BSLASHsts] = ACTIONS(27),
    [anon_sym_BSLASHrem] = ACTIONS(27),
    [anon_sym_BSLASHrestore] = ACTIONS(27),
    [anon_sym_BSLASHlit] = ACTIONS(27),
    [anon_sym_BSLASHip] = ACTIONS(27),
    [anon_sym_BSLASHv] = ACTIONS(27),
    [anon_sym_BSLASHva] = ACTIONS(27),
    [anon_sym_BSLASHvp] = ACTIONS(27),
    [anon_sym_BSLASHmte] = ACTIONS(27),
    [anon_sym_BSLASHms] = ACTIONS(27),
    [anon_sym_BSLASHs] = ACTIONS(27),
    [anon_sym_BSLASHr] = ACTIONS(27),
    [anon_sym_BSLASHsp] = ACTIONS(27),
    [anon_sym_BSLASHd] = ACTIONS(27),
    [anon_sym_BSLASHsd] = ACTIONS(27),
    [anon_sym_BSLASHp] = ACTIONS(27),
    [anon_sym_BSLASHm] = ACTIONS(27),
    [anon_sym_BSLASHpo] = ACTIONS(27),
    [anon_sym_BSLASHpr] = ACTIONS(27),
    [anon_sym_BSLASHcls] = ACTIONS(27),
    [anon_sym_BSLASHpmo] = ACTIONS(27),
    [anon_sym_BSLASHpm] = ACTIONS(27),
    [anon_sym_BSLASHpmc] = ACTIONS(27),
    [anon_sym_BSLASHpmr] = ACTIONS(27),
    [anon_sym_BSLASHpi] = ACTIONS(27),
    [anon_sym_BSLASHmi] = ACTIONS(27),
    [anon_sym_BSLASHnb] = ACTIONS(27),
    [anon_sym_BSLASHpc] = ACTIONS(27),
    [anon_sym_BSLASHph] = ACTIONS(27),
    [anon_sym_BSLASHb] = ACTIONS(27),
    [anon_sym_BSLASHq] = ACTIONS(27),
    [anon_sym_BSLASHqr] = ACTIONS(27),
    [anon_sym_BSLASHqc] = ACTIONS(27),
    [anon_sym_BSLASHqs] = ACTIONS(27),
    [anon_sym_BSLASHqa] = ACTIONS(27),
    [anon_sym_BSLASHqac] = ACTIONS(27),
    [anon_sym_BSLASHqm] = ACTIONS(27),
    [anon_sym_BSLASHqd] = ACTIONS(27),
    [anon_sym_BSLASHlh] = ACTIONS(27),
    [anon_sym_BSLASHli] = ACTIONS(27),
    [anon_sym_BSLASHlim] = ACTIONS(27),
    [anon_sym_BSLASHtr] = ACTIONS(27),
    [anon_sym_BSLASHf] = ACTIONS(27),
    [anon_sym_BSLASHfe] = ACTIONS(27),
    [anon_sym_BSLASHef] = ACTIONS(27),
    [anon_sym_BSLASHfm] = ACTIONS(27),
    [anon_sym_BSLASHx] = ACTIONS(27),
    [anon_sym_BSLASHxt] = ACTIONS(27),
    [anon_sym_BSLASHrq] = ACTIONS(27),
    [anon_sym_BSLASHadd] = ACTIONS(27),
    [anon_sym_BSLASHbk] = ACTIONS(27),
    [anon_sym_BSLASHdc] = ACTIONS(27),
    [anon_sym_BSLASHk] = ACTIONS(27),
    [anon_sym_BSLASHnd] = ACTIONS(27),
    [anon_sym_BSLASHord] = ACTIONS(27),
    [anon_sym_BSLASHpn] = ACTIONS(27),
    [anon_sym_BSLASHpng] = ACTIONS(27),
    [anon_sym_BSLASHaddpn] = ACTIONS(27),
    [anon_sym_BSLASHqt] = ACTIONS(27),
    [anon_sym_BSLASHsig] = ACTIONS(27),
    [anon_sym_BSLASHsls] = ACTIONS(27),
    [anon_sym_BSLASHtl] = ACTIONS(27),
    [anon_sym_BSLASHwj] = ACTIONS(27),
    [anon_sym_BSLASHem] = ACTIONS(27),
    [anon_sym_BSLASHbd] = ACTIONS(27),
    [anon_sym_BSLASHit] = ACTIONS(27),
    [anon_sym_BSLASHbdit] = ACTIONS(27),
    [anon_sym_BSLASHno] = ACTIONS(27),
    [anon_sym_BSLASHsc] = ACTIONS(27),
    [anon_sym_BSLASHsup] = ACTIONS(27),
    [anon_sym_BSLASHndx] = ACTIONS(27),
    [anon_sym_BSLASHpro] = ACTIONS(27),
    [anon_sym_BSLASHrb] = ACTIONS(27),
    [anon_sym_BSLASHw] = ACTIONS(27),
    [anon_sym_BSLASHwg] = ACTIONS(27),
    [anon_sym_BSLASHwh] = ACTIONS(27),
    [anon_sym_BSLASHwa] = ACTIONS(27),
    [anon_sym_BSLASHfig] = ACTIONS(27),
    [anon_sym_BSLASHjmp] = ACTIONS(27),
    [anon_sym_BSLASHpb] = ACTIONS(27),
    [anon_sym_BSLASH] = ACTIONS(27),
    [sym_milestoneStartTag] = ACTIONS(27),
    [sym_milestoneEndTag] = ACTIONS(27),
    [sym_zSpaceTag] = ACTIONS(27),
    [anon_sym_BSLASHesbe] = ACTIONS(27),
    [anon_sym_BSLASHcat] = ACTIONS(27),
  },
  [662] = {
    [aux_sym_text_token1] = ACTIONS(37),
    [anon_sym_BSLASHref] = ACTIONS(39),
    [anon_sym_BSLASHsts] = ACTIONS(39),
    [anon_sym_BSLASHrem] = ACTIONS(39),
    [anon_sym_BSLASHrestore] = ACTIONS(39),
    [anon_sym_BSLASHlit] = ACTIONS(39),
    [anon_sym_BSLASHip] = ACTIONS(39),
    [anon_sym_BSLASHv] = ACTIONS(39),
    [anon_sym_BSLASHva] = ACTIONS(39),
    [anon_sym_BSLASHvp] = ACTIONS(39),
    [anon_sym_BSLASHmte] = ACTIONS(39),
    [anon_sym_BSLASHms] = ACTIONS(39),
    [anon_sym_BSLASHs] = ACTIONS(39),
    [anon_sym_BSLASHr] = ACTIONS(39),
    [anon_sym_BSLASHsp] = ACTIONS(39),
    [anon_sym_BSLASHd] = ACTIONS(39),
    [anon_sym_BSLASHsd] = ACTIONS(39),
    [anon_sym_BSLASHp] = ACTIONS(39),
    [anon_sym_BSLASHm] = ACTIONS(39),
    [anon_sym_BSLASHpo] = ACTIONS(39),
    [anon_sym_BSLASHpr] = ACTIONS(39),
    [anon_sym_BSLASHcls] = ACTIONS(39),
    [anon_sym_BSLASHpmo] = ACTIONS(39),
    [anon_sym_BSLASHpm] = ACTIONS(39),
    [anon_sym_BSLASHpmc] = ACTIONS(39),
    [anon_sym_BSLASHpmr] = ACTIONS(39),
    [anon_sym_BSLASHpi] = ACTIONS(39),
    [anon_sym_BSLASHmi] = ACTIONS(39),
    [anon_sym_BSLASHnb] = ACTIONS(39),
    [anon_sym_BSLASHpc] = ACTIONS(39),
    [anon_sym_BSLASHph] = ACTIONS(39),
    [anon_sym_BSLASHb] = ACTIONS(39),
    [anon_sym_BSLASHq] = ACTIONS(39),
    [anon_sym_BSLASHqr] = ACTIONS(39),
    [anon_sym_BSLASHqc] = ACTIONS(39),
    [anon_sym_BSLASHqs] = ACTIONS(39),
    [anon_sym_BSLASHqa] = ACTIONS(39),
    [anon_sym_BSLASHqac] = ACTIONS(39),
    [anon_sym_BSLASHqm] = ACTIONS(39),
    [anon_sym_BSLASHqd] = ACTIONS(39),
    [anon_sym_BSLASHlh] = ACTIONS(39),
    [anon_sym_BSLASHli] = ACTIONS(39),
    [anon_sym_BSLASHlim] = ACTIONS(39),
    [anon_sym_BSLASHtr] = ACTIONS(39),
    [anon_sym_BSLASHf] = ACTIONS(39),
    [anon_sym_BSLASHfe] = ACTIONS(39),
    [anon_sym_BSLASHef] = ACTIONS(39),
    [anon_sym_BSLASHfm] = ACTIONS(39),
    [anon_sym_BSLASHx] = ACTIONS(39),
    [anon_sym_BSLASHxt] = ACTIONS(39),
    [anon_sym_BSLASHrq] = ACTIONS(39),
    [anon_sym_BSLASHadd] = ACTIONS(39),
    [anon_sym_BSLASHbk] = ACTIONS(39),
    [anon_sym_BSLASHdc] = ACTIONS(39),
    [anon_sym_BSLASHk] = ACTIONS(39),
    [anon_sym_BSLASHnd] = ACTIONS(39),
    [anon_sym_BSLASHord] = ACTIONS(39),
    [anon_sym_BSLASHpn] = ACTIONS(39),
    [anon_sym_BSLASHpng] = ACTIONS(39),
    [anon_sym_BSLASHaddpn] = ACTIONS(39),
    [anon_sym_BSLASHqt] = ACTIONS(39),
    [anon_sym_BSLASHsig] = ACTIONS(39),
    [anon_sym_BSLASHsls] = ACTIONS(39),
    [anon_sym_BSLASHtl] = ACTIONS(39),
    [anon_sym_BSLASHwj] = ACTIONS(39),
    [anon_sym_BSLASHem] = ACTIONS(39),
    [anon_sym_BSLASHbd] = ACTIONS(39),
    [anon_sym_BSLASHit] = ACTIONS(39),
    [anon_sym_BSLASHbdit] = ACTIONS(39),
    [anon_sym_BSLASHno] = ACTIONS(39),
    [anon_sym_BSLASHsc] = ACTIONS(39),
    [anon_sym_BSLASHsup] = ACTIONS(39),
    [anon_sym_BSLASHndx] = ACTIONS(39),
    [anon_sym_BSLASHpro] = ACTIONS(39),
    [anon_sym_BSLASHrb] = ACTIONS(39),
    [anon_sym_BSLASHw] = ACTIONS(39),
    [anon_sym_BSLASHwg] = ACTIONS(39),
    [anon_sym_BSLASHwh] = ACTIONS(39),
    [anon_sym_BSLASHwa] = ACTIONS(39),
    [anon_sym_BSLASHfig] = ACTIONS(39),
    [anon_sym_BSLASHjmp] = ACTIONS(39),
    [anon_sym_BSLASHpb] = ACTIONS(39),
    [anon_sym_BSLASH] = ACTIONS(39),
    [sym_milestoneStartTag] = ACTIONS(39),
    [sym_milestoneEndTag] = ACTIONS(39),
    [sym_zSpaceTag] = ACTIONS(39),
    [anon_sym_BSLASHesbe] = ACTIONS(39),
    [anon_sym_BSLASHcat] = ACTIONS(39),
  },
  [663] = {
    [aux_sym_text_token1] = ACTIONS(2703),
    [anon_sym_BSLASHref] = ACTIONS(2705),
    [anon_sym_BSLASHsts] = ACTIONS(2705),
    [anon_sym_BSLASHrem] = ACTIONS(2705),
    [anon_sym_BSLASHrestore] = ACTIONS(2705),
    [anon_sym_BSLASHlit] = ACTIONS(2705),
    [anon_sym_BSLASHip] = ACTIONS(2705),
    [anon_sym_BSLASHv] = ACTIONS(2705),
    [anon_sym_BSLASHva] = ACTIONS(2705),
    [anon_sym_BSLASHvp] = ACTIONS(2705),
    [anon_sym_BSLASHmte] = ACTIONS(2705),
    [anon_sym_BSLASHms] = ACTIONS(2705),
    [anon_sym_BSLASHs] = ACTIONS(2705),
    [anon_sym_BSLASHr] = ACTIONS(2705),
    [anon_sym_BSLASHsp] = ACTIONS(2705),
    [anon_sym_BSLASHd] = ACTIONS(2705),
    [anon_sym_BSLASHsd] = ACTIONS(2705),
    [anon_sym_BSLASHp] = ACTIONS(2705),
    [anon_sym_BSLASHm] = ACTIONS(2705),
    [anon_sym_BSLASHpo] = ACTIONS(2705),
    [anon_sym_BSLASHpr] = ACTIONS(2705),
    [anon_sym_BSLASHcls] = ACTIONS(2705),
    [anon_sym_BSLASHpmo] = ACTIONS(2705),
    [anon_sym_BSLASHpm] = ACTIONS(2705),
    [anon_sym_BSLASHpmc] = ACTIONS(2705),
    [anon_sym_BSLASHpmr] = ACTIONS(2705),
    [anon_sym_BSLASHpi] = ACTIONS(2705),
    [anon_sym_BSLASHmi] = ACTIONS(2705),
    [anon_sym_BSLASHnb] = ACTIONS(2705),
    [anon_sym_BSLASHpc] = ACTIONS(2705),
    [anon_sym_BSLASHph] = ACTIONS(2705),
    [anon_sym_BSLASHb] = ACTIONS(2705),
    [anon_sym_BSLASHq] = ACTIONS(2705),
    [anon_sym_BSLASHqr] = ACTIONS(2705),
    [anon_sym_BSLASHqc] = ACTIONS(2705),
    [anon_sym_BSLASHqs] = ACTIONS(2705),
    [anon_sym_BSLASHqa] = ACTIONS(2705),
    [anon_sym_BSLASHqac] = ACTIONS(2705),
    [anon_sym_BSLASHqm] = ACTIONS(2705),
    [anon_sym_BSLASHqd] = ACTIONS(2705),
    [anon_sym_BSLASHlh] = ACTIONS(2705),
    [anon_sym_BSLASHli] = ACTIONS(2705),
    [anon_sym_BSLASHlim] = ACTIONS(2705),
    [anon_sym_BSLASHtr] = ACTIONS(2705),
    [anon_sym_BSLASHf] = ACTIONS(2705),
    [anon_sym_BSLASHfe] = ACTIONS(2705),
    [anon_sym_BSLASHef] = ACTIONS(2705),
    [anon_sym_BSLASHfm] = ACTIONS(2705),
    [anon_sym_BSLASHx] = ACTIONS(2705),
    [anon_sym_BSLASHxt] = ACTIONS(2705),
    [anon_sym_BSLASHrq] = ACTIONS(2705),
    [anon_sym_BSLASHadd] = ACTIONS(2705),
    [anon_sym_BSLASHbk] = ACTIONS(2705),
    [anon_sym_BSLASHdc] = ACTIONS(2705),
    [anon_sym_BSLASHk] = ACTIONS(2705),
    [anon_sym_BSLASHnd] = ACTIONS(2705),
    [anon_sym_BSLASHord] = ACTIONS(2705),
    [anon_sym_BSLASHpn] = ACTIONS(2705),
    [anon_sym_BSLASHpng] = ACTIONS(2705),
    [anon_sym_BSLASHaddpn] = ACTIONS(2705),
    [anon_sym_BSLASHqt] = ACTIONS(2705),
    [anon_sym_BSLASHsig] = ACTIONS(2705),
    [anon_sym_BSLASHsls] = ACTIONS(2705),
    [anon_sym_BSLASHtl] = ACTIONS(2705),
    [anon_sym_BSLASHwj] = ACTIONS(2705),
    [anon_sym_BSLASHem] = ACTIONS(2705),
    [anon_sym_BSLASHbd] = ACTIONS(2705),
    [anon_sym_BSLASHit] = ACTIONS(2705),
    [anon_sym_BSLASHbdit] = ACTIONS(2705),
    [anon_sym_BSLASHno] = ACTIONS(2705),
    [anon_sym_BSLASHsc] = ACTIONS(2705),
    [anon_sym_BSLASHsup] = ACTIONS(2705),
    [anon_sym_BSLASHndx] = ACTIONS(2705),
    [anon_sym_BSLASHpro] = ACTIONS(2705),
    [anon_sym_BSLASHrb] = ACTIONS(2705),
    [anon_sym_BSLASHw] = ACTIONS(2705),
    [anon_sym_BSLASHwg] = ACTIONS(2705),
    [anon_sym_BSLASHwh] = ACTIONS(2705),
    [anon_sym_BSLASHwa] = ACTIONS(2705),
    [anon_sym_BSLASHfig] = ACTIONS(2705),
    [anon_sym_BSLASHjmp] = ACTIONS(2705),
    [anon_sym_BSLASHpb] = ACTIONS(2705),
    [anon_sym_BSLASH] = ACTIONS(2705),
    [sym_milestoneStartTag] = ACTIONS(2705),
    [sym_milestoneEndTag] = ACTIONS(2705),
    [sym_zSpaceTag] = ACTIONS(2705),
    [anon_sym_BSLASHesbe] = ACTIONS(2705),
    [anon_sym_BSLASHcat] = ACTIONS(2705),
  },
  [664] = {
    [aux_sym_text_token1] = ACTIONS(2759),
    [anon_sym_BSLASHref] = ACTIONS(2761),
    [anon_sym_BSLASHsts] = ACTIONS(2761),
    [anon_sym_BSLASHrem] = ACTIONS(2761),
    [anon_sym_BSLASHrestore] = ACTIONS(2761),
    [anon_sym_BSLASHlit] = ACTIONS(2761),
    [anon_sym_BSLASHip] = ACTIONS(2761),
    [anon_sym_BSLASHv] = ACTIONS(2761),
    [anon_sym_BSLASHva] = ACTIONS(2761),
    [anon_sym_BSLASHvp] = ACTIONS(2761),
    [anon_sym_BSLASHmte] = ACTIONS(2761),
    [anon_sym_BSLASHms] = ACTIONS(2761),
    [anon_sym_BSLASHs] = ACTIONS(2761),
    [anon_sym_BSLASHr] = ACTIONS(2761),
    [anon_sym_BSLASHsp] = ACTIONS(2761),
    [anon_sym_BSLASHd] = ACTIONS(2761),
    [anon_sym_BSLASHsd] = ACTIONS(2761),
    [anon_sym_BSLASHp] = ACTIONS(2761),
    [anon_sym_BSLASHm] = ACTIONS(2761),
    [anon_sym_BSLASHpo] = ACTIONS(2761),
    [anon_sym_BSLASHpr] = ACTIONS(2761),
    [anon_sym_BSLASHcls] = ACTIONS(2761),
    [anon_sym_BSLASHpmo] = ACTIONS(2761),
    [anon_sym_BSLASHpm] = ACTIONS(2761),
    [anon_sym_BSLASHpmc] = ACTIONS(2761),
    [anon_sym_BSLASHpmr] = ACTIONS(2761),
    [anon_sym_BSLASHpi] = ACTIONS(2761),
    [anon_sym_BSLASHmi] = ACTIONS(2761),
    [anon_sym_BSLASHnb] = ACTIONS(2761),
    [anon_sym_BSLASHpc] = ACTIONS(2761),
    [anon_sym_BSLASHph] = ACTIONS(2761),
    [anon_sym_BSLASHb] = ACTIONS(2761),
    [anon_sym_BSLASHq] = ACTIONS(2761),
    [anon_sym_BSLASHqr] = ACTIONS(2761),
    [anon_sym_BSLASHqc] = ACTIONS(2761),
    [anon_sym_BSLASHqs] = ACTIONS(2761),
    [anon_sym_BSLASHqa] = ACTIONS(2761),
    [anon_sym_BSLASHqac] = ACTIONS(2761),
    [anon_sym_BSLASHqm] = ACTIONS(2761),
    [anon_sym_BSLASHqd] = ACTIONS(2761),
    [anon_sym_BSLASHlh] = ACTIONS(2761),
    [anon_sym_BSLASHli] = ACTIONS(2761),
    [anon_sym_BSLASHlim] = ACTIONS(2761),
    [anon_sym_BSLASHtr] = ACTIONS(2761),
    [anon_sym_BSLASHf] = ACTIONS(2761),
    [anon_sym_BSLASHfe] = ACTIONS(2761),
    [anon_sym_BSLASHef] = ACTIONS(2761),
    [anon_sym_BSLASHfm] = ACTIONS(2761),
    [anon_sym_BSLASHx] = ACTIONS(2761),
    [anon_sym_BSLASHxt] = ACTIONS(2761),
    [anon_sym_BSLASHrq] = ACTIONS(2761),
    [anon_sym_BSLASHadd] = ACTIONS(2761),
    [anon_sym_BSLASHbk] = ACTIONS(2761),
    [anon_sym_BSLASHdc] = ACTIONS(2761),
    [anon_sym_BSLASHk] = ACTIONS(2761),
    [anon_sym_BSLASHnd] = ACTIONS(2761),
    [anon_sym_BSLASHord] = ACTIONS(2761),
    [anon_sym_BSLASHpn] = ACTIONS(2761),
    [anon_sym_BSLASHpng] = ACTIONS(2761),
    [anon_sym_BSLASHaddpn] = ACTIONS(2761),
    [anon_sym_BSLASHqt] = ACTIONS(2761),
    [anon_sym_BSLASHsig] = ACTIONS(2761),
    [anon_sym_BSLASHsls] = ACTIONS(2761),
    [anon_sym_BSLASHtl] = ACTIONS(2761),
    [anon_sym_BSLASHwj] = ACTIONS(2761),
    [anon_sym_BSLASHem] = ACTIONS(2761),
    [anon_sym_BSLASHbd] = ACTIONS(2761),
    [anon_sym_BSLASHit] = ACTIONS(2761),
    [anon_sym_BSLASHbdit] = ACTIONS(2761),
    [anon_sym_BSLASHno] = ACTIONS(2761),
    [anon_sym_BSLASHsc] = ACTIONS(2761),
    [anon_sym_BSLASHsup] = ACTIONS(2761),
    [anon_sym_BSLASHndx] = ACTIONS(2761),
    [anon_sym_BSLASHpro] = ACTIONS(2761),
    [anon_sym_BSLASHrb] = ACTIONS(2761),
    [anon_sym_BSLASHw] = ACTIONS(2761),
    [anon_sym_BSLASHwg] = ACTIONS(2761),
    [anon_sym_BSLASHwh] = ACTIONS(2761),
    [anon_sym_BSLASHwa] = ACTIONS(2761),
    [anon_sym_BSLASHfig] = ACTIONS(2761),
    [anon_sym_BSLASHjmp] = ACTIONS(2761),
    [anon_sym_BSLASHpb] = ACTIONS(2761),
    [anon_sym_BSLASH] = ACTIONS(2761),
    [sym_milestoneStartTag] = ACTIONS(2761),
    [sym_milestoneEndTag] = ACTIONS(2761),
    [sym_zSpaceTag] = ACTIONS(2761),
    [anon_sym_BSLASHesbe] = ACTIONS(2761),
    [anon_sym_BSLASHcat] = ACTIONS(2761),
  },
  [665] = {
    [aux_sym_text_token1] = ACTIONS(2763),
    [anon_sym_BSLASHref] = ACTIONS(2765),
    [anon_sym_BSLASHsts] = ACTIONS(2765),
    [anon_sym_BSLASHrem] = ACTIONS(2765),
    [anon_sym_BSLASHrestore] = ACTIONS(2765),
    [anon_sym_BSLASHlit] = ACTIONS(2765),
    [anon_sym_BSLASHip] = ACTIONS(2765),
    [anon_sym_BSLASHv] = ACTIONS(2765),
    [anon_sym_BSLASHva] = ACTIONS(2765),
    [anon_sym_BSLASHvp] = ACTIONS(2765),
    [anon_sym_BSLASHmte] = ACTIONS(2765),
    [anon_sym_BSLASHms] = ACTIONS(2765),
    [anon_sym_BSLASHs] = ACTIONS(2765),
    [anon_sym_BSLASHr] = ACTIONS(2765),
    [anon_sym_BSLASHsp] = ACTIONS(2765),
    [anon_sym_BSLASHd] = ACTIONS(2765),
    [anon_sym_BSLASHsd] = ACTIONS(2765),
    [anon_sym_BSLASHp] = ACTIONS(2765),
    [anon_sym_BSLASHm] = ACTIONS(2765),
    [anon_sym_BSLASHpo] = ACTIONS(2765),
    [anon_sym_BSLASHpr] = ACTIONS(2765),
    [anon_sym_BSLASHcls] = ACTIONS(2765),
    [anon_sym_BSLASHpmo] = ACTIONS(2765),
    [anon_sym_BSLASHpm] = ACTIONS(2765),
    [anon_sym_BSLASHpmc] = ACTIONS(2765),
    [anon_sym_BSLASHpmr] = ACTIONS(2765),
    [anon_sym_BSLASHpi] = ACTIONS(2765),
    [anon_sym_BSLASHmi] = ACTIONS(2765),
    [anon_sym_BSLASHnb] = ACTIONS(2765),
    [anon_sym_BSLASHpc] = ACTIONS(2765),
    [anon_sym_BSLASHph] = ACTIONS(2765),
    [anon_sym_BSLASHb] = ACTIONS(2765),
    [anon_sym_BSLASHq] = ACTIONS(2765),
    [anon_sym_BSLASHqr] = ACTIONS(2765),
    [anon_sym_BSLASHqc] = ACTIONS(2765),
    [anon_sym_BSLASHqs] = ACTIONS(2765),
    [anon_sym_BSLASHqa] = ACTIONS(2765),
    [anon_sym_BSLASHqac] = ACTIONS(2765),
    [anon_sym_BSLASHqm] = ACTIONS(2765),
    [anon_sym_BSLASHqd] = ACTIONS(2765),
    [anon_sym_BSLASHlh] = ACTIONS(2765),
    [anon_sym_BSLASHli] = ACTIONS(2765),
    [anon_sym_BSLASHlim] = ACTIONS(2765),
    [anon_sym_BSLASHtr] = ACTIONS(2765),
    [anon_sym_BSLASHf] = ACTIONS(2765),
    [anon_sym_BSLASHfe] = ACTIONS(2765),
    [anon_sym_BSLASHef] = ACTIONS(2765),
    [anon_sym_BSLASHfm] = ACTIONS(2765),
    [anon_sym_BSLASHx] = ACTIONS(2765),
    [anon_sym_BSLASHxt] = ACTIONS(2765),
    [anon_sym_BSLASHrq] = ACTIONS(2765),
    [anon_sym_BSLASHadd] = ACTIONS(2765),
    [anon_sym_BSLASHbk] = ACTIONS(2765),
    [anon_sym_BSLASHdc] = ACTIONS(2765),
    [anon_sym_BSLASHk] = ACTIONS(2765),
    [anon_sym_BSLASHnd] = ACTIONS(2765),
    [anon_sym_BSLASHord] = ACTIONS(2765),
    [anon_sym_BSLASHpn] = ACTIONS(2765),
    [anon_sym_BSLASHpng] = ACTIONS(2765),
    [anon_sym_BSLASHaddpn] = ACTIONS(2765),
    [anon_sym_BSLASHqt] = ACTIONS(2765),
    [anon_sym_BSLASHsig] = ACTIONS(2765),
    [anon_sym_BSLASHsls] = ACTIONS(2765),
    [anon_sym_BSLASHtl] = ACTIONS(2765),
    [anon_sym_BSLASHwj] = ACTIONS(2765),
    [anon_sym_BSLASHem] = ACTIONS(2765),
    [anon_sym_BSLASHbd] = ACTIONS(2765),
    [anon_sym_BSLASHit] = ACTIONS(2765),
    [anon_sym_BSLASHbdit] = ACTIONS(2765),
    [anon_sym_BSLASHno] = ACTIONS(2765),
    [anon_sym_BSLASHsc] = ACTIONS(2765),
    [anon_sym_BSLASHsup] = ACTIONS(2765),
    [anon_sym_BSLASHndx] = ACTIONS(2765),
    [anon_sym_BSLASHpro] = ACTIONS(2765),
    [anon_sym_BSLASHrb] = ACTIONS(2765),
    [anon_sym_BSLASHw] = ACTIONS(2765),
    [anon_sym_BSLASHwg] = ACTIONS(2765),
    [anon_sym_BSLASHwh] = ACTIONS(2765),
    [anon_sym_BSLASHwa] = ACTIONS(2765),
    [anon_sym_BSLASHfig] = ACTIONS(2765),
    [anon_sym_BSLASHjmp] = ACTIONS(2765),
    [anon_sym_BSLASHpb] = ACTIONS(2765),
    [anon_sym_BSLASH] = ACTIONS(2765),
    [sym_milestoneStartTag] = ACTIONS(2765),
    [sym_milestoneEndTag] = ACTIONS(2765),
    [sym_zSpaceTag] = ACTIONS(2765),
    [anon_sym_BSLASHesbe] = ACTIONS(2765),
    [anon_sym_BSLASHcat] = ACTIONS(2765),
  },
  [666] = {
    [aux_sym_text_token1] = ACTIONS(5600),
    [anon_sym_BSLASHref] = ACTIONS(5318),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfr] = ACTIONS(5318),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfq] = ACTIONS(5318),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfqa] = ACTIONS(5318),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfk] = ACTIONS(5318),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfl] = ACTIONS(5318),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfw] = ACTIONS(5318),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfp] = ACTIONS(5318),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHft] = ACTIONS(5318),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfdc] = ACTIONS(5318),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHfv] = ACTIONS(5318),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHxt] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSxt_STAR] = ACTIONS(5318),
    [anon_sym_BSLASHadd] = ACTIONS(5318),
    [anon_sym_BSLASHbk] = ACTIONS(5318),
    [anon_sym_BSLASHdc] = ACTIONS(5318),
    [anon_sym_BSLASHk] = ACTIONS(5318),
    [anon_sym_BSLASHnd] = ACTIONS(5318),
    [anon_sym_BSLASHord] = ACTIONS(5318),
    [anon_sym_BSLASHpn] = ACTIONS(5318),
    [anon_sym_BSLASHpng] = ACTIONS(5318),
    [anon_sym_BSLASHaddpn] = ACTIONS(5318),
    [anon_sym_BSLASHqt] = ACTIONS(5318),
    [anon_sym_BSLASHsig] = ACTIONS(5318),
    [anon_sym_BSLASHsls] = ACTIONS(5318),
    [anon_sym_BSLASHtl] = ACTIONS(5318),
    [anon_sym_BSLASHwj] = ACTIONS(5318),
    [anon_sym_BSLASHem] = ACTIONS(5318),
    [anon_sym_BSLASHbd] = ACTIONS(5318),
    [anon_sym_BSLASHit] = ACTIONS(5318),
    [anon_sym_BSLASHbdit] = ACTIONS(5318),
    [anon_sym_BSLASHno] = ACTIONS(5318),
    [anon_sym_BSLASHsc] = ACTIONS(5318),
    [anon_sym_BSLASHsup] = ACTIONS(5318),
    [anon_sym_BSLASHndx] = ACTIONS(5318),
    [anon_sym_BSLASHpro] = ACTIONS(5318),
    [anon_sym_BSLASHrb] = ACTIONS(5318),
    [anon_sym_BSLASHw] = ACTIONS(5318),
    [anon_sym_BSLASHwg] = ACTIONS(5318),
    [anon_sym_BSLASHwh] = ACTIONS(5318),
    [anon_sym_BSLASHwa] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5318),
    [anon_sym_BSLASHfig] = ACTIONS(5318),
    [anon_sym_BSLASHjmp] = ACTIONS(5318),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5318),
    [anon_sym_BSLASHcat] = ACTIONS(5318),
  },
  [667] = {
    [aux_sym_text_token1] = ACTIONS(2707),
    [anon_sym_BSLASHref] = ACTIONS(2709),
    [anon_sym_BSLASHsts] = ACTIONS(2709),
    [anon_sym_BSLASHrem] = ACTIONS(2709),
    [anon_sym_BSLASHrestore] = ACTIONS(2709),
    [anon_sym_BSLASHlit] = ACTIONS(2709),
    [anon_sym_BSLASHip] = ACTIONS(2709),
    [anon_sym_BSLASHv] = ACTIONS(2709),
    [anon_sym_BSLASHva] = ACTIONS(2709),
    [anon_sym_BSLASHvp] = ACTIONS(2709),
    [anon_sym_BSLASHmte] = ACTIONS(2709),
    [anon_sym_BSLASHms] = ACTIONS(2709),
    [anon_sym_BSLASHs] = ACTIONS(2709),
    [anon_sym_BSLASHr] = ACTIONS(2709),
    [anon_sym_BSLASHsp] = ACTIONS(2709),
    [anon_sym_BSLASHd] = ACTIONS(2709),
    [anon_sym_BSLASHsd] = ACTIONS(2709),
    [anon_sym_BSLASHp] = ACTIONS(2709),
    [anon_sym_BSLASHm] = ACTIONS(2709),
    [anon_sym_BSLASHpo] = ACTIONS(2709),
    [anon_sym_BSLASHpr] = ACTIONS(2709),
    [anon_sym_BSLASHcls] = ACTIONS(2709),
    [anon_sym_BSLASHpmo] = ACTIONS(2709),
    [anon_sym_BSLASHpm] = ACTIONS(2709),
    [anon_sym_BSLASHpmc] = ACTIONS(2709),
    [anon_sym_BSLASHpmr] = ACTIONS(2709),
    [anon_sym_BSLASHpi] = ACTIONS(2709),
    [anon_sym_BSLASHmi] = ACTIONS(2709),
    [anon_sym_BSLASHnb] = ACTIONS(2709),
    [anon_sym_BSLASHpc] = ACTIONS(2709),
    [anon_sym_BSLASHph] = ACTIONS(2709),
    [anon_sym_BSLASHb] = ACTIONS(2709),
    [anon_sym_BSLASHq] = ACTIONS(2709),
    [anon_sym_BSLASHqr] = ACTIONS(2709),
    [anon_sym_BSLASHqc] = ACTIONS(2709),
    [anon_sym_BSLASHqs] = ACTIONS(2709),
    [anon_sym_BSLASHqa] = ACTIONS(2709),
    [anon_sym_BSLASHqac] = ACTIONS(2709),
    [anon_sym_BSLASHqm] = ACTIONS(2709),
    [anon_sym_BSLASHqd] = ACTIONS(2709),
    [anon_sym_BSLASHlh] = ACTIONS(2709),
    [anon_sym_BSLASHli] = ACTIONS(2709),
    [anon_sym_BSLASHlim] = ACTIONS(2709),
    [anon_sym_BSLASHtr] = ACTIONS(2709),
    [anon_sym_BSLASHf] = ACTIONS(2709),
    [anon_sym_BSLASHfe] = ACTIONS(2709),
    [anon_sym_BSLASHef] = ACTIONS(2709),
    [anon_sym_BSLASHfm] = ACTIONS(2709),
    [anon_sym_BSLASHx] = ACTIONS(2709),
    [anon_sym_BSLASHxt] = ACTIONS(2709),
    [anon_sym_BSLASHrq] = ACTIONS(2709),
    [anon_sym_BSLASHadd] = ACTIONS(2709),
    [anon_sym_BSLASHbk] = ACTIONS(2709),
    [anon_sym_BSLASHdc] = ACTIONS(2709),
    [anon_sym_BSLASHk] = ACTIONS(2709),
    [anon_sym_BSLASHnd] = ACTIONS(2709),
    [anon_sym_BSLASHord] = ACTIONS(2709),
    [anon_sym_BSLASHpn] = ACTIONS(2709),
    [anon_sym_BSLASHpng] = ACTIONS(2709),
    [anon_sym_BSLASHaddpn] = ACTIONS(2709),
    [anon_sym_BSLASHqt] = ACTIONS(2709),
    [anon_sym_BSLASHsig] = ACTIONS(2709),
    [anon_sym_BSLASHsls] = ACTIONS(2709),
    [anon_sym_BSLASHtl] = ACTIONS(2709),
    [anon_sym_BSLASHwj] = ACTIONS(2709),
    [anon_sym_BSLASHem] = ACTIONS(2709),
    [anon_sym_BSLASHbd] = ACTIONS(2709),
    [anon_sym_BSLASHit] = ACTIONS(2709),
    [anon_sym_BSLASHbdit] = ACTIONS(2709),
    [anon_sym_BSLASHno] = ACTIONS(2709),
    [anon_sym_BSLASHsc] = ACTIONS(2709),
    [anon_sym_BSLASHsup] = ACTIONS(2709),
    [anon_sym_BSLASHndx] = ACTIONS(2709),
    [anon_sym_BSLASHpro] = ACTIONS(2709),
    [anon_sym_BSLASHrb] = ACTIONS(2709),
    [anon_sym_BSLASHw] = ACTIONS(2709),
    [anon_sym_BSLASHwg] = ACTIONS(2709),
    [anon_sym_BSLASHwh] = ACTIONS(2709),
    [anon_sym_BSLASHwa] = ACTIONS(2709),
    [anon_sym_BSLASHfig] = ACTIONS(2709),
    [anon_sym_BSLASHjmp] = ACTIONS(2709),
    [anon_sym_BSLASHpb] = ACTIONS(2709),
    [anon_sym_BSLASH] = ACTIONS(2709),
    [sym_milestoneStartTag] = ACTIONS(2709),
    [sym_milestoneEndTag] = ACTIONS(2709),
    [sym_zSpaceTag] = ACTIONS(2709),
    [anon_sym_BSLASHesbe] = ACTIONS(2709),
    [anon_sym_BSLASHcat] = ACTIONS(2709),
  },
  [668] = {
    [aux_sym_text_token1] = ACTIONS(73),
    [anon_sym_BSLASHref] = ACTIONS(75),
    [anon_sym_BSLASHsts] = ACTIONS(75),
    [anon_sym_BSLASHrem] = ACTIONS(75),
    [anon_sym_BSLASHrestore] = ACTIONS(75),
    [anon_sym_BSLASHlit] = ACTIONS(75),
    [anon_sym_BSLASHip] = ACTIONS(75),
    [anon_sym_BSLASHv] = ACTIONS(75),
    [anon_sym_BSLASHva] = ACTIONS(75),
    [anon_sym_BSLASHvp] = ACTIONS(75),
    [anon_sym_BSLASHmte] = ACTIONS(75),
    [anon_sym_BSLASHms] = ACTIONS(75),
    [anon_sym_BSLASHs] = ACTIONS(75),
    [anon_sym_BSLASHr] = ACTIONS(75),
    [anon_sym_BSLASHsp] = ACTIONS(75),
    [anon_sym_BSLASHd] = ACTIONS(75),
    [anon_sym_BSLASHsd] = ACTIONS(75),
    [anon_sym_BSLASHp] = ACTIONS(75),
    [anon_sym_BSLASHm] = ACTIONS(75),
    [anon_sym_BSLASHpo] = ACTIONS(75),
    [anon_sym_BSLASHpr] = ACTIONS(75),
    [anon_sym_BSLASHcls] = ACTIONS(75),
    [anon_sym_BSLASHpmo] = ACTIONS(75),
    [anon_sym_BSLASHpm] = ACTIONS(75),
    [anon_sym_BSLASHpmc] = ACTIONS(75),
    [anon_sym_BSLASHpmr] = ACTIONS(75),
    [anon_sym_BSLASHpi] = ACTIONS(75),
    [anon_sym_BSLASHmi] = ACTIONS(75),
    [anon_sym_BSLASHnb] = ACTIONS(75),
    [anon_sym_BSLASHpc] = ACTIONS(75),
    [anon_sym_BSLASHph] = ACTIONS(75),
    [anon_sym_BSLASHb] = ACTIONS(75),
    [anon_sym_BSLASHq] = ACTIONS(75),
    [anon_sym_BSLASHqr] = ACTIONS(75),
    [anon_sym_BSLASHqc] = ACTIONS(75),
    [anon_sym_BSLASHqs] = ACTIONS(75),
    [anon_sym_BSLASHqa] = ACTIONS(75),
    [anon_sym_BSLASHqac] = ACTIONS(75),
    [anon_sym_BSLASHqm] = ACTIONS(75),
    [anon_sym_BSLASHqd] = ACTIONS(75),
    [anon_sym_BSLASHlh] = ACTIONS(75),
    [anon_sym_BSLASHli] = ACTIONS(75),
    [anon_sym_BSLASHlim] = ACTIONS(75),
    [anon_sym_BSLASHtr] = ACTIONS(75),
    [anon_sym_BSLASHf] = ACTIONS(75),
    [anon_sym_BSLASHfe] = ACTIONS(75),
    [anon_sym_BSLASHef] = ACTIONS(75),
    [anon_sym_BSLASHfm] = ACTIONS(75),
    [anon_sym_BSLASHx] = ACTIONS(75),
    [anon_sym_BSLASHxt] = ACTIONS(75),
    [anon_sym_BSLASHrq] = ACTIONS(75),
    [anon_sym_BSLASHadd] = ACTIONS(75),
    [anon_sym_BSLASHbk] = ACTIONS(75),
    [anon_sym_BSLASHdc] = ACTIONS(75),
    [anon_sym_BSLASHk] = ACTIONS(75),
    [anon_sym_BSLASHnd] = ACTIONS(75),
    [anon_sym_BSLASHord] = ACTIONS(75),
    [anon_sym_BSLASHpn] = ACTIONS(75),
    [anon_sym_BSLASHpng] = ACTIONS(75),
    [anon_sym_BSLASHaddpn] = ACTIONS(75),
    [anon_sym_BSLASHqt] = ACTIONS(75),
    [anon_sym_BSLASHsig] = ACTIONS(75),
    [anon_sym_BSLASHsls] = ACTIONS(75),
    [anon_sym_BSLASHtl] = ACTIONS(75),
    [anon_sym_BSLASHwj] = ACTIONS(75),
    [anon_sym_BSLASHem] = ACTIONS(75),
    [anon_sym_BSLASHbd] = ACTIONS(75),
    [anon_sym_BSLASHit] = ACTIONS(75),
    [anon_sym_BSLASHbdit] = ACTIONS(75),
    [anon_sym_BSLASHno] = ACTIONS(75),
    [anon_sym_BSLASHsc] = ACTIONS(75),
    [anon_sym_BSLASHsup] = ACTIONS(75),
    [anon_sym_BSLASHndx] = ACTIONS(75),
    [anon_sym_BSLASHpro] = ACTIONS(75),
    [anon_sym_BSLASHrb] = ACTIONS(75),
    [anon_sym_BSLASHw] = ACTIONS(75),
    [anon_sym_BSLASHwg] = ACTIONS(75),
    [anon_sym_BSLASHwh] = ACTIONS(75),
    [anon_sym_BSLASHwa] = ACTIONS(75),
    [anon_sym_BSLASHfig] = ACTIONS(75),
    [anon_sym_BSLASHjmp] = ACTIONS(75),
    [anon_sym_BSLASHpb] = ACTIONS(75),
    [anon_sym_BSLASH] = ACTIONS(75),
    [sym_milestoneStartTag] = ACTIONS(75),
    [sym_milestoneEndTag] = ACTIONS(75),
    [sym_zSpaceTag] = ACTIONS(75),
    [anon_sym_BSLASHesbe] = ACTIONS(75),
    [anon_sym_BSLASHcat] = ACTIONS(75),
  },
  [669] = {
    [aux_sym_text_token1] = ACTIONS(2783),
    [anon_sym_BSLASHref] = ACTIONS(2785),
    [anon_sym_BSLASHsts] = ACTIONS(2785),
    [anon_sym_BSLASHrem] = ACTIONS(2785),
    [anon_sym_BSLASHrestore] = ACTIONS(2785),
    [anon_sym_BSLASHlit] = ACTIONS(2785),
    [anon_sym_BSLASHip] = ACTIONS(2785),
    [anon_sym_BSLASHv] = ACTIONS(2785),
    [anon_sym_BSLASHva] = ACTIONS(2785),
    [anon_sym_BSLASHvp] = ACTIONS(2785),
    [anon_sym_BSLASHmte] = ACTIONS(2785),
    [anon_sym_BSLASHms] = ACTIONS(2785),
    [anon_sym_BSLASHs] = ACTIONS(2785),
    [anon_sym_BSLASHr] = ACTIONS(2785),
    [anon_sym_BSLASHsp] = ACTIONS(2785),
    [anon_sym_BSLASHd] = ACTIONS(2785),
    [anon_sym_BSLASHsd] = ACTIONS(2785),
    [anon_sym_BSLASHp] = ACTIONS(2785),
    [anon_sym_BSLASHm] = ACTIONS(2785),
    [anon_sym_BSLASHpo] = ACTIONS(2785),
    [anon_sym_BSLASHpr] = ACTIONS(2785),
    [anon_sym_BSLASHcls] = ACTIONS(2785),
    [anon_sym_BSLASHpmo] = ACTIONS(2785),
    [anon_sym_BSLASHpm] = ACTIONS(2785),
    [anon_sym_BSLASHpmc] = ACTIONS(2785),
    [anon_sym_BSLASHpmr] = ACTIONS(2785),
    [anon_sym_BSLASHpi] = ACTIONS(2785),
    [anon_sym_BSLASHmi] = ACTIONS(2785),
    [anon_sym_BSLASHnb] = ACTIONS(2785),
    [anon_sym_BSLASHpc] = ACTIONS(2785),
    [anon_sym_BSLASHph] = ACTIONS(2785),
    [anon_sym_BSLASHb] = ACTIONS(2785),
    [anon_sym_BSLASHq] = ACTIONS(2785),
    [anon_sym_BSLASHqr] = ACTIONS(2785),
    [anon_sym_BSLASHqc] = ACTIONS(2785),
    [anon_sym_BSLASHqs] = ACTIONS(2785),
    [anon_sym_BSLASHqa] = ACTIONS(2785),
    [anon_sym_BSLASHqac] = ACTIONS(2785),
    [anon_sym_BSLASHqm] = ACTIONS(2785),
    [anon_sym_BSLASHqd] = ACTIONS(2785),
    [anon_sym_BSLASHlh] = ACTIONS(2785),
    [anon_sym_BSLASHli] = ACTIONS(2785),
    [anon_sym_BSLASHlim] = ACTIONS(2785),
    [anon_sym_BSLASHtr] = ACTIONS(2785),
    [anon_sym_BSLASHf] = ACTIONS(2785),
    [anon_sym_BSLASHfe] = ACTIONS(2785),
    [anon_sym_BSLASHef] = ACTIONS(2785),
    [anon_sym_BSLASHfm] = ACTIONS(2785),
    [anon_sym_BSLASHx] = ACTIONS(2785),
    [anon_sym_BSLASHxt] = ACTIONS(2785),
    [anon_sym_BSLASHrq] = ACTIONS(2785),
    [anon_sym_BSLASHadd] = ACTIONS(2785),
    [anon_sym_BSLASHbk] = ACTIONS(2785),
    [anon_sym_BSLASHdc] = ACTIONS(2785),
    [anon_sym_BSLASHk] = ACTIONS(2785),
    [anon_sym_BSLASHnd] = ACTIONS(2785),
    [anon_sym_BSLASHord] = ACTIONS(2785),
    [anon_sym_BSLASHpn] = ACTIONS(2785),
    [anon_sym_BSLASHpng] = ACTIONS(2785),
    [anon_sym_BSLASHaddpn] = ACTIONS(2785),
    [anon_sym_BSLASHqt] = ACTIONS(2785),
    [anon_sym_BSLASHsig] = ACTIONS(2785),
    [anon_sym_BSLASHsls] = ACTIONS(2785),
    [anon_sym_BSLASHtl] = ACTIONS(2785),
    [anon_sym_BSLASHwj] = ACTIONS(2785),
    [anon_sym_BSLASHem] = ACTIONS(2785),
    [anon_sym_BSLASHbd] = ACTIONS(2785),
    [anon_sym_BSLASHit] = ACTIONS(2785),
    [anon_sym_BSLASHbdit] = ACTIONS(2785),
    [anon_sym_BSLASHno] = ACTIONS(2785),
    [anon_sym_BSLASHsc] = ACTIONS(2785),
    [anon_sym_BSLASHsup] = ACTIONS(2785),
    [anon_sym_BSLASHndx] = ACTIONS(2785),
    [anon_sym_BSLASHpro] = ACTIONS(2785),
    [anon_sym_BSLASHrb] = ACTIONS(2785),
    [anon_sym_BSLASHw] = ACTIONS(2785),
    [anon_sym_BSLASHwg] = ACTIONS(2785),
    [anon_sym_BSLASHwh] = ACTIONS(2785),
    [anon_sym_BSLASHwa] = ACTIONS(2785),
    [anon_sym_BSLASHfig] = ACTIONS(2785),
    [anon_sym_BSLASHjmp] = ACTIONS(2785),
    [anon_sym_BSLASHpb] = ACTIONS(2785),
    [anon_sym_BSLASH] = ACTIONS(2785),
    [sym_milestoneStartTag] = ACTIONS(2785),
    [sym_milestoneEndTag] = ACTIONS(2785),
    [sym_zSpaceTag] = ACTIONS(2785),
    [anon_sym_BSLASHesbe] = ACTIONS(2785),
    [anon_sym_BSLASHcat] = ACTIONS(2785),
  },
  [670] = {
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHref] = ACTIONS(7),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHv] = ACTIONS(7),
    [anon_sym_BSLASHva] = ACTIONS(7),
    [anon_sym_BSLASHvp] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqs] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqac] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHx] = ACTIONS(7),
    [anon_sym_BSLASHxt] = ACTIONS(7),
    [anon_sym_BSLASHrq] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [anon_sym_BSLASHesbe] = ACTIONS(7),
    [anon_sym_BSLASHcat] = ACTIONS(7),
  },
  [671] = {
    [aux_sym_text_token1] = ACTIONS(53),
    [anon_sym_BSLASHref] = ACTIONS(55),
    [anon_sym_BSLASHsts] = ACTIONS(55),
    [anon_sym_BSLASHrem] = ACTIONS(55),
    [anon_sym_BSLASHrestore] = ACTIONS(55),
    [anon_sym_BSLASHlit] = ACTIONS(55),
    [anon_sym_BSLASHip] = ACTIONS(55),
    [anon_sym_BSLASHv] = ACTIONS(55),
    [anon_sym_BSLASHva] = ACTIONS(55),
    [anon_sym_BSLASHvp] = ACTIONS(55),
    [anon_sym_BSLASHmte] = ACTIONS(55),
    [anon_sym_BSLASHms] = ACTIONS(55),
    [anon_sym_BSLASHs] = ACTIONS(55),
    [anon_sym_BSLASHr] = ACTIONS(55),
    [anon_sym_BSLASHsp] = ACTIONS(55),
    [anon_sym_BSLASHd] = ACTIONS(55),
    [anon_sym_BSLASHsd] = ACTIONS(55),
    [anon_sym_BSLASHp] = ACTIONS(55),
    [anon_sym_BSLASHm] = ACTIONS(55),
    [anon_sym_BSLASHpo] = ACTIONS(55),
    [anon_sym_BSLASHpr] = ACTIONS(55),
    [anon_sym_BSLASHcls] = ACTIONS(55),
    [anon_sym_BSLASHpmo] = ACTIONS(55),
    [anon_sym_BSLASHpm] = ACTIONS(55),
    [anon_sym_BSLASHpmc] = ACTIONS(55),
    [anon_sym_BSLASHpmr] = ACTIONS(55),
    [anon_sym_BSLASHpi] = ACTIONS(55),
    [anon_sym_BSLASHmi] = ACTIONS(55),
    [anon_sym_BSLASHnb] = ACTIONS(55),
    [anon_sym_BSLASHpc] = ACTIONS(55),
    [anon_sym_BSLASHph] = ACTIONS(55),
    [anon_sym_BSLASHb] = ACTIONS(55),
    [anon_sym_BSLASHq] = ACTIONS(55),
    [anon_sym_BSLASHqr] = ACTIONS(55),
    [anon_sym_BSLASHqc] = ACTIONS(55),
    [anon_sym_BSLASHqs] = ACTIONS(55),
    [anon_sym_BSLASHqa] = ACTIONS(55),
    [anon_sym_BSLASHqac] = ACTIONS(55),
    [anon_sym_BSLASHqm] = ACTIONS(55),
    [anon_sym_BSLASHqd] = ACTIONS(55),
    [anon_sym_BSLASHlh] = ACTIONS(55),
    [anon_sym_BSLASHli] = ACTIONS(55),
    [anon_sym_BSLASHlim] = ACTIONS(55),
    [anon_sym_BSLASHtr] = ACTIONS(55),
    [anon_sym_BSLASHf] = ACTIONS(55),
    [anon_sym_BSLASHfe] = ACTIONS(55),
    [anon_sym_BSLASHef] = ACTIONS(55),
    [anon_sym_BSLASHfm] = ACTIONS(55),
    [anon_sym_BSLASHx] = ACTIONS(55),
    [anon_sym_BSLASHxt] = ACTIONS(55),
    [anon_sym_BSLASHrq] = ACTIONS(55),
    [anon_sym_BSLASHadd] = ACTIONS(55),
    [anon_sym_BSLASHbk] = ACTIONS(55),
    [anon_sym_BSLASHdc] = ACTIONS(55),
    [anon_sym_BSLASHk] = ACTIONS(55),
    [anon_sym_BSLASHnd] = ACTIONS(55),
    [anon_sym_BSLASHord] = ACTIONS(55),
    [anon_sym_BSLASHpn] = ACTIONS(55),
    [anon_sym_BSLASHpng] = ACTIONS(55),
    [anon_sym_BSLASHaddpn] = ACTIONS(55),
    [anon_sym_BSLASHqt] = ACTIONS(55),
    [anon_sym_BSLASHsig] = ACTIONS(55),
    [anon_sym_BSLASHsls] = ACTIONS(55),
    [anon_sym_BSLASHtl] = ACTIONS(55),
    [anon_sym_BSLASHwj] = ACTIONS(55),
    [anon_sym_BSLASHem] = ACTIONS(55),
    [anon_sym_BSLASHbd] = ACTIONS(55),
    [anon_sym_BSLASHit] = ACTIONS(55),
    [anon_sym_BSLASHbdit] = ACTIONS(55),
    [anon_sym_BSLASHno] = ACTIONS(55),
    [anon_sym_BSLASHsc] = ACTIONS(55),
    [anon_sym_BSLASHsup] = ACTIONS(55),
    [anon_sym_BSLASHndx] = ACTIONS(55),
    [anon_sym_BSLASHpro] = ACTIONS(55),
    [anon_sym_BSLASHrb] = ACTIONS(55),
    [anon_sym_BSLASHw] = ACTIONS(55),
    [anon_sym_BSLASHwg] = ACTIONS(55),
    [anon_sym_BSLASHwh] = ACTIONS(55),
    [anon_sym_BSLASHwa] = ACTIONS(55),
    [anon_sym_BSLASHfig] = ACTIONS(55),
    [anon_sym_BSLASHjmp] = ACTIONS(55),
    [anon_sym_BSLASHpb] = ACTIONS(55),
    [anon_sym_BSLASH] = ACTIONS(55),
    [sym_milestoneStartTag] = ACTIONS(55),
    [sym_milestoneEndTag] = ACTIONS(55),
    [sym_zSpaceTag] = ACTIONS(55),
    [anon_sym_BSLASHesbe] = ACTIONS(55),
    [anon_sym_BSLASHcat] = ACTIONS(55),
  },
  [672] = {
    [aux_sym_text_token1] = ACTIONS(2767),
    [anon_sym_BSLASHref] = ACTIONS(2769),
    [anon_sym_BSLASHsts] = ACTIONS(2769),
    [anon_sym_BSLASHrem] = ACTIONS(2769),
    [anon_sym_BSLASHrestore] = ACTIONS(2769),
    [anon_sym_BSLASHlit] = ACTIONS(2769),
    [anon_sym_BSLASHip] = ACTIONS(2769),
    [anon_sym_BSLASHv] = ACTIONS(2769),
    [anon_sym_BSLASHva] = ACTIONS(2769),
    [anon_sym_BSLASHvp] = ACTIONS(2769),
    [anon_sym_BSLASHmte] = ACTIONS(2769),
    [anon_sym_BSLASHms] = ACTIONS(2769),
    [anon_sym_BSLASHs] = ACTIONS(2769),
    [anon_sym_BSLASHr] = ACTIONS(2769),
    [anon_sym_BSLASHsp] = ACTIONS(2769),
    [anon_sym_BSLASHd] = ACTIONS(2769),
    [anon_sym_BSLASHsd] = ACTIONS(2769),
    [anon_sym_BSLASHp] = ACTIONS(2769),
    [anon_sym_BSLASHm] = ACTIONS(2769),
    [anon_sym_BSLASHpo] = ACTIONS(2769),
    [anon_sym_BSLASHpr] = ACTIONS(2769),
    [anon_sym_BSLASHcls] = ACTIONS(2769),
    [anon_sym_BSLASHpmo] = ACTIONS(2769),
    [anon_sym_BSLASHpm] = ACTIONS(2769),
    [anon_sym_BSLASHpmc] = ACTIONS(2769),
    [anon_sym_BSLASHpmr] = ACTIONS(2769),
    [anon_sym_BSLASHpi] = ACTIONS(2769),
    [anon_sym_BSLASHmi] = ACTIONS(2769),
    [anon_sym_BSLASHnb] = ACTIONS(2769),
    [anon_sym_BSLASHpc] = ACTIONS(2769),
    [anon_sym_BSLASHph] = ACTIONS(2769),
    [anon_sym_BSLASHb] = ACTIONS(2769),
    [anon_sym_BSLASHq] = ACTIONS(2769),
    [anon_sym_BSLASHqr] = ACTIONS(2769),
    [anon_sym_BSLASHqc] = ACTIONS(2769),
    [anon_sym_BSLASHqs] = ACTIONS(2769),
    [anon_sym_BSLASHqa] = ACTIONS(2769),
    [anon_sym_BSLASHqac] = ACTIONS(2769),
    [anon_sym_BSLASHqm] = ACTIONS(2769),
    [anon_sym_BSLASHqd] = ACTIONS(2769),
    [anon_sym_BSLASHlh] = ACTIONS(2769),
    [anon_sym_BSLASHli] = ACTIONS(2769),
    [anon_sym_BSLASHlim] = ACTIONS(2769),
    [anon_sym_BSLASHtr] = ACTIONS(2769),
    [anon_sym_BSLASHf] = ACTIONS(2769),
    [anon_sym_BSLASHfe] = ACTIONS(2769),
    [anon_sym_BSLASHef] = ACTIONS(2769),
    [anon_sym_BSLASHfm] = ACTIONS(2769),
    [anon_sym_BSLASHx] = ACTIONS(2769),
    [anon_sym_BSLASHxt] = ACTIONS(2769),
    [anon_sym_BSLASHrq] = ACTIONS(2769),
    [anon_sym_BSLASHadd] = ACTIONS(2769),
    [anon_sym_BSLASHbk] = ACTIONS(2769),
    [anon_sym_BSLASHdc] = ACTIONS(2769),
    [anon_sym_BSLASHk] = ACTIONS(2769),
    [anon_sym_BSLASHnd] = ACTIONS(2769),
    [anon_sym_BSLASHord] = ACTIONS(2769),
    [anon_sym_BSLASHpn] = ACTIONS(2769),
    [anon_sym_BSLASHpng] = ACTIONS(2769),
    [anon_sym_BSLASHaddpn] = ACTIONS(2769),
    [anon_sym_BSLASHqt] = ACTIONS(2769),
    [anon_sym_BSLASHsig] = ACTIONS(2769),
    [anon_sym_BSLASHsls] = ACTIONS(2769),
    [anon_sym_BSLASHtl] = ACTIONS(2769),
    [anon_sym_BSLASHwj] = ACTIONS(2769),
    [anon_sym_BSLASHem] = ACTIONS(2769),
    [anon_sym_BSLASHbd] = ACTIONS(2769),
    [anon_sym_BSLASHit] = ACTIONS(2769),
    [anon_sym_BSLASHbdit] = ACTIONS(2769),
    [anon_sym_BSLASHno] = ACTIONS(2769),
    [anon_sym_BSLASHsc] = ACTIONS(2769),
    [anon_sym_BSLASHsup] = ACTIONS(2769),
    [anon_sym_BSLASHndx] = ACTIONS(2769),
    [anon_sym_BSLASHpro] = ACTIONS(2769),
    [anon_sym_BSLASHrb] = ACTIONS(2769),
    [anon_sym_BSLASHw] = ACTIONS(2769),
    [anon_sym_BSLASHwg] = ACTIONS(2769),
    [anon_sym_BSLASHwh] = ACTIONS(2769),
    [anon_sym_BSLASHwa] = ACTIONS(2769),
    [anon_sym_BSLASHfig] = ACTIONS(2769),
    [anon_sym_BSLASHjmp] = ACTIONS(2769),
    [anon_sym_BSLASHpb] = ACTIONS(2769),
    [anon_sym_BSLASH] = ACTIONS(2769),
    [sym_milestoneStartTag] = ACTIONS(2769),
    [sym_milestoneEndTag] = ACTIONS(2769),
    [sym_zSpaceTag] = ACTIONS(2769),
    [anon_sym_BSLASHesbe] = ACTIONS(2769),
    [anon_sym_BSLASHcat] = ACTIONS(2769),
  },
  [673] = {
    [aux_sym_text_token1] = ACTIONS(2775),
    [anon_sym_BSLASHref] = ACTIONS(2777),
    [anon_sym_BSLASHsts] = ACTIONS(2777),
    [anon_sym_BSLASHrem] = ACTIONS(2777),
    [anon_sym_BSLASHrestore] = ACTIONS(2777),
    [anon_sym_BSLASHlit] = ACTIONS(2777),
    [anon_sym_BSLASHip] = ACTIONS(2777),
    [anon_sym_BSLASHv] = ACTIONS(2777),
    [anon_sym_BSLASHva] = ACTIONS(2777),
    [anon_sym_BSLASHvp] = ACTIONS(2777),
    [anon_sym_BSLASHmte] = ACTIONS(2777),
    [anon_sym_BSLASHms] = ACTIONS(2777),
    [anon_sym_BSLASHs] = ACTIONS(2777),
    [anon_sym_BSLASHr] = ACTIONS(2777),
    [anon_sym_BSLASHsp] = ACTIONS(2777),
    [anon_sym_BSLASHd] = ACTIONS(2777),
    [anon_sym_BSLASHsd] = ACTIONS(2777),
    [anon_sym_BSLASHp] = ACTIONS(2777),
    [anon_sym_BSLASHm] = ACTIONS(2777),
    [anon_sym_BSLASHpo] = ACTIONS(2777),
    [anon_sym_BSLASHpr] = ACTIONS(2777),
    [anon_sym_BSLASHcls] = ACTIONS(2777),
    [anon_sym_BSLASHpmo] = ACTIONS(2777),
    [anon_sym_BSLASHpm] = ACTIONS(2777),
    [anon_sym_BSLASHpmc] = ACTIONS(2777),
    [anon_sym_BSLASHpmr] = ACTIONS(2777),
    [anon_sym_BSLASHpi] = ACTIONS(2777),
    [anon_sym_BSLASHmi] = ACTIONS(2777),
    [anon_sym_BSLASHnb] = ACTIONS(2777),
    [anon_sym_BSLASHpc] = ACTIONS(2777),
    [anon_sym_BSLASHph] = ACTIONS(2777),
    [anon_sym_BSLASHb] = ACTIONS(2777),
    [anon_sym_BSLASHq] = ACTIONS(2777),
    [anon_sym_BSLASHqr] = ACTIONS(2777),
    [anon_sym_BSLASHqc] = ACTIONS(2777),
    [anon_sym_BSLASHqs] = ACTIONS(2777),
    [anon_sym_BSLASHqa] = ACTIONS(2777),
    [anon_sym_BSLASHqac] = ACTIONS(2777),
    [anon_sym_BSLASHqm] = ACTIONS(2777),
    [anon_sym_BSLASHqd] = ACTIONS(2777),
    [anon_sym_BSLASHlh] = ACTIONS(2777),
    [anon_sym_BSLASHli] = ACTIONS(2777),
    [anon_sym_BSLASHlim] = ACTIONS(2777),
    [anon_sym_BSLASHtr] = ACTIONS(2777),
    [anon_sym_BSLASHf] = ACTIONS(2777),
    [anon_sym_BSLASHfe] = ACTIONS(2777),
    [anon_sym_BSLASHef] = ACTIONS(2777),
    [anon_sym_BSLASHfm] = ACTIONS(2777),
    [anon_sym_BSLASHx] = ACTIONS(2777),
    [anon_sym_BSLASHxt] = ACTIONS(2777),
    [anon_sym_BSLASHrq] = ACTIONS(2777),
    [anon_sym_BSLASHadd] = ACTIONS(2777),
    [anon_sym_BSLASHbk] = ACTIONS(2777),
    [anon_sym_BSLASHdc] = ACTIONS(2777),
    [anon_sym_BSLASHk] = ACTIONS(2777),
    [anon_sym_BSLASHnd] = ACTIONS(2777),
    [anon_sym_BSLASHord] = ACTIONS(2777),
    [anon_sym_BSLASHpn] = ACTIONS(2777),
    [anon_sym_BSLASHpng] = ACTIONS(2777),
    [anon_sym_BSLASHaddpn] = ACTIONS(2777),
    [anon_sym_BSLASHqt] = ACTIONS(2777),
    [anon_sym_BSLASHsig] = ACTIONS(2777),
    [anon_sym_BSLASHsls] = ACTIONS(2777),
    [anon_sym_BSLASHtl] = ACTIONS(2777),
    [anon_sym_BSLASHwj] = ACTIONS(2777),
    [anon_sym_BSLASHem] = ACTIONS(2777),
    [anon_sym_BSLASHbd] = ACTIONS(2777),
    [anon_sym_BSLASHit] = ACTIONS(2777),
    [anon_sym_BSLASHbdit] = ACTIONS(2777),
    [anon_sym_BSLASHno] = ACTIONS(2777),
    [anon_sym_BSLASHsc] = ACTIONS(2777),
    [anon_sym_BSLASHsup] = ACTIONS(2777),
    [anon_sym_BSLASHndx] = ACTIONS(2777),
    [anon_sym_BSLASHpro] = ACTIONS(2777),
    [anon_sym_BSLASHrb] = ACTIONS(2777),
    [anon_sym_BSLASHw] = ACTIONS(2777),
    [anon_sym_BSLASHwg] = ACTIONS(2777),
    [anon_sym_BSLASHwh] = ACTIONS(2777),
    [anon_sym_BSLASHwa] = ACTIONS(2777),
    [anon_sym_BSLASHfig] = ACTIONS(2777),
    [anon_sym_BSLASHjmp] = ACTIONS(2777),
    [anon_sym_BSLASHpb] = ACTIONS(2777),
    [anon_sym_BSLASH] = ACTIONS(2777),
    [sym_milestoneStartTag] = ACTIONS(2777),
    [sym_milestoneEndTag] = ACTIONS(2777),
    [sym_zSpaceTag] = ACTIONS(2777),
    [anon_sym_BSLASHesbe] = ACTIONS(2777),
    [anon_sym_BSLASHcat] = ACTIONS(2777),
  },
  [674] = {
    [aux_sym_text_token1] = ACTIONS(2663),
    [anon_sym_BSLASHref] = ACTIONS(2665),
    [anon_sym_BSLASHsts] = ACTIONS(2665),
    [anon_sym_BSLASHrem] = ACTIONS(2665),
    [anon_sym_BSLASHrestore] = ACTIONS(2665),
    [anon_sym_BSLASHlit] = ACTIONS(2665),
    [anon_sym_BSLASHip] = ACTIONS(2665),
    [anon_sym_BSLASHv] = ACTIONS(2665),
    [anon_sym_BSLASHva] = ACTIONS(2665),
    [anon_sym_BSLASHvp] = ACTIONS(2665),
    [anon_sym_BSLASHmte] = ACTIONS(2665),
    [anon_sym_BSLASHms] = ACTIONS(2665),
    [anon_sym_BSLASHs] = ACTIONS(2665),
    [anon_sym_BSLASHr] = ACTIONS(2665),
    [anon_sym_BSLASHsp] = ACTIONS(2665),
    [anon_sym_BSLASHd] = ACTIONS(2665),
    [anon_sym_BSLASHsd] = ACTIONS(2665),
    [anon_sym_BSLASHp] = ACTIONS(2665),
    [anon_sym_BSLASHm] = ACTIONS(2665),
    [anon_sym_BSLASHpo] = ACTIONS(2665),
    [anon_sym_BSLASHpr] = ACTIONS(2665),
    [anon_sym_BSLASHcls] = ACTIONS(2665),
    [anon_sym_BSLASHpmo] = ACTIONS(2665),
    [anon_sym_BSLASHpm] = ACTIONS(2665),
    [anon_sym_BSLASHpmc] = ACTIONS(2665),
    [anon_sym_BSLASHpmr] = ACTIONS(2665),
    [anon_sym_BSLASHpi] = ACTIONS(2665),
    [anon_sym_BSLASHmi] = ACTIONS(2665),
    [anon_sym_BSLASHnb] = ACTIONS(2665),
    [anon_sym_BSLASHpc] = ACTIONS(2665),
    [anon_sym_BSLASHph] = ACTIONS(2665),
    [anon_sym_BSLASHb] = ACTIONS(2665),
    [anon_sym_BSLASHq] = ACTIONS(2665),
    [anon_sym_BSLASHqr] = ACTIONS(2665),
    [anon_sym_BSLASHqc] = ACTIONS(2665),
    [anon_sym_BSLASHqs] = ACTIONS(2665),
    [anon_sym_BSLASHqa] = ACTIONS(2665),
    [anon_sym_BSLASHqac] = ACTIONS(2665),
    [anon_sym_BSLASHqm] = ACTIONS(2665),
    [anon_sym_BSLASHqd] = ACTIONS(2665),
    [anon_sym_BSLASHlh] = ACTIONS(2665),
    [anon_sym_BSLASHli] = ACTIONS(2665),
    [anon_sym_BSLASHlim] = ACTIONS(2665),
    [anon_sym_BSLASHtr] = ACTIONS(2665),
    [anon_sym_BSLASHf] = ACTIONS(2665),
    [anon_sym_BSLASHfe] = ACTIONS(2665),
    [anon_sym_BSLASHef] = ACTIONS(2665),
    [anon_sym_BSLASHfm] = ACTIONS(2665),
    [anon_sym_BSLASHx] = ACTIONS(2665),
    [anon_sym_BSLASHxt] = ACTIONS(2665),
    [anon_sym_BSLASHrq] = ACTIONS(2665),
    [anon_sym_BSLASHadd] = ACTIONS(2665),
    [anon_sym_BSLASHbk] = ACTIONS(2665),
    [anon_sym_BSLASHdc] = ACTIONS(2665),
    [anon_sym_BSLASHk] = ACTIONS(2665),
    [anon_sym_BSLASHnd] = ACTIONS(2665),
    [anon_sym_BSLASHord] = ACTIONS(2665),
    [anon_sym_BSLASHpn] = ACTIONS(2665),
    [anon_sym_BSLASHpng] = ACTIONS(2665),
    [anon_sym_BSLASHaddpn] = ACTIONS(2665),
    [anon_sym_BSLASHqt] = ACTIONS(2665),
    [anon_sym_BSLASHsig] = ACTIONS(2665),
    [anon_sym_BSLASHsls] = ACTIONS(2665),
    [anon_sym_BSLASHtl] = ACTIONS(2665),
    [anon_sym_BSLASHwj] = ACTIONS(2665),
    [anon_sym_BSLASHem] = ACTIONS(2665),
    [anon_sym_BSLASHbd] = ACTIONS(2665),
    [anon_sym_BSLASHit] = ACTIONS(2665),
    [anon_sym_BSLASHbdit] = ACTIONS(2665),
    [anon_sym_BSLASHno] = ACTIONS(2665),
    [anon_sym_BSLASHsc] = ACTIONS(2665),
    [anon_sym_BSLASHsup] = ACTIONS(2665),
    [anon_sym_BSLASHndx] = ACTIONS(2665),
    [anon_sym_BSLASHpro] = ACTIONS(2665),
    [anon_sym_BSLASHrb] = ACTIONS(2665),
    [anon_sym_BSLASHw] = ACTIONS(2665),
    [anon_sym_BSLASHwg] = ACTIONS(2665),
    [anon_sym_BSLASHwh] = ACTIONS(2665),
    [anon_sym_BSLASHwa] = ACTIONS(2665),
    [anon_sym_BSLASHfig] = ACTIONS(2665),
    [anon_sym_BSLASHjmp] = ACTIONS(2665),
    [anon_sym_BSLASHpb] = ACTIONS(2665),
    [anon_sym_BSLASH] = ACTIONS(2665),
    [sym_milestoneStartTag] = ACTIONS(2665),
    [sym_milestoneEndTag] = ACTIONS(2665),
    [sym_zSpaceTag] = ACTIONS(2665),
    [anon_sym_BSLASHesbe] = ACTIONS(2665),
    [anon_sym_BSLASHcat] = ACTIONS(2665),
  },
  [675] = {
    [aux_sym_text_token1] = ACTIONS(2727),
    [anon_sym_BSLASHref] = ACTIONS(2729),
    [anon_sym_BSLASHsts] = ACTIONS(2729),
    [anon_sym_BSLASHrem] = ACTIONS(2729),
    [anon_sym_BSLASHrestore] = ACTIONS(2729),
    [anon_sym_BSLASHlit] = ACTIONS(2729),
    [anon_sym_BSLASHip] = ACTIONS(2729),
    [anon_sym_BSLASHv] = ACTIONS(2729),
    [anon_sym_BSLASHva] = ACTIONS(2729),
    [anon_sym_BSLASHvp] = ACTIONS(2729),
    [anon_sym_BSLASHmte] = ACTIONS(2729),
    [anon_sym_BSLASHms] = ACTIONS(2729),
    [anon_sym_BSLASHs] = ACTIONS(2729),
    [anon_sym_BSLASHr] = ACTIONS(2729),
    [anon_sym_BSLASHsp] = ACTIONS(2729),
    [anon_sym_BSLASHd] = ACTIONS(2729),
    [anon_sym_BSLASHsd] = ACTIONS(2729),
    [anon_sym_BSLASHp] = ACTIONS(2729),
    [anon_sym_BSLASHm] = ACTIONS(2729),
    [anon_sym_BSLASHpo] = ACTIONS(2729),
    [anon_sym_BSLASHpr] = ACTIONS(2729),
    [anon_sym_BSLASHcls] = ACTIONS(2729),
    [anon_sym_BSLASHpmo] = ACTIONS(2729),
    [anon_sym_BSLASHpm] = ACTIONS(2729),
    [anon_sym_BSLASHpmc] = ACTIONS(2729),
    [anon_sym_BSLASHpmr] = ACTIONS(2729),
    [anon_sym_BSLASHpi] = ACTIONS(2729),
    [anon_sym_BSLASHmi] = ACTIONS(2729),
    [anon_sym_BSLASHnb] = ACTIONS(2729),
    [anon_sym_BSLASHpc] = ACTIONS(2729),
    [anon_sym_BSLASHph] = ACTIONS(2729),
    [anon_sym_BSLASHb] = ACTIONS(2729),
    [anon_sym_BSLASHq] = ACTIONS(2729),
    [anon_sym_BSLASHqr] = ACTIONS(2729),
    [anon_sym_BSLASHqc] = ACTIONS(2729),
    [anon_sym_BSLASHqs] = ACTIONS(2729),
    [anon_sym_BSLASHqa] = ACTIONS(2729),
    [anon_sym_BSLASHqac] = ACTIONS(2729),
    [anon_sym_BSLASHqm] = ACTIONS(2729),
    [anon_sym_BSLASHqd] = ACTIONS(2729),
    [anon_sym_BSLASHlh] = ACTIONS(2729),
    [anon_sym_BSLASHli] = ACTIONS(2729),
    [anon_sym_BSLASHlim] = ACTIONS(2729),
    [anon_sym_BSLASHtr] = ACTIONS(2729),
    [anon_sym_BSLASHf] = ACTIONS(2729),
    [anon_sym_BSLASHfe] = ACTIONS(2729),
    [anon_sym_BSLASHef] = ACTIONS(2729),
    [anon_sym_BSLASHfm] = ACTIONS(2729),
    [anon_sym_BSLASHx] = ACTIONS(2729),
    [anon_sym_BSLASHxt] = ACTIONS(2729),
    [anon_sym_BSLASHrq] = ACTIONS(2729),
    [anon_sym_BSLASHadd] = ACTIONS(2729),
    [anon_sym_BSLASHbk] = ACTIONS(2729),
    [anon_sym_BSLASHdc] = ACTIONS(2729),
    [anon_sym_BSLASHk] = ACTIONS(2729),
    [anon_sym_BSLASHnd] = ACTIONS(2729),
    [anon_sym_BSLASHord] = ACTIONS(2729),
    [anon_sym_BSLASHpn] = ACTIONS(2729),
    [anon_sym_BSLASHpng] = ACTIONS(2729),
    [anon_sym_BSLASHaddpn] = ACTIONS(2729),
    [anon_sym_BSLASHqt] = ACTIONS(2729),
    [anon_sym_BSLASHsig] = ACTIONS(2729),
    [anon_sym_BSLASHsls] = ACTIONS(2729),
    [anon_sym_BSLASHtl] = ACTIONS(2729),
    [anon_sym_BSLASHwj] = ACTIONS(2729),
    [anon_sym_BSLASHem] = ACTIONS(2729),
    [anon_sym_BSLASHbd] = ACTIONS(2729),
    [anon_sym_BSLASHit] = ACTIONS(2729),
    [anon_sym_BSLASHbdit] = ACTIONS(2729),
    [anon_sym_BSLASHno] = ACTIONS(2729),
    [anon_sym_BSLASHsc] = ACTIONS(2729),
    [anon_sym_BSLASHsup] = ACTIONS(2729),
    [anon_sym_BSLASHndx] = ACTIONS(2729),
    [anon_sym_BSLASHpro] = ACTIONS(2729),
    [anon_sym_BSLASHrb] = ACTIONS(2729),
    [anon_sym_BSLASHw] = ACTIONS(2729),
    [anon_sym_BSLASHwg] = ACTIONS(2729),
    [anon_sym_BSLASHwh] = ACTIONS(2729),
    [anon_sym_BSLASHwa] = ACTIONS(2729),
    [anon_sym_BSLASHfig] = ACTIONS(2729),
    [anon_sym_BSLASHjmp] = ACTIONS(2729),
    [anon_sym_BSLASHpb] = ACTIONS(2729),
    [anon_sym_BSLASH] = ACTIONS(2729),
    [sym_milestoneStartTag] = ACTIONS(2729),
    [sym_milestoneEndTag] = ACTIONS(2729),
    [sym_zSpaceTag] = ACTIONS(2729),
    [anon_sym_BSLASHesbe] = ACTIONS(2729),
    [anon_sym_BSLASHcat] = ACTIONS(2729),
  },
  [676] = {
    [aux_sym_text_token1] = ACTIONS(2755),
    [anon_sym_BSLASHref] = ACTIONS(2757),
    [anon_sym_BSLASHsts] = ACTIONS(2757),
    [anon_sym_BSLASHrem] = ACTIONS(2757),
    [anon_sym_BSLASHrestore] = ACTIONS(2757),
    [anon_sym_BSLASHlit] = ACTIONS(2757),
    [anon_sym_BSLASHip] = ACTIONS(2757),
    [anon_sym_BSLASHv] = ACTIONS(2757),
    [anon_sym_BSLASHva] = ACTIONS(2757),
    [anon_sym_BSLASHvp] = ACTIONS(2757),
    [anon_sym_BSLASHmte] = ACTIONS(2757),
    [anon_sym_BSLASHms] = ACTIONS(2757),
    [anon_sym_BSLASHs] = ACTIONS(2757),
    [anon_sym_BSLASHr] = ACTIONS(2757),
    [anon_sym_BSLASHsp] = ACTIONS(2757),
    [anon_sym_BSLASHd] = ACTIONS(2757),
    [anon_sym_BSLASHsd] = ACTIONS(2757),
    [anon_sym_BSLASHp] = ACTIONS(2757),
    [anon_sym_BSLASHm] = ACTIONS(2757),
    [anon_sym_BSLASHpo] = ACTIONS(2757),
    [anon_sym_BSLASHpr] = ACTIONS(2757),
    [anon_sym_BSLASHcls] = ACTIONS(2757),
    [anon_sym_BSLASHpmo] = ACTIONS(2757),
    [anon_sym_BSLASHpm] = ACTIONS(2757),
    [anon_sym_BSLASHpmc] = ACTIONS(2757),
    [anon_sym_BSLASHpmr] = ACTIONS(2757),
    [anon_sym_BSLASHpi] = ACTIONS(2757),
    [anon_sym_BSLASHmi] = ACTIONS(2757),
    [anon_sym_BSLASHnb] = ACTIONS(2757),
    [anon_sym_BSLASHpc] = ACTIONS(2757),
    [anon_sym_BSLASHph] = ACTIONS(2757),
    [anon_sym_BSLASHb] = ACTIONS(2757),
    [anon_sym_BSLASHq] = ACTIONS(2757),
    [anon_sym_BSLASHqr] = ACTIONS(2757),
    [anon_sym_BSLASHqc] = ACTIONS(2757),
    [anon_sym_BSLASHqs] = ACTIONS(2757),
    [anon_sym_BSLASHqa] = ACTIONS(2757),
    [anon_sym_BSLASHqac] = ACTIONS(2757),
    [anon_sym_BSLASHqm] = ACTIONS(2757),
    [anon_sym_BSLASHqd] = ACTIONS(2757),
    [anon_sym_BSLASHlh] = ACTIONS(2757),
    [anon_sym_BSLASHli] = ACTIONS(2757),
    [anon_sym_BSLASHlim] = ACTIONS(2757),
    [anon_sym_BSLASHtr] = ACTIONS(2757),
    [anon_sym_BSLASHf] = ACTIONS(2757),
    [anon_sym_BSLASHfe] = ACTIONS(2757),
    [anon_sym_BSLASHef] = ACTIONS(2757),
    [anon_sym_BSLASHfm] = ACTIONS(2757),
    [anon_sym_BSLASHx] = ACTIONS(2757),
    [anon_sym_BSLASHxt] = ACTIONS(2757),
    [anon_sym_BSLASHrq] = ACTIONS(2757),
    [anon_sym_BSLASHadd] = ACTIONS(2757),
    [anon_sym_BSLASHbk] = ACTIONS(2757),
    [anon_sym_BSLASHdc] = ACTIONS(2757),
    [anon_sym_BSLASHk] = ACTIONS(2757),
    [anon_sym_BSLASHnd] = ACTIONS(2757),
    [anon_sym_BSLASHord] = ACTIONS(2757),
    [anon_sym_BSLASHpn] = ACTIONS(2757),
    [anon_sym_BSLASHpng] = ACTIONS(2757),
    [anon_sym_BSLASHaddpn] = ACTIONS(2757),
    [anon_sym_BSLASHqt] = ACTIONS(2757),
    [anon_sym_BSLASHsig] = ACTIONS(2757),
    [anon_sym_BSLASHsls] = ACTIONS(2757),
    [anon_sym_BSLASHtl] = ACTIONS(2757),
    [anon_sym_BSLASHwj] = ACTIONS(2757),
    [anon_sym_BSLASHem] = ACTIONS(2757),
    [anon_sym_BSLASHbd] = ACTIONS(2757),
    [anon_sym_BSLASHit] = ACTIONS(2757),
    [anon_sym_BSLASHbdit] = ACTIONS(2757),
    [anon_sym_BSLASHno] = ACTIONS(2757),
    [anon_sym_BSLASHsc] = ACTIONS(2757),
    [anon_sym_BSLASHsup] = ACTIONS(2757),
    [anon_sym_BSLASHndx] = ACTIONS(2757),
    [anon_sym_BSLASHpro] = ACTIONS(2757),
    [anon_sym_BSLASHrb] = ACTIONS(2757),
    [anon_sym_BSLASHw] = ACTIONS(2757),
    [anon_sym_BSLASHwg] = ACTIONS(2757),
    [anon_sym_BSLASHwh] = ACTIONS(2757),
    [anon_sym_BSLASHwa] = ACTIONS(2757),
    [anon_sym_BSLASHfig] = ACTIONS(2757),
    [anon_sym_BSLASHjmp] = ACTIONS(2757),
    [anon_sym_BSLASHpb] = ACTIONS(2757),
    [anon_sym_BSLASH] = ACTIONS(2757),
    [sym_milestoneStartTag] = ACTIONS(2757),
    [sym_milestoneEndTag] = ACTIONS(2757),
    [sym_zSpaceTag] = ACTIONS(2757),
    [anon_sym_BSLASHesbe] = ACTIONS(2757),
    [anon_sym_BSLASHcat] = ACTIONS(2757),
  },
  [677] = {
    [aux_sym_text_token1] = ACTIONS(2683),
    [anon_sym_BSLASHref] = ACTIONS(2685),
    [anon_sym_BSLASHsts] = ACTIONS(2685),
    [anon_sym_BSLASHrem] = ACTIONS(2685),
    [anon_sym_BSLASHrestore] = ACTIONS(2685),
    [anon_sym_BSLASHlit] = ACTIONS(2685),
    [anon_sym_BSLASHip] = ACTIONS(2685),
    [anon_sym_BSLASHv] = ACTIONS(2685),
    [anon_sym_BSLASHva] = ACTIONS(2685),
    [anon_sym_BSLASHvp] = ACTIONS(2685),
    [anon_sym_BSLASHmte] = ACTIONS(2685),
    [anon_sym_BSLASHms] = ACTIONS(2685),
    [anon_sym_BSLASHs] = ACTIONS(2685),
    [anon_sym_BSLASHr] = ACTIONS(2685),
    [anon_sym_BSLASHsp] = ACTIONS(2685),
    [anon_sym_BSLASHd] = ACTIONS(2685),
    [anon_sym_BSLASHsd] = ACTIONS(2685),
    [anon_sym_BSLASHp] = ACTIONS(2685),
    [anon_sym_BSLASHm] = ACTIONS(2685),
    [anon_sym_BSLASHpo] = ACTIONS(2685),
    [anon_sym_BSLASHpr] = ACTIONS(2685),
    [anon_sym_BSLASHcls] = ACTIONS(2685),
    [anon_sym_BSLASHpmo] = ACTIONS(2685),
    [anon_sym_BSLASHpm] = ACTIONS(2685),
    [anon_sym_BSLASHpmc] = ACTIONS(2685),
    [anon_sym_BSLASHpmr] = ACTIONS(2685),
    [anon_sym_BSLASHpi] = ACTIONS(2685),
    [anon_sym_BSLASHmi] = ACTIONS(2685),
    [anon_sym_BSLASHnb] = ACTIONS(2685),
    [anon_sym_BSLASHpc] = ACTIONS(2685),
    [anon_sym_BSLASHph] = ACTIONS(2685),
    [anon_sym_BSLASHb] = ACTIONS(2685),
    [anon_sym_BSLASHq] = ACTIONS(2685),
    [anon_sym_BSLASHqr] = ACTIONS(2685),
    [anon_sym_BSLASHqc] = ACTIONS(2685),
    [anon_sym_BSLASHqs] = ACTIONS(2685),
    [anon_sym_BSLASHqa] = ACTIONS(2685),
    [anon_sym_BSLASHqac] = ACTIONS(2685),
    [anon_sym_BSLASHqm] = ACTIONS(2685),
    [anon_sym_BSLASHqd] = ACTIONS(2685),
    [anon_sym_BSLASHlh] = ACTIONS(2685),
    [anon_sym_BSLASHli] = ACTIONS(2685),
    [anon_sym_BSLASHlim] = ACTIONS(2685),
    [anon_sym_BSLASHtr] = ACTIONS(2685),
    [anon_sym_BSLASHf] = ACTIONS(2685),
    [anon_sym_BSLASHfe] = ACTIONS(2685),
    [anon_sym_BSLASHef] = ACTIONS(2685),
    [anon_sym_BSLASHfm] = ACTIONS(2685),
    [anon_sym_BSLASHx] = ACTIONS(2685),
    [anon_sym_BSLASHxt] = ACTIONS(2685),
    [anon_sym_BSLASHrq] = ACTIONS(2685),
    [anon_sym_BSLASHadd] = ACTIONS(2685),
    [anon_sym_BSLASHbk] = ACTIONS(2685),
    [anon_sym_BSLASHdc] = ACTIONS(2685),
    [anon_sym_BSLASHk] = ACTIONS(2685),
    [anon_sym_BSLASHnd] = ACTIONS(2685),
    [anon_sym_BSLASHord] = ACTIONS(2685),
    [anon_sym_BSLASHpn] = ACTIONS(2685),
    [anon_sym_BSLASHpng] = ACTIONS(2685),
    [anon_sym_BSLASHaddpn] = ACTIONS(2685),
    [anon_sym_BSLASHqt] = ACTIONS(2685),
    [anon_sym_BSLASHsig] = ACTIONS(2685),
    [anon_sym_BSLASHsls] = ACTIONS(2685),
    [anon_sym_BSLASHtl] = ACTIONS(2685),
    [anon_sym_BSLASHwj] = ACTIONS(2685),
    [anon_sym_BSLASHem] = ACTIONS(2685),
    [anon_sym_BSLASHbd] = ACTIONS(2685),
    [anon_sym_BSLASHit] = ACTIONS(2685),
    [anon_sym_BSLASHbdit] = ACTIONS(2685),
    [anon_sym_BSLASHno] = ACTIONS(2685),
    [anon_sym_BSLASHsc] = ACTIONS(2685),
    [anon_sym_BSLASHsup] = ACTIONS(2685),
    [anon_sym_BSLASHndx] = ACTIONS(2685),
    [anon_sym_BSLASHpro] = ACTIONS(2685),
    [anon_sym_BSLASHrb] = ACTIONS(2685),
    [anon_sym_BSLASHw] = ACTIONS(2685),
    [anon_sym_BSLASHwg] = ACTIONS(2685),
    [anon_sym_BSLASHwh] = ACTIONS(2685),
    [anon_sym_BSLASHwa] = ACTIONS(2685),
    [anon_sym_BSLASHfig] = ACTIONS(2685),
    [anon_sym_BSLASHjmp] = ACTIONS(2685),
    [anon_sym_BSLASHpb] = ACTIONS(2685),
    [anon_sym_BSLASH] = ACTIONS(2685),
    [sym_milestoneStartTag] = ACTIONS(2685),
    [sym_milestoneEndTag] = ACTIONS(2685),
    [sym_zSpaceTag] = ACTIONS(2685),
    [anon_sym_BSLASHesbe] = ACTIONS(2685),
    [anon_sym_BSLASHcat] = ACTIONS(2685),
  },
  [678] = {
    [aux_sym_text_token1] = ACTIONS(5464),
    [anon_sym_BSLASHref] = ACTIONS(5466),
    [anon_sym_BSLASHsts] = ACTIONS(5466),
    [anon_sym_BSLASHrem] = ACTIONS(5466),
    [anon_sym_BSLASHrestore] = ACTIONS(5466),
    [anon_sym_BSLASHlit] = ACTIONS(5466),
    [anon_sym_BSLASHip] = ACTIONS(5466),
    [anon_sym_BSLASHv] = ACTIONS(5466),
    [anon_sym_BSLASHva] = ACTIONS(5466),
    [anon_sym_BSLASHvp] = ACTIONS(5466),
    [anon_sym_BSLASHmte] = ACTIONS(5466),
    [anon_sym_BSLASHms] = ACTIONS(5466),
    [anon_sym_BSLASHs] = ACTIONS(5466),
    [anon_sym_BSLASHr] = ACTIONS(5466),
    [anon_sym_BSLASHsp] = ACTIONS(5466),
    [anon_sym_BSLASHd] = ACTIONS(5466),
    [anon_sym_BSLASHsd] = ACTIONS(5466),
    [anon_sym_BSLASHp] = ACTIONS(5466),
    [anon_sym_BSLASHm] = ACTIONS(5466),
    [anon_sym_BSLASHpo] = ACTIONS(5466),
    [anon_sym_BSLASHpr] = ACTIONS(5466),
    [anon_sym_BSLASHcls] = ACTIONS(5466),
    [anon_sym_BSLASHpmo] = ACTIONS(5466),
    [anon_sym_BSLASHpm] = ACTIONS(5466),
    [anon_sym_BSLASHpmc] = ACTIONS(5466),
    [anon_sym_BSLASHpmr] = ACTIONS(5466),
    [anon_sym_BSLASHpi] = ACTIONS(5466),
    [anon_sym_BSLASHmi] = ACTIONS(5466),
    [anon_sym_BSLASHnb] = ACTIONS(5466),
    [anon_sym_BSLASHpc] = ACTIONS(5466),
    [anon_sym_BSLASHph] = ACTIONS(5466),
    [anon_sym_BSLASHb] = ACTIONS(5466),
    [anon_sym_BSLASHq] = ACTIONS(5466),
    [anon_sym_BSLASHqr] = ACTIONS(5466),
    [anon_sym_BSLASHqc] = ACTIONS(5466),
    [anon_sym_BSLASHqs] = ACTIONS(5466),
    [anon_sym_BSLASHqa] = ACTIONS(5466),
    [anon_sym_BSLASHqac] = ACTIONS(5466),
    [anon_sym_BSLASHqm] = ACTIONS(5466),
    [anon_sym_BSLASHqd] = ACTIONS(5466),
    [anon_sym_BSLASHlh] = ACTIONS(5466),
    [anon_sym_BSLASHli] = ACTIONS(5466),
    [anon_sym_BSLASHlim] = ACTIONS(5466),
    [anon_sym_BSLASHtr] = ACTIONS(5466),
    [anon_sym_BSLASHf] = ACTIONS(5466),
    [anon_sym_BSLASHfe] = ACTIONS(5466),
    [anon_sym_BSLASHef] = ACTIONS(5466),
    [anon_sym_BSLASHfm] = ACTIONS(5466),
    [anon_sym_BSLASHx] = ACTIONS(5466),
    [anon_sym_BSLASHxt] = ACTIONS(5466),
    [anon_sym_BSLASHrq] = ACTIONS(5466),
    [anon_sym_BSLASHadd] = ACTIONS(5466),
    [anon_sym_BSLASHbk] = ACTIONS(5466),
    [anon_sym_BSLASHdc] = ACTIONS(5466),
    [anon_sym_BSLASHk] = ACTIONS(5466),
    [anon_sym_BSLASHnd] = ACTIONS(5466),
    [anon_sym_BSLASHord] = ACTIONS(5466),
    [anon_sym_BSLASHpn] = ACTIONS(5466),
    [anon_sym_BSLASHpng] = ACTIONS(5466),
    [anon_sym_BSLASHaddpn] = ACTIONS(5466),
    [anon_sym_BSLASHqt] = ACTIONS(5466),
    [anon_sym_BSLASHsig] = ACTIONS(5466),
    [anon_sym_BSLASHsls] = ACTIONS(5466),
    [anon_sym_BSLASHtl] = ACTIONS(5466),
    [anon_sym_BSLASHwj] = ACTIONS(5466),
    [anon_sym_BSLASHem] = ACTIONS(5466),
    [anon_sym_BSLASHbd] = ACTIONS(5466),
    [anon_sym_BSLASHit] = ACTIONS(5466),
    [anon_sym_BSLASHbdit] = ACTIONS(5466),
    [anon_sym_BSLASHno] = ACTIONS(5466),
    [anon_sym_BSLASHsc] = ACTIONS(5466),
    [anon_sym_BSLASHsup] = ACTIONS(5466),
    [anon_sym_BSLASHndx] = ACTIONS(5466),
    [anon_sym_BSLASHpro] = ACTIONS(5466),
    [anon_sym_BSLASHrb] = ACTIONS(5466),
    [anon_sym_BSLASHw] = ACTIONS(5466),
    [anon_sym_BSLASHwg] = ACTIONS(5466),
    [anon_sym_BSLASHwh] = ACTIONS(5466),
    [anon_sym_BSLASHwa] = ACTIONS(5466),
    [anon_sym_BSLASHfig] = ACTIONS(5466),
    [anon_sym_BSLASHjmp] = ACTIONS(5466),
    [anon_sym_BSLASHpb] = ACTIONS(5466),
    [anon_sym_BSLASH] = ACTIONS(5466),
    [sym_milestoneStartTag] = ACTIONS(5466),
    [sym_milestoneEndTag] = ACTIONS(5466),
    [sym_zSpaceTag] = ACTIONS(5466),
    [anon_sym_BSLASHesbe] = ACTIONS(5466),
    [anon_sym_BSLASHcat] = ACTIONS(5466),
  },
  [679] = {
    [aux_sym_text_token1] = ACTIONS(5444),
    [anon_sym_BSLASHref] = ACTIONS(5446),
    [anon_sym_BSLASHsts] = ACTIONS(5446),
    [anon_sym_BSLASHrem] = ACTIONS(5446),
    [anon_sym_BSLASHrestore] = ACTIONS(5446),
    [anon_sym_BSLASHlit] = ACTIONS(5446),
    [anon_sym_BSLASHip] = ACTIONS(5446),
    [anon_sym_BSLASHv] = ACTIONS(5446),
    [anon_sym_BSLASHva] = ACTIONS(5446),
    [anon_sym_BSLASHvp] = ACTIONS(5446),
    [anon_sym_BSLASHmte] = ACTIONS(5446),
    [anon_sym_BSLASHms] = ACTIONS(5446),
    [anon_sym_BSLASHs] = ACTIONS(5446),
    [anon_sym_BSLASHr] = ACTIONS(5446),
    [anon_sym_BSLASHsp] = ACTIONS(5446),
    [anon_sym_BSLASHd] = ACTIONS(5446),
    [anon_sym_BSLASHsd] = ACTIONS(5446),
    [anon_sym_BSLASHp] = ACTIONS(5446),
    [anon_sym_BSLASHm] = ACTIONS(5446),
    [anon_sym_BSLASHpo] = ACTIONS(5446),
    [anon_sym_BSLASHpr] = ACTIONS(5446),
    [anon_sym_BSLASHcls] = ACTIONS(5446),
    [anon_sym_BSLASHpmo] = ACTIONS(5446),
    [anon_sym_BSLASHpm] = ACTIONS(5446),
    [anon_sym_BSLASHpmc] = ACTIONS(5446),
    [anon_sym_BSLASHpmr] = ACTIONS(5446),
    [anon_sym_BSLASHpi] = ACTIONS(5446),
    [anon_sym_BSLASHmi] = ACTIONS(5446),
    [anon_sym_BSLASHnb] = ACTIONS(5446),
    [anon_sym_BSLASHpc] = ACTIONS(5446),
    [anon_sym_BSLASHph] = ACTIONS(5446),
    [anon_sym_BSLASHb] = ACTIONS(5446),
    [anon_sym_BSLASHq] = ACTIONS(5446),
    [anon_sym_BSLASHqr] = ACTIONS(5446),
    [anon_sym_BSLASHqc] = ACTIONS(5446),
    [anon_sym_BSLASHqs] = ACTIONS(5446),
    [anon_sym_BSLASHqa] = ACTIONS(5446),
    [anon_sym_BSLASHqac] = ACTIONS(5446),
    [anon_sym_BSLASHqm] = ACTIONS(5446),
    [anon_sym_BSLASHqd] = ACTIONS(5446),
    [anon_sym_BSLASHlh] = ACTIONS(5446),
    [anon_sym_BSLASHli] = ACTIONS(5446),
    [anon_sym_BSLASHlim] = ACTIONS(5446),
    [anon_sym_BSLASHtr] = ACTIONS(5446),
    [anon_sym_BSLASHf] = ACTIONS(5446),
    [anon_sym_BSLASHfe] = ACTIONS(5446),
    [anon_sym_BSLASHef] = ACTIONS(5446),
    [anon_sym_BSLASHfm] = ACTIONS(5446),
    [anon_sym_BSLASHx] = ACTIONS(5446),
    [anon_sym_BSLASHxt] = ACTIONS(5446),
    [anon_sym_BSLASHrq] = ACTIONS(5446),
    [anon_sym_BSLASHadd] = ACTIONS(5446),
    [anon_sym_BSLASHbk] = ACTIONS(5446),
    [anon_sym_BSLASHdc] = ACTIONS(5446),
    [anon_sym_BSLASHk] = ACTIONS(5446),
    [anon_sym_BSLASHnd] = ACTIONS(5446),
    [anon_sym_BSLASHord] = ACTIONS(5446),
    [anon_sym_BSLASHpn] = ACTIONS(5446),
    [anon_sym_BSLASHpng] = ACTIONS(5446),
    [anon_sym_BSLASHaddpn] = ACTIONS(5446),
    [anon_sym_BSLASHqt] = ACTIONS(5446),
    [anon_sym_BSLASHsig] = ACTIONS(5446),
    [anon_sym_BSLASHsls] = ACTIONS(5446),
    [anon_sym_BSLASHtl] = ACTIONS(5446),
    [anon_sym_BSLASHwj] = ACTIONS(5446),
    [anon_sym_BSLASHem] = ACTIONS(5446),
    [anon_sym_BSLASHbd] = ACTIONS(5446),
    [anon_sym_BSLASHit] = ACTIONS(5446),
    [anon_sym_BSLASHbdit] = ACTIONS(5446),
    [anon_sym_BSLASHno] = ACTIONS(5446),
    [anon_sym_BSLASHsc] = ACTIONS(5446),
    [anon_sym_BSLASHsup] = ACTIONS(5446),
    [anon_sym_BSLASHndx] = ACTIONS(5446),
    [anon_sym_BSLASHpro] = ACTIONS(5446),
    [anon_sym_BSLASHrb] = ACTIONS(5446),
    [anon_sym_BSLASHw] = ACTIONS(5446),
    [anon_sym_BSLASHwg] = ACTIONS(5446),
    [anon_sym_BSLASHwh] = ACTIONS(5446),
    [anon_sym_BSLASHwa] = ACTIONS(5446),
    [anon_sym_BSLASHfig] = ACTIONS(5446),
    [anon_sym_BSLASHjmp] = ACTIONS(5446),
    [anon_sym_BSLASHpb] = ACTIONS(5446),
    [anon_sym_BSLASH] = ACTIONS(5446),
    [sym_milestoneStartTag] = ACTIONS(5446),
    [sym_milestoneEndTag] = ACTIONS(5446),
    [sym_zSpaceTag] = ACTIONS(5446),
    [anon_sym_BSLASHesbe] = ACTIONS(5446),
    [anon_sym_BSLASHcat] = ACTIONS(5446),
  },
  [680] = {
    [aux_sym_text_token1] = ACTIONS(5468),
    [anon_sym_BSLASHref] = ACTIONS(5470),
    [anon_sym_BSLASHsts] = ACTIONS(5470),
    [anon_sym_BSLASHrem] = ACTIONS(5470),
    [anon_sym_BSLASHrestore] = ACTIONS(5470),
    [anon_sym_BSLASHlit] = ACTIONS(5470),
    [anon_sym_BSLASHip] = ACTIONS(5470),
    [anon_sym_BSLASHv] = ACTIONS(5470),
    [anon_sym_BSLASHva] = ACTIONS(5470),
    [anon_sym_BSLASHvp] = ACTIONS(5470),
    [anon_sym_BSLASHmte] = ACTIONS(5470),
    [anon_sym_BSLASHms] = ACTIONS(5470),
    [anon_sym_BSLASHs] = ACTIONS(5470),
    [anon_sym_BSLASHr] = ACTIONS(5470),
    [anon_sym_BSLASHsp] = ACTIONS(5470),
    [anon_sym_BSLASHd] = ACTIONS(5470),
    [anon_sym_BSLASHsd] = ACTIONS(5470),
    [anon_sym_BSLASHp] = ACTIONS(5470),
    [anon_sym_BSLASHm] = ACTIONS(5470),
    [anon_sym_BSLASHpo] = ACTIONS(5470),
    [anon_sym_BSLASHpr] = ACTIONS(5470),
    [anon_sym_BSLASHcls] = ACTIONS(5470),
    [anon_sym_BSLASHpmo] = ACTIONS(5470),
    [anon_sym_BSLASHpm] = ACTIONS(5470),
    [anon_sym_BSLASHpmc] = ACTIONS(5470),
    [anon_sym_BSLASHpmr] = ACTIONS(5470),
    [anon_sym_BSLASHpi] = ACTIONS(5470),
    [anon_sym_BSLASHmi] = ACTIONS(5470),
    [anon_sym_BSLASHnb] = ACTIONS(5470),
    [anon_sym_BSLASHpc] = ACTIONS(5470),
    [anon_sym_BSLASHph] = ACTIONS(5470),
    [anon_sym_BSLASHb] = ACTIONS(5470),
    [anon_sym_BSLASHq] = ACTIONS(5470),
    [anon_sym_BSLASHqr] = ACTIONS(5470),
    [anon_sym_BSLASHqc] = ACTIONS(5470),
    [anon_sym_BSLASHqs] = ACTIONS(5470),
    [anon_sym_BSLASHqa] = ACTIONS(5470),
    [anon_sym_BSLASHqac] = ACTIONS(5470),
    [anon_sym_BSLASHqm] = ACTIONS(5470),
    [anon_sym_BSLASHqd] = ACTIONS(5470),
    [anon_sym_BSLASHlh] = ACTIONS(5470),
    [anon_sym_BSLASHli] = ACTIONS(5470),
    [anon_sym_BSLASHlim] = ACTIONS(5470),
    [anon_sym_BSLASHtr] = ACTIONS(5470),
    [anon_sym_BSLASHf] = ACTIONS(5470),
    [anon_sym_BSLASHfe] = ACTIONS(5470),
    [anon_sym_BSLASHef] = ACTIONS(5470),
    [anon_sym_BSLASHfm] = ACTIONS(5470),
    [anon_sym_BSLASHx] = ACTIONS(5470),
    [anon_sym_BSLASHxt] = ACTIONS(5470),
    [anon_sym_BSLASHrq] = ACTIONS(5470),
    [anon_sym_BSLASHadd] = ACTIONS(5470),
    [anon_sym_BSLASHbk] = ACTIONS(5470),
    [anon_sym_BSLASHdc] = ACTIONS(5470),
    [anon_sym_BSLASHk] = ACTIONS(5470),
    [anon_sym_BSLASHnd] = ACTIONS(5470),
    [anon_sym_BSLASHord] = ACTIONS(5470),
    [anon_sym_BSLASHpn] = ACTIONS(5470),
    [anon_sym_BSLASHpng] = ACTIONS(5470),
    [anon_sym_BSLASHaddpn] = ACTIONS(5470),
    [anon_sym_BSLASHqt] = ACTIONS(5470),
    [anon_sym_BSLASHsig] = ACTIONS(5470),
    [anon_sym_BSLASHsls] = ACTIONS(5470),
    [anon_sym_BSLASHtl] = ACTIONS(5470),
    [anon_sym_BSLASHwj] = ACTIONS(5470),
    [anon_sym_BSLASHem] = ACTIONS(5470),
    [anon_sym_BSLASHbd] = ACTIONS(5470),
    [anon_sym_BSLASHit] = ACTIONS(5470),
    [anon_sym_BSLASHbdit] = ACTIONS(5470),
    [anon_sym_BSLASHno] = ACTIONS(5470),
    [anon_sym_BSLASHsc] = ACTIONS(5470),
    [anon_sym_BSLASHsup] = ACTIONS(5470),
    [anon_sym_BSLASHndx] = ACTIONS(5470),
    [anon_sym_BSLASHpro] = ACTIONS(5470),
    [anon_sym_BSLASHrb] = ACTIONS(5470),
    [anon_sym_BSLASHw] = ACTIONS(5470),
    [anon_sym_BSLASHwg] = ACTIONS(5470),
    [anon_sym_BSLASHwh] = ACTIONS(5470),
    [anon_sym_BSLASHwa] = ACTIONS(5470),
    [anon_sym_BSLASHfig] = ACTIONS(5470),
    [anon_sym_BSLASHjmp] = ACTIONS(5470),
    [anon_sym_BSLASHpb] = ACTIONS(5470),
    [anon_sym_BSLASH] = ACTIONS(5470),
    [sym_milestoneStartTag] = ACTIONS(5470),
    [sym_milestoneEndTag] = ACTIONS(5470),
    [sym_zSpaceTag] = ACTIONS(5470),
    [anon_sym_BSLASHesbe] = ACTIONS(5470),
    [anon_sym_BSLASHcat] = ACTIONS(5470),
  },
  [681] = {
    [aux_sym_text_token1] = ACTIONS(57),
    [anon_sym_BSLASHref] = ACTIONS(59),
    [anon_sym_BSLASHsts] = ACTIONS(59),
    [anon_sym_BSLASHrem] = ACTIONS(59),
    [anon_sym_BSLASHrestore] = ACTIONS(59),
    [anon_sym_BSLASHlit] = ACTIONS(59),
    [anon_sym_BSLASHip] = ACTIONS(59),
    [anon_sym_BSLASHv] = ACTIONS(59),
    [anon_sym_BSLASHva] = ACTIONS(59),
    [anon_sym_BSLASHvp] = ACTIONS(59),
    [anon_sym_BSLASHmte] = ACTIONS(59),
    [anon_sym_BSLASHms] = ACTIONS(59),
    [anon_sym_BSLASHs] = ACTIONS(59),
    [anon_sym_BSLASHr] = ACTIONS(59),
    [anon_sym_BSLASHsp] = ACTIONS(59),
    [anon_sym_BSLASHd] = ACTIONS(59),
    [anon_sym_BSLASHsd] = ACTIONS(59),
    [anon_sym_BSLASHp] = ACTIONS(59),
    [anon_sym_BSLASHm] = ACTIONS(59),
    [anon_sym_BSLASHpo] = ACTIONS(59),
    [anon_sym_BSLASHpr] = ACTIONS(59),
    [anon_sym_BSLASHcls] = ACTIONS(59),
    [anon_sym_BSLASHpmo] = ACTIONS(59),
    [anon_sym_BSLASHpm] = ACTIONS(59),
    [anon_sym_BSLASHpmc] = ACTIONS(59),
    [anon_sym_BSLASHpmr] = ACTIONS(59),
    [anon_sym_BSLASHpi] = ACTIONS(59),
    [anon_sym_BSLASHmi] = ACTIONS(59),
    [anon_sym_BSLASHnb] = ACTIONS(59),
    [anon_sym_BSLASHpc] = ACTIONS(59),
    [anon_sym_BSLASHph] = ACTIONS(59),
    [anon_sym_BSLASHb] = ACTIONS(59),
    [anon_sym_BSLASHq] = ACTIONS(59),
    [anon_sym_BSLASHqr] = ACTIONS(59),
    [anon_sym_BSLASHqc] = ACTIONS(59),
    [anon_sym_BSLASHqs] = ACTIONS(59),
    [anon_sym_BSLASHqa] = ACTIONS(59),
    [anon_sym_BSLASHqac] = ACTIONS(59),
    [anon_sym_BSLASHqm] = ACTIONS(59),
    [anon_sym_BSLASHqd] = ACTIONS(59),
    [anon_sym_BSLASHlh] = ACTIONS(59),
    [anon_sym_BSLASHli] = ACTIONS(59),
    [anon_sym_BSLASHlim] = ACTIONS(59),
    [anon_sym_BSLASHtr] = ACTIONS(59),
    [anon_sym_BSLASHf] = ACTIONS(59),
    [anon_sym_BSLASHfe] = ACTIONS(59),
    [anon_sym_BSLASHef] = ACTIONS(59),
    [anon_sym_BSLASHfm] = ACTIONS(59),
    [anon_sym_BSLASHx] = ACTIONS(59),
    [anon_sym_BSLASHxt] = ACTIONS(59),
    [anon_sym_BSLASHrq] = ACTIONS(59),
    [anon_sym_BSLASHadd] = ACTIONS(59),
    [anon_sym_BSLASHbk] = ACTIONS(59),
    [anon_sym_BSLASHdc] = ACTIONS(59),
    [anon_sym_BSLASHk] = ACTIONS(59),
    [anon_sym_BSLASHnd] = ACTIONS(59),
    [anon_sym_BSLASHord] = ACTIONS(59),
    [anon_sym_BSLASHpn] = ACTIONS(59),
    [anon_sym_BSLASHpng] = ACTIONS(59),
    [anon_sym_BSLASHaddpn] = ACTIONS(59),
    [anon_sym_BSLASHqt] = ACTIONS(59),
    [anon_sym_BSLASHsig] = ACTIONS(59),
    [anon_sym_BSLASHsls] = ACTIONS(59),
    [anon_sym_BSLASHtl] = ACTIONS(59),
    [anon_sym_BSLASHwj] = ACTIONS(59),
    [anon_sym_BSLASHem] = ACTIONS(59),
    [anon_sym_BSLASHbd] = ACTIONS(59),
    [anon_sym_BSLASHit] = ACTIONS(59),
    [anon_sym_BSLASHbdit] = ACTIONS(59),
    [anon_sym_BSLASHno] = ACTIONS(59),
    [anon_sym_BSLASHsc] = ACTIONS(59),
    [anon_sym_BSLASHsup] = ACTIONS(59),
    [anon_sym_BSLASHndx] = ACTIONS(59),
    [anon_sym_BSLASHpro] = ACTIONS(59),
    [anon_sym_BSLASHrb] = ACTIONS(59),
    [anon_sym_BSLASHw] = ACTIONS(59),
    [anon_sym_BSLASHwg] = ACTIONS(59),
    [anon_sym_BSLASHwh] = ACTIONS(59),
    [anon_sym_BSLASHwa] = ACTIONS(59),
    [anon_sym_BSLASHfig] = ACTIONS(59),
    [anon_sym_BSLASHjmp] = ACTIONS(59),
    [anon_sym_BSLASHpb] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(59),
    [sym_milestoneStartTag] = ACTIONS(59),
    [sym_milestoneEndTag] = ACTIONS(59),
    [sym_zSpaceTag] = ACTIONS(59),
    [anon_sym_BSLASHesbe] = ACTIONS(59),
    [anon_sym_BSLASHcat] = ACTIONS(59),
  },
  [682] = {
    [aux_sym_text_token1] = ACTIONS(61),
    [anon_sym_BSLASHref] = ACTIONS(63),
    [anon_sym_BSLASHsts] = ACTIONS(63),
    [anon_sym_BSLASHrem] = ACTIONS(63),
    [anon_sym_BSLASHrestore] = ACTIONS(63),
    [anon_sym_BSLASHlit] = ACTIONS(63),
    [anon_sym_BSLASHip] = ACTIONS(63),
    [anon_sym_BSLASHv] = ACTIONS(63),
    [anon_sym_BSLASHva] = ACTIONS(63),
    [anon_sym_BSLASHvp] = ACTIONS(63),
    [anon_sym_BSLASHmte] = ACTIONS(63),
    [anon_sym_BSLASHms] = ACTIONS(63),
    [anon_sym_BSLASHs] = ACTIONS(63),
    [anon_sym_BSLASHr] = ACTIONS(63),
    [anon_sym_BSLASHsp] = ACTIONS(63),
    [anon_sym_BSLASHd] = ACTIONS(63),
    [anon_sym_BSLASHsd] = ACTIONS(63),
    [anon_sym_BSLASHp] = ACTIONS(63),
    [anon_sym_BSLASHm] = ACTIONS(63),
    [anon_sym_BSLASHpo] = ACTIONS(63),
    [anon_sym_BSLASHpr] = ACTIONS(63),
    [anon_sym_BSLASHcls] = ACTIONS(63),
    [anon_sym_BSLASHpmo] = ACTIONS(63),
    [anon_sym_BSLASHpm] = ACTIONS(63),
    [anon_sym_BSLASHpmc] = ACTIONS(63),
    [anon_sym_BSLASHpmr] = ACTIONS(63),
    [anon_sym_BSLASHpi] = ACTIONS(63),
    [anon_sym_BSLASHmi] = ACTIONS(63),
    [anon_sym_BSLASHnb] = ACTIONS(63),
    [anon_sym_BSLASHpc] = ACTIONS(63),
    [anon_sym_BSLASHph] = ACTIONS(63),
    [anon_sym_BSLASHb] = ACTIONS(63),
    [anon_sym_BSLASHq] = ACTIONS(63),
    [anon_sym_BSLASHqr] = ACTIONS(63),
    [anon_sym_BSLASHqc] = ACTIONS(63),
    [anon_sym_BSLASHqs] = ACTIONS(63),
    [anon_sym_BSLASHqa] = ACTIONS(63),
    [anon_sym_BSLASHqac] = ACTIONS(63),
    [anon_sym_BSLASHqm] = ACTIONS(63),
    [anon_sym_BSLASHqd] = ACTIONS(63),
    [anon_sym_BSLASHlh] = ACTIONS(63),
    [anon_sym_BSLASHli] = ACTIONS(63),
    [anon_sym_BSLASHlim] = ACTIONS(63),
    [anon_sym_BSLASHtr] = ACTIONS(63),
    [anon_sym_BSLASHf] = ACTIONS(63),
    [anon_sym_BSLASHfe] = ACTIONS(63),
    [anon_sym_BSLASHef] = ACTIONS(63),
    [anon_sym_BSLASHfm] = ACTIONS(63),
    [anon_sym_BSLASHx] = ACTIONS(63),
    [anon_sym_BSLASHxt] = ACTIONS(63),
    [anon_sym_BSLASHrq] = ACTIONS(63),
    [anon_sym_BSLASHadd] = ACTIONS(63),
    [anon_sym_BSLASHbk] = ACTIONS(63),
    [anon_sym_BSLASHdc] = ACTIONS(63),
    [anon_sym_BSLASHk] = ACTIONS(63),
    [anon_sym_BSLASHnd] = ACTIONS(63),
    [anon_sym_BSLASHord] = ACTIONS(63),
    [anon_sym_BSLASHpn] = ACTIONS(63),
    [anon_sym_BSLASHpng] = ACTIONS(63),
    [anon_sym_BSLASHaddpn] = ACTIONS(63),
    [anon_sym_BSLASHqt] = ACTIONS(63),
    [anon_sym_BSLASHsig] = ACTIONS(63),
    [anon_sym_BSLASHsls] = ACTIONS(63),
    [anon_sym_BSLASHtl] = ACTIONS(63),
    [anon_sym_BSLASHwj] = ACTIONS(63),
    [anon_sym_BSLASHem] = ACTIONS(63),
    [anon_sym_BSLASHbd] = ACTIONS(63),
    [anon_sym_BSLASHit] = ACTIONS(63),
    [anon_sym_BSLASHbdit] = ACTIONS(63),
    [anon_sym_BSLASHno] = ACTIONS(63),
    [anon_sym_BSLASHsc] = ACTIONS(63),
    [anon_sym_BSLASHsup] = ACTIONS(63),
    [anon_sym_BSLASHndx] = ACTIONS(63),
    [anon_sym_BSLASHpro] = ACTIONS(63),
    [anon_sym_BSLASHrb] = ACTIONS(63),
    [anon_sym_BSLASHw] = ACTIONS(63),
    [anon_sym_BSLASHwg] = ACTIONS(63),
    [anon_sym_BSLASHwh] = ACTIONS(63),
    [anon_sym_BSLASHwa] = ACTIONS(63),
    [anon_sym_BSLASHfig] = ACTIONS(63),
    [anon_sym_BSLASHjmp] = ACTIONS(63),
    [anon_sym_BSLASHpb] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(63),
    [sym_milestoneStartTag] = ACTIONS(63),
    [sym_milestoneEndTag] = ACTIONS(63),
    [sym_zSpaceTag] = ACTIONS(63),
    [anon_sym_BSLASHesbe] = ACTIONS(63),
    [anon_sym_BSLASHcat] = ACTIONS(63),
  },
  [683] = {
    [aux_sym_text_token1] = ACTIONS(2795),
    [anon_sym_BSLASHref] = ACTIONS(2797),
    [anon_sym_BSLASHsts] = ACTIONS(2797),
    [anon_sym_BSLASHrem] = ACTIONS(2797),
    [anon_sym_BSLASHrestore] = ACTIONS(2797),
    [anon_sym_BSLASHlit] = ACTIONS(2797),
    [anon_sym_BSLASHip] = ACTIONS(2797),
    [anon_sym_BSLASHv] = ACTIONS(2797),
    [anon_sym_BSLASHva] = ACTIONS(2797),
    [anon_sym_BSLASHvp] = ACTIONS(2797),
    [anon_sym_BSLASHmte] = ACTIONS(2797),
    [anon_sym_BSLASHms] = ACTIONS(2797),
    [anon_sym_BSLASHs] = ACTIONS(2797),
    [anon_sym_BSLASHr] = ACTIONS(2797),
    [anon_sym_BSLASHsp] = ACTIONS(2797),
    [anon_sym_BSLASHd] = ACTIONS(2797),
    [anon_sym_BSLASHsd] = ACTIONS(2797),
    [anon_sym_BSLASHp] = ACTIONS(2797),
    [anon_sym_BSLASHm] = ACTIONS(2797),
    [anon_sym_BSLASHpo] = ACTIONS(2797),
    [anon_sym_BSLASHpr] = ACTIONS(2797),
    [anon_sym_BSLASHcls] = ACTIONS(2797),
    [anon_sym_BSLASHpmo] = ACTIONS(2797),
    [anon_sym_BSLASHpm] = ACTIONS(2797),
    [anon_sym_BSLASHpmc] = ACTIONS(2797),
    [anon_sym_BSLASHpmr] = ACTIONS(2797),
    [anon_sym_BSLASHpi] = ACTIONS(2797),
    [anon_sym_BSLASHmi] = ACTIONS(2797),
    [anon_sym_BSLASHnb] = ACTIONS(2797),
    [anon_sym_BSLASHpc] = ACTIONS(2797),
    [anon_sym_BSLASHph] = ACTIONS(2797),
    [anon_sym_BSLASHb] = ACTIONS(2797),
    [anon_sym_BSLASHq] = ACTIONS(2797),
    [anon_sym_BSLASHqr] = ACTIONS(2797),
    [anon_sym_BSLASHqc] = ACTIONS(2797),
    [anon_sym_BSLASHqs] = ACTIONS(2797),
    [anon_sym_BSLASHqa] = ACTIONS(2797),
    [anon_sym_BSLASHqac] = ACTIONS(2797),
    [anon_sym_BSLASHqm] = ACTIONS(2797),
    [anon_sym_BSLASHqd] = ACTIONS(2797),
    [anon_sym_BSLASHlh] = ACTIONS(2797),
    [anon_sym_BSLASHli] = ACTIONS(2797),
    [anon_sym_BSLASHlim] = ACTIONS(2797),
    [anon_sym_BSLASHtr] = ACTIONS(2797),
    [anon_sym_BSLASHf] = ACTIONS(2797),
    [anon_sym_BSLASHfe] = ACTIONS(2797),
    [anon_sym_BSLASHef] = ACTIONS(2797),
    [anon_sym_BSLASHfm] = ACTIONS(2797),
    [anon_sym_BSLASHx] = ACTIONS(2797),
    [anon_sym_BSLASHxt] = ACTIONS(2797),
    [anon_sym_BSLASHrq] = ACTIONS(2797),
    [anon_sym_BSLASHadd] = ACTIONS(2797),
    [anon_sym_BSLASHbk] = ACTIONS(2797),
    [anon_sym_BSLASHdc] = ACTIONS(2797),
    [anon_sym_BSLASHk] = ACTIONS(2797),
    [anon_sym_BSLASHnd] = ACTIONS(2797),
    [anon_sym_BSLASHord] = ACTIONS(2797),
    [anon_sym_BSLASHpn] = ACTIONS(2797),
    [anon_sym_BSLASHpng] = ACTIONS(2797),
    [anon_sym_BSLASHaddpn] = ACTIONS(2797),
    [anon_sym_BSLASHqt] = ACTIONS(2797),
    [anon_sym_BSLASHsig] = ACTIONS(2797),
    [anon_sym_BSLASHsls] = ACTIONS(2797),
    [anon_sym_BSLASHtl] = ACTIONS(2797),
    [anon_sym_BSLASHwj] = ACTIONS(2797),
    [anon_sym_BSLASHem] = ACTIONS(2797),
    [anon_sym_BSLASHbd] = ACTIONS(2797),
    [anon_sym_BSLASHit] = ACTIONS(2797),
    [anon_sym_BSLASHbdit] = ACTIONS(2797),
    [anon_sym_BSLASHno] = ACTIONS(2797),
    [anon_sym_BSLASHsc] = ACTIONS(2797),
    [anon_sym_BSLASHsup] = ACTIONS(2797),
    [anon_sym_BSLASHndx] = ACTIONS(2797),
    [anon_sym_BSLASHpro] = ACTIONS(2797),
    [anon_sym_BSLASHrb] = ACTIONS(2797),
    [anon_sym_BSLASHw] = ACTIONS(2797),
    [anon_sym_BSLASHwg] = ACTIONS(2797),
    [anon_sym_BSLASHwh] = ACTIONS(2797),
    [anon_sym_BSLASHwa] = ACTIONS(2797),
    [anon_sym_BSLASHfig] = ACTIONS(2797),
    [anon_sym_BSLASHjmp] = ACTIONS(2797),
    [anon_sym_BSLASHpb] = ACTIONS(2797),
    [anon_sym_BSLASH] = ACTIONS(2797),
    [sym_milestoneStartTag] = ACTIONS(2797),
    [sym_milestoneEndTag] = ACTIONS(2797),
    [sym_zSpaceTag] = ACTIONS(2797),
    [anon_sym_BSLASHesbe] = ACTIONS(2797),
    [anon_sym_BSLASHcat] = ACTIONS(2797),
  },
  [684] = {
    [aux_sym_text_token1] = ACTIONS(65),
    [anon_sym_BSLASHref] = ACTIONS(67),
    [anon_sym_BSLASHsts] = ACTIONS(67),
    [anon_sym_BSLASHrem] = ACTIONS(67),
    [anon_sym_BSLASHrestore] = ACTIONS(67),
    [anon_sym_BSLASHlit] = ACTIONS(67),
    [anon_sym_BSLASHip] = ACTIONS(67),
    [anon_sym_BSLASHv] = ACTIONS(67),
    [anon_sym_BSLASHva] = ACTIONS(67),
    [anon_sym_BSLASHvp] = ACTIONS(67),
    [anon_sym_BSLASHmte] = ACTIONS(67),
    [anon_sym_BSLASHms] = ACTIONS(67),
    [anon_sym_BSLASHs] = ACTIONS(67),
    [anon_sym_BSLASHr] = ACTIONS(67),
    [anon_sym_BSLASHsp] = ACTIONS(67),
    [anon_sym_BSLASHd] = ACTIONS(67),
    [anon_sym_BSLASHsd] = ACTIONS(67),
    [anon_sym_BSLASHp] = ACTIONS(67),
    [anon_sym_BSLASHm] = ACTIONS(67),
    [anon_sym_BSLASHpo] = ACTIONS(67),
    [anon_sym_BSLASHpr] = ACTIONS(67),
    [anon_sym_BSLASHcls] = ACTIONS(67),
    [anon_sym_BSLASHpmo] = ACTIONS(67),
    [anon_sym_BSLASHpm] = ACTIONS(67),
    [anon_sym_BSLASHpmc] = ACTIONS(67),
    [anon_sym_BSLASHpmr] = ACTIONS(67),
    [anon_sym_BSLASHpi] = ACTIONS(67),
    [anon_sym_BSLASHmi] = ACTIONS(67),
    [anon_sym_BSLASHnb] = ACTIONS(67),
    [anon_sym_BSLASHpc] = ACTIONS(67),
    [anon_sym_BSLASHph] = ACTIONS(67),
    [anon_sym_BSLASHb] = ACTIONS(67),
    [anon_sym_BSLASHq] = ACTIONS(67),
    [anon_sym_BSLASHqr] = ACTIONS(67),
    [anon_sym_BSLASHqc] = ACTIONS(67),
    [anon_sym_BSLASHqs] = ACTIONS(67),
    [anon_sym_BSLASHqa] = ACTIONS(67),
    [anon_sym_BSLASHqac] = ACTIONS(67),
    [anon_sym_BSLASHqm] = ACTIONS(67),
    [anon_sym_BSLASHqd] = ACTIONS(67),
    [anon_sym_BSLASHlh] = ACTIONS(67),
    [anon_sym_BSLASHli] = ACTIONS(67),
    [anon_sym_BSLASHlim] = ACTIONS(67),
    [anon_sym_BSLASHtr] = ACTIONS(67),
    [anon_sym_BSLASHf] = ACTIONS(67),
    [anon_sym_BSLASHfe] = ACTIONS(67),
    [anon_sym_BSLASHef] = ACTIONS(67),
    [anon_sym_BSLASHfm] = ACTIONS(67),
    [anon_sym_BSLASHx] = ACTIONS(67),
    [anon_sym_BSLASHxt] = ACTIONS(67),
    [anon_sym_BSLASHrq] = ACTIONS(67),
    [anon_sym_BSLASHadd] = ACTIONS(67),
    [anon_sym_BSLASHbk] = ACTIONS(67),
    [anon_sym_BSLASHdc] = ACTIONS(67),
    [anon_sym_BSLASHk] = ACTIONS(67),
    [anon_sym_BSLASHnd] = ACTIONS(67),
    [anon_sym_BSLASHord] = ACTIONS(67),
    [anon_sym_BSLASHpn] = ACTIONS(67),
    [anon_sym_BSLASHpng] = ACTIONS(67),
    [anon_sym_BSLASHaddpn] = ACTIONS(67),
    [anon_sym_BSLASHqt] = ACTIONS(67),
    [anon_sym_BSLASHsig] = ACTIONS(67),
    [anon_sym_BSLASHsls] = ACTIONS(67),
    [anon_sym_BSLASHtl] = ACTIONS(67),
    [anon_sym_BSLASHwj] = ACTIONS(67),
    [anon_sym_BSLASHem] = ACTIONS(67),
    [anon_sym_BSLASHbd] = ACTIONS(67),
    [anon_sym_BSLASHit] = ACTIONS(67),
    [anon_sym_BSLASHbdit] = ACTIONS(67),
    [anon_sym_BSLASHno] = ACTIONS(67),
    [anon_sym_BSLASHsc] = ACTIONS(67),
    [anon_sym_BSLASHsup] = ACTIONS(67),
    [anon_sym_BSLASHndx] = ACTIONS(67),
    [anon_sym_BSLASHpro] = ACTIONS(67),
    [anon_sym_BSLASHrb] = ACTIONS(67),
    [anon_sym_BSLASHw] = ACTIONS(67),
    [anon_sym_BSLASHwg] = ACTIONS(67),
    [anon_sym_BSLASHwh] = ACTIONS(67),
    [anon_sym_BSLASHwa] = ACTIONS(67),
    [anon_sym_BSLASHfig] = ACTIONS(67),
    [anon_sym_BSLASHjmp] = ACTIONS(67),
    [anon_sym_BSLASHpb] = ACTIONS(67),
    [anon_sym_BSLASH] = ACTIONS(67),
    [sym_milestoneStartTag] = ACTIONS(67),
    [sym_milestoneEndTag] = ACTIONS(67),
    [sym_zSpaceTag] = ACTIONS(67),
    [anon_sym_BSLASHesbe] = ACTIONS(67),
    [anon_sym_BSLASHcat] = ACTIONS(67),
  },
  [685] = {
    [aux_sym_text_token1] = ACTIONS(5394),
    [anon_sym_BSLASHref] = ACTIONS(5396),
    [anon_sym_BSLASHsts] = ACTIONS(5396),
    [anon_sym_BSLASHrem] = ACTIONS(5396),
    [anon_sym_BSLASHrestore] = ACTIONS(5396),
    [anon_sym_BSLASHlit] = ACTIONS(5396),
    [anon_sym_BSLASHip] = ACTIONS(5396),
    [anon_sym_BSLASHv] = ACTIONS(5396),
    [anon_sym_BSLASHva] = ACTIONS(5396),
    [anon_sym_BSLASHvp] = ACTIONS(5396),
    [anon_sym_BSLASHmte] = ACTIONS(5396),
    [anon_sym_BSLASHms] = ACTIONS(5396),
    [anon_sym_BSLASHs] = ACTIONS(5396),
    [anon_sym_BSLASHr] = ACTIONS(5396),
    [anon_sym_BSLASHsp] = ACTIONS(5396),
    [anon_sym_BSLASHd] = ACTIONS(5396),
    [anon_sym_BSLASHsd] = ACTIONS(5396),
    [anon_sym_BSLASHp] = ACTIONS(5396),
    [anon_sym_BSLASHm] = ACTIONS(5396),
    [anon_sym_BSLASHpo] = ACTIONS(5396),
    [anon_sym_BSLASHpr] = ACTIONS(5396),
    [anon_sym_BSLASHcls] = ACTIONS(5396),
    [anon_sym_BSLASHpmo] = ACTIONS(5396),
    [anon_sym_BSLASHpm] = ACTIONS(5396),
    [anon_sym_BSLASHpmc] = ACTIONS(5396),
    [anon_sym_BSLASHpmr] = ACTIONS(5396),
    [anon_sym_BSLASHpi] = ACTIONS(5396),
    [anon_sym_BSLASHmi] = ACTIONS(5396),
    [anon_sym_BSLASHnb] = ACTIONS(5396),
    [anon_sym_BSLASHpc] = ACTIONS(5396),
    [anon_sym_BSLASHph] = ACTIONS(5396),
    [anon_sym_BSLASHb] = ACTIONS(5396),
    [anon_sym_BSLASHq] = ACTIONS(5396),
    [anon_sym_BSLASHqr] = ACTIONS(5396),
    [anon_sym_BSLASHqc] = ACTIONS(5396),
    [anon_sym_BSLASHqs] = ACTIONS(5396),
    [anon_sym_BSLASHqa] = ACTIONS(5396),
    [anon_sym_BSLASHqac] = ACTIONS(5396),
    [anon_sym_BSLASHqm] = ACTIONS(5396),
    [anon_sym_BSLASHqd] = ACTIONS(5396),
    [anon_sym_BSLASHlh] = ACTIONS(5396),
    [anon_sym_BSLASHli] = ACTIONS(5396),
    [anon_sym_BSLASHlim] = ACTIONS(5396),
    [anon_sym_BSLASHtr] = ACTIONS(5396),
    [anon_sym_BSLASHf] = ACTIONS(5396),
    [anon_sym_BSLASHfe] = ACTIONS(5396),
    [anon_sym_BSLASHef] = ACTIONS(5396),
    [anon_sym_BSLASHfm] = ACTIONS(5396),
    [anon_sym_BSLASHx] = ACTIONS(5396),
    [anon_sym_BSLASHxt] = ACTIONS(5396),
    [anon_sym_BSLASHrq] = ACTIONS(5396),
    [anon_sym_BSLASHadd] = ACTIONS(5396),
    [anon_sym_BSLASHbk] = ACTIONS(5396),
    [anon_sym_BSLASHdc] = ACTIONS(5396),
    [anon_sym_BSLASHk] = ACTIONS(5396),
    [anon_sym_BSLASHnd] = ACTIONS(5396),
    [anon_sym_BSLASHord] = ACTIONS(5396),
    [anon_sym_BSLASHpn] = ACTIONS(5396),
    [anon_sym_BSLASHpng] = ACTIONS(5396),
    [anon_sym_BSLASHaddpn] = ACTIONS(5396),
    [anon_sym_BSLASHqt] = ACTIONS(5396),
    [anon_sym_BSLASHsig] = ACTIONS(5396),
    [anon_sym_BSLASHsls] = ACTIONS(5396),
    [anon_sym_BSLASHtl] = ACTIONS(5396),
    [anon_sym_BSLASHwj] = ACTIONS(5396),
    [anon_sym_BSLASHem] = ACTIONS(5396),
    [anon_sym_BSLASHbd] = ACTIONS(5396),
    [anon_sym_BSLASHit] = ACTIONS(5396),
    [anon_sym_BSLASHbdit] = ACTIONS(5396),
    [anon_sym_BSLASHno] = ACTIONS(5396),
    [anon_sym_BSLASHsc] = ACTIONS(5396),
    [anon_sym_BSLASHsup] = ACTIONS(5396),
    [anon_sym_BSLASHndx] = ACTIONS(5396),
    [anon_sym_BSLASHpro] = ACTIONS(5396),
    [anon_sym_BSLASHrb] = ACTIONS(5396),
    [anon_sym_BSLASHw] = ACTIONS(5396),
    [anon_sym_BSLASHwg] = ACTIONS(5396),
    [anon_sym_BSLASHwh] = ACTIONS(5396),
    [anon_sym_BSLASHwa] = ACTIONS(5396),
    [anon_sym_BSLASHfig] = ACTIONS(5396),
    [anon_sym_BSLASHjmp] = ACTIONS(5396),
    [anon_sym_BSLASHpb] = ACTIONS(5396),
    [anon_sym_BSLASH] = ACTIONS(5396),
    [sym_milestoneStartTag] = ACTIONS(5396),
    [sym_milestoneEndTag] = ACTIONS(5396),
    [sym_zSpaceTag] = ACTIONS(5396),
    [anon_sym_BSLASHesbe] = ACTIONS(5396),
    [anon_sym_BSLASHcat] = ACTIONS(5396),
  },
  [686] = {
    [aux_sym_text_token1] = ACTIONS(2791),
    [anon_sym_BSLASHref] = ACTIONS(2793),
    [anon_sym_BSLASHsts] = ACTIONS(2793),
    [anon_sym_BSLASHrem] = ACTIONS(2793),
    [anon_sym_BSLASHrestore] = ACTIONS(2793),
    [anon_sym_BSLASHlit] = ACTIONS(2793),
    [anon_sym_BSLASHip] = ACTIONS(2793),
    [anon_sym_BSLASHv] = ACTIONS(2793),
    [anon_sym_BSLASHva] = ACTIONS(2793),
    [anon_sym_BSLASHvp] = ACTIONS(2793),
    [anon_sym_BSLASHmte] = ACTIONS(2793),
    [anon_sym_BSLASHms] = ACTIONS(2793),
    [anon_sym_BSLASHs] = ACTIONS(2793),
    [anon_sym_BSLASHr] = ACTIONS(2793),
    [anon_sym_BSLASHsp] = ACTIONS(2793),
    [anon_sym_BSLASHd] = ACTIONS(2793),
    [anon_sym_BSLASHsd] = ACTIONS(2793),
    [anon_sym_BSLASHp] = ACTIONS(2793),
    [anon_sym_BSLASHm] = ACTIONS(2793),
    [anon_sym_BSLASHpo] = ACTIONS(2793),
    [anon_sym_BSLASHpr] = ACTIONS(2793),
    [anon_sym_BSLASHcls] = ACTIONS(2793),
    [anon_sym_BSLASHpmo] = ACTIONS(2793),
    [anon_sym_BSLASHpm] = ACTIONS(2793),
    [anon_sym_BSLASHpmc] = ACTIONS(2793),
    [anon_sym_BSLASHpmr] = ACTIONS(2793),
    [anon_sym_BSLASHpi] = ACTIONS(2793),
    [anon_sym_BSLASHmi] = ACTIONS(2793),
    [anon_sym_BSLASHnb] = ACTIONS(2793),
    [anon_sym_BSLASHpc] = ACTIONS(2793),
    [anon_sym_BSLASHph] = ACTIONS(2793),
    [anon_sym_BSLASHb] = ACTIONS(2793),
    [anon_sym_BSLASHq] = ACTIONS(2793),
    [anon_sym_BSLASHqr] = ACTIONS(2793),
    [anon_sym_BSLASHqc] = ACTIONS(2793),
    [anon_sym_BSLASHqs] = ACTIONS(2793),
    [anon_sym_BSLASHqa] = ACTIONS(2793),
    [anon_sym_BSLASHqac] = ACTIONS(2793),
    [anon_sym_BSLASHqm] = ACTIONS(2793),
    [anon_sym_BSLASHqd] = ACTIONS(2793),
    [anon_sym_BSLASHlh] = ACTIONS(2793),
    [anon_sym_BSLASHli] = ACTIONS(2793),
    [anon_sym_BSLASHlim] = ACTIONS(2793),
    [anon_sym_BSLASHtr] = ACTIONS(2793),
    [anon_sym_BSLASHf] = ACTIONS(2793),
    [anon_sym_BSLASHfe] = ACTIONS(2793),
    [anon_sym_BSLASHef] = ACTIONS(2793),
    [anon_sym_BSLASHfm] = ACTIONS(2793),
    [anon_sym_BSLASHx] = ACTIONS(2793),
    [anon_sym_BSLASHxt] = ACTIONS(2793),
    [anon_sym_BSLASHrq] = ACTIONS(2793),
    [anon_sym_BSLASHadd] = ACTIONS(2793),
    [anon_sym_BSLASHbk] = ACTIONS(2793),
    [anon_sym_BSLASHdc] = ACTIONS(2793),
    [anon_sym_BSLASHk] = ACTIONS(2793),
    [anon_sym_BSLASHnd] = ACTIONS(2793),
    [anon_sym_BSLASHord] = ACTIONS(2793),
    [anon_sym_BSLASHpn] = ACTIONS(2793),
    [anon_sym_BSLASHpng] = ACTIONS(2793),
    [anon_sym_BSLASHaddpn] = ACTIONS(2793),
    [anon_sym_BSLASHqt] = ACTIONS(2793),
    [anon_sym_BSLASHsig] = ACTIONS(2793),
    [anon_sym_BSLASHsls] = ACTIONS(2793),
    [anon_sym_BSLASHtl] = ACTIONS(2793),
    [anon_sym_BSLASHwj] = ACTIONS(2793),
    [anon_sym_BSLASHem] = ACTIONS(2793),
    [anon_sym_BSLASHbd] = ACTIONS(2793),
    [anon_sym_BSLASHit] = ACTIONS(2793),
    [anon_sym_BSLASHbdit] = ACTIONS(2793),
    [anon_sym_BSLASHno] = ACTIONS(2793),
    [anon_sym_BSLASHsc] = ACTIONS(2793),
    [anon_sym_BSLASHsup] = ACTIONS(2793),
    [anon_sym_BSLASHndx] = ACTIONS(2793),
    [anon_sym_BSLASHpro] = ACTIONS(2793),
    [anon_sym_BSLASHrb] = ACTIONS(2793),
    [anon_sym_BSLASHw] = ACTIONS(2793),
    [anon_sym_BSLASHwg] = ACTIONS(2793),
    [anon_sym_BSLASHwh] = ACTIONS(2793),
    [anon_sym_BSLASHwa] = ACTIONS(2793),
    [anon_sym_BSLASHfig] = ACTIONS(2793),
    [anon_sym_BSLASHjmp] = ACTIONS(2793),
    [anon_sym_BSLASHpb] = ACTIONS(2793),
    [anon_sym_BSLASH] = ACTIONS(2793),
    [sym_milestoneStartTag] = ACTIONS(2793),
    [sym_milestoneEndTag] = ACTIONS(2793),
    [sym_zSpaceTag] = ACTIONS(2793),
    [anon_sym_BSLASHesbe] = ACTIONS(2793),
    [anon_sym_BSLASHcat] = ACTIONS(2793),
  },
  [687] = {
    [aux_sym_text_token1] = ACTIONS(5338),
    [anon_sym_BSLASHref] = ACTIONS(5340),
    [anon_sym_BSLASHsts] = ACTIONS(5340),
    [anon_sym_BSLASHrem] = ACTIONS(5340),
    [anon_sym_BSLASHrestore] = ACTIONS(5340),
    [anon_sym_BSLASHlit] = ACTIONS(5340),
    [anon_sym_BSLASHip] = ACTIONS(5340),
    [anon_sym_BSLASHv] = ACTIONS(5340),
    [anon_sym_BSLASHva] = ACTIONS(5340),
    [anon_sym_BSLASHvp] = ACTIONS(5340),
    [anon_sym_BSLASHmte] = ACTIONS(5340),
    [anon_sym_BSLASHms] = ACTIONS(5340),
    [anon_sym_BSLASHs] = ACTIONS(5340),
    [anon_sym_BSLASHr] = ACTIONS(5340),
    [anon_sym_BSLASHsp] = ACTIONS(5340),
    [anon_sym_BSLASHd] = ACTIONS(5340),
    [anon_sym_BSLASHsd] = ACTIONS(5340),
    [anon_sym_BSLASHp] = ACTIONS(5340),
    [anon_sym_BSLASHm] = ACTIONS(5340),
    [anon_sym_BSLASHpo] = ACTIONS(5340),
    [anon_sym_BSLASHpr] = ACTIONS(5340),
    [anon_sym_BSLASHcls] = ACTIONS(5340),
    [anon_sym_BSLASHpmo] = ACTIONS(5340),
    [anon_sym_BSLASHpm] = ACTIONS(5340),
    [anon_sym_BSLASHpmc] = ACTIONS(5340),
    [anon_sym_BSLASHpmr] = ACTIONS(5340),
    [anon_sym_BSLASHpi] = ACTIONS(5340),
    [anon_sym_BSLASHmi] = ACTIONS(5340),
    [anon_sym_BSLASHnb] = ACTIONS(5340),
    [anon_sym_BSLASHpc] = ACTIONS(5340),
    [anon_sym_BSLASHph] = ACTIONS(5340),
    [anon_sym_BSLASHb] = ACTIONS(5340),
    [anon_sym_BSLASHq] = ACTIONS(5340),
    [anon_sym_BSLASHqr] = ACTIONS(5340),
    [anon_sym_BSLASHqc] = ACTIONS(5340),
    [anon_sym_BSLASHqs] = ACTIONS(5340),
    [anon_sym_BSLASHqa] = ACTIONS(5340),
    [anon_sym_BSLASHqac] = ACTIONS(5340),
    [anon_sym_BSLASHqm] = ACTIONS(5340),
    [anon_sym_BSLASHqd] = ACTIONS(5340),
    [anon_sym_BSLASHlh] = ACTIONS(5340),
    [anon_sym_BSLASHli] = ACTIONS(5340),
    [anon_sym_BSLASHlim] = ACTIONS(5340),
    [anon_sym_BSLASHtr] = ACTIONS(5340),
    [anon_sym_BSLASHf] = ACTIONS(5340),
    [anon_sym_BSLASHfe] = ACTIONS(5340),
    [anon_sym_BSLASHef] = ACTIONS(5340),
    [anon_sym_BSLASHfm] = ACTIONS(5340),
    [anon_sym_BSLASHx] = ACTIONS(5340),
    [anon_sym_BSLASHxt] = ACTIONS(5340),
    [anon_sym_BSLASHrq] = ACTIONS(5340),
    [anon_sym_BSLASHadd] = ACTIONS(5340),
    [anon_sym_BSLASHbk] = ACTIONS(5340),
    [anon_sym_BSLASHdc] = ACTIONS(5340),
    [anon_sym_BSLASHk] = ACTIONS(5340),
    [anon_sym_BSLASHnd] = ACTIONS(5340),
    [anon_sym_BSLASHord] = ACTIONS(5340),
    [anon_sym_BSLASHpn] = ACTIONS(5340),
    [anon_sym_BSLASHpng] = ACTIONS(5340),
    [anon_sym_BSLASHaddpn] = ACTIONS(5340),
    [anon_sym_BSLASHqt] = ACTIONS(5340),
    [anon_sym_BSLASHsig] = ACTIONS(5340),
    [anon_sym_BSLASHsls] = ACTIONS(5340),
    [anon_sym_BSLASHtl] = ACTIONS(5340),
    [anon_sym_BSLASHwj] = ACTIONS(5340),
    [anon_sym_BSLASHem] = ACTIONS(5340),
    [anon_sym_BSLASHbd] = ACTIONS(5340),
    [anon_sym_BSLASHit] = ACTIONS(5340),
    [anon_sym_BSLASHbdit] = ACTIONS(5340),
    [anon_sym_BSLASHno] = ACTIONS(5340),
    [anon_sym_BSLASHsc] = ACTIONS(5340),
    [anon_sym_BSLASHsup] = ACTIONS(5340),
    [anon_sym_BSLASHndx] = ACTIONS(5340),
    [anon_sym_BSLASHpro] = ACTIONS(5340),
    [anon_sym_BSLASHrb] = ACTIONS(5340),
    [anon_sym_BSLASHw] = ACTIONS(5340),
    [anon_sym_BSLASHwg] = ACTIONS(5340),
    [anon_sym_BSLASHwh] = ACTIONS(5340),
    [anon_sym_BSLASHwa] = ACTIONS(5340),
    [anon_sym_BSLASHfig] = ACTIONS(5340),
    [anon_sym_BSLASHjmp] = ACTIONS(5340),
    [anon_sym_BSLASHpb] = ACTIONS(5340),
    [anon_sym_BSLASH] = ACTIONS(5340),
    [sym_milestoneStartTag] = ACTIONS(5340),
    [sym_milestoneEndTag] = ACTIONS(5340),
    [sym_zSpaceTag] = ACTIONS(5340),
    [anon_sym_BSLASHesbe] = ACTIONS(5340),
    [anon_sym_BSLASHcat] = ACTIONS(5340),
  },
  [688] = {
    [aux_sym_text_token1] = ACTIONS(2715),
    [anon_sym_BSLASHref] = ACTIONS(2717),
    [anon_sym_BSLASHsts] = ACTIONS(2717),
    [anon_sym_BSLASHrem] = ACTIONS(2717),
    [anon_sym_BSLASHrestore] = ACTIONS(2717),
    [anon_sym_BSLASHlit] = ACTIONS(2717),
    [anon_sym_BSLASHip] = ACTIONS(2717),
    [anon_sym_BSLASHv] = ACTIONS(2717),
    [anon_sym_BSLASHva] = ACTIONS(2717),
    [anon_sym_BSLASHvp] = ACTIONS(2717),
    [anon_sym_BSLASHmte] = ACTIONS(2717),
    [anon_sym_BSLASHms] = ACTIONS(2717),
    [anon_sym_BSLASHs] = ACTIONS(2717),
    [anon_sym_BSLASHr] = ACTIONS(2717),
    [anon_sym_BSLASHsp] = ACTIONS(2717),
    [anon_sym_BSLASHd] = ACTIONS(2717),
    [anon_sym_BSLASHsd] = ACTIONS(2717),
    [anon_sym_BSLASHp] = ACTIONS(2717),
    [anon_sym_BSLASHm] = ACTIONS(2717),
    [anon_sym_BSLASHpo] = ACTIONS(2717),
    [anon_sym_BSLASHpr] = ACTIONS(2717),
    [anon_sym_BSLASHcls] = ACTIONS(2717),
    [anon_sym_BSLASHpmo] = ACTIONS(2717),
    [anon_sym_BSLASHpm] = ACTIONS(2717),
    [anon_sym_BSLASHpmc] = ACTIONS(2717),
    [anon_sym_BSLASHpmr] = ACTIONS(2717),
    [anon_sym_BSLASHpi] = ACTIONS(2717),
    [anon_sym_BSLASHmi] = ACTIONS(2717),
    [anon_sym_BSLASHnb] = ACTIONS(2717),
    [anon_sym_BSLASHpc] = ACTIONS(2717),
    [anon_sym_BSLASHph] = ACTIONS(2717),
    [anon_sym_BSLASHb] = ACTIONS(2717),
    [anon_sym_BSLASHq] = ACTIONS(2717),
    [anon_sym_BSLASHqr] = ACTIONS(2717),
    [anon_sym_BSLASHqc] = ACTIONS(2717),
    [anon_sym_BSLASHqs] = ACTIONS(2717),
    [anon_sym_BSLASHqa] = ACTIONS(2717),
    [anon_sym_BSLASHqac] = ACTIONS(2717),
    [anon_sym_BSLASHqm] = ACTIONS(2717),
    [anon_sym_BSLASHqd] = ACTIONS(2717),
    [anon_sym_BSLASHlh] = ACTIONS(2717),
    [anon_sym_BSLASHli] = ACTIONS(2717),
    [anon_sym_BSLASHlim] = ACTIONS(2717),
    [anon_sym_BSLASHtr] = ACTIONS(2717),
    [anon_sym_BSLASHf] = ACTIONS(2717),
    [anon_sym_BSLASHfe] = ACTIONS(2717),
    [anon_sym_BSLASHef] = ACTIONS(2717),
    [anon_sym_BSLASHfm] = ACTIONS(2717),
    [anon_sym_BSLASHx] = ACTIONS(2717),
    [anon_sym_BSLASHxt] = ACTIONS(2717),
    [anon_sym_BSLASHrq] = ACTIONS(2717),
    [anon_sym_BSLASHadd] = ACTIONS(2717),
    [anon_sym_BSLASHbk] = ACTIONS(2717),
    [anon_sym_BSLASHdc] = ACTIONS(2717),
    [anon_sym_BSLASHk] = ACTIONS(2717),
    [anon_sym_BSLASHnd] = ACTIONS(2717),
    [anon_sym_BSLASHord] = ACTIONS(2717),
    [anon_sym_BSLASHpn] = ACTIONS(2717),
    [anon_sym_BSLASHpng] = ACTIONS(2717),
    [anon_sym_BSLASHaddpn] = ACTIONS(2717),
    [anon_sym_BSLASHqt] = ACTIONS(2717),
    [anon_sym_BSLASHsig] = ACTIONS(2717),
    [anon_sym_BSLASHsls] = ACTIONS(2717),
    [anon_sym_BSLASHtl] = ACTIONS(2717),
    [anon_sym_BSLASHwj] = ACTIONS(2717),
    [anon_sym_BSLASHem] = ACTIONS(2717),
    [anon_sym_BSLASHbd] = ACTIONS(2717),
    [anon_sym_BSLASHit] = ACTIONS(2717),
    [anon_sym_BSLASHbdit] = ACTIONS(2717),
    [anon_sym_BSLASHno] = ACTIONS(2717),
    [anon_sym_BSLASHsc] = ACTIONS(2717),
    [anon_sym_BSLASHsup] = ACTIONS(2717),
    [anon_sym_BSLASHndx] = ACTIONS(2717),
    [anon_sym_BSLASHpro] = ACTIONS(2717),
    [anon_sym_BSLASHrb] = ACTIONS(2717),
    [anon_sym_BSLASHw] = ACTIONS(2717),
    [anon_sym_BSLASHwg] = ACTIONS(2717),
    [anon_sym_BSLASHwh] = ACTIONS(2717),
    [anon_sym_BSLASHwa] = ACTIONS(2717),
    [anon_sym_BSLASHfig] = ACTIONS(2717),
    [anon_sym_BSLASHjmp] = ACTIONS(2717),
    [anon_sym_BSLASHpb] = ACTIONS(2717),
    [anon_sym_BSLASH] = ACTIONS(2717),
    [sym_milestoneStartTag] = ACTIONS(2717),
    [sym_milestoneEndTag] = ACTIONS(2717),
    [sym_zSpaceTag] = ACTIONS(2717),
    [anon_sym_BSLASHesbe] = ACTIONS(2717),
    [anon_sym_BSLASHcat] = ACTIONS(2717),
  },
  [689] = {
    [aux_sym_text_token1] = ACTIONS(5342),
    [anon_sym_BSLASHref] = ACTIONS(5344),
    [anon_sym_BSLASHsts] = ACTIONS(5344),
    [anon_sym_BSLASHrem] = ACTIONS(5344),
    [anon_sym_BSLASHrestore] = ACTIONS(5344),
    [anon_sym_BSLASHlit] = ACTIONS(5344),
    [anon_sym_BSLASHip] = ACTIONS(5344),
    [anon_sym_BSLASHv] = ACTIONS(5344),
    [anon_sym_BSLASHva] = ACTIONS(5344),
    [anon_sym_BSLASHvp] = ACTIONS(5344),
    [anon_sym_BSLASHmte] = ACTIONS(5344),
    [anon_sym_BSLASHms] = ACTIONS(5344),
    [anon_sym_BSLASHs] = ACTIONS(5344),
    [anon_sym_BSLASHr] = ACTIONS(5344),
    [anon_sym_BSLASHsp] = ACTIONS(5344),
    [anon_sym_BSLASHd] = ACTIONS(5344),
    [anon_sym_BSLASHsd] = ACTIONS(5344),
    [anon_sym_BSLASHp] = ACTIONS(5344),
    [anon_sym_BSLASHm] = ACTIONS(5344),
    [anon_sym_BSLASHpo] = ACTIONS(5344),
    [anon_sym_BSLASHpr] = ACTIONS(5344),
    [anon_sym_BSLASHcls] = ACTIONS(5344),
    [anon_sym_BSLASHpmo] = ACTIONS(5344),
    [anon_sym_BSLASHpm] = ACTIONS(5344),
    [anon_sym_BSLASHpmc] = ACTIONS(5344),
    [anon_sym_BSLASHpmr] = ACTIONS(5344),
    [anon_sym_BSLASHpi] = ACTIONS(5344),
    [anon_sym_BSLASHmi] = ACTIONS(5344),
    [anon_sym_BSLASHnb] = ACTIONS(5344),
    [anon_sym_BSLASHpc] = ACTIONS(5344),
    [anon_sym_BSLASHph] = ACTIONS(5344),
    [anon_sym_BSLASHb] = ACTIONS(5344),
    [anon_sym_BSLASHq] = ACTIONS(5344),
    [anon_sym_BSLASHqr] = ACTIONS(5344),
    [anon_sym_BSLASHqc] = ACTIONS(5344),
    [anon_sym_BSLASHqs] = ACTIONS(5344),
    [anon_sym_BSLASHqa] = ACTIONS(5344),
    [anon_sym_BSLASHqac] = ACTIONS(5344),
    [anon_sym_BSLASHqm] = ACTIONS(5344),
    [anon_sym_BSLASHqd] = ACTIONS(5344),
    [anon_sym_BSLASHlh] = ACTIONS(5344),
    [anon_sym_BSLASHli] = ACTIONS(5344),
    [anon_sym_BSLASHlim] = ACTIONS(5344),
    [anon_sym_BSLASHtr] = ACTIONS(5344),
    [anon_sym_BSLASHf] = ACTIONS(5344),
    [anon_sym_BSLASHfe] = ACTIONS(5344),
    [anon_sym_BSLASHef] = ACTIONS(5344),
    [anon_sym_BSLASHfm] = ACTIONS(5344),
    [anon_sym_BSLASHx] = ACTIONS(5344),
    [anon_sym_BSLASHxt] = ACTIONS(5344),
    [anon_sym_BSLASHrq] = ACTIONS(5344),
    [anon_sym_BSLASHadd] = ACTIONS(5344),
    [anon_sym_BSLASHbk] = ACTIONS(5344),
    [anon_sym_BSLASHdc] = ACTIONS(5344),
    [anon_sym_BSLASHk] = ACTIONS(5344),
    [anon_sym_BSLASHnd] = ACTIONS(5344),
    [anon_sym_BSLASHord] = ACTIONS(5344),
    [anon_sym_BSLASHpn] = ACTIONS(5344),
    [anon_sym_BSLASHpng] = ACTIONS(5344),
    [anon_sym_BSLASHaddpn] = ACTIONS(5344),
    [anon_sym_BSLASHqt] = ACTIONS(5344),
    [anon_sym_BSLASHsig] = ACTIONS(5344),
    [anon_sym_BSLASHsls] = ACTIONS(5344),
    [anon_sym_BSLASHtl] = ACTIONS(5344),
    [anon_sym_BSLASHwj] = ACTIONS(5344),
    [anon_sym_BSLASHem] = ACTIONS(5344),
    [anon_sym_BSLASHbd] = ACTIONS(5344),
    [anon_sym_BSLASHit] = ACTIONS(5344),
    [anon_sym_BSLASHbdit] = ACTIONS(5344),
    [anon_sym_BSLASHno] = ACTIONS(5344),
    [anon_sym_BSLASHsc] = ACTIONS(5344),
    [anon_sym_BSLASHsup] = ACTIONS(5344),
    [anon_sym_BSLASHndx] = ACTIONS(5344),
    [anon_sym_BSLASHpro] = ACTIONS(5344),
    [anon_sym_BSLASHrb] = ACTIONS(5344),
    [anon_sym_BSLASHw] = ACTIONS(5344),
    [anon_sym_BSLASHwg] = ACTIONS(5344),
    [anon_sym_BSLASHwh] = ACTIONS(5344),
    [anon_sym_BSLASHwa] = ACTIONS(5344),
    [anon_sym_BSLASHfig] = ACTIONS(5344),
    [anon_sym_BSLASHjmp] = ACTIONS(5344),
    [anon_sym_BSLASHpb] = ACTIONS(5344),
    [anon_sym_BSLASH] = ACTIONS(5344),
    [sym_milestoneStartTag] = ACTIONS(5344),
    [sym_milestoneEndTag] = ACTIONS(5344),
    [sym_zSpaceTag] = ACTIONS(5344),
    [anon_sym_BSLASHesbe] = ACTIONS(5344),
    [anon_sym_BSLASHcat] = ACTIONS(5344),
  },
  [690] = {
    [aux_sym_text_token1] = ACTIONS(5440),
    [anon_sym_BSLASHref] = ACTIONS(5442),
    [anon_sym_BSLASHsts] = ACTIONS(5442),
    [anon_sym_BSLASHrem] = ACTIONS(5442),
    [anon_sym_BSLASHrestore] = ACTIONS(5442),
    [anon_sym_BSLASHlit] = ACTIONS(5442),
    [anon_sym_BSLASHip] = ACTIONS(5442),
    [anon_sym_BSLASHv] = ACTIONS(5442),
    [anon_sym_BSLASHva] = ACTIONS(5442),
    [anon_sym_BSLASHvp] = ACTIONS(5442),
    [anon_sym_BSLASHmte] = ACTIONS(5442),
    [anon_sym_BSLASHms] = ACTIONS(5442),
    [anon_sym_BSLASHs] = ACTIONS(5442),
    [anon_sym_BSLASHr] = ACTIONS(5442),
    [anon_sym_BSLASHsp] = ACTIONS(5442),
    [anon_sym_BSLASHd] = ACTIONS(5442),
    [anon_sym_BSLASHsd] = ACTIONS(5442),
    [anon_sym_BSLASHp] = ACTIONS(5442),
    [anon_sym_BSLASHm] = ACTIONS(5442),
    [anon_sym_BSLASHpo] = ACTIONS(5442),
    [anon_sym_BSLASHpr] = ACTIONS(5442),
    [anon_sym_BSLASHcls] = ACTIONS(5442),
    [anon_sym_BSLASHpmo] = ACTIONS(5442),
    [anon_sym_BSLASHpm] = ACTIONS(5442),
    [anon_sym_BSLASHpmc] = ACTIONS(5442),
    [anon_sym_BSLASHpmr] = ACTIONS(5442),
    [anon_sym_BSLASHpi] = ACTIONS(5442),
    [anon_sym_BSLASHmi] = ACTIONS(5442),
    [anon_sym_BSLASHnb] = ACTIONS(5442),
    [anon_sym_BSLASHpc] = ACTIONS(5442),
    [anon_sym_BSLASHph] = ACTIONS(5442),
    [anon_sym_BSLASHb] = ACTIONS(5442),
    [anon_sym_BSLASHq] = ACTIONS(5442),
    [anon_sym_BSLASHqr] = ACTIONS(5442),
    [anon_sym_BSLASHqc] = ACTIONS(5442),
    [anon_sym_BSLASHqs] = ACTIONS(5442),
    [anon_sym_BSLASHqa] = ACTIONS(5442),
    [anon_sym_BSLASHqac] = ACTIONS(5442),
    [anon_sym_BSLASHqm] = ACTIONS(5442),
    [anon_sym_BSLASHqd] = ACTIONS(5442),
    [anon_sym_BSLASHlh] = ACTIONS(5442),
    [anon_sym_BSLASHli] = ACTIONS(5442),
    [anon_sym_BSLASHlim] = ACTIONS(5442),
    [anon_sym_BSLASHtr] = ACTIONS(5442),
    [anon_sym_BSLASHf] = ACTIONS(5442),
    [anon_sym_BSLASHfe] = ACTIONS(5442),
    [anon_sym_BSLASHef] = ACTIONS(5442),
    [anon_sym_BSLASHfm] = ACTIONS(5442),
    [anon_sym_BSLASHx] = ACTIONS(5442),
    [anon_sym_BSLASHxt] = ACTIONS(5442),
    [anon_sym_BSLASHrq] = ACTIONS(5442),
    [anon_sym_BSLASHadd] = ACTIONS(5442),
    [anon_sym_BSLASHbk] = ACTIONS(5442),
    [anon_sym_BSLASHdc] = ACTIONS(5442),
    [anon_sym_BSLASHk] = ACTIONS(5442),
    [anon_sym_BSLASHnd] = ACTIONS(5442),
    [anon_sym_BSLASHord] = ACTIONS(5442),
    [anon_sym_BSLASHpn] = ACTIONS(5442),
    [anon_sym_BSLASHpng] = ACTIONS(5442),
    [anon_sym_BSLASHaddpn] = ACTIONS(5442),
    [anon_sym_BSLASHqt] = ACTIONS(5442),
    [anon_sym_BSLASHsig] = ACTIONS(5442),
    [anon_sym_BSLASHsls] = ACTIONS(5442),
    [anon_sym_BSLASHtl] = ACTIONS(5442),
    [anon_sym_BSLASHwj] = ACTIONS(5442),
    [anon_sym_BSLASHem] = ACTIONS(5442),
    [anon_sym_BSLASHbd] = ACTIONS(5442),
    [anon_sym_BSLASHit] = ACTIONS(5442),
    [anon_sym_BSLASHbdit] = ACTIONS(5442),
    [anon_sym_BSLASHno] = ACTIONS(5442),
    [anon_sym_BSLASHsc] = ACTIONS(5442),
    [anon_sym_BSLASHsup] = ACTIONS(5442),
    [anon_sym_BSLASHndx] = ACTIONS(5442),
    [anon_sym_BSLASHpro] = ACTIONS(5442),
    [anon_sym_BSLASHrb] = ACTIONS(5442),
    [anon_sym_BSLASHw] = ACTIONS(5442),
    [anon_sym_BSLASHwg] = ACTIONS(5442),
    [anon_sym_BSLASHwh] = ACTIONS(5442),
    [anon_sym_BSLASHwa] = ACTIONS(5442),
    [anon_sym_BSLASHfig] = ACTIONS(5442),
    [anon_sym_BSLASHjmp] = ACTIONS(5442),
    [anon_sym_BSLASHpb] = ACTIONS(5442),
    [anon_sym_BSLASH] = ACTIONS(5442),
    [sym_milestoneStartTag] = ACTIONS(5442),
    [sym_milestoneEndTag] = ACTIONS(5442),
    [sym_zSpaceTag] = ACTIONS(5442),
    [anon_sym_BSLASHesbe] = ACTIONS(5442),
    [anon_sym_BSLASHcat] = ACTIONS(5442),
  },
  [691] = {
    [aux_sym_text_token1] = ACTIONS(2719),
    [anon_sym_BSLASHref] = ACTIONS(2721),
    [anon_sym_BSLASHsts] = ACTIONS(2721),
    [anon_sym_BSLASHrem] = ACTIONS(2721),
    [anon_sym_BSLASHrestore] = ACTIONS(2721),
    [anon_sym_BSLASHlit] = ACTIONS(2721),
    [anon_sym_BSLASHip] = ACTIONS(2721),
    [anon_sym_BSLASHv] = ACTIONS(2721),
    [anon_sym_BSLASHva] = ACTIONS(2721),
    [anon_sym_BSLASHvp] = ACTIONS(2721),
    [anon_sym_BSLASHmte] = ACTIONS(2721),
    [anon_sym_BSLASHms] = ACTIONS(2721),
    [anon_sym_BSLASHs] = ACTIONS(2721),
    [anon_sym_BSLASHr] = ACTIONS(2721),
    [anon_sym_BSLASHsp] = ACTIONS(2721),
    [anon_sym_BSLASHd] = ACTIONS(2721),
    [anon_sym_BSLASHsd] = ACTIONS(2721),
    [anon_sym_BSLASHp] = ACTIONS(2721),
    [anon_sym_BSLASHm] = ACTIONS(2721),
    [anon_sym_BSLASHpo] = ACTIONS(2721),
    [anon_sym_BSLASHpr] = ACTIONS(2721),
    [anon_sym_BSLASHcls] = ACTIONS(2721),
    [anon_sym_BSLASHpmo] = ACTIONS(2721),
    [anon_sym_BSLASHpm] = ACTIONS(2721),
    [anon_sym_BSLASHpmc] = ACTIONS(2721),
    [anon_sym_BSLASHpmr] = ACTIONS(2721),
    [anon_sym_BSLASHpi] = ACTIONS(2721),
    [anon_sym_BSLASHmi] = ACTIONS(2721),
    [anon_sym_BSLASHnb] = ACTIONS(2721),
    [anon_sym_BSLASHpc] = ACTIONS(2721),
    [anon_sym_BSLASHph] = ACTIONS(2721),
    [anon_sym_BSLASHb] = ACTIONS(2721),
    [anon_sym_BSLASHq] = ACTIONS(2721),
    [anon_sym_BSLASHqr] = ACTIONS(2721),
    [anon_sym_BSLASHqc] = ACTIONS(2721),
    [anon_sym_BSLASHqs] = ACTIONS(2721),
    [anon_sym_BSLASHqa] = ACTIONS(2721),
    [anon_sym_BSLASHqac] = ACTIONS(2721),
    [anon_sym_BSLASHqm] = ACTIONS(2721),
    [anon_sym_BSLASHqd] = ACTIONS(2721),
    [anon_sym_BSLASHlh] = ACTIONS(2721),
    [anon_sym_BSLASHli] = ACTIONS(2721),
    [anon_sym_BSLASHlim] = ACTIONS(2721),
    [anon_sym_BSLASHtr] = ACTIONS(2721),
    [anon_sym_BSLASHf] = ACTIONS(2721),
    [anon_sym_BSLASHfe] = ACTIONS(2721),
    [anon_sym_BSLASHef] = ACTIONS(2721),
    [anon_sym_BSLASHfm] = ACTIONS(2721),
    [anon_sym_BSLASHx] = ACTIONS(2721),
    [anon_sym_BSLASHxt] = ACTIONS(2721),
    [anon_sym_BSLASHrq] = ACTIONS(2721),
    [anon_sym_BSLASHadd] = ACTIONS(2721),
    [anon_sym_BSLASHbk] = ACTIONS(2721),
    [anon_sym_BSLASHdc] = ACTIONS(2721),
    [anon_sym_BSLASHk] = ACTIONS(2721),
    [anon_sym_BSLASHnd] = ACTIONS(2721),
    [anon_sym_BSLASHord] = ACTIONS(2721),
    [anon_sym_BSLASHpn] = ACTIONS(2721),
    [anon_sym_BSLASHpng] = ACTIONS(2721),
    [anon_sym_BSLASHaddpn] = ACTIONS(2721),
    [anon_sym_BSLASHqt] = ACTIONS(2721),
    [anon_sym_BSLASHsig] = ACTIONS(2721),
    [anon_sym_BSLASHsls] = ACTIONS(2721),
    [anon_sym_BSLASHtl] = ACTIONS(2721),
    [anon_sym_BSLASHwj] = ACTIONS(2721),
    [anon_sym_BSLASHem] = ACTIONS(2721),
    [anon_sym_BSLASHbd] = ACTIONS(2721),
    [anon_sym_BSLASHit] = ACTIONS(2721),
    [anon_sym_BSLASHbdit] = ACTIONS(2721),
    [anon_sym_BSLASHno] = ACTIONS(2721),
    [anon_sym_BSLASHsc] = ACTIONS(2721),
    [anon_sym_BSLASHsup] = ACTIONS(2721),
    [anon_sym_BSLASHndx] = ACTIONS(2721),
    [anon_sym_BSLASHpro] = ACTIONS(2721),
    [anon_sym_BSLASHrb] = ACTIONS(2721),
    [anon_sym_BSLASHw] = ACTIONS(2721),
    [anon_sym_BSLASHwg] = ACTIONS(2721),
    [anon_sym_BSLASHwh] = ACTIONS(2721),
    [anon_sym_BSLASHwa] = ACTIONS(2721),
    [anon_sym_BSLASHfig] = ACTIONS(2721),
    [anon_sym_BSLASHjmp] = ACTIONS(2721),
    [anon_sym_BSLASHpb] = ACTIONS(2721),
    [anon_sym_BSLASH] = ACTIONS(2721),
    [sym_milestoneStartTag] = ACTIONS(2721),
    [sym_milestoneEndTag] = ACTIONS(2721),
    [sym_zSpaceTag] = ACTIONS(2721),
    [anon_sym_BSLASHesbe] = ACTIONS(2721),
    [anon_sym_BSLASHcat] = ACTIONS(2721),
  },
  [692] = {
    [aux_sym_text_token1] = ACTIONS(2723),
    [anon_sym_BSLASHref] = ACTIONS(2725),
    [anon_sym_BSLASHsts] = ACTIONS(2725),
    [anon_sym_BSLASHrem] = ACTIONS(2725),
    [anon_sym_BSLASHrestore] = ACTIONS(2725),
    [anon_sym_BSLASHlit] = ACTIONS(2725),
    [anon_sym_BSLASHip] = ACTIONS(2725),
    [anon_sym_BSLASHv] = ACTIONS(2725),
    [anon_sym_BSLASHva] = ACTIONS(2725),
    [anon_sym_BSLASHvp] = ACTIONS(2725),
    [anon_sym_BSLASHmte] = ACTIONS(2725),
    [anon_sym_BSLASHms] = ACTIONS(2725),
    [anon_sym_BSLASHs] = ACTIONS(2725),
    [anon_sym_BSLASHr] = ACTIONS(2725),
    [anon_sym_BSLASHsp] = ACTIONS(2725),
    [anon_sym_BSLASHd] = ACTIONS(2725),
    [anon_sym_BSLASHsd] = ACTIONS(2725),
    [anon_sym_BSLASHp] = ACTIONS(2725),
    [anon_sym_BSLASHm] = ACTIONS(2725),
    [anon_sym_BSLASHpo] = ACTIONS(2725),
    [anon_sym_BSLASHpr] = ACTIONS(2725),
    [anon_sym_BSLASHcls] = ACTIONS(2725),
    [anon_sym_BSLASHpmo] = ACTIONS(2725),
    [anon_sym_BSLASHpm] = ACTIONS(2725),
    [anon_sym_BSLASHpmc] = ACTIONS(2725),
    [anon_sym_BSLASHpmr] = ACTIONS(2725),
    [anon_sym_BSLASHpi] = ACTIONS(2725),
    [anon_sym_BSLASHmi] = ACTIONS(2725),
    [anon_sym_BSLASHnb] = ACTIONS(2725),
    [anon_sym_BSLASHpc] = ACTIONS(2725),
    [anon_sym_BSLASHph] = ACTIONS(2725),
    [anon_sym_BSLASHb] = ACTIONS(2725),
    [anon_sym_BSLASHq] = ACTIONS(2725),
    [anon_sym_BSLASHqr] = ACTIONS(2725),
    [anon_sym_BSLASHqc] = ACTIONS(2725),
    [anon_sym_BSLASHqs] = ACTIONS(2725),
    [anon_sym_BSLASHqa] = ACTIONS(2725),
    [anon_sym_BSLASHqac] = ACTIONS(2725),
    [anon_sym_BSLASHqm] = ACTIONS(2725),
    [anon_sym_BSLASHqd] = ACTIONS(2725),
    [anon_sym_BSLASHlh] = ACTIONS(2725),
    [anon_sym_BSLASHli] = ACTIONS(2725),
    [anon_sym_BSLASHlim] = ACTIONS(2725),
    [anon_sym_BSLASHtr] = ACTIONS(2725),
    [anon_sym_BSLASHf] = ACTIONS(2725),
    [anon_sym_BSLASHfe] = ACTIONS(2725),
    [anon_sym_BSLASHef] = ACTIONS(2725),
    [anon_sym_BSLASHfm] = ACTIONS(2725),
    [anon_sym_BSLASHx] = ACTIONS(2725),
    [anon_sym_BSLASHxt] = ACTIONS(2725),
    [anon_sym_BSLASHrq] = ACTIONS(2725),
    [anon_sym_BSLASHadd] = ACTIONS(2725),
    [anon_sym_BSLASHbk] = ACTIONS(2725),
    [anon_sym_BSLASHdc] = ACTIONS(2725),
    [anon_sym_BSLASHk] = ACTIONS(2725),
    [anon_sym_BSLASHnd] = ACTIONS(2725),
    [anon_sym_BSLASHord] = ACTIONS(2725),
    [anon_sym_BSLASHpn] = ACTIONS(2725),
    [anon_sym_BSLASHpng] = ACTIONS(2725),
    [anon_sym_BSLASHaddpn] = ACTIONS(2725),
    [anon_sym_BSLASHqt] = ACTIONS(2725),
    [anon_sym_BSLASHsig] = ACTIONS(2725),
    [anon_sym_BSLASHsls] = ACTIONS(2725),
    [anon_sym_BSLASHtl] = ACTIONS(2725),
    [anon_sym_BSLASHwj] = ACTIONS(2725),
    [anon_sym_BSLASHem] = ACTIONS(2725),
    [anon_sym_BSLASHbd] = ACTIONS(2725),
    [anon_sym_BSLASHit] = ACTIONS(2725),
    [anon_sym_BSLASHbdit] = ACTIONS(2725),
    [anon_sym_BSLASHno] = ACTIONS(2725),
    [anon_sym_BSLASHsc] = ACTIONS(2725),
    [anon_sym_BSLASHsup] = ACTIONS(2725),
    [anon_sym_BSLASHndx] = ACTIONS(2725),
    [anon_sym_BSLASHpro] = ACTIONS(2725),
    [anon_sym_BSLASHrb] = ACTIONS(2725),
    [anon_sym_BSLASHw] = ACTIONS(2725),
    [anon_sym_BSLASHwg] = ACTIONS(2725),
    [anon_sym_BSLASHwh] = ACTIONS(2725),
    [anon_sym_BSLASHwa] = ACTIONS(2725),
    [anon_sym_BSLASHfig] = ACTIONS(2725),
    [anon_sym_BSLASHjmp] = ACTIONS(2725),
    [anon_sym_BSLASHpb] = ACTIONS(2725),
    [anon_sym_BSLASH] = ACTIONS(2725),
    [sym_milestoneStartTag] = ACTIONS(2725),
    [sym_milestoneEndTag] = ACTIONS(2725),
    [sym_zSpaceTag] = ACTIONS(2725),
    [anon_sym_BSLASHesbe] = ACTIONS(2725),
    [anon_sym_BSLASHcat] = ACTIONS(2725),
  },
  [693] = {
    [aux_sym_text_token1] = ACTIONS(41),
    [anon_sym_BSLASHref] = ACTIONS(43),
    [anon_sym_BSLASHsts] = ACTIONS(43),
    [anon_sym_BSLASHrem] = ACTIONS(43),
    [anon_sym_BSLASHrestore] = ACTIONS(43),
    [anon_sym_BSLASHlit] = ACTIONS(43),
    [anon_sym_BSLASHip] = ACTIONS(43),
    [anon_sym_BSLASHv] = ACTIONS(43),
    [anon_sym_BSLASHva] = ACTIONS(43),
    [anon_sym_BSLASHvp] = ACTIONS(43),
    [anon_sym_BSLASHmte] = ACTIONS(43),
    [anon_sym_BSLASHms] = ACTIONS(43),
    [anon_sym_BSLASHs] = ACTIONS(43),
    [anon_sym_BSLASHr] = ACTIONS(43),
    [anon_sym_BSLASHsp] = ACTIONS(43),
    [anon_sym_BSLASHd] = ACTIONS(43),
    [anon_sym_BSLASHsd] = ACTIONS(43),
    [anon_sym_BSLASHp] = ACTIONS(43),
    [anon_sym_BSLASHm] = ACTIONS(43),
    [anon_sym_BSLASHpo] = ACTIONS(43),
    [anon_sym_BSLASHpr] = ACTIONS(43),
    [anon_sym_BSLASHcls] = ACTIONS(43),
    [anon_sym_BSLASHpmo] = ACTIONS(43),
    [anon_sym_BSLASHpm] = ACTIONS(43),
    [anon_sym_BSLASHpmc] = ACTIONS(43),
    [anon_sym_BSLASHpmr] = ACTIONS(43),
    [anon_sym_BSLASHpi] = ACTIONS(43),
    [anon_sym_BSLASHmi] = ACTIONS(43),
    [anon_sym_BSLASHnb] = ACTIONS(43),
    [anon_sym_BSLASHpc] = ACTIONS(43),
    [anon_sym_BSLASHph] = ACTIONS(43),
    [anon_sym_BSLASHb] = ACTIONS(43),
    [anon_sym_BSLASHq] = ACTIONS(43),
    [anon_sym_BSLASHqr] = ACTIONS(43),
    [anon_sym_BSLASHqc] = ACTIONS(43),
    [anon_sym_BSLASHqs] = ACTIONS(43),
    [anon_sym_BSLASHqa] = ACTIONS(43),
    [anon_sym_BSLASHqac] = ACTIONS(43),
    [anon_sym_BSLASHqm] = ACTIONS(43),
    [anon_sym_BSLASHqd] = ACTIONS(43),
    [anon_sym_BSLASHlh] = ACTIONS(43),
    [anon_sym_BSLASHli] = ACTIONS(43),
    [anon_sym_BSLASHlim] = ACTIONS(43),
    [anon_sym_BSLASHtr] = ACTIONS(43),
    [anon_sym_BSLASHf] = ACTIONS(43),
    [anon_sym_BSLASHfe] = ACTIONS(43),
    [anon_sym_BSLASHef] = ACTIONS(43),
    [anon_sym_BSLASHfm] = ACTIONS(43),
    [anon_sym_BSLASHx] = ACTIONS(43),
    [anon_sym_BSLASHxt] = ACTIONS(43),
    [anon_sym_BSLASHrq] = ACTIONS(43),
    [anon_sym_BSLASHadd] = ACTIONS(43),
    [anon_sym_BSLASHbk] = ACTIONS(43),
    [anon_sym_BSLASHdc] = ACTIONS(43),
    [anon_sym_BSLASHk] = ACTIONS(43),
    [anon_sym_BSLASHnd] = ACTIONS(43),
    [anon_sym_BSLASHord] = ACTIONS(43),
    [anon_sym_BSLASHpn] = ACTIONS(43),
    [anon_sym_BSLASHpng] = ACTIONS(43),
    [anon_sym_BSLASHaddpn] = ACTIONS(43),
    [anon_sym_BSLASHqt] = ACTIONS(43),
    [anon_sym_BSLASHsig] = ACTIONS(43),
    [anon_sym_BSLASHsls] = ACTIONS(43),
    [anon_sym_BSLASHtl] = ACTIONS(43),
    [anon_sym_BSLASHwj] = ACTIONS(43),
    [anon_sym_BSLASHem] = ACTIONS(43),
    [anon_sym_BSLASHbd] = ACTIONS(43),
    [anon_sym_BSLASHit] = ACTIONS(43),
    [anon_sym_BSLASHbdit] = ACTIONS(43),
    [anon_sym_BSLASHno] = ACTIONS(43),
    [anon_sym_BSLASHsc] = ACTIONS(43),
    [anon_sym_BSLASHsup] = ACTIONS(43),
    [anon_sym_BSLASHndx] = ACTIONS(43),
    [anon_sym_BSLASHpro] = ACTIONS(43),
    [anon_sym_BSLASHrb] = ACTIONS(43),
    [anon_sym_BSLASHw] = ACTIONS(43),
    [anon_sym_BSLASHwg] = ACTIONS(43),
    [anon_sym_BSLASHwh] = ACTIONS(43),
    [anon_sym_BSLASHwa] = ACTIONS(43),
    [anon_sym_BSLASHfig] = ACTIONS(43),
    [anon_sym_BSLASHjmp] = ACTIONS(43),
    [anon_sym_BSLASHpb] = ACTIONS(43),
    [anon_sym_BSLASH] = ACTIONS(43),
    [sym_milestoneStartTag] = ACTIONS(43),
    [sym_milestoneEndTag] = ACTIONS(43),
    [sym_zSpaceTag] = ACTIONS(43),
    [anon_sym_BSLASHesbe] = ACTIONS(43),
    [anon_sym_BSLASHcat] = ACTIONS(43),
  },
  [694] = {
    [aux_sym_text_token1] = ACTIONS(33),
    [anon_sym_BSLASHref] = ACTIONS(35),
    [anon_sym_BSLASHsts] = ACTIONS(35),
    [anon_sym_BSLASHrem] = ACTIONS(35),
    [anon_sym_BSLASHrestore] = ACTIONS(35),
    [anon_sym_BSLASHlit] = ACTIONS(35),
    [anon_sym_BSLASHip] = ACTIONS(35),
    [anon_sym_BSLASHv] = ACTIONS(35),
    [anon_sym_BSLASHva] = ACTIONS(35),
    [anon_sym_BSLASHvp] = ACTIONS(35),
    [anon_sym_BSLASHmte] = ACTIONS(35),
    [anon_sym_BSLASHms] = ACTIONS(35),
    [anon_sym_BSLASHs] = ACTIONS(35),
    [anon_sym_BSLASHr] = ACTIONS(35),
    [anon_sym_BSLASHsp] = ACTIONS(35),
    [anon_sym_BSLASHd] = ACTIONS(35),
    [anon_sym_BSLASHsd] = ACTIONS(35),
    [anon_sym_BSLASHp] = ACTIONS(35),
    [anon_sym_BSLASHm] = ACTIONS(35),
    [anon_sym_BSLASHpo] = ACTIONS(35),
    [anon_sym_BSLASHpr] = ACTIONS(35),
    [anon_sym_BSLASHcls] = ACTIONS(35),
    [anon_sym_BSLASHpmo] = ACTIONS(35),
    [anon_sym_BSLASHpm] = ACTIONS(35),
    [anon_sym_BSLASHpmc] = ACTIONS(35),
    [anon_sym_BSLASHpmr] = ACTIONS(35),
    [anon_sym_BSLASHpi] = ACTIONS(35),
    [anon_sym_BSLASHmi] = ACTIONS(35),
    [anon_sym_BSLASHnb] = ACTIONS(35),
    [anon_sym_BSLASHpc] = ACTIONS(35),
    [anon_sym_BSLASHph] = ACTIONS(35),
    [anon_sym_BSLASHb] = ACTIONS(35),
    [anon_sym_BSLASHq] = ACTIONS(35),
    [anon_sym_BSLASHqr] = ACTIONS(35),
    [anon_sym_BSLASHqc] = ACTIONS(35),
    [anon_sym_BSLASHqs] = ACTIONS(35),
    [anon_sym_BSLASHqa] = ACTIONS(35),
    [anon_sym_BSLASHqac] = ACTIONS(35),
    [anon_sym_BSLASHqm] = ACTIONS(35),
    [anon_sym_BSLASHqd] = ACTIONS(35),
    [anon_sym_BSLASHlh] = ACTIONS(35),
    [anon_sym_BSLASHli] = ACTIONS(35),
    [anon_sym_BSLASHlim] = ACTIONS(35),
    [anon_sym_BSLASHtr] = ACTIONS(35),
    [anon_sym_BSLASHf] = ACTIONS(35),
    [anon_sym_BSLASHfe] = ACTIONS(35),
    [anon_sym_BSLASHef] = ACTIONS(35),
    [anon_sym_BSLASHfm] = ACTIONS(35),
    [anon_sym_BSLASHx] = ACTIONS(35),
    [anon_sym_BSLASHxt] = ACTIONS(35),
    [anon_sym_BSLASHrq] = ACTIONS(35),
    [anon_sym_BSLASHadd] = ACTIONS(35),
    [anon_sym_BSLASHbk] = ACTIONS(35),
    [anon_sym_BSLASHdc] = ACTIONS(35),
    [anon_sym_BSLASHk] = ACTIONS(35),
    [anon_sym_BSLASHnd] = ACTIONS(35),
    [anon_sym_BSLASHord] = ACTIONS(35),
    [anon_sym_BSLASHpn] = ACTIONS(35),
    [anon_sym_BSLASHpng] = ACTIONS(35),
    [anon_sym_BSLASHaddpn] = ACTIONS(35),
    [anon_sym_BSLASHqt] = ACTIONS(35),
    [anon_sym_BSLASHsig] = ACTIONS(35),
    [anon_sym_BSLASHsls] = ACTIONS(35),
    [anon_sym_BSLASHtl] = ACTIONS(35),
    [anon_sym_BSLASHwj] = ACTIONS(35),
    [anon_sym_BSLASHem] = ACTIONS(35),
    [anon_sym_BSLASHbd] = ACTIONS(35),
    [anon_sym_BSLASHit] = ACTIONS(35),
    [anon_sym_BSLASHbdit] = ACTIONS(35),
    [anon_sym_BSLASHno] = ACTIONS(35),
    [anon_sym_BSLASHsc] = ACTIONS(35),
    [anon_sym_BSLASHsup] = ACTIONS(35),
    [anon_sym_BSLASHndx] = ACTIONS(35),
    [anon_sym_BSLASHpro] = ACTIONS(35),
    [anon_sym_BSLASHrb] = ACTIONS(35),
    [anon_sym_BSLASHw] = ACTIONS(35),
    [anon_sym_BSLASHwg] = ACTIONS(35),
    [anon_sym_BSLASHwh] = ACTIONS(35),
    [anon_sym_BSLASHwa] = ACTIONS(35),
    [anon_sym_BSLASHfig] = ACTIONS(35),
    [anon_sym_BSLASHjmp] = ACTIONS(35),
    [anon_sym_BSLASHpb] = ACTIONS(35),
    [anon_sym_BSLASH] = ACTIONS(35),
    [sym_milestoneStartTag] = ACTIONS(35),
    [sym_milestoneEndTag] = ACTIONS(35),
    [sym_zSpaceTag] = ACTIONS(35),
    [anon_sym_BSLASHesbe] = ACTIONS(35),
    [anon_sym_BSLASHcat] = ACTIONS(35),
  },
  [695] = {
    [aux_sym_text_token1] = ACTIONS(5452),
    [anon_sym_BSLASHref] = ACTIONS(5454),
    [anon_sym_BSLASHsts] = ACTIONS(5454),
    [anon_sym_BSLASHrem] = ACTIONS(5454),
    [anon_sym_BSLASHrestore] = ACTIONS(5454),
    [anon_sym_BSLASHlit] = ACTIONS(5454),
    [anon_sym_BSLASHip] = ACTIONS(5454),
    [anon_sym_BSLASHv] = ACTIONS(5454),
    [anon_sym_BSLASHva] = ACTIONS(5454),
    [anon_sym_BSLASHvp] = ACTIONS(5454),
    [anon_sym_BSLASHmte] = ACTIONS(5454),
    [anon_sym_BSLASHms] = ACTIONS(5454),
    [anon_sym_BSLASHs] = ACTIONS(5454),
    [anon_sym_BSLASHr] = ACTIONS(5454),
    [anon_sym_BSLASHsp] = ACTIONS(5454),
    [anon_sym_BSLASHd] = ACTIONS(5454),
    [anon_sym_BSLASHsd] = ACTIONS(5454),
    [anon_sym_BSLASHp] = ACTIONS(5454),
    [anon_sym_BSLASHm] = ACTIONS(5454),
    [anon_sym_BSLASHpo] = ACTIONS(5454),
    [anon_sym_BSLASHpr] = ACTIONS(5454),
    [anon_sym_BSLASHcls] = ACTIONS(5454),
    [anon_sym_BSLASHpmo] = ACTIONS(5454),
    [anon_sym_BSLASHpm] = ACTIONS(5454),
    [anon_sym_BSLASHpmc] = ACTIONS(5454),
    [anon_sym_BSLASHpmr] = ACTIONS(5454),
    [anon_sym_BSLASHpi] = ACTIONS(5454),
    [anon_sym_BSLASHmi] = ACTIONS(5454),
    [anon_sym_BSLASHnb] = ACTIONS(5454),
    [anon_sym_BSLASHpc] = ACTIONS(5454),
    [anon_sym_BSLASHph] = ACTIONS(5454),
    [anon_sym_BSLASHb] = ACTIONS(5454),
    [anon_sym_BSLASHq] = ACTIONS(5454),
    [anon_sym_BSLASHqr] = ACTIONS(5454),
    [anon_sym_BSLASHqc] = ACTIONS(5454),
    [anon_sym_BSLASHqs] = ACTIONS(5454),
    [anon_sym_BSLASHqa] = ACTIONS(5454),
    [anon_sym_BSLASHqac] = ACTIONS(5454),
    [anon_sym_BSLASHqm] = ACTIONS(5454),
    [anon_sym_BSLASHqd] = ACTIONS(5454),
    [anon_sym_BSLASHlh] = ACTIONS(5454),
    [anon_sym_BSLASHli] = ACTIONS(5454),
    [anon_sym_BSLASHlim] = ACTIONS(5454),
    [anon_sym_BSLASHtr] = ACTIONS(5454),
    [anon_sym_BSLASHf] = ACTIONS(5454),
    [anon_sym_BSLASHfe] = ACTIONS(5454),
    [anon_sym_BSLASHef] = ACTIONS(5454),
    [anon_sym_BSLASHfm] = ACTIONS(5454),
    [anon_sym_BSLASHx] = ACTIONS(5454),
    [anon_sym_BSLASHxt] = ACTIONS(5454),
    [anon_sym_BSLASHrq] = ACTIONS(5454),
    [anon_sym_BSLASHadd] = ACTIONS(5454),
    [anon_sym_BSLASHbk] = ACTIONS(5454),
    [anon_sym_BSLASHdc] = ACTIONS(5454),
    [anon_sym_BSLASHk] = ACTIONS(5454),
    [anon_sym_BSLASHnd] = ACTIONS(5454),
    [anon_sym_BSLASHord] = ACTIONS(5454),
    [anon_sym_BSLASHpn] = ACTIONS(5454),
    [anon_sym_BSLASHpng] = ACTIONS(5454),
    [anon_sym_BSLASHaddpn] = ACTIONS(5454),
    [anon_sym_BSLASHqt] = ACTIONS(5454),
    [anon_sym_BSLASHsig] = ACTIONS(5454),
    [anon_sym_BSLASHsls] = ACTIONS(5454),
    [anon_sym_BSLASHtl] = ACTIONS(5454),
    [anon_sym_BSLASHwj] = ACTIONS(5454),
    [anon_sym_BSLASHem] = ACTIONS(5454),
    [anon_sym_BSLASHbd] = ACTIONS(5454),
    [anon_sym_BSLASHit] = ACTIONS(5454),
    [anon_sym_BSLASHbdit] = ACTIONS(5454),
    [anon_sym_BSLASHno] = ACTIONS(5454),
    [anon_sym_BSLASHsc] = ACTIONS(5454),
    [anon_sym_BSLASHsup] = ACTIONS(5454),
    [anon_sym_BSLASHndx] = ACTIONS(5454),
    [anon_sym_BSLASHpro] = ACTIONS(5454),
    [anon_sym_BSLASHrb] = ACTIONS(5454),
    [anon_sym_BSLASHw] = ACTIONS(5454),
    [anon_sym_BSLASHwg] = ACTIONS(5454),
    [anon_sym_BSLASHwh] = ACTIONS(5454),
    [anon_sym_BSLASHwa] = ACTIONS(5454),
    [anon_sym_BSLASHfig] = ACTIONS(5454),
    [anon_sym_BSLASHjmp] = ACTIONS(5454),
    [anon_sym_BSLASHpb] = ACTIONS(5454),
    [anon_sym_BSLASH] = ACTIONS(5454),
    [sym_milestoneStartTag] = ACTIONS(5454),
    [sym_milestoneEndTag] = ACTIONS(5454),
    [sym_zSpaceTag] = ACTIONS(5454),
    [anon_sym_BSLASHesbe] = ACTIONS(5454),
    [anon_sym_BSLASHcat] = ACTIONS(5454),
  },
  [696] = {
    [aux_sym_text_token1] = ACTIONS(5456),
    [anon_sym_BSLASHref] = ACTIONS(5458),
    [anon_sym_BSLASHsts] = ACTIONS(5458),
    [anon_sym_BSLASHrem] = ACTIONS(5458),
    [anon_sym_BSLASHrestore] = ACTIONS(5458),
    [anon_sym_BSLASHlit] = ACTIONS(5458),
    [anon_sym_BSLASHip] = ACTIONS(5458),
    [anon_sym_BSLASHv] = ACTIONS(5458),
    [anon_sym_BSLASHva] = ACTIONS(5458),
    [anon_sym_BSLASHvp] = ACTIONS(5458),
    [anon_sym_BSLASHmte] = ACTIONS(5458),
    [anon_sym_BSLASHms] = ACTIONS(5458),
    [anon_sym_BSLASHs] = ACTIONS(5458),
    [anon_sym_BSLASHr] = ACTIONS(5458),
    [anon_sym_BSLASHsp] = ACTIONS(5458),
    [anon_sym_BSLASHd] = ACTIONS(5458),
    [anon_sym_BSLASHsd] = ACTIONS(5458),
    [anon_sym_BSLASHp] = ACTIONS(5458),
    [anon_sym_BSLASHm] = ACTIONS(5458),
    [anon_sym_BSLASHpo] = ACTIONS(5458),
    [anon_sym_BSLASHpr] = ACTIONS(5458),
    [anon_sym_BSLASHcls] = ACTIONS(5458),
    [anon_sym_BSLASHpmo] = ACTIONS(5458),
    [anon_sym_BSLASHpm] = ACTIONS(5458),
    [anon_sym_BSLASHpmc] = ACTIONS(5458),
    [anon_sym_BSLASHpmr] = ACTIONS(5458),
    [anon_sym_BSLASHpi] = ACTIONS(5458),
    [anon_sym_BSLASHmi] = ACTIONS(5458),
    [anon_sym_BSLASHnb] = ACTIONS(5458),
    [anon_sym_BSLASHpc] = ACTIONS(5458),
    [anon_sym_BSLASHph] = ACTIONS(5458),
    [anon_sym_BSLASHb] = ACTIONS(5458),
    [anon_sym_BSLASHq] = ACTIONS(5458),
    [anon_sym_BSLASHqr] = ACTIONS(5458),
    [anon_sym_BSLASHqc] = ACTIONS(5458),
    [anon_sym_BSLASHqs] = ACTIONS(5458),
    [anon_sym_BSLASHqa] = ACTIONS(5458),
    [anon_sym_BSLASHqac] = ACTIONS(5458),
    [anon_sym_BSLASHqm] = ACTIONS(5458),
    [anon_sym_BSLASHqd] = ACTIONS(5458),
    [anon_sym_BSLASHlh] = ACTIONS(5458),
    [anon_sym_BSLASHli] = ACTIONS(5458),
    [anon_sym_BSLASHlim] = ACTIONS(5458),
    [anon_sym_BSLASHtr] = ACTIONS(5458),
    [anon_sym_BSLASHf] = ACTIONS(5458),
    [anon_sym_BSLASHfe] = ACTIONS(5458),
    [anon_sym_BSLASHef] = ACTIONS(5458),
    [anon_sym_BSLASHfm] = ACTIONS(5458),
    [anon_sym_BSLASHx] = ACTIONS(5458),
    [anon_sym_BSLASHxt] = ACTIONS(5458),
    [anon_sym_BSLASHrq] = ACTIONS(5458),
    [anon_sym_BSLASHadd] = ACTIONS(5458),
    [anon_sym_BSLASHbk] = ACTIONS(5458),
    [anon_sym_BSLASHdc] = ACTIONS(5458),
    [anon_sym_BSLASHk] = ACTIONS(5458),
    [anon_sym_BSLASHnd] = ACTIONS(5458),
    [anon_sym_BSLASHord] = ACTIONS(5458),
    [anon_sym_BSLASHpn] = ACTIONS(5458),
    [anon_sym_BSLASHpng] = ACTIONS(5458),
    [anon_sym_BSLASHaddpn] = ACTIONS(5458),
    [anon_sym_BSLASHqt] = ACTIONS(5458),
    [anon_sym_BSLASHsig] = ACTIONS(5458),
    [anon_sym_BSLASHsls] = ACTIONS(5458),
    [anon_sym_BSLASHtl] = ACTIONS(5458),
    [anon_sym_BSLASHwj] = ACTIONS(5458),
    [anon_sym_BSLASHem] = ACTIONS(5458),
    [anon_sym_BSLASHbd] = ACTIONS(5458),
    [anon_sym_BSLASHit] = ACTIONS(5458),
    [anon_sym_BSLASHbdit] = ACTIONS(5458),
    [anon_sym_BSLASHno] = ACTIONS(5458),
    [anon_sym_BSLASHsc] = ACTIONS(5458),
    [anon_sym_BSLASHsup] = ACTIONS(5458),
    [anon_sym_BSLASHndx] = ACTIONS(5458),
    [anon_sym_BSLASHpro] = ACTIONS(5458),
    [anon_sym_BSLASHrb] = ACTIONS(5458),
    [anon_sym_BSLASHw] = ACTIONS(5458),
    [anon_sym_BSLASHwg] = ACTIONS(5458),
    [anon_sym_BSLASHwh] = ACTIONS(5458),
    [anon_sym_BSLASHwa] = ACTIONS(5458),
    [anon_sym_BSLASHfig] = ACTIONS(5458),
    [anon_sym_BSLASHjmp] = ACTIONS(5458),
    [anon_sym_BSLASHpb] = ACTIONS(5458),
    [anon_sym_BSLASH] = ACTIONS(5458),
    [sym_milestoneStartTag] = ACTIONS(5458),
    [sym_milestoneEndTag] = ACTIONS(5458),
    [sym_zSpaceTag] = ACTIONS(5458),
    [anon_sym_BSLASHesbe] = ACTIONS(5458),
    [anon_sym_BSLASHcat] = ACTIONS(5458),
  },
  [697] = {
    [aux_sym_text_token1] = ACTIONS(29),
    [anon_sym_BSLASHref] = ACTIONS(31),
    [anon_sym_BSLASHsts] = ACTIONS(31),
    [anon_sym_BSLASHrem] = ACTIONS(31),
    [anon_sym_BSLASHrestore] = ACTIONS(31),
    [anon_sym_BSLASHlit] = ACTIONS(31),
    [anon_sym_BSLASHip] = ACTIONS(31),
    [anon_sym_BSLASHv] = ACTIONS(31),
    [anon_sym_BSLASHva] = ACTIONS(31),
    [anon_sym_BSLASHvp] = ACTIONS(31),
    [anon_sym_BSLASHmte] = ACTIONS(31),
    [anon_sym_BSLASHms] = ACTIONS(31),
    [anon_sym_BSLASHs] = ACTIONS(31),
    [anon_sym_BSLASHr] = ACTIONS(31),
    [anon_sym_BSLASHsp] = ACTIONS(31),
    [anon_sym_BSLASHd] = ACTIONS(31),
    [anon_sym_BSLASHsd] = ACTIONS(31),
    [anon_sym_BSLASHp] = ACTIONS(31),
    [anon_sym_BSLASHm] = ACTIONS(31),
    [anon_sym_BSLASHpo] = ACTIONS(31),
    [anon_sym_BSLASHpr] = ACTIONS(31),
    [anon_sym_BSLASHcls] = ACTIONS(31),
    [anon_sym_BSLASHpmo] = ACTIONS(31),
    [anon_sym_BSLASHpm] = ACTIONS(31),
    [anon_sym_BSLASHpmc] = ACTIONS(31),
    [anon_sym_BSLASHpmr] = ACTIONS(31),
    [anon_sym_BSLASHpi] = ACTIONS(31),
    [anon_sym_BSLASHmi] = ACTIONS(31),
    [anon_sym_BSLASHnb] = ACTIONS(31),
    [anon_sym_BSLASHpc] = ACTIONS(31),
    [anon_sym_BSLASHph] = ACTIONS(31),
    [anon_sym_BSLASHb] = ACTIONS(31),
    [anon_sym_BSLASHq] = ACTIONS(31),
    [anon_sym_BSLASHqr] = ACTIONS(31),
    [anon_sym_BSLASHqc] = ACTIONS(31),
    [anon_sym_BSLASHqs] = ACTIONS(31),
    [anon_sym_BSLASHqa] = ACTIONS(31),
    [anon_sym_BSLASHqac] = ACTIONS(31),
    [anon_sym_BSLASHqm] = ACTIONS(31),
    [anon_sym_BSLASHqd] = ACTIONS(31),
    [anon_sym_BSLASHlh] = ACTIONS(31),
    [anon_sym_BSLASHli] = ACTIONS(31),
    [anon_sym_BSLASHlim] = ACTIONS(31),
    [anon_sym_BSLASHtr] = ACTIONS(31),
    [anon_sym_BSLASHf] = ACTIONS(31),
    [anon_sym_BSLASHfe] = ACTIONS(31),
    [anon_sym_BSLASHef] = ACTIONS(31),
    [anon_sym_BSLASHfm] = ACTIONS(31),
    [anon_sym_BSLASHx] = ACTIONS(31),
    [anon_sym_BSLASHxt] = ACTIONS(31),
    [anon_sym_BSLASHrq] = ACTIONS(31),
    [anon_sym_BSLASHadd] = ACTIONS(31),
    [anon_sym_BSLASHbk] = ACTIONS(31),
    [anon_sym_BSLASHdc] = ACTIONS(31),
    [anon_sym_BSLASHk] = ACTIONS(31),
    [anon_sym_BSLASHnd] = ACTIONS(31),
    [anon_sym_BSLASHord] = ACTIONS(31),
    [anon_sym_BSLASHpn] = ACTIONS(31),
    [anon_sym_BSLASHpng] = ACTIONS(31),
    [anon_sym_BSLASHaddpn] = ACTIONS(31),
    [anon_sym_BSLASHqt] = ACTIONS(31),
    [anon_sym_BSLASHsig] = ACTIONS(31),
    [anon_sym_BSLASHsls] = ACTIONS(31),
    [anon_sym_BSLASHtl] = ACTIONS(31),
    [anon_sym_BSLASHwj] = ACTIONS(31),
    [anon_sym_BSLASHem] = ACTIONS(31),
    [anon_sym_BSLASHbd] = ACTIONS(31),
    [anon_sym_BSLASHit] = ACTIONS(31),
    [anon_sym_BSLASHbdit] = ACTIONS(31),
    [anon_sym_BSLASHno] = ACTIONS(31),
    [anon_sym_BSLASHsc] = ACTIONS(31),
    [anon_sym_BSLASHsup] = ACTIONS(31),
    [anon_sym_BSLASHndx] = ACTIONS(31),
    [anon_sym_BSLASHpro] = ACTIONS(31),
    [anon_sym_BSLASHrb] = ACTIONS(31),
    [anon_sym_BSLASHw] = ACTIONS(31),
    [anon_sym_BSLASHwg] = ACTIONS(31),
    [anon_sym_BSLASHwh] = ACTIONS(31),
    [anon_sym_BSLASHwa] = ACTIONS(31),
    [anon_sym_BSLASHfig] = ACTIONS(31),
    [anon_sym_BSLASHjmp] = ACTIONS(31),
    [anon_sym_BSLASHpb] = ACTIONS(31),
    [anon_sym_BSLASH] = ACTIONS(31),
    [sym_milestoneStartTag] = ACTIONS(31),
    [sym_milestoneEndTag] = ACTIONS(31),
    [sym_zSpaceTag] = ACTIONS(31),
    [anon_sym_BSLASHesbe] = ACTIONS(31),
    [anon_sym_BSLASHcat] = ACTIONS(31),
  },
  [698] = {
    [aux_sym_text_token1] = ACTIONS(2731),
    [anon_sym_BSLASHref] = ACTIONS(2733),
    [anon_sym_BSLASHsts] = ACTIONS(2733),
    [anon_sym_BSLASHrem] = ACTIONS(2733),
    [anon_sym_BSLASHrestore] = ACTIONS(2733),
    [anon_sym_BSLASHlit] = ACTIONS(2733),
    [anon_sym_BSLASHip] = ACTIONS(2733),
    [anon_sym_BSLASHv] = ACTIONS(2733),
    [anon_sym_BSLASHva] = ACTIONS(2733),
    [anon_sym_BSLASHvp] = ACTIONS(2733),
    [anon_sym_BSLASHmte] = ACTIONS(2733),
    [anon_sym_BSLASHms] = ACTIONS(2733),
    [anon_sym_BSLASHs] = ACTIONS(2733),
    [anon_sym_BSLASHr] = ACTIONS(2733),
    [anon_sym_BSLASHsp] = ACTIONS(2733),
    [anon_sym_BSLASHd] = ACTIONS(2733),
    [anon_sym_BSLASHsd] = ACTIONS(2733),
    [anon_sym_BSLASHp] = ACTIONS(2733),
    [anon_sym_BSLASHm] = ACTIONS(2733),
    [anon_sym_BSLASHpo] = ACTIONS(2733),
    [anon_sym_BSLASHpr] = ACTIONS(2733),
    [anon_sym_BSLASHcls] = ACTIONS(2733),
    [anon_sym_BSLASHpmo] = ACTIONS(2733),
    [anon_sym_BSLASHpm] = ACTIONS(2733),
    [anon_sym_BSLASHpmc] = ACTIONS(2733),
    [anon_sym_BSLASHpmr] = ACTIONS(2733),
    [anon_sym_BSLASHpi] = ACTIONS(2733),
    [anon_sym_BSLASHmi] = ACTIONS(2733),
    [anon_sym_BSLASHnb] = ACTIONS(2733),
    [anon_sym_BSLASHpc] = ACTIONS(2733),
    [anon_sym_BSLASHph] = ACTIONS(2733),
    [anon_sym_BSLASHb] = ACTIONS(2733),
    [anon_sym_BSLASHq] = ACTIONS(2733),
    [anon_sym_BSLASHqr] = ACTIONS(2733),
    [anon_sym_BSLASHqc] = ACTIONS(2733),
    [anon_sym_BSLASHqs] = ACTIONS(2733),
    [anon_sym_BSLASHqa] = ACTIONS(2733),
    [anon_sym_BSLASHqac] = ACTIONS(2733),
    [anon_sym_BSLASHqm] = ACTIONS(2733),
    [anon_sym_BSLASHqd] = ACTIONS(2733),
    [anon_sym_BSLASHlh] = ACTIONS(2733),
    [anon_sym_BSLASHli] = ACTIONS(2733),
    [anon_sym_BSLASHlim] = ACTIONS(2733),
    [anon_sym_BSLASHtr] = ACTIONS(2733),
    [anon_sym_BSLASHf] = ACTIONS(2733),
    [anon_sym_BSLASHfe] = ACTIONS(2733),
    [anon_sym_BSLASHef] = ACTIONS(2733),
    [anon_sym_BSLASHfm] = ACTIONS(2733),
    [anon_sym_BSLASHx] = ACTIONS(2733),
    [anon_sym_BSLASHxt] = ACTIONS(2733),
    [anon_sym_BSLASHrq] = ACTIONS(2733),
    [anon_sym_BSLASHadd] = ACTIONS(2733),
    [anon_sym_BSLASHbk] = ACTIONS(2733),
    [anon_sym_BSLASHdc] = ACTIONS(2733),
    [anon_sym_BSLASHk] = ACTIONS(2733),
    [anon_sym_BSLASHnd] = ACTIONS(2733),
    [anon_sym_BSLASHord] = ACTIONS(2733),
    [anon_sym_BSLASHpn] = ACTIONS(2733),
    [anon_sym_BSLASHpng] = ACTIONS(2733),
    [anon_sym_BSLASHaddpn] = ACTIONS(2733),
    [anon_sym_BSLASHqt] = ACTIONS(2733),
    [anon_sym_BSLASHsig] = ACTIONS(2733),
    [anon_sym_BSLASHsls] = ACTIONS(2733),
    [anon_sym_BSLASHtl] = ACTIONS(2733),
    [anon_sym_BSLASHwj] = ACTIONS(2733),
    [anon_sym_BSLASHem] = ACTIONS(2733),
    [anon_sym_BSLASHbd] = ACTIONS(2733),
    [anon_sym_BSLASHit] = ACTIONS(2733),
    [anon_sym_BSLASHbdit] = ACTIONS(2733),
    [anon_sym_BSLASHno] = ACTIONS(2733),
    [anon_sym_BSLASHsc] = ACTIONS(2733),
    [anon_sym_BSLASHsup] = ACTIONS(2733),
    [anon_sym_BSLASHndx] = ACTIONS(2733),
    [anon_sym_BSLASHpro] = ACTIONS(2733),
    [anon_sym_BSLASHrb] = ACTIONS(2733),
    [anon_sym_BSLASHw] = ACTIONS(2733),
    [anon_sym_BSLASHwg] = ACTIONS(2733),
    [anon_sym_BSLASHwh] = ACTIONS(2733),
    [anon_sym_BSLASHwa] = ACTIONS(2733),
    [anon_sym_BSLASHfig] = ACTIONS(2733),
    [anon_sym_BSLASHjmp] = ACTIONS(2733),
    [anon_sym_BSLASHpb] = ACTIONS(2733),
    [anon_sym_BSLASH] = ACTIONS(2733),
    [sym_milestoneStartTag] = ACTIONS(2733),
    [sym_milestoneEndTag] = ACTIONS(2733),
    [sym_zSpaceTag] = ACTIONS(2733),
    [anon_sym_BSLASHesbe] = ACTIONS(2733),
    [anon_sym_BSLASHcat] = ACTIONS(2733),
  },
  [699] = {
    [aux_sym_text_token1] = ACTIONS(69),
    [anon_sym_BSLASHref] = ACTIONS(71),
    [anon_sym_BSLASHsts] = ACTIONS(71),
    [anon_sym_BSLASHrem] = ACTIONS(71),
    [anon_sym_BSLASHrestore] = ACTIONS(71),
    [anon_sym_BSLASHlit] = ACTIONS(71),
    [anon_sym_BSLASHip] = ACTIONS(71),
    [anon_sym_BSLASHv] = ACTIONS(71),
    [anon_sym_BSLASHva] = ACTIONS(71),
    [anon_sym_BSLASHvp] = ACTIONS(71),
    [anon_sym_BSLASHmte] = ACTIONS(71),
    [anon_sym_BSLASHms] = ACTIONS(71),
    [anon_sym_BSLASHs] = ACTIONS(71),
    [anon_sym_BSLASHr] = ACTIONS(71),
    [anon_sym_BSLASHsp] = ACTIONS(71),
    [anon_sym_BSLASHd] = ACTIONS(71),
    [anon_sym_BSLASHsd] = ACTIONS(71),
    [anon_sym_BSLASHp] = ACTIONS(71),
    [anon_sym_BSLASHm] = ACTIONS(71),
    [anon_sym_BSLASHpo] = ACTIONS(71),
    [anon_sym_BSLASHpr] = ACTIONS(71),
    [anon_sym_BSLASHcls] = ACTIONS(71),
    [anon_sym_BSLASHpmo] = ACTIONS(71),
    [anon_sym_BSLASHpm] = ACTIONS(71),
    [anon_sym_BSLASHpmc] = ACTIONS(71),
    [anon_sym_BSLASHpmr] = ACTIONS(71),
    [anon_sym_BSLASHpi] = ACTIONS(71),
    [anon_sym_BSLASHmi] = ACTIONS(71),
    [anon_sym_BSLASHnb] = ACTIONS(71),
    [anon_sym_BSLASHpc] = ACTIONS(71),
    [anon_sym_BSLASHph] = ACTIONS(71),
    [anon_sym_BSLASHb] = ACTIONS(71),
    [anon_sym_BSLASHq] = ACTIONS(71),
    [anon_sym_BSLASHqr] = ACTIONS(71),
    [anon_sym_BSLASHqc] = ACTIONS(71),
    [anon_sym_BSLASHqs] = ACTIONS(71),
    [anon_sym_BSLASHqa] = ACTIONS(71),
    [anon_sym_BSLASHqac] = ACTIONS(71),
    [anon_sym_BSLASHqm] = ACTIONS(71),
    [anon_sym_BSLASHqd] = ACTIONS(71),
    [anon_sym_BSLASHlh] = ACTIONS(71),
    [anon_sym_BSLASHli] = ACTIONS(71),
    [anon_sym_BSLASHlim] = ACTIONS(71),
    [anon_sym_BSLASHtr] = ACTIONS(71),
    [anon_sym_BSLASHf] = ACTIONS(71),
    [anon_sym_BSLASHfe] = ACTIONS(71),
    [anon_sym_BSLASHef] = ACTIONS(71),
    [anon_sym_BSLASHfm] = ACTIONS(71),
    [anon_sym_BSLASHx] = ACTIONS(71),
    [anon_sym_BSLASHxt] = ACTIONS(71),
    [anon_sym_BSLASHrq] = ACTIONS(71),
    [anon_sym_BSLASHadd] = ACTIONS(71),
    [anon_sym_BSLASHbk] = ACTIONS(71),
    [anon_sym_BSLASHdc] = ACTIONS(71),
    [anon_sym_BSLASHk] = ACTIONS(71),
    [anon_sym_BSLASHnd] = ACTIONS(71),
    [anon_sym_BSLASHord] = ACTIONS(71),
    [anon_sym_BSLASHpn] = ACTIONS(71),
    [anon_sym_BSLASHpng] = ACTIONS(71),
    [anon_sym_BSLASHaddpn] = ACTIONS(71),
    [anon_sym_BSLASHqt] = ACTIONS(71),
    [anon_sym_BSLASHsig] = ACTIONS(71),
    [anon_sym_BSLASHsls] = ACTIONS(71),
    [anon_sym_BSLASHtl] = ACTIONS(71),
    [anon_sym_BSLASHwj] = ACTIONS(71),
    [anon_sym_BSLASHem] = ACTIONS(71),
    [anon_sym_BSLASHbd] = ACTIONS(71),
    [anon_sym_BSLASHit] = ACTIONS(71),
    [anon_sym_BSLASHbdit] = ACTIONS(71),
    [anon_sym_BSLASHno] = ACTIONS(71),
    [anon_sym_BSLASHsc] = ACTIONS(71),
    [anon_sym_BSLASHsup] = ACTIONS(71),
    [anon_sym_BSLASHndx] = ACTIONS(71),
    [anon_sym_BSLASHpro] = ACTIONS(71),
    [anon_sym_BSLASHrb] = ACTIONS(71),
    [anon_sym_BSLASHw] = ACTIONS(71),
    [anon_sym_BSLASHwg] = ACTIONS(71),
    [anon_sym_BSLASHwh] = ACTIONS(71),
    [anon_sym_BSLASHwa] = ACTIONS(71),
    [anon_sym_BSLASHfig] = ACTIONS(71),
    [anon_sym_BSLASHjmp] = ACTIONS(71),
    [anon_sym_BSLASHpb] = ACTIONS(71),
    [anon_sym_BSLASH] = ACTIONS(71),
    [sym_milestoneStartTag] = ACTIONS(71),
    [sym_milestoneEndTag] = ACTIONS(71),
    [sym_zSpaceTag] = ACTIONS(71),
    [anon_sym_BSLASHesbe] = ACTIONS(71),
    [anon_sym_BSLASHcat] = ACTIONS(71),
  },
  [700] = {
    [aux_sym_text_token1] = ACTIONS(2787),
    [anon_sym_BSLASHref] = ACTIONS(2789),
    [anon_sym_BSLASHsts] = ACTIONS(2789),
    [anon_sym_BSLASHrem] = ACTIONS(2789),
    [anon_sym_BSLASHrestore] = ACTIONS(2789),
    [anon_sym_BSLASHlit] = ACTIONS(2789),
    [anon_sym_BSLASHip] = ACTIONS(2789),
    [anon_sym_BSLASHv] = ACTIONS(2789),
    [anon_sym_BSLASHva] = ACTIONS(2789),
    [anon_sym_BSLASHvp] = ACTIONS(2789),
    [anon_sym_BSLASHmte] = ACTIONS(2789),
    [anon_sym_BSLASHms] = ACTIONS(2789),
    [anon_sym_BSLASHs] = ACTIONS(2789),
    [anon_sym_BSLASHr] = ACTIONS(2789),
    [anon_sym_BSLASHsp] = ACTIONS(2789),
    [anon_sym_BSLASHd] = ACTIONS(2789),
    [anon_sym_BSLASHsd] = ACTIONS(2789),
    [anon_sym_BSLASHp] = ACTIONS(2789),
    [anon_sym_BSLASHm] = ACTIONS(2789),
    [anon_sym_BSLASHpo] = ACTIONS(2789),
    [anon_sym_BSLASHpr] = ACTIONS(2789),
    [anon_sym_BSLASHcls] = ACTIONS(2789),
    [anon_sym_BSLASHpmo] = ACTIONS(2789),
    [anon_sym_BSLASHpm] = ACTIONS(2789),
    [anon_sym_BSLASHpmc] = ACTIONS(2789),
    [anon_sym_BSLASHpmr] = ACTIONS(2789),
    [anon_sym_BSLASHpi] = ACTIONS(2789),
    [anon_sym_BSLASHmi] = ACTIONS(2789),
    [anon_sym_BSLASHnb] = ACTIONS(2789),
    [anon_sym_BSLASHpc] = ACTIONS(2789),
    [anon_sym_BSLASHph] = ACTIONS(2789),
    [anon_sym_BSLASHb] = ACTIONS(2789),
    [anon_sym_BSLASHq] = ACTIONS(2789),
    [anon_sym_BSLASHqr] = ACTIONS(2789),
    [anon_sym_BSLASHqc] = ACTIONS(2789),
    [anon_sym_BSLASHqs] = ACTIONS(2789),
    [anon_sym_BSLASHqa] = ACTIONS(2789),
    [anon_sym_BSLASHqac] = ACTIONS(2789),
    [anon_sym_BSLASHqm] = ACTIONS(2789),
    [anon_sym_BSLASHqd] = ACTIONS(2789),
    [anon_sym_BSLASHlh] = ACTIONS(2789),
    [anon_sym_BSLASHli] = ACTIONS(2789),
    [anon_sym_BSLASHlim] = ACTIONS(2789),
    [anon_sym_BSLASHtr] = ACTIONS(2789),
    [anon_sym_BSLASHf] = ACTIONS(2789),
    [anon_sym_BSLASHfe] = ACTIONS(2789),
    [anon_sym_BSLASHef] = ACTIONS(2789),
    [anon_sym_BSLASHfm] = ACTIONS(2789),
    [anon_sym_BSLASHx] = ACTIONS(2789),
    [anon_sym_BSLASHxt] = ACTIONS(2789),
    [anon_sym_BSLASHrq] = ACTIONS(2789),
    [anon_sym_BSLASHadd] = ACTIONS(2789),
    [anon_sym_BSLASHbk] = ACTIONS(2789),
    [anon_sym_BSLASHdc] = ACTIONS(2789),
    [anon_sym_BSLASHk] = ACTIONS(2789),
    [anon_sym_BSLASHnd] = ACTIONS(2789),
    [anon_sym_BSLASHord] = ACTIONS(2789),
    [anon_sym_BSLASHpn] = ACTIONS(2789),
    [anon_sym_BSLASHpng] = ACTIONS(2789),
    [anon_sym_BSLASHaddpn] = ACTIONS(2789),
    [anon_sym_BSLASHqt] = ACTIONS(2789),
    [anon_sym_BSLASHsig] = ACTIONS(2789),
    [anon_sym_BSLASHsls] = ACTIONS(2789),
    [anon_sym_BSLASHtl] = ACTIONS(2789),
    [anon_sym_BSLASHwj] = ACTIONS(2789),
    [anon_sym_BSLASHem] = ACTIONS(2789),
    [anon_sym_BSLASHbd] = ACTIONS(2789),
    [anon_sym_BSLASHit] = ACTIONS(2789),
    [anon_sym_BSLASHbdit] = ACTIONS(2789),
    [anon_sym_BSLASHno] = ACTIONS(2789),
    [anon_sym_BSLASHsc] = ACTIONS(2789),
    [anon_sym_BSLASHsup] = ACTIONS(2789),
    [anon_sym_BSLASHndx] = ACTIONS(2789),
    [anon_sym_BSLASHpro] = ACTIONS(2789),
    [anon_sym_BSLASHrb] = ACTIONS(2789),
    [anon_sym_BSLASHw] = ACTIONS(2789),
    [anon_sym_BSLASHwg] = ACTIONS(2789),
    [anon_sym_BSLASHwh] = ACTIONS(2789),
    [anon_sym_BSLASHwa] = ACTIONS(2789),
    [anon_sym_BSLASHfig] = ACTIONS(2789),
    [anon_sym_BSLASHjmp] = ACTIONS(2789),
    [anon_sym_BSLASHpb] = ACTIONS(2789),
    [anon_sym_BSLASH] = ACTIONS(2789),
    [sym_milestoneStartTag] = ACTIONS(2789),
    [sym_milestoneEndTag] = ACTIONS(2789),
    [sym_zSpaceTag] = ACTIONS(2789),
    [anon_sym_BSLASHesbe] = ACTIONS(2789),
    [anon_sym_BSLASHcat] = ACTIONS(2789),
  },
  [701] = {
    [aux_sym_text_token1] = ACTIONS(2671),
    [anon_sym_BSLASHref] = ACTIONS(2673),
    [anon_sym_BSLASHsts] = ACTIONS(2673),
    [anon_sym_BSLASHrem] = ACTIONS(2673),
    [anon_sym_BSLASHrestore] = ACTIONS(2673),
    [anon_sym_BSLASHlit] = ACTIONS(2673),
    [anon_sym_BSLASHip] = ACTIONS(2673),
    [anon_sym_BSLASHv] = ACTIONS(2673),
    [anon_sym_BSLASHva] = ACTIONS(2673),
    [anon_sym_BSLASHvp] = ACTIONS(2673),
    [anon_sym_BSLASHmte] = ACTIONS(2673),
    [anon_sym_BSLASHms] = ACTIONS(2673),
    [anon_sym_BSLASHs] = ACTIONS(2673),
    [anon_sym_BSLASHr] = ACTIONS(2673),
    [anon_sym_BSLASHsp] = ACTIONS(2673),
    [anon_sym_BSLASHd] = ACTIONS(2673),
    [anon_sym_BSLASHsd] = ACTIONS(2673),
    [anon_sym_BSLASHp] = ACTIONS(2673),
    [anon_sym_BSLASHm] = ACTIONS(2673),
    [anon_sym_BSLASHpo] = ACTIONS(2673),
    [anon_sym_BSLASHpr] = ACTIONS(2673),
    [anon_sym_BSLASHcls] = ACTIONS(2673),
    [anon_sym_BSLASHpmo] = ACTIONS(2673),
    [anon_sym_BSLASHpm] = ACTIONS(2673),
    [anon_sym_BSLASHpmc] = ACTIONS(2673),
    [anon_sym_BSLASHpmr] = ACTIONS(2673),
    [anon_sym_BSLASHpi] = ACTIONS(2673),
    [anon_sym_BSLASHmi] = ACTIONS(2673),
    [anon_sym_BSLASHnb] = ACTIONS(2673),
    [anon_sym_BSLASHpc] = ACTIONS(2673),
    [anon_sym_BSLASHph] = ACTIONS(2673),
    [anon_sym_BSLASHb] = ACTIONS(2673),
    [anon_sym_BSLASHq] = ACTIONS(2673),
    [anon_sym_BSLASHqr] = ACTIONS(2673),
    [anon_sym_BSLASHqc] = ACTIONS(2673),
    [anon_sym_BSLASHqs] = ACTIONS(2673),
    [anon_sym_BSLASHqa] = ACTIONS(2673),
    [anon_sym_BSLASHqac] = ACTIONS(2673),
    [anon_sym_BSLASHqm] = ACTIONS(2673),
    [anon_sym_BSLASHqd] = ACTIONS(2673),
    [anon_sym_BSLASHlh] = ACTIONS(2673),
    [anon_sym_BSLASHli] = ACTIONS(2673),
    [anon_sym_BSLASHlim] = ACTIONS(2673),
    [anon_sym_BSLASHtr] = ACTIONS(2673),
    [anon_sym_BSLASHf] = ACTIONS(2673),
    [anon_sym_BSLASHfe] = ACTIONS(2673),
    [anon_sym_BSLASHef] = ACTIONS(2673),
    [anon_sym_BSLASHfm] = ACTIONS(2673),
    [anon_sym_BSLASHx] = ACTIONS(2673),
    [anon_sym_BSLASHxt] = ACTIONS(2673),
    [anon_sym_BSLASHrq] = ACTIONS(2673),
    [anon_sym_BSLASHadd] = ACTIONS(2673),
    [anon_sym_BSLASHbk] = ACTIONS(2673),
    [anon_sym_BSLASHdc] = ACTIONS(2673),
    [anon_sym_BSLASHk] = ACTIONS(2673),
    [anon_sym_BSLASHnd] = ACTIONS(2673),
    [anon_sym_BSLASHord] = ACTIONS(2673),
    [anon_sym_BSLASHpn] = ACTIONS(2673),
    [anon_sym_BSLASHpng] = ACTIONS(2673),
    [anon_sym_BSLASHaddpn] = ACTIONS(2673),
    [anon_sym_BSLASHqt] = ACTIONS(2673),
    [anon_sym_BSLASHsig] = ACTIONS(2673),
    [anon_sym_BSLASHsls] = ACTIONS(2673),
    [anon_sym_BSLASHtl] = ACTIONS(2673),
    [anon_sym_BSLASHwj] = ACTIONS(2673),
    [anon_sym_BSLASHem] = ACTIONS(2673),
    [anon_sym_BSLASHbd] = ACTIONS(2673),
    [anon_sym_BSLASHit] = ACTIONS(2673),
    [anon_sym_BSLASHbdit] = ACTIONS(2673),
    [anon_sym_BSLASHno] = ACTIONS(2673),
    [anon_sym_BSLASHsc] = ACTIONS(2673),
    [anon_sym_BSLASHsup] = ACTIONS(2673),
    [anon_sym_BSLASHndx] = ACTIONS(2673),
    [anon_sym_BSLASHpro] = ACTIONS(2673),
    [anon_sym_BSLASHrb] = ACTIONS(2673),
    [anon_sym_BSLASHw] = ACTIONS(2673),
    [anon_sym_BSLASHwg] = ACTIONS(2673),
    [anon_sym_BSLASHwh] = ACTIONS(2673),
    [anon_sym_BSLASHwa] = ACTIONS(2673),
    [anon_sym_BSLASHfig] = ACTIONS(2673),
    [anon_sym_BSLASHjmp] = ACTIONS(2673),
    [anon_sym_BSLASHpb] = ACTIONS(2673),
    [anon_sym_BSLASH] = ACTIONS(2673),
    [sym_milestoneStartTag] = ACTIONS(2673),
    [sym_milestoneEndTag] = ACTIONS(2673),
    [sym_zSpaceTag] = ACTIONS(2673),
    [anon_sym_BSLASHesbe] = ACTIONS(2673),
    [anon_sym_BSLASHcat] = ACTIONS(2673),
  },
  [702] = {
    [aux_sym_text_token1] = ACTIONS(2687),
    [anon_sym_BSLASHref] = ACTIONS(2689),
    [anon_sym_BSLASHsts] = ACTIONS(2689),
    [anon_sym_BSLASHrem] = ACTIONS(2689),
    [anon_sym_BSLASHrestore] = ACTIONS(2689),
    [anon_sym_BSLASHlit] = ACTIONS(2689),
    [anon_sym_BSLASHip] = ACTIONS(2689),
    [anon_sym_BSLASHv] = ACTIONS(2689),
    [anon_sym_BSLASHva] = ACTIONS(2689),
    [anon_sym_BSLASHvp] = ACTIONS(2689),
    [anon_sym_BSLASHmte] = ACTIONS(2689),
    [anon_sym_BSLASHms] = ACTIONS(2689),
    [anon_sym_BSLASHs] = ACTIONS(2689),
    [anon_sym_BSLASHr] = ACTIONS(2689),
    [anon_sym_BSLASHsp] = ACTIONS(2689),
    [anon_sym_BSLASHd] = ACTIONS(2689),
    [anon_sym_BSLASHsd] = ACTIONS(2689),
    [anon_sym_BSLASHp] = ACTIONS(2689),
    [anon_sym_BSLASHm] = ACTIONS(2689),
    [anon_sym_BSLASHpo] = ACTIONS(2689),
    [anon_sym_BSLASHpr] = ACTIONS(2689),
    [anon_sym_BSLASHcls] = ACTIONS(2689),
    [anon_sym_BSLASHpmo] = ACTIONS(2689),
    [anon_sym_BSLASHpm] = ACTIONS(2689),
    [anon_sym_BSLASHpmc] = ACTIONS(2689),
    [anon_sym_BSLASHpmr] = ACTIONS(2689),
    [anon_sym_BSLASHpi] = ACTIONS(2689),
    [anon_sym_BSLASHmi] = ACTIONS(2689),
    [anon_sym_BSLASHnb] = ACTIONS(2689),
    [anon_sym_BSLASHpc] = ACTIONS(2689),
    [anon_sym_BSLASHph] = ACTIONS(2689),
    [anon_sym_BSLASHb] = ACTIONS(2689),
    [anon_sym_BSLASHq] = ACTIONS(2689),
    [anon_sym_BSLASHqr] = ACTIONS(2689),
    [anon_sym_BSLASHqc] = ACTIONS(2689),
    [anon_sym_BSLASHqs] = ACTIONS(2689),
    [anon_sym_BSLASHqa] = ACTIONS(2689),
    [anon_sym_BSLASHqac] = ACTIONS(2689),
    [anon_sym_BSLASHqm] = ACTIONS(2689),
    [anon_sym_BSLASHqd] = ACTIONS(2689),
    [anon_sym_BSLASHlh] = ACTIONS(2689),
    [anon_sym_BSLASHli] = ACTIONS(2689),
    [anon_sym_BSLASHlim] = ACTIONS(2689),
    [anon_sym_BSLASHtr] = ACTIONS(2689),
    [anon_sym_BSLASHf] = ACTIONS(2689),
    [anon_sym_BSLASHfe] = ACTIONS(2689),
    [anon_sym_BSLASHef] = ACTIONS(2689),
    [anon_sym_BSLASHfm] = ACTIONS(2689),
    [anon_sym_BSLASHx] = ACTIONS(2689),
    [anon_sym_BSLASHxt] = ACTIONS(2689),
    [anon_sym_BSLASHrq] = ACTIONS(2689),
    [anon_sym_BSLASHadd] = ACTIONS(2689),
    [anon_sym_BSLASHbk] = ACTIONS(2689),
    [anon_sym_BSLASHdc] = ACTIONS(2689),
    [anon_sym_BSLASHk] = ACTIONS(2689),
    [anon_sym_BSLASHnd] = ACTIONS(2689),
    [anon_sym_BSLASHord] = ACTIONS(2689),
    [anon_sym_BSLASHpn] = ACTIONS(2689),
    [anon_sym_BSLASHpng] = ACTIONS(2689),
    [anon_sym_BSLASHaddpn] = ACTIONS(2689),
    [anon_sym_BSLASHqt] = ACTIONS(2689),
    [anon_sym_BSLASHsig] = ACTIONS(2689),
    [anon_sym_BSLASHsls] = ACTIONS(2689),
    [anon_sym_BSLASHtl] = ACTIONS(2689),
    [anon_sym_BSLASHwj] = ACTIONS(2689),
    [anon_sym_BSLASHem] = ACTIONS(2689),
    [anon_sym_BSLASHbd] = ACTIONS(2689),
    [anon_sym_BSLASHit] = ACTIONS(2689),
    [anon_sym_BSLASHbdit] = ACTIONS(2689),
    [anon_sym_BSLASHno] = ACTIONS(2689),
    [anon_sym_BSLASHsc] = ACTIONS(2689),
    [anon_sym_BSLASHsup] = ACTIONS(2689),
    [anon_sym_BSLASHndx] = ACTIONS(2689),
    [anon_sym_BSLASHpro] = ACTIONS(2689),
    [anon_sym_BSLASHrb] = ACTIONS(2689),
    [anon_sym_BSLASHw] = ACTIONS(2689),
    [anon_sym_BSLASHwg] = ACTIONS(2689),
    [anon_sym_BSLASHwh] = ACTIONS(2689),
    [anon_sym_BSLASHwa] = ACTIONS(2689),
    [anon_sym_BSLASHfig] = ACTIONS(2689),
    [anon_sym_BSLASHjmp] = ACTIONS(2689),
    [anon_sym_BSLASHpb] = ACTIONS(2689),
    [anon_sym_BSLASH] = ACTIONS(2689),
    [sym_milestoneStartTag] = ACTIONS(2689),
    [sym_milestoneEndTag] = ACTIONS(2689),
    [sym_zSpaceTag] = ACTIONS(2689),
    [anon_sym_BSLASHesbe] = ACTIONS(2689),
    [anon_sym_BSLASHcat] = ACTIONS(2689),
  },
  [703] = {
    [aux_sym_text_token1] = ACTIONS(2691),
    [anon_sym_BSLASHref] = ACTIONS(2693),
    [anon_sym_BSLASHsts] = ACTIONS(2693),
    [anon_sym_BSLASHrem] = ACTIONS(2693),
    [anon_sym_BSLASHrestore] = ACTIONS(2693),
    [anon_sym_BSLASHlit] = ACTIONS(2693),
    [anon_sym_BSLASHip] = ACTIONS(2693),
    [anon_sym_BSLASHv] = ACTIONS(2693),
    [anon_sym_BSLASHva] = ACTIONS(2693),
    [anon_sym_BSLASHvp] = ACTIONS(2693),
    [anon_sym_BSLASHmte] = ACTIONS(2693),
    [anon_sym_BSLASHms] = ACTIONS(2693),
    [anon_sym_BSLASHs] = ACTIONS(2693),
    [anon_sym_BSLASHr] = ACTIONS(2693),
    [anon_sym_BSLASHsp] = ACTIONS(2693),
    [anon_sym_BSLASHd] = ACTIONS(2693),
    [anon_sym_BSLASHsd] = ACTIONS(2693),
    [anon_sym_BSLASHp] = ACTIONS(2693),
    [anon_sym_BSLASHm] = ACTIONS(2693),
    [anon_sym_BSLASHpo] = ACTIONS(2693),
    [anon_sym_BSLASHpr] = ACTIONS(2693),
    [anon_sym_BSLASHcls] = ACTIONS(2693),
    [anon_sym_BSLASHpmo] = ACTIONS(2693),
    [anon_sym_BSLASHpm] = ACTIONS(2693),
    [anon_sym_BSLASHpmc] = ACTIONS(2693),
    [anon_sym_BSLASHpmr] = ACTIONS(2693),
    [anon_sym_BSLASHpi] = ACTIONS(2693),
    [anon_sym_BSLASHmi] = ACTIONS(2693),
    [anon_sym_BSLASHnb] = ACTIONS(2693),
    [anon_sym_BSLASHpc] = ACTIONS(2693),
    [anon_sym_BSLASHph] = ACTIONS(2693),
    [anon_sym_BSLASHb] = ACTIONS(2693),
    [anon_sym_BSLASHq] = ACTIONS(2693),
    [anon_sym_BSLASHqr] = ACTIONS(2693),
    [anon_sym_BSLASHqc] = ACTIONS(2693),
    [anon_sym_BSLASHqs] = ACTIONS(2693),
    [anon_sym_BSLASHqa] = ACTIONS(2693),
    [anon_sym_BSLASHqac] = ACTIONS(2693),
    [anon_sym_BSLASHqm] = ACTIONS(2693),
    [anon_sym_BSLASHqd] = ACTIONS(2693),
    [anon_sym_BSLASHlh] = ACTIONS(2693),
    [anon_sym_BSLASHli] = ACTIONS(2693),
    [anon_sym_BSLASHlim] = ACTIONS(2693),
    [anon_sym_BSLASHtr] = ACTIONS(2693),
    [anon_sym_BSLASHf] = ACTIONS(2693),
    [anon_sym_BSLASHfe] = ACTIONS(2693),
    [anon_sym_BSLASHef] = ACTIONS(2693),
    [anon_sym_BSLASHfm] = ACTIONS(2693),
    [anon_sym_BSLASHx] = ACTIONS(2693),
    [anon_sym_BSLASHxt] = ACTIONS(2693),
    [anon_sym_BSLASHrq] = ACTIONS(2693),
    [anon_sym_BSLASHadd] = ACTIONS(2693),
    [anon_sym_BSLASHbk] = ACTIONS(2693),
    [anon_sym_BSLASHdc] = ACTIONS(2693),
    [anon_sym_BSLASHk] = ACTIONS(2693),
    [anon_sym_BSLASHnd] = ACTIONS(2693),
    [anon_sym_BSLASHord] = ACTIONS(2693),
    [anon_sym_BSLASHpn] = ACTIONS(2693),
    [anon_sym_BSLASHpng] = ACTIONS(2693),
    [anon_sym_BSLASHaddpn] = ACTIONS(2693),
    [anon_sym_BSLASHqt] = ACTIONS(2693),
    [anon_sym_BSLASHsig] = ACTIONS(2693),
    [anon_sym_BSLASHsls] = ACTIONS(2693),
    [anon_sym_BSLASHtl] = ACTIONS(2693),
    [anon_sym_BSLASHwj] = ACTIONS(2693),
    [anon_sym_BSLASHem] = ACTIONS(2693),
    [anon_sym_BSLASHbd] = ACTIONS(2693),
    [anon_sym_BSLASHit] = ACTIONS(2693),
    [anon_sym_BSLASHbdit] = ACTIONS(2693),
    [anon_sym_BSLASHno] = ACTIONS(2693),
    [anon_sym_BSLASHsc] = ACTIONS(2693),
    [anon_sym_BSLASHsup] = ACTIONS(2693),
    [anon_sym_BSLASHndx] = ACTIONS(2693),
    [anon_sym_BSLASHpro] = ACTIONS(2693),
    [anon_sym_BSLASHrb] = ACTIONS(2693),
    [anon_sym_BSLASHw] = ACTIONS(2693),
    [anon_sym_BSLASHwg] = ACTIONS(2693),
    [anon_sym_BSLASHwh] = ACTIONS(2693),
    [anon_sym_BSLASHwa] = ACTIONS(2693),
    [anon_sym_BSLASHfig] = ACTIONS(2693),
    [anon_sym_BSLASHjmp] = ACTIONS(2693),
    [anon_sym_BSLASHpb] = ACTIONS(2693),
    [anon_sym_BSLASH] = ACTIONS(2693),
    [sym_milestoneStartTag] = ACTIONS(2693),
    [sym_milestoneEndTag] = ACTIONS(2693),
    [sym_zSpaceTag] = ACTIONS(2693),
    [anon_sym_BSLASHesbe] = ACTIONS(2693),
    [anon_sym_BSLASHcat] = ACTIONS(2693),
  },
  [704] = {
    [aux_sym_text_token1] = ACTIONS(2695),
    [anon_sym_BSLASHref] = ACTIONS(2697),
    [anon_sym_BSLASHsts] = ACTIONS(2697),
    [anon_sym_BSLASHrem] = ACTIONS(2697),
    [anon_sym_BSLASHrestore] = ACTIONS(2697),
    [anon_sym_BSLASHlit] = ACTIONS(2697),
    [anon_sym_BSLASHip] = ACTIONS(2697),
    [anon_sym_BSLASHv] = ACTIONS(2697),
    [anon_sym_BSLASHva] = ACTIONS(2697),
    [anon_sym_BSLASHvp] = ACTIONS(2697),
    [anon_sym_BSLASHmte] = ACTIONS(2697),
    [anon_sym_BSLASHms] = ACTIONS(2697),
    [anon_sym_BSLASHs] = ACTIONS(2697),
    [anon_sym_BSLASHr] = ACTIONS(2697),
    [anon_sym_BSLASHsp] = ACTIONS(2697),
    [anon_sym_BSLASHd] = ACTIONS(2697),
    [anon_sym_BSLASHsd] = ACTIONS(2697),
    [anon_sym_BSLASHp] = ACTIONS(2697),
    [anon_sym_BSLASHm] = ACTIONS(2697),
    [anon_sym_BSLASHpo] = ACTIONS(2697),
    [anon_sym_BSLASHpr] = ACTIONS(2697),
    [anon_sym_BSLASHcls] = ACTIONS(2697),
    [anon_sym_BSLASHpmo] = ACTIONS(2697),
    [anon_sym_BSLASHpm] = ACTIONS(2697),
    [anon_sym_BSLASHpmc] = ACTIONS(2697),
    [anon_sym_BSLASHpmr] = ACTIONS(2697),
    [anon_sym_BSLASHpi] = ACTIONS(2697),
    [anon_sym_BSLASHmi] = ACTIONS(2697),
    [anon_sym_BSLASHnb] = ACTIONS(2697),
    [anon_sym_BSLASHpc] = ACTIONS(2697),
    [anon_sym_BSLASHph] = ACTIONS(2697),
    [anon_sym_BSLASHb] = ACTIONS(2697),
    [anon_sym_BSLASHq] = ACTIONS(2697),
    [anon_sym_BSLASHqr] = ACTIONS(2697),
    [anon_sym_BSLASHqc] = ACTIONS(2697),
    [anon_sym_BSLASHqs] = ACTIONS(2697),
    [anon_sym_BSLASHqa] = ACTIONS(2697),
    [anon_sym_BSLASHqac] = ACTIONS(2697),
    [anon_sym_BSLASHqm] = ACTIONS(2697),
    [anon_sym_BSLASHqd] = ACTIONS(2697),
    [anon_sym_BSLASHlh] = ACTIONS(2697),
    [anon_sym_BSLASHli] = ACTIONS(2697),
    [anon_sym_BSLASHlim] = ACTIONS(2697),
    [anon_sym_BSLASHtr] = ACTIONS(2697),
    [anon_sym_BSLASHf] = ACTIONS(2697),
    [anon_sym_BSLASHfe] = ACTIONS(2697),
    [anon_sym_BSLASHef] = ACTIONS(2697),
    [anon_sym_BSLASHfm] = ACTIONS(2697),
    [anon_sym_BSLASHx] = ACTIONS(2697),
    [anon_sym_BSLASHxt] = ACTIONS(2697),
    [anon_sym_BSLASHrq] = ACTIONS(2697),
    [anon_sym_BSLASHadd] = ACTIONS(2697),
    [anon_sym_BSLASHbk] = ACTIONS(2697),
    [anon_sym_BSLASHdc] = ACTIONS(2697),
    [anon_sym_BSLASHk] = ACTIONS(2697),
    [anon_sym_BSLASHnd] = ACTIONS(2697),
    [anon_sym_BSLASHord] = ACTIONS(2697),
    [anon_sym_BSLASHpn] = ACTIONS(2697),
    [anon_sym_BSLASHpng] = ACTIONS(2697),
    [anon_sym_BSLASHaddpn] = ACTIONS(2697),
    [anon_sym_BSLASHqt] = ACTIONS(2697),
    [anon_sym_BSLASHsig] = ACTIONS(2697),
    [anon_sym_BSLASHsls] = ACTIONS(2697),
    [anon_sym_BSLASHtl] = ACTIONS(2697),
    [anon_sym_BSLASHwj] = ACTIONS(2697),
    [anon_sym_BSLASHem] = ACTIONS(2697),
    [anon_sym_BSLASHbd] = ACTIONS(2697),
    [anon_sym_BSLASHit] = ACTIONS(2697),
    [anon_sym_BSLASHbdit] = ACTIONS(2697),
    [anon_sym_BSLASHno] = ACTIONS(2697),
    [anon_sym_BSLASHsc] = ACTIONS(2697),
    [anon_sym_BSLASHsup] = ACTIONS(2697),
    [anon_sym_BSLASHndx] = ACTIONS(2697),
    [anon_sym_BSLASHpro] = ACTIONS(2697),
    [anon_sym_BSLASHrb] = ACTIONS(2697),
    [anon_sym_BSLASHw] = ACTIONS(2697),
    [anon_sym_BSLASHwg] = ACTIONS(2697),
    [anon_sym_BSLASHwh] = ACTIONS(2697),
    [anon_sym_BSLASHwa] = ACTIONS(2697),
    [anon_sym_BSLASHfig] = ACTIONS(2697),
    [anon_sym_BSLASHjmp] = ACTIONS(2697),
    [anon_sym_BSLASHpb] = ACTIONS(2697),
    [anon_sym_BSLASH] = ACTIONS(2697),
    [sym_milestoneStartTag] = ACTIONS(2697),
    [sym_milestoneEndTag] = ACTIONS(2697),
    [sym_zSpaceTag] = ACTIONS(2697),
    [anon_sym_BSLASHesbe] = ACTIONS(2697),
    [anon_sym_BSLASHcat] = ACTIONS(2697),
  },
  [705] = {
    [aux_sym_text_token1] = ACTIONS(2667),
    [anon_sym_BSLASHref] = ACTIONS(2669),
    [anon_sym_BSLASHsts] = ACTIONS(2669),
    [anon_sym_BSLASHrem] = ACTIONS(2669),
    [anon_sym_BSLASHrestore] = ACTIONS(2669),
    [anon_sym_BSLASHlit] = ACTIONS(2669),
    [anon_sym_BSLASHip] = ACTIONS(2669),
    [anon_sym_BSLASHv] = ACTIONS(2669),
    [anon_sym_BSLASHva] = ACTIONS(2669),
    [anon_sym_BSLASHvp] = ACTIONS(2669),
    [anon_sym_BSLASHmte] = ACTIONS(2669),
    [anon_sym_BSLASHms] = ACTIONS(2669),
    [anon_sym_BSLASHs] = ACTIONS(2669),
    [anon_sym_BSLASHr] = ACTIONS(2669),
    [anon_sym_BSLASHsp] = ACTIONS(2669),
    [anon_sym_BSLASHd] = ACTIONS(2669),
    [anon_sym_BSLASHsd] = ACTIONS(2669),
    [anon_sym_BSLASHp] = ACTIONS(2669),
    [anon_sym_BSLASHm] = ACTIONS(2669),
    [anon_sym_BSLASHpo] = ACTIONS(2669),
    [anon_sym_BSLASHpr] = ACTIONS(2669),
    [anon_sym_BSLASHcls] = ACTIONS(2669),
    [anon_sym_BSLASHpmo] = ACTIONS(2669),
    [anon_sym_BSLASHpm] = ACTIONS(2669),
    [anon_sym_BSLASHpmc] = ACTIONS(2669),
    [anon_sym_BSLASHpmr] = ACTIONS(2669),
    [anon_sym_BSLASHpi] = ACTIONS(2669),
    [anon_sym_BSLASHmi] = ACTIONS(2669),
    [anon_sym_BSLASHnb] = ACTIONS(2669),
    [anon_sym_BSLASHpc] = ACTIONS(2669),
    [anon_sym_BSLASHph] = ACTIONS(2669),
    [anon_sym_BSLASHb] = ACTIONS(2669),
    [anon_sym_BSLASHq] = ACTIONS(2669),
    [anon_sym_BSLASHqr] = ACTIONS(2669),
    [anon_sym_BSLASHqc] = ACTIONS(2669),
    [anon_sym_BSLASHqs] = ACTIONS(2669),
    [anon_sym_BSLASHqa] = ACTIONS(2669),
    [anon_sym_BSLASHqac] = ACTIONS(2669),
    [anon_sym_BSLASHqm] = ACTIONS(2669),
    [anon_sym_BSLASHqd] = ACTIONS(2669),
    [anon_sym_BSLASHlh] = ACTIONS(2669),
    [anon_sym_BSLASHli] = ACTIONS(2669),
    [anon_sym_BSLASHlim] = ACTIONS(2669),
    [anon_sym_BSLASHtr] = ACTIONS(2669),
    [anon_sym_BSLASHf] = ACTIONS(2669),
    [anon_sym_BSLASHfe] = ACTIONS(2669),
    [anon_sym_BSLASHef] = ACTIONS(2669),
    [anon_sym_BSLASHfm] = ACTIONS(2669),
    [anon_sym_BSLASHx] = ACTIONS(2669),
    [anon_sym_BSLASHxt] = ACTIONS(2669),
    [anon_sym_BSLASHrq] = ACTIONS(2669),
    [anon_sym_BSLASHadd] = ACTIONS(2669),
    [anon_sym_BSLASHbk] = ACTIONS(2669),
    [anon_sym_BSLASHdc] = ACTIONS(2669),
    [anon_sym_BSLASHk] = ACTIONS(2669),
    [anon_sym_BSLASHnd] = ACTIONS(2669),
    [anon_sym_BSLASHord] = ACTIONS(2669),
    [anon_sym_BSLASHpn] = ACTIONS(2669),
    [anon_sym_BSLASHpng] = ACTIONS(2669),
    [anon_sym_BSLASHaddpn] = ACTIONS(2669),
    [anon_sym_BSLASHqt] = ACTIONS(2669),
    [anon_sym_BSLASHsig] = ACTIONS(2669),
    [anon_sym_BSLASHsls] = ACTIONS(2669),
    [anon_sym_BSLASHtl] = ACTIONS(2669),
    [anon_sym_BSLASHwj] = ACTIONS(2669),
    [anon_sym_BSLASHem] = ACTIONS(2669),
    [anon_sym_BSLASHbd] = ACTIONS(2669),
    [anon_sym_BSLASHit] = ACTIONS(2669),
    [anon_sym_BSLASHbdit] = ACTIONS(2669),
    [anon_sym_BSLASHno] = ACTIONS(2669),
    [anon_sym_BSLASHsc] = ACTIONS(2669),
    [anon_sym_BSLASHsup] = ACTIONS(2669),
    [anon_sym_BSLASHndx] = ACTIONS(2669),
    [anon_sym_BSLASHpro] = ACTIONS(2669),
    [anon_sym_BSLASHrb] = ACTIONS(2669),
    [anon_sym_BSLASHw] = ACTIONS(2669),
    [anon_sym_BSLASHwg] = ACTIONS(2669),
    [anon_sym_BSLASHwh] = ACTIONS(2669),
    [anon_sym_BSLASHwa] = ACTIONS(2669),
    [anon_sym_BSLASHfig] = ACTIONS(2669),
    [anon_sym_BSLASHjmp] = ACTIONS(2669),
    [anon_sym_BSLASHpb] = ACTIONS(2669),
    [anon_sym_BSLASH] = ACTIONS(2669),
    [sym_milestoneStartTag] = ACTIONS(2669),
    [sym_milestoneEndTag] = ACTIONS(2669),
    [sym_zSpaceTag] = ACTIONS(2669),
    [anon_sym_BSLASHesbe] = ACTIONS(2669),
    [anon_sym_BSLASHcat] = ACTIONS(2669),
  },
  [706] = {
    [aux_sym_text_token1] = ACTIONS(5350),
    [anon_sym_BSLASHref] = ACTIONS(5352),
    [anon_sym_BSLASHsts] = ACTIONS(5352),
    [anon_sym_BSLASHrem] = ACTIONS(5352),
    [anon_sym_BSLASHrestore] = ACTIONS(5352),
    [anon_sym_BSLASHlit] = ACTIONS(5352),
    [anon_sym_BSLASHip] = ACTIONS(5352),
    [anon_sym_BSLASHv] = ACTIONS(5352),
    [anon_sym_BSLASHva] = ACTIONS(5352),
    [anon_sym_BSLASHvp] = ACTIONS(5352),
    [anon_sym_BSLASHmte] = ACTIONS(5352),
    [anon_sym_BSLASHms] = ACTIONS(5352),
    [anon_sym_BSLASHs] = ACTIONS(5352),
    [anon_sym_BSLASHr] = ACTIONS(5352),
    [anon_sym_BSLASHsp] = ACTIONS(5352),
    [anon_sym_BSLASHd] = ACTIONS(5352),
    [anon_sym_BSLASHsd] = ACTIONS(5352),
    [anon_sym_BSLASHp] = ACTIONS(5352),
    [anon_sym_BSLASHm] = ACTIONS(5352),
    [anon_sym_BSLASHpo] = ACTIONS(5352),
    [anon_sym_BSLASHpr] = ACTIONS(5352),
    [anon_sym_BSLASHcls] = ACTIONS(5352),
    [anon_sym_BSLASHpmo] = ACTIONS(5352),
    [anon_sym_BSLASHpm] = ACTIONS(5352),
    [anon_sym_BSLASHpmc] = ACTIONS(5352),
    [anon_sym_BSLASHpmr] = ACTIONS(5352),
    [anon_sym_BSLASHpi] = ACTIONS(5352),
    [anon_sym_BSLASHmi] = ACTIONS(5352),
    [anon_sym_BSLASHnb] = ACTIONS(5352),
    [anon_sym_BSLASHpc] = ACTIONS(5352),
    [anon_sym_BSLASHph] = ACTIONS(5352),
    [anon_sym_BSLASHb] = ACTIONS(5352),
    [anon_sym_BSLASHq] = ACTIONS(5352),
    [anon_sym_BSLASHqr] = ACTIONS(5352),
    [anon_sym_BSLASHqc] = ACTIONS(5352),
    [anon_sym_BSLASHqs] = ACTIONS(5352),
    [anon_sym_BSLASHqa] = ACTIONS(5352),
    [anon_sym_BSLASHqac] = ACTIONS(5352),
    [anon_sym_BSLASHqm] = ACTIONS(5352),
    [anon_sym_BSLASHqd] = ACTIONS(5352),
    [anon_sym_BSLASHlh] = ACTIONS(5352),
    [anon_sym_BSLASHli] = ACTIONS(5352),
    [anon_sym_BSLASHlim] = ACTIONS(5352),
    [anon_sym_BSLASHtr] = ACTIONS(5352),
    [anon_sym_BSLASHf] = ACTIONS(5352),
    [anon_sym_BSLASHfe] = ACTIONS(5352),
    [anon_sym_BSLASHef] = ACTIONS(5352),
    [anon_sym_BSLASHfm] = ACTIONS(5352),
    [anon_sym_BSLASHx] = ACTIONS(5352),
    [anon_sym_BSLASHxt] = ACTIONS(5352),
    [anon_sym_BSLASHrq] = ACTIONS(5352),
    [anon_sym_BSLASHadd] = ACTIONS(5352),
    [anon_sym_BSLASHbk] = ACTIONS(5352),
    [anon_sym_BSLASHdc] = ACTIONS(5352),
    [anon_sym_BSLASHk] = ACTIONS(5352),
    [anon_sym_BSLASHnd] = ACTIONS(5352),
    [anon_sym_BSLASHord] = ACTIONS(5352),
    [anon_sym_BSLASHpn] = ACTIONS(5352),
    [anon_sym_BSLASHpng] = ACTIONS(5352),
    [anon_sym_BSLASHaddpn] = ACTIONS(5352),
    [anon_sym_BSLASHqt] = ACTIONS(5352),
    [anon_sym_BSLASHsig] = ACTIONS(5352),
    [anon_sym_BSLASHsls] = ACTIONS(5352),
    [anon_sym_BSLASHtl] = ACTIONS(5352),
    [anon_sym_BSLASHwj] = ACTIONS(5352),
    [anon_sym_BSLASHem] = ACTIONS(5352),
    [anon_sym_BSLASHbd] = ACTIONS(5352),
    [anon_sym_BSLASHit] = ACTIONS(5352),
    [anon_sym_BSLASHbdit] = ACTIONS(5352),
    [anon_sym_BSLASHno] = ACTIONS(5352),
    [anon_sym_BSLASHsc] = ACTIONS(5352),
    [anon_sym_BSLASHsup] = ACTIONS(5352),
    [anon_sym_BSLASHndx] = ACTIONS(5352),
    [anon_sym_BSLASHpro] = ACTIONS(5352),
    [anon_sym_BSLASHrb] = ACTIONS(5352),
    [anon_sym_BSLASHw] = ACTIONS(5352),
    [anon_sym_BSLASHwg] = ACTIONS(5352),
    [anon_sym_BSLASHwh] = ACTIONS(5352),
    [anon_sym_BSLASHwa] = ACTIONS(5352),
    [anon_sym_BSLASHfig] = ACTIONS(5352),
    [anon_sym_BSLASHjmp] = ACTIONS(5352),
    [anon_sym_BSLASHpb] = ACTIONS(5352),
    [anon_sym_BSLASH] = ACTIONS(5352),
    [sym_milestoneStartTag] = ACTIONS(5352),
    [sym_milestoneEndTag] = ACTIONS(5352),
    [sym_zSpaceTag] = ACTIONS(5352),
    [anon_sym_BSLASHesbe] = ACTIONS(5352),
    [anon_sym_BSLASHcat] = ACTIONS(5352),
  },
  [707] = {
    [aux_sym_text_token1] = ACTIONS(2739),
    [anon_sym_BSLASHref] = ACTIONS(2741),
    [anon_sym_BSLASHsts] = ACTIONS(2741),
    [anon_sym_BSLASHrem] = ACTIONS(2741),
    [anon_sym_BSLASHrestore] = ACTIONS(2741),
    [anon_sym_BSLASHlit] = ACTIONS(2741),
    [anon_sym_BSLASHip] = ACTIONS(2741),
    [anon_sym_BSLASHv] = ACTIONS(2741),
    [anon_sym_BSLASHva] = ACTIONS(2741),
    [anon_sym_BSLASHvp] = ACTIONS(2741),
    [anon_sym_BSLASHmte] = ACTIONS(2741),
    [anon_sym_BSLASHms] = ACTIONS(2741),
    [anon_sym_BSLASHs] = ACTIONS(2741),
    [anon_sym_BSLASHr] = ACTIONS(2741),
    [anon_sym_BSLASHsp] = ACTIONS(2741),
    [anon_sym_BSLASHd] = ACTIONS(2741),
    [anon_sym_BSLASHsd] = ACTIONS(2741),
    [anon_sym_BSLASHp] = ACTIONS(2741),
    [anon_sym_BSLASHm] = ACTIONS(2741),
    [anon_sym_BSLASHpo] = ACTIONS(2741),
    [anon_sym_BSLASHpr] = ACTIONS(2741),
    [anon_sym_BSLASHcls] = ACTIONS(2741),
    [anon_sym_BSLASHpmo] = ACTIONS(2741),
    [anon_sym_BSLASHpm] = ACTIONS(2741),
    [anon_sym_BSLASHpmc] = ACTIONS(2741),
    [anon_sym_BSLASHpmr] = ACTIONS(2741),
    [anon_sym_BSLASHpi] = ACTIONS(2741),
    [anon_sym_BSLASHmi] = ACTIONS(2741),
    [anon_sym_BSLASHnb] = ACTIONS(2741),
    [anon_sym_BSLASHpc] = ACTIONS(2741),
    [anon_sym_BSLASHph] = ACTIONS(2741),
    [anon_sym_BSLASHb] = ACTIONS(2741),
    [anon_sym_BSLASHq] = ACTIONS(2741),
    [anon_sym_BSLASHqr] = ACTIONS(2741),
    [anon_sym_BSLASHqc] = ACTIONS(2741),
    [anon_sym_BSLASHqs] = ACTIONS(2741),
    [anon_sym_BSLASHqa] = ACTIONS(2741),
    [anon_sym_BSLASHqac] = ACTIONS(2741),
    [anon_sym_BSLASHqm] = ACTIONS(2741),
    [anon_sym_BSLASHqd] = ACTIONS(2741),
    [anon_sym_BSLASHlh] = ACTIONS(2741),
    [anon_sym_BSLASHli] = ACTIONS(2741),
    [anon_sym_BSLASHlim] = ACTIONS(2741),
    [anon_sym_BSLASHtr] = ACTIONS(2741),
    [anon_sym_BSLASHf] = ACTIONS(2741),
    [anon_sym_BSLASHfe] = ACTIONS(2741),
    [anon_sym_BSLASHef] = ACTIONS(2741),
    [anon_sym_BSLASHfm] = ACTIONS(2741),
    [anon_sym_BSLASHx] = ACTIONS(2741),
    [anon_sym_BSLASHxt] = ACTIONS(2741),
    [anon_sym_BSLASHrq] = ACTIONS(2741),
    [anon_sym_BSLASHadd] = ACTIONS(2741),
    [anon_sym_BSLASHbk] = ACTIONS(2741),
    [anon_sym_BSLASHdc] = ACTIONS(2741),
    [anon_sym_BSLASHk] = ACTIONS(2741),
    [anon_sym_BSLASHnd] = ACTIONS(2741),
    [anon_sym_BSLASHord] = ACTIONS(2741),
    [anon_sym_BSLASHpn] = ACTIONS(2741),
    [anon_sym_BSLASHpng] = ACTIONS(2741),
    [anon_sym_BSLASHaddpn] = ACTIONS(2741),
    [anon_sym_BSLASHqt] = ACTIONS(2741),
    [anon_sym_BSLASHsig] = ACTIONS(2741),
    [anon_sym_BSLASHsls] = ACTIONS(2741),
    [anon_sym_BSLASHtl] = ACTIONS(2741),
    [anon_sym_BSLASHwj] = ACTIONS(2741),
    [anon_sym_BSLASHem] = ACTIONS(2741),
    [anon_sym_BSLASHbd] = ACTIONS(2741),
    [anon_sym_BSLASHit] = ACTIONS(2741),
    [anon_sym_BSLASHbdit] = ACTIONS(2741),
    [anon_sym_BSLASHno] = ACTIONS(2741),
    [anon_sym_BSLASHsc] = ACTIONS(2741),
    [anon_sym_BSLASHsup] = ACTIONS(2741),
    [anon_sym_BSLASHndx] = ACTIONS(2741),
    [anon_sym_BSLASHpro] = ACTIONS(2741),
    [anon_sym_BSLASHrb] = ACTIONS(2741),
    [anon_sym_BSLASHw] = ACTIONS(2741),
    [anon_sym_BSLASHwg] = ACTIONS(2741),
    [anon_sym_BSLASHwh] = ACTIONS(2741),
    [anon_sym_BSLASHwa] = ACTIONS(2741),
    [anon_sym_BSLASHfig] = ACTIONS(2741),
    [anon_sym_BSLASHjmp] = ACTIONS(2741),
    [anon_sym_BSLASHpb] = ACTIONS(2741),
    [anon_sym_BSLASH] = ACTIONS(2741),
    [sym_milestoneStartTag] = ACTIONS(2741),
    [sym_milestoneEndTag] = ACTIONS(2741),
    [sym_zSpaceTag] = ACTIONS(2741),
    [anon_sym_BSLASHesbe] = ACTIONS(2741),
    [anon_sym_BSLASHcat] = ACTIONS(2741),
  },
  [708] = {
    [aux_sym_text_token1] = ACTIONS(2743),
    [anon_sym_BSLASHref] = ACTIONS(2745),
    [anon_sym_BSLASHsts] = ACTIONS(2745),
    [anon_sym_BSLASHrem] = ACTIONS(2745),
    [anon_sym_BSLASHrestore] = ACTIONS(2745),
    [anon_sym_BSLASHlit] = ACTIONS(2745),
    [anon_sym_BSLASHip] = ACTIONS(2745),
    [anon_sym_BSLASHv] = ACTIONS(2745),
    [anon_sym_BSLASHva] = ACTIONS(2745),
    [anon_sym_BSLASHvp] = ACTIONS(2745),
    [anon_sym_BSLASHmte] = ACTIONS(2745),
    [anon_sym_BSLASHms] = ACTIONS(2745),
    [anon_sym_BSLASHs] = ACTIONS(2745),
    [anon_sym_BSLASHr] = ACTIONS(2745),
    [anon_sym_BSLASHsp] = ACTIONS(2745),
    [anon_sym_BSLASHd] = ACTIONS(2745),
    [anon_sym_BSLASHsd] = ACTIONS(2745),
    [anon_sym_BSLASHp] = ACTIONS(2745),
    [anon_sym_BSLASHm] = ACTIONS(2745),
    [anon_sym_BSLASHpo] = ACTIONS(2745),
    [anon_sym_BSLASHpr] = ACTIONS(2745),
    [anon_sym_BSLASHcls] = ACTIONS(2745),
    [anon_sym_BSLASHpmo] = ACTIONS(2745),
    [anon_sym_BSLASHpm] = ACTIONS(2745),
    [anon_sym_BSLASHpmc] = ACTIONS(2745),
    [anon_sym_BSLASHpmr] = ACTIONS(2745),
    [anon_sym_BSLASHpi] = ACTIONS(2745),
    [anon_sym_BSLASHmi] = ACTIONS(2745),
    [anon_sym_BSLASHnb] = ACTIONS(2745),
    [anon_sym_BSLASHpc] = ACTIONS(2745),
    [anon_sym_BSLASHph] = ACTIONS(2745),
    [anon_sym_BSLASHb] = ACTIONS(2745),
    [anon_sym_BSLASHq] = ACTIONS(2745),
    [anon_sym_BSLASHqr] = ACTIONS(2745),
    [anon_sym_BSLASHqc] = ACTIONS(2745),
    [anon_sym_BSLASHqs] = ACTIONS(2745),
    [anon_sym_BSLASHqa] = ACTIONS(2745),
    [anon_sym_BSLASHqac] = ACTIONS(2745),
    [anon_sym_BSLASHqm] = ACTIONS(2745),
    [anon_sym_BSLASHqd] = ACTIONS(2745),
    [anon_sym_BSLASHlh] = ACTIONS(2745),
    [anon_sym_BSLASHli] = ACTIONS(2745),
    [anon_sym_BSLASHlim] = ACTIONS(2745),
    [anon_sym_BSLASHtr] = ACTIONS(2745),
    [anon_sym_BSLASHf] = ACTIONS(2745),
    [anon_sym_BSLASHfe] = ACTIONS(2745),
    [anon_sym_BSLASHef] = ACTIONS(2745),
    [anon_sym_BSLASHfm] = ACTIONS(2745),
    [anon_sym_BSLASHx] = ACTIONS(2745),
    [anon_sym_BSLASHxt] = ACTIONS(2745),
    [anon_sym_BSLASHrq] = ACTIONS(2745),
    [anon_sym_BSLASHadd] = ACTIONS(2745),
    [anon_sym_BSLASHbk] = ACTIONS(2745),
    [anon_sym_BSLASHdc] = ACTIONS(2745),
    [anon_sym_BSLASHk] = ACTIONS(2745),
    [anon_sym_BSLASHnd] = ACTIONS(2745),
    [anon_sym_BSLASHord] = ACTIONS(2745),
    [anon_sym_BSLASHpn] = ACTIONS(2745),
    [anon_sym_BSLASHpng] = ACTIONS(2745),
    [anon_sym_BSLASHaddpn] = ACTIONS(2745),
    [anon_sym_BSLASHqt] = ACTIONS(2745),
    [anon_sym_BSLASHsig] = ACTIONS(2745),
    [anon_sym_BSLASHsls] = ACTIONS(2745),
    [anon_sym_BSLASHtl] = ACTIONS(2745),
    [anon_sym_BSLASHwj] = ACTIONS(2745),
    [anon_sym_BSLASHem] = ACTIONS(2745),
    [anon_sym_BSLASHbd] = ACTIONS(2745),
    [anon_sym_BSLASHit] = ACTIONS(2745),
    [anon_sym_BSLASHbdit] = ACTIONS(2745),
    [anon_sym_BSLASHno] = ACTIONS(2745),
    [anon_sym_BSLASHsc] = ACTIONS(2745),
    [anon_sym_BSLASHsup] = ACTIONS(2745),
    [anon_sym_BSLASHndx] = ACTIONS(2745),
    [anon_sym_BSLASHpro] = ACTIONS(2745),
    [anon_sym_BSLASHrb] = ACTIONS(2745),
    [anon_sym_BSLASHw] = ACTIONS(2745),
    [anon_sym_BSLASHwg] = ACTIONS(2745),
    [anon_sym_BSLASHwh] = ACTIONS(2745),
    [anon_sym_BSLASHwa] = ACTIONS(2745),
    [anon_sym_BSLASHfig] = ACTIONS(2745),
    [anon_sym_BSLASHjmp] = ACTIONS(2745),
    [anon_sym_BSLASHpb] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2745),
    [sym_milestoneStartTag] = ACTIONS(2745),
    [sym_milestoneEndTag] = ACTIONS(2745),
    [sym_zSpaceTag] = ACTIONS(2745),
    [anon_sym_BSLASHesbe] = ACTIONS(2745),
    [anon_sym_BSLASHcat] = ACTIONS(2745),
  },
  [709] = {
    [aux_sym_text_token1] = ACTIONS(17),
    [anon_sym_BSLASHref] = ACTIONS(19),
    [anon_sym_BSLASHsts] = ACTIONS(19),
    [anon_sym_BSLASHrem] = ACTIONS(19),
    [anon_sym_BSLASHrestore] = ACTIONS(19),
    [anon_sym_BSLASHlit] = ACTIONS(19),
    [anon_sym_BSLASHip] = ACTIONS(19),
    [anon_sym_BSLASHv] = ACTIONS(19),
    [anon_sym_BSLASHva] = ACTIONS(19),
    [anon_sym_BSLASHvp] = ACTIONS(19),
    [anon_sym_BSLASHmte] = ACTIONS(19),
    [anon_sym_BSLASHms] = ACTIONS(19),
    [anon_sym_BSLASHs] = ACTIONS(19),
    [anon_sym_BSLASHr] = ACTIONS(19),
    [anon_sym_BSLASHsp] = ACTIONS(19),
    [anon_sym_BSLASHd] = ACTIONS(19),
    [anon_sym_BSLASHsd] = ACTIONS(19),
    [anon_sym_BSLASHp] = ACTIONS(19),
    [anon_sym_BSLASHm] = ACTIONS(19),
    [anon_sym_BSLASHpo] = ACTIONS(19),
    [anon_sym_BSLASHpr] = ACTIONS(19),
    [anon_sym_BSLASHcls] = ACTIONS(19),
    [anon_sym_BSLASHpmo] = ACTIONS(19),
    [anon_sym_BSLASHpm] = ACTIONS(19),
    [anon_sym_BSLASHpmc] = ACTIONS(19),
    [anon_sym_BSLASHpmr] = ACTIONS(19),
    [anon_sym_BSLASHpi] = ACTIONS(19),
    [anon_sym_BSLASHmi] = ACTIONS(19),
    [anon_sym_BSLASHnb] = ACTIONS(19),
    [anon_sym_BSLASHpc] = ACTIONS(19),
    [anon_sym_BSLASHph] = ACTIONS(19),
    [anon_sym_BSLASHb] = ACTIONS(19),
    [anon_sym_BSLASHq] = ACTIONS(19),
    [anon_sym_BSLASHqr] = ACTIONS(19),
    [anon_sym_BSLASHqc] = ACTIONS(19),
    [anon_sym_BSLASHqs] = ACTIONS(19),
    [anon_sym_BSLASHqa] = ACTIONS(19),
    [anon_sym_BSLASHqac] = ACTIONS(19),
    [anon_sym_BSLASHqm] = ACTIONS(19),
    [anon_sym_BSLASHqd] = ACTIONS(19),
    [anon_sym_BSLASHlh] = ACTIONS(19),
    [anon_sym_BSLASHli] = ACTIONS(19),
    [anon_sym_BSLASHlim] = ACTIONS(19),
    [anon_sym_BSLASHtr] = ACTIONS(19),
    [anon_sym_BSLASHf] = ACTIONS(19),
    [anon_sym_BSLASHfe] = ACTIONS(19),
    [anon_sym_BSLASHef] = ACTIONS(19),
    [anon_sym_BSLASHfm] = ACTIONS(19),
    [anon_sym_BSLASHx] = ACTIONS(19),
    [anon_sym_BSLASHxt] = ACTIONS(19),
    [anon_sym_BSLASHrq] = ACTIONS(19),
    [anon_sym_BSLASHadd] = ACTIONS(19),
    [anon_sym_BSLASHbk] = ACTIONS(19),
    [anon_sym_BSLASHdc] = ACTIONS(19),
    [anon_sym_BSLASHk] = ACTIONS(19),
    [anon_sym_BSLASHnd] = ACTIONS(19),
    [anon_sym_BSLASHord] = ACTIONS(19),
    [anon_sym_BSLASHpn] = ACTIONS(19),
    [anon_sym_BSLASHpng] = ACTIONS(19),
    [anon_sym_BSLASHaddpn] = ACTIONS(19),
    [anon_sym_BSLASHqt] = ACTIONS(19),
    [anon_sym_BSLASHsig] = ACTIONS(19),
    [anon_sym_BSLASHsls] = ACTIONS(19),
    [anon_sym_BSLASHtl] = ACTIONS(19),
    [anon_sym_BSLASHwj] = ACTIONS(19),
    [anon_sym_BSLASHem] = ACTIONS(19),
    [anon_sym_BSLASHbd] = ACTIONS(19),
    [anon_sym_BSLASHit] = ACTIONS(19),
    [anon_sym_BSLASHbdit] = ACTIONS(19),
    [anon_sym_BSLASHno] = ACTIONS(19),
    [anon_sym_BSLASHsc] = ACTIONS(19),
    [anon_sym_BSLASHsup] = ACTIONS(19),
    [anon_sym_BSLASHndx] = ACTIONS(19),
    [anon_sym_BSLASHpro] = ACTIONS(19),
    [anon_sym_BSLASHrb] = ACTIONS(19),
    [anon_sym_BSLASHw] = ACTIONS(19),
    [anon_sym_BSLASHwg] = ACTIONS(19),
    [anon_sym_BSLASHwh] = ACTIONS(19),
    [anon_sym_BSLASHwa] = ACTIONS(19),
    [anon_sym_BSLASHfig] = ACTIONS(19),
    [anon_sym_BSLASHjmp] = ACTIONS(19),
    [anon_sym_BSLASHpb] = ACTIONS(19),
    [anon_sym_BSLASH] = ACTIONS(19),
    [sym_milestoneStartTag] = ACTIONS(19),
    [sym_milestoneEndTag] = ACTIONS(19),
    [sym_zSpaceTag] = ACTIONS(19),
    [anon_sym_BSLASHesbe] = ACTIONS(19),
    [anon_sym_BSLASHcat] = ACTIONS(19),
  },
  [710] = {
    [aux_sym_text_token1] = ACTIONS(2747),
    [anon_sym_BSLASHref] = ACTIONS(2749),
    [anon_sym_BSLASHsts] = ACTIONS(2749),
    [anon_sym_BSLASHrem] = ACTIONS(2749),
    [anon_sym_BSLASHrestore] = ACTIONS(2749),
    [anon_sym_BSLASHlit] = ACTIONS(2749),
    [anon_sym_BSLASHip] = ACTIONS(2749),
    [anon_sym_BSLASHv] = ACTIONS(2749),
    [anon_sym_BSLASHva] = ACTIONS(2749),
    [anon_sym_BSLASHvp] = ACTIONS(2749),
    [anon_sym_BSLASHmte] = ACTIONS(2749),
    [anon_sym_BSLASHms] = ACTIONS(2749),
    [anon_sym_BSLASHs] = ACTIONS(2749),
    [anon_sym_BSLASHr] = ACTIONS(2749),
    [anon_sym_BSLASHsp] = ACTIONS(2749),
    [anon_sym_BSLASHd] = ACTIONS(2749),
    [anon_sym_BSLASHsd] = ACTIONS(2749),
    [anon_sym_BSLASHp] = ACTIONS(2749),
    [anon_sym_BSLASHm] = ACTIONS(2749),
    [anon_sym_BSLASHpo] = ACTIONS(2749),
    [anon_sym_BSLASHpr] = ACTIONS(2749),
    [anon_sym_BSLASHcls] = ACTIONS(2749),
    [anon_sym_BSLASHpmo] = ACTIONS(2749),
    [anon_sym_BSLASHpm] = ACTIONS(2749),
    [anon_sym_BSLASHpmc] = ACTIONS(2749),
    [anon_sym_BSLASHpmr] = ACTIONS(2749),
    [anon_sym_BSLASHpi] = ACTIONS(2749),
    [anon_sym_BSLASHmi] = ACTIONS(2749),
    [anon_sym_BSLASHnb] = ACTIONS(2749),
    [anon_sym_BSLASHpc] = ACTIONS(2749),
    [anon_sym_BSLASHph] = ACTIONS(2749),
    [anon_sym_BSLASHb] = ACTIONS(2749),
    [anon_sym_BSLASHq] = ACTIONS(2749),
    [anon_sym_BSLASHqr] = ACTIONS(2749),
    [anon_sym_BSLASHqc] = ACTIONS(2749),
    [anon_sym_BSLASHqs] = ACTIONS(2749),
    [anon_sym_BSLASHqa] = ACTIONS(2749),
    [anon_sym_BSLASHqac] = ACTIONS(2749),
    [anon_sym_BSLASHqm] = ACTIONS(2749),
    [anon_sym_BSLASHqd] = ACTIONS(2749),
    [anon_sym_BSLASHlh] = ACTIONS(2749),
    [anon_sym_BSLASHli] = ACTIONS(2749),
    [anon_sym_BSLASHlim] = ACTIONS(2749),
    [anon_sym_BSLASHtr] = ACTIONS(2749),
    [anon_sym_BSLASHf] = ACTIONS(2749),
    [anon_sym_BSLASHfe] = ACTIONS(2749),
    [anon_sym_BSLASHef] = ACTIONS(2749),
    [anon_sym_BSLASHfm] = ACTIONS(2749),
    [anon_sym_BSLASHx] = ACTIONS(2749),
    [anon_sym_BSLASHxt] = ACTIONS(2749),
    [anon_sym_BSLASHrq] = ACTIONS(2749),
    [anon_sym_BSLASHadd] = ACTIONS(2749),
    [anon_sym_BSLASHbk] = ACTIONS(2749),
    [anon_sym_BSLASHdc] = ACTIONS(2749),
    [anon_sym_BSLASHk] = ACTIONS(2749),
    [anon_sym_BSLASHnd] = ACTIONS(2749),
    [anon_sym_BSLASHord] = ACTIONS(2749),
    [anon_sym_BSLASHpn] = ACTIONS(2749),
    [anon_sym_BSLASHpng] = ACTIONS(2749),
    [anon_sym_BSLASHaddpn] = ACTIONS(2749),
    [anon_sym_BSLASHqt] = ACTIONS(2749),
    [anon_sym_BSLASHsig] = ACTIONS(2749),
    [anon_sym_BSLASHsls] = ACTIONS(2749),
    [anon_sym_BSLASHtl] = ACTIONS(2749),
    [anon_sym_BSLASHwj] = ACTIONS(2749),
    [anon_sym_BSLASHem] = ACTIONS(2749),
    [anon_sym_BSLASHbd] = ACTIONS(2749),
    [anon_sym_BSLASHit] = ACTIONS(2749),
    [anon_sym_BSLASHbdit] = ACTIONS(2749),
    [anon_sym_BSLASHno] = ACTIONS(2749),
    [anon_sym_BSLASHsc] = ACTIONS(2749),
    [anon_sym_BSLASHsup] = ACTIONS(2749),
    [anon_sym_BSLASHndx] = ACTIONS(2749),
    [anon_sym_BSLASHpro] = ACTIONS(2749),
    [anon_sym_BSLASHrb] = ACTIONS(2749),
    [anon_sym_BSLASHw] = ACTIONS(2749),
    [anon_sym_BSLASHwg] = ACTIONS(2749),
    [anon_sym_BSLASHwh] = ACTIONS(2749),
    [anon_sym_BSLASHwa] = ACTIONS(2749),
    [anon_sym_BSLASHfig] = ACTIONS(2749),
    [anon_sym_BSLASHjmp] = ACTIONS(2749),
    [anon_sym_BSLASHpb] = ACTIONS(2749),
    [anon_sym_BSLASH] = ACTIONS(2749),
    [sym_milestoneStartTag] = ACTIONS(2749),
    [sym_milestoneEndTag] = ACTIONS(2749),
    [sym_zSpaceTag] = ACTIONS(2749),
    [anon_sym_BSLASHesbe] = ACTIONS(2749),
    [anon_sym_BSLASHcat] = ACTIONS(2749),
  },
  [711] = {
    [aux_sym_text_token1] = ACTIONS(2771),
    [anon_sym_BSLASHref] = ACTIONS(2773),
    [anon_sym_BSLASHsts] = ACTIONS(2773),
    [anon_sym_BSLASHrem] = ACTIONS(2773),
    [anon_sym_BSLASHrestore] = ACTIONS(2773),
    [anon_sym_BSLASHlit] = ACTIONS(2773),
    [anon_sym_BSLASHip] = ACTIONS(2773),
    [anon_sym_BSLASHv] = ACTIONS(2773),
    [anon_sym_BSLASHva] = ACTIONS(2773),
    [anon_sym_BSLASHvp] = ACTIONS(2773),
    [anon_sym_BSLASHmte] = ACTIONS(2773),
    [anon_sym_BSLASHms] = ACTIONS(2773),
    [anon_sym_BSLASHs] = ACTIONS(2773),
    [anon_sym_BSLASHr] = ACTIONS(2773),
    [anon_sym_BSLASHsp] = ACTIONS(2773),
    [anon_sym_BSLASHd] = ACTIONS(2773),
    [anon_sym_BSLASHsd] = ACTIONS(2773),
    [anon_sym_BSLASHp] = ACTIONS(2773),
    [anon_sym_BSLASHm] = ACTIONS(2773),
    [anon_sym_BSLASHpo] = ACTIONS(2773),
    [anon_sym_BSLASHpr] = ACTIONS(2773),
    [anon_sym_BSLASHcls] = ACTIONS(2773),
    [anon_sym_BSLASHpmo] = ACTIONS(2773),
    [anon_sym_BSLASHpm] = ACTIONS(2773),
    [anon_sym_BSLASHpmc] = ACTIONS(2773),
    [anon_sym_BSLASHpmr] = ACTIONS(2773),
    [anon_sym_BSLASHpi] = ACTIONS(2773),
    [anon_sym_BSLASHmi] = ACTIONS(2773),
    [anon_sym_BSLASHnb] = ACTIONS(2773),
    [anon_sym_BSLASHpc] = ACTIONS(2773),
    [anon_sym_BSLASHph] = ACTIONS(2773),
    [anon_sym_BSLASHb] = ACTIONS(2773),
    [anon_sym_BSLASHq] = ACTIONS(2773),
    [anon_sym_BSLASHqr] = ACTIONS(2773),
    [anon_sym_BSLASHqc] = ACTIONS(2773),
    [anon_sym_BSLASHqs] = ACTIONS(2773),
    [anon_sym_BSLASHqa] = ACTIONS(2773),
    [anon_sym_BSLASHqac] = ACTIONS(2773),
    [anon_sym_BSLASHqm] = ACTIONS(2773),
    [anon_sym_BSLASHqd] = ACTIONS(2773),
    [anon_sym_BSLASHlh] = ACTIONS(2773),
    [anon_sym_BSLASHli] = ACTIONS(2773),
    [anon_sym_BSLASHlim] = ACTIONS(2773),
    [anon_sym_BSLASHtr] = ACTIONS(2773),
    [anon_sym_BSLASHf] = ACTIONS(2773),
    [anon_sym_BSLASHfe] = ACTIONS(2773),
    [anon_sym_BSLASHef] = ACTIONS(2773),
    [anon_sym_BSLASHfm] = ACTIONS(2773),
    [anon_sym_BSLASHx] = ACTIONS(2773),
    [anon_sym_BSLASHxt] = ACTIONS(2773),
    [anon_sym_BSLASHrq] = ACTIONS(2773),
    [anon_sym_BSLASHadd] = ACTIONS(2773),
    [anon_sym_BSLASHbk] = ACTIONS(2773),
    [anon_sym_BSLASHdc] = ACTIONS(2773),
    [anon_sym_BSLASHk] = ACTIONS(2773),
    [anon_sym_BSLASHnd] = ACTIONS(2773),
    [anon_sym_BSLASHord] = ACTIONS(2773),
    [anon_sym_BSLASHpn] = ACTIONS(2773),
    [anon_sym_BSLASHpng] = ACTIONS(2773),
    [anon_sym_BSLASHaddpn] = ACTIONS(2773),
    [anon_sym_BSLASHqt] = ACTIONS(2773),
    [anon_sym_BSLASHsig] = ACTIONS(2773),
    [anon_sym_BSLASHsls] = ACTIONS(2773),
    [anon_sym_BSLASHtl] = ACTIONS(2773),
    [anon_sym_BSLASHwj] = ACTIONS(2773),
    [anon_sym_BSLASHem] = ACTIONS(2773),
    [anon_sym_BSLASHbd] = ACTIONS(2773),
    [anon_sym_BSLASHit] = ACTIONS(2773),
    [anon_sym_BSLASHbdit] = ACTIONS(2773),
    [anon_sym_BSLASHno] = ACTIONS(2773),
    [anon_sym_BSLASHsc] = ACTIONS(2773),
    [anon_sym_BSLASHsup] = ACTIONS(2773),
    [anon_sym_BSLASHndx] = ACTIONS(2773),
    [anon_sym_BSLASHpro] = ACTIONS(2773),
    [anon_sym_BSLASHrb] = ACTIONS(2773),
    [anon_sym_BSLASHw] = ACTIONS(2773),
    [anon_sym_BSLASHwg] = ACTIONS(2773),
    [anon_sym_BSLASHwh] = ACTIONS(2773),
    [anon_sym_BSLASHwa] = ACTIONS(2773),
    [anon_sym_BSLASHfig] = ACTIONS(2773),
    [anon_sym_BSLASHjmp] = ACTIONS(2773),
    [anon_sym_BSLASHpb] = ACTIONS(2773),
    [anon_sym_BSLASH] = ACTIONS(2773),
    [sym_milestoneStartTag] = ACTIONS(2773),
    [sym_milestoneEndTag] = ACTIONS(2773),
    [sym_zSpaceTag] = ACTIONS(2773),
    [anon_sym_BSLASHesbe] = ACTIONS(2773),
    [anon_sym_BSLASHcat] = ACTIONS(2773),
  },
  [712] = {
    [aux_sym_text_token1] = ACTIONS(2779),
    [anon_sym_BSLASHref] = ACTIONS(2781),
    [anon_sym_BSLASHsts] = ACTIONS(2781),
    [anon_sym_BSLASHrem] = ACTIONS(2781),
    [anon_sym_BSLASHrestore] = ACTIONS(2781),
    [anon_sym_BSLASHlit] = ACTIONS(2781),
    [anon_sym_BSLASHip] = ACTIONS(2781),
    [anon_sym_BSLASHv] = ACTIONS(2781),
    [anon_sym_BSLASHva] = ACTIONS(2781),
    [anon_sym_BSLASHvp] = ACTIONS(2781),
    [anon_sym_BSLASHmte] = ACTIONS(2781),
    [anon_sym_BSLASHms] = ACTIONS(2781),
    [anon_sym_BSLASHs] = ACTIONS(2781),
    [anon_sym_BSLASHr] = ACTIONS(2781),
    [anon_sym_BSLASHsp] = ACTIONS(2781),
    [anon_sym_BSLASHd] = ACTIONS(2781),
    [anon_sym_BSLASHsd] = ACTIONS(2781),
    [anon_sym_BSLASHp] = ACTIONS(2781),
    [anon_sym_BSLASHm] = ACTIONS(2781),
    [anon_sym_BSLASHpo] = ACTIONS(2781),
    [anon_sym_BSLASHpr] = ACTIONS(2781),
    [anon_sym_BSLASHcls] = ACTIONS(2781),
    [anon_sym_BSLASHpmo] = ACTIONS(2781),
    [anon_sym_BSLASHpm] = ACTIONS(2781),
    [anon_sym_BSLASHpmc] = ACTIONS(2781),
    [anon_sym_BSLASHpmr] = ACTIONS(2781),
    [anon_sym_BSLASHpi] = ACTIONS(2781),
    [anon_sym_BSLASHmi] = ACTIONS(2781),
    [anon_sym_BSLASHnb] = ACTIONS(2781),
    [anon_sym_BSLASHpc] = ACTIONS(2781),
    [anon_sym_BSLASHph] = ACTIONS(2781),
    [anon_sym_BSLASHb] = ACTIONS(2781),
    [anon_sym_BSLASHq] = ACTIONS(2781),
    [anon_sym_BSLASHqr] = ACTIONS(2781),
    [anon_sym_BSLASHqc] = ACTIONS(2781),
    [anon_sym_BSLASHqs] = ACTIONS(2781),
    [anon_sym_BSLASHqa] = ACTIONS(2781),
    [anon_sym_BSLASHqac] = ACTIONS(2781),
    [anon_sym_BSLASHqm] = ACTIONS(2781),
    [anon_sym_BSLASHqd] = ACTIONS(2781),
    [anon_sym_BSLASHlh] = ACTIONS(2781),
    [anon_sym_BSLASHli] = ACTIONS(2781),
    [anon_sym_BSLASHlim] = ACTIONS(2781),
    [anon_sym_BSLASHtr] = ACTIONS(2781),
    [anon_sym_BSLASHf] = ACTIONS(2781),
    [anon_sym_BSLASHfe] = ACTIONS(2781),
    [anon_sym_BSLASHef] = ACTIONS(2781),
    [anon_sym_BSLASHfm] = ACTIONS(2781),
    [anon_sym_BSLASHx] = ACTIONS(2781),
    [anon_sym_BSLASHxt] = ACTIONS(2781),
    [anon_sym_BSLASHrq] = ACTIONS(2781),
    [anon_sym_BSLASHadd] = ACTIONS(2781),
    [anon_sym_BSLASHbk] = ACTIONS(2781),
    [anon_sym_BSLASHdc] = ACTIONS(2781),
    [anon_sym_BSLASHk] = ACTIONS(2781),
    [anon_sym_BSLASHnd] = ACTIONS(2781),
    [anon_sym_BSLASHord] = ACTIONS(2781),
    [anon_sym_BSLASHpn] = ACTIONS(2781),
    [anon_sym_BSLASHpng] = ACTIONS(2781),
    [anon_sym_BSLASHaddpn] = ACTIONS(2781),
    [anon_sym_BSLASHqt] = ACTIONS(2781),
    [anon_sym_BSLASHsig] = ACTIONS(2781),
    [anon_sym_BSLASHsls] = ACTIONS(2781),
    [anon_sym_BSLASHtl] = ACTIONS(2781),
    [anon_sym_BSLASHwj] = ACTIONS(2781),
    [anon_sym_BSLASHem] = ACTIONS(2781),
    [anon_sym_BSLASHbd] = ACTIONS(2781),
    [anon_sym_BSLASHit] = ACTIONS(2781),
    [anon_sym_BSLASHbdit] = ACTIONS(2781),
    [anon_sym_BSLASHno] = ACTIONS(2781),
    [anon_sym_BSLASHsc] = ACTIONS(2781),
    [anon_sym_BSLASHsup] = ACTIONS(2781),
    [anon_sym_BSLASHndx] = ACTIONS(2781),
    [anon_sym_BSLASHpro] = ACTIONS(2781),
    [anon_sym_BSLASHrb] = ACTIONS(2781),
    [anon_sym_BSLASHw] = ACTIONS(2781),
    [anon_sym_BSLASHwg] = ACTIONS(2781),
    [anon_sym_BSLASHwh] = ACTIONS(2781),
    [anon_sym_BSLASHwa] = ACTIONS(2781),
    [anon_sym_BSLASHfig] = ACTIONS(2781),
    [anon_sym_BSLASHjmp] = ACTIONS(2781),
    [anon_sym_BSLASHpb] = ACTIONS(2781),
    [anon_sym_BSLASH] = ACTIONS(2781),
    [sym_milestoneStartTag] = ACTIONS(2781),
    [sym_milestoneEndTag] = ACTIONS(2781),
    [sym_zSpaceTag] = ACTIONS(2781),
    [anon_sym_BSLASHesbe] = ACTIONS(2781),
    [anon_sym_BSLASHcat] = ACTIONS(2781),
  },
  [713] = {
    [aux_sym_text_token1] = ACTIONS(5602),
    [anon_sym_BSLASHref] = ACTIONS(5604),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5604),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5604),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5604),
    [anon_sym_BSLASHfr] = ACTIONS(5604),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5604),
    [anon_sym_BSLASHfq] = ACTIONS(5604),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5604),
    [anon_sym_BSLASHfqa] = ACTIONS(5604),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5604),
    [anon_sym_BSLASHfk] = ACTIONS(5604),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5604),
    [anon_sym_BSLASHfl] = ACTIONS(5604),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5604),
    [anon_sym_BSLASHfw] = ACTIONS(5604),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5604),
    [anon_sym_BSLASHfp] = ACTIONS(5604),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5604),
    [anon_sym_BSLASHft] = ACTIONS(5604),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5604),
    [anon_sym_BSLASHfdc] = ACTIONS(5604),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5604),
    [anon_sym_BSLASHfv] = ACTIONS(5604),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5604),
    [anon_sym_BSLASHxt] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5604),
    [anon_sym_BSLASHadd] = ACTIONS(5604),
    [anon_sym_BSLASHbk] = ACTIONS(5604),
    [anon_sym_BSLASHdc] = ACTIONS(5604),
    [anon_sym_BSLASHk] = ACTIONS(5604),
    [anon_sym_BSLASHnd] = ACTIONS(5604),
    [anon_sym_BSLASHord] = ACTIONS(5604),
    [anon_sym_BSLASHpn] = ACTIONS(5604),
    [anon_sym_BSLASHpng] = ACTIONS(5604),
    [anon_sym_BSLASHaddpn] = ACTIONS(5604),
    [anon_sym_BSLASHqt] = ACTIONS(5604),
    [anon_sym_BSLASHsig] = ACTIONS(5604),
    [anon_sym_BSLASHsls] = ACTIONS(5604),
    [anon_sym_BSLASHtl] = ACTIONS(5604),
    [anon_sym_BSLASHwj] = ACTIONS(5604),
    [anon_sym_BSLASHem] = ACTIONS(5604),
    [anon_sym_BSLASHbd] = ACTIONS(5604),
    [anon_sym_BSLASHit] = ACTIONS(5604),
    [anon_sym_BSLASHbdit] = ACTIONS(5604),
    [anon_sym_BSLASHno] = ACTIONS(5604),
    [anon_sym_BSLASHsc] = ACTIONS(5604),
    [anon_sym_BSLASHsup] = ACTIONS(5604),
    [anon_sym_BSLASHndx] = ACTIONS(5604),
    [anon_sym_BSLASHpro] = ACTIONS(5604),
    [anon_sym_BSLASHrb] = ACTIONS(5604),
    [anon_sym_BSLASHw] = ACTIONS(5604),
    [anon_sym_BSLASHwg] = ACTIONS(5604),
    [anon_sym_BSLASHwh] = ACTIONS(5604),
    [anon_sym_BSLASHwa] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5604),
    [anon_sym_BSLASHfig] = ACTIONS(5604),
    [anon_sym_BSLASHjmp] = ACTIONS(5604),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5604),
    [anon_sym_BSLASHcat] = ACTIONS(5604),
  },
  [714] = {
    [aux_sym_text_token1] = ACTIONS(5606),
    [anon_sym_BSLASHref] = ACTIONS(5608),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5608),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5608),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5608),
    [anon_sym_BSLASHfr] = ACTIONS(5608),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5608),
    [anon_sym_BSLASHfq] = ACTIONS(5608),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5608),
    [anon_sym_BSLASHfqa] = ACTIONS(5608),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5608),
    [anon_sym_BSLASHfk] = ACTIONS(5608),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5608),
    [anon_sym_BSLASHfl] = ACTIONS(5608),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5608),
    [anon_sym_BSLASHfw] = ACTIONS(5608),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5608),
    [anon_sym_BSLASHfp] = ACTIONS(5608),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5608),
    [anon_sym_BSLASHft] = ACTIONS(5608),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5608),
    [anon_sym_BSLASHfdc] = ACTIONS(5608),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5608),
    [anon_sym_BSLASHfv] = ACTIONS(5608),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5608),
    [anon_sym_BSLASHxt] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5608),
    [anon_sym_BSLASHadd] = ACTIONS(5608),
    [anon_sym_BSLASHbk] = ACTIONS(5608),
    [anon_sym_BSLASHdc] = ACTIONS(5608),
    [anon_sym_BSLASHk] = ACTIONS(5608),
    [anon_sym_BSLASHnd] = ACTIONS(5608),
    [anon_sym_BSLASHord] = ACTIONS(5608),
    [anon_sym_BSLASHpn] = ACTIONS(5608),
    [anon_sym_BSLASHpng] = ACTIONS(5608),
    [anon_sym_BSLASHaddpn] = ACTIONS(5608),
    [anon_sym_BSLASHqt] = ACTIONS(5608),
    [anon_sym_BSLASHsig] = ACTIONS(5608),
    [anon_sym_BSLASHsls] = ACTIONS(5608),
    [anon_sym_BSLASHtl] = ACTIONS(5608),
    [anon_sym_BSLASHwj] = ACTIONS(5608),
    [anon_sym_BSLASHem] = ACTIONS(5608),
    [anon_sym_BSLASHbd] = ACTIONS(5608),
    [anon_sym_BSLASHit] = ACTIONS(5608),
    [anon_sym_BSLASHbdit] = ACTIONS(5608),
    [anon_sym_BSLASHno] = ACTIONS(5608),
    [anon_sym_BSLASHsc] = ACTIONS(5608),
    [anon_sym_BSLASHsup] = ACTIONS(5608),
    [anon_sym_BSLASHndx] = ACTIONS(5608),
    [anon_sym_BSLASHpro] = ACTIONS(5608),
    [anon_sym_BSLASHrb] = ACTIONS(5608),
    [anon_sym_BSLASHw] = ACTIONS(5608),
    [anon_sym_BSLASHwg] = ACTIONS(5608),
    [anon_sym_BSLASHwh] = ACTIONS(5608),
    [anon_sym_BSLASHwa] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5608),
    [anon_sym_BSLASHfig] = ACTIONS(5608),
    [anon_sym_BSLASHjmp] = ACTIONS(5608),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5608),
    [anon_sym_BSLASHcat] = ACTIONS(5608),
  },
  [715] = {
    [aux_sym_text_token1] = ACTIONS(5594),
    [anon_sym_BSLASHref] = ACTIONS(5596),
    [anon_sym_BSLASHf_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHef_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHfr] = ACTIONS(5596),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHfq] = ACTIONS(5596),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHfqa] = ACTIONS(5596),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHfk] = ACTIONS(5596),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHfl] = ACTIONS(5596),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHfw] = ACTIONS(5596),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHfp] = ACTIONS(5596),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHft] = ACTIONS(5596),
    [anon_sym_BSLASHft_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHfdc] = ACTIONS(5596),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHfv] = ACTIONS(5596),
    [anon_sym_BSLASHfm_STAR] = ACTIONS(5596),
    [anon_sym_BSLASHxt] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(5596),
    [anon_sym_BSLASHadd] = ACTIONS(5596),
    [anon_sym_BSLASHbk] = ACTIONS(5596),
    [anon_sym_BSLASHdc] = ACTIONS(5596),
    [anon_sym_BSLASHk] = ACTIONS(5596),
    [anon_sym_BSLASHnd] = ACTIONS(5596),
    [anon_sym_BSLASHord] = ACTIONS(5596),
    [anon_sym_BSLASHpn] = ACTIONS(5596),
    [anon_sym_BSLASHpng] = ACTIONS(5596),
    [anon_sym_BSLASHaddpn] = ACTIONS(5596),
    [anon_sym_BSLASHqt] = ACTIONS(5596),
    [anon_sym_BSLASHsig] = ACTIONS(5596),
    [anon_sym_BSLASHsls] = ACTIONS(5596),
    [anon_sym_BSLASHtl] = ACTIONS(5596),
    [anon_sym_BSLASHwj] = ACTIONS(5596),
    [anon_sym_BSLASHem] = ACTIONS(5596),
    [anon_sym_BSLASHbd] = ACTIONS(5596),
    [anon_sym_BSLASHit] = ACTIONS(5596),
    [anon_sym_BSLASHbdit] = ACTIONS(5596),
    [anon_sym_BSLASHno] = ACTIONS(5596),
    [anon_sym_BSLASHsc] = ACTIONS(5596),
    [anon_sym_BSLASHsup] = ACTIONS(5596),
    [anon_sym_BSLASHndx] = ACTIONS(5596),
    [anon_sym_BSLASHpro] = ACTIONS(5596),
    [anon_sym_BSLASHrb] = ACTIONS(5596),
    [anon_sym_BSLASHw] = ACTIONS(5596),
    [anon_sym_BSLASHwg] = ACTIONS(5596),
    [anon_sym_BSLASHwh] = ACTIONS(5596),
    [anon_sym_BSLASHwa] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5596),
    [anon_sym_BSLASHfig] = ACTIONS(5596),
    [anon_sym_BSLASHjmp] = ACTIONS(5596),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5596),
    [anon_sym_BSLASHcat] = ACTIONS(5596),
  },
  [716] = {
    [aux_sym_text_token1] = ACTIONS(5502),
    [anon_sym_BSLASHref] = ACTIONS(5504),
    [anon_sym_BSLASHsts] = ACTIONS(5504),
    [anon_sym_BSLASHrem] = ACTIONS(5504),
    [anon_sym_BSLASHrestore] = ACTIONS(5504),
    [anon_sym_BSLASHlit] = ACTIONS(5504),
    [anon_sym_BSLASHip] = ACTIONS(5504),
    [anon_sym_BSLASHv] = ACTIONS(5504),
    [anon_sym_BSLASHva] = ACTIONS(5504),
    [anon_sym_BSLASHvp] = ACTIONS(5504),
    [anon_sym_BSLASHmte] = ACTIONS(5504),
    [anon_sym_BSLASHms] = ACTIONS(5504),
    [anon_sym_BSLASHs] = ACTIONS(5504),
    [anon_sym_BSLASHr] = ACTIONS(5504),
    [anon_sym_BSLASHsp] = ACTIONS(5504),
    [anon_sym_BSLASHd] = ACTIONS(5504),
    [anon_sym_BSLASHsd] = ACTIONS(5504),
    [anon_sym_BSLASHp] = ACTIONS(5504),
    [anon_sym_BSLASHm] = ACTIONS(5504),
    [anon_sym_BSLASHpo] = ACTIONS(5504),
    [anon_sym_BSLASHpr] = ACTIONS(5504),
    [anon_sym_BSLASHcls] = ACTIONS(5504),
    [anon_sym_BSLASHpmo] = ACTIONS(5504),
    [anon_sym_BSLASHpm] = ACTIONS(5504),
    [anon_sym_BSLASHpmc] = ACTIONS(5504),
    [anon_sym_BSLASHpmr] = ACTIONS(5504),
    [anon_sym_BSLASHpi] = ACTIONS(5504),
    [anon_sym_BSLASHmi] = ACTIONS(5504),
    [anon_sym_BSLASHnb] = ACTIONS(5504),
    [anon_sym_BSLASHpc] = ACTIONS(5504),
    [anon_sym_BSLASHph] = ACTIONS(5504),
    [anon_sym_BSLASHb] = ACTIONS(5504),
    [anon_sym_BSLASHq] = ACTIONS(5504),
    [anon_sym_BSLASHqr] = ACTIONS(5504),
    [anon_sym_BSLASHqc] = ACTIONS(5504),
    [anon_sym_BSLASHqa] = ACTIONS(5504),
    [anon_sym_BSLASHqm] = ACTIONS(5504),
    [anon_sym_BSLASHqd] = ACTIONS(5504),
    [anon_sym_BSLASHlh] = ACTIONS(5504),
    [anon_sym_BSLASHli] = ACTIONS(5504),
    [anon_sym_BSLASHlim] = ACTIONS(5504),
    [anon_sym_BSLASHtr] = ACTIONS(5504),
    [anon_sym_BSLASHf] = ACTIONS(5504),
    [anon_sym_BSLASHfe] = ACTIONS(5504),
    [anon_sym_BSLASHef] = ACTIONS(5504),
    [anon_sym_BSLASHfm] = ACTIONS(5504),
    [anon_sym_BSLASHx] = ACTIONS(5504),
    [anon_sym_BSLASHxt] = ACTIONS(5504),
    [anon_sym_BSLASHrq] = ACTIONS(5504),
    [anon_sym_BSLASHadd] = ACTIONS(5504),
    [anon_sym_BSLASHbk] = ACTIONS(5504),
    [anon_sym_BSLASHdc] = ACTIONS(5504),
    [anon_sym_BSLASHk] = ACTIONS(5504),
    [anon_sym_BSLASHnd] = ACTIONS(5504),
    [anon_sym_BSLASHord] = ACTIONS(5504),
    [anon_sym_BSLASHpn] = ACTIONS(5504),
    [anon_sym_BSLASHpng] = ACTIONS(5504),
    [anon_sym_BSLASHaddpn] = ACTIONS(5504),
    [anon_sym_BSLASHqt] = ACTIONS(5504),
    [anon_sym_BSLASHsig] = ACTIONS(5504),
    [anon_sym_BSLASHsls] = ACTIONS(5504),
    [anon_sym_BSLASHtl] = ACTIONS(5504),
    [anon_sym_BSLASHwj] = ACTIONS(5504),
    [anon_sym_BSLASHem] = ACTIONS(5504),
    [anon_sym_BSLASHbd] = ACTIONS(5504),
    [anon_sym_BSLASHit] = ACTIONS(5504),
    [anon_sym_BSLASHbdit] = ACTIONS(5504),
    [anon_sym_BSLASHno] = ACTIONS(5504),
    [anon_sym_BSLASHsc] = ACTIONS(5504),
    [anon_sym_BSLASHsup] = ACTIONS(5504),
    [anon_sym_BSLASHndx] = ACTIONS(5504),
    [anon_sym_BSLASHpro] = ACTIONS(5504),
    [anon_sym_BSLASHrb] = ACTIONS(5504),
    [anon_sym_BSLASHw] = ACTIONS(5504),
    [anon_sym_BSLASHwg] = ACTIONS(5504),
    [anon_sym_BSLASHwh] = ACTIONS(5504),
    [anon_sym_BSLASHwa] = ACTIONS(5504),
    [anon_sym_BSLASHfig] = ACTIONS(5504),
    [anon_sym_BSLASHjmp] = ACTIONS(5504),
    [anon_sym_BSLASHpb] = ACTIONS(5504),
    [anon_sym_BSLASH] = ACTIONS(5504),
    [sym_milestoneStartTag] = ACTIONS(5504),
    [sym_milestoneEndTag] = ACTIONS(5504),
    [sym_zSpaceTag] = ACTIONS(5504),
    [anon_sym_BSLASHesbe] = ACTIONS(5504),
    [anon_sym_BSLASHcat] = ACTIONS(5504),
  },
  [717] = {
    [sym_text] = STATE(719),
    [sym_add] = STATE(719),
    [sym_bk] = STATE(719),
    [sym_dc] = STATE(719),
    [sym_k] = STATE(719),
    [sym_nd] = STATE(719),
    [sym_ord] = STATE(719),
    [sym_pn] = STATE(719),
    [sym_png] = STATE(719),
    [sym_addpn] = STATE(719),
    [sym_qt] = STATE(719),
    [sym_sig] = STATE(719),
    [sym_sls] = STATE(719),
    [sym_tl] = STATE(719),
    [sym_wj] = STATE(719),
    [sym_em] = STATE(719),
    [sym_bd] = STATE(719),
    [sym_it] = STATE(719),
    [sym_bdit] = STATE(719),
    [sym_no] = STATE(719),
    [sym_sc] = STATE(719),
    [sym_sup] = STATE(719),
    [sym_ndx] = STATE(719),
    [sym_pro] = STATE(719),
    [sym_rb] = STATE(719),
    [sym_w] = STATE(719),
    [sym_wg] = STATE(719),
    [sym_wh] = STATE(719),
    [sym_wa] = STATE(719),
    [sym__characterMarker] = STATE(719),
    [sym_fig] = STATE(719),
    [sym_jmp] = STATE(719),
    [aux_sym_verseText_repeat1] = STATE(719),
    [aux_sym_text_token1] = ACTIONS(4133),
    [anon_sym_BSLASHref] = ACTIONS(3467),
    [anon_sym_BSLASHsts] = ACTIONS(3467),
    [anon_sym_BSLASHrem] = ACTIONS(3467),
    [anon_sym_BSLASHrestore] = ACTIONS(3467),
    [anon_sym_BSLASHlit] = ACTIONS(3467),
    [anon_sym_BSLASHv] = ACTIONS(3467),
    [anon_sym_BSLASHva] = ACTIONS(3467),
    [anon_sym_BSLASHvp] = ACTIONS(3467),
    [anon_sym_BSLASHqs] = ACTIONS(3467),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(3467),
    [anon_sym_BSLASHqac] = ACTIONS(3467),
    [anon_sym_BSLASHf] = ACTIONS(3467),
    [anon_sym_BSLASHfe] = ACTIONS(3467),
    [anon_sym_BSLASHef] = ACTIONS(3467),
    [anon_sym_BSLASHfm] = ACTIONS(3467),
    [anon_sym_BSLASHx] = ACTIONS(3467),
    [anon_sym_BSLASHxt] = ACTIONS(3467),
    [anon_sym_BSLASHrq] = ACTIONS(3467),
    [anon_sym_BSLASHadd] = ACTIONS(4171),
    [anon_sym_BSLASHbk] = ACTIONS(4173),
    [anon_sym_BSLASHdc] = ACTIONS(4175),
    [anon_sym_BSLASHk] = ACTIONS(4177),
    [anon_sym_BSLASHnd] = ACTIONS(4179),
    [anon_sym_BSLASHord] = ACTIONS(4181),
    [anon_sym_BSLASHpn] = ACTIONS(4183),
    [anon_sym_BSLASHpng] = ACTIONS(4185),
    [anon_sym_BSLASHaddpn] = ACTIONS(4187),
    [anon_sym_BSLASHqt] = ACTIONS(4189),
    [anon_sym_BSLASHsig] = ACTIONS(4191),
    [anon_sym_BSLASHsls] = ACTIONS(4193),
    [anon_sym_BSLASHtl] = ACTIONS(4195),
    [anon_sym_BSLASHwj] = ACTIONS(4197),
    [anon_sym_BSLASHem] = ACTIONS(4199),
    [anon_sym_BSLASHbd] = ACTIONS(4201),
    [anon_sym_BSLASHit] = ACTIONS(4203),
    [anon_sym_BSLASHbdit] = ACTIONS(4205),
    [anon_sym_BSLASHno] = ACTIONS(4207),
    [anon_sym_BSLASHsc] = ACTIONS(4209),
    [anon_sym_BSLASHsup] = ACTIONS(4211),
    [anon_sym_BSLASHndx] = ACTIONS(4213),
    [anon_sym_BSLASHpro] = ACTIONS(4215),
    [anon_sym_BSLASHrb] = ACTIONS(4217),
    [anon_sym_BSLASHw] = ACTIONS(4219),
    [anon_sym_BSLASHwg] = ACTIONS(4221),
    [anon_sym_BSLASHwh] = ACTIONS(4223),
    [anon_sym_BSLASHwa] = ACTIONS(4225),
    [anon_sym_BSLASHfig] = ACTIONS(4227),
    [anon_sym_BSLASHjmp] = ACTIONS(4229),
    [anon_sym_BSLASH] = ACTIONS(3467),
    [sym_milestoneStartTag] = ACTIONS(3467),
    [sym_milestoneEndTag] = ACTIONS(3467),
    [sym_zSpaceTag] = ACTIONS(3467),
  },
  [718] = {
    [aux_sym_text_token1] = ACTIONS(5492),
    [anon_sym_BSLASHref] = ACTIONS(5494),
    [anon_sym_BSLASHsts] = ACTIONS(5494),
    [anon_sym_BSLASHrem] = ACTIONS(5494),
    [anon_sym_BSLASHrestore] = ACTIONS(5494),
    [anon_sym_BSLASHlit] = ACTIONS(5494),
    [anon_sym_BSLASHip] = ACTIONS(5494),
    [anon_sym_BSLASHv] = ACTIONS(5494),
    [anon_sym_BSLASHva] = ACTIONS(5494),
    [anon_sym_BSLASHvp] = ACTIONS(5494),
    [anon_sym_BSLASHmte] = ACTIONS(5494),
    [anon_sym_BSLASHms] = ACTIONS(5494),
    [anon_sym_BSLASHs] = ACTIONS(5494),
    [anon_sym_BSLASHr] = ACTIONS(5494),
    [anon_sym_BSLASHsp] = ACTIONS(5494),
    [anon_sym_BSLASHd] = ACTIONS(5494),
    [anon_sym_BSLASHsd] = ACTIONS(5494),
    [anon_sym_BSLASHp] = ACTIONS(5494),
    [anon_sym_BSLASHm] = ACTIONS(5494),
    [anon_sym_BSLASHpo] = ACTIONS(5494),
    [anon_sym_BSLASHpr] = ACTIONS(5494),
    [anon_sym_BSLASHcls] = ACTIONS(5494),
    [anon_sym_BSLASHpmo] = ACTIONS(5494),
    [anon_sym_BSLASHpm] = ACTIONS(5494),
    [anon_sym_BSLASHpmc] = ACTIONS(5494),
    [anon_sym_BSLASHpmr] = ACTIONS(5494),
    [anon_sym_BSLASHpi] = ACTIONS(5494),
    [anon_sym_BSLASHmi] = ACTIONS(5494),
    [anon_sym_BSLASHnb] = ACTIONS(5494),
    [anon_sym_BSLASHpc] = ACTIONS(5494),
    [anon_sym_BSLASHph] = ACTIONS(5494),
    [anon_sym_BSLASHb] = ACTIONS(5494),
    [anon_sym_BSLASHq] = ACTIONS(5494),
    [anon_sym_BSLASHqr] = ACTIONS(5494),
    [anon_sym_BSLASHqc] = ACTIONS(5494),
    [anon_sym_BSLASHqa] = ACTIONS(5494),
    [anon_sym_BSLASHqm] = ACTIONS(5494),
    [anon_sym_BSLASHqd] = ACTIONS(5494),
    [anon_sym_BSLASHlh] = ACTIONS(5494),
    [anon_sym_BSLASHli] = ACTIONS(5494),
    [anon_sym_BSLASHlim] = ACTIONS(5494),
    [anon_sym_BSLASHtr] = ACTIONS(5494),
    [anon_sym_BSLASHf] = ACTIONS(5494),
    [anon_sym_BSLASHfe] = ACTIONS(5494),
    [anon_sym_BSLASHef] = ACTIONS(5494),
    [anon_sym_BSLASHfm] = ACTIONS(5494),
    [anon_sym_BSLASHx] = ACTIONS(5494),
    [anon_sym_BSLASHxt] = ACTIONS(5494),
    [anon_sym_BSLASHrq] = ACTIONS(5494),
    [anon_sym_BSLASHadd] = ACTIONS(5494),
    [anon_sym_BSLASHbk] = ACTIONS(5494),
    [anon_sym_BSLASHdc] = ACTIONS(5494),
    [anon_sym_BSLASHk] = ACTIONS(5494),
    [anon_sym_BSLASHnd] = ACTIONS(5494),
    [anon_sym_BSLASHord] = ACTIONS(5494),
    [anon_sym_BSLASHpn] = ACTIONS(5494),
    [anon_sym_BSLASHpng] = ACTIONS(5494),
    [anon_sym_BSLASHaddpn] = ACTIONS(5494),
    [anon_sym_BSLASHqt] = ACTIONS(5494),
    [anon_sym_BSLASHsig] = ACTIONS(5494),
    [anon_sym_BSLASHsls] = ACTIONS(5494),
    [anon_sym_BSLASHtl] = ACTIONS(5494),
    [anon_sym_BSLASHwj] = ACTIONS(5494),
    [anon_sym_BSLASHem] = ACTIONS(5494),
    [anon_sym_BSLASHbd] = ACTIONS(5494),
    [anon_sym_BSLASHit] = ACTIONS(5494),
    [anon_sym_BSLASHbdit] = ACTIONS(5494),
    [anon_sym_BSLASHno] = ACTIONS(5494),
    [anon_sym_BSLASHsc] = ACTIONS(5494),
    [anon_sym_BSLASHsup] = ACTIONS(5494),
    [anon_sym_BSLASHndx] = ACTIONS(5494),
    [anon_sym_BSLASHpro] = ACTIONS(5494),
    [anon_sym_BSLASHrb] = ACTIONS(5494),
    [anon_sym_BSLASHw] = ACTIONS(5494),
    [anon_sym_BSLASHwg] = ACTIONS(5494),
    [anon_sym_BSLASHwh] = ACTIONS(5494),
    [anon_sym_BSLASHwa] = ACTIONS(5494),
    [anon_sym_BSLASHfig] = ACTIONS(5494),
    [anon_sym_BSLASHjmp] = ACTIONS(5494),
    [anon_sym_BSLASHpb] = ACTIONS(5494),
    [anon_sym_BSLASH] = ACTIONS(5494),
    [sym_milestoneStartTag] = ACTIONS(5494),
    [sym_milestoneEndTag] = ACTIONS(5494),
    [sym_zSpaceTag] = ACTIONS(5494),
    [anon_sym_BSLASHesbe] = ACTIONS(5494),
    [anon_sym_BSLASHcat] = ACTIONS(5494),
  },
  [719] = {
    [sym_text] = STATE(719),
    [sym_add] = STATE(719),
    [sym_bk] = STATE(719),
    [sym_dc] = STATE(719),
    [sym_k] = STATE(719),
    [sym_nd] = STATE(719),
    [sym_ord] = STATE(719),
    [sym_pn] = STATE(719),
    [sym_png] = STATE(719),
    [sym_addpn] = STATE(719),
    [sym_qt] = STATE(719),
    [sym_sig] = STATE(719),
    [sym_sls] = STATE(719),
    [sym_tl] = STATE(719),
    [sym_wj] = STATE(719),
    [sym_em] = STATE(719),
    [sym_bd] = STATE(719),
    [sym_it] = STATE(719),
    [sym_bdit] = STATE(719),
    [sym_no] = STATE(719),
    [sym_sc] = STATE(719),
    [sym_sup] = STATE(719),
    [sym_ndx] = STATE(719),
    [sym_pro] = STATE(719),
    [sym_rb] = STATE(719),
    [sym_w] = STATE(719),
    [sym_wg] = STATE(719),
    [sym_wh] = STATE(719),
    [sym_wa] = STATE(719),
    [sym__characterMarker] = STATE(719),
    [sym_fig] = STATE(719),
    [sym_jmp] = STATE(719),
    [aux_sym_verseText_repeat1] = STATE(719),
    [aux_sym_text_token1] = ACTIONS(5610),
    [anon_sym_BSLASHref] = ACTIONS(3373),
    [anon_sym_BSLASHsts] = ACTIONS(3373),
    [anon_sym_BSLASHrem] = ACTIONS(3373),
    [anon_sym_BSLASHrestore] = ACTIONS(3373),
    [anon_sym_BSLASHlit] = ACTIONS(3373),
    [anon_sym_BSLASHv] = ACTIONS(3373),
    [anon_sym_BSLASHva] = ACTIONS(3373),
    [anon_sym_BSLASHvp] = ACTIONS(3373),
    [anon_sym_BSLASHqs] = ACTIONS(3373),
    [anon_sym_BSLASHqs_STAR] = ACTIONS(3373),
    [anon_sym_BSLASHqac] = ACTIONS(3373),
    [anon_sym_BSLASHf] = ACTIONS(3373),
    [anon_sym_BSLASHfe] = ACTIONS(3373),
    [anon_sym_BSLASHef] = ACTIONS(3373),
    [anon_sym_BSLASHfm] = ACTIONS(3373),
    [anon_sym_BSLASHx] = ACTIONS(3373),
    [anon_sym_BSLASHxt] = ACTIONS(3373),
    [anon_sym_BSLASHrq] = ACTIONS(3373),
    [anon_sym_BSLASHadd] = ACTIONS(5613),
    [anon_sym_BSLASHbk] = ACTIONS(5616),
    [anon_sym_BSLASHdc] = ACTIONS(5619),
    [anon_sym_BSLASHk] = ACTIONS(5622),
    [anon_sym_BSLASHnd] = ACTIONS(5625),
    [anon_sym_BSLASHord] = ACTIONS(5628),
    [anon_sym_BSLASHpn] = ACTIONS(5631),
    [anon_sym_BSLASHpng] = ACTIONS(5634),
    [anon_sym_BSLASHaddpn] = ACTIONS(5637),
    [anon_sym_BSLASHqt] = ACTIONS(5640),
    [anon_sym_BSLASHsig] = ACTIONS(5643),
    [anon_sym_BSLASHsls] = ACTIONS(5646),
    [anon_sym_BSLASHtl] = ACTIONS(5649),
    [anon_sym_BSLASHwj] = ACTIONS(5652),
    [anon_sym_BSLASHem] = ACTIONS(5655),
    [anon_sym_BSLASHbd] = ACTIONS(5658),
    [anon_sym_BSLASHit] = ACTIONS(5661),
    [anon_sym_BSLASHbdit] = ACTIONS(5664),
    [anon_sym_BSLASHno] = ACTIONS(5667),
    [anon_sym_BSLASHsc] = ACTIONS(5670),
    [anon_sym_BSLASHsup] = ACTIONS(5673),
    [anon_sym_BSLASHndx] = ACTIONS(5676),
    [anon_sym_BSLASHpro] = ACTIONS(5679),
    [anon_sym_BSLASHrb] = ACTIONS(5682),
    [anon_sym_BSLASHw] = ACTIONS(5685),
    [anon_sym_BSLASHwg] = ACTIONS(5688),
    [anon_sym_BSLASHwh] = ACTIONS(5691),
    [anon_sym_BSLASHwa] = ACTIONS(5694),
    [anon_sym_BSLASHfig] = ACTIONS(5697),
    [anon_sym_BSLASHjmp] = ACTIONS(5700),
    [anon_sym_BSLASH] = ACTIONS(3373),
    [sym_milestoneStartTag] = ACTIONS(3373),
    [sym_milestoneEndTag] = ACTIONS(3373),
    [sym_zSpaceTag] = ACTIONS(3373),
  },
  [720] = {
    [aux_sym_text_token1] = ACTIONS(5488),
    [anon_sym_BSLASHref] = ACTIONS(5490),
    [anon_sym_BSLASHsts] = ACTIONS(5490),
    [anon_sym_BSLASHrem] = ACTIONS(5490),
    [anon_sym_BSLASHrestore] = ACTIONS(5490),
    [anon_sym_BSLASHlit] = ACTIONS(5490),
    [anon_sym_BSLASHip] = ACTIONS(5490),
    [anon_sym_BSLASHv] = ACTIONS(5490),
    [anon_sym_BSLASHva] = ACTIONS(5490),
    [anon_sym_BSLASHvp] = ACTIONS(5490),
    [anon_sym_BSLASHmte] = ACTIONS(5490),
    [anon_sym_BSLASHms] = ACTIONS(5490),
    [anon_sym_BSLASHs] = ACTIONS(5490),
    [anon_sym_BSLASHr] = ACTIONS(5490),
    [anon_sym_BSLASHsp] = ACTIONS(5490),
    [anon_sym_BSLASHd] = ACTIONS(5490),
    [anon_sym_BSLASHsd] = ACTIONS(5490),
    [anon_sym_BSLASHp] = ACTIONS(5490),
    [anon_sym_BSLASHm] = ACTIONS(5490),
    [anon_sym_BSLASHpo] = ACTIONS(5490),
    [anon_sym_BSLASHpr] = ACTIONS(5490),
    [anon_sym_BSLASHcls] = ACTIONS(5490),
    [anon_sym_BSLASHpmo] = ACTIONS(5490),
    [anon_sym_BSLASHpm] = ACTIONS(5490),
    [anon_sym_BSLASHpmc] = ACTIONS(5490),
    [anon_sym_BSLASHpmr] = ACTIONS(5490),
    [anon_sym_BSLASHpi] = ACTIONS(5490),
    [anon_sym_BSLASHmi] = ACTIONS(5490),
    [anon_sym_BSLASHnb] = ACTIONS(5490),
    [anon_sym_BSLASHpc] = ACTIONS(5490),
    [anon_sym_BSLASHph] = ACTIONS(5490),
    [anon_sym_BSLASHb] = ACTIONS(5490),
    [anon_sym_BSLASHq] = ACTIONS(5490),
    [anon_sym_BSLASHqr] = ACTIONS(5490),
    [anon_sym_BSLASHqc] = ACTIONS(5490),
    [anon_sym_BSLASHqa] = ACTIONS(5490),
    [anon_sym_BSLASHqm] = ACTIONS(5490),
    [anon_sym_BSLASHqd] = ACTIONS(5490),
    [anon_sym_BSLASHlh] = ACTIONS(5490),
    [anon_sym_BSLASHli] = ACTIONS(5490),
    [anon_sym_BSLASHlim] = ACTIONS(5490),
    [anon_sym_BSLASHtr] = ACTIONS(5490),
    [anon_sym_BSLASHf] = ACTIONS(5490),
    [anon_sym_BSLASHfe] = ACTIONS(5490),
    [anon_sym_BSLASHef] = ACTIONS(5490),
    [anon_sym_BSLASHfm] = ACTIONS(5490),
    [anon_sym_BSLASHx] = ACTIONS(5490),
    [anon_sym_BSLASHxt] = ACTIONS(5490),
    [anon_sym_BSLASHrq] = ACTIONS(5490),
    [anon_sym_BSLASHadd] = ACTIONS(5490),
    [anon_sym_BSLASHbk] = ACTIONS(5490),
    [anon_sym_BSLASHdc] = ACTIONS(5490),
    [anon_sym_BSLASHk] = ACTIONS(5490),
    [anon_sym_BSLASHnd] = ACTIONS(5490),
    [anon_sym_BSLASHord] = ACTIONS(5490),
    [anon_sym_BSLASHpn] = ACTIONS(5490),
    [anon_sym_BSLASHpng] = ACTIONS(5490),
    [anon_sym_BSLASHaddpn] = ACTIONS(5490),
    [anon_sym_BSLASHqt] = ACTIONS(5490),
    [anon_sym_BSLASHsig] = ACTIONS(5490),
    [anon_sym_BSLASHsls] = ACTIONS(5490),
    [anon_sym_BSLASHtl] = ACTIONS(5490),
    [anon_sym_BSLASHwj] = ACTIONS(5490),
    [anon_sym_BSLASHem] = ACTIONS(5490),
    [anon_sym_BSLASHbd] = ACTIONS(5490),
    [anon_sym_BSLASHit] = ACTIONS(5490),
    [anon_sym_BSLASHbdit] = ACTIONS(5490),
    [anon_sym_BSLASHno] = ACTIONS(5490),
    [anon_sym_BSLASHsc] = ACTIONS(5490),
    [anon_sym_BSLASHsup] = ACTIONS(5490),
    [anon_sym_BSLASHndx] = ACTIONS(5490),
    [anon_sym_BSLASHpro] = ACTIONS(5490),
    [anon_sym_BSLASHrb] = ACTIONS(5490),
    [anon_sym_BSLASHw] = ACTIONS(5490),
    [anon_sym_BSLASHwg] = ACTIONS(5490),
    [anon_sym_BSLASHwh] = ACTIONS(5490),
    [anon_sym_BSLASHwa] = ACTIONS(5490),
    [anon_sym_BSLASHfig] = ACTIONS(5490),
    [anon_sym_BSLASHjmp] = ACTIONS(5490),
    [anon_sym_BSLASHpb] = ACTIONS(5490),
    [anon_sym_BSLASH] = ACTIONS(5490),
    [sym_milestoneStartTag] = ACTIONS(5490),
    [sym_milestoneEndTag] = ACTIONS(5490),
    [sym_zSpaceTag] = ACTIONS(5490),
    [anon_sym_BSLASHesbe] = ACTIONS(5490),
    [anon_sym_BSLASHcat] = ACTIONS(5490),
  },
  [721] = {
    [aux_sym_text_token1] = ACTIONS(5510),
    [anon_sym_BSLASHref] = ACTIONS(5512),
    [anon_sym_BSLASHsts] = ACTIONS(5512),
    [anon_sym_BSLASHrem] = ACTIONS(5512),
    [anon_sym_BSLASHrestore] = ACTIONS(5512),
    [anon_sym_BSLASHlit] = ACTIONS(5512),
    [anon_sym_BSLASHip] = ACTIONS(5512),
    [anon_sym_BSLASHv] = ACTIONS(5512),
    [anon_sym_BSLASHva] = ACTIONS(5512),
    [anon_sym_BSLASHvp] = ACTIONS(5512),
    [anon_sym_BSLASHmte] = ACTIONS(5512),
    [anon_sym_BSLASHms] = ACTIONS(5512),
    [anon_sym_BSLASHs] = ACTIONS(5512),
    [anon_sym_BSLASHr] = ACTIONS(5512),
    [anon_sym_BSLASHsp] = ACTIONS(5512),
    [anon_sym_BSLASHd] = ACTIONS(5512),
    [anon_sym_BSLASHsd] = ACTIONS(5512),
    [anon_sym_BSLASHp] = ACTIONS(5512),
    [anon_sym_BSLASHm] = ACTIONS(5512),
    [anon_sym_BSLASHpo] = ACTIONS(5512),
    [anon_sym_BSLASHpr] = ACTIONS(5512),
    [anon_sym_BSLASHcls] = ACTIONS(5512),
    [anon_sym_BSLASHpmo] = ACTIONS(5512),
    [anon_sym_BSLASHpm] = ACTIONS(5512),
    [anon_sym_BSLASHpmc] = ACTIONS(5512),
    [anon_sym_BSLASHpmr] = ACTIONS(5512),
    [anon_sym_BSLASHpi] = ACTIONS(5512),
    [anon_sym_BSLASHmi] = ACTIONS(5512),
    [anon_sym_BSLASHnb] = ACTIONS(5512),
    [anon_sym_BSLASHpc] = ACTIONS(5512),
    [anon_sym_BSLASHph] = ACTIONS(5512),
    [anon_sym_BSLASHb] = ACTIONS(5512),
    [anon_sym_BSLASHq] = ACTIONS(5512),
    [anon_sym_BSLASHqr] = ACTIONS(5512),
    [anon_sym_BSLASHqc] = ACTIONS(5512),
    [anon_sym_BSLASHqa] = ACTIONS(5512),
    [anon_sym_BSLASHqm] = ACTIONS(5512),
    [anon_sym_BSLASHqd] = ACTIONS(5512),
    [anon_sym_BSLASHlh] = ACTIONS(5512),
    [anon_sym_BSLASHli] = ACTIONS(5512),
    [anon_sym_BSLASHlim] = ACTIONS(5512),
    [anon_sym_BSLASHtr] = ACTIONS(5512),
    [anon_sym_BSLASHf] = ACTIONS(5512),
    [anon_sym_BSLASHfe] = ACTIONS(5512),
    [anon_sym_BSLASHef] = ACTIONS(5512),
    [anon_sym_BSLASHfm] = ACTIONS(5512),
    [anon_sym_BSLASHx] = ACTIONS(5512),
    [anon_sym_BSLASHxt] = ACTIONS(5512),
    [anon_sym_BSLASHrq] = ACTIONS(5512),
    [anon_sym_BSLASHadd] = ACTIONS(5512),
    [anon_sym_BSLASHbk] = ACTIONS(5512),
    [anon_sym_BSLASHdc] = ACTIONS(5512),
    [anon_sym_BSLASHk] = ACTIONS(5512),
    [anon_sym_BSLASHnd] = ACTIONS(5512),
    [anon_sym_BSLASHord] = ACTIONS(5512),
    [anon_sym_BSLASHpn] = ACTIONS(5512),
    [anon_sym_BSLASHpng] = ACTIONS(5512),
    [anon_sym_BSLASHaddpn] = ACTIONS(5512),
    [anon_sym_BSLASHqt] = ACTIONS(5512),
    [anon_sym_BSLASHsig] = ACTIONS(5512),
    [anon_sym_BSLASHsls] = ACTIONS(5512),
    [anon_sym_BSLASHtl] = ACTIONS(5512),
    [anon_sym_BSLASHwj] = ACTIONS(5512),
    [anon_sym_BSLASHem] = ACTIONS(5512),
    [anon_sym_BSLASHbd] = ACTIONS(5512),
    [anon_sym_BSLASHit] = ACTIONS(5512),
    [anon_sym_BSLASHbdit] = ACTIONS(5512),
    [anon_sym_BSLASHno] = ACTIONS(5512),
    [anon_sym_BSLASHsc] = ACTIONS(5512),
    [anon_sym_BSLASHsup] = ACTIONS(5512),
    [anon_sym_BSLASHndx] = ACTIONS(5512),
    [anon_sym_BSLASHpro] = ACTIONS(5512),
    [anon_sym_BSLASHrb] = ACTIONS(5512),
    [anon_sym_BSLASHw] = ACTIONS(5512),
    [anon_sym_BSLASHwg] = ACTIONS(5512),
    [anon_sym_BSLASHwh] = ACTIONS(5512),
    [anon_sym_BSLASHwa] = ACTIONS(5512),
    [anon_sym_BSLASHfig] = ACTIONS(5512),
    [anon_sym_BSLASHjmp] = ACTIONS(5512),
    [anon_sym_BSLASHpb] = ACTIONS(5512),
    [anon_sym_BSLASH] = ACTIONS(5512),
    [sym_milestoneStartTag] = ACTIONS(5512),
    [sym_milestoneEndTag] = ACTIONS(5512),
    [sym_zSpaceTag] = ACTIONS(5512),
    [anon_sym_BSLASHesbe] = ACTIONS(5512),
    [anon_sym_BSLASHcat] = ACTIONS(5512),
  },
  [722] = {
    [sym_text] = STATE(722),
    [sym_add] = STATE(722),
    [sym_bk] = STATE(722),
    [sym_dc] = STATE(722),
    [sym_k] = STATE(722),
    [sym_nd] = STATE(722),
    [sym_ord] = STATE(722),
    [sym_pn] = STATE(722),
    [sym_png] = STATE(722),
    [sym_addpn] = STATE(722),
    [sym_qt] = STATE(722),
    [sym_sig] = STATE(722),
    [sym_sls] = STATE(722),
    [sym_tl] = STATE(722),
    [sym_wj] = STATE(722),
    [sym_em] = STATE(722),
    [sym_bd] = STATE(722),
    [sym_it] = STATE(722),
    [sym_bdit] = STATE(722),
    [sym_no] = STATE(722),
    [sym_sc] = STATE(722),
    [sym_sup] = STATE(722),
    [sym_ndx] = STATE(722),
    [sym_pro] = STATE(722),
    [sym_rb] = STATE(722),
    [sym_w] = STATE(722),
    [sym_wg] = STATE(722),
    [sym_wh] = STATE(722),
    [sym_wa] = STATE(722),
    [sym__characterMarker] = STATE(722),
    [sym_fig] = STATE(722),
    [sym_jmp] = STATE(722),
    [aux_sym_verseText_repeat1] = STATE(722),
    [aux_sym_text_token1] = ACTIONS(5703),
    [anon_sym_BSLASHref] = ACTIONS(3373),
    [anon_sym_BSLASHsts] = ACTIONS(3373),
    [anon_sym_BSLASHrem] = ACTIONS(3373),
    [anon_sym_BSLASHrestore] = ACTIONS(3373),
    [anon_sym_BSLASHlit] = ACTIONS(3373),
    [anon_sym_BSLASHv] = ACTIONS(3373),
    [anon_sym_BSLASHva] = ACTIONS(3373),
    [anon_sym_BSLASHvp] = ACTIONS(3373),
    [anon_sym_BSLASHli] = ACTIONS(3373),
    [anon_sym_BSLASHlim] = ACTIONS(3373),
    [anon_sym_BSLASHf] = ACTIONS(3373),
    [anon_sym_BSLASHfe] = ACTIONS(3373),
    [anon_sym_BSLASHef] = ACTIONS(3373),
    [anon_sym_BSLASHfm] = ACTIONS(3373),
    [anon_sym_BSLASHx] = ACTIONS(3373),
    [anon_sym_BSLASHxt] = ACTIONS(3373),
    [anon_sym_BSLASHrq] = ACTIONS(3373),
    [anon_sym_BSLASHadd] = ACTIONS(5706),
    [anon_sym_BSLASHbk] = ACTIONS(5709),
    [anon_sym_BSLASHdc] = ACTIONS(5712),
    [anon_sym_BSLASHk] = ACTIONS(5715),
    [anon_sym_BSLASHnd] = ACTIONS(5718),
    [anon_sym_BSLASHord] = ACTIONS(5721),
    [anon_sym_BSLASHpn] = ACTIONS(5724),
    [anon_sym_BSLASHpng] = ACTIONS(5727),
    [anon_sym_BSLASHaddpn] = ACTIONS(5730),
    [anon_sym_BSLASHqt] = ACTIONS(5733),
    [anon_sym_BSLASHsig] = ACTIONS(5736),
    [anon_sym_BSLASHsls] = ACTIONS(5739),
    [anon_sym_BSLASHtl] = ACTIONS(5742),
    [anon_sym_BSLASHwj] = ACTIONS(5745),
    [anon_sym_BSLASHem] = ACTIONS(5748),
    [anon_sym_BSLASHbd] = ACTIONS(5751),
    [anon_sym_BSLASHit] = ACTIONS(5754),
    [anon_sym_BSLASHbdit] = ACTIONS(5757),
    [anon_sym_BSLASHno] = ACTIONS(5760),
    [anon_sym_BSLASHsc] = ACTIONS(5763),
    [anon_sym_BSLASHsup] = ACTIONS(5766),
    [anon_sym_BSLASHndx] = ACTIONS(5769),
    [anon_sym_BSLASHpro] = ACTIONS(5772),
    [anon_sym_BSLASHrb] = ACTIONS(5775),
    [anon_sym_BSLASHw] = ACTIONS(5778),
    [anon_sym_BSLASHwg] = ACTIONS(5781),
    [anon_sym_BSLASHwh] = ACTIONS(5784),
    [anon_sym_BSLASHwa] = ACTIONS(5787),
    [anon_sym_BSLASHfig] = ACTIONS(5790),
    [anon_sym_BSLASHjmp] = ACTIONS(5793),
    [anon_sym_BSLASH] = ACTIONS(3373),
    [sym_milestoneStartTag] = ACTIONS(3373),
    [sym_milestoneEndTag] = ACTIONS(3373),
    [sym_zSpaceTag] = ACTIONS(3373),
  },
  [723] = {
    [sym_text] = STATE(722),
    [sym_add] = STATE(722),
    [sym_bk] = STATE(722),
    [sym_dc] = STATE(722),
    [sym_k] = STATE(722),
    [sym_nd] = STATE(722),
    [sym_ord] = STATE(722),
    [sym_pn] = STATE(722),
    [sym_png] = STATE(722),
    [sym_addpn] = STATE(722),
    [sym_qt] = STATE(722),
    [sym_sig] = STATE(722),
    [sym_sls] = STATE(722),
    [sym_tl] = STATE(722),
    [sym_wj] = STATE(722),
    [sym_em] = STATE(722),
    [sym_bd] = STATE(722),
    [sym_it] = STATE(722),
    [sym_bdit] = STATE(722),
    [sym_no] = STATE(722),
    [sym_sc] = STATE(722),
    [sym_sup] = STATE(722),
    [sym_ndx] = STATE(722),
    [sym_pro] = STATE(722),
    [sym_rb] = STATE(722),
    [sym_w] = STATE(722),
    [sym_wg] = STATE(722),
    [sym_wh] = STATE(722),
    [sym_wa] = STATE(722),
    [sym__characterMarker] = STATE(722),
    [sym_fig] = STATE(722),
    [sym_jmp] = STATE(722),
    [aux_sym_verseText_repeat1] = STATE(722),
    [aux_sym_text_token1] = ACTIONS(4817),
    [anon_sym_BSLASHref] = ACTIONS(3467),
    [anon_sym_BSLASHsts] = ACTIONS(3467),
    [anon_sym_BSLASHrem] = ACTIONS(3467),
    [anon_sym_BSLASHrestore] = ACTIONS(3467),
    [anon_sym_BSLASHlit] = ACTIONS(3467),
    [anon_sym_BSLASHv] = ACTIONS(3467),
    [anon_sym_BSLASHva] = ACTIONS(3467),
    [anon_sym_BSLASHvp] = ACTIONS(3467),
    [anon_sym_BSLASHli] = ACTIONS(3467),
    [anon_sym_BSLASHlim] = ACTIONS(3467),
    [anon_sym_BSLASHf] = ACTIONS(3467),
    [anon_sym_BSLASHfe] = ACTIONS(3467),
    [anon_sym_BSLASHef] = ACTIONS(3467),
    [anon_sym_BSLASHfm] = ACTIONS(3467),
    [anon_sym_BSLASHx] = ACTIONS(3467),
    [anon_sym_BSLASHxt] = ACTIONS(3467),
    [anon_sym_BSLASHrq] = ACTIONS(3467),
    [anon_sym_BSLASHadd] = ACTIONS(4851),
    [anon_sym_BSLASHbk] = ACTIONS(4853),
    [anon_sym_BSLASHdc] = ACTIONS(4855),
    [anon_sym_BSLASHk] = ACTIONS(4857),
    [anon_sym_BSLASHnd] = ACTIONS(4859),
    [anon_sym_BSLASHord] = ACTIONS(4861),
    [anon_sym_BSLASHpn] = ACTIONS(4863),
    [anon_sym_BSLASHpng] = ACTIONS(4865),
    [anon_sym_BSLASHaddpn] = ACTIONS(4867),
    [anon_sym_BSLASHqt] = ACTIONS(4869),
    [anon_sym_BSLASHsig] = ACTIONS(4871),
    [anon_sym_BSLASHsls] = ACTIONS(4873),
    [anon_sym_BSLASHtl] = ACTIONS(4875),
    [anon_sym_BSLASHwj] = ACTIONS(4877),
    [anon_sym_BSLASHem] = ACTIONS(4879),
    [anon_sym_BSLASHbd] = ACTIONS(4881),
    [anon_sym_BSLASHit] = ACTIONS(4883),
    [anon_sym_BSLASHbdit] = ACTIONS(4885),
    [anon_sym_BSLASHno] = ACTIONS(4887),
    [anon_sym_BSLASHsc] = ACTIONS(4889),
    [anon_sym_BSLASHsup] = ACTIONS(4891),
    [anon_sym_BSLASHndx] = ACTIONS(4893),
    [anon_sym_BSLASHpro] = ACTIONS(4895),
    [anon_sym_BSLASHrb] = ACTIONS(4897),
    [anon_sym_BSLASHw] = ACTIONS(4899),
    [anon_sym_BSLASHwg] = ACTIONS(4901),
    [anon_sym_BSLASHwh] = ACTIONS(4903),
    [anon_sym_BSLASHwa] = ACTIONS(4905),
    [anon_sym_BSLASHfig] = ACTIONS(4907),
    [anon_sym_BSLASHjmp] = ACTIONS(4909),
    [anon_sym_BSLASH] = ACTIONS(3467),
    [sym_milestoneStartTag] = ACTIONS(3467),
    [sym_milestoneEndTag] = ACTIONS(3467),
    [sym_zSpaceTag] = ACTIONS(3467),
  },
  [724] = {
    [sym_text] = STATE(323),
    [sym_ref] = STATE(1223),
    [sym_verseText] = STATE(1223),
    [sym__tableText] = STATE(1223),
    [sym_footnote] = STATE(1223),
    [sym_f] = STATE(1224),
    [sym_fe] = STATE(1224),
    [sym_ef] = STATE(1224),
    [sym_fm] = STATE(1224),
    [sym_crossref] = STATE(1223),
    [sym_x] = STATE(1235),
    [sym_xt_standalone] = STATE(1235),
    [sym_rq] = STATE(1235),
    [sym_add] = STATE(323),
    [sym_bk] = STATE(323),
    [sym_dc] = STATE(323),
    [sym_k] = STATE(323),
    [sym_nd] = STATE(323),
    [sym_ord] = STATE(323),
    [sym_pn] = STATE(323),
    [sym_png] = STATE(323),
    [sym_addpn] = STATE(323),
    [sym_qt] = STATE(323),
    [sym_sig] = STATE(323),
    [sym_sls] = STATE(323),
    [sym_tl] = STATE(323),
    [sym_wj] = STATE(323),
    [sym_em] = STATE(323),
    [sym_bd] = STATE(323),
    [sym_it] = STATE(323),
    [sym_bdit] = STATE(323),
    [sym_no] = STATE(323),
    [sym_sc] = STATE(323),
    [sym_sup] = STATE(323),
    [sym_ndx] = STATE(323),
    [sym_pro] = STATE(323),
    [sym_rb] = STATE(323),
    [sym_w] = STATE(323),
    [sym_wg] = STATE(323),
    [sym_wh] = STATE(323),
    [sym_wa] = STATE(323),
    [sym__characterMarker] = STATE(323),
    [sym_fig] = STATE(323),
    [sym_jmp] = STATE(323),
    [aux_sym_verseText_repeat1] = STATE(323),
    [aux_sym_text_token1] = ACTIONS(3978),
    [anon_sym_BSLASHref] = ACTIONS(5796),
    [anon_sym_BSLASHf] = ACTIONS(5798),
    [anon_sym_BSLASHfe] = ACTIONS(5800),
    [anon_sym_BSLASHef] = ACTIONS(5802),
    [anon_sym_BSLASHfm] = ACTIONS(5804),
    [anon_sym_BSLASHx] = ACTIONS(5806),
    [anon_sym_BSLASHxt] = ACTIONS(5808),
    [anon_sym_BSLASHrq] = ACTIONS(5810),
    [anon_sym_BSLASHadd] = ACTIONS(3980),
    [anon_sym_BSLASHbk] = ACTIONS(3982),
    [anon_sym_BSLASHdc] = ACTIONS(3984),
    [anon_sym_BSLASHk] = ACTIONS(3986),
    [anon_sym_BSLASHnd] = ACTIONS(3988),
    [anon_sym_BSLASHord] = ACTIONS(3990),
    [anon_sym_BSLASHpn] = ACTIONS(3992),
    [anon_sym_BSLASHpng] = ACTIONS(3994),
    [anon_sym_BSLASHaddpn] = ACTIONS(3996),
    [anon_sym_BSLASHqt] = ACTIONS(3998),
    [anon_sym_BSLASHsig] = ACTIONS(4000),
    [anon_sym_BSLASHsls] = ACTIONS(4002),
    [anon_sym_BSLASHtl] = ACTIONS(4004),
    [anon_sym_BSLASHwj] = ACTIONS(4006),
    [anon_sym_BSLASHem] = ACTIONS(4008),
    [anon_sym_BSLASHbd] = ACTIONS(4010),
    [anon_sym_BSLASHit] = ACTIONS(4012),
    [anon_sym_BSLASHbdit] = ACTIONS(4014),
    [anon_sym_BSLASHno] = ACTIONS(4016),
    [anon_sym_BSLASHsc] = ACTIONS(4018),
    [anon_sym_BSLASHsup] = ACTIONS(4020),
    [anon_sym_BSLASHndx] = ACTIONS(4022),
    [anon_sym_BSLASHpro] = ACTIONS(4024),
    [anon_sym_BSLASHrb] = ACTIONS(4026),
    [anon_sym_BSLASHw] = ACTIONS(4028),
    [anon_sym_BSLASHwg] = ACTIONS(4030),
    [anon_sym_BSLASHwh] = ACTIONS(4032),
    [anon_sym_BSLASHwa] = ACTIONS(4034),
    [anon_sym_BSLASHfig] = ACTIONS(4036),
    [anon_sym_BSLASHjmp] = ACTIONS(4038),
  },
  [725] = {
    [sym_text] = STATE(323),
    [sym_ref] = STATE(1238),
    [sym_verseText] = STATE(1238),
    [sym__tableText] = STATE(1238),
    [sym_footnote] = STATE(1238),
    [sym_f] = STATE(1224),
    [sym_fe] = STATE(1224),
    [sym_ef] = STATE(1224),
    [sym_fm] = STATE(1224),
    [sym_crossref] = STATE(1238),
    [sym_x] = STATE(1235),
    [sym_xt_standalone] = STATE(1235),
    [sym_rq] = STATE(1235),
    [sym_add] = STATE(323),
    [sym_bk] = STATE(323),
    [sym_dc] = STATE(323),
    [sym_k] = STATE(323),
    [sym_nd] = STATE(323),
    [sym_ord] = STATE(323),
    [sym_pn] = STATE(323),
    [sym_png] = STATE(323),
    [sym_addpn] = STATE(323),
    [sym_qt] = STATE(323),
    [sym_sig] = STATE(323),
    [sym_sls] = STATE(323),
    [sym_tl] = STATE(323),
    [sym_wj] = STATE(323),
    [sym_em] = STATE(323),
    [sym_bd] = STATE(323),
    [sym_it] = STATE(323),
    [sym_bdit] = STATE(323),
    [sym_no] = STATE(323),
    [sym_sc] = STATE(323),
    [sym_sup] = STATE(323),
    [sym_ndx] = STATE(323),
    [sym_pro] = STATE(323),
    [sym_rb] = STATE(323),
    [sym_w] = STATE(323),
    [sym_wg] = STATE(323),
    [sym_wh] = STATE(323),
    [sym_wa] = STATE(323),
    [sym__characterMarker] = STATE(323),
    [sym_fig] = STATE(323),
    [sym_jmp] = STATE(323),
    [aux_sym_verseText_repeat1] = STATE(323),
    [aux_sym_text_token1] = ACTIONS(3978),
    [anon_sym_BSLASHref] = ACTIONS(5796),
    [anon_sym_BSLASHf] = ACTIONS(5798),
    [anon_sym_BSLASHfe] = ACTIONS(5800),
    [anon_sym_BSLASHef] = ACTIONS(5802),
    [anon_sym_BSLASHfm] = ACTIONS(5804),
    [anon_sym_BSLASHx] = ACTIONS(5806),
    [anon_sym_BSLASHxt] = ACTIONS(5808),
    [anon_sym_BSLASHrq] = ACTIONS(5810),
    [anon_sym_BSLASHadd] = ACTIONS(3980),
    [anon_sym_BSLASHbk] = ACTIONS(3982),
    [anon_sym_BSLASHdc] = ACTIONS(3984),
    [anon_sym_BSLASHk] = ACTIONS(3986),
    [anon_sym_BSLASHnd] = ACTIONS(3988),
    [anon_sym_BSLASHord] = ACTIONS(3990),
    [anon_sym_BSLASHpn] = ACTIONS(3992),
    [anon_sym_BSLASHpng] = ACTIONS(3994),
    [anon_sym_BSLASHaddpn] = ACTIONS(3996),
    [anon_sym_BSLASHqt] = ACTIONS(3998),
    [anon_sym_BSLASHsig] = ACTIONS(4000),
    [anon_sym_BSLASHsls] = ACTIONS(4002),
    [anon_sym_BSLASHtl] = ACTIONS(4004),
    [anon_sym_BSLASHwj] = ACTIONS(4006),
    [anon_sym_BSLASHem] = ACTIONS(4008),
    [anon_sym_BSLASHbd] = ACTIONS(4010),
    [anon_sym_BSLASHit] = ACTIONS(4012),
    [anon_sym_BSLASHbdit] = ACTIONS(4014),
    [anon_sym_BSLASHno] = ACTIONS(4016),
    [anon_sym_BSLASHsc] = ACTIONS(4018),
    [anon_sym_BSLASHsup] = ACTIONS(4020),
    [anon_sym_BSLASHndx] = ACTIONS(4022),
    [anon_sym_BSLASHpro] = ACTIONS(4024),
    [anon_sym_BSLASHrb] = ACTIONS(4026),
    [anon_sym_BSLASHw] = ACTIONS(4028),
    [anon_sym_BSLASHwg] = ACTIONS(4030),
    [anon_sym_BSLASHwh] = ACTIONS(4032),
    [anon_sym_BSLASHwa] = ACTIONS(4034),
    [anon_sym_BSLASHfig] = ACTIONS(4036),
    [anon_sym_BSLASHjmp] = ACTIONS(4038),
  },
  [726] = {
    [sym_text] = STATE(323),
    [sym_ref] = STATE(1239),
    [sym_verseText] = STATE(1239),
    [sym__tableText] = STATE(1239),
    [sym_footnote] = STATE(1239),
    [sym_f] = STATE(1224),
    [sym_fe] = STATE(1224),
    [sym_ef] = STATE(1224),
    [sym_fm] = STATE(1224),
    [sym_crossref] = STATE(1239),
    [sym_x] = STATE(1235),
    [sym_xt_standalone] = STATE(1235),
    [sym_rq] = STATE(1235),
    [sym_add] = STATE(323),
    [sym_bk] = STATE(323),
    [sym_dc] = STATE(323),
    [sym_k] = STATE(323),
    [sym_nd] = STATE(323),
    [sym_ord] = STATE(323),
    [sym_pn] = STATE(323),
    [sym_png] = STATE(323),
    [sym_addpn] = STATE(323),
    [sym_qt] = STATE(323),
    [sym_sig] = STATE(323),
    [sym_sls] = STATE(323),
    [sym_tl] = STATE(323),
    [sym_wj] = STATE(323),
    [sym_em] = STATE(323),
    [sym_bd] = STATE(323),
    [sym_it] = STATE(323),
    [sym_bdit] = STATE(323),
    [sym_no] = STATE(323),
    [sym_sc] = STATE(323),
    [sym_sup] = STATE(323),
    [sym_ndx] = STATE(323),
    [sym_pro] = STATE(323),
    [sym_rb] = STATE(323),
    [sym_w] = STATE(323),
    [sym_wg] = STATE(323),
    [sym_wh] = STATE(323),
    [sym_wa] = STATE(323),
    [sym__characterMarker] = STATE(323),
    [sym_fig] = STATE(323),
    [sym_jmp] = STATE(323),
    [aux_sym_verseText_repeat1] = STATE(323),
    [aux_sym_text_token1] = ACTIONS(3978),
    [anon_sym_BSLASHref] = ACTIONS(5796),
    [anon_sym_BSLASHf] = ACTIONS(5798),
    [anon_sym_BSLASHfe] = ACTIONS(5800),
    [anon_sym_BSLASHef] = ACTIONS(5802),
    [anon_sym_BSLASHfm] = ACTIONS(5804),
    [anon_sym_BSLASHx] = ACTIONS(5806),
    [anon_sym_BSLASHxt] = ACTIONS(5808),
    [anon_sym_BSLASHrq] = ACTIONS(5810),
    [anon_sym_BSLASHadd] = ACTIONS(3980),
    [anon_sym_BSLASHbk] = ACTIONS(3982),
    [anon_sym_BSLASHdc] = ACTIONS(3984),
    [anon_sym_BSLASHk] = ACTIONS(3986),
    [anon_sym_BSLASHnd] = ACTIONS(3988),
    [anon_sym_BSLASHord] = ACTIONS(3990),
    [anon_sym_BSLASHpn] = ACTIONS(3992),
    [anon_sym_BSLASHpng] = ACTIONS(3994),
    [anon_sym_BSLASHaddpn] = ACTIONS(3996),
    [anon_sym_BSLASHqt] = ACTIONS(3998),
    [anon_sym_BSLASHsig] = ACTIONS(4000),
    [anon_sym_BSLASHsls] = ACTIONS(4002),
    [anon_sym_BSLASHtl] = ACTIONS(4004),
    [anon_sym_BSLASHwj] = ACTIONS(4006),
    [anon_sym_BSLASHem] = ACTIONS(4008),
    [anon_sym_BSLASHbd] = ACTIONS(4010),
    [anon_sym_BSLASHit] = ACTIONS(4012),
    [anon_sym_BSLASHbdit] = ACTIONS(4014),
    [anon_sym_BSLASHno] = ACTIONS(4016),
    [anon_sym_BSLASHsc] = ACTIONS(4018),
    [anon_sym_BSLASHsup] = ACTIONS(4020),
    [anon_sym_BSLASHndx] = ACTIONS(4022),
    [anon_sym_BSLASHpro] = ACTIONS(4024),
    [anon_sym_BSLASHrb] = ACTIONS(4026),
    [anon_sym_BSLASHw] = ACTIONS(4028),
    [anon_sym_BSLASHwg] = ACTIONS(4030),
    [anon_sym_BSLASHwh] = ACTIONS(4032),
    [anon_sym_BSLASHwa] = ACTIONS(4034),
    [anon_sym_BSLASHfig] = ACTIONS(4036),
    [anon_sym_BSLASHjmp] = ACTIONS(4038),
  },
  [727] = {
    [sym_text] = STATE(323),
    [sym_ref] = STATE(1242),
    [sym_verseText] = STATE(1242),
    [sym__tableText] = STATE(1242),
    [sym_footnote] = STATE(1242),
    [sym_f] = STATE(1224),
    [sym_fe] = STATE(1224),
    [sym_ef] = STATE(1224),
    [sym_fm] = STATE(1224),
    [sym_crossref] = STATE(1242),
    [sym_x] = STATE(1235),
    [sym_xt_standalone] = STATE(1235),
    [sym_rq] = STATE(1235),
    [sym_add] = STATE(323),
    [sym_bk] = STATE(323),
    [sym_dc] = STATE(323),
    [sym_k] = STATE(323),
    [sym_nd] = STATE(323),
    [sym_ord] = STATE(323),
    [sym_pn] = STATE(323),
    [sym_png] = STATE(323),
    [sym_addpn] = STATE(323),
    [sym_qt] = STATE(323),
    [sym_sig] = STATE(323),
    [sym_sls] = STATE(323),
    [sym_tl] = STATE(323),
    [sym_wj] = STATE(323),
    [sym_em] = STATE(323),
    [sym_bd] = STATE(323),
    [sym_it] = STATE(323),
    [sym_bdit] = STATE(323),
    [sym_no] = STATE(323),
    [sym_sc] = STATE(323),
    [sym_sup] = STATE(323),
    [sym_ndx] = STATE(323),
    [sym_pro] = STATE(323),
    [sym_rb] = STATE(323),
    [sym_w] = STATE(323),
    [sym_wg] = STATE(323),
    [sym_wh] = STATE(323),
    [sym_wa] = STATE(323),
    [sym__characterMarker] = STATE(323),
    [sym_fig] = STATE(323),
    [sym_jmp] = STATE(323),
    [aux_sym_verseText_repeat1] = STATE(323),
    [aux_sym_text_token1] = ACTIONS(3978),
    [anon_sym_BSLASHref] = ACTIONS(5796),
    [anon_sym_BSLASHf] = ACTIONS(5798),
    [anon_sym_BSLASHfe] = ACTIONS(5800),
    [anon_sym_BSLASHef] = ACTIONS(5802),
    [anon_sym_BSLASHfm] = ACTIONS(5804),
    [anon_sym_BSLASHx] = ACTIONS(5806),
    [anon_sym_BSLASHxt] = ACTIONS(5808),
    [anon_sym_BSLASHrq] = ACTIONS(5810),
    [anon_sym_BSLASHadd] = ACTIONS(3980),
    [anon_sym_BSLASHbk] = ACTIONS(3982),
    [anon_sym_BSLASHdc] = ACTIONS(3984),
    [anon_sym_BSLASHk] = ACTIONS(3986),
    [anon_sym_BSLASHnd] = ACTIONS(3988),
    [anon_sym_BSLASHord] = ACTIONS(3990),
    [anon_sym_BSLASHpn] = ACTIONS(3992),
    [anon_sym_BSLASHpng] = ACTIONS(3994),
    [anon_sym_BSLASHaddpn] = ACTIONS(3996),
    [anon_sym_BSLASHqt] = ACTIONS(3998),
    [anon_sym_BSLASHsig] = ACTIONS(4000),
    [anon_sym_BSLASHsls] = ACTIONS(4002),
    [anon_sym_BSLASHtl] = ACTIONS(4004),
    [anon_sym_BSLASHwj] = ACTIONS(4006),
    [anon_sym_BSLASHem] = ACTIONS(4008),
    [anon_sym_BSLASHbd] = ACTIONS(4010),
    [anon_sym_BSLASHit] = ACTIONS(4012),
    [anon_sym_BSLASHbdit] = ACTIONS(4014),
    [anon_sym_BSLASHno] = ACTIONS(4016),
    [anon_sym_BSLASHsc] = ACTIONS(4018),
    [anon_sym_BSLASHsup] = ACTIONS(4020),
    [anon_sym_BSLASHndx] = ACTIONS(4022),
    [anon_sym_BSLASHpro] = ACTIONS(4024),
    [anon_sym_BSLASHrb] = ACTIONS(4026),
    [anon_sym_BSLASHw] = ACTIONS(4028),
    [anon_sym_BSLASHwg] = ACTIONS(4030),
    [anon_sym_BSLASHwh] = ACTIONS(4032),
    [anon_sym_BSLASHwa] = ACTIONS(4034),
    [anon_sym_BSLASHfig] = ACTIONS(4036),
    [anon_sym_BSLASHjmp] = ACTIONS(4038),
  },
  [728] = {
    [sym_text] = STATE(338),
    [sym_ref] = STATE(1242),
    [sym_verseText] = STATE(1242),
    [sym__tableText] = STATE(1242),
    [sym_footnote] = STATE(1242),
    [sym_f] = STATE(1224),
    [sym_fe] = STATE(1224),
    [sym_ef] = STATE(1224),
    [sym_fm] = STATE(1224),
    [sym_crossref] = STATE(1242),
    [sym_x] = STATE(1235),
    [sym_xt_standalone] = STATE(1235),
    [sym_rq] = STATE(1235),
    [sym_add] = STATE(338),
    [sym_bk] = STATE(338),
    [sym_dc] = STATE(338),
    [sym_k] = STATE(338),
    [sym_nd] = STATE(338),
    [sym_ord] = STATE(338),
    [sym_pn] = STATE(338),
    [sym_png] = STATE(338),
    [sym_addpn] = STATE(338),
    [sym_qt] = STATE(338),
    [sym_sig] = STATE(338),
    [sym_sls] = STATE(338),
    [sym_tl] = STATE(338),
    [sym_wj] = STATE(338),
    [sym_em] = STATE(338),
    [sym_bd] = STATE(338),
    [sym_it] = STATE(338),
    [sym_bdit] = STATE(338),
    [sym_no] = STATE(338),
    [sym_sc] = STATE(338),
    [sym_sup] = STATE(338),
    [sym_ndx] = STATE(338),
    [sym_pro] = STATE(338),
    [sym_rb] = STATE(338),
    [sym_w] = STATE(338),
    [sym_wg] = STATE(338),
    [sym_wh] = STATE(338),
    [sym_wa] = STATE(338),
    [sym__characterMarker] = STATE(338),
    [sym_fig] = STATE(338),
    [sym_jmp] = STATE(338),
    [aux_sym_verseText_repeat1] = STATE(338),
    [aux_sym_text_token1] = ACTIONS(4755),
    [anon_sym_BSLASHref] = ACTIONS(5796),
    [anon_sym_BSLASHf] = ACTIONS(5798),
    [anon_sym_BSLASHfe] = ACTIONS(5800),
    [anon_sym_BSLASHef] = ACTIONS(5802),
    [anon_sym_BSLASHfm] = ACTIONS(5804),
    [anon_sym_BSLASHx] = ACTIONS(5806),
    [anon_sym_BSLASHxt] = ACTIONS(5808),
    [anon_sym_BSLASHrq] = ACTIONS(5810),
    [anon_sym_BSLASHadd] = ACTIONS(4757),
    [anon_sym_BSLASHbk] = ACTIONS(4759),
    [anon_sym_BSLASHdc] = ACTIONS(4761),
    [anon_sym_BSLASHk] = ACTIONS(4763),
    [anon_sym_BSLASHnd] = ACTIONS(4765),
    [anon_sym_BSLASHord] = ACTIONS(4767),
    [anon_sym_BSLASHpn] = ACTIONS(4769),
    [anon_sym_BSLASHpng] = ACTIONS(4771),
    [anon_sym_BSLASHaddpn] = ACTIONS(4773),
    [anon_sym_BSLASHqt] = ACTIONS(4775),
    [anon_sym_BSLASHsig] = ACTIONS(4777),
    [anon_sym_BSLASHsls] = ACTIONS(4779),
    [anon_sym_BSLASHtl] = ACTIONS(4781),
    [anon_sym_BSLASHwj] = ACTIONS(4783),
    [anon_sym_BSLASHem] = ACTIONS(4785),
    [anon_sym_BSLASHbd] = ACTIONS(4787),
    [anon_sym_BSLASHit] = ACTIONS(4789),
    [anon_sym_BSLASHbdit] = ACTIONS(4791),
    [anon_sym_BSLASHno] = ACTIONS(4793),
    [anon_sym_BSLASHsc] = ACTIONS(4795),
    [anon_sym_BSLASHsup] = ACTIONS(4797),
    [anon_sym_BSLASHndx] = ACTIONS(4799),
    [anon_sym_BSLASHpro] = ACTIONS(4801),
    [anon_sym_BSLASHrb] = ACTIONS(4803),
    [anon_sym_BSLASHw] = ACTIONS(4805),
    [anon_sym_BSLASHwg] = ACTIONS(4807),
    [anon_sym_BSLASHwh] = ACTIONS(4809),
    [anon_sym_BSLASHwa] = ACTIONS(4811),
    [anon_sym_BSLASHfig] = ACTIONS(4813),
    [anon_sym_BSLASHjmp] = ACTIONS(4815),
  },
  [729] = {
    [sym_text] = STATE(338),
    [sym_ref] = STATE(1239),
    [sym_verseText] = STATE(1239),
    [sym__tableText] = STATE(1239),
    [sym_footnote] = STATE(1239),
    [sym_f] = STATE(1224),
    [sym_fe] = STATE(1224),
    [sym_ef] = STATE(1224),
    [sym_fm] = STATE(1224),
    [sym_crossref] = STATE(1239),
    [sym_x] = STATE(1235),
    [sym_xt_standalone] = STATE(1235),
    [sym_rq] = STATE(1235),
    [sym_add] = STATE(338),
    [sym_bk] = STATE(338),
    [sym_dc] = STATE(338),
    [sym_k] = STATE(338),
    [sym_nd] = STATE(338),
    [sym_ord] = STATE(338),
    [sym_pn] = STATE(338),
    [sym_png] = STATE(338),
    [sym_addpn] = STATE(338),
    [sym_qt] = STATE(338),
    [sym_sig] = STATE(338),
    [sym_sls] = STATE(338),
    [sym_tl] = STATE(338),
    [sym_wj] = STATE(338),
    [sym_em] = STATE(338),
    [sym_bd] = STATE(338),
    [sym_it] = STATE(338),
    [sym_bdit] = STATE(338),
    [sym_no] = STATE(338),
    [sym_sc] = STATE(338),
    [sym_sup] = STATE(338),
    [sym_ndx] = STATE(338),
    [sym_pro] = STATE(338),
    [sym_rb] = STATE(338),
    [sym_w] = STATE(338),
    [sym_wg] = STATE(338),
    [sym_wh] = STATE(338),
    [sym_wa] = STATE(338),
    [sym__characterMarker] = STATE(338),
    [sym_fig] = STATE(338),
    [sym_jmp] = STATE(338),
    [aux_sym_verseText_repeat1] = STATE(338),
    [aux_sym_text_token1] = ACTIONS(4755),
    [anon_sym_BSLASHref] = ACTIONS(5796),
    [anon_sym_BSLASHf] = ACTIONS(5798),
    [anon_sym_BSLASHfe] = ACTIONS(5800),
    [anon_sym_BSLASHef] = ACTIONS(5802),
    [anon_sym_BSLASHfm] = ACTIONS(5804),
    [anon_sym_BSLASHx] = ACTIONS(5806),
    [anon_sym_BSLASHxt] = ACTIONS(5808),
    [anon_sym_BSLASHrq] = ACTIONS(5810),
    [anon_sym_BSLASHadd] = ACTIONS(4757),
    [anon_sym_BSLASHbk] = ACTIONS(4759),
    [anon_sym_BSLASHdc] = ACTIONS(4761),
    [anon_sym_BSLASHk] = ACTIONS(4763),
    [anon_sym_BSLASHnd] = ACTIONS(4765),
    [anon_sym_BSLASHord] = ACTIONS(4767),
    [anon_sym_BSLASHpn] = ACTIONS(4769),
    [anon_sym_BSLASHpng] = ACTIONS(4771),
    [anon_sym_BSLASHaddpn] = ACTIONS(4773),
    [anon_sym_BSLASHqt] = ACTIONS(4775),
    [anon_sym_BSLASHsig] = ACTIONS(4777),
    [anon_sym_BSLASHsls] = ACTIONS(4779),
    [anon_sym_BSLASHtl] = ACTIONS(4781),
    [anon_sym_BSLASHwj] = ACTIONS(4783),
    [anon_sym_BSLASHem] = ACTIONS(4785),
    [anon_sym_BSLASHbd] = ACTIONS(4787),
    [anon_sym_BSLASHit] = ACTIONS(4789),
    [anon_sym_BSLASHbdit] = ACTIONS(4791),
    [anon_sym_BSLASHno] = ACTIONS(4793),
    [anon_sym_BSLASHsc] = ACTIONS(4795),
    [anon_sym_BSLASHsup] = ACTIONS(4797),
    [anon_sym_BSLASHndx] = ACTIONS(4799),
    [anon_sym_BSLASHpro] = ACTIONS(4801),
    [anon_sym_BSLASHrb] = ACTIONS(4803),
    [anon_sym_BSLASHw] = ACTIONS(4805),
    [anon_sym_BSLASHwg] = ACTIONS(4807),
    [anon_sym_BSLASHwh] = ACTIONS(4809),
    [anon_sym_BSLASHwa] = ACTIONS(4811),
    [anon_sym_BSLASHfig] = ACTIONS(4813),
    [anon_sym_BSLASHjmp] = ACTIONS(4815),
  },
  [730] = {
    [sym_text] = STATE(338),
    [sym_ref] = STATE(1238),
    [sym_verseText] = STATE(1238),
    [sym__tableText] = STATE(1238),
    [sym_footnote] = STATE(1238),
    [sym_f] = STATE(1224),
    [sym_fe] = STATE(1224),
    [sym_ef] = STATE(1224),
    [sym_fm] = STATE(1224),
    [sym_crossref] = STATE(1238),
    [sym_x] = STATE(1235),
    [sym_xt_standalone] = STATE(1235),
    [sym_rq] = STATE(1235),
    [sym_add] = STATE(338),
    [sym_bk] = STATE(338),
    [sym_dc] = STATE(338),
    [sym_k] = STATE(338),
    [sym_nd] = STATE(338),
    [sym_ord] = STATE(338),
    [sym_pn] = STATE(338),
    [sym_png] = STATE(338),
    [sym_addpn] = STATE(338),
    [sym_qt] = STATE(338),
    [sym_sig] = STATE(338),
    [sym_sls] = STATE(338),
    [sym_tl] = STATE(338),
    [sym_wj] = STATE(338),
    [sym_em] = STATE(338),
    [sym_bd] = STATE(338),
    [sym_it] = STATE(338),
    [sym_bdit] = STATE(338),
    [sym_no] = STATE(338),
    [sym_sc] = STATE(338),
    [sym_sup] = STATE(338),
    [sym_ndx] = STATE(338),
    [sym_pro] = STATE(338),
    [sym_rb] = STATE(338),
    [sym_w] = STATE(338),
    [sym_wg] = STATE(338),
    [sym_wh] = STATE(338),
    [sym_wa] = STATE(338),
    [sym__characterMarker] = STATE(338),
    [sym_fig] = STATE(338),
    [sym_jmp] = STATE(338),
    [aux_sym_verseText_repeat1] = STATE(338),
    [aux_sym_text_token1] = ACTIONS(4755),
    [anon_sym_BSLASHref] = ACTIONS(5796),
    [anon_sym_BSLASHf] = ACTIONS(5798),
    [anon_sym_BSLASHfe] = ACTIONS(5800),
    [anon_sym_BSLASHef] = ACTIONS(5802),
    [anon_sym_BSLASHfm] = ACTIONS(5804),
    [anon_sym_BSLASHx] = ACTIONS(5806),
    [anon_sym_BSLASHxt] = ACTIONS(5808),
    [anon_sym_BSLASHrq] = ACTIONS(5810),
    [anon_sym_BSLASHadd] = ACTIONS(4757),
    [anon_sym_BSLASHbk] = ACTIONS(4759),
    [anon_sym_BSLASHdc] = ACTIONS(4761),
    [anon_sym_BSLASHk] = ACTIONS(4763),
    [anon_sym_BSLASHnd] = ACTIONS(4765),
    [anon_sym_BSLASHord] = ACTIONS(4767),
    [anon_sym_BSLASHpn] = ACTIONS(4769),
    [anon_sym_BSLASHpng] = ACTIONS(4771),
    [anon_sym_BSLASHaddpn] = ACTIONS(4773),
    [anon_sym_BSLASHqt] = ACTIONS(4775),
    [anon_sym_BSLASHsig] = ACTIONS(4777),
    [anon_sym_BSLASHsls] = ACTIONS(4779),
    [anon_sym_BSLASHtl] = ACTIONS(4781),
    [anon_sym_BSLASHwj] = ACTIONS(4783),
    [anon_sym_BSLASHem] = ACTIONS(4785),
    [anon_sym_BSLASHbd] = ACTIONS(4787),
    [anon_sym_BSLASHit] = ACTIONS(4789),
    [anon_sym_BSLASHbdit] = ACTIONS(4791),
    [anon_sym_BSLASHno] = ACTIONS(4793),
    [anon_sym_BSLASHsc] = ACTIONS(4795),
    [anon_sym_BSLASHsup] = ACTIONS(4797),
    [anon_sym_BSLASHndx] = ACTIONS(4799),
    [anon_sym_BSLASHpro] = ACTIONS(4801),
    [anon_sym_BSLASHrb] = ACTIONS(4803),
    [anon_sym_BSLASHw] = ACTIONS(4805),
    [anon_sym_BSLASHwg] = ACTIONS(4807),
    [anon_sym_BSLASHwh] = ACTIONS(4809),
    [anon_sym_BSLASHwa] = ACTIONS(4811),
    [anon_sym_BSLASHfig] = ACTIONS(4813),
    [anon_sym_BSLASHjmp] = ACTIONS(4815),
  },
  [731] = {
    [sym_text] = STATE(338),
    [sym_ref] = STATE(1223),
    [sym_verseText] = STATE(1223),
    [sym__tableText] = STATE(1223),
    [sym_footnote] = STATE(1223),
    [sym_f] = STATE(1224),
    [sym_fe] = STATE(1224),
    [sym_ef] = STATE(1224),
    [sym_fm] = STATE(1224),
    [sym_crossref] = STATE(1223),
    [sym_x] = STATE(1235),
    [sym_xt_standalone] = STATE(1235),
    [sym_rq] = STATE(1235),
    [sym_add] = STATE(338),
    [sym_bk] = STATE(338),
    [sym_dc] = STATE(338),
    [sym_k] = STATE(338),
    [sym_nd] = STATE(338),
    [sym_ord] = STATE(338),
    [sym_pn] = STATE(338),
    [sym_png] = STATE(338),
    [sym_addpn] = STATE(338),
    [sym_qt] = STATE(338),
    [sym_sig] = STATE(338),
    [sym_sls] = STATE(338),
    [sym_tl] = STATE(338),
    [sym_wj] = STATE(338),
    [sym_em] = STATE(338),
    [sym_bd] = STATE(338),
    [sym_it] = STATE(338),
    [sym_bdit] = STATE(338),
    [sym_no] = STATE(338),
    [sym_sc] = STATE(338),
    [sym_sup] = STATE(338),
    [sym_ndx] = STATE(338),
    [sym_pro] = STATE(338),
    [sym_rb] = STATE(338),
    [sym_w] = STATE(338),
    [sym_wg] = STATE(338),
    [sym_wh] = STATE(338),
    [sym_wa] = STATE(338),
    [sym__characterMarker] = STATE(338),
    [sym_fig] = STATE(338),
    [sym_jmp] = STATE(338),
    [aux_sym_verseText_repeat1] = STATE(338),
    [aux_sym_text_token1] = ACTIONS(4755),
    [anon_sym_BSLASHref] = ACTIONS(5796),
    [anon_sym_BSLASHf] = ACTIONS(5798),
    [anon_sym_BSLASHfe] = ACTIONS(5800),
    [anon_sym_BSLASHef] = ACTIONS(5802),
    [anon_sym_BSLASHfm] = ACTIONS(5804),
    [anon_sym_BSLASHx] = ACTIONS(5806),
    [anon_sym_BSLASHxt] = ACTIONS(5808),
    [anon_sym_BSLASHrq] = ACTIONS(5810),
    [anon_sym_BSLASHadd] = ACTIONS(4757),
    [anon_sym_BSLASHbk] = ACTIONS(4759),
    [anon_sym_BSLASHdc] = ACTIONS(4761),
    [anon_sym_BSLASHk] = ACTIONS(4763),
    [anon_sym_BSLASHnd] = ACTIONS(4765),
    [anon_sym_BSLASHord] = ACTIONS(4767),
    [anon_sym_BSLASHpn] = ACTIONS(4769),
    [anon_sym_BSLASHpng] = ACTIONS(4771),
    [anon_sym_BSLASHaddpn] = ACTIONS(4773),
    [anon_sym_BSLASHqt] = ACTIONS(4775),
    [anon_sym_BSLASHsig] = ACTIONS(4777),
    [anon_sym_BSLASHsls] = ACTIONS(4779),
    [anon_sym_BSLASHtl] = ACTIONS(4781),
    [anon_sym_BSLASHwj] = ACTIONS(4783),
    [anon_sym_BSLASHem] = ACTIONS(4785),
    [anon_sym_BSLASHbd] = ACTIONS(4787),
    [anon_sym_BSLASHit] = ACTIONS(4789),
    [anon_sym_BSLASHbdit] = ACTIONS(4791),
    [anon_sym_BSLASHno] = ACTIONS(4793),
    [anon_sym_BSLASHsc] = ACTIONS(4795),
    [anon_sym_BSLASHsup] = ACTIONS(4797),
    [anon_sym_BSLASHndx] = ACTIONS(4799),
    [anon_sym_BSLASHpro] = ACTIONS(4801),
    [anon_sym_BSLASHrb] = ACTIONS(4803),
    [anon_sym_BSLASHw] = ACTIONS(4805),
    [anon_sym_BSLASHwg] = ACTIONS(4807),
    [anon_sym_BSLASHwh] = ACTIONS(4809),
    [anon_sym_BSLASHwa] = ACTIONS(4811),
    [anon_sym_BSLASHfig] = ACTIONS(4813),
    [anon_sym_BSLASHjmp] = ACTIONS(4815),
  },
  [732] = {
    [aux_sym_text_token1] = ACTIONS(5526),
    [anon_sym_BSLASHsts] = ACTIONS(5528),
    [anon_sym_BSLASHrem] = ACTIONS(5528),
    [anon_sym_BSLASHrestore] = ACTIONS(5528),
    [anon_sym_BSLASHlit] = ACTIONS(5528),
    [anon_sym_BSLASHip] = ACTIONS(5528),
    [anon_sym_BSLASHmte] = ACTIONS(5528),
    [anon_sym_BSLASHms] = ACTIONS(5528),
    [anon_sym_BSLASHs] = ACTIONS(5528),
    [anon_sym_BSLASHsr] = ACTIONS(5528),
    [anon_sym_BSLASHr] = ACTIONS(5528),
    [anon_sym_BSLASHsp] = ACTIONS(5528),
    [anon_sym_BSLASHd] = ACTIONS(5528),
    [anon_sym_BSLASHsd] = ACTIONS(5528),
    [anon_sym_BSLASHp] = ACTIONS(5528),
    [anon_sym_BSLASHm] = ACTIONS(5528),
    [anon_sym_BSLASHpo] = ACTIONS(5528),
    [anon_sym_BSLASHpr] = ACTIONS(5528),
    [anon_sym_BSLASHcls] = ACTIONS(5528),
    [anon_sym_BSLASHpmo] = ACTIONS(5528),
    [anon_sym_BSLASHpm] = ACTIONS(5528),
    [anon_sym_BSLASHpmc] = ACTIONS(5528),
    [anon_sym_BSLASHpmr] = ACTIONS(5528),
    [anon_sym_BSLASHpi] = ACTIONS(5528),
    [anon_sym_BSLASHmi] = ACTIONS(5528),
    [anon_sym_BSLASHnb] = ACTIONS(5528),
    [anon_sym_BSLASHpc] = ACTIONS(5528),
    [anon_sym_BSLASHph] = ACTIONS(5528),
    [anon_sym_BSLASHb] = ACTIONS(5528),
    [anon_sym_BSLASHq] = ACTIONS(5528),
    [anon_sym_BSLASHqr] = ACTIONS(5528),
    [anon_sym_BSLASHqc] = ACTIONS(5528),
    [anon_sym_BSLASHqa] = ACTIONS(5528),
    [anon_sym_BSLASHqm] = ACTIONS(5528),
    [anon_sym_BSLASHqd] = ACTIONS(5528),
    [anon_sym_BSLASHlh] = ACTIONS(5528),
    [anon_sym_BSLASHli] = ACTIONS(5528),
    [anon_sym_BSLASHlim] = ACTIONS(5528),
    [anon_sym_BSLASHtr] = ACTIONS(5528),
    [anon_sym_BSLASHf] = ACTIONS(5528),
    [anon_sym_BSLASHfe] = ACTIONS(5528),
    [anon_sym_BSLASHef] = ACTIONS(5528),
    [anon_sym_BSLASHfm] = ACTIONS(5528),
    [anon_sym_BSLASHx] = ACTIONS(5528),
    [anon_sym_BSLASHxt] = ACTIONS(5528),
    [anon_sym_BSLASHrq] = ACTIONS(5528),
    [anon_sym_BSLASHadd] = ACTIONS(5528),
    [anon_sym_BSLASHbk] = ACTIONS(5528),
    [anon_sym_BSLASHdc] = ACTIONS(5528),
    [anon_sym_BSLASHk] = ACTIONS(5528),
    [anon_sym_BSLASHnd] = ACTIONS(5528),
    [anon_sym_BSLASHord] = ACTIONS(5528),
    [anon_sym_BSLASHpn] = ACTIONS(5528),
    [anon_sym_BSLASHpng] = ACTIONS(5528),
    [anon_sym_BSLASHaddpn] = ACTIONS(5528),
    [anon_sym_BSLASHqt] = ACTIONS(5528),
    [anon_sym_BSLASHsig] = ACTIONS(5528),
    [anon_sym_BSLASHsls] = ACTIONS(5528),
    [anon_sym_BSLASHtl] = ACTIONS(5528),
    [anon_sym_BSLASHwj] = ACTIONS(5528),
    [anon_sym_BSLASHem] = ACTIONS(5528),
    [anon_sym_BSLASHbd] = ACTIONS(5528),
    [anon_sym_BSLASHit] = ACTIONS(5528),
    [anon_sym_BSLASHbdit] = ACTIONS(5528),
    [anon_sym_BSLASHno] = ACTIONS(5528),
    [anon_sym_BSLASHsc] = ACTIONS(5528),
    [anon_sym_BSLASHsup] = ACTIONS(5528),
    [anon_sym_BSLASHndx] = ACTIONS(5528),
    [anon_sym_BSLASHpro] = ACTIONS(5528),
    [anon_sym_BSLASHrb] = ACTIONS(5528),
    [anon_sym_BSLASHw] = ACTIONS(5528),
    [anon_sym_BSLASHwg] = ACTIONS(5528),
    [anon_sym_BSLASHwh] = ACTIONS(5528),
    [anon_sym_BSLASHwa] = ACTIONS(5528),
    [anon_sym_BSLASHfig] = ACTIONS(5528),
    [anon_sym_BSLASHjmp] = ACTIONS(5528),
    [anon_sym_BSLASHpb] = ACTIONS(5528),
    [anon_sym_BSLASH] = ACTIONS(5528),
    [sym_milestoneStartTag] = ACTIONS(5528),
    [sym_milestoneEndTag] = ACTIONS(5528),
    [sym_zSpaceTag] = ACTIONS(5528),
    [anon_sym_BSLASHesbe] = ACTIONS(5528),
    [anon_sym_BSLASHcat] = ACTIONS(5528),
  },
  [733] = {
    [aux_sym_text_token1] = ACTIONS(2671),
    [anon_sym_BSLASHsts] = ACTIONS(2673),
    [anon_sym_BSLASHrem] = ACTIONS(2673),
    [anon_sym_BSLASHrestore] = ACTIONS(2673),
    [anon_sym_BSLASHlit] = ACTIONS(2673),
    [anon_sym_BSLASHip] = ACTIONS(2673),
    [anon_sym_BSLASHmte] = ACTIONS(2673),
    [anon_sym_BSLASHms] = ACTIONS(2673),
    [anon_sym_BSLASHs] = ACTIONS(2673),
    [anon_sym_BSLASHr] = ACTIONS(2673),
    [anon_sym_BSLASHsp] = ACTIONS(2673),
    [anon_sym_BSLASHd] = ACTIONS(2673),
    [anon_sym_BSLASHsd] = ACTIONS(2673),
    [anon_sym_BSLASHp] = ACTIONS(2673),
    [anon_sym_BSLASHm] = ACTIONS(2673),
    [anon_sym_BSLASHpo] = ACTIONS(2673),
    [anon_sym_BSLASHpr] = ACTIONS(2673),
    [anon_sym_BSLASHcls] = ACTIONS(2673),
    [anon_sym_BSLASHpmo] = ACTIONS(2673),
    [anon_sym_BSLASHpm] = ACTIONS(2673),
    [anon_sym_BSLASHpmc] = ACTIONS(2673),
    [anon_sym_BSLASHpmr] = ACTIONS(2673),
    [anon_sym_BSLASHpi] = ACTIONS(2673),
    [anon_sym_BSLASHmi] = ACTIONS(2673),
    [anon_sym_BSLASHnb] = ACTIONS(2673),
    [anon_sym_BSLASHpc] = ACTIONS(2673),
    [anon_sym_BSLASHph] = ACTIONS(2673),
    [anon_sym_BSLASHb] = ACTIONS(2673),
    [anon_sym_BSLASHq] = ACTIONS(2673),
    [anon_sym_BSLASHqr] = ACTIONS(2673),
    [anon_sym_BSLASHqc] = ACTIONS(2673),
    [anon_sym_BSLASHqa] = ACTIONS(2673),
    [anon_sym_BSLASHqm] = ACTIONS(2673),
    [anon_sym_BSLASHqd] = ACTIONS(2673),
    [anon_sym_BSLASHlh] = ACTIONS(2673),
    [anon_sym_BSLASHli] = ACTIONS(2673),
    [anon_sym_BSLASHlim] = ACTIONS(2673),
    [anon_sym_BSLASHtr] = ACTIONS(2673),
    [sym_thTag] = ACTIONS(2673),
    [sym_thrTag] = ACTIONS(2673),
    [sym_tcTag] = ACTIONS(2673),
    [sym_tcrTag] = ACTIONS(2673),
    [anon_sym_BSLASHf] = ACTIONS(2673),
    [anon_sym_BSLASHfe] = ACTIONS(2673),
    [anon_sym_BSLASHef] = ACTIONS(2673),
    [anon_sym_BSLASHfm] = ACTIONS(2673),
    [anon_sym_BSLASHadd] = ACTIONS(2673),
    [anon_sym_BSLASHbk] = ACTIONS(2673),
    [anon_sym_BSLASHdc] = ACTIONS(2673),
    [anon_sym_BSLASHk] = ACTIONS(2673),
    [anon_sym_BSLASHnd] = ACTIONS(2673),
    [anon_sym_BSLASHord] = ACTIONS(2673),
    [anon_sym_BSLASHpn] = ACTIONS(2673),
    [anon_sym_BSLASHpng] = ACTIONS(2673),
    [anon_sym_BSLASHaddpn] = ACTIONS(2673),
    [anon_sym_BSLASHqt] = ACTIONS(2673),
    [anon_sym_BSLASHsig] = ACTIONS(2673),
    [anon_sym_BSLASHsls] = ACTIONS(2673),
    [anon_sym_BSLASHtl] = ACTIONS(2673),
    [anon_sym_BSLASHwj] = ACTIONS(2673),
    [anon_sym_BSLASHem] = ACTIONS(2673),
    [anon_sym_BSLASHbd] = ACTIONS(2673),
    [anon_sym_BSLASHit] = ACTIONS(2673),
    [anon_sym_BSLASHbdit] = ACTIONS(2673),
    [anon_sym_BSLASHno] = ACTIONS(2673),
    [anon_sym_BSLASHsc] = ACTIONS(2673),
    [anon_sym_BSLASHsup] = ACTIONS(2673),
    [anon_sym_BSLASHndx] = ACTIONS(2673),
    [anon_sym_BSLASHpro] = ACTIONS(2673),
    [anon_sym_BSLASHrb] = ACTIONS(2673),
    [anon_sym_BSLASHw] = ACTIONS(2673),
    [anon_sym_BSLASHwg] = ACTIONS(2673),
    [anon_sym_BSLASHwh] = ACTIONS(2673),
    [anon_sym_BSLASHwa] = ACTIONS(2673),
    [anon_sym_BSLASHfig] = ACTIONS(2673),
    [anon_sym_BSLASHjmp] = ACTIONS(2673),
    [anon_sym_BSLASHpb] = ACTIONS(2673),
    [anon_sym_BSLASH] = ACTIONS(2673),
    [sym_milestoneStartTag] = ACTIONS(2673),
    [sym_milestoneEndTag] = ACTIONS(2673),
    [sym_zSpaceTag] = ACTIONS(2673),
    [anon_sym_BSLASHesbe] = ACTIONS(2673),
    [anon_sym_BSLASHcat] = ACTIONS(2673),
  },
  [734] = {
    [aux_sym_text_token1] = ACTIONS(2763),
    [anon_sym_BSLASHsts] = ACTIONS(2765),
    [anon_sym_BSLASHrem] = ACTIONS(2765),
    [anon_sym_BSLASHrestore] = ACTIONS(2765),
    [anon_sym_BSLASHlit] = ACTIONS(2765),
    [anon_sym_BSLASHip] = ACTIONS(2765),
    [anon_sym_BSLASHmte] = ACTIONS(2765),
    [anon_sym_BSLASHms] = ACTIONS(2765),
    [anon_sym_BSLASHs] = ACTIONS(2765),
    [anon_sym_BSLASHr] = ACTIONS(2765),
    [anon_sym_BSLASHsp] = ACTIONS(2765),
    [anon_sym_BSLASHd] = ACTIONS(2765),
    [anon_sym_BSLASHsd] = ACTIONS(2765),
    [anon_sym_BSLASHp] = ACTIONS(2765),
    [anon_sym_BSLASHm] = ACTIONS(2765),
    [anon_sym_BSLASHpo] = ACTIONS(2765),
    [anon_sym_BSLASHpr] = ACTIONS(2765),
    [anon_sym_BSLASHcls] = ACTIONS(2765),
    [anon_sym_BSLASHpmo] = ACTIONS(2765),
    [anon_sym_BSLASHpm] = ACTIONS(2765),
    [anon_sym_BSLASHpmc] = ACTIONS(2765),
    [anon_sym_BSLASHpmr] = ACTIONS(2765),
    [anon_sym_BSLASHpi] = ACTIONS(2765),
    [anon_sym_BSLASHmi] = ACTIONS(2765),
    [anon_sym_BSLASHnb] = ACTIONS(2765),
    [anon_sym_BSLASHpc] = ACTIONS(2765),
    [anon_sym_BSLASHph] = ACTIONS(2765),
    [anon_sym_BSLASHb] = ACTIONS(2765),
    [anon_sym_BSLASHq] = ACTIONS(2765),
    [anon_sym_BSLASHqr] = ACTIONS(2765),
    [anon_sym_BSLASHqc] = ACTIONS(2765),
    [anon_sym_BSLASHqa] = ACTIONS(2765),
    [anon_sym_BSLASHqm] = ACTIONS(2765),
    [anon_sym_BSLASHqd] = ACTIONS(2765),
    [anon_sym_BSLASHlh] = ACTIONS(2765),
    [anon_sym_BSLASHli] = ACTIONS(2765),
    [anon_sym_BSLASHlim] = ACTIONS(2765),
    [anon_sym_BSLASHtr] = ACTIONS(2765),
    [sym_thTag] = ACTIONS(2765),
    [sym_thrTag] = ACTIONS(2765),
    [sym_tcTag] = ACTIONS(2765),
    [sym_tcrTag] = ACTIONS(2765),
    [anon_sym_BSLASHf] = ACTIONS(2765),
    [anon_sym_BSLASHfe] = ACTIONS(2765),
    [anon_sym_BSLASHef] = ACTIONS(2765),
    [anon_sym_BSLASHfm] = ACTIONS(2765),
    [anon_sym_BSLASHadd] = ACTIONS(2765),
    [anon_sym_BSLASHbk] = ACTIONS(2765),
    [anon_sym_BSLASHdc] = ACTIONS(2765),
    [anon_sym_BSLASHk] = ACTIONS(2765),
    [anon_sym_BSLASHnd] = ACTIONS(2765),
    [anon_sym_BSLASHord] = ACTIONS(2765),
    [anon_sym_BSLASHpn] = ACTIONS(2765),
    [anon_sym_BSLASHpng] = ACTIONS(2765),
    [anon_sym_BSLASHaddpn] = ACTIONS(2765),
    [anon_sym_BSLASHqt] = ACTIONS(2765),
    [anon_sym_BSLASHsig] = ACTIONS(2765),
    [anon_sym_BSLASHsls] = ACTIONS(2765),
    [anon_sym_BSLASHtl] = ACTIONS(2765),
    [anon_sym_BSLASHwj] = ACTIONS(2765),
    [anon_sym_BSLASHem] = ACTIONS(2765),
    [anon_sym_BSLASHbd] = ACTIONS(2765),
    [anon_sym_BSLASHit] = ACTIONS(2765),
    [anon_sym_BSLASHbdit] = ACTIONS(2765),
    [anon_sym_BSLASHno] = ACTIONS(2765),
    [anon_sym_BSLASHsc] = ACTIONS(2765),
    [anon_sym_BSLASHsup] = ACTIONS(2765),
    [anon_sym_BSLASHndx] = ACTIONS(2765),
    [anon_sym_BSLASHpro] = ACTIONS(2765),
    [anon_sym_BSLASHrb] = ACTIONS(2765),
    [anon_sym_BSLASHw] = ACTIONS(2765),
    [anon_sym_BSLASHwg] = ACTIONS(2765),
    [anon_sym_BSLASHwh] = ACTIONS(2765),
    [anon_sym_BSLASHwa] = ACTIONS(2765),
    [anon_sym_BSLASHfig] = ACTIONS(2765),
    [anon_sym_BSLASHjmp] = ACTIONS(2765),
    [anon_sym_BSLASHpb] = ACTIONS(2765),
    [anon_sym_BSLASH] = ACTIONS(2765),
    [sym_milestoneStartTag] = ACTIONS(2765),
    [sym_milestoneEndTag] = ACTIONS(2765),
    [sym_zSpaceTag] = ACTIONS(2765),
    [anon_sym_BSLASHesbe] = ACTIONS(2765),
    [anon_sym_BSLASHcat] = ACTIONS(2765),
  },
  [735] = {
    [aux_sym_text_token1] = ACTIONS(2751),
    [anon_sym_BSLASHsts] = ACTIONS(2753),
    [anon_sym_BSLASHrem] = ACTIONS(2753),
    [anon_sym_BSLASHrestore] = ACTIONS(2753),
    [anon_sym_BSLASHlit] = ACTIONS(2753),
    [anon_sym_BSLASHip] = ACTIONS(2753),
    [anon_sym_BSLASHmte] = ACTIONS(2753),
    [anon_sym_BSLASHms] = ACTIONS(2753),
    [anon_sym_BSLASHs] = ACTIONS(2753),
    [anon_sym_BSLASHr] = ACTIONS(2753),
    [anon_sym_BSLASHsp] = ACTIONS(2753),
    [anon_sym_BSLASHd] = ACTIONS(2753),
    [anon_sym_BSLASHsd] = ACTIONS(2753),
    [anon_sym_BSLASHp] = ACTIONS(2753),
    [anon_sym_BSLASHm] = ACTIONS(2753),
    [anon_sym_BSLASHpo] = ACTIONS(2753),
    [anon_sym_BSLASHpr] = ACTIONS(2753),
    [anon_sym_BSLASHcls] = ACTIONS(2753),
    [anon_sym_BSLASHpmo] = ACTIONS(2753),
    [anon_sym_BSLASHpm] = ACTIONS(2753),
    [anon_sym_BSLASHpmc] = ACTIONS(2753),
    [anon_sym_BSLASHpmr] = ACTIONS(2753),
    [anon_sym_BSLASHpi] = ACTIONS(2753),
    [anon_sym_BSLASHmi] = ACTIONS(2753),
    [anon_sym_BSLASHnb] = ACTIONS(2753),
    [anon_sym_BSLASHpc] = ACTIONS(2753),
    [anon_sym_BSLASHph] = ACTIONS(2753),
    [anon_sym_BSLASHb] = ACTIONS(2753),
    [anon_sym_BSLASHq] = ACTIONS(2753),
    [anon_sym_BSLASHqr] = ACTIONS(2753),
    [anon_sym_BSLASHqc] = ACTIONS(2753),
    [anon_sym_BSLASHqa] = ACTIONS(2753),
    [anon_sym_BSLASHqm] = ACTIONS(2753),
    [anon_sym_BSLASHqd] = ACTIONS(2753),
    [anon_sym_BSLASHlh] = ACTIONS(2753),
    [anon_sym_BSLASHli] = ACTIONS(2753),
    [anon_sym_BSLASHlim] = ACTIONS(2753),
    [anon_sym_BSLASHtr] = ACTIONS(2753),
    [sym_thTag] = ACTIONS(2753),
    [sym_thrTag] = ACTIONS(2753),
    [sym_tcTag] = ACTIONS(2753),
    [sym_tcrTag] = ACTIONS(2753),
    [anon_sym_BSLASHf] = ACTIONS(2753),
    [anon_sym_BSLASHfe] = ACTIONS(2753),
    [anon_sym_BSLASHef] = ACTIONS(2753),
    [anon_sym_BSLASHfm] = ACTIONS(2753),
    [anon_sym_BSLASHadd] = ACTIONS(2753),
    [anon_sym_BSLASHbk] = ACTIONS(2753),
    [anon_sym_BSLASHdc] = ACTIONS(2753),
    [anon_sym_BSLASHk] = ACTIONS(2753),
    [anon_sym_BSLASHnd] = ACTIONS(2753),
    [anon_sym_BSLASHord] = ACTIONS(2753),
    [anon_sym_BSLASHpn] = ACTIONS(2753),
    [anon_sym_BSLASHpng] = ACTIONS(2753),
    [anon_sym_BSLASHaddpn] = ACTIONS(2753),
    [anon_sym_BSLASHqt] = ACTIONS(2753),
    [anon_sym_BSLASHsig] = ACTIONS(2753),
    [anon_sym_BSLASHsls] = ACTIONS(2753),
    [anon_sym_BSLASHtl] = ACTIONS(2753),
    [anon_sym_BSLASHwj] = ACTIONS(2753),
    [anon_sym_BSLASHem] = ACTIONS(2753),
    [anon_sym_BSLASHbd] = ACTIONS(2753),
    [anon_sym_BSLASHit] = ACTIONS(2753),
    [anon_sym_BSLASHbdit] = ACTIONS(2753),
    [anon_sym_BSLASHno] = ACTIONS(2753),
    [anon_sym_BSLASHsc] = ACTIONS(2753),
    [anon_sym_BSLASHsup] = ACTIONS(2753),
    [anon_sym_BSLASHndx] = ACTIONS(2753),
    [anon_sym_BSLASHpro] = ACTIONS(2753),
    [anon_sym_BSLASHrb] = ACTIONS(2753),
    [anon_sym_BSLASHw] = ACTIONS(2753),
    [anon_sym_BSLASHwg] = ACTIONS(2753),
    [anon_sym_BSLASHwh] = ACTIONS(2753),
    [anon_sym_BSLASHwa] = ACTIONS(2753),
    [anon_sym_BSLASHfig] = ACTIONS(2753),
    [anon_sym_BSLASHjmp] = ACTIONS(2753),
    [anon_sym_BSLASHpb] = ACTIONS(2753),
    [anon_sym_BSLASH] = ACTIONS(2753),
    [sym_milestoneStartTag] = ACTIONS(2753),
    [sym_milestoneEndTag] = ACTIONS(2753),
    [sym_zSpaceTag] = ACTIONS(2753),
    [anon_sym_BSLASHesbe] = ACTIONS(2753),
    [anon_sym_BSLASHcat] = ACTIONS(2753),
  },
  [736] = {
    [aux_sym_text_token1] = ACTIONS(2755),
    [anon_sym_BSLASHsts] = ACTIONS(2757),
    [anon_sym_BSLASHrem] = ACTIONS(2757),
    [anon_sym_BSLASHrestore] = ACTIONS(2757),
    [anon_sym_BSLASHlit] = ACTIONS(2757),
    [anon_sym_BSLASHip] = ACTIONS(2757),
    [anon_sym_BSLASHmte] = ACTIONS(2757),
    [anon_sym_BSLASHms] = ACTIONS(2757),
    [anon_sym_BSLASHs] = ACTIONS(2757),
    [anon_sym_BSLASHr] = ACTIONS(2757),
    [anon_sym_BSLASHsp] = ACTIONS(2757),
    [anon_sym_BSLASHd] = ACTIONS(2757),
    [anon_sym_BSLASHsd] = ACTIONS(2757),
    [anon_sym_BSLASHp] = ACTIONS(2757),
    [anon_sym_BSLASHm] = ACTIONS(2757),
    [anon_sym_BSLASHpo] = ACTIONS(2757),
    [anon_sym_BSLASHpr] = ACTIONS(2757),
    [anon_sym_BSLASHcls] = ACTIONS(2757),
    [anon_sym_BSLASHpmo] = ACTIONS(2757),
    [anon_sym_BSLASHpm] = ACTIONS(2757),
    [anon_sym_BSLASHpmc] = ACTIONS(2757),
    [anon_sym_BSLASHpmr] = ACTIONS(2757),
    [anon_sym_BSLASHpi] = ACTIONS(2757),
    [anon_sym_BSLASHmi] = ACTIONS(2757),
    [anon_sym_BSLASHnb] = ACTIONS(2757),
    [anon_sym_BSLASHpc] = ACTIONS(2757),
    [anon_sym_BSLASHph] = ACTIONS(2757),
    [anon_sym_BSLASHb] = ACTIONS(2757),
    [anon_sym_BSLASHq] = ACTIONS(2757),
    [anon_sym_BSLASHqr] = ACTIONS(2757),
    [anon_sym_BSLASHqc] = ACTIONS(2757),
    [anon_sym_BSLASHqa] = ACTIONS(2757),
    [anon_sym_BSLASHqm] = ACTIONS(2757),
    [anon_sym_BSLASHqd] = ACTIONS(2757),
    [anon_sym_BSLASHlh] = ACTIONS(2757),
    [anon_sym_BSLASHli] = ACTIONS(2757),
    [anon_sym_BSLASHlim] = ACTIONS(2757),
    [anon_sym_BSLASHtr] = ACTIONS(2757),
    [sym_thTag] = ACTIONS(2757),
    [sym_thrTag] = ACTIONS(2757),
    [sym_tcTag] = ACTIONS(2757),
    [sym_tcrTag] = ACTIONS(2757),
    [anon_sym_BSLASHf] = ACTIONS(2757),
    [anon_sym_BSLASHfe] = ACTIONS(2757),
    [anon_sym_BSLASHef] = ACTIONS(2757),
    [anon_sym_BSLASHfm] = ACTIONS(2757),
    [anon_sym_BSLASHadd] = ACTIONS(2757),
    [anon_sym_BSLASHbk] = ACTIONS(2757),
    [anon_sym_BSLASHdc] = ACTIONS(2757),
    [anon_sym_BSLASHk] = ACTIONS(2757),
    [anon_sym_BSLASHnd] = ACTIONS(2757),
    [anon_sym_BSLASHord] = ACTIONS(2757),
    [anon_sym_BSLASHpn] = ACTIONS(2757),
    [anon_sym_BSLASHpng] = ACTIONS(2757),
    [anon_sym_BSLASHaddpn] = ACTIONS(2757),
    [anon_sym_BSLASHqt] = ACTIONS(2757),
    [anon_sym_BSLASHsig] = ACTIONS(2757),
    [anon_sym_BSLASHsls] = ACTIONS(2757),
    [anon_sym_BSLASHtl] = ACTIONS(2757),
    [anon_sym_BSLASHwj] = ACTIONS(2757),
    [anon_sym_BSLASHem] = ACTIONS(2757),
    [anon_sym_BSLASHbd] = ACTIONS(2757),
    [anon_sym_BSLASHit] = ACTIONS(2757),
    [anon_sym_BSLASHbdit] = ACTIONS(2757),
    [anon_sym_BSLASHno] = ACTIONS(2757),
    [anon_sym_BSLASHsc] = ACTIONS(2757),
    [anon_sym_BSLASHsup] = ACTIONS(2757),
    [anon_sym_BSLASHndx] = ACTIONS(2757),
    [anon_sym_BSLASHpro] = ACTIONS(2757),
    [anon_sym_BSLASHrb] = ACTIONS(2757),
    [anon_sym_BSLASHw] = ACTIONS(2757),
    [anon_sym_BSLASHwg] = ACTIONS(2757),
    [anon_sym_BSLASHwh] = ACTIONS(2757),
    [anon_sym_BSLASHwa] = ACTIONS(2757),
    [anon_sym_BSLASHfig] = ACTIONS(2757),
    [anon_sym_BSLASHjmp] = ACTIONS(2757),
    [anon_sym_BSLASHpb] = ACTIONS(2757),
    [anon_sym_BSLASH] = ACTIONS(2757),
    [sym_milestoneStartTag] = ACTIONS(2757),
    [sym_milestoneEndTag] = ACTIONS(2757),
    [sym_zSpaceTag] = ACTIONS(2757),
    [anon_sym_BSLASHesbe] = ACTIONS(2757),
    [anon_sym_BSLASHcat] = ACTIONS(2757),
  },
  [737] = {
    [aux_sym_text_token1] = ACTIONS(2767),
    [anon_sym_BSLASHsts] = ACTIONS(2769),
    [anon_sym_BSLASHrem] = ACTIONS(2769),
    [anon_sym_BSLASHrestore] = ACTIONS(2769),
    [anon_sym_BSLASHlit] = ACTIONS(2769),
    [anon_sym_BSLASHip] = ACTIONS(2769),
    [anon_sym_BSLASHmte] = ACTIONS(2769),
    [anon_sym_BSLASHms] = ACTIONS(2769),
    [anon_sym_BSLASHs] = ACTIONS(2769),
    [anon_sym_BSLASHr] = ACTIONS(2769),
    [anon_sym_BSLASHsp] = ACTIONS(2769),
    [anon_sym_BSLASHd] = ACTIONS(2769),
    [anon_sym_BSLASHsd] = ACTIONS(2769),
    [anon_sym_BSLASHp] = ACTIONS(2769),
    [anon_sym_BSLASHm] = ACTIONS(2769),
    [anon_sym_BSLASHpo] = ACTIONS(2769),
    [anon_sym_BSLASHpr] = ACTIONS(2769),
    [anon_sym_BSLASHcls] = ACTIONS(2769),
    [anon_sym_BSLASHpmo] = ACTIONS(2769),
    [anon_sym_BSLASHpm] = ACTIONS(2769),
    [anon_sym_BSLASHpmc] = ACTIONS(2769),
    [anon_sym_BSLASHpmr] = ACTIONS(2769),
    [anon_sym_BSLASHpi] = ACTIONS(2769),
    [anon_sym_BSLASHmi] = ACTIONS(2769),
    [anon_sym_BSLASHnb] = ACTIONS(2769),
    [anon_sym_BSLASHpc] = ACTIONS(2769),
    [anon_sym_BSLASHph] = ACTIONS(2769),
    [anon_sym_BSLASHb] = ACTIONS(2769),
    [anon_sym_BSLASHq] = ACTIONS(2769),
    [anon_sym_BSLASHqr] = ACTIONS(2769),
    [anon_sym_BSLASHqc] = ACTIONS(2769),
    [anon_sym_BSLASHqa] = ACTIONS(2769),
    [anon_sym_BSLASHqm] = ACTIONS(2769),
    [anon_sym_BSLASHqd] = ACTIONS(2769),
    [anon_sym_BSLASHlh] = ACTIONS(2769),
    [anon_sym_BSLASHli] = ACTIONS(2769),
    [anon_sym_BSLASHlim] = ACTIONS(2769),
    [anon_sym_BSLASHtr] = ACTIONS(2769),
    [sym_thTag] = ACTIONS(2769),
    [sym_thrTag] = ACTIONS(2769),
    [sym_tcTag] = ACTIONS(2769),
    [sym_tcrTag] = ACTIONS(2769),
    [anon_sym_BSLASHf] = ACTIONS(2769),
    [anon_sym_BSLASHfe] = ACTIONS(2769),
    [anon_sym_BSLASHef] = ACTIONS(2769),
    [anon_sym_BSLASHfm] = ACTIONS(2769),
    [anon_sym_BSLASHadd] = ACTIONS(2769),
    [anon_sym_BSLASHbk] = ACTIONS(2769),
    [anon_sym_BSLASHdc] = ACTIONS(2769),
    [anon_sym_BSLASHk] = ACTIONS(2769),
    [anon_sym_BSLASHnd] = ACTIONS(2769),
    [anon_sym_BSLASHord] = ACTIONS(2769),
    [anon_sym_BSLASHpn] = ACTIONS(2769),
    [anon_sym_BSLASHpng] = ACTIONS(2769),
    [anon_sym_BSLASHaddpn] = ACTIONS(2769),
    [anon_sym_BSLASHqt] = ACTIONS(2769),
    [anon_sym_BSLASHsig] = ACTIONS(2769),
    [anon_sym_BSLASHsls] = ACTIONS(2769),
    [anon_sym_BSLASHtl] = ACTIONS(2769),
    [anon_sym_BSLASHwj] = ACTIONS(2769),
    [anon_sym_BSLASHem] = ACTIONS(2769),
    [anon_sym_BSLASHbd] = ACTIONS(2769),
    [anon_sym_BSLASHit] = ACTIONS(2769),
    [anon_sym_BSLASHbdit] = ACTIONS(2769),
    [anon_sym_BSLASHno] = ACTIONS(2769),
    [anon_sym_BSLASHsc] = ACTIONS(2769),
    [anon_sym_BSLASHsup] = ACTIONS(2769),
    [anon_sym_BSLASHndx] = ACTIONS(2769),
    [anon_sym_BSLASHpro] = ACTIONS(2769),
    [anon_sym_BSLASHrb] = ACTIONS(2769),
    [anon_sym_BSLASHw] = ACTIONS(2769),
    [anon_sym_BSLASHwg] = ACTIONS(2769),
    [anon_sym_BSLASHwh] = ACTIONS(2769),
    [anon_sym_BSLASHwa] = ACTIONS(2769),
    [anon_sym_BSLASHfig] = ACTIONS(2769),
    [anon_sym_BSLASHjmp] = ACTIONS(2769),
    [anon_sym_BSLASHpb] = ACTIONS(2769),
    [anon_sym_BSLASH] = ACTIONS(2769),
    [sym_milestoneStartTag] = ACTIONS(2769),
    [sym_milestoneEndTag] = ACTIONS(2769),
    [sym_zSpaceTag] = ACTIONS(2769),
    [anon_sym_BSLASHesbe] = ACTIONS(2769),
    [anon_sym_BSLASHcat] = ACTIONS(2769),
  },
  [738] = {
    [aux_sym_text_token1] = ACTIONS(2679),
    [anon_sym_BSLASHsts] = ACTIONS(2681),
    [anon_sym_BSLASHrem] = ACTIONS(2681),
    [anon_sym_BSLASHrestore] = ACTIONS(2681),
    [anon_sym_BSLASHlit] = ACTIONS(2681),
    [anon_sym_BSLASHip] = ACTIONS(2681),
    [anon_sym_BSLASHmte] = ACTIONS(2681),
    [anon_sym_BSLASHms] = ACTIONS(2681),
    [anon_sym_BSLASHs] = ACTIONS(2681),
    [anon_sym_BSLASHr] = ACTIONS(2681),
    [anon_sym_BSLASHsp] = ACTIONS(2681),
    [anon_sym_BSLASHd] = ACTIONS(2681),
    [anon_sym_BSLASHsd] = ACTIONS(2681),
    [anon_sym_BSLASHp] = ACTIONS(2681),
    [anon_sym_BSLASHm] = ACTIONS(2681),
    [anon_sym_BSLASHpo] = ACTIONS(2681),
    [anon_sym_BSLASHpr] = ACTIONS(2681),
    [anon_sym_BSLASHcls] = ACTIONS(2681),
    [anon_sym_BSLASHpmo] = ACTIONS(2681),
    [anon_sym_BSLASHpm] = ACTIONS(2681),
    [anon_sym_BSLASHpmc] = ACTIONS(2681),
    [anon_sym_BSLASHpmr] = ACTIONS(2681),
    [anon_sym_BSLASHpi] = ACTIONS(2681),
    [anon_sym_BSLASHmi] = ACTIONS(2681),
    [anon_sym_BSLASHnb] = ACTIONS(2681),
    [anon_sym_BSLASHpc] = ACTIONS(2681),
    [anon_sym_BSLASHph] = ACTIONS(2681),
    [anon_sym_BSLASHb] = ACTIONS(2681),
    [anon_sym_BSLASHq] = ACTIONS(2681),
    [anon_sym_BSLASHqr] = ACTIONS(2681),
    [anon_sym_BSLASHqc] = ACTIONS(2681),
    [anon_sym_BSLASHqa] = ACTIONS(2681),
    [anon_sym_BSLASHqm] = ACTIONS(2681),
    [anon_sym_BSLASHqd] = ACTIONS(2681),
    [anon_sym_BSLASHlh] = ACTIONS(2681),
    [anon_sym_BSLASHli] = ACTIONS(2681),
    [anon_sym_BSLASHlim] = ACTIONS(2681),
    [anon_sym_BSLASHtr] = ACTIONS(2681),
    [sym_thTag] = ACTIONS(2681),
    [sym_thrTag] = ACTIONS(2681),
    [sym_tcTag] = ACTIONS(2681),
    [sym_tcrTag] = ACTIONS(2681),
    [anon_sym_BSLASHf] = ACTIONS(2681),
    [anon_sym_BSLASHfe] = ACTIONS(2681),
    [anon_sym_BSLASHef] = ACTIONS(2681),
    [anon_sym_BSLASHfm] = ACTIONS(2681),
    [anon_sym_BSLASHadd] = ACTIONS(2681),
    [anon_sym_BSLASHbk] = ACTIONS(2681),
    [anon_sym_BSLASHdc] = ACTIONS(2681),
    [anon_sym_BSLASHk] = ACTIONS(2681),
    [anon_sym_BSLASHnd] = ACTIONS(2681),
    [anon_sym_BSLASHord] = ACTIONS(2681),
    [anon_sym_BSLASHpn] = ACTIONS(2681),
    [anon_sym_BSLASHpng] = ACTIONS(2681),
    [anon_sym_BSLASHaddpn] = ACTIONS(2681),
    [anon_sym_BSLASHqt] = ACTIONS(2681),
    [anon_sym_BSLASHsig] = ACTIONS(2681),
    [anon_sym_BSLASHsls] = ACTIONS(2681),
    [anon_sym_BSLASHtl] = ACTIONS(2681),
    [anon_sym_BSLASHwj] = ACTIONS(2681),
    [anon_sym_BSLASHem] = ACTIONS(2681),
    [anon_sym_BSLASHbd] = ACTIONS(2681),
    [anon_sym_BSLASHit] = ACTIONS(2681),
    [anon_sym_BSLASHbdit] = ACTIONS(2681),
    [anon_sym_BSLASHno] = ACTIONS(2681),
    [anon_sym_BSLASHsc] = ACTIONS(2681),
    [anon_sym_BSLASHsup] = ACTIONS(2681),
    [anon_sym_BSLASHndx] = ACTIONS(2681),
    [anon_sym_BSLASHpro] = ACTIONS(2681),
    [anon_sym_BSLASHrb] = ACTIONS(2681),
    [anon_sym_BSLASHw] = ACTIONS(2681),
    [anon_sym_BSLASHwg] = ACTIONS(2681),
    [anon_sym_BSLASHwh] = ACTIONS(2681),
    [anon_sym_BSLASHwa] = ACTIONS(2681),
    [anon_sym_BSLASHfig] = ACTIONS(2681),
    [anon_sym_BSLASHjmp] = ACTIONS(2681),
    [anon_sym_BSLASHpb] = ACTIONS(2681),
    [anon_sym_BSLASH] = ACTIONS(2681),
    [sym_milestoneStartTag] = ACTIONS(2681),
    [sym_milestoneEndTag] = ACTIONS(2681),
    [sym_zSpaceTag] = ACTIONS(2681),
    [anon_sym_BSLASHesbe] = ACTIONS(2681),
    [anon_sym_BSLASHcat] = ACTIONS(2681),
  },
  [739] = {
    [aux_sym_text_token1] = ACTIONS(2775),
    [anon_sym_BSLASHsts] = ACTIONS(2777),
    [anon_sym_BSLASHrem] = ACTIONS(2777),
    [anon_sym_BSLASHrestore] = ACTIONS(2777),
    [anon_sym_BSLASHlit] = ACTIONS(2777),
    [anon_sym_BSLASHip] = ACTIONS(2777),
    [anon_sym_BSLASHmte] = ACTIONS(2777),
    [anon_sym_BSLASHms] = ACTIONS(2777),
    [anon_sym_BSLASHs] = ACTIONS(2777),
    [anon_sym_BSLASHr] = ACTIONS(2777),
    [anon_sym_BSLASHsp] = ACTIONS(2777),
    [anon_sym_BSLASHd] = ACTIONS(2777),
    [anon_sym_BSLASHsd] = ACTIONS(2777),
    [anon_sym_BSLASHp] = ACTIONS(2777),
    [anon_sym_BSLASHm] = ACTIONS(2777),
    [anon_sym_BSLASHpo] = ACTIONS(2777),
    [anon_sym_BSLASHpr] = ACTIONS(2777),
    [anon_sym_BSLASHcls] = ACTIONS(2777),
    [anon_sym_BSLASHpmo] = ACTIONS(2777),
    [anon_sym_BSLASHpm] = ACTIONS(2777),
    [anon_sym_BSLASHpmc] = ACTIONS(2777),
    [anon_sym_BSLASHpmr] = ACTIONS(2777),
    [anon_sym_BSLASHpi] = ACTIONS(2777),
    [anon_sym_BSLASHmi] = ACTIONS(2777),
    [anon_sym_BSLASHnb] = ACTIONS(2777),
    [anon_sym_BSLASHpc] = ACTIONS(2777),
    [anon_sym_BSLASHph] = ACTIONS(2777),
    [anon_sym_BSLASHb] = ACTIONS(2777),
    [anon_sym_BSLASHq] = ACTIONS(2777),
    [anon_sym_BSLASHqr] = ACTIONS(2777),
    [anon_sym_BSLASHqc] = ACTIONS(2777),
    [anon_sym_BSLASHqa] = ACTIONS(2777),
    [anon_sym_BSLASHqm] = ACTIONS(2777),
    [anon_sym_BSLASHqd] = ACTIONS(2777),
    [anon_sym_BSLASHlh] = ACTIONS(2777),
    [anon_sym_BSLASHli] = ACTIONS(2777),
    [anon_sym_BSLASHlim] = ACTIONS(2777),
    [anon_sym_BSLASHtr] = ACTIONS(2777),
    [sym_thTag] = ACTIONS(2777),
    [sym_thrTag] = ACTIONS(2777),
    [sym_tcTag] = ACTIONS(2777),
    [sym_tcrTag] = ACTIONS(2777),
    [anon_sym_BSLASHf] = ACTIONS(2777),
    [anon_sym_BSLASHfe] = ACTIONS(2777),
    [anon_sym_BSLASHef] = ACTIONS(2777),
    [anon_sym_BSLASHfm] = ACTIONS(2777),
    [anon_sym_BSLASHadd] = ACTIONS(2777),
    [anon_sym_BSLASHbk] = ACTIONS(2777),
    [anon_sym_BSLASHdc] = ACTIONS(2777),
    [anon_sym_BSLASHk] = ACTIONS(2777),
    [anon_sym_BSLASHnd] = ACTIONS(2777),
    [anon_sym_BSLASHord] = ACTIONS(2777),
    [anon_sym_BSLASHpn] = ACTIONS(2777),
    [anon_sym_BSLASHpng] = ACTIONS(2777),
    [anon_sym_BSLASHaddpn] = ACTIONS(2777),
    [anon_sym_BSLASHqt] = ACTIONS(2777),
    [anon_sym_BSLASHsig] = ACTIONS(2777),
    [anon_sym_BSLASHsls] = ACTIONS(2777),
    [anon_sym_BSLASHtl] = ACTIONS(2777),
    [anon_sym_BSLASHwj] = ACTIONS(2777),
    [anon_sym_BSLASHem] = ACTIONS(2777),
    [anon_sym_BSLASHbd] = ACTIONS(2777),
    [anon_sym_BSLASHit] = ACTIONS(2777),
    [anon_sym_BSLASHbdit] = ACTIONS(2777),
    [anon_sym_BSLASHno] = ACTIONS(2777),
    [anon_sym_BSLASHsc] = ACTIONS(2777),
    [anon_sym_BSLASHsup] = ACTIONS(2777),
    [anon_sym_BSLASHndx] = ACTIONS(2777),
    [anon_sym_BSLASHpro] = ACTIONS(2777),
    [anon_sym_BSLASHrb] = ACTIONS(2777),
    [anon_sym_BSLASHw] = ACTIONS(2777),
    [anon_sym_BSLASHwg] = ACTIONS(2777),
    [anon_sym_BSLASHwh] = ACTIONS(2777),
    [anon_sym_BSLASHwa] = ACTIONS(2777),
    [anon_sym_BSLASHfig] = ACTIONS(2777),
    [anon_sym_BSLASHjmp] = ACTIONS(2777),
    [anon_sym_BSLASHpb] = ACTIONS(2777),
    [anon_sym_BSLASH] = ACTIONS(2777),
    [sym_milestoneStartTag] = ACTIONS(2777),
    [sym_milestoneEndTag] = ACTIONS(2777),
    [sym_zSpaceTag] = ACTIONS(2777),
    [anon_sym_BSLASHesbe] = ACTIONS(2777),
    [anon_sym_BSLASHcat] = ACTIONS(2777),
  },
  [740] = {
    [aux_sym_text_token1] = ACTIONS(5522),
    [anon_sym_BSLASHsts] = ACTIONS(5524),
    [anon_sym_BSLASHrem] = ACTIONS(5524),
    [anon_sym_BSLASHrestore] = ACTIONS(5524),
    [anon_sym_BSLASHlit] = ACTIONS(5524),
    [anon_sym_BSLASHip] = ACTIONS(5524),
    [anon_sym_BSLASHmte] = ACTIONS(5524),
    [anon_sym_BSLASHms] = ACTIONS(5524),
    [anon_sym_BSLASHs] = ACTIONS(5524),
    [anon_sym_BSLASHsr] = ACTIONS(5524),
    [anon_sym_BSLASHr] = ACTIONS(5524),
    [anon_sym_BSLASHsp] = ACTIONS(5524),
    [anon_sym_BSLASHd] = ACTIONS(5524),
    [anon_sym_BSLASHsd] = ACTIONS(5524),
    [anon_sym_BSLASHp] = ACTIONS(5524),
    [anon_sym_BSLASHm] = ACTIONS(5524),
    [anon_sym_BSLASHpo] = ACTIONS(5524),
    [anon_sym_BSLASHpr] = ACTIONS(5524),
    [anon_sym_BSLASHcls] = ACTIONS(5524),
    [anon_sym_BSLASHpmo] = ACTIONS(5524),
    [anon_sym_BSLASHpm] = ACTIONS(5524),
    [anon_sym_BSLASHpmc] = ACTIONS(5524),
    [anon_sym_BSLASHpmr] = ACTIONS(5524),
    [anon_sym_BSLASHpi] = ACTIONS(5524),
    [anon_sym_BSLASHmi] = ACTIONS(5524),
    [anon_sym_BSLASHnb] = ACTIONS(5524),
    [anon_sym_BSLASHpc] = ACTIONS(5524),
    [anon_sym_BSLASHph] = ACTIONS(5524),
    [anon_sym_BSLASHb] = ACTIONS(5524),
    [anon_sym_BSLASHq] = ACTIONS(5524),
    [anon_sym_BSLASHqr] = ACTIONS(5524),
    [anon_sym_BSLASHqc] = ACTIONS(5524),
    [anon_sym_BSLASHqa] = ACTIONS(5524),
    [anon_sym_BSLASHqm] = ACTIONS(5524),
    [anon_sym_BSLASHqd] = ACTIONS(5524),
    [anon_sym_BSLASHlh] = ACTIONS(5524),
    [anon_sym_BSLASHli] = ACTIONS(5524),
    [anon_sym_BSLASHlim] = ACTIONS(5524),
    [anon_sym_BSLASHtr] = ACTIONS(5524),
    [anon_sym_BSLASHf] = ACTIONS(5524),
    [anon_sym_BSLASHfe] = ACTIONS(5524),
    [anon_sym_BSLASHef] = ACTIONS(5524),
    [anon_sym_BSLASHfm] = ACTIONS(5524),
    [anon_sym_BSLASHx] = ACTIONS(5524),
    [anon_sym_BSLASHxt] = ACTIONS(5524),
    [anon_sym_BSLASHrq] = ACTIONS(5524),
    [anon_sym_BSLASHadd] = ACTIONS(5524),
    [anon_sym_BSLASHbk] = ACTIONS(5524),
    [anon_sym_BSLASHdc] = ACTIONS(5524),
    [anon_sym_BSLASHk] = ACTIONS(5524),
    [anon_sym_BSLASHnd] = ACTIONS(5524),
    [anon_sym_BSLASHord] = ACTIONS(5524),
    [anon_sym_BSLASHpn] = ACTIONS(5524),
    [anon_sym_BSLASHpng] = ACTIONS(5524),
    [anon_sym_BSLASHaddpn] = ACTIONS(5524),
    [anon_sym_BSLASHqt] = ACTIONS(5524),
    [anon_sym_BSLASHsig] = ACTIONS(5524),
    [anon_sym_BSLASHsls] = ACTIONS(5524),
    [anon_sym_BSLASHtl] = ACTIONS(5524),
    [anon_sym_BSLASHwj] = ACTIONS(5524),
    [anon_sym_BSLASHem] = ACTIONS(5524),
    [anon_sym_BSLASHbd] = ACTIONS(5524),
    [anon_sym_BSLASHit] = ACTIONS(5524),
    [anon_sym_BSLASHbdit] = ACTIONS(5524),
    [anon_sym_BSLASHno] = ACTIONS(5524),
    [anon_sym_BSLASHsc] = ACTIONS(5524),
    [anon_sym_BSLASHsup] = ACTIONS(5524),
    [anon_sym_BSLASHndx] = ACTIONS(5524),
    [anon_sym_BSLASHpro] = ACTIONS(5524),
    [anon_sym_BSLASHrb] = ACTIONS(5524),
    [anon_sym_BSLASHw] = ACTIONS(5524),
    [anon_sym_BSLASHwg] = ACTIONS(5524),
    [anon_sym_BSLASHwh] = ACTIONS(5524),
    [anon_sym_BSLASHwa] = ACTIONS(5524),
    [anon_sym_BSLASHfig] = ACTIONS(5524),
    [anon_sym_BSLASHjmp] = ACTIONS(5524),
    [anon_sym_BSLASHpb] = ACTIONS(5524),
    [anon_sym_BSLASH] = ACTIONS(5524),
    [sym_milestoneStartTag] = ACTIONS(5524),
    [sym_milestoneEndTag] = ACTIONS(5524),
    [sym_zSpaceTag] = ACTIONS(5524),
    [anon_sym_BSLASHesbe] = ACTIONS(5524),
    [anon_sym_BSLASHcat] = ACTIONS(5524),
  },
  [741] = {
    [aux_sym_text_token1] = ACTIONS(2727),
    [anon_sym_BSLASHsts] = ACTIONS(2729),
    [anon_sym_BSLASHrem] = ACTIONS(2729),
    [anon_sym_BSLASHrestore] = ACTIONS(2729),
    [anon_sym_BSLASHlit] = ACTIONS(2729),
    [anon_sym_BSLASHip] = ACTIONS(2729),
    [anon_sym_BSLASHmte] = ACTIONS(2729),
    [anon_sym_BSLASHms] = ACTIONS(2729),
    [anon_sym_BSLASHs] = ACTIONS(2729),
    [anon_sym_BSLASHr] = ACTIONS(2729),
    [anon_sym_BSLASHsp] = ACTIONS(2729),
    [anon_sym_BSLASHd] = ACTIONS(2729),
    [anon_sym_BSLASHsd] = ACTIONS(2729),
    [anon_sym_BSLASHp] = ACTIONS(2729),
    [anon_sym_BSLASHm] = ACTIONS(2729),
    [anon_sym_BSLASHpo] = ACTIONS(2729),
    [anon_sym_BSLASHpr] = ACTIONS(2729),
    [anon_sym_BSLASHcls] = ACTIONS(2729),
    [anon_sym_BSLASHpmo] = ACTIONS(2729),
    [anon_sym_BSLASHpm] = ACTIONS(2729),
    [anon_sym_BSLASHpmc] = ACTIONS(2729),
    [anon_sym_BSLASHpmr] = ACTIONS(2729),
    [anon_sym_BSLASHpi] = ACTIONS(2729),
    [anon_sym_BSLASHmi] = ACTIONS(2729),
    [anon_sym_BSLASHnb] = ACTIONS(2729),
    [anon_sym_BSLASHpc] = ACTIONS(2729),
    [anon_sym_BSLASHph] = ACTIONS(2729),
    [anon_sym_BSLASHb] = ACTIONS(2729),
    [anon_sym_BSLASHq] = ACTIONS(2729),
    [anon_sym_BSLASHqr] = ACTIONS(2729),
    [anon_sym_BSLASHqc] = ACTIONS(2729),
    [anon_sym_BSLASHqa] = ACTIONS(2729),
    [anon_sym_BSLASHqm] = ACTIONS(2729),
    [anon_sym_BSLASHqd] = ACTIONS(2729),
    [anon_sym_BSLASHlh] = ACTIONS(2729),
    [anon_sym_BSLASHli] = ACTIONS(2729),
    [anon_sym_BSLASHlim] = ACTIONS(2729),
    [anon_sym_BSLASHtr] = ACTIONS(2729),
    [sym_thTag] = ACTIONS(2729),
    [sym_thrTag] = ACTIONS(2729),
    [sym_tcTag] = ACTIONS(2729),
    [sym_tcrTag] = ACTIONS(2729),
    [anon_sym_BSLASHf] = ACTIONS(2729),
    [anon_sym_BSLASHfe] = ACTIONS(2729),
    [anon_sym_BSLASHef] = ACTIONS(2729),
    [anon_sym_BSLASHfm] = ACTIONS(2729),
    [anon_sym_BSLASHadd] = ACTIONS(2729),
    [anon_sym_BSLASHbk] = ACTIONS(2729),
    [anon_sym_BSLASHdc] = ACTIONS(2729),
    [anon_sym_BSLASHk] = ACTIONS(2729),
    [anon_sym_BSLASHnd] = ACTIONS(2729),
    [anon_sym_BSLASHord] = ACTIONS(2729),
    [anon_sym_BSLASHpn] = ACTIONS(2729),
    [anon_sym_BSLASHpng] = ACTIONS(2729),
    [anon_sym_BSLASHaddpn] = ACTIONS(2729),
    [anon_sym_BSLASHqt] = ACTIONS(2729),
    [anon_sym_BSLASHsig] = ACTIONS(2729),
    [anon_sym_BSLASHsls] = ACTIONS(2729),
    [anon_sym_BSLASHtl] = ACTIONS(2729),
    [anon_sym_BSLASHwj] = ACTIONS(2729),
    [anon_sym_BSLASHem] = ACTIONS(2729),
    [anon_sym_BSLASHbd] = ACTIONS(2729),
    [anon_sym_BSLASHit] = ACTIONS(2729),
    [anon_sym_BSLASHbdit] = ACTIONS(2729),
    [anon_sym_BSLASHno] = ACTIONS(2729),
    [anon_sym_BSLASHsc] = ACTIONS(2729),
    [anon_sym_BSLASHsup] = ACTIONS(2729),
    [anon_sym_BSLASHndx] = ACTIONS(2729),
    [anon_sym_BSLASHpro] = ACTIONS(2729),
    [anon_sym_BSLASHrb] = ACTIONS(2729),
    [anon_sym_BSLASHw] = ACTIONS(2729),
    [anon_sym_BSLASHwg] = ACTIONS(2729),
    [anon_sym_BSLASHwh] = ACTIONS(2729),
    [anon_sym_BSLASHwa] = ACTIONS(2729),
    [anon_sym_BSLASHfig] = ACTIONS(2729),
    [anon_sym_BSLASHjmp] = ACTIONS(2729),
    [anon_sym_BSLASHpb] = ACTIONS(2729),
    [anon_sym_BSLASH] = ACTIONS(2729),
    [sym_milestoneStartTag] = ACTIONS(2729),
    [sym_milestoneEndTag] = ACTIONS(2729),
    [sym_zSpaceTag] = ACTIONS(2729),
    [anon_sym_BSLASHesbe] = ACTIONS(2729),
    [anon_sym_BSLASHcat] = ACTIONS(2729),
  },
  [742] = {
    [aux_sym_text_token1] = ACTIONS(5),
    [anon_sym_BSLASHsts] = ACTIONS(7),
    [anon_sym_BSLASHrem] = ACTIONS(7),
    [anon_sym_BSLASHrestore] = ACTIONS(7),
    [anon_sym_BSLASHlit] = ACTIONS(7),
    [anon_sym_BSLASHip] = ACTIONS(7),
    [anon_sym_BSLASHmte] = ACTIONS(7),
    [anon_sym_BSLASHms] = ACTIONS(7),
    [anon_sym_BSLASHs] = ACTIONS(7),
    [anon_sym_BSLASHr] = ACTIONS(7),
    [anon_sym_BSLASHsp] = ACTIONS(7),
    [anon_sym_BSLASHd] = ACTIONS(7),
    [anon_sym_BSLASHsd] = ACTIONS(7),
    [anon_sym_BSLASHp] = ACTIONS(7),
    [anon_sym_BSLASHm] = ACTIONS(7),
    [anon_sym_BSLASHpo] = ACTIONS(7),
    [anon_sym_BSLASHpr] = ACTIONS(7),
    [anon_sym_BSLASHcls] = ACTIONS(7),
    [anon_sym_BSLASHpmo] = ACTIONS(7),
    [anon_sym_BSLASHpm] = ACTIONS(7),
    [anon_sym_BSLASHpmc] = ACTIONS(7),
    [anon_sym_BSLASHpmr] = ACTIONS(7),
    [anon_sym_BSLASHpi] = ACTIONS(7),
    [anon_sym_BSLASHmi] = ACTIONS(7),
    [anon_sym_BSLASHnb] = ACTIONS(7),
    [anon_sym_BSLASHpc] = ACTIONS(7),
    [anon_sym_BSLASHph] = ACTIONS(7),
    [anon_sym_BSLASHb] = ACTIONS(7),
    [anon_sym_BSLASHq] = ACTIONS(7),
    [anon_sym_BSLASHqr] = ACTIONS(7),
    [anon_sym_BSLASHqc] = ACTIONS(7),
    [anon_sym_BSLASHqa] = ACTIONS(7),
    [anon_sym_BSLASHqm] = ACTIONS(7),
    [anon_sym_BSLASHqd] = ACTIONS(7),
    [anon_sym_BSLASHlh] = ACTIONS(7),
    [anon_sym_BSLASHli] = ACTIONS(7),
    [anon_sym_BSLASHlim] = ACTIONS(7),
    [anon_sym_BSLASHtr] = ACTIONS(7),
    [sym_thTag] = ACTIONS(7),
    [sym_thrTag] = ACTIONS(7),
    [sym_tcTag] = ACTIONS(7),
    [sym_tcrTag] = ACTIONS(7),
    [anon_sym_BSLASHf] = ACTIONS(7),
    [anon_sym_BSLASHfe] = ACTIONS(7),
    [anon_sym_BSLASHef] = ACTIONS(7),
    [anon_sym_BSLASHfm] = ACTIONS(7),
    [anon_sym_BSLASHadd] = ACTIONS(7),
    [anon_sym_BSLASHbk] = ACTIONS(7),
    [anon_sym_BSLASHdc] = ACTIONS(7),
    [anon_sym_BSLASHk] = ACTIONS(7),
    [anon_sym_BSLASHnd] = ACTIONS(7),
    [anon_sym_BSLASHord] = ACTIONS(7),
    [anon_sym_BSLASHpn] = ACTIONS(7),
    [anon_sym_BSLASHpng] = ACTIONS(7),
    [anon_sym_BSLASHaddpn] = ACTIONS(7),
    [anon_sym_BSLASHqt] = ACTIONS(7),
    [anon_sym_BSLASHsig] = ACTIONS(7),
    [anon_sym_BSLASHsls] = ACTIONS(7),
    [anon_sym_BSLASHtl] = ACTIONS(7),
    [anon_sym_BSLASHwj] = ACTIONS(7),
    [anon_sym_BSLASHem] = ACTIONS(7),
    [anon_sym_BSLASHbd] = ACTIONS(7),
    [anon_sym_BSLASHit] = ACTIONS(7),
    [anon_sym_BSLASHbdit] = ACTIONS(7),
    [anon_sym_BSLASHno] = ACTIONS(7),
    [anon_sym_BSLASHsc] = ACTIONS(7),
    [anon_sym_BSLASHsup] = ACTIONS(7),
    [anon_sym_BSLASHndx] = ACTIONS(7),
    [anon_sym_BSLASHpro] = ACTIONS(7),
    [anon_sym_BSLASHrb] = ACTIONS(7),
    [anon_sym_BSLASHw] = ACTIONS(7),
    [anon_sym_BSLASHwg] = ACTIONS(7),
    [anon_sym_BSLASHwh] = ACTIONS(7),
    [anon_sym_BSLASHwa] = ACTIONS(7),
    [anon_sym_BSLASHfig] = ACTIONS(7),
    [anon_sym_BSLASHjmp] = ACTIONS(7),
    [anon_sym_BSLASHpb] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [sym_milestoneStartTag] = ACTIONS(7),
    [sym_milestoneEndTag] = ACTIONS(7),
    [sym_zSpaceTag] = ACTIONS(7),
    [anon_sym_BSLASHesbe] = ACTIONS(7),
    [anon_sym_BSLASHcat] = ACTIONS(7),
  },
  [743] = {
    [aux_sym_text_token1] = ACTIONS(2675),
    [anon_sym_BSLASHsts] = ACTIONS(2677),
    [anon_sym_BSLASHrem] = ACTIONS(2677),
    [anon_sym_BSLASHrestore] = ACTIONS(2677),
    [anon_sym_BSLASHlit] = ACTIONS(2677),
    [anon_sym_BSLASHip] = ACTIONS(2677),
    [anon_sym_BSLASHmte] = ACTIONS(2677),
    [anon_sym_BSLASHms] = ACTIONS(2677),
    [anon_sym_BSLASHs] = ACTIONS(2677),
    [anon_sym_BSLASHr] = ACTIONS(2677),
    [anon_sym_BSLASHsp] = ACTIONS(2677),
    [anon_sym_BSLASHd] = ACTIONS(2677),
    [anon_sym_BSLASHsd] = ACTIONS(2677),
    [anon_sym_BSLASHp] = ACTIONS(2677),
    [anon_sym_BSLASHm] = ACTIONS(2677),
    [anon_sym_BSLASHpo] = ACTIONS(2677),
    [anon_sym_BSLASHpr] = ACTIONS(2677),
    [anon_sym_BSLASHcls] = ACTIONS(2677),
    [anon_sym_BSLASHpmo] = ACTIONS(2677),
    [anon_sym_BSLASHpm] = ACTIONS(2677),
    [anon_sym_BSLASHpmc] = ACTIONS(2677),
    [anon_sym_BSLASHpmr] = ACTIONS(2677),
    [anon_sym_BSLASHpi] = ACTIONS(2677),
    [anon_sym_BSLASHmi] = ACTIONS(2677),
    [anon_sym_BSLASHnb] = ACTIONS(2677),
    [anon_sym_BSLASHpc] = ACTIONS(2677),
    [anon_sym_BSLASHph] = ACTIONS(2677),
    [anon_sym_BSLASHb] = ACTIONS(2677),
    [anon_sym_BSLASHq] = ACTIONS(2677),
    [anon_sym_BSLASHqr] = ACTIONS(2677),
    [anon_sym_BSLASHqc] = ACTIONS(2677),
    [anon_sym_BSLASHqa] = ACTIONS(2677),
    [anon_sym_BSLASHqm] = ACTIONS(2677),
    [anon_sym_BSLASHqd] = ACTIONS(2677),
    [anon_sym_BSLASHlh] = ACTIONS(2677),
    [anon_sym_BSLASHli] = ACTIONS(2677),
    [anon_sym_BSLASHlim] = ACTIONS(2677),
    [anon_sym_BSLASHtr] = ACTIONS(2677),
    [sym_thTag] = ACTIONS(2677),
    [sym_thrTag] = ACTIONS(2677),
    [sym_tcTag] = ACTIONS(2677),
    [sym_tcrTag] = ACTIONS(2677),
    [anon_sym_BSLASHf] = ACTIONS(2677),
    [anon_sym_BSLASHfe] = ACTIONS(2677),
    [anon_sym_BSLASHef] = ACTIONS(2677),
    [anon_sym_BSLASHfm] = ACTIONS(2677),
    [anon_sym_BSLASHadd] = ACTIONS(2677),
    [anon_sym_BSLASHbk] = ACTIONS(2677),
    [anon_sym_BSLASHdc] = ACTIONS(2677),
    [anon_sym_BSLASHk] = ACTIONS(2677),
    [anon_sym_BSLASHnd] = ACTIONS(2677),
    [anon_sym_BSLASHord] = ACTIONS(2677),
    [anon_sym_BSLASHpn] = ACTIONS(2677),
    [anon_sym_BSLASHpng] = ACTIONS(2677),
    [anon_sym_BSLASHaddpn] = ACTIONS(2677),
    [anon_sym_BSLASHqt] = ACTIONS(2677),
    [anon_sym_BSLASHsig] = ACTIONS(2677),
    [anon_sym_BSLASHsls] = ACTIONS(2677),
    [anon_sym_BSLASHtl] = ACTIONS(2677),
    [anon_sym_BSLASHwj] = ACTIONS(2677),
    [anon_sym_BSLASHem] = ACTIONS(2677),
    [anon_sym_BSLASHbd] = ACTIONS(2677),
    [anon_sym_BSLASHit] = ACTIONS(2677),
    [anon_sym_BSLASHbdit] = ACTIONS(2677),
    [anon_sym_BSLASHno] = ACTIONS(2677),
    [anon_sym_BSLASHsc] = ACTIONS(2677),
    [anon_sym_BSLASHsup] = ACTIONS(2677),
    [anon_sym_BSLASHndx] = ACTIONS(2677),
    [anon_sym_BSLASHpro] = ACTIONS(2677),
    [anon_sym_BSLASHrb] = ACTIONS(2677),
    [anon_sym_BSLASHw] = ACTIONS(2677),
    [anon_sym_BSLASHwg] = ACTIONS(2677),
    [anon_sym_BSLASHwh] = ACTIONS(2677),
    [anon_sym_BSLASHwa] = ACTIONS(2677),
    [anon_sym_BSLASHfig] = ACTIONS(2677),
    [anon_sym_BSLASHjmp] = ACTIONS(2677),
    [anon_sym_BSLASHpb] = ACTIONS(2677),
    [anon_sym_BSLASH] = ACTIONS(2677),
    [sym_milestoneStartTag] = ACTIONS(2677),
    [sym_milestoneEndTag] = ACTIONS(2677),
    [sym_zSpaceTag] = ACTIONS(2677),
    [anon_sym_BSLASHesbe] = ACTIONS(2677),
    [anon_sym_BSLASHcat] = ACTIONS(2677),
  },
  [744] = {
    [aux_sym_text_token1] = ACTIONS(2663),
    [anon_sym_BSLASHsts] = ACTIONS(2665),
    [anon_sym_BSLASHrem] = ACTIONS(2665),
    [anon_sym_BSLASHrestore] = ACTIONS(2665),
    [anon_sym_BSLASHlit] = ACTIONS(2665),
    [anon_sym_BSLASHip] = ACTIONS(2665),
    [anon_sym_BSLASHmte] = ACTIONS(2665),
    [anon_sym_BSLASHms] = ACTIONS(2665),
    [anon_sym_BSLASHs] = ACTIONS(2665),
    [anon_sym_BSLASHr] = ACTIONS(2665),
    [anon_sym_BSLASHsp] = ACTIONS(2665),
    [anon_sym_BSLASHd] = ACTIONS(2665),
    [anon_sym_BSLASHsd] = ACTIONS(2665),
    [anon_sym_BSLASHp] = ACTIONS(2665),
    [anon_sym_BSLASHm] = ACTIONS(2665),
    [anon_sym_BSLASHpo] = ACTIONS(2665),
    [anon_sym_BSLASHpr] = ACTIONS(2665),
    [anon_sym_BSLASHcls] = ACTIONS(2665),
    [anon_sym_BSLASHpmo] = ACTIONS(2665),
    [anon_sym_BSLASHpm] = ACTIONS(2665),
    [anon_sym_BSLASHpmc] = ACTIONS(2665),
    [anon_sym_BSLASHpmr] = ACTIONS(2665),
    [anon_sym_BSLASHpi] = ACTIONS(2665),
    [anon_sym_BSLASHmi] = ACTIONS(2665),
    [anon_sym_BSLASHnb] = ACTIONS(2665),
    [anon_sym_BSLASHpc] = ACTIONS(2665),
    [anon_sym_BSLASHph] = ACTIONS(2665),
    [anon_sym_BSLASHb] = ACTIONS(2665),
    [anon_sym_BSLASHq] = ACTIONS(2665),
    [anon_sym_BSLASHqr] = ACTIONS(2665),
    [anon_sym_BSLASHqc] = ACTIONS(2665),
    [anon_sym_BSLASHqa] = ACTIONS(2665),
    [anon_sym_BSLASHqm] = ACTIONS(2665),
    [anon_sym_BSLASHqd] = ACTIONS(2665),
    [anon_sym_BSLASHlh] = ACTIONS(2665),
    [anon_sym_BSLASHli] = ACTIONS(2665),
    [anon_sym_BSLASHlim] = ACTIONS(2665),
    [anon_sym_BSLASHtr] = ACTIONS(2665),
    [sym_thTag] = ACTIONS(2665),
    [sym_thrTag] = ACTIONS(2665),
    [sym_tcTag] = ACTIONS(2665),
    [sym_tcrTag] = ACTIONS(2665),
    [anon_sym_BSLASHf] = ACTIONS(2665),
    [anon_sym_BSLASHfe] = ACTIONS(2665),
    [anon_sym_BSLASHef] = ACTIONS(2665),
    [anon_sym_BSLASHfm] = ACTIONS(2665),
    [anon_sym_BSLASHadd] = ACTIONS(2665),
    [anon_sym_BSLASHbk] = ACTIONS(2665),
    [anon_sym_BSLASHdc] = ACTIONS(2665),
    [anon_sym_BSLASHk] = ACTIONS(2665),
    [anon_sym_BSLASHnd] = ACTIONS(2665),
    [anon_sym_BSLASHord] = ACTIONS(2665),
    [anon_sym_BSLASHpn] = ACTIONS(2665),
    [anon_sym_BSLASHpng] = ACTIONS(2665),
    [anon_sym_BSLASHaddpn] = ACTIONS(2665),
    [anon_sym_BSLASHqt] = ACTIONS(2665),
    [anon_sym_BSLASHsig] = ACTIONS(2665),
    [anon_sym_BSLASHsls] = ACTIONS(2665),
    [anon_sym_BSLASHtl] = ACTIONS(2665),
    [anon_sym_BSLASHwj] = ACTIONS(2665),
    [anon_sym_BSLASHem] = ACTIONS(2665),
    [anon_sym_BSLASHbd] = ACTIONS(2665),
    [anon_sym_BSLASHit] = ACTIONS(2665),
    [anon_sym_BSLASHbdit] = ACTIONS(2665),
    [anon_sym_BSLASHno] = ACTIONS(2665),
    [anon_sym_BSLASHsc] = ACTIONS(2665),
    [anon_sym_BSLASHsup] = ACTIONS(2665),
    [anon_sym_BSLASHndx] = ACTIONS(2665),
    [anon_sym_BSLASHpro] = ACTIONS(2665),
    [anon_sym_BSLASHrb] = ACTIONS(2665),
    [anon_sym_BSLASHw] = ACTIONS(2665),
    [anon_sym_BSLASHwg] = ACTIONS(2665),
    [anon_sym_BSLASHwh] = ACTIONS(2665),
    [anon_sym_BSLASHwa] = ACTIONS(2665),
    [anon_sym_BSLASHfig] = ACTIONS(2665),
    [anon_sym_BSLASHjmp] = ACTIONS(2665),
    [anon_sym_BSLASHpb] = ACTIONS(2665),
    [anon_sym_BSLASH] = ACTIONS(2665),
    [sym_milestoneStartTag] = ACTIONS(2665),
    [sym_milestoneEndTag] = ACTIONS(2665),
    [sym_zSpaceTag] = ACTIONS(2665),
    [anon_sym_BSLASHesbe] = ACTIONS(2665),
    [anon_sym_BSLASHcat] = ACTIONS(2665),
  },
  [745] = {
    [aux_sym_text_token1] = ACTIONS(2683),
    [anon_sym_BSLASHsts] = ACTIONS(2685),
    [anon_sym_BSLASHrem] = ACTIONS(2685),
    [anon_sym_BSLASHrestore] = ACTIONS(2685),
    [anon_sym_BSLASHlit] = ACTIONS(2685),
    [anon_sym_BSLASHip] = ACTIONS(2685),
    [anon_sym_BSLASHmte] = ACTIONS(2685),
    [anon_sym_BSLASHms] = ACTIONS(2685),
    [anon_sym_BSLASHs] = ACTIONS(2685),
    [anon_sym_BSLASHr] = ACTIONS(2685),
    [anon_sym_BSLASHsp] = ACTIONS(2685),
    [anon_sym_BSLASHd] = ACTIONS(2685),
    [anon_sym_BSLASHsd] = ACTIONS(2685),
    [anon_sym_BSLASHp] = ACTIONS(2685),
    [anon_sym_BSLASHm] = ACTIONS(2685),
    [anon_sym_BSLASHpo] = ACTIONS(2685),
    [anon_sym_BSLASHpr] = ACTIONS(2685),
    [anon_sym_BSLASHcls] = ACTIONS(2685),
    [anon_sym_BSLASHpmo] = ACTIONS(2685),
    [anon_sym_BSLASHpm] = ACTIONS(2685),
    [anon_sym_BSLASHpmc] = ACTIONS(2685),
    [anon_sym_BSLASHpmr] = ACTIONS(2685),
    [anon_sym_BSLASHpi] = ACTIONS(2685),
    [anon_sym_BSLASHmi] = ACTIONS(2685),
    [anon_sym_BSLASHnb] = ACTIONS(2685),
    [anon_sym_BSLASHpc] = ACTIONS(2685),
    [anon_sym_BSLASHph] = ACTIONS(2685),
    [anon_sym_BSLASHb] = ACTIONS(2685),
    [anon_sym_BSLASHq] = ACTIONS(2685),
    [anon_sym_BSLASHqr] = ACTIONS(2685),
    [anon_sym_BSLASHqc] = ACTIONS(2685),
    [anon_sym_BSLASHqa] = ACTIONS(2685),
    [anon_sym_BSLASHqm] = ACTIONS(2685),
    [anon_sym_BSLASHqd] = ACTIONS(2685),
    [anon_sym_BSLASHlh] = ACTIONS(2685),
    [anon_sym_BSLASHli] = ACTIONS(2685),
    [anon_sym_BSLASHlim] = ACTIONS(2685),
    [anon_sym_BSLASHtr] = ACTIONS(2685),
    [sym_thTag] = ACTIONS(2685),
    [sym_thrTag] = ACTIONS(2685),
    [sym_tcTag] = ACTIONS(2685),
    [sym_tcrTag] = ACTIONS(2685),
    [anon_sym_BSLASHf] = ACTIONS(2685),
    [anon_sym_BSLASHfe] = ACTIONS(2685),
    [anon_sym_BSLASHef] = ACTIONS(2685),
    [anon_sym_BSLASHfm] = ACTIONS(2685),
    [anon_sym_BSLASHadd] = ACTIONS(2685),
    [anon_sym_BSLASHbk] = ACTIONS(2685),
    [anon_sym_BSLASHdc] = ACTIONS(2685),
    [anon_sym_BSLASHk] = ACTIONS(2685),
    [anon_sym_BSLASHnd] = ACTIONS(2685),
    [anon_sym_BSLASHord] = ACTIONS(2685),
    [anon_sym_BSLASHpn] = ACTIONS(2685),
    [anon_sym_BSLASHpng] = ACTIONS(2685),
    [anon_sym_BSLASHaddpn] = ACTIONS(2685),
    [anon_sym_BSLASHqt] = ACTIONS(2685),
    [anon_sym_BSLASHsig] = ACTIONS(2685),
    [anon_sym_BSLASHsls] = ACTIONS(2685),
    [anon_sym_BSLASHtl] = ACTIONS(2685),
    [anon_sym_BSLASHwj] = ACTIONS(2685),
    [anon_sym_BSLASHem] = ACTIONS(2685),
    [anon_sym_BSLASHbd] = ACTIONS(2685),
    [anon_sym_BSLASHit] = ACTIONS(2685),
    [anon_sym_BSLASHbdit] = ACTIONS(2685),
    [anon_sym_BSLASHno] = ACTIONS(2685),
    [anon_sym_BSLASHsc] = ACTIONS(2685),
    [anon_sym_BSLASHsup] = ACTIONS(2685),
    [anon_sym_BSLASHndx] = ACTIONS(2685),
    [anon_sym_BSLASHpro] = ACTIONS(2685),
    [anon_sym_BSLASHrb] = ACTIONS(2685),
    [anon_sym_BSLASHw] = ACTIONS(2685),
    [anon_sym_BSLASHwg] = ACTIONS(2685),
    [anon_sym_BSLASHwh] = ACTIONS(2685),
    [anon_sym_BSLASHwa] = ACTIONS(2685),
    [anon_sym_BSLASHfig] = ACTIONS(2685),
    [anon_sym_BSLASHjmp] = ACTIONS(2685),
    [anon_sym_BSLASHpb] = ACTIONS(2685),
    [anon_sym_BSLASH] = ACTIONS(2685),
    [sym_milestoneStartTag] = ACTIONS(2685),
    [sym_milestoneEndTag] = ACTIONS(2685),
    [sym_zSpaceTag] = ACTIONS(2685),
    [anon_sym_BSLASHesbe] = ACTIONS(2685),
    [anon_sym_BSLASHcat] = ACTIONS(2685),
  },
  [746] = {
    [sym_text] = STATE(746),
    [sym_footnote] = STATE(746),
    [sym_f] = STATE(1606),
    [sym_fe] = STATE(1606),
    [sym_ef] = STATE(1606),
    [sym_fm] = STATE(1606),
    [sym_crossref] = STATE(746),
    [sym_x] = STATE(1554),
    [sym_xt_standalone] = STATE(1554),
    [sym_rq] = STATE(1554),
    [sym_addNested] = STATE(746),
    [sym_bkNested] = STATE(746),
    [sym_dcNested] = STATE(746),
    [sym_kNested] = STATE(746),
    [sym_ndNested] = STATE(746),
    [sym_ordNested] = STATE(746),
    [sym_pnNested] = STATE(746),
    [sym_pngNested] = STATE(746),
    [sym_addpnNested] = STATE(746),
    [sym_qtNested] = STATE(746),
    [sym_sigNested] = STATE(746),
    [sym_slsNested] = STATE(746),
    [sym_tlNested] = STATE(746),
    [sym_wjNested] = STATE(746),
    [sym_emNested] = STATE(746),
    [sym_bdNested] = STATE(746),
    [sym_itNested] = STATE(746),
    [sym_bditNested] = STATE(746),
    [sym_noNested] = STATE(746),
    [sym_scNested] = STATE(746),
    [sym_supNested] = STATE(746),
    [sym_ndxNested] = STATE(746),
    [sym_proNested] = STATE(746),
    [sym_rbNested] = STATE(746),
    [sym_wNested] = STATE(746),
    [sym_wgNested] = STATE(746),
    [sym_whNested] = STATE(746),
    [sym_waNested] = STATE(746),
    [sym__nestedCharacterMarker] = STATE(746),
    [sym_fig] = STATE(746),
    [sym_jmpNested] = STATE(746),
    [aux_sym__innerText_repeat1] = STATE(746),
    [aux_sym_text_token1] = ACTIONS(5812),
    [anon_sym_BSLASHf] = ACTIONS(5815),
    [anon_sym_BSLASHfe] = ACTIONS(5818),
    [anon_sym_BSLASHef] = ACTIONS(5821),
    [anon_sym_BSLASHfm] = ACTIONS(5824),
    [anon_sym_BSLASHx] = ACTIONS(5827),
    [anon_sym_BSLASHxt] = ACTIONS(5830),
    [anon_sym_BSLASHrq] = ACTIONS(5833),
    [anon_sym_BSLASHk_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5836),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5839),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5842),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5845),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5848),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5851),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5854),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5857),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5860),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5863),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5866),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5869),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5872),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5875),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5878),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5881),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5884),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5887),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5890),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5893),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5896),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5899),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5902),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5905),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5908),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5911),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5914),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5917),
    [anon_sym_BSLASHfig] = ACTIONS(5920),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(5923),
    [anon_sym_PIPE] = ACTIONS(3142),
    [anon_sym_key] = ACTIONS(3142),
  },
  [747] = {
    [sym__comments] = STATE(760),
    [sym_sts] = STATE(760),
    [sym_rem] = STATE(760),
    [sym_restore] = STATE(760),
    [sym_lit] = STATE(760),
    [sym_imtBlock] = STATE(760),
    [sym_imt] = STATE(1705),
    [sym_imtTag] = STATE(1122),
    [sym_imteBlock] = STATE(1830),
    [sym_imte] = STATE(1835),
    [sym_imteTag] = STATE(1125),
    [sym__midIntroMarker] = STATE(760),
    [sym_isBlock] = STATE(760),
    [sym_is] = STATE(1712),
    [sym_isTag] = STATE(1126),
    [sym_io] = STATE(760),
    [sym_ioTag] = STATE(1127),
    [sym_iot] = STATE(760),
    [sym_ip] = STATE(760),
    [sym_im] = STATE(760),
    [sym_ipi] = STATE(760),
    [sym_imi] = STATE(760),
    [sym_iliBlock] = STATE(760),
    [sym_ili] = STATE(1711),
    [sym_iliTag] = STATE(1128),
    [sym_ipq] = STATE(760),
    [sym_imq] = STATE(760),
    [sym_ipr] = STATE(760),
    [sym_ib] = STATE(760),
    [sym_iqBlock] = STATE(760),
    [sym_iq] = STATE(1709),
    [sym_iqTag] = STATE(1129),
    [sym_ie] = STATE(1839),
    [sym_iex] = STATE(760),
    [sym_chapter] = STATE(1847),
    [sym_c] = STATE(153),
    [sym_cl] = STATE(2062),
    [sym_milestoneTag] = STATE(1964),
    [sym__milestoneStandaloneMarker] = STATE(1730),
    [sym__milestoneStart] = STATE(1730),
    [sym__milestoneEnd] = STATE(1730),
    [sym_milestone] = STATE(760),
    [sym__zNameSpaceRegular] = STATE(1729),
    [sym__zNameSpaceClosed] = STATE(1729),
    [sym__zNameSpaceStandaloneMarker] = STATE(1729),
    [sym_zNameSpace] = STATE(760),
    [sym_esb] = STATE(760),
    [aux_sym_File_repeat1] = STATE(760),
    [aux_sym_File_repeat2] = STATE(1847),
    [aux_sym_imtBlock_repeat1] = STATE(1705),
    [aux_sym_imteBlock_repeat1] = STATE(1835),
    [aux_sym_isBlock_repeat1] = STATE(1712),
    [aux_sym_iliBlock_repeat1] = STATE(1711),
    [aux_sym_iqBlock_repeat1] = STATE(1709),
    [ts_builtin_sym_end] = ACTIONS(5926),
    [anon_sym_BSLASHsts] = ACTIONS(5532),
    [anon_sym_BSLASHrem] = ACTIONS(5534),
    [anon_sym_BSLASHrestore] = ACTIONS(5536),
    [anon_sym_BSLASHlit] = ACTIONS(5538),
    [anon_sym_BSLASHimt] = ACTIONS(5540),
    [anon_sym_BSLASHimte] = ACTIONS(5542),
    [anon_sym_BSLASHis] = ACTIONS(5544),
    [anon_sym_BSLASHio] = ACTIONS(5546),
    [anon_sym_BSLASHiot] = ACTIONS(5548),
    [anon_sym_BSLASHip] = ACTIONS(5550),
    [anon_sym_BSLASHim] = ACTIONS(5552),
    [anon_sym_BSLASHipi] = ACTIONS(5554),
    [anon_sym_BSLASHimi] = ACTIONS(5556),
    [anon_sym_BSLASHili] = ACTIONS(5558),
    [anon_sym_BSLASHipq] = ACTIONS(5560),
    [anon_sym_BSLASHimq] = ACTIONS(5562),
    [anon_sym_BSLASHipr] = ACTIONS(5564),
    [anon_sym_BSLASHib] = ACTIONS(5566),
    [anon_sym_BSLASHiq] = ACTIONS(5568),
    [anon_sym_BSLASHie] = ACTIONS(5570),
    [anon_sym_BSLASHiex] = ACTIONS(5572),
    [anon_sym_BSLASHc] = ACTIONS(5574),
    [anon_sym_BSLASHcl] = ACTIONS(5576),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(5580),
    [sym_milestoneEndTag] = ACTIONS(5582),
    [sym_zSpaceTag] = ACTIONS(5584),
    [anon_sym_BSLASHesb] = ACTIONS(5586),
  },
  [748] = {
    [aux_sym_text_token1] = ACTIONS(2703),
    [anon_sym_BSLASHsts] = ACTIONS(2705),
    [anon_sym_BSLASHrem] = ACTIONS(2705),
    [anon_sym_BSLASHrestore] = ACTIONS(2705),
    [anon_sym_BSLASHlit] = ACTIONS(2705),
    [anon_sym_BSLASHip] = ACTIONS(2705),
    [anon_sym_BSLASHmte] = ACTIONS(2705),
    [anon_sym_BSLASHms] = ACTIONS(2705),
    [anon_sym_BSLASHs] = ACTIONS(2705),
    [anon_sym_BSLASHr] = ACTIONS(2705),
    [anon_sym_BSLASHsp] = ACTIONS(2705),
    [anon_sym_BSLASHd] = ACTIONS(2705),
    [anon_sym_BSLASHsd] = ACTIONS(2705),
    [anon_sym_BSLASHp] = ACTIONS(2705),
    [anon_sym_BSLASHm] = ACTIONS(2705),
    [anon_sym_BSLASHpo] = ACTIONS(2705),
    [anon_sym_BSLASHpr] = ACTIONS(2705),
    [anon_sym_BSLASHcls] = ACTIONS(2705),
    [anon_sym_BSLASHpmo] = ACTIONS(2705),
    [anon_sym_BSLASHpm] = ACTIONS(2705),
    [anon_sym_BSLASHpmc] = ACTIONS(2705),
    [anon_sym_BSLASHpmr] = ACTIONS(2705),
    [anon_sym_BSLASHpi] = ACTIONS(2705),
    [anon_sym_BSLASHmi] = ACTIONS(2705),
    [anon_sym_BSLASHnb] = ACTIONS(2705),
    [anon_sym_BSLASHpc] = ACTIONS(2705),
    [anon_sym_BSLASHph] = ACTIONS(2705),
    [anon_sym_BSLASHb] = ACTIONS(2705),
    [anon_sym_BSLASHq] = ACTIONS(2705),
    [anon_sym_BSLASHqr] = ACTIONS(2705),
    [anon_sym_BSLASHqc] = ACTIONS(2705),
    [anon_sym_BSLASHqa] = ACTIONS(2705),
    [anon_sym_BSLASHqm] = ACTIONS(2705),
    [anon_sym_BSLASHqd] = ACTIONS(2705),
    [anon_sym_BSLASHlh] = ACTIONS(2705),
    [anon_sym_BSLASHli] = ACTIONS(2705),
    [anon_sym_BSLASHlim] = ACTIONS(2705),
    [anon_sym_BSLASHtr] = ACTIONS(2705),
    [sym_thTag] = ACTIONS(2705),
    [sym_thrTag] = ACTIONS(2705),
    [sym_tcTag] = ACTIONS(2705),
    [sym_tcrTag] = ACTIONS(2705),
    [anon_sym_BSLASHf] = ACTIONS(2705),
    [anon_sym_BSLASHfe] = ACTIONS(2705),
    [anon_sym_BSLASHef] = ACTIONS(2705),
    [anon_sym_BSLASHfm] = ACTIONS(2705),
    [anon_sym_BSLASHadd] = ACTIONS(2705),
    [anon_sym_BSLASHbk] = ACTIONS(2705),
    [anon_sym_BSLASHdc] = ACTIONS(2705),
    [anon_sym_BSLASHk] = ACTIONS(2705),
    [anon_sym_BSLASHnd] = ACTIONS(2705),
    [anon_sym_BSLASHord] = ACTIONS(2705),
    [anon_sym_BSLASHpn] = ACTIONS(2705),
    [anon_sym_BSLASHpng] = ACTIONS(2705),
    [anon_sym_BSLASHaddpn] = ACTIONS(2705),
    [anon_sym_BSLASHqt] = ACTIONS(2705),
    [anon_sym_BSLASHsig] = ACTIONS(2705),
    [anon_sym_BSLASHsls] = ACTIONS(2705),
    [anon_sym_BSLASHtl] = ACTIONS(2705),
    [anon_sym_BSLASHwj] = ACTIONS(2705),
    [anon_sym_BSLASHem] = ACTIONS(2705),
    [anon_sym_BSLASHbd] = ACTIONS(2705),
    [anon_sym_BSLASHit] = ACTIONS(2705),
    [anon_sym_BSLASHbdit] = ACTIONS(2705),
    [anon_sym_BSLASHno] = ACTIONS(2705),
    [anon_sym_BSLASHsc] = ACTIONS(2705),
    [anon_sym_BSLASHsup] = ACTIONS(2705),
    [anon_sym_BSLASHndx] = ACTIONS(2705),
    [anon_sym_BSLASHpro] = ACTIONS(2705),
    [anon_sym_BSLASHrb] = ACTIONS(2705),
    [anon_sym_BSLASHw] = ACTIONS(2705),
    [anon_sym_BSLASHwg] = ACTIONS(2705),
    [anon_sym_BSLASHwh] = ACTIONS(2705),
    [anon_sym_BSLASHwa] = ACTIONS(2705),
    [anon_sym_BSLASHfig] = ACTIONS(2705),
    [anon_sym_BSLASHjmp] = ACTIONS(2705),
    [anon_sym_BSLASHpb] = ACTIONS(2705),
    [anon_sym_BSLASH] = ACTIONS(2705),
    [sym_milestoneStartTag] = ACTIONS(2705),
    [sym_milestoneEndTag] = ACTIONS(2705),
    [sym_zSpaceTag] = ACTIONS(2705),
    [anon_sym_BSLASHesbe] = ACTIONS(2705),
    [anon_sym_BSLASHcat] = ACTIONS(2705),
  },
  [749] = {
    [aux_sym_text_token1] = ACTIONS(2699),
    [anon_sym_BSLASHsts] = ACTIONS(2701),
    [anon_sym_BSLASHrem] = ACTIONS(2701),
    [anon_sym_BSLASHrestore] = ACTIONS(2701),
    [anon_sym_BSLASHlit] = ACTIONS(2701),
    [anon_sym_BSLASHip] = ACTIONS(2701),
    [anon_sym_BSLASHmte] = ACTIONS(2701),
    [anon_sym_BSLASHms] = ACTIONS(2701),
    [anon_sym_BSLASHs] = ACTIONS(2701),
    [anon_sym_BSLASHr] = ACTIONS(2701),
    [anon_sym_BSLASHsp] = ACTIONS(2701),
    [anon_sym_BSLASHd] = ACTIONS(2701),
    [anon_sym_BSLASHsd] = ACTIONS(2701),
    [anon_sym_BSLASHp] = ACTIONS(2701),
    [anon_sym_BSLASHm] = ACTIONS(2701),
    [anon_sym_BSLASHpo] = ACTIONS(2701),
    [anon_sym_BSLASHpr] = ACTIONS(2701),
    [anon_sym_BSLASHcls] = ACTIONS(2701),
    [anon_sym_BSLASHpmo] = ACTIONS(2701),
    [anon_sym_BSLASHpm] = ACTIONS(2701),
    [anon_sym_BSLASHpmc] = ACTIONS(2701),
    [anon_sym_BSLASHpmr] = ACTIONS(2701),
    [anon_sym_BSLASHpi] = ACTIONS(2701),
    [anon_sym_BSLASHmi] = ACTIONS(2701),
    [anon_sym_BSLASHnb] = ACTIONS(2701),
    [anon_sym_BSLASHpc] = ACTIONS(2701),
    [anon_sym_BSLASHph] = ACTIONS(2701),
    [anon_sym_BSLASHb] = ACTIONS(2701),
    [anon_sym_BSLASHq] = ACTIONS(2701),
    [anon_sym_BSLASHqr] = ACTIONS(2701),
    [anon_sym_BSLASHqc] = ACTIONS(2701),
    [anon_sym_BSLASHqa] = ACTIONS(2701),
    [anon_sym_BSLASHqm] = ACTIONS(2701),
    [anon_sym_BSLASHqd] = ACTIONS(2701),
    [anon_sym_BSLASHlh] = ACTIONS(2701),
    [anon_sym_BSLASHli] = ACTIONS(2701),
    [anon_sym_BSLASHlim] = ACTIONS(2701),
    [anon_sym_BSLASHtr] = ACTIONS(2701),
    [sym_thTag] = ACTIONS(2701),
    [sym_thrTag] = ACTIONS(2701),
    [sym_tcTag] = ACTIONS(2701),
    [sym_tcrTag] = ACTIONS(2701),
    [anon_sym_BSLASHf] = ACTIONS(2701),
    [anon_sym_BSLASHfe] = ACTIONS(2701),
    [anon_sym_BSLASHef] = ACTIONS(2701),
    [anon_sym_BSLASHfm] = ACTIONS(2701),
    [anon_sym_BSLASHadd] = ACTIONS(2701),
    [anon_sym_BSLASHbk] = ACTIONS(2701),
    [anon_sym_BSLASHdc] = ACTIONS(2701),
    [anon_sym_BSLASHk] = ACTIONS(2701),
    [anon_sym_BSLASHnd] = ACTIONS(2701),
    [anon_sym_BSLASHord] = ACTIONS(2701),
    [anon_sym_BSLASHpn] = ACTIONS(2701),
    [anon_sym_BSLASHpng] = ACTIONS(2701),
    [anon_sym_BSLASHaddpn] = ACTIONS(2701),
    [anon_sym_BSLASHqt] = ACTIONS(2701),
    [anon_sym_BSLASHsig] = ACTIONS(2701),
    [anon_sym_BSLASHsls] = ACTIONS(2701),
    [anon_sym_BSLASHtl] = ACTIONS(2701),
    [anon_sym_BSLASHwj] = ACTIONS(2701),
    [anon_sym_BSLASHem] = ACTIONS(2701),
    [anon_sym_BSLASHbd] = ACTIONS(2701),
    [anon_sym_BSLASHit] = ACTIONS(2701),
    [anon_sym_BSLASHbdit] = ACTIONS(2701),
    [anon_sym_BSLASHno] = ACTIONS(2701),
    [anon_sym_BSLASHsc] = ACTIONS(2701),
    [anon_sym_BSLASHsup] = ACTIONS(2701),
    [anon_sym_BSLASHndx] = ACTIONS(2701),
    [anon_sym_BSLASHpro] = ACTIONS(2701),
    [anon_sym_BSLASHrb] = ACTIONS(2701),
    [anon_sym_BSLASHw] = ACTIONS(2701),
    [anon_sym_BSLASHwg] = ACTIONS(2701),
    [anon_sym_BSLASHwh] = ACTIONS(2701),
    [anon_sym_BSLASHwa] = ACTIONS(2701),
    [anon_sym_BSLASHfig] = ACTIONS(2701),
    [anon_sym_BSLASHjmp] = ACTIONS(2701),
    [anon_sym_BSLASHpb] = ACTIONS(2701),
    [anon_sym_BSLASH] = ACTIONS(2701),
    [sym_milestoneStartTag] = ACTIONS(2701),
    [sym_milestoneEndTag] = ACTIONS(2701),
    [sym_zSpaceTag] = ACTIONS(2701),
    [anon_sym_BSLASHesbe] = ACTIONS(2701),
    [anon_sym_BSLASHcat] = ACTIONS(2701),
  },
  [750] = {
    [aux_sym_text_token1] = ACTIONS(2715),
    [anon_sym_BSLASHsts] = ACTIONS(2717),
    [anon_sym_BSLASHrem] = ACTIONS(2717),
    [anon_sym_BSLASHrestore] = ACTIONS(2717),
    [anon_sym_BSLASHlit] = ACTIONS(2717),
    [anon_sym_BSLASHip] = ACTIONS(2717),
    [anon_sym_BSLASHmte] = ACTIONS(2717),
    [anon_sym_BSLASHms] = ACTIONS(2717),
    [anon_sym_BSLASHs] = ACTIONS(2717),
    [anon_sym_BSLASHr] = ACTIONS(2717),
    [anon_sym_BSLASHsp] = ACTIONS(2717),
    [anon_sym_BSLASHd] = ACTIONS(2717),
    [anon_sym_BSLASHsd] = ACTIONS(2717),
    [anon_sym_BSLASHp] = ACTIONS(2717),
    [anon_sym_BSLASHm] = ACTIONS(2717),
    [anon_sym_BSLASHpo] = ACTIONS(2717),
    [anon_sym_BSLASHpr] = ACTIONS(2717),
    [anon_sym_BSLASHcls] = ACTIONS(2717),
    [anon_sym_BSLASHpmo] = ACTIONS(2717),
    [anon_sym_BSLASHpm] = ACTIONS(2717),
    [anon_sym_BSLASHpmc] = ACTIONS(2717),
    [anon_sym_BSLASHpmr] = ACTIONS(2717),
    [anon_sym_BSLASHpi] = ACTIONS(2717),
    [anon_sym_BSLASHmi] = ACTIONS(2717),
    [anon_sym_BSLASHnb] = ACTIONS(2717),
    [anon_sym_BSLASHpc] = ACTIONS(2717),
    [anon_sym_BSLASHph] = ACTIONS(2717),
    [anon_sym_BSLASHb] = ACTIONS(2717),
    [anon_sym_BSLASHq] = ACTIONS(2717),
    [anon_sym_BSLASHqr] = ACTIONS(2717),
    [anon_sym_BSLASHqc] = ACTIONS(2717),
    [anon_sym_BSLASHqa] = ACTIONS(2717),
    [anon_sym_BSLASHqm] = ACTIONS(2717),
    [anon_sym_BSLASHqd] = ACTIONS(2717),
    [anon_sym_BSLASHlh] = ACTIONS(2717),
    [anon_sym_BSLASHli] = ACTIONS(2717),
    [anon_sym_BSLASHlim] = ACTIONS(2717),
    [anon_sym_BSLASHtr] = ACTIONS(2717),
    [sym_thTag] = ACTIONS(2717),
    [sym_thrTag] = ACTIONS(2717),
    [sym_tcTag] = ACTIONS(2717),
    [sym_tcrTag] = ACTIONS(2717),
    [anon_sym_BSLASHf] = ACTIONS(2717),
    [anon_sym_BSLASHfe] = ACTIONS(2717),
    [anon_sym_BSLASHef] = ACTIONS(2717),
    [anon_sym_BSLASHfm] = ACTIONS(2717),
    [anon_sym_BSLASHadd] = ACTIONS(2717),
    [anon_sym_BSLASHbk] = ACTIONS(2717),
    [anon_sym_BSLASHdc] = ACTIONS(2717),
    [anon_sym_BSLASHk] = ACTIONS(2717),
    [anon_sym_BSLASHnd] = ACTIONS(2717),
    [anon_sym_BSLASHord] = ACTIONS(2717),
    [anon_sym_BSLASHpn] = ACTIONS(2717),
    [anon_sym_BSLASHpng] = ACTIONS(2717),
    [anon_sym_BSLASHaddpn] = ACTIONS(2717),
    [anon_sym_BSLASHqt] = ACTIONS(2717),
    [anon_sym_BSLASHsig] = ACTIONS(2717),
    [anon_sym_BSLASHsls] = ACTIONS(2717),
    [anon_sym_BSLASHtl] = ACTIONS(2717),
    [anon_sym_BSLASHwj] = ACTIONS(2717),
    [anon_sym_BSLASHem] = ACTIONS(2717),
    [anon_sym_BSLASHbd] = ACTIONS(2717),
    [anon_sym_BSLASHit] = ACTIONS(2717),
    [anon_sym_BSLASHbdit] = ACTIONS(2717),
    [anon_sym_BSLASHno] = ACTIONS(2717),
    [anon_sym_BSLASHsc] = ACTIONS(2717),
    [anon_sym_BSLASHsup] = ACTIONS(2717),
    [anon_sym_BSLASHndx] = ACTIONS(2717),
    [anon_sym_BSLASHpro] = ACTIONS(2717),
    [anon_sym_BSLASHrb] = ACTIONS(2717),
    [anon_sym_BSLASHw] = ACTIONS(2717),
    [anon_sym_BSLASHwg] = ACTIONS(2717),
    [anon_sym_BSLASHwh] = ACTIONS(2717),
    [anon_sym_BSLASHwa] = ACTIONS(2717),
    [anon_sym_BSLASHfig] = ACTIONS(2717),
    [anon_sym_BSLASHjmp] = ACTIONS(2717),
    [anon_sym_BSLASHpb] = ACTIONS(2717),
    [anon_sym_BSLASH] = ACTIONS(2717),
    [sym_milestoneStartTag] = ACTIONS(2717),
    [sym_milestoneEndTag] = ACTIONS(2717),
    [sym_zSpaceTag] = ACTIONS(2717),
    [anon_sym_BSLASHesbe] = ACTIONS(2717),
    [anon_sym_BSLASHcat] = ACTIONS(2717),
  },
  [751] = {
    [aux_sym_text_token1] = ACTIONS(2719),
    [anon_sym_BSLASHsts] = ACTIONS(2721),
    [anon_sym_BSLASHrem] = ACTIONS(2721),
    [anon_sym_BSLASHrestore] = ACTIONS(2721),
    [anon_sym_BSLASHlit] = ACTIONS(2721),
    [anon_sym_BSLASHip] = ACTIONS(2721),
    [anon_sym_BSLASHmte] = ACTIONS(2721),
    [anon_sym_BSLASHms] = ACTIONS(2721),
    [anon_sym_BSLASHs] = ACTIONS(2721),
    [anon_sym_BSLASHr] = ACTIONS(2721),
    [anon_sym_BSLASHsp] = ACTIONS(2721),
    [anon_sym_BSLASHd] = ACTIONS(2721),
    [anon_sym_BSLASHsd] = ACTIONS(2721),
    [anon_sym_BSLASHp] = ACTIONS(2721),
    [anon_sym_BSLASHm] = ACTIONS(2721),
    [anon_sym_BSLASHpo] = ACTIONS(2721),
    [anon_sym_BSLASHpr] = ACTIONS(2721),
    [anon_sym_BSLASHcls] = ACTIONS(2721),
    [anon_sym_BSLASHpmo] = ACTIONS(2721),
    [anon_sym_BSLASHpm] = ACTIONS(2721),
    [anon_sym_BSLASHpmc] = ACTIONS(2721),
    [anon_sym_BSLASHpmr] = ACTIONS(2721),
    [anon_sym_BSLASHpi] = ACTIONS(2721),
    [anon_sym_BSLASHmi] = ACTIONS(2721),
    [anon_sym_BSLASHnb] = ACTIONS(2721),
    [anon_sym_BSLASHpc] = ACTIONS(2721),
    [anon_sym_BSLASHph] = ACTIONS(2721),
    [anon_sym_BSLASHb] = ACTIONS(2721),
    [anon_sym_BSLASHq] = ACTIONS(2721),
    [anon_sym_BSLASHqr] = ACTIONS(2721),
    [anon_sym_BSLASHqc] = ACTIONS(2721),
    [anon_sym_BSLASHqa] = ACTIONS(2721),
    [anon_sym_BSLASHqm] = ACTIONS(2721),
    [anon_sym_BSLASHqd] = ACTIONS(2721),
    [anon_sym_BSLASHlh] = ACTIONS(2721),
    [anon_sym_BSLASHli] = ACTIONS(2721),
    [anon_sym_BSLASHlim] = ACTIONS(2721),
    [anon_sym_BSLASHtr] = ACTIONS(2721),
    [sym_thTag] = ACTIONS(2721),
    [sym_thrTag] = ACTIONS(2721),
    [sym_tcTag] = ACTIONS(2721),
    [sym_tcrTag] = ACTIONS(2721),
    [anon_sym_BSLASHf] = ACTIONS(2721),
    [anon_sym_BSLASHfe] = ACTIONS(2721),
    [anon_sym_BSLASHef] = ACTIONS(2721),
    [anon_sym_BSLASHfm] = ACTIONS(2721),
    [anon_sym_BSLASHadd] = ACTIONS(2721),
    [anon_sym_BSLASHbk] = ACTIONS(2721),
    [anon_sym_BSLASHdc] = ACTIONS(2721),
    [anon_sym_BSLASHk] = ACTIONS(2721),
    [anon_sym_BSLASHnd] = ACTIONS(2721),
    [anon_sym_BSLASHord] = ACTIONS(2721),
    [anon_sym_BSLASHpn] = ACTIONS(2721),
    [anon_sym_BSLASHpng] = ACTIONS(2721),
    [anon_sym_BSLASHaddpn] = ACTIONS(2721),
    [anon_sym_BSLASHqt] = ACTIONS(2721),
    [anon_sym_BSLASHsig] = ACTIONS(2721),
    [anon_sym_BSLASHsls] = ACTIONS(2721),
    [anon_sym_BSLASHtl] = ACTIONS(2721),
    [anon_sym_BSLASHwj] = ACTIONS(2721),
    [anon_sym_BSLASHem] = ACTIONS(2721),
    [anon_sym_BSLASHbd] = ACTIONS(2721),
    [anon_sym_BSLASHit] = ACTIONS(2721),
    [anon_sym_BSLASHbdit] = ACTIONS(2721),
    [anon_sym_BSLASHno] = ACTIONS(2721),
    [anon_sym_BSLASHsc] = ACTIONS(2721),
    [anon_sym_BSLASHsup] = ACTIONS(2721),
    [anon_sym_BSLASHndx] = ACTIONS(2721),
    [anon_sym_BSLASHpro] = ACTIONS(2721),
    [anon_sym_BSLASHrb] = ACTIONS(2721),
    [anon_sym_BSLASHw] = ACTIONS(2721),
    [anon_sym_BSLASHwg] = ACTIONS(2721),
    [anon_sym_BSLASHwh] = ACTIONS(2721),
    [anon_sym_BSLASHwa] = ACTIONS(2721),
    [anon_sym_BSLASHfig] = ACTIONS(2721),
    [anon_sym_BSLASHjmp] = ACTIONS(2721),
    [anon_sym_BSLASHpb] = ACTIONS(2721),
    [anon_sym_BSLASH] = ACTIONS(2721),
    [sym_milestoneStartTag] = ACTIONS(2721),
    [sym_milestoneEndTag] = ACTIONS(2721),
    [sym_zSpaceTag] = ACTIONS(2721),
    [anon_sym_BSLASHesbe] = ACTIONS(2721),
    [anon_sym_BSLASHcat] = ACTIONS(2721),
  },
  [752] = {
    [aux_sym_text_token1] = ACTIONS(2723),
    [anon_sym_BSLASHsts] = ACTIONS(2725),
    [anon_sym_BSLASHrem] = ACTIONS(2725),
    [anon_sym_BSLASHrestore] = ACTIONS(2725),
    [anon_sym_BSLASHlit] = ACTIONS(2725),
    [anon_sym_BSLASHip] = ACTIONS(2725),
    [anon_sym_BSLASHmte] = ACTIONS(2725),
    [anon_sym_BSLASHms] = ACTIONS(2725),
    [anon_sym_BSLASHs] = ACTIONS(2725),
    [anon_sym_BSLASHr] = ACTIONS(2725),
    [anon_sym_BSLASHsp] = ACTIONS(2725),
    [anon_sym_BSLASHd] = ACTIONS(2725),
    [anon_sym_BSLASHsd] = ACTIONS(2725),
    [anon_sym_BSLASHp] = ACTIONS(2725),
    [anon_sym_BSLASHm] = ACTIONS(2725),
    [anon_sym_BSLASHpo] = ACTIONS(2725),
    [anon_sym_BSLASHpr] = ACTIONS(2725),
    [anon_sym_BSLASHcls] = ACTIONS(2725),
    [anon_sym_BSLASHpmo] = ACTIONS(2725),
    [anon_sym_BSLASHpm] = ACTIONS(2725),
    [anon_sym_BSLASHpmc] = ACTIONS(2725),
    [anon_sym_BSLASHpmr] = ACTIONS(2725),
    [anon_sym_BSLASHpi] = ACTIONS(2725),
    [anon_sym_BSLASHmi] = ACTIONS(2725),
    [anon_sym_BSLASHnb] = ACTIONS(2725),
    [anon_sym_BSLASHpc] = ACTIONS(2725),
    [anon_sym_BSLASHph] = ACTIONS(2725),
    [anon_sym_BSLASHb] = ACTIONS(2725),
    [anon_sym_BSLASHq] = ACTIONS(2725),
    [anon_sym_BSLASHqr] = ACTIONS(2725),
    [anon_sym_BSLASHqc] = ACTIONS(2725),
    [anon_sym_BSLASHqa] = ACTIONS(2725),
    [anon_sym_BSLASHqm] = ACTIONS(2725),
    [anon_sym_BSLASHqd] = ACTIONS(2725),
    [anon_sym_BSLASHlh] = ACTIONS(2725),
    [anon_sym_BSLASHli] = ACTIONS(2725),
    [anon_sym_BSLASHlim] = ACTIONS(2725),
    [anon_sym_BSLASHtr] = ACTIONS(2725),
    [sym_thTag] = ACTIONS(2725),
    [sym_thrTag] = ACTIONS(2725),
    [sym_tcTag] = ACTIONS(2725),
    [sym_tcrTag] = ACTIONS(2725),
    [anon_sym_BSLASHf] = ACTIONS(2725),
    [anon_sym_BSLASHfe] = ACTIONS(2725),
    [anon_sym_BSLASHef] = ACTIONS(2725),
    [anon_sym_BSLASHfm] = ACTIONS(2725),
    [anon_sym_BSLASHadd] = ACTIONS(2725),
    [anon_sym_BSLASHbk] = ACTIONS(2725),
    [anon_sym_BSLASHdc] = ACTIONS(2725),
    [anon_sym_BSLASHk] = ACTIONS(2725),
    [anon_sym_BSLASHnd] = ACTIONS(2725),
    [anon_sym_BSLASHord] = ACTIONS(2725),
    [anon_sym_BSLASHpn] = ACTIONS(2725),
    [anon_sym_BSLASHpng] = ACTIONS(2725),
    [anon_sym_BSLASHaddpn] = ACTIONS(2725),
    [anon_sym_BSLASHqt] = ACTIONS(2725),
    [anon_sym_BSLASHsig] = ACTIONS(2725),
    [anon_sym_BSLASHsls] = ACTIONS(2725),
    [anon_sym_BSLASHtl] = ACTIONS(2725),
    [anon_sym_BSLASHwj] = ACTIONS(2725),
    [anon_sym_BSLASHem] = ACTIONS(2725),
    [anon_sym_BSLASHbd] = ACTIONS(2725),
    [anon_sym_BSLASHit] = ACTIONS(2725),
    [anon_sym_BSLASHbdit] = ACTIONS(2725),
    [anon_sym_BSLASHno] = ACTIONS(2725),
    [anon_sym_BSLASHsc] = ACTIONS(2725),
    [anon_sym_BSLASHsup] = ACTIONS(2725),
    [anon_sym_BSLASHndx] = ACTIONS(2725),
    [anon_sym_BSLASHpro] = ACTIONS(2725),
    [anon_sym_BSLASHrb] = ACTIONS(2725),
    [anon_sym_BSLASHw] = ACTIONS(2725),
    [anon_sym_BSLASHwg] = ACTIONS(2725),
    [anon_sym_BSLASHwh] = ACTIONS(2725),
    [anon_sym_BSLASHwa] = ACTIONS(2725),
    [anon_sym_BSLASHfig] = ACTIONS(2725),
    [anon_sym_BSLASHjmp] = ACTIONS(2725),
    [anon_sym_BSLASHpb] = ACTIONS(2725),
    [anon_sym_BSLASH] = ACTIONS(2725),
    [sym_milestoneStartTag] = ACTIONS(2725),
    [sym_milestoneEndTag] = ACTIONS(2725),
    [sym_zSpaceTag] = ACTIONS(2725),
    [anon_sym_BSLASHesbe] = ACTIONS(2725),
    [anon_sym_BSLASHcat] = ACTIONS(2725),
  },
  [753] = {
    [aux_sym_text_token1] = ACTIONS(2731),
    [anon_sym_BSLASHsts] = ACTIONS(2733),
    [anon_sym_BSLASHrem] = ACTIONS(2733),
    [anon_sym_BSLASHrestore] = ACTIONS(2733),
    [anon_sym_BSLASHlit] = ACTIONS(2733),
    [anon_sym_BSLASHip] = ACTIONS(2733),
    [anon_sym_BSLASHmte] = ACTIONS(2733),
    [anon_sym_BSLASHms] = ACTIONS(2733),
    [anon_sym_BSLASHs] = ACTIONS(2733),
    [anon_sym_BSLASHr] = ACTIONS(2733),
    [anon_sym_BSLASHsp] = ACTIONS(2733),
    [anon_sym_BSLASHd] = ACTIONS(2733),
    [anon_sym_BSLASHsd] = ACTIONS(2733),
    [anon_sym_BSLASHp] = ACTIONS(2733),
    [anon_sym_BSLASHm] = ACTIONS(2733),
    [anon_sym_BSLASHpo] = ACTIONS(2733),
    [anon_sym_BSLASHpr] = ACTIONS(2733),
    [anon_sym_BSLASHcls] = ACTIONS(2733),
    [anon_sym_BSLASHpmo] = ACTIONS(2733),
    [anon_sym_BSLASHpm] = ACTIONS(2733),
    [anon_sym_BSLASHpmc] = ACTIONS(2733),
    [anon_sym_BSLASHpmr] = ACTIONS(2733),
    [anon_sym_BSLASHpi] = ACTIONS(2733),
    [anon_sym_BSLASHmi] = ACTIONS(2733),
    [anon_sym_BSLASHnb] = ACTIONS(2733),
    [anon_sym_BSLASHpc] = ACTIONS(2733),
    [anon_sym_BSLASHph] = ACTIONS(2733),
    [anon_sym_BSLASHb] = ACTIONS(2733),
    [anon_sym_BSLASHq] = ACTIONS(2733),
    [anon_sym_BSLASHqr] = ACTIONS(2733),
    [anon_sym_BSLASHqc] = ACTIONS(2733),
    [anon_sym_BSLASHqa] = ACTIONS(2733),
    [anon_sym_BSLASHqm] = ACTIONS(2733),
    [anon_sym_BSLASHqd] = ACTIONS(2733),
    [anon_sym_BSLASHlh] = ACTIONS(2733),
    [anon_sym_BSLASHli] = ACTIONS(2733),
    [anon_sym_BSLASHlim] = ACTIONS(2733),
    [anon_sym_BSLASHtr] = ACTIONS(2733),
    [sym_thTag] = ACTIONS(2733),
    [sym_thrTag] = ACTIONS(2733),
    [sym_tcTag] = ACTIONS(2733),
    [sym_tcrTag] = ACTIONS(2733),
    [anon_sym_BSLASHf] = ACTIONS(2733),
    [anon_sym_BSLASHfe] = ACTIONS(2733),
    [anon_sym_BSLASHef] = ACTIONS(2733),
    [anon_sym_BSLASHfm] = ACTIONS(2733),
    [anon_sym_BSLASHadd] = ACTIONS(2733),
    [anon_sym_BSLASHbk] = ACTIONS(2733),
    [anon_sym_BSLASHdc] = ACTIONS(2733),
    [anon_sym_BSLASHk] = ACTIONS(2733),
    [anon_sym_BSLASHnd] = ACTIONS(2733),
    [anon_sym_BSLASHord] = ACTIONS(2733),
    [anon_sym_BSLASHpn] = ACTIONS(2733),
    [anon_sym_BSLASHpng] = ACTIONS(2733),
    [anon_sym_BSLASHaddpn] = ACTIONS(2733),
    [anon_sym_BSLASHqt] = ACTIONS(2733),
    [anon_sym_BSLASHsig] = ACTIONS(2733),
    [anon_sym_BSLASHsls] = ACTIONS(2733),
    [anon_sym_BSLASHtl] = ACTIONS(2733),
    [anon_sym_BSLASHwj] = ACTIONS(2733),
    [anon_sym_BSLASHem] = ACTIONS(2733),
    [anon_sym_BSLASHbd] = ACTIONS(2733),
    [anon_sym_BSLASHit] = ACTIONS(2733),
    [anon_sym_BSLASHbdit] = ACTIONS(2733),
    [anon_sym_BSLASHno] = ACTIONS(2733),
    [anon_sym_BSLASHsc] = ACTIONS(2733),
    [anon_sym_BSLASHsup] = ACTIONS(2733),
    [anon_sym_BSLASHndx] = ACTIONS(2733),
    [anon_sym_BSLASHpro] = ACTIONS(2733),
    [anon_sym_BSLASHrb] = ACTIONS(2733),
    [anon_sym_BSLASHw] = ACTIONS(2733),
    [anon_sym_BSLASHwg] = ACTIONS(2733),
    [anon_sym_BSLASHwh] = ACTIONS(2733),
    [anon_sym_BSLASHwa] = ACTIONS(2733),
    [anon_sym_BSLASHfig] = ACTIONS(2733),
    [anon_sym_BSLASHjmp] = ACTIONS(2733),
    [anon_sym_BSLASHpb] = ACTIONS(2733),
    [anon_sym_BSLASH] = ACTIONS(2733),
    [sym_milestoneStartTag] = ACTIONS(2733),
    [sym_milestoneEndTag] = ACTIONS(2733),
    [sym_zSpaceTag] = ACTIONS(2733),
    [anon_sym_BSLASHesbe] = ACTIONS(2733),
    [anon_sym_BSLASHcat] = ACTIONS(2733),
  },
  [754] = {
    [sym__comments] = STATE(1112),
    [sym_sts] = STATE(1112),
    [sym_rem] = STATE(1112),
    [sym_restore] = STATE(1112),
    [sym_lit] = STATE(1112),
    [sym_imtBlock] = STATE(1112),
    [sym_imt] = STATE(1705),
    [sym_imtTag] = STATE(1122),
    [sym_imteBlock] = STATE(1830),
    [sym_imte] = STATE(1835),
    [sym_imteTag] = STATE(1125),
    [sym__midIntroMarker] = STATE(1112),
    [sym_isBlock] = STATE(1112),
    [sym_is] = STATE(1712),
    [sym_isTag] = STATE(1126),
    [sym_io] = STATE(1112),
    [sym_ioTag] = STATE(1127),
    [sym_iot] = STATE(1112),
    [sym_ip] = STATE(1112),
    [sym_im] = STATE(1112),
    [sym_ipi] = STATE(1112),
    [sym_imi] = STATE(1112),
    [sym_iliBlock] = STATE(1112),
    [sym_ili] = STATE(1711),
    [sym_iliTag] = STATE(1128),
    [sym_ipq] = STATE(1112),
    [sym_imq] = STATE(1112),
    [sym_ipr] = STATE(1112),
    [sym_ib] = STATE(1112),
    [sym_iqBlock] = STATE(1112),
    [sym_iq] = STATE(1709),
    [sym_iqTag] = STATE(1129),
    [sym_ie] = STATE(1839),
    [sym_iex] = STATE(1112),
    [sym_chapter] = STATE(1847),
    [sym_c] = STATE(153),
    [sym_cl] = STATE(2062),
    [sym_milestoneTag] = STATE(1964),
    [sym__milestoneStandaloneMarker] = STATE(1730),
    [sym__milestoneStart] = STATE(1730),
    [sym__milestoneEnd] = STATE(1730),
    [sym_milestone] = STATE(1112),
    [sym__zNameSpaceRegular] = STATE(1729),
    [sym__zNameSpaceClosed] = STATE(1729),
    [sym__zNameSpaceStandaloneMarker] = STATE(1729),
    [sym_zNameSpace] = STATE(1112),
    [sym_esb] = STATE(1112),
    [aux_sym_File_repeat1] = STATE(1112),
    [aux_sym_File_repeat2] = STATE(1847),
    [aux_sym_imtBlock_repeat1] = STATE(1705),
    [aux_sym_imteBlock_repeat1] = STATE(1835),
    [aux_sym_isBlock_repeat1] = STATE(1712),
    [aux_sym_iliBlock_repeat1] = STATE(1711),
    [aux_sym_iqBlock_repeat1] = STATE(1709),
    [ts_builtin_sym_end] = ACTIONS(5926),
    [anon_sym_BSLASHsts] = ACTIONS(5532),
    [anon_sym_BSLASHrem] = ACTIONS(5534),
    [anon_sym_BSLASHrestore] = ACTIONS(5536),
    [anon_sym_BSLASHlit] = ACTIONS(5538),
    [anon_sym_BSLASHimt] = ACTIONS(5540),
    [anon_sym_BSLASHimte] = ACTIONS(5542),
    [anon_sym_BSLASHis] = ACTIONS(5544),
    [anon_sym_BSLASHio] = ACTIONS(5546),
    [anon_sym_BSLASHiot] = ACTIONS(5548),
    [anon_sym_BSLASHip] = ACTIONS(5550),
    [anon_sym_BSLASHim] = ACTIONS(5552),
    [anon_sym_BSLASHipi] = ACTIONS(5554),
    [anon_sym_BSLASHimi] = ACTIONS(5556),
    [anon_sym_BSLASHili] = ACTIONS(5558),
    [anon_sym_BSLASHipq] = ACTIONS(5560),
    [anon_sym_BSLASHimq] = ACTIONS(5562),
    [anon_sym_BSLASHipr] = ACTIONS(5564),
    [anon_sym_BSLASHib] = ACTIONS(5566),
    [anon_sym_BSLASHiq] = ACTIONS(5568),
    [anon_sym_BSLASHie] = ACTIONS(5570),
    [anon_sym_BSLASHiex] = ACTIONS(5572),
    [anon_sym_BSLASHc] = ACTIONS(5574),
    [anon_sym_BSLASHcl] = ACTIONS(5576),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(5580),
    [sym_milestoneEndTag] = ACTIONS(5582),
    [sym_zSpaceTag] = ACTIONS(5584),
    [anon_sym_BSLASHesb] = ACTIONS(5586),
  },
  [755] = {
    [aux_sym_text_token1] = ACTIONS(2759),
    [anon_sym_BSLASHsts] = ACTIONS(2761),
    [anon_sym_BSLASHrem] = ACTIONS(2761),
    [anon_sym_BSLASHrestore] = ACTIONS(2761),
    [anon_sym_BSLASHlit] = ACTIONS(2761),
    [anon_sym_BSLASHip] = ACTIONS(2761),
    [anon_sym_BSLASHmte] = ACTIONS(2761),
    [anon_sym_BSLASHms] = ACTIONS(2761),
    [anon_sym_BSLASHs] = ACTIONS(2761),
    [anon_sym_BSLASHr] = ACTIONS(2761),
    [anon_sym_BSLASHsp] = ACTIONS(2761),
    [anon_sym_BSLASHd] = ACTIONS(2761),
    [anon_sym_BSLASHsd] = ACTIONS(2761),
    [anon_sym_BSLASHp] = ACTIONS(2761),
    [anon_sym_BSLASHm] = ACTIONS(2761),
    [anon_sym_BSLASHpo] = ACTIONS(2761),
    [anon_sym_BSLASHpr] = ACTIONS(2761),
    [anon_sym_BSLASHcls] = ACTIONS(2761),
    [anon_sym_BSLASHpmo] = ACTIONS(2761),
    [anon_sym_BSLASHpm] = ACTIONS(2761),
    [anon_sym_BSLASHpmc] = ACTIONS(2761),
    [anon_sym_BSLASHpmr] = ACTIONS(2761),
    [anon_sym_BSLASHpi] = ACTIONS(2761),
    [anon_sym_BSLASHmi] = ACTIONS(2761),
    [anon_sym_BSLASHnb] = ACTIONS(2761),
    [anon_sym_BSLASHpc] = ACTIONS(2761),
    [anon_sym_BSLASHph] = ACTIONS(2761),
    [anon_sym_BSLASHb] = ACTIONS(2761),
    [anon_sym_BSLASHq] = ACTIONS(2761),
    [anon_sym_BSLASHqr] = ACTIONS(2761),
    [anon_sym_BSLASHqc] = ACTIONS(2761),
    [anon_sym_BSLASHqa] = ACTIONS(2761),
    [anon_sym_BSLASHqm] = ACTIONS(2761),
    [anon_sym_BSLASHqd] = ACTIONS(2761),
    [anon_sym_BSLASHlh] = ACTIONS(2761),
    [anon_sym_BSLASHli] = ACTIONS(2761),
    [anon_sym_BSLASHlim] = ACTIONS(2761),
    [anon_sym_BSLASHtr] = ACTIONS(2761),
    [sym_thTag] = ACTIONS(2761),
    [sym_thrTag] = ACTIONS(2761),
    [sym_tcTag] = ACTIONS(2761),
    [sym_tcrTag] = ACTIONS(2761),
    [anon_sym_BSLASHf] = ACTIONS(2761),
    [anon_sym_BSLASHfe] = ACTIONS(2761),
    [anon_sym_BSLASHef] = ACTIONS(2761),
    [anon_sym_BSLASHfm] = ACTIONS(2761),
    [anon_sym_BSLASHadd] = ACTIONS(2761),
    [anon_sym_BSLASHbk] = ACTIONS(2761),
    [anon_sym_BSLASHdc] = ACTIONS(2761),
    [anon_sym_BSLASHk] = ACTIONS(2761),
    [anon_sym_BSLASHnd] = ACTIONS(2761),
    [anon_sym_BSLASHord] = ACTIONS(2761),
    [anon_sym_BSLASHpn] = ACTIONS(2761),
    [anon_sym_BSLASHpng] = ACTIONS(2761),
    [anon_sym_BSLASHaddpn] = ACTIONS(2761),
    [anon_sym_BSLASHqt] = ACTIONS(2761),
    [anon_sym_BSLASHsig] = ACTIONS(2761),
    [anon_sym_BSLASHsls] = ACTIONS(2761),
    [anon_sym_BSLASHtl] = ACTIONS(2761),
    [anon_sym_BSLASHwj] = ACTIONS(2761),
    [anon_sym_BSLASHem] = ACTIONS(2761),
    [anon_sym_BSLASHbd] = ACTIONS(2761),
    [anon_sym_BSLASHit] = ACTIONS(2761),
    [anon_sym_BSLASHbdit] = ACTIONS(2761),
    [anon_sym_BSLASHno] = ACTIONS(2761),
    [anon_sym_BSLASHsc] = ACTIONS(2761),
    [anon_sym_BSLASHsup] = ACTIONS(2761),
    [anon_sym_BSLASHndx] = ACTIONS(2761),
    [anon_sym_BSLASHpro] = ACTIONS(2761),
    [anon_sym_BSLASHrb] = ACTIONS(2761),
    [anon_sym_BSLASHw] = ACTIONS(2761),
    [anon_sym_BSLASHwg] = ACTIONS(2761),
    [anon_sym_BSLASHwh] = ACTIONS(2761),
    [anon_sym_BSLASHwa] = ACTIONS(2761),
    [anon_sym_BSLASHfig] = ACTIONS(2761),
    [anon_sym_BSLASHjmp] = ACTIONS(2761),
    [anon_sym_BSLASHpb] = ACTIONS(2761),
    [anon_sym_BSLASH] = ACTIONS(2761),
    [sym_milestoneStartTag] = ACTIONS(2761),
    [sym_milestoneEndTag] = ACTIONS(2761),
    [sym_zSpaceTag] = ACTIONS(2761),
    [anon_sym_BSLASHesbe] = ACTIONS(2761),
    [anon_sym_BSLASHcat] = ACTIONS(2761),
  },
  [756] = {
    [aux_sym_text_token1] = ACTIONS(2687),
    [anon_sym_BSLASHsts] = ACTIONS(2689),
    [anon_sym_BSLASHrem] = ACTIONS(2689),
    [anon_sym_BSLASHrestore] = ACTIONS(2689),
    [anon_sym_BSLASHlit] = ACTIONS(2689),
    [anon_sym_BSLASHip] = ACTIONS(2689),
    [anon_sym_BSLASHmte] = ACTIONS(2689),
    [anon_sym_BSLASHms] = ACTIONS(2689),
    [anon_sym_BSLASHs] = ACTIONS(2689),
    [anon_sym_BSLASHr] = ACTIONS(2689),
    [anon_sym_BSLASHsp] = ACTIONS(2689),
    [anon_sym_BSLASHd] = ACTIONS(2689),
    [anon_sym_BSLASHsd] = ACTIONS(2689),
    [anon_sym_BSLASHp] = ACTIONS(2689),
    [anon_sym_BSLASHm] = ACTIONS(2689),
    [anon_sym_BSLASHpo] = ACTIONS(2689),
    [anon_sym_BSLASHpr] = ACTIONS(2689),
    [anon_sym_BSLASHcls] = ACTIONS(2689),
    [anon_sym_BSLASHpmo] = ACTIONS(2689),
    [anon_sym_BSLASHpm] = ACTIONS(2689),
    [anon_sym_BSLASHpmc] = ACTIONS(2689),
    [anon_sym_BSLASHpmr] = ACTIONS(2689),
    [anon_sym_BSLASHpi] = ACTIONS(2689),
    [anon_sym_BSLASHmi] = ACTIONS(2689),
    [anon_sym_BSLASHnb] = ACTIONS(2689),
    [anon_sym_BSLASHpc] = ACTIONS(2689),
    [anon_sym_BSLASHph] = ACTIONS(2689),
    [anon_sym_BSLASHb] = ACTIONS(2689),
    [anon_sym_BSLASHq] = ACTIONS(2689),
    [anon_sym_BSLASHqr] = ACTIONS(2689),
    [anon_sym_BSLASHqc] = ACTIONS(2689),
    [anon_sym_BSLASHqa] = ACTIONS(2689),
    [anon_sym_BSLASHqm] = ACTIONS(2689),
    [anon_sym_BSLASHqd] = ACTIONS(2689),
    [anon_sym_BSLASHlh] = ACTIONS(2689),
    [anon_sym_BSLASHli] = ACTIONS(2689),
    [anon_sym_BSLASHlim] = ACTIONS(2689),
    [anon_sym_BSLASHtr] = ACTIONS(2689),
    [sym_thTag] = ACTIONS(2689),
    [sym_thrTag] = ACTIONS(2689),
    [sym_tcTag] = ACTIONS(2689),
    [sym_tcrTag] = ACTIONS(2689),
    [anon_sym_BSLASHf] = ACTIONS(2689),
    [anon_sym_BSLASHfe] = ACTIONS(2689),
    [anon_sym_BSLASHef] = ACTIONS(2689),
    [anon_sym_BSLASHfm] = ACTIONS(2689),
    [anon_sym_BSLASHadd] = ACTIONS(2689),
    [anon_sym_BSLASHbk] = ACTIONS(2689),
    [anon_sym_BSLASHdc] = ACTIONS(2689),
    [anon_sym_BSLASHk] = ACTIONS(2689),
    [anon_sym_BSLASHnd] = ACTIONS(2689),
    [anon_sym_BSLASHord] = ACTIONS(2689),
    [anon_sym_BSLASHpn] = ACTIONS(2689),
    [anon_sym_BSLASHpng] = ACTIONS(2689),
    [anon_sym_BSLASHaddpn] = ACTIONS(2689),
    [anon_sym_BSLASHqt] = ACTIONS(2689),
    [anon_sym_BSLASHsig] = ACTIONS(2689),
    [anon_sym_BSLASHsls] = ACTIONS(2689),
    [anon_sym_BSLASHtl] = ACTIONS(2689),
    [anon_sym_BSLASHwj] = ACTIONS(2689),
    [anon_sym_BSLASHem] = ACTIONS(2689),
    [anon_sym_BSLASHbd] = ACTIONS(2689),
    [anon_sym_BSLASHit] = ACTIONS(2689),
    [anon_sym_BSLASHbdit] = ACTIONS(2689),
    [anon_sym_BSLASHno] = ACTIONS(2689),
    [anon_sym_BSLASHsc] = ACTIONS(2689),
    [anon_sym_BSLASHsup] = ACTIONS(2689),
    [anon_sym_BSLASHndx] = ACTIONS(2689),
    [anon_sym_BSLASHpro] = ACTIONS(2689),
    [anon_sym_BSLASHrb] = ACTIONS(2689),
    [anon_sym_BSLASHw] = ACTIONS(2689),
    [anon_sym_BSLASHwg] = ACTIONS(2689),
    [anon_sym_BSLASHwh] = ACTIONS(2689),
    [anon_sym_BSLASHwa] = ACTIONS(2689),
    [anon_sym_BSLASHfig] = ACTIONS(2689),
    [anon_sym_BSLASHjmp] = ACTIONS(2689),
    [anon_sym_BSLASHpb] = ACTIONS(2689),
    [anon_sym_BSLASH] = ACTIONS(2689),
    [sym_milestoneStartTag] = ACTIONS(2689),
    [sym_milestoneEndTag] = ACTIONS(2689),
    [sym_zSpaceTag] = ACTIONS(2689),
    [anon_sym_BSLASHesbe] = ACTIONS(2689),
    [anon_sym_BSLASHcat] = ACTIONS(2689),
  },
  [757] = {
    [aux_sym_text_token1] = ACTIONS(2691),
    [anon_sym_BSLASHsts] = ACTIONS(2693),
    [anon_sym_BSLASHrem] = ACTIONS(2693),
    [anon_sym_BSLASHrestore] = ACTIONS(2693),
    [anon_sym_BSLASHlit] = ACTIONS(2693),
    [anon_sym_BSLASHip] = ACTIONS(2693),
    [anon_sym_BSLASHmte] = ACTIONS(2693),
    [anon_sym_BSLASHms] = ACTIONS(2693),
    [anon_sym_BSLASHs] = ACTIONS(2693),
    [anon_sym_BSLASHr] = ACTIONS(2693),
    [anon_sym_BSLASHsp] = ACTIONS(2693),
    [anon_sym_BSLASHd] = ACTIONS(2693),
    [anon_sym_BSLASHsd] = ACTIONS(2693),
    [anon_sym_BSLASHp] = ACTIONS(2693),
    [anon_sym_BSLASHm] = ACTIONS(2693),
    [anon_sym_BSLASHpo] = ACTIONS(2693),
    [anon_sym_BSLASHpr] = ACTIONS(2693),
    [anon_sym_BSLASHcls] = ACTIONS(2693),
    [anon_sym_BSLASHpmo] = ACTIONS(2693),
    [anon_sym_BSLASHpm] = ACTIONS(2693),
    [anon_sym_BSLASHpmc] = ACTIONS(2693),
    [anon_sym_BSLASHpmr] = ACTIONS(2693),
    [anon_sym_BSLASHpi] = ACTIONS(2693),
    [anon_sym_BSLASHmi] = ACTIONS(2693),
    [anon_sym_BSLASHnb] = ACTIONS(2693),
    [anon_sym_BSLASHpc] = ACTIONS(2693),
    [anon_sym_BSLASHph] = ACTIONS(2693),
    [anon_sym_BSLASHb] = ACTIONS(2693),
    [anon_sym_BSLASHq] = ACTIONS(2693),
    [anon_sym_BSLASHqr] = ACTIONS(2693),
    [anon_sym_BSLASHqc] = ACTIONS(2693),
    [anon_sym_BSLASHqa] = ACTIONS(2693),
    [anon_sym_BSLASHqm] = ACTIONS(2693),
    [anon_sym_BSLASHqd] = ACTIONS(2693),
    [anon_sym_BSLASHlh] = ACTIONS(2693),
    [anon_sym_BSLASHli] = ACTIONS(2693),
    [anon_sym_BSLASHlim] = ACTIONS(2693),
    [anon_sym_BSLASHtr] = ACTIONS(2693),
    [sym_thTag] = ACTIONS(2693),
    [sym_thrTag] = ACTIONS(2693),
    [sym_tcTag] = ACTIONS(2693),
    [sym_tcrTag] = ACTIONS(2693),
    [anon_sym_BSLASHf] = ACTIONS(2693),
    [anon_sym_BSLASHfe] = ACTIONS(2693),
    [anon_sym_BSLASHef] = ACTIONS(2693),
    [anon_sym_BSLASHfm] = ACTIONS(2693),
    [anon_sym_BSLASHadd] = ACTIONS(2693),
    [anon_sym_BSLASHbk] = ACTIONS(2693),
    [anon_sym_BSLASHdc] = ACTIONS(2693),
    [anon_sym_BSLASHk] = ACTIONS(2693),
    [anon_sym_BSLASHnd] = ACTIONS(2693),
    [anon_sym_BSLASHord] = ACTIONS(2693),
    [anon_sym_BSLASHpn] = ACTIONS(2693),
    [anon_sym_BSLASHpng] = ACTIONS(2693),
    [anon_sym_BSLASHaddpn] = ACTIONS(2693),
    [anon_sym_BSLASHqt] = ACTIONS(2693),
    [anon_sym_BSLASHsig] = ACTIONS(2693),
    [anon_sym_BSLASHsls] = ACTIONS(2693),
    [anon_sym_BSLASHtl] = ACTIONS(2693),
    [anon_sym_BSLASHwj] = ACTIONS(2693),
    [anon_sym_BSLASHem] = ACTIONS(2693),
    [anon_sym_BSLASHbd] = ACTIONS(2693),
    [anon_sym_BSLASHit] = ACTIONS(2693),
    [anon_sym_BSLASHbdit] = ACTIONS(2693),
    [anon_sym_BSLASHno] = ACTIONS(2693),
    [anon_sym_BSLASHsc] = ACTIONS(2693),
    [anon_sym_BSLASHsup] = ACTIONS(2693),
    [anon_sym_BSLASHndx] = ACTIONS(2693),
    [anon_sym_BSLASHpro] = ACTIONS(2693),
    [anon_sym_BSLASHrb] = ACTIONS(2693),
    [anon_sym_BSLASHw] = ACTIONS(2693),
    [anon_sym_BSLASHwg] = ACTIONS(2693),
    [anon_sym_BSLASHwh] = ACTIONS(2693),
    [anon_sym_BSLASHwa] = ACTIONS(2693),
    [anon_sym_BSLASHfig] = ACTIONS(2693),
    [anon_sym_BSLASHjmp] = ACTIONS(2693),
    [anon_sym_BSLASHpb] = ACTIONS(2693),
    [anon_sym_BSLASH] = ACTIONS(2693),
    [sym_milestoneStartTag] = ACTIONS(2693),
    [sym_milestoneEndTag] = ACTIONS(2693),
    [sym_zSpaceTag] = ACTIONS(2693),
    [anon_sym_BSLASHesbe] = ACTIONS(2693),
    [anon_sym_BSLASHcat] = ACTIONS(2693),
  },
  [758] = {
    [aux_sym_text_token1] = ACTIONS(2695),
    [anon_sym_BSLASHsts] = ACTIONS(2697),
    [anon_sym_BSLASHrem] = ACTIONS(2697),
    [anon_sym_BSLASHrestore] = ACTIONS(2697),
    [anon_sym_BSLASHlit] = ACTIONS(2697),
    [anon_sym_BSLASHip] = ACTIONS(2697),
    [anon_sym_BSLASHmte] = ACTIONS(2697),
    [anon_sym_BSLASHms] = ACTIONS(2697),
    [anon_sym_BSLASHs] = ACTIONS(2697),
    [anon_sym_BSLASHr] = ACTIONS(2697),
    [anon_sym_BSLASHsp] = ACTIONS(2697),
    [anon_sym_BSLASHd] = ACTIONS(2697),
    [anon_sym_BSLASHsd] = ACTIONS(2697),
    [anon_sym_BSLASHp] = ACTIONS(2697),
    [anon_sym_BSLASHm] = ACTIONS(2697),
    [anon_sym_BSLASHpo] = ACTIONS(2697),
    [anon_sym_BSLASHpr] = ACTIONS(2697),
    [anon_sym_BSLASHcls] = ACTIONS(2697),
    [anon_sym_BSLASHpmo] = ACTIONS(2697),
    [anon_sym_BSLASHpm] = ACTIONS(2697),
    [anon_sym_BSLASHpmc] = ACTIONS(2697),
    [anon_sym_BSLASHpmr] = ACTIONS(2697),
    [anon_sym_BSLASHpi] = ACTIONS(2697),
    [anon_sym_BSLASHmi] = ACTIONS(2697),
    [anon_sym_BSLASHnb] = ACTIONS(2697),
    [anon_sym_BSLASHpc] = ACTIONS(2697),
    [anon_sym_BSLASHph] = ACTIONS(2697),
    [anon_sym_BSLASHb] = ACTIONS(2697),
    [anon_sym_BSLASHq] = ACTIONS(2697),
    [anon_sym_BSLASHqr] = ACTIONS(2697),
    [anon_sym_BSLASHqc] = ACTIONS(2697),
    [anon_sym_BSLASHqa] = ACTIONS(2697),
    [anon_sym_BSLASHqm] = ACTIONS(2697),
    [anon_sym_BSLASHqd] = ACTIONS(2697),
    [anon_sym_BSLASHlh] = ACTIONS(2697),
    [anon_sym_BSLASHli] = ACTIONS(2697),
    [anon_sym_BSLASHlim] = ACTIONS(2697),
    [anon_sym_BSLASHtr] = ACTIONS(2697),
    [sym_thTag] = ACTIONS(2697),
    [sym_thrTag] = ACTIONS(2697),
    [sym_tcTag] = ACTIONS(2697),
    [sym_tcrTag] = ACTIONS(2697),
    [anon_sym_BSLASHf] = ACTIONS(2697),
    [anon_sym_BSLASHfe] = ACTIONS(2697),
    [anon_sym_BSLASHef] = ACTIONS(2697),
    [anon_sym_BSLASHfm] = ACTIONS(2697),
    [anon_sym_BSLASHadd] = ACTIONS(2697),
    [anon_sym_BSLASHbk] = ACTIONS(2697),
    [anon_sym_BSLASHdc] = ACTIONS(2697),
    [anon_sym_BSLASHk] = ACTIONS(2697),
    [anon_sym_BSLASHnd] = ACTIONS(2697),
    [anon_sym_BSLASHord] = ACTIONS(2697),
    [anon_sym_BSLASHpn] = ACTIONS(2697),
    [anon_sym_BSLASHpng] = ACTIONS(2697),
    [anon_sym_BSLASHaddpn] = ACTIONS(2697),
    [anon_sym_BSLASHqt] = ACTIONS(2697),
    [anon_sym_BSLASHsig] = ACTIONS(2697),
    [anon_sym_BSLASHsls] = ACTIONS(2697),
    [anon_sym_BSLASHtl] = ACTIONS(2697),
    [anon_sym_BSLASHwj] = ACTIONS(2697),
    [anon_sym_BSLASHem] = ACTIONS(2697),
    [anon_sym_BSLASHbd] = ACTIONS(2697),
    [anon_sym_BSLASHit] = ACTIONS(2697),
    [anon_sym_BSLASHbdit] = ACTIONS(2697),
    [anon_sym_BSLASHno] = ACTIONS(2697),
    [anon_sym_BSLASHsc] = ACTIONS(2697),
    [anon_sym_BSLASHsup] = ACTIONS(2697),
    [anon_sym_BSLASHndx] = ACTIONS(2697),
    [anon_sym_BSLASHpro] = ACTIONS(2697),
    [anon_sym_BSLASHrb] = ACTIONS(2697),
    [anon_sym_BSLASHw] = ACTIONS(2697),
    [anon_sym_BSLASHwg] = ACTIONS(2697),
    [anon_sym_BSLASHwh] = ACTIONS(2697),
    [anon_sym_BSLASHwa] = ACTIONS(2697),
    [anon_sym_BSLASHfig] = ACTIONS(2697),
    [anon_sym_BSLASHjmp] = ACTIONS(2697),
    [anon_sym_BSLASHpb] = ACTIONS(2697),
    [anon_sym_BSLASH] = ACTIONS(2697),
    [sym_milestoneStartTag] = ACTIONS(2697),
    [sym_milestoneEndTag] = ACTIONS(2697),
    [sym_zSpaceTag] = ACTIONS(2697),
    [anon_sym_BSLASHesbe] = ACTIONS(2697),
    [anon_sym_BSLASHcat] = ACTIONS(2697),
  },
  [759] = {
    [sym_text] = STATE(746),
    [sym_footnote] = STATE(746),
    [sym_f] = STATE(1606),
    [sym_fe] = STATE(1606),
    [sym_ef] = STATE(1606),
    [sym_fm] = STATE(1606),
    [sym_crossref] = STATE(746),
    [sym_x] = STATE(1554),
    [sym_xt_standalone] = STATE(1554),
    [sym_rq] = STATE(1554),
    [sym_addNested] = STATE(746),
    [sym_bkNested] = STATE(746),
    [sym_dcNested] = STATE(746),
    [sym_kNested] = STATE(746),
    [sym_ndNested] = STATE(746),
    [sym_ordNested] = STATE(746),
    [sym_pnNested] = STATE(746),
    [sym_pngNested] = STATE(746),
    [sym_addpnNested] = STATE(746),
    [sym_qtNested] = STATE(746),
    [sym_sigNested] = STATE(746),
    [sym_slsNested] = STATE(746),
    [sym_tlNested] = STATE(746),
    [sym_wjNested] = STATE(746),
    [sym_emNested] = STATE(746),
    [sym_bdNested] = STATE(746),
    [sym_itNested] = STATE(746),
    [sym_bditNested] = STATE(746),
    [sym_noNested] = STATE(746),
    [sym_scNested] = STATE(746),
    [sym_supNested] = STATE(746),
    [sym_ndxNested] = STATE(746),
    [sym_proNested] = STATE(746),
    [sym_rbNested] = STATE(746),
    [sym_wNested] = STATE(746),
    [sym_wgNested] = STATE(746),
    [sym_whNested] = STATE(746),
    [sym_waNested] = STATE(746),
    [sym__nestedCharacterMarker] = STATE(746),
    [sym_fig] = STATE(746),
    [sym_jmpNested] = STATE(746),
    [aux_sym__innerText_repeat1] = STATE(746),
    [aux_sym_text_token1] = ACTIONS(5928),
    [anon_sym_BSLASHf] = ACTIONS(5930),
    [anon_sym_BSLASHfe] = ACTIONS(5932),
    [anon_sym_BSLASHef] = ACTIONS(5934),
    [anon_sym_BSLASHfm] = ACTIONS(5936),
    [anon_sym_BSLASHx] = ACTIONS(5938),
    [anon_sym_BSLASHxt] = ACTIONS(5940),
    [anon_sym_BSLASHrq] = ACTIONS(5942),
    [anon_sym_BSLASHk_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5944),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5946),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5948),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5950),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5952),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5954),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5956),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5958),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5960),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5962),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5964),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5966),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5968),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5970),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5972),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5974),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5976),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5978),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5980),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5982),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5984),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5986),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5988),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5990),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5992),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5994),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5996),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5998),
    [anon_sym_BSLASHfig] = ACTIONS(6000),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6002),
    [anon_sym_PIPE] = ACTIONS(3238),
    [anon_sym_key] = ACTIONS(3238),
  },
  [760] = {
    [sym__comments] = STATE(1112),
    [sym_sts] = STATE(1112),
    [sym_rem] = STATE(1112),
    [sym_restore] = STATE(1112),
    [sym_lit] = STATE(1112),
    [sym_imtBlock] = STATE(1112),
    [sym_imt] = STATE(1705),
    [sym_imtTag] = STATE(1122),
    [sym_imteBlock] = STATE(1832),
    [sym_imte] = STATE(1835),
    [sym_imteTag] = STATE(1125),
    [sym__midIntroMarker] = STATE(1112),
    [sym_isBlock] = STATE(1112),
    [sym_is] = STATE(1712),
    [sym_isTag] = STATE(1126),
    [sym_io] = STATE(1112),
    [sym_ioTag] = STATE(1127),
    [sym_iot] = STATE(1112),
    [sym_ip] = STATE(1112),
    [sym_im] = STATE(1112),
    [sym_ipi] = STATE(1112),
    [sym_imi] = STATE(1112),
    [sym_iliBlock] = STATE(1112),
    [sym_ili] = STATE(1711),
    [sym_iliTag] = STATE(1128),
    [sym_ipq] = STATE(1112),
    [sym_imq] = STATE(1112),
    [sym_ipr] = STATE(1112),
    [sym_ib] = STATE(1112),
    [sym_iqBlock] = STATE(1112),
    [sym_iq] = STATE(1709),
    [sym_iqTag] = STATE(1129),
    [sym_ie] = STATE(1846),
    [sym_iex] = STATE(1112),
    [sym_chapter] = STATE(1841),
    [sym_c] = STATE(153),
    [sym_cl] = STATE(2062),
    [sym_milestoneTag] = STATE(1964),
    [sym__milestoneStandaloneMarker] = STATE(1730),
    [sym__milestoneStart] = STATE(1730),
    [sym__milestoneEnd] = STATE(1730),
    [sym_milestone] = STATE(1112),
    [sym__zNameSpaceRegular] = STATE(1729),
    [sym__zNameSpaceClosed] = STATE(1729),
    [sym__zNameSpaceStandaloneMarker] = STATE(1729),
    [sym_zNameSpace] = STATE(1112),
    [sym_esb] = STATE(1112),
    [aux_sym_File_repeat1] = STATE(1112),
    [aux_sym_File_repeat2] = STATE(1841),
    [aux_sym_imtBlock_repeat1] = STATE(1705),
    [aux_sym_imteBlock_repeat1] = STATE(1835),
    [aux_sym_isBlock_repeat1] = STATE(1712),
    [aux_sym_iliBlock_repeat1] = STATE(1711),
    [aux_sym_iqBlock_repeat1] = STATE(1709),
    [ts_builtin_sym_end] = ACTIONS(6004),
    [anon_sym_BSLASHsts] = ACTIONS(5532),
    [anon_sym_BSLASHrem] = ACTIONS(5534),
    [anon_sym_BSLASHrestore] = ACTIONS(5536),
    [anon_sym_BSLASHlit] = ACTIONS(5538),
    [anon_sym_BSLASHimt] = ACTIONS(5540),
    [anon_sym_BSLASHimte] = ACTIONS(5542),
    [anon_sym_BSLASHis] = ACTIONS(5544),
    [anon_sym_BSLASHio] = ACTIONS(5546),
    [anon_sym_BSLASHiot] = ACTIONS(5548),
    [anon_sym_BSLASHip] = ACTIONS(5550),
    [anon_sym_BSLASHim] = ACTIONS(5552),
    [anon_sym_BSLASHipi] = ACTIONS(5554),
    [anon_sym_BSLASHimi] = ACTIONS(5556),
    [anon_sym_BSLASHili] = ACTIONS(5558),
    [anon_sym_BSLASHipq] = ACTIONS(5560),
    [anon_sym_BSLASHimq] = ACTIONS(5562),
    [anon_sym_BSLASHipr] = ACTIONS(5564),
    [anon_sym_BSLASHib] = ACTIONS(5566),
    [anon_sym_BSLASHiq] = ACTIONS(5568),
    [anon_sym_BSLASHie] = ACTIONS(5570),
    [anon_sym_BSLASHiex] = ACTIONS(5572),
    [anon_sym_BSLASHc] = ACTIONS(5574),
    [anon_sym_BSLASHcl] = ACTIONS(5576),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(5580),
    [sym_milestoneEndTag] = ACTIONS(5582),
    [sym_zSpaceTag] = ACTIONS(5584),
    [anon_sym_BSLASHesb] = ACTIONS(5586),
  },
  [761] = {
    [aux_sym_text_token1] = ACTIONS(2667),
    [anon_sym_BSLASHsts] = ACTIONS(2669),
    [anon_sym_BSLASHrem] = ACTIONS(2669),
    [anon_sym_BSLASHrestore] = ACTIONS(2669),
    [anon_sym_BSLASHlit] = ACTIONS(2669),
    [anon_sym_BSLASHip] = ACTIONS(2669),
    [anon_sym_BSLASHmte] = ACTIONS(2669),
    [anon_sym_BSLASHms] = ACTIONS(2669),
    [anon_sym_BSLASHs] = ACTIONS(2669),
    [anon_sym_BSLASHr] = ACTIONS(2669),
    [anon_sym_BSLASHsp] = ACTIONS(2669),
    [anon_sym_BSLASHd] = ACTIONS(2669),
    [anon_sym_BSLASHsd] = ACTIONS(2669),
    [anon_sym_BSLASHp] = ACTIONS(2669),
    [anon_sym_BSLASHm] = ACTIONS(2669),
    [anon_sym_BSLASHpo] = ACTIONS(2669),
    [anon_sym_BSLASHpr] = ACTIONS(2669),
    [anon_sym_BSLASHcls] = ACTIONS(2669),
    [anon_sym_BSLASHpmo] = ACTIONS(2669),
    [anon_sym_BSLASHpm] = ACTIONS(2669),
    [anon_sym_BSLASHpmc] = ACTIONS(2669),
    [anon_sym_BSLASHpmr] = ACTIONS(2669),
    [anon_sym_BSLASHpi] = ACTIONS(2669),
    [anon_sym_BSLASHmi] = ACTIONS(2669),
    [anon_sym_BSLASHnb] = ACTIONS(2669),
    [anon_sym_BSLASHpc] = ACTIONS(2669),
    [anon_sym_BSLASHph] = ACTIONS(2669),
    [anon_sym_BSLASHb] = ACTIONS(2669),
    [anon_sym_BSLASHq] = ACTIONS(2669),
    [anon_sym_BSLASHqr] = ACTIONS(2669),
    [anon_sym_BSLASHqc] = ACTIONS(2669),
    [anon_sym_BSLASHqa] = ACTIONS(2669),
    [anon_sym_BSLASHqm] = ACTIONS(2669),
    [anon_sym_BSLASHqd] = ACTIONS(2669),
    [anon_sym_BSLASHlh] = ACTIONS(2669),
    [anon_sym_BSLASHli] = ACTIONS(2669),
    [anon_sym_BSLASHlim] = ACTIONS(2669),
    [anon_sym_BSLASHtr] = ACTIONS(2669),
    [sym_thTag] = ACTIONS(2669),
    [sym_thrTag] = ACTIONS(2669),
    [sym_tcTag] = ACTIONS(2669),
    [sym_tcrTag] = ACTIONS(2669),
    [anon_sym_BSLASHf] = ACTIONS(2669),
    [anon_sym_BSLASHfe] = ACTIONS(2669),
    [anon_sym_BSLASHef] = ACTIONS(2669),
    [anon_sym_BSLASHfm] = ACTIONS(2669),
    [anon_sym_BSLASHadd] = ACTIONS(2669),
    [anon_sym_BSLASHbk] = ACTIONS(2669),
    [anon_sym_BSLASHdc] = ACTIONS(2669),
    [anon_sym_BSLASHk] = ACTIONS(2669),
    [anon_sym_BSLASHnd] = ACTIONS(2669),
    [anon_sym_BSLASHord] = ACTIONS(2669),
    [anon_sym_BSLASHpn] = ACTIONS(2669),
    [anon_sym_BSLASHpng] = ACTIONS(2669),
    [anon_sym_BSLASHaddpn] = ACTIONS(2669),
    [anon_sym_BSLASHqt] = ACTIONS(2669),
    [anon_sym_BSLASHsig] = ACTIONS(2669),
    [anon_sym_BSLASHsls] = ACTIONS(2669),
    [anon_sym_BSLASHtl] = ACTIONS(2669),
    [anon_sym_BSLASHwj] = ACTIONS(2669),
    [anon_sym_BSLASHem] = ACTIONS(2669),
    [anon_sym_BSLASHbd] = ACTIONS(2669),
    [anon_sym_BSLASHit] = ACTIONS(2669),
    [anon_sym_BSLASHbdit] = ACTIONS(2669),
    [anon_sym_BSLASHno] = ACTIONS(2669),
    [anon_sym_BSLASHsc] = ACTIONS(2669),
    [anon_sym_BSLASHsup] = ACTIONS(2669),
    [anon_sym_BSLASHndx] = ACTIONS(2669),
    [anon_sym_BSLASHpro] = ACTIONS(2669),
    [anon_sym_BSLASHrb] = ACTIONS(2669),
    [anon_sym_BSLASHw] = ACTIONS(2669),
    [anon_sym_BSLASHwg] = ACTIONS(2669),
    [anon_sym_BSLASHwh] = ACTIONS(2669),
    [anon_sym_BSLASHwa] = ACTIONS(2669),
    [anon_sym_BSLASHfig] = ACTIONS(2669),
    [anon_sym_BSLASHjmp] = ACTIONS(2669),
    [anon_sym_BSLASHpb] = ACTIONS(2669),
    [anon_sym_BSLASH] = ACTIONS(2669),
    [sym_milestoneStartTag] = ACTIONS(2669),
    [sym_milestoneEndTag] = ACTIONS(2669),
    [sym_zSpaceTag] = ACTIONS(2669),
    [anon_sym_BSLASHesbe] = ACTIONS(2669),
    [anon_sym_BSLASHcat] = ACTIONS(2669),
  },
  [762] = {
    [aux_sym_text_token1] = ACTIONS(2707),
    [anon_sym_BSLASHsts] = ACTIONS(2709),
    [anon_sym_BSLASHrem] = ACTIONS(2709),
    [anon_sym_BSLASHrestore] = ACTIONS(2709),
    [anon_sym_BSLASHlit] = ACTIONS(2709),
    [anon_sym_BSLASHip] = ACTIONS(2709),
    [anon_sym_BSLASHmte] = ACTIONS(2709),
    [anon_sym_BSLASHms] = ACTIONS(2709),
    [anon_sym_BSLASHs] = ACTIONS(2709),
    [anon_sym_BSLASHr] = ACTIONS(2709),
    [anon_sym_BSLASHsp] = ACTIONS(2709),
    [anon_sym_BSLASHd] = ACTIONS(2709),
    [anon_sym_BSLASHsd] = ACTIONS(2709),
    [anon_sym_BSLASHp] = ACTIONS(2709),
    [anon_sym_BSLASHm] = ACTIONS(2709),
    [anon_sym_BSLASHpo] = ACTIONS(2709),
    [anon_sym_BSLASHpr] = ACTIONS(2709),
    [anon_sym_BSLASHcls] = ACTIONS(2709),
    [anon_sym_BSLASHpmo] = ACTIONS(2709),
    [anon_sym_BSLASHpm] = ACTIONS(2709),
    [anon_sym_BSLASHpmc] = ACTIONS(2709),
    [anon_sym_BSLASHpmr] = ACTIONS(2709),
    [anon_sym_BSLASHpi] = ACTIONS(2709),
    [anon_sym_BSLASHmi] = ACTIONS(2709),
    [anon_sym_BSLASHnb] = ACTIONS(2709),
    [anon_sym_BSLASHpc] = ACTIONS(2709),
    [anon_sym_BSLASHph] = ACTIONS(2709),
    [anon_sym_BSLASHb] = ACTIONS(2709),
    [anon_sym_BSLASHq] = ACTIONS(2709),
    [anon_sym_BSLASHqr] = ACTIONS(2709),
    [anon_sym_BSLASHqc] = ACTIONS(2709),
    [anon_sym_BSLASHqa] = ACTIONS(2709),
    [anon_sym_BSLASHqm] = ACTIONS(2709),
    [anon_sym_BSLASHqd] = ACTIONS(2709),
    [anon_sym_BSLASHlh] = ACTIONS(2709),
    [anon_sym_BSLASHli] = ACTIONS(2709),
    [anon_sym_BSLASHlim] = ACTIONS(2709),
    [anon_sym_BSLASHtr] = ACTIONS(2709),
    [sym_thTag] = ACTIONS(2709),
    [sym_thrTag] = ACTIONS(2709),
    [sym_tcTag] = ACTIONS(2709),
    [sym_tcrTag] = ACTIONS(2709),
    [anon_sym_BSLASHf] = ACTIONS(2709),
    [anon_sym_BSLASHfe] = ACTIONS(2709),
    [anon_sym_BSLASHef] = ACTIONS(2709),
    [anon_sym_BSLASHfm] = ACTIONS(2709),
    [anon_sym_BSLASHadd] = ACTIONS(2709),
    [anon_sym_BSLASHbk] = ACTIONS(2709),
    [anon_sym_BSLASHdc] = ACTIONS(2709),
    [anon_sym_BSLASHk] = ACTIONS(2709),
    [anon_sym_BSLASHnd] = ACTIONS(2709),
    [anon_sym_BSLASHord] = ACTIONS(2709),
    [anon_sym_BSLASHpn] = ACTIONS(2709),
    [anon_sym_BSLASHpng] = ACTIONS(2709),
    [anon_sym_BSLASHaddpn] = ACTIONS(2709),
    [anon_sym_BSLASHqt] = ACTIONS(2709),
    [anon_sym_BSLASHsig] = ACTIONS(2709),
    [anon_sym_BSLASHsls] = ACTIONS(2709),
    [anon_sym_BSLASHtl] = ACTIONS(2709),
    [anon_sym_BSLASHwj] = ACTIONS(2709),
    [anon_sym_BSLASHem] = ACTIONS(2709),
    [anon_sym_BSLASHbd] = ACTIONS(2709),
    [anon_sym_BSLASHit] = ACTIONS(2709),
    [anon_sym_BSLASHbdit] = ACTIONS(2709),
    [anon_sym_BSLASHno] = ACTIONS(2709),
    [anon_sym_BSLASHsc] = ACTIONS(2709),
    [anon_sym_BSLASHsup] = ACTIONS(2709),
    [anon_sym_BSLASHndx] = ACTIONS(2709),
    [anon_sym_BSLASHpro] = ACTIONS(2709),
    [anon_sym_BSLASHrb] = ACTIONS(2709),
    [anon_sym_BSLASHw] = ACTIONS(2709),
    [anon_sym_BSLASHwg] = ACTIONS(2709),
    [anon_sym_BSLASHwh] = ACTIONS(2709),
    [anon_sym_BSLASHwa] = ACTIONS(2709),
    [anon_sym_BSLASHfig] = ACTIONS(2709),
    [anon_sym_BSLASHjmp] = ACTIONS(2709),
    [anon_sym_BSLASHpb] = ACTIONS(2709),
    [anon_sym_BSLASH] = ACTIONS(2709),
    [sym_milestoneStartTag] = ACTIONS(2709),
    [sym_milestoneEndTag] = ACTIONS(2709),
    [sym_zSpaceTag] = ACTIONS(2709),
    [anon_sym_BSLASHesbe] = ACTIONS(2709),
    [anon_sym_BSLASHcat] = ACTIONS(2709),
  },
  [763] = {
    [aux_sym_text_token1] = ACTIONS(9),
    [anon_sym_BSLASHsts] = ACTIONS(11),
    [anon_sym_BSLASHrem] = ACTIONS(11),
    [anon_sym_BSLASHrestore] = ACTIONS(11),
    [anon_sym_BSLASHlit] = ACTIONS(11),
    [anon_sym_BSLASHip] = ACTIONS(11),
    [anon_sym_BSLASHmte] = ACTIONS(11),
    [anon_sym_BSLASHms] = ACTIONS(11),
    [anon_sym_BSLASHs] = ACTIONS(11),
    [anon_sym_BSLASHr] = ACTIONS(11),
    [anon_sym_BSLASHsp] = ACTIONS(11),
    [anon_sym_BSLASHd] = ACTIONS(11),
    [anon_sym_BSLASHsd] = ACTIONS(11),
    [anon_sym_BSLASHp] = ACTIONS(11),
    [anon_sym_BSLASHm] = ACTIONS(11),
    [anon_sym_BSLASHpo] = ACTIONS(11),
    [anon_sym_BSLASHpr] = ACTIONS(11),
    [anon_sym_BSLASHcls] = ACTIONS(11),
    [anon_sym_BSLASHpmo] = ACTIONS(11),
    [anon_sym_BSLASHpm] = ACTIONS(11),
    [anon_sym_BSLASHpmc] = ACTIONS(11),
    [anon_sym_BSLASHpmr] = ACTIONS(11),
    [anon_sym_BSLASHpi] = ACTIONS(11),
    [anon_sym_BSLASHmi] = ACTIONS(11),
    [anon_sym_BSLASHnb] = ACTIONS(11),
    [anon_sym_BSLASHpc] = ACTIONS(11),
    [anon_sym_BSLASHph] = ACTIONS(11),
    [anon_sym_BSLASHb] = ACTIONS(11),
    [anon_sym_BSLASHq] = ACTIONS(11),
    [anon_sym_BSLASHqr] = ACTIONS(11),
    [anon_sym_BSLASHqc] = ACTIONS(11),
    [anon_sym_BSLASHqa] = ACTIONS(11),
    [anon_sym_BSLASHqm] = ACTIONS(11),
    [anon_sym_BSLASHqd] = ACTIONS(11),
    [anon_sym_BSLASHlh] = ACTIONS(11),
    [anon_sym_BSLASHli] = ACTIONS(11),
    [anon_sym_BSLASHlim] = ACTIONS(11),
    [anon_sym_BSLASHtr] = ACTIONS(11),
    [sym_thTag] = ACTIONS(11),
    [sym_thrTag] = ACTIONS(11),
    [sym_tcTag] = ACTIONS(11),
    [sym_tcrTag] = ACTIONS(11),
    [anon_sym_BSLASHf] = ACTIONS(11),
    [anon_sym_BSLASHfe] = ACTIONS(11),
    [anon_sym_BSLASHef] = ACTIONS(11),
    [anon_sym_BSLASHfm] = ACTIONS(11),
    [anon_sym_BSLASHadd] = ACTIONS(11),
    [anon_sym_BSLASHbk] = ACTIONS(11),
    [anon_sym_BSLASHdc] = ACTIONS(11),
    [anon_sym_BSLASHk] = ACTIONS(11),
    [anon_sym_BSLASHnd] = ACTIONS(11),
    [anon_sym_BSLASHord] = ACTIONS(11),
    [anon_sym_BSLASHpn] = ACTIONS(11),
    [anon_sym_BSLASHpng] = ACTIONS(11),
    [anon_sym_BSLASHaddpn] = ACTIONS(11),
    [anon_sym_BSLASHqt] = ACTIONS(11),
    [anon_sym_BSLASHsig] = ACTIONS(11),
    [anon_sym_BSLASHsls] = ACTIONS(11),
    [anon_sym_BSLASHtl] = ACTIONS(11),
    [anon_sym_BSLASHwj] = ACTIONS(11),
    [anon_sym_BSLASHem] = ACTIONS(11),
    [anon_sym_BSLASHbd] = ACTIONS(11),
    [anon_sym_BSLASHit] = ACTIONS(11),
    [anon_sym_BSLASHbdit] = ACTIONS(11),
    [anon_sym_BSLASHno] = ACTIONS(11),
    [anon_sym_BSLASHsc] = ACTIONS(11),
    [anon_sym_BSLASHsup] = ACTIONS(11),
    [anon_sym_BSLASHndx] = ACTIONS(11),
    [anon_sym_BSLASHpro] = ACTIONS(11),
    [anon_sym_BSLASHrb] = ACTIONS(11),
    [anon_sym_BSLASHw] = ACTIONS(11),
    [anon_sym_BSLASHwg] = ACTIONS(11),
    [anon_sym_BSLASHwh] = ACTIONS(11),
    [anon_sym_BSLASHwa] = ACTIONS(11),
    [anon_sym_BSLASHfig] = ACTIONS(11),
    [anon_sym_BSLASHjmp] = ACTIONS(11),
    [anon_sym_BSLASHpb] = ACTIONS(11),
    [anon_sym_BSLASH] = ACTIONS(11),
    [sym_milestoneStartTag] = ACTIONS(11),
    [sym_milestoneEndTag] = ACTIONS(11),
    [sym_zSpaceTag] = ACTIONS(11),
    [anon_sym_BSLASHesbe] = ACTIONS(11),
    [anon_sym_BSLASHcat] = ACTIONS(11),
  },
  [764] = {
    [aux_sym_text_token1] = ACTIONS(2795),
    [anon_sym_BSLASHsts] = ACTIONS(2797),
    [anon_sym_BSLASHrem] = ACTIONS(2797),
    [anon_sym_BSLASHrestore] = ACTIONS(2797),
    [anon_sym_BSLASHlit] = ACTIONS(2797),
    [anon_sym_BSLASHip] = ACTIONS(2797),
    [anon_sym_BSLASHmte] = ACTIONS(2797),
    [anon_sym_BSLASHms] = ACTIONS(2797),
    [anon_sym_BSLASHs] = ACTIONS(2797),
    [anon_sym_BSLASHr] = ACTIONS(2797),
    [anon_sym_BSLASHsp] = ACTIONS(2797),
    [anon_sym_BSLASHd] = ACTIONS(2797),
    [anon_sym_BSLASHsd] = ACTIONS(2797),
    [anon_sym_BSLASHp] = ACTIONS(2797),
    [anon_sym_BSLASHm] = ACTIONS(2797),
    [anon_sym_BSLASHpo] = ACTIONS(2797),
    [anon_sym_BSLASHpr] = ACTIONS(2797),
    [anon_sym_BSLASHcls] = ACTIONS(2797),
    [anon_sym_BSLASHpmo] = ACTIONS(2797),
    [anon_sym_BSLASHpm] = ACTIONS(2797),
    [anon_sym_BSLASHpmc] = ACTIONS(2797),
    [anon_sym_BSLASHpmr] = ACTIONS(2797),
    [anon_sym_BSLASHpi] = ACTIONS(2797),
    [anon_sym_BSLASHmi] = ACTIONS(2797),
    [anon_sym_BSLASHnb] = ACTIONS(2797),
    [anon_sym_BSLASHpc] = ACTIONS(2797),
    [anon_sym_BSLASHph] = ACTIONS(2797),
    [anon_sym_BSLASHb] = ACTIONS(2797),
    [anon_sym_BSLASHq] = ACTIONS(2797),
    [anon_sym_BSLASHqr] = ACTIONS(2797),
    [anon_sym_BSLASHqc] = ACTIONS(2797),
    [anon_sym_BSLASHqa] = ACTIONS(2797),
    [anon_sym_BSLASHqm] = ACTIONS(2797),
    [anon_sym_BSLASHqd] = ACTIONS(2797),
    [anon_sym_BSLASHlh] = ACTIONS(2797),
    [anon_sym_BSLASHli] = ACTIONS(2797),
    [anon_sym_BSLASHlim] = ACTIONS(2797),
    [anon_sym_BSLASHtr] = ACTIONS(2797),
    [sym_thTag] = ACTIONS(2797),
    [sym_thrTag] = ACTIONS(2797),
    [sym_tcTag] = ACTIONS(2797),
    [sym_tcrTag] = ACTIONS(2797),
    [anon_sym_BSLASHf] = ACTIONS(2797),
    [anon_sym_BSLASHfe] = ACTIONS(2797),
    [anon_sym_BSLASHef] = ACTIONS(2797),
    [anon_sym_BSLASHfm] = ACTIONS(2797),
    [anon_sym_BSLASHadd] = ACTIONS(2797),
    [anon_sym_BSLASHbk] = ACTIONS(2797),
    [anon_sym_BSLASHdc] = ACTIONS(2797),
    [anon_sym_BSLASHk] = ACTIONS(2797),
    [anon_sym_BSLASHnd] = ACTIONS(2797),
    [anon_sym_BSLASHord] = ACTIONS(2797),
    [anon_sym_BSLASHpn] = ACTIONS(2797),
    [anon_sym_BSLASHpng] = ACTIONS(2797),
    [anon_sym_BSLASHaddpn] = ACTIONS(2797),
    [anon_sym_BSLASHqt] = ACTIONS(2797),
    [anon_sym_BSLASHsig] = ACTIONS(2797),
    [anon_sym_BSLASHsls] = ACTIONS(2797),
    [anon_sym_BSLASHtl] = ACTIONS(2797),
    [anon_sym_BSLASHwj] = ACTIONS(2797),
    [anon_sym_BSLASHem] = ACTIONS(2797),
    [anon_sym_BSLASHbd] = ACTIONS(2797),
    [anon_sym_BSLASHit] = ACTIONS(2797),
    [anon_sym_BSLASHbdit] = ACTIONS(2797),
    [anon_sym_BSLASHno] = ACTIONS(2797),
    [anon_sym_BSLASHsc] = ACTIONS(2797),
    [anon_sym_BSLASHsup] = ACTIONS(2797),
    [anon_sym_BSLASHndx] = ACTIONS(2797),
    [anon_sym_BSLASHpro] = ACTIONS(2797),
    [anon_sym_BSLASHrb] = ACTIONS(2797),
    [anon_sym_BSLASHw] = ACTIONS(2797),
    [anon_sym_BSLASHwg] = ACTIONS(2797),
    [anon_sym_BSLASHwh] = ACTIONS(2797),
    [anon_sym_BSLASHwa] = ACTIONS(2797),
    [anon_sym_BSLASHfig] = ACTIONS(2797),
    [anon_sym_BSLASHjmp] = ACTIONS(2797),
    [anon_sym_BSLASHpb] = ACTIONS(2797),
    [anon_sym_BSLASH] = ACTIONS(2797),
    [sym_milestoneStartTag] = ACTIONS(2797),
    [sym_milestoneEndTag] = ACTIONS(2797),
    [sym_zSpaceTag] = ACTIONS(2797),
    [anon_sym_BSLASHesbe] = ACTIONS(2797),
    [anon_sym_BSLASHcat] = ACTIONS(2797),
  },
  [765] = {
    [aux_sym_text_token1] = ACTIONS(2735),
    [anon_sym_BSLASHsts] = ACTIONS(2737),
    [anon_sym_BSLASHrem] = ACTIONS(2737),
    [anon_sym_BSLASHrestore] = ACTIONS(2737),
    [anon_sym_BSLASHlit] = ACTIONS(2737),
    [anon_sym_BSLASHip] = ACTIONS(2737),
    [anon_sym_BSLASHmte] = ACTIONS(2737),
    [anon_sym_BSLASHms] = ACTIONS(2737),
    [anon_sym_BSLASHs] = ACTIONS(2737),
    [anon_sym_BSLASHr] = ACTIONS(2737),
    [anon_sym_BSLASHsp] = ACTIONS(2737),
    [anon_sym_BSLASHd] = ACTIONS(2737),
    [anon_sym_BSLASHsd] = ACTIONS(2737),
    [anon_sym_BSLASHp] = ACTIONS(2737),
    [anon_sym_BSLASHm] = ACTIONS(2737),
    [anon_sym_BSLASHpo] = ACTIONS(2737),
    [anon_sym_BSLASHpr] = ACTIONS(2737),
    [anon_sym_BSLASHcls] = ACTIONS(2737),
    [anon_sym_BSLASHpmo] = ACTIONS(2737),
    [anon_sym_BSLASHpm] = ACTIONS(2737),
    [anon_sym_BSLASHpmc] = ACTIONS(2737),
    [anon_sym_BSLASHpmr] = ACTIONS(2737),
    [anon_sym_BSLASHpi] = ACTIONS(2737),
    [anon_sym_BSLASHmi] = ACTIONS(2737),
    [anon_sym_BSLASHnb] = ACTIONS(2737),
    [anon_sym_BSLASHpc] = ACTIONS(2737),
    [anon_sym_BSLASHph] = ACTIONS(2737),
    [anon_sym_BSLASHb] = ACTIONS(2737),
    [anon_sym_BSLASHq] = ACTIONS(2737),
    [anon_sym_BSLASHqr] = ACTIONS(2737),
    [anon_sym_BSLASHqc] = ACTIONS(2737),
    [anon_sym_BSLASHqa] = ACTIONS(2737),
    [anon_sym_BSLASHqm] = ACTIONS(2737),
    [anon_sym_BSLASHqd] = ACTIONS(2737),
    [anon_sym_BSLASHlh] = ACTIONS(2737),
    [anon_sym_BSLASHli] = ACTIONS(2737),
    [anon_sym_BSLASHlim] = ACTIONS(2737),
    [anon_sym_BSLASHtr] = ACTIONS(2737),
    [sym_thTag] = ACTIONS(2737),
    [sym_thrTag] = ACTIONS(2737),
    [sym_tcTag] = ACTIONS(2737),
    [sym_tcrTag] = ACTIONS(2737),
    [anon_sym_BSLASHf] = ACTIONS(2737),
    [anon_sym_BSLASHfe] = ACTIONS(2737),
    [anon_sym_BSLASHef] = ACTIONS(2737),
    [anon_sym_BSLASHfm] = ACTIONS(2737),
    [anon_sym_BSLASHadd] = ACTIONS(2737),
    [anon_sym_BSLASHbk] = ACTIONS(2737),
    [anon_sym_BSLASHdc] = ACTIONS(2737),
    [anon_sym_BSLASHk] = ACTIONS(2737),
    [anon_sym_BSLASHnd] = ACTIONS(2737),
    [anon_sym_BSLASHord] = ACTIONS(2737),
    [anon_sym_BSLASHpn] = ACTIONS(2737),
    [anon_sym_BSLASHpng] = ACTIONS(2737),
    [anon_sym_BSLASHaddpn] = ACTIONS(2737),
    [anon_sym_BSLASHqt] = ACTIONS(2737),
    [anon_sym_BSLASHsig] = ACTIONS(2737),
    [anon_sym_BSLASHsls] = ACTIONS(2737),
    [anon_sym_BSLASHtl] = ACTIONS(2737),
    [anon_sym_BSLASHwj] = ACTIONS(2737),
    [anon_sym_BSLASHem] = ACTIONS(2737),
    [anon_sym_BSLASHbd] = ACTIONS(2737),
    [anon_sym_BSLASHit] = ACTIONS(2737),
    [anon_sym_BSLASHbdit] = ACTIONS(2737),
    [anon_sym_BSLASHno] = ACTIONS(2737),
    [anon_sym_BSLASHsc] = ACTIONS(2737),
    [anon_sym_BSLASHsup] = ACTIONS(2737),
    [anon_sym_BSLASHndx] = ACTIONS(2737),
    [anon_sym_BSLASHpro] = ACTIONS(2737),
    [anon_sym_BSLASHrb] = ACTIONS(2737),
    [anon_sym_BSLASHw] = ACTIONS(2737),
    [anon_sym_BSLASHwg] = ACTIONS(2737),
    [anon_sym_BSLASHwh] = ACTIONS(2737),
    [anon_sym_BSLASHwa] = ACTIONS(2737),
    [anon_sym_BSLASHfig] = ACTIONS(2737),
    [anon_sym_BSLASHjmp] = ACTIONS(2737),
    [anon_sym_BSLASHpb] = ACTIONS(2737),
    [anon_sym_BSLASH] = ACTIONS(2737),
    [sym_milestoneStartTag] = ACTIONS(2737),
    [sym_milestoneEndTag] = ACTIONS(2737),
    [sym_zSpaceTag] = ACTIONS(2737),
    [anon_sym_BSLASHesbe] = ACTIONS(2737),
    [anon_sym_BSLASHcat] = ACTIONS(2737),
  },
  [766] = {
    [aux_sym_text_token1] = ACTIONS(13),
    [anon_sym_BSLASHsts] = ACTIONS(15),
    [anon_sym_BSLASHrem] = ACTIONS(15),
    [anon_sym_BSLASHrestore] = ACTIONS(15),
    [anon_sym_BSLASHlit] = ACTIONS(15),
    [anon_sym_BSLASHip] = ACTIONS(15),
    [anon_sym_BSLASHmte] = ACTIONS(15),
    [anon_sym_BSLASHms] = ACTIONS(15),
    [anon_sym_BSLASHs] = ACTIONS(15),
    [anon_sym_BSLASHr] = ACTIONS(15),
    [anon_sym_BSLASHsp] = ACTIONS(15),
    [anon_sym_BSLASHd] = ACTIONS(15),
    [anon_sym_BSLASHsd] = ACTIONS(15),
    [anon_sym_BSLASHp] = ACTIONS(15),
    [anon_sym_BSLASHm] = ACTIONS(15),
    [anon_sym_BSLASHpo] = ACTIONS(15),
    [anon_sym_BSLASHpr] = ACTIONS(15),
    [anon_sym_BSLASHcls] = ACTIONS(15),
    [anon_sym_BSLASHpmo] = ACTIONS(15),
    [anon_sym_BSLASHpm] = ACTIONS(15),
    [anon_sym_BSLASHpmc] = ACTIONS(15),
    [anon_sym_BSLASHpmr] = ACTIONS(15),
    [anon_sym_BSLASHpi] = ACTIONS(15),
    [anon_sym_BSLASHmi] = ACTIONS(15),
    [anon_sym_BSLASHnb] = ACTIONS(15),
    [anon_sym_BSLASHpc] = ACTIONS(15),
    [anon_sym_BSLASHph] = ACTIONS(15),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [anon_sym_BSLASHq] = ACTIONS(15),
    [anon_sym_BSLASHqr] = ACTIONS(15),
    [anon_sym_BSLASHqc] = ACTIONS(15),
    [anon_sym_BSLASHqa] = ACTIONS(15),
    [anon_sym_BSLASHqm] = ACTIONS(15),
    [anon_sym_BSLASHqd] = ACTIONS(15),
    [anon_sym_BSLASHlh] = ACTIONS(15),
    [anon_sym_BSLASHli] = ACTIONS(15),
    [anon_sym_BSLASHlim] = ACTIONS(15),
    [anon_sym_BSLASHtr] = ACTIONS(15),
    [sym_thTag] = ACTIONS(15),
    [sym_thrTag] = ACTIONS(15),
    [sym_tcTag] = ACTIONS(15),
    [sym_tcrTag] = ACTIONS(15),
    [anon_sym_BSLASHf] = ACTIONS(15),
    [anon_sym_BSLASHfe] = ACTIONS(15),
    [anon_sym_BSLASHef] = ACTIONS(15),
    [anon_sym_BSLASHfm] = ACTIONS(15),
    [anon_sym_BSLASHadd] = ACTIONS(15),
    [anon_sym_BSLASHbk] = ACTIONS(15),
    [anon_sym_BSLASHdc] = ACTIONS(15),
    [anon_sym_BSLASHk] = ACTIONS(15),
    [anon_sym_BSLASHnd] = ACTIONS(15),
    [anon_sym_BSLASHord] = ACTIONS(15),
    [anon_sym_BSLASHpn] = ACTIONS(15),
    [anon_sym_BSLASHpng] = ACTIONS(15),
    [anon_sym_BSLASHaddpn] = ACTIONS(15),
    [anon_sym_BSLASHqt] = ACTIONS(15),
    [anon_sym_BSLASHsig] = ACTIONS(15),
    [anon_sym_BSLASHsls] = ACTIONS(15),
    [anon_sym_BSLASHtl] = ACTIONS(15),
    [anon_sym_BSLASHwj] = ACTIONS(15),
    [anon_sym_BSLASHem] = ACTIONS(15),
    [anon_sym_BSLASHbd] = ACTIONS(15),
    [anon_sym_BSLASHit] = ACTIONS(15),
    [anon_sym_BSLASHbdit] = ACTIONS(15),
    [anon_sym_BSLASHno] = ACTIONS(15),
    [anon_sym_BSLASHsc] = ACTIONS(15),
    [anon_sym_BSLASHsup] = ACTIONS(15),
    [anon_sym_BSLASHndx] = ACTIONS(15),
    [anon_sym_BSLASHpro] = ACTIONS(15),
    [anon_sym_BSLASHrb] = ACTIONS(15),
    [anon_sym_BSLASHw] = ACTIONS(15),
    [anon_sym_BSLASHwg] = ACTIONS(15),
    [anon_sym_BSLASHwh] = ACTIONS(15),
    [anon_sym_BSLASHwa] = ACTIONS(15),
    [anon_sym_BSLASHfig] = ACTIONS(15),
    [anon_sym_BSLASHjmp] = ACTIONS(15),
    [anon_sym_BSLASHpb] = ACTIONS(15),
    [anon_sym_BSLASH] = ACTIONS(15),
    [sym_milestoneStartTag] = ACTIONS(15),
    [sym_milestoneEndTag] = ACTIONS(15),
    [sym_zSpaceTag] = ACTIONS(15),
    [anon_sym_BSLASHesbe] = ACTIONS(15),
    [anon_sym_BSLASHcat] = ACTIONS(15),
  },
  [767] = {
    [aux_sym_text_token1] = ACTIONS(17),
    [anon_sym_BSLASHsts] = ACTIONS(19),
    [anon_sym_BSLASHrem] = ACTIONS(19),
    [anon_sym_BSLASHrestore] = ACTIONS(19),
    [anon_sym_BSLASHlit] = ACTIONS(19),
    [anon_sym_BSLASHip] = ACTIONS(19),
    [anon_sym_BSLASHmte] = ACTIONS(19),
    [anon_sym_BSLASHms] = ACTIONS(19),
    [anon_sym_BSLASHs] = ACTIONS(19),
    [anon_sym_BSLASHr] = ACTIONS(19),
    [anon_sym_BSLASHsp] = ACTIONS(19),
    [anon_sym_BSLASHd] = ACTIONS(19),
    [anon_sym_BSLASHsd] = ACTIONS(19),
    [anon_sym_BSLASHp] = ACTIONS(19),
    [anon_sym_BSLASHm] = ACTIONS(19),
    [anon_sym_BSLASHpo] = ACTIONS(19),
    [anon_sym_BSLASHpr] = ACTIONS(19),
    [anon_sym_BSLASHcls] = ACTIONS(19),
    [anon_sym_BSLASHpmo] = ACTIONS(19),
    [anon_sym_BSLASHpm] = ACTIONS(19),
    [anon_sym_BSLASHpmc] = ACTIONS(19),
    [anon_sym_BSLASHpmr] = ACTIONS(19),
    [anon_sym_BSLASHpi] = ACTIONS(19),
    [anon_sym_BSLASHmi] = ACTIONS(19),
    [anon_sym_BSLASHnb] = ACTIONS(19),
    [anon_sym_BSLASHpc] = ACTIONS(19),
    [anon_sym_BSLASHph] = ACTIONS(19),
    [anon_sym_BSLASHb] = ACTIONS(19),
    [anon_sym_BSLASHq] = ACTIONS(19),
    [anon_sym_BSLASHqr] = ACTIONS(19),
    [anon_sym_BSLASHqc] = ACTIONS(19),
    [anon_sym_BSLASHqa] = ACTIONS(19),
    [anon_sym_BSLASHqm] = ACTIONS(19),
    [anon_sym_BSLASHqd] = ACTIONS(19),
    [anon_sym_BSLASHlh] = ACTIONS(19),
    [anon_sym_BSLASHli] = ACTIONS(19),
    [anon_sym_BSLASHlim] = ACTIONS(19),
    [anon_sym_BSLASHtr] = ACTIONS(19),
    [sym_thTag] = ACTIONS(19),
    [sym_thrTag] = ACTIONS(19),
    [sym_tcTag] = ACTIONS(19),
    [sym_tcrTag] = ACTIONS(19),
    [anon_sym_BSLASHf] = ACTIONS(19),
    [anon_sym_BSLASHfe] = ACTIONS(19),
    [anon_sym_BSLASHef] = ACTIONS(19),
    [anon_sym_BSLASHfm] = ACTIONS(19),
    [anon_sym_BSLASHadd] = ACTIONS(19),
    [anon_sym_BSLASHbk] = ACTIONS(19),
    [anon_sym_BSLASHdc] = ACTIONS(19),
    [anon_sym_BSLASHk] = ACTIONS(19),
    [anon_sym_BSLASHnd] = ACTIONS(19),
    [anon_sym_BSLASHord] = ACTIONS(19),
    [anon_sym_BSLASHpn] = ACTIONS(19),
    [anon_sym_BSLASHpng] = ACTIONS(19),
    [anon_sym_BSLASHaddpn] = ACTIONS(19),
    [anon_sym_BSLASHqt] = ACTIONS(19),
    [anon_sym_BSLASHsig] = ACTIONS(19),
    [anon_sym_BSLASHsls] = ACTIONS(19),
    [anon_sym_BSLASHtl] = ACTIONS(19),
    [anon_sym_BSLASHwj] = ACTIONS(19),
    [anon_sym_BSLASHem] = ACTIONS(19),
    [anon_sym_BSLASHbd] = ACTIONS(19),
    [anon_sym_BSLASHit] = ACTIONS(19),
    [anon_sym_BSLASHbdit] = ACTIONS(19),
    [anon_sym_BSLASHno] = ACTIONS(19),
    [anon_sym_BSLASHsc] = ACTIONS(19),
    [anon_sym_BSLASHsup] = ACTIONS(19),
    [anon_sym_BSLASHndx] = ACTIONS(19),
    [anon_sym_BSLASHpro] = ACTIONS(19),
    [anon_sym_BSLASHrb] = ACTIONS(19),
    [anon_sym_BSLASHw] = ACTIONS(19),
    [anon_sym_BSLASHwg] = ACTIONS(19),
    [anon_sym_BSLASHwh] = ACTIONS(19),
    [anon_sym_BSLASHwa] = ACTIONS(19),
    [anon_sym_BSLASHfig] = ACTIONS(19),
    [anon_sym_BSLASHjmp] = ACTIONS(19),
    [anon_sym_BSLASHpb] = ACTIONS(19),
    [anon_sym_BSLASH] = ACTIONS(19),
    [sym_milestoneStartTag] = ACTIONS(19),
    [sym_milestoneEndTag] = ACTIONS(19),
    [sym_zSpaceTag] = ACTIONS(19),
    [anon_sym_BSLASHesbe] = ACTIONS(19),
    [anon_sym_BSLASHcat] = ACTIONS(19),
  },
  [768] = {
    [aux_sym_text_token1] = ACTIONS(2739),
    [anon_sym_BSLASHsts] = ACTIONS(2741),
    [anon_sym_BSLASHrem] = ACTIONS(2741),
    [anon_sym_BSLASHrestore] = ACTIONS(2741),
    [anon_sym_BSLASHlit] = ACTIONS(2741),
    [anon_sym_BSLASHip] = ACTIONS(2741),
    [anon_sym_BSLASHmte] = ACTIONS(2741),
    [anon_sym_BSLASHms] = ACTIONS(2741),
    [anon_sym_BSLASHs] = ACTIONS(2741),
    [anon_sym_BSLASHr] = ACTIONS(2741),
    [anon_sym_BSLASHsp] = ACTIONS(2741),
    [anon_sym_BSLASHd] = ACTIONS(2741),
    [anon_sym_BSLASHsd] = ACTIONS(2741),
    [anon_sym_BSLASHp] = ACTIONS(2741),
    [anon_sym_BSLASHm] = ACTIONS(2741),
    [anon_sym_BSLASHpo] = ACTIONS(2741),
    [anon_sym_BSLASHpr] = ACTIONS(2741),
    [anon_sym_BSLASHcls] = ACTIONS(2741),
    [anon_sym_BSLASHpmo] = ACTIONS(2741),
    [anon_sym_BSLASHpm] = ACTIONS(2741),
    [anon_sym_BSLASHpmc] = ACTIONS(2741),
    [anon_sym_BSLASHpmr] = ACTIONS(2741),
    [anon_sym_BSLASHpi] = ACTIONS(2741),
    [anon_sym_BSLASHmi] = ACTIONS(2741),
    [anon_sym_BSLASHnb] = ACTIONS(2741),
    [anon_sym_BSLASHpc] = ACTIONS(2741),
    [anon_sym_BSLASHph] = ACTIONS(2741),
    [anon_sym_BSLASHb] = ACTIONS(2741),
    [anon_sym_BSLASHq] = ACTIONS(2741),
    [anon_sym_BSLASHqr] = ACTIONS(2741),
    [anon_sym_BSLASHqc] = ACTIONS(2741),
    [anon_sym_BSLASHqa] = ACTIONS(2741),
    [anon_sym_BSLASHqm] = ACTIONS(2741),
    [anon_sym_BSLASHqd] = ACTIONS(2741),
    [anon_sym_BSLASHlh] = ACTIONS(2741),
    [anon_sym_BSLASHli] = ACTIONS(2741),
    [anon_sym_BSLASHlim] = ACTIONS(2741),
    [anon_sym_BSLASHtr] = ACTIONS(2741),
    [sym_thTag] = ACTIONS(2741),
    [sym_thrTag] = ACTIONS(2741),
    [sym_tcTag] = ACTIONS(2741),
    [sym_tcrTag] = ACTIONS(2741),
    [anon_sym_BSLASHf] = ACTIONS(2741),
    [anon_sym_BSLASHfe] = ACTIONS(2741),
    [anon_sym_BSLASHef] = ACTIONS(2741),
    [anon_sym_BSLASHfm] = ACTIONS(2741),
    [anon_sym_BSLASHadd] = ACTIONS(2741),
    [anon_sym_BSLASHbk] = ACTIONS(2741),
    [anon_sym_BSLASHdc] = ACTIONS(2741),
    [anon_sym_BSLASHk] = ACTIONS(2741),
    [anon_sym_BSLASHnd] = ACTIONS(2741),
    [anon_sym_BSLASHord] = ACTIONS(2741),
    [anon_sym_BSLASHpn] = ACTIONS(2741),
    [anon_sym_BSLASHpng] = ACTIONS(2741),
    [anon_sym_BSLASHaddpn] = ACTIONS(2741),
    [anon_sym_BSLASHqt] = ACTIONS(2741),
    [anon_sym_BSLASHsig] = ACTIONS(2741),
    [anon_sym_BSLASHsls] = ACTIONS(2741),
    [anon_sym_BSLASHtl] = ACTIONS(2741),
    [anon_sym_BSLASHwj] = ACTIONS(2741),
    [anon_sym_BSLASHem] = ACTIONS(2741),
    [anon_sym_BSLASHbd] = ACTIONS(2741),
    [anon_sym_BSLASHit] = ACTIONS(2741),
    [anon_sym_BSLASHbdit] = ACTIONS(2741),
    [anon_sym_BSLASHno] = ACTIONS(2741),
    [anon_sym_BSLASHsc] = ACTIONS(2741),
    [anon_sym_BSLASHsup] = ACTIONS(2741),
    [anon_sym_BSLASHndx] = ACTIONS(2741),
    [anon_sym_BSLASHpro] = ACTIONS(2741),
    [anon_sym_BSLASHrb] = ACTIONS(2741),
    [anon_sym_BSLASHw] = ACTIONS(2741),
    [anon_sym_BSLASHwg] = ACTIONS(2741),
    [anon_sym_BSLASHwh] = ACTIONS(2741),
    [anon_sym_BSLASHwa] = ACTIONS(2741),
    [anon_sym_BSLASHfig] = ACTIONS(2741),
    [anon_sym_BSLASHjmp] = ACTIONS(2741),
    [anon_sym_BSLASHpb] = ACTIONS(2741),
    [anon_sym_BSLASH] = ACTIONS(2741),
    [sym_milestoneStartTag] = ACTIONS(2741),
    [sym_milestoneEndTag] = ACTIONS(2741),
    [sym_zSpaceTag] = ACTIONS(2741),
    [anon_sym_BSLASHesbe] = ACTIONS(2741),
    [anon_sym_BSLASHcat] = ACTIONS(2741),
  },
  [769] = {
    [aux_sym_text_token1] = ACTIONS(2711),
    [anon_sym_BSLASHsts] = ACTIONS(2713),
    [anon_sym_BSLASHrem] = ACTIONS(2713),
    [anon_sym_BSLASHrestore] = ACTIONS(2713),
    [anon_sym_BSLASHlit] = ACTIONS(2713),
    [anon_sym_BSLASHip] = ACTIONS(2713),
    [anon_sym_BSLASHmte] = ACTIONS(2713),
    [anon_sym_BSLASHms] = ACTIONS(2713),
    [anon_sym_BSLASHs] = ACTIONS(2713),
    [anon_sym_BSLASHr] = ACTIONS(2713),
    [anon_sym_BSLASHsp] = ACTIONS(2713),
    [anon_sym_BSLASHd] = ACTIONS(2713),
    [anon_sym_BSLASHsd] = ACTIONS(2713),
    [anon_sym_BSLASHp] = ACTIONS(2713),
    [anon_sym_BSLASHm] = ACTIONS(2713),
    [anon_sym_BSLASHpo] = ACTIONS(2713),
    [anon_sym_BSLASHpr] = ACTIONS(2713),
    [anon_sym_BSLASHcls] = ACTIONS(2713),
    [anon_sym_BSLASHpmo] = ACTIONS(2713),
    [anon_sym_BSLASHpm] = ACTIONS(2713),
    [anon_sym_BSLASHpmc] = ACTIONS(2713),
    [anon_sym_BSLASHpmr] = ACTIONS(2713),
    [anon_sym_BSLASHpi] = ACTIONS(2713),
    [anon_sym_BSLASHmi] = ACTIONS(2713),
    [anon_sym_BSLASHnb] = ACTIONS(2713),
    [anon_sym_BSLASHpc] = ACTIONS(2713),
    [anon_sym_BSLASHph] = ACTIONS(2713),
    [anon_sym_BSLASHb] = ACTIONS(2713),
    [anon_sym_BSLASHq] = ACTIONS(2713),
    [anon_sym_BSLASHqr] = ACTIONS(2713),
    [anon_sym_BSLASHqc] = ACTIONS(2713),
    [anon_sym_BSLASHqa] = ACTIONS(2713),
    [anon_sym_BSLASHqm] = ACTIONS(2713),
    [anon_sym_BSLASHqd] = ACTIONS(2713),
    [anon_sym_BSLASHlh] = ACTIONS(2713),
    [anon_sym_BSLASHli] = ACTIONS(2713),
    [anon_sym_BSLASHlim] = ACTIONS(2713),
    [anon_sym_BSLASHtr] = ACTIONS(2713),
    [sym_thTag] = ACTIONS(2713),
    [sym_thrTag] = ACTIONS(2713),
    [sym_tcTag] = ACTIONS(2713),
    [sym_tcrTag] = ACTIONS(2713),
    [anon_sym_BSLASHf] = ACTIONS(2713),
    [anon_sym_BSLASHfe] = ACTIONS(2713),
    [anon_sym_BSLASHef] = ACTIONS(2713),
    [anon_sym_BSLASHfm] = ACTIONS(2713),
    [anon_sym_BSLASHadd] = ACTIONS(2713),
    [anon_sym_BSLASHbk] = ACTIONS(2713),
    [anon_sym_BSLASHdc] = ACTIONS(2713),
    [anon_sym_BSLASHk] = ACTIONS(2713),
    [anon_sym_BSLASHnd] = ACTIONS(2713),
    [anon_sym_BSLASHord] = ACTIONS(2713),
    [anon_sym_BSLASHpn] = ACTIONS(2713),
    [anon_sym_BSLASHpng] = ACTIONS(2713),
    [anon_sym_BSLASHaddpn] = ACTIONS(2713),
    [anon_sym_BSLASHqt] = ACTIONS(2713),
    [anon_sym_BSLASHsig] = ACTIONS(2713),
    [anon_sym_BSLASHsls] = ACTIONS(2713),
    [anon_sym_BSLASHtl] = ACTIONS(2713),
    [anon_sym_BSLASHwj] = ACTIONS(2713),
    [anon_sym_BSLASHem] = ACTIONS(2713),
    [anon_sym_BSLASHbd] = ACTIONS(2713),
    [anon_sym_BSLASHit] = ACTIONS(2713),
    [anon_sym_BSLASHbdit] = ACTIONS(2713),
    [anon_sym_BSLASHno] = ACTIONS(2713),
    [anon_sym_BSLASHsc] = ACTIONS(2713),
    [anon_sym_BSLASHsup] = ACTIONS(2713),
    [anon_sym_BSLASHndx] = ACTIONS(2713),
    [anon_sym_BSLASHpro] = ACTIONS(2713),
    [anon_sym_BSLASHrb] = ACTIONS(2713),
    [anon_sym_BSLASHw] = ACTIONS(2713),
    [anon_sym_BSLASHwg] = ACTIONS(2713),
    [anon_sym_BSLASHwh] = ACTIONS(2713),
    [anon_sym_BSLASHwa] = ACTIONS(2713),
    [anon_sym_BSLASHfig] = ACTIONS(2713),
    [anon_sym_BSLASHjmp] = ACTIONS(2713),
    [anon_sym_BSLASHpb] = ACTIONS(2713),
    [anon_sym_BSLASH] = ACTIONS(2713),
    [sym_milestoneStartTag] = ACTIONS(2713),
    [sym_milestoneEndTag] = ACTIONS(2713),
    [sym_zSpaceTag] = ACTIONS(2713),
    [anon_sym_BSLASHesbe] = ACTIONS(2713),
    [anon_sym_BSLASHcat] = ACTIONS(2713),
  },
  [770] = {
    [aux_sym_text_token1] = ACTIONS(2743),
    [anon_sym_BSLASHsts] = ACTIONS(2745),
    [anon_sym_BSLASHrem] = ACTIONS(2745),
    [anon_sym_BSLASHrestore] = ACTIONS(2745),
    [anon_sym_BSLASHlit] = ACTIONS(2745),
    [anon_sym_BSLASHip] = ACTIONS(2745),
    [anon_sym_BSLASHmte] = ACTIONS(2745),
    [anon_sym_BSLASHms] = ACTIONS(2745),
    [anon_sym_BSLASHs] = ACTIONS(2745),
    [anon_sym_BSLASHr] = ACTIONS(2745),
    [anon_sym_BSLASHsp] = ACTIONS(2745),
    [anon_sym_BSLASHd] = ACTIONS(2745),
    [anon_sym_BSLASHsd] = ACTIONS(2745),
    [anon_sym_BSLASHp] = ACTIONS(2745),
    [anon_sym_BSLASHm] = ACTIONS(2745),
    [anon_sym_BSLASHpo] = ACTIONS(2745),
    [anon_sym_BSLASHpr] = ACTIONS(2745),
    [anon_sym_BSLASHcls] = ACTIONS(2745),
    [anon_sym_BSLASHpmo] = ACTIONS(2745),
    [anon_sym_BSLASHpm] = ACTIONS(2745),
    [anon_sym_BSLASHpmc] = ACTIONS(2745),
    [anon_sym_BSLASHpmr] = ACTIONS(2745),
    [anon_sym_BSLASHpi] = ACTIONS(2745),
    [anon_sym_BSLASHmi] = ACTIONS(2745),
    [anon_sym_BSLASHnb] = ACTIONS(2745),
    [anon_sym_BSLASHpc] = ACTIONS(2745),
    [anon_sym_BSLASHph] = ACTIONS(2745),
    [anon_sym_BSLASHb] = ACTIONS(2745),
    [anon_sym_BSLASHq] = ACTIONS(2745),
    [anon_sym_BSLASHqr] = ACTIONS(2745),
    [anon_sym_BSLASHqc] = ACTIONS(2745),
    [anon_sym_BSLASHqa] = ACTIONS(2745),
    [anon_sym_BSLASHqm] = ACTIONS(2745),
    [anon_sym_BSLASHqd] = ACTIONS(2745),
    [anon_sym_BSLASHlh] = ACTIONS(2745),
    [anon_sym_BSLASHli] = ACTIONS(2745),
    [anon_sym_BSLASHlim] = ACTIONS(2745),
    [anon_sym_BSLASHtr] = ACTIONS(2745),
    [sym_thTag] = ACTIONS(2745),
    [sym_thrTag] = ACTIONS(2745),
    [sym_tcTag] = ACTIONS(2745),
    [sym_tcrTag] = ACTIONS(2745),
    [anon_sym_BSLASHf] = ACTIONS(2745),
    [anon_sym_BSLASHfe] = ACTIONS(2745),
    [anon_sym_BSLASHef] = ACTIONS(2745),
    [anon_sym_BSLASHfm] = ACTIONS(2745),
    [anon_sym_BSLASHadd] = ACTIONS(2745),
    [anon_sym_BSLASHbk] = ACTIONS(2745),
    [anon_sym_BSLASHdc] = ACTIONS(2745),
    [anon_sym_BSLASHk] = ACTIONS(2745),
    [anon_sym_BSLASHnd] = ACTIONS(2745),
    [anon_sym_BSLASHord] = ACTIONS(2745),
    [anon_sym_BSLASHpn] = ACTIONS(2745),
    [anon_sym_BSLASHpng] = ACTIONS(2745),
    [anon_sym_BSLASHaddpn] = ACTIONS(2745),
    [anon_sym_BSLASHqt] = ACTIONS(2745),
    [anon_sym_BSLASHsig] = ACTIONS(2745),
    [anon_sym_BSLASHsls] = ACTIONS(2745),
    [anon_sym_BSLASHtl] = ACTIONS(2745),
    [anon_sym_BSLASHwj] = ACTIONS(2745),
    [anon_sym_BSLASHem] = ACTIONS(2745),
    [anon_sym_BSLASHbd] = ACTIONS(2745),
    [anon_sym_BSLASHit] = ACTIONS(2745),
    [anon_sym_BSLASHbdit] = ACTIONS(2745),
    [anon_sym_BSLASHno] = ACTIONS(2745),
    [anon_sym_BSLASHsc] = ACTIONS(2745),
    [anon_sym_BSLASHsup] = ACTIONS(2745),
    [anon_sym_BSLASHndx] = ACTIONS(2745),
    [anon_sym_BSLASHpro] = ACTIONS(2745),
    [anon_sym_BSLASHrb] = ACTIONS(2745),
    [anon_sym_BSLASHw] = ACTIONS(2745),
    [anon_sym_BSLASHwg] = ACTIONS(2745),
    [anon_sym_BSLASHwh] = ACTIONS(2745),
    [anon_sym_BSLASHwa] = ACTIONS(2745),
    [anon_sym_BSLASHfig] = ACTIONS(2745),
    [anon_sym_BSLASHjmp] = ACTIONS(2745),
    [anon_sym_BSLASHpb] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2745),
    [sym_milestoneStartTag] = ACTIONS(2745),
    [sym_milestoneEndTag] = ACTIONS(2745),
    [sym_zSpaceTag] = ACTIONS(2745),
    [anon_sym_BSLASHesbe] = ACTIONS(2745),
    [anon_sym_BSLASHcat] = ACTIONS(2745),
  },
  [771] = {
    [aux_sym_text_token1] = ACTIONS(2747),
    [anon_sym_BSLASHsts] = ACTIONS(2749),
    [anon_sym_BSLASHrem] = ACTIONS(2749),
    [anon_sym_BSLASHrestore] = ACTIONS(2749),
    [anon_sym_BSLASHlit] = ACTIONS(2749),
    [anon_sym_BSLASHip] = ACTIONS(2749),
    [anon_sym_BSLASHmte] = ACTIONS(2749),
    [anon_sym_BSLASHms] = ACTIONS(2749),
    [anon_sym_BSLASHs] = ACTIONS(2749),
    [anon_sym_BSLASHr] = ACTIONS(2749),
    [anon_sym_BSLASHsp] = ACTIONS(2749),
    [anon_sym_BSLASHd] = ACTIONS(2749),
    [anon_sym_BSLASHsd] = ACTIONS(2749),
    [anon_sym_BSLASHp] = ACTIONS(2749),
    [anon_sym_BSLASHm] = ACTIONS(2749),
    [anon_sym_BSLASHpo] = ACTIONS(2749),
    [anon_sym_BSLASHpr] = ACTIONS(2749),
    [anon_sym_BSLASHcls] = ACTIONS(2749),
    [anon_sym_BSLASHpmo] = ACTIONS(2749),
    [anon_sym_BSLASHpm] = ACTIONS(2749),
    [anon_sym_BSLASHpmc] = ACTIONS(2749),
    [anon_sym_BSLASHpmr] = ACTIONS(2749),
    [anon_sym_BSLASHpi] = ACTIONS(2749),
    [anon_sym_BSLASHmi] = ACTIONS(2749),
    [anon_sym_BSLASHnb] = ACTIONS(2749),
    [anon_sym_BSLASHpc] = ACTIONS(2749),
    [anon_sym_BSLASHph] = ACTIONS(2749),
    [anon_sym_BSLASHb] = ACTIONS(2749),
    [anon_sym_BSLASHq] = ACTIONS(2749),
    [anon_sym_BSLASHqr] = ACTIONS(2749),
    [anon_sym_BSLASHqc] = ACTIONS(2749),
    [anon_sym_BSLASHqa] = ACTIONS(2749),
    [anon_sym_BSLASHqm] = ACTIONS(2749),
    [anon_sym_BSLASHqd] = ACTIONS(2749),
    [anon_sym_BSLASHlh] = ACTIONS(2749),
    [anon_sym_BSLASHli] = ACTIONS(2749),
    [anon_sym_BSLASHlim] = ACTIONS(2749),
    [anon_sym_BSLASHtr] = ACTIONS(2749),
    [sym_thTag] = ACTIONS(2749),
    [sym_thrTag] = ACTIONS(2749),
    [sym_tcTag] = ACTIONS(2749),
    [sym_tcrTag] = ACTIONS(2749),
    [anon_sym_BSLASHf] = ACTIONS(2749),
    [anon_sym_BSLASHfe] = ACTIONS(2749),
    [anon_sym_BSLASHef] = ACTIONS(2749),
    [anon_sym_BSLASHfm] = ACTIONS(2749),
    [anon_sym_BSLASHadd] = ACTIONS(2749),
    [anon_sym_BSLASHbk] = ACTIONS(2749),
    [anon_sym_BSLASHdc] = ACTIONS(2749),
    [anon_sym_BSLASHk] = ACTIONS(2749),
    [anon_sym_BSLASHnd] = ACTIONS(2749),
    [anon_sym_BSLASHord] = ACTIONS(2749),
    [anon_sym_BSLASHpn] = ACTIONS(2749),
    [anon_sym_BSLASHpng] = ACTIONS(2749),
    [anon_sym_BSLASHaddpn] = ACTIONS(2749),
    [anon_sym_BSLASHqt] = ACTIONS(2749),
    [anon_sym_BSLASHsig] = ACTIONS(2749),
    [anon_sym_BSLASHsls] = ACTIONS(2749),
    [anon_sym_BSLASHtl] = ACTIONS(2749),
    [anon_sym_BSLASHwj] = ACTIONS(2749),
    [anon_sym_BSLASHem] = ACTIONS(2749),
    [anon_sym_BSLASHbd] = ACTIONS(2749),
    [anon_sym_BSLASHit] = ACTIONS(2749),
    [anon_sym_BSLASHbdit] = ACTIONS(2749),
    [anon_sym_BSLASHno] = ACTIONS(2749),
    [anon_sym_BSLASHsc] = ACTIONS(2749),
    [anon_sym_BSLASHsup] = ACTIONS(2749),
    [anon_sym_BSLASHndx] = ACTIONS(2749),
    [anon_sym_BSLASHpro] = ACTIONS(2749),
    [anon_sym_BSLASHrb] = ACTIONS(2749),
    [anon_sym_BSLASHw] = ACTIONS(2749),
    [anon_sym_BSLASHwg] = ACTIONS(2749),
    [anon_sym_BSLASHwh] = ACTIONS(2749),
    [anon_sym_BSLASHwa] = ACTIONS(2749),
    [anon_sym_BSLASHfig] = ACTIONS(2749),
    [anon_sym_BSLASHjmp] = ACTIONS(2749),
    [anon_sym_BSLASHpb] = ACTIONS(2749),
    [anon_sym_BSLASH] = ACTIONS(2749),
    [sym_milestoneStartTag] = ACTIONS(2749),
    [sym_milestoneEndTag] = ACTIONS(2749),
    [sym_zSpaceTag] = ACTIONS(2749),
    [anon_sym_BSLASHesbe] = ACTIONS(2749),
    [anon_sym_BSLASHcat] = ACTIONS(2749),
  },
  [772] = {
    [aux_sym_text_token1] = ACTIONS(2771),
    [anon_sym_BSLASHsts] = ACTIONS(2773),
    [anon_sym_BSLASHrem] = ACTIONS(2773),
    [anon_sym_BSLASHrestore] = ACTIONS(2773),
    [anon_sym_BSLASHlit] = ACTIONS(2773),
    [anon_sym_BSLASHip] = ACTIONS(2773),
    [anon_sym_BSLASHmte] = ACTIONS(2773),
    [anon_sym_BSLASHms] = ACTIONS(2773),
    [anon_sym_BSLASHs] = ACTIONS(2773),
    [anon_sym_BSLASHr] = ACTIONS(2773),
    [anon_sym_BSLASHsp] = ACTIONS(2773),
    [anon_sym_BSLASHd] = ACTIONS(2773),
    [anon_sym_BSLASHsd] = ACTIONS(2773),
    [anon_sym_BSLASHp] = ACTIONS(2773),
    [anon_sym_BSLASHm] = ACTIONS(2773),
    [anon_sym_BSLASHpo] = ACTIONS(2773),
    [anon_sym_BSLASHpr] = ACTIONS(2773),
    [anon_sym_BSLASHcls] = ACTIONS(2773),
    [anon_sym_BSLASHpmo] = ACTIONS(2773),
    [anon_sym_BSLASHpm] = ACTIONS(2773),
    [anon_sym_BSLASHpmc] = ACTIONS(2773),
    [anon_sym_BSLASHpmr] = ACTIONS(2773),
    [anon_sym_BSLASHpi] = ACTIONS(2773),
    [anon_sym_BSLASHmi] = ACTIONS(2773),
    [anon_sym_BSLASHnb] = ACTIONS(2773),
    [anon_sym_BSLASHpc] = ACTIONS(2773),
    [anon_sym_BSLASHph] = ACTIONS(2773),
    [anon_sym_BSLASHb] = ACTIONS(2773),
    [anon_sym_BSLASHq] = ACTIONS(2773),
    [anon_sym_BSLASHqr] = ACTIONS(2773),
    [anon_sym_BSLASHqc] = ACTIONS(2773),
    [anon_sym_BSLASHqa] = ACTIONS(2773),
    [anon_sym_BSLASHqm] = ACTIONS(2773),
    [anon_sym_BSLASHqd] = ACTIONS(2773),
    [anon_sym_BSLASHlh] = ACTIONS(2773),
    [anon_sym_BSLASHli] = ACTIONS(2773),
    [anon_sym_BSLASHlim] = ACTIONS(2773),
    [anon_sym_BSLASHtr] = ACTIONS(2773),
    [sym_thTag] = ACTIONS(2773),
    [sym_thrTag] = ACTIONS(2773),
    [sym_tcTag] = ACTIONS(2773),
    [sym_tcrTag] = ACTIONS(2773),
    [anon_sym_BSLASHf] = ACTIONS(2773),
    [anon_sym_BSLASHfe] = ACTIONS(2773),
    [anon_sym_BSLASHef] = ACTIONS(2773),
    [anon_sym_BSLASHfm] = ACTIONS(2773),
    [anon_sym_BSLASHadd] = ACTIONS(2773),
    [anon_sym_BSLASHbk] = ACTIONS(2773),
    [anon_sym_BSLASHdc] = ACTIONS(2773),
    [anon_sym_BSLASHk] = ACTIONS(2773),
    [anon_sym_BSLASHnd] = ACTIONS(2773),
    [anon_sym_BSLASHord] = ACTIONS(2773),
    [anon_sym_BSLASHpn] = ACTIONS(2773),
    [anon_sym_BSLASHpng] = ACTIONS(2773),
    [anon_sym_BSLASHaddpn] = ACTIONS(2773),
    [anon_sym_BSLASHqt] = ACTIONS(2773),
    [anon_sym_BSLASHsig] = ACTIONS(2773),
    [anon_sym_BSLASHsls] = ACTIONS(2773),
    [anon_sym_BSLASHtl] = ACTIONS(2773),
    [anon_sym_BSLASHwj] = ACTIONS(2773),
    [anon_sym_BSLASHem] = ACTIONS(2773),
    [anon_sym_BSLASHbd] = ACTIONS(2773),
    [anon_sym_BSLASHit] = ACTIONS(2773),
    [anon_sym_BSLASHbdit] = ACTIONS(2773),
    [anon_sym_BSLASHno] = ACTIONS(2773),
    [anon_sym_BSLASHsc] = ACTIONS(2773),
    [anon_sym_BSLASHsup] = ACTIONS(2773),
    [anon_sym_BSLASHndx] = ACTIONS(2773),
    [anon_sym_BSLASHpro] = ACTIONS(2773),
    [anon_sym_BSLASHrb] = ACTIONS(2773),
    [anon_sym_BSLASHw] = ACTIONS(2773),
    [anon_sym_BSLASHwg] = ACTIONS(2773),
    [anon_sym_BSLASHwh] = ACTIONS(2773),
    [anon_sym_BSLASHwa] = ACTIONS(2773),
    [anon_sym_BSLASHfig] = ACTIONS(2773),
    [anon_sym_BSLASHjmp] = ACTIONS(2773),
    [anon_sym_BSLASHpb] = ACTIONS(2773),
    [anon_sym_BSLASH] = ACTIONS(2773),
    [sym_milestoneStartTag] = ACTIONS(2773),
    [sym_milestoneEndTag] = ACTIONS(2773),
    [sym_zSpaceTag] = ACTIONS(2773),
    [anon_sym_BSLASHesbe] = ACTIONS(2773),
    [anon_sym_BSLASHcat] = ACTIONS(2773),
  },
  [773] = {
    [aux_sym_text_token1] = ACTIONS(2779),
    [anon_sym_BSLASHsts] = ACTIONS(2781),
    [anon_sym_BSLASHrem] = ACTIONS(2781),
    [anon_sym_BSLASHrestore] = ACTIONS(2781),
    [anon_sym_BSLASHlit] = ACTIONS(2781),
    [anon_sym_BSLASHip] = ACTIONS(2781),
    [anon_sym_BSLASHmte] = ACTIONS(2781),
    [anon_sym_BSLASHms] = ACTIONS(2781),
    [anon_sym_BSLASHs] = ACTIONS(2781),
    [anon_sym_BSLASHr] = ACTIONS(2781),
    [anon_sym_BSLASHsp] = ACTIONS(2781),
    [anon_sym_BSLASHd] = ACTIONS(2781),
    [anon_sym_BSLASHsd] = ACTIONS(2781),
    [anon_sym_BSLASHp] = ACTIONS(2781),
    [anon_sym_BSLASHm] = ACTIONS(2781),
    [anon_sym_BSLASHpo] = ACTIONS(2781),
    [anon_sym_BSLASHpr] = ACTIONS(2781),
    [anon_sym_BSLASHcls] = ACTIONS(2781),
    [anon_sym_BSLASHpmo] = ACTIONS(2781),
    [anon_sym_BSLASHpm] = ACTIONS(2781),
    [anon_sym_BSLASHpmc] = ACTIONS(2781),
    [anon_sym_BSLASHpmr] = ACTIONS(2781),
    [anon_sym_BSLASHpi] = ACTIONS(2781),
    [anon_sym_BSLASHmi] = ACTIONS(2781),
    [anon_sym_BSLASHnb] = ACTIONS(2781),
    [anon_sym_BSLASHpc] = ACTIONS(2781),
    [anon_sym_BSLASHph] = ACTIONS(2781),
    [anon_sym_BSLASHb] = ACTIONS(2781),
    [anon_sym_BSLASHq] = ACTIONS(2781),
    [anon_sym_BSLASHqr] = ACTIONS(2781),
    [anon_sym_BSLASHqc] = ACTIONS(2781),
    [anon_sym_BSLASHqa] = ACTIONS(2781),
    [anon_sym_BSLASHqm] = ACTIONS(2781),
    [anon_sym_BSLASHqd] = ACTIONS(2781),
    [anon_sym_BSLASHlh] = ACTIONS(2781),
    [anon_sym_BSLASHli] = ACTIONS(2781),
    [anon_sym_BSLASHlim] = ACTIONS(2781),
    [anon_sym_BSLASHtr] = ACTIONS(2781),
    [sym_thTag] = ACTIONS(2781),
    [sym_thrTag] = ACTIONS(2781),
    [sym_tcTag] = ACTIONS(2781),
    [sym_tcrTag] = ACTIONS(2781),
    [anon_sym_BSLASHf] = ACTIONS(2781),
    [anon_sym_BSLASHfe] = ACTIONS(2781),
    [anon_sym_BSLASHef] = ACTIONS(2781),
    [anon_sym_BSLASHfm] = ACTIONS(2781),
    [anon_sym_BSLASHadd] = ACTIONS(2781),
    [anon_sym_BSLASHbk] = ACTIONS(2781),
    [anon_sym_BSLASHdc] = ACTIONS(2781),
    [anon_sym_BSLASHk] = ACTIONS(2781),
    [anon_sym_BSLASHnd] = ACTIONS(2781),
    [anon_sym_BSLASHord] = ACTIONS(2781),
    [anon_sym_BSLASHpn] = ACTIONS(2781),
    [anon_sym_BSLASHpng] = ACTIONS(2781),
    [anon_sym_BSLASHaddpn] = ACTIONS(2781),
    [anon_sym_BSLASHqt] = ACTIONS(2781),
    [anon_sym_BSLASHsig] = ACTIONS(2781),
    [anon_sym_BSLASHsls] = ACTIONS(2781),
    [anon_sym_BSLASHtl] = ACTIONS(2781),
    [anon_sym_BSLASHwj] = ACTIONS(2781),
    [anon_sym_BSLASHem] = ACTIONS(2781),
    [anon_sym_BSLASHbd] = ACTIONS(2781),
    [anon_sym_BSLASHit] = ACTIONS(2781),
    [anon_sym_BSLASHbdit] = ACTIONS(2781),
    [anon_sym_BSLASHno] = ACTIONS(2781),
    [anon_sym_BSLASHsc] = ACTIONS(2781),
    [anon_sym_BSLASHsup] = ACTIONS(2781),
    [anon_sym_BSLASHndx] = ACTIONS(2781),
    [anon_sym_BSLASHpro] = ACTIONS(2781),
    [anon_sym_BSLASHrb] = ACTIONS(2781),
    [anon_sym_BSLASHw] = ACTIONS(2781),
    [anon_sym_BSLASHwg] = ACTIONS(2781),
    [anon_sym_BSLASHwh] = ACTIONS(2781),
    [anon_sym_BSLASHwa] = ACTIONS(2781),
    [anon_sym_BSLASHfig] = ACTIONS(2781),
    [anon_sym_BSLASHjmp] = ACTIONS(2781),
    [anon_sym_BSLASHpb] = ACTIONS(2781),
    [anon_sym_BSLASH] = ACTIONS(2781),
    [sym_milestoneStartTag] = ACTIONS(2781),
    [sym_milestoneEndTag] = ACTIONS(2781),
    [sym_zSpaceTag] = ACTIONS(2781),
    [anon_sym_BSLASHesbe] = ACTIONS(2781),
    [anon_sym_BSLASHcat] = ACTIONS(2781),
  },
  [774] = {
    [aux_sym_text_token1] = ACTIONS(2783),
    [anon_sym_BSLASHsts] = ACTIONS(2785),
    [anon_sym_BSLASHrem] = ACTIONS(2785),
    [anon_sym_BSLASHrestore] = ACTIONS(2785),
    [anon_sym_BSLASHlit] = ACTIONS(2785),
    [anon_sym_BSLASHip] = ACTIONS(2785),
    [anon_sym_BSLASHmte] = ACTIONS(2785),
    [anon_sym_BSLASHms] = ACTIONS(2785),
    [anon_sym_BSLASHs] = ACTIONS(2785),
    [anon_sym_BSLASHr] = ACTIONS(2785),
    [anon_sym_BSLASHsp] = ACTIONS(2785),
    [anon_sym_BSLASHd] = ACTIONS(2785),
    [anon_sym_BSLASHsd] = ACTIONS(2785),
    [anon_sym_BSLASHp] = ACTIONS(2785),
    [anon_sym_BSLASHm] = ACTIONS(2785),
    [anon_sym_BSLASHpo] = ACTIONS(2785),
    [anon_sym_BSLASHpr] = ACTIONS(2785),
    [anon_sym_BSLASHcls] = ACTIONS(2785),
    [anon_sym_BSLASHpmo] = ACTIONS(2785),
    [anon_sym_BSLASHpm] = ACTIONS(2785),
    [anon_sym_BSLASHpmc] = ACTIONS(2785),
    [anon_sym_BSLASHpmr] = ACTIONS(2785),
    [anon_sym_BSLASHpi] = ACTIONS(2785),
    [anon_sym_BSLASHmi] = ACTIONS(2785),
    [anon_sym_BSLASHnb] = ACTIONS(2785),
    [anon_sym_BSLASHpc] = ACTIONS(2785),
    [anon_sym_BSLASHph] = ACTIONS(2785),
    [anon_sym_BSLASHb] = ACTIONS(2785),
    [anon_sym_BSLASHq] = ACTIONS(2785),
    [anon_sym_BSLASHqr] = ACTIONS(2785),
    [anon_sym_BSLASHqc] = ACTIONS(2785),
    [anon_sym_BSLASHqa] = ACTIONS(2785),
    [anon_sym_BSLASHqm] = ACTIONS(2785),
    [anon_sym_BSLASHqd] = ACTIONS(2785),
    [anon_sym_BSLASHlh] = ACTIONS(2785),
    [anon_sym_BSLASHli] = ACTIONS(2785),
    [anon_sym_BSLASHlim] = ACTIONS(2785),
    [anon_sym_BSLASHtr] = ACTIONS(2785),
    [sym_thTag] = ACTIONS(2785),
    [sym_thrTag] = ACTIONS(2785),
    [sym_tcTag] = ACTIONS(2785),
    [sym_tcrTag] = ACTIONS(2785),
    [anon_sym_BSLASHf] = ACTIONS(2785),
    [anon_sym_BSLASHfe] = ACTIONS(2785),
    [anon_sym_BSLASHef] = ACTIONS(2785),
    [anon_sym_BSLASHfm] = ACTIONS(2785),
    [anon_sym_BSLASHadd] = ACTIONS(2785),
    [anon_sym_BSLASHbk] = ACTIONS(2785),
    [anon_sym_BSLASHdc] = ACTIONS(2785),
    [anon_sym_BSLASHk] = ACTIONS(2785),
    [anon_sym_BSLASHnd] = ACTIONS(2785),
    [anon_sym_BSLASHord] = ACTIONS(2785),
    [anon_sym_BSLASHpn] = ACTIONS(2785),
    [anon_sym_BSLASHpng] = ACTIONS(2785),
    [anon_sym_BSLASHaddpn] = ACTIONS(2785),
    [anon_sym_BSLASHqt] = ACTIONS(2785),
    [anon_sym_BSLASHsig] = ACTIONS(2785),
    [anon_sym_BSLASHsls] = ACTIONS(2785),
    [anon_sym_BSLASHtl] = ACTIONS(2785),
    [anon_sym_BSLASHwj] = ACTIONS(2785),
    [anon_sym_BSLASHem] = ACTIONS(2785),
    [anon_sym_BSLASHbd] = ACTIONS(2785),
    [anon_sym_BSLASHit] = ACTIONS(2785),
    [anon_sym_BSLASHbdit] = ACTIONS(2785),
    [anon_sym_BSLASHno] = ACTIONS(2785),
    [anon_sym_BSLASHsc] = ACTIONS(2785),
    [anon_sym_BSLASHsup] = ACTIONS(2785),
    [anon_sym_BSLASHndx] = ACTIONS(2785),
    [anon_sym_BSLASHpro] = ACTIONS(2785),
    [anon_sym_BSLASHrb] = ACTIONS(2785),
    [anon_sym_BSLASHw] = ACTIONS(2785),
    [anon_sym_BSLASHwg] = ACTIONS(2785),
    [anon_sym_BSLASHwh] = ACTIONS(2785),
    [anon_sym_BSLASHwa] = ACTIONS(2785),
    [anon_sym_BSLASHfig] = ACTIONS(2785),
    [anon_sym_BSLASHjmp] = ACTIONS(2785),
    [anon_sym_BSLASHpb] = ACTIONS(2785),
    [anon_sym_BSLASH] = ACTIONS(2785),
    [sym_milestoneStartTag] = ACTIONS(2785),
    [sym_milestoneEndTag] = ACTIONS(2785),
    [sym_zSpaceTag] = ACTIONS(2785),
    [anon_sym_BSLASHesbe] = ACTIONS(2785),
    [anon_sym_BSLASHcat] = ACTIONS(2785),
  },
  [775] = {
    [aux_sym_text_token1] = ACTIONS(2787),
    [anon_sym_BSLASHsts] = ACTIONS(2789),
    [anon_sym_BSLASHrem] = ACTIONS(2789),
    [anon_sym_BSLASHrestore] = ACTIONS(2789),
    [anon_sym_BSLASHlit] = ACTIONS(2789),
    [anon_sym_BSLASHip] = ACTIONS(2789),
    [anon_sym_BSLASHmte] = ACTIONS(2789),
    [anon_sym_BSLASHms] = ACTIONS(2789),
    [anon_sym_BSLASHs] = ACTIONS(2789),
    [anon_sym_BSLASHr] = ACTIONS(2789),
    [anon_sym_BSLASHsp] = ACTIONS(2789),
    [anon_sym_BSLASHd] = ACTIONS(2789),
    [anon_sym_BSLASHsd] = ACTIONS(2789),
    [anon_sym_BSLASHp] = ACTIONS(2789),
    [anon_sym_BSLASHm] = ACTIONS(2789),
    [anon_sym_BSLASHpo] = ACTIONS(2789),
    [anon_sym_BSLASHpr] = ACTIONS(2789),
    [anon_sym_BSLASHcls] = ACTIONS(2789),
    [anon_sym_BSLASHpmo] = ACTIONS(2789),
    [anon_sym_BSLASHpm] = ACTIONS(2789),
    [anon_sym_BSLASHpmc] = ACTIONS(2789),
    [anon_sym_BSLASHpmr] = ACTIONS(2789),
    [anon_sym_BSLASHpi] = ACTIONS(2789),
    [anon_sym_BSLASHmi] = ACTIONS(2789),
    [anon_sym_BSLASHnb] = ACTIONS(2789),
    [anon_sym_BSLASHpc] = ACTIONS(2789),
    [anon_sym_BSLASHph] = ACTIONS(2789),
    [anon_sym_BSLASHb] = ACTIONS(2789),
    [anon_sym_BSLASHq] = ACTIONS(2789),
    [anon_sym_BSLASHqr] = ACTIONS(2789),
    [anon_sym_BSLASHqc] = ACTIONS(2789),
    [anon_sym_BSLASHqa] = ACTIONS(2789),
    [anon_sym_BSLASHqm] = ACTIONS(2789),
    [anon_sym_BSLASHqd] = ACTIONS(2789),
    [anon_sym_BSLASHlh] = ACTIONS(2789),
    [anon_sym_BSLASHli] = ACTIONS(2789),
    [anon_sym_BSLASHlim] = ACTIONS(2789),
    [anon_sym_BSLASHtr] = ACTIONS(2789),
    [sym_thTag] = ACTIONS(2789),
    [sym_thrTag] = ACTIONS(2789),
    [sym_tcTag] = ACTIONS(2789),
    [sym_tcrTag] = ACTIONS(2789),
    [anon_sym_BSLASHf] = ACTIONS(2789),
    [anon_sym_BSLASHfe] = ACTIONS(2789),
    [anon_sym_BSLASHef] = ACTIONS(2789),
    [anon_sym_BSLASHfm] = ACTIONS(2789),
    [anon_sym_BSLASHadd] = ACTIONS(2789),
    [anon_sym_BSLASHbk] = ACTIONS(2789),
    [anon_sym_BSLASHdc] = ACTIONS(2789),
    [anon_sym_BSLASHk] = ACTIONS(2789),
    [anon_sym_BSLASHnd] = ACTIONS(2789),
    [anon_sym_BSLASHord] = ACTIONS(2789),
    [anon_sym_BSLASHpn] = ACTIONS(2789),
    [anon_sym_BSLASHpng] = ACTIONS(2789),
    [anon_sym_BSLASHaddpn] = ACTIONS(2789),
    [anon_sym_BSLASHqt] = ACTIONS(2789),
    [anon_sym_BSLASHsig] = ACTIONS(2789),
    [anon_sym_BSLASHsls] = ACTIONS(2789),
    [anon_sym_BSLASHtl] = ACTIONS(2789),
    [anon_sym_BSLASHwj] = ACTIONS(2789),
    [anon_sym_BSLASHem] = ACTIONS(2789),
    [anon_sym_BSLASHbd] = ACTIONS(2789),
    [anon_sym_BSLASHit] = ACTIONS(2789),
    [anon_sym_BSLASHbdit] = ACTIONS(2789),
    [anon_sym_BSLASHno] = ACTIONS(2789),
    [anon_sym_BSLASHsc] = ACTIONS(2789),
    [anon_sym_BSLASHsup] = ACTIONS(2789),
    [anon_sym_BSLASHndx] = ACTIONS(2789),
    [anon_sym_BSLASHpro] = ACTIONS(2789),
    [anon_sym_BSLASHrb] = ACTIONS(2789),
    [anon_sym_BSLASHw] = ACTIONS(2789),
    [anon_sym_BSLASHwg] = ACTIONS(2789),
    [anon_sym_BSLASHwh] = ACTIONS(2789),
    [anon_sym_BSLASHwa] = ACTIONS(2789),
    [anon_sym_BSLASHfig] = ACTIONS(2789),
    [anon_sym_BSLASHjmp] = ACTIONS(2789),
    [anon_sym_BSLASHpb] = ACTIONS(2789),
    [anon_sym_BSLASH] = ACTIONS(2789),
    [sym_milestoneStartTag] = ACTIONS(2789),
    [sym_milestoneEndTag] = ACTIONS(2789),
    [sym_zSpaceTag] = ACTIONS(2789),
    [anon_sym_BSLASHesbe] = ACTIONS(2789),
    [anon_sym_BSLASHcat] = ACTIONS(2789),
  },
  [776] = {
    [aux_sym_text_token1] = ACTIONS(2791),
    [anon_sym_BSLASHsts] = ACTIONS(2793),
    [anon_sym_BSLASHrem] = ACTIONS(2793),
    [anon_sym_BSLASHrestore] = ACTIONS(2793),
    [anon_sym_BSLASHlit] = ACTIONS(2793),
    [anon_sym_BSLASHip] = ACTIONS(2793),
    [anon_sym_BSLASHmte] = ACTIONS(2793),
    [anon_sym_BSLASHms] = ACTIONS(2793),
    [anon_sym_BSLASHs] = ACTIONS(2793),
    [anon_sym_BSLASHr] = ACTIONS(2793),
    [anon_sym_BSLASHsp] = ACTIONS(2793),
    [anon_sym_BSLASHd] = ACTIONS(2793),
    [anon_sym_BSLASHsd] = ACTIONS(2793),
    [anon_sym_BSLASHp] = ACTIONS(2793),
    [anon_sym_BSLASHm] = ACTIONS(2793),
    [anon_sym_BSLASHpo] = ACTIONS(2793),
    [anon_sym_BSLASHpr] = ACTIONS(2793),
    [anon_sym_BSLASHcls] = ACTIONS(2793),
    [anon_sym_BSLASHpmo] = ACTIONS(2793),
    [anon_sym_BSLASHpm] = ACTIONS(2793),
    [anon_sym_BSLASHpmc] = ACTIONS(2793),
    [anon_sym_BSLASHpmr] = ACTIONS(2793),
    [anon_sym_BSLASHpi] = ACTIONS(2793),
    [anon_sym_BSLASHmi] = ACTIONS(2793),
    [anon_sym_BSLASHnb] = ACTIONS(2793),
    [anon_sym_BSLASHpc] = ACTIONS(2793),
    [anon_sym_BSLASHph] = ACTIONS(2793),
    [anon_sym_BSLASHb] = ACTIONS(2793),
    [anon_sym_BSLASHq] = ACTIONS(2793),
    [anon_sym_BSLASHqr] = ACTIONS(2793),
    [anon_sym_BSLASHqc] = ACTIONS(2793),
    [anon_sym_BSLASHqa] = ACTIONS(2793),
    [anon_sym_BSLASHqm] = ACTIONS(2793),
    [anon_sym_BSLASHqd] = ACTIONS(2793),
    [anon_sym_BSLASHlh] = ACTIONS(2793),
    [anon_sym_BSLASHli] = ACTIONS(2793),
    [anon_sym_BSLASHlim] = ACTIONS(2793),
    [anon_sym_BSLASHtr] = ACTIONS(2793),
    [sym_thTag] = ACTIONS(2793),
    [sym_thrTag] = ACTIONS(2793),
    [sym_tcTag] = ACTIONS(2793),
    [sym_tcrTag] = ACTIONS(2793),
    [anon_sym_BSLASHf] = ACTIONS(2793),
    [anon_sym_BSLASHfe] = ACTIONS(2793),
    [anon_sym_BSLASHef] = ACTIONS(2793),
    [anon_sym_BSLASHfm] = ACTIONS(2793),
    [anon_sym_BSLASHadd] = ACTIONS(2793),
    [anon_sym_BSLASHbk] = ACTIONS(2793),
    [anon_sym_BSLASHdc] = ACTIONS(2793),
    [anon_sym_BSLASHk] = ACTIONS(2793),
    [anon_sym_BSLASHnd] = ACTIONS(2793),
    [anon_sym_BSLASHord] = ACTIONS(2793),
    [anon_sym_BSLASHpn] = ACTIONS(2793),
    [anon_sym_BSLASHpng] = ACTIONS(2793),
    [anon_sym_BSLASHaddpn] = ACTIONS(2793),
    [anon_sym_BSLASHqt] = ACTIONS(2793),
    [anon_sym_BSLASHsig] = ACTIONS(2793),
    [anon_sym_BSLASHsls] = ACTIONS(2793),
    [anon_sym_BSLASHtl] = ACTIONS(2793),
    [anon_sym_BSLASHwj] = ACTIONS(2793),
    [anon_sym_BSLASHem] = ACTIONS(2793),
    [anon_sym_BSLASHbd] = ACTIONS(2793),
    [anon_sym_BSLASHit] = ACTIONS(2793),
    [anon_sym_BSLASHbdit] = ACTIONS(2793),
    [anon_sym_BSLASHno] = ACTIONS(2793),
    [anon_sym_BSLASHsc] = ACTIONS(2793),
    [anon_sym_BSLASHsup] = ACTIONS(2793),
    [anon_sym_BSLASHndx] = ACTIONS(2793),
    [anon_sym_BSLASHpro] = ACTIONS(2793),
    [anon_sym_BSLASHrb] = ACTIONS(2793),
    [anon_sym_BSLASHw] = ACTIONS(2793),
    [anon_sym_BSLASHwg] = ACTIONS(2793),
    [anon_sym_BSLASHwh] = ACTIONS(2793),
    [anon_sym_BSLASHwa] = ACTIONS(2793),
    [anon_sym_BSLASHfig] = ACTIONS(2793),
    [anon_sym_BSLASHjmp] = ACTIONS(2793),
    [anon_sym_BSLASHpb] = ACTIONS(2793),
    [anon_sym_BSLASH] = ACTIONS(2793),
    [sym_milestoneStartTag] = ACTIONS(2793),
    [sym_milestoneEndTag] = ACTIONS(2793),
    [sym_zSpaceTag] = ACTIONS(2793),
    [anon_sym_BSLASHesbe] = ACTIONS(2793),
    [anon_sym_BSLASHcat] = ACTIONS(2793),
  },
  [777] = {
    [aux_sym_text_token1] = ACTIONS(5588),
    [anon_sym_BSLASHref] = ACTIONS(5590),
    [anon_sym_BSLASHsts] = ACTIONS(5590),
    [anon_sym_BSLASHrem] = ACTIONS(5590),
    [anon_sym_BSLASHrestore] = ACTIONS(5590),
    [anon_sym_BSLASHlit] = ACTIONS(5590),
    [anon_sym_BSLASHiqt] = ACTIONS(5590),
    [anon_sym_BSLASHip] = ACTIONS(5590),
    [anon_sym_BSLASHmte] = ACTIONS(5590),
    [anon_sym_BSLASHms] = ACTIONS(5590),
    [anon_sym_BSLASHs] = ACTIONS(5590),
    [anon_sym_BSLASHr] = ACTIONS(5590),
    [anon_sym_BSLASHsp] = ACTIONS(5590),
    [anon_sym_BSLASHd] = ACTIONS(5590),
    [anon_sym_BSLASHsd] = ACTIONS(5590),
    [anon_sym_BSLASHp] = ACTIONS(5590),
    [anon_sym_BSLASHm] = ACTIONS(5590),
    [anon_sym_BSLASHpo] = ACTIONS(5590),
    [anon_sym_BSLASHpr] = ACTIONS(5590),
    [anon_sym_BSLASHcls] = ACTIONS(5590),
    [anon_sym_BSLASHpmo] = ACTIONS(5590),
    [anon_sym_BSLASHpm] = ACTIONS(5590),
    [anon_sym_BSLASHpmc] = ACTIONS(5590),
    [anon_sym_BSLASHpmr] = ACTIONS(5590),
    [anon_sym_BSLASHpi] = ACTIONS(5590),
    [anon_sym_BSLASHmi] = ACTIONS(5590),
    [anon_sym_BSLASHnb] = ACTIONS(5590),
    [anon_sym_BSLASHpc] = ACTIONS(5590),
    [anon_sym_BSLASHph] = ACTIONS(5590),
    [anon_sym_BSLASHb] = ACTIONS(5590),
    [anon_sym_BSLASHq] = ACTIONS(5590),
    [anon_sym_BSLASHqr] = ACTIONS(5590),
    [anon_sym_BSLASHqc] = ACTIONS(5590),
    [anon_sym_BSLASHqa] = ACTIONS(5590),
    [anon_sym_BSLASHqm] = ACTIONS(5590),
    [anon_sym_BSLASHqd] = ACTIONS(5590),
    [anon_sym_BSLASHlh] = ACTIONS(5590),
    [anon_sym_BSLASHli] = ACTIONS(5590),
    [anon_sym_BSLASHlim] = ACTIONS(5590),
    [anon_sym_BSLASHtr] = ACTIONS(5590),
    [anon_sym_BSLASHf] = ACTIONS(5590),
    [anon_sym_BSLASHfe] = ACTIONS(5590),
    [anon_sym_BSLASHef] = ACTIONS(5590),
    [anon_sym_BSLASHfm] = ACTIONS(5590),
    [anon_sym_BSLASHxt] = ACTIONS(5590),
    [anon_sym_BSLASHadd] = ACTIONS(5590),
    [anon_sym_BSLASHbk] = ACTIONS(5590),
    [anon_sym_BSLASHdc] = ACTIONS(5590),
    [anon_sym_BSLASHk] = ACTIONS(5590),
    [anon_sym_BSLASHnd] = ACTIONS(5590),
    [anon_sym_BSLASHord] = ACTIONS(5590),
    [anon_sym_BSLASHpn] = ACTIONS(5590),
    [anon_sym_BSLASHpng] = ACTIONS(5590),
    [anon_sym_BSLASHaddpn] = ACTIONS(5590),
    [anon_sym_BSLASHqt] = ACTIONS(5590),
    [anon_sym_BSLASHsig] = ACTIONS(5590),
    [anon_sym_BSLASHsls] = ACTIONS(5590),
    [anon_sym_BSLASHtl] = ACTIONS(5590),
    [anon_sym_BSLASHwj] = ACTIONS(5590),
    [anon_sym_BSLASHem] = ACTIONS(5590),
    [anon_sym_BSLASHbd] = ACTIONS(5590),
    [anon_sym_BSLASHit] = ACTIONS(5590),
    [anon_sym_BSLASHbdit] = ACTIONS(5590),
    [anon_sym_BSLASHno] = ACTIONS(5590),
    [anon_sym_BSLASHsc] = ACTIONS(5590),
    [anon_sym_BSLASHsup] = ACTIONS(5590),
    [anon_sym_BSLASHndx] = ACTIONS(5590),
    [anon_sym_BSLASHpro] = ACTIONS(5590),
    [anon_sym_BSLASHrb] = ACTIONS(5590),
    [anon_sym_BSLASHw] = ACTIONS(5590),
    [anon_sym_BSLASHwg] = ACTIONS(5590),
    [anon_sym_BSLASHwh] = ACTIONS(5590),
    [anon_sym_BSLASHwa] = ACTIONS(5590),
    [anon_sym_BSLASHfig] = ACTIONS(5590),
    [anon_sym_BSLASHjmp] = ACTIONS(5590),
    [anon_sym_BSLASHpb] = ACTIONS(5590),
    [anon_sym_BSLASH] = ACTIONS(5590),
    [sym_milestoneStartTag] = ACTIONS(5590),
    [sym_milestoneEndTag] = ACTIONS(5590),
    [sym_zSpaceTag] = ACTIONS(5590),
    [anon_sym_BSLASHesbe] = ACTIONS(5590),
    [anon_sym_BSLASHcat] = ACTIONS(5590),
  },
  [778] = {
    [sym_text] = STATE(779),
    [sym_footnote] = STATE(779),
    [sym_f] = STATE(1611),
    [sym_fe] = STATE(1611),
    [sym_ef] = STATE(1611),
    [sym_fm] = STATE(1611),
    [sym_crossref] = STATE(779),
    [sym_x] = STATE(1628),
    [sym_xt_standalone] = STATE(1628),
    [sym_rq] = STATE(1628),
    [sym_addNested] = STATE(779),
    [sym_bkNested] = STATE(779),
    [sym_dcNested] = STATE(779),
    [sym_kNested] = STATE(779),
    [sym_ndNested] = STATE(779),
    [sym_ordNested] = STATE(779),
    [sym_pnNested] = STATE(779),
    [sym_pngNested] = STATE(779),
    [sym_addpnNested] = STATE(779),
    [sym_qtNested] = STATE(779),
    [sym_sigNested] = STATE(779),
    [sym_slsNested] = STATE(779),
    [sym_tlNested] = STATE(779),
    [sym_wjNested] = STATE(779),
    [sym_emNested] = STATE(779),
    [sym_bdNested] = STATE(779),
    [sym_itNested] = STATE(779),
    [sym_bditNested] = STATE(779),
    [sym_noNested] = STATE(779),
    [sym_scNested] = STATE(779),
    [sym_supNested] = STATE(779),
    [sym_ndxNested] = STATE(779),
    [sym_proNested] = STATE(779),
    [sym_rbNested] = STATE(779),
    [sym_wNested] = STATE(779),
    [sym_wgNested] = STATE(779),
    [sym_whNested] = STATE(779),
    [sym_waNested] = STATE(779),
    [sym__nestedCharacterMarker] = STATE(779),
    [sym_fig] = STATE(779),
    [sym_jmpNested] = STATE(779),
    [aux_sym__innerText_repeat1] = STATE(779),
    [aux_sym_text_token1] = ACTIONS(6006),
    [anon_sym_BSLASHf] = ACTIONS(6008),
    [anon_sym_BSLASHfe] = ACTIONS(6010),
    [anon_sym_BSLASHef] = ACTIONS(6012),
    [anon_sym_BSLASHfm] = ACTIONS(6014),
    [anon_sym_BSLASHx] = ACTIONS(6016),
    [anon_sym_BSLASHxt] = ACTIONS(6018),
    [anon_sym_BSLASHrq] = ACTIONS(6020),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(3238),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(3238),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(6022),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [779] = {
    [sym_text] = STATE(779),
    [sym_footnote] = STATE(779),
    [sym_f] = STATE(1611),
    [sym_fe] = STATE(1611),
    [sym_ef] = STATE(1611),
    [sym_fm] = STATE(1611),
    [sym_crossref] = STATE(779),
    [sym_x] = STATE(1628),
    [sym_xt_standalone] = STATE(1628),
    [sym_rq] = STATE(1628),
    [sym_addNested] = STATE(779),
    [sym_bkNested] = STATE(779),
    [sym_dcNested] = STATE(779),
    [sym_kNested] = STATE(779),
    [sym_ndNested] = STATE(779),
    [sym_ordNested] = STATE(779),
    [sym_pnNested] = STATE(779),
    [sym_pngNested] = STATE(779),
    [sym_addpnNested] = STATE(779),
    [sym_qtNested] = STATE(779),
    [sym_sigNested] = STATE(779),
    [sym_slsNested] = STATE(779),
    [sym_tlNested] = STATE(779),
    [sym_wjNested] = STATE(779),
    [sym_emNested] = STATE(779),
    [sym_bdNested] = STATE(779),
    [sym_itNested] = STATE(779),
    [sym_bditNested] = STATE(779),
    [sym_noNested] = STATE(779),
    [sym_scNested] = STATE(779),
    [sym_supNested] = STATE(779),
    [sym_ndxNested] = STATE(779),
    [sym_proNested] = STATE(779),
    [sym_rbNested] = STATE(779),
    [sym_wNested] = STATE(779),
    [sym_wgNested] = STATE(779),
    [sym_whNested] = STATE(779),
    [sym_waNested] = STATE(779),
    [sym__nestedCharacterMarker] = STATE(779),
    [sym_fig] = STATE(779),
    [sym_jmpNested] = STATE(779),
    [aux_sym__innerText_repeat1] = STATE(779),
    [aux_sym_text_token1] = ACTIONS(6024),
    [anon_sym_BSLASHf] = ACTIONS(6027),
    [anon_sym_BSLASHfe] = ACTIONS(6030),
    [anon_sym_BSLASHef] = ACTIONS(6033),
    [anon_sym_BSLASHfm] = ACTIONS(6036),
    [anon_sym_BSLASHx] = ACTIONS(6039),
    [anon_sym_BSLASHxt] = ACTIONS(6042),
    [anon_sym_BSLASHrq] = ACTIONS(6045),
    [anon_sym_BSLASHqt_STAR] = ACTIONS(3142),
    [anon_sym_BSLASHtl_STAR] = ACTIONS(3142),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(3144),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(3147),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(3150),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(3153),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(3156),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(3159),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(3162),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(3165),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(3168),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(3171),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(3174),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(3177),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(3180),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(3183),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(3186),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(3189),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(3192),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(3195),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(3198),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(3201),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(3204),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(3207),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(3210),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(3213),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(3216),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(3219),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(3222),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(3225),
    [anon_sym_BSLASHfig] = ACTIONS(6048),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(3231),
  },
  [780] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2556),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [781] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2194),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [782] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(1961),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [783] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(1943),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [784] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(1977),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [785] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(1971),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [786] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(1967),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [787] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(1975),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [788] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(1949),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [789] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(1948),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [790] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2410),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [791] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2409),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [792] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2408),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [793] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(1898),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [794] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2406),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [795] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2405),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [796] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2404),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [797] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2403),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [798] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2402),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [799] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2401),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [800] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2400),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [801] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2399),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [802] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2398),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [803] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2397),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [804] = {
    [sym_text] = STATE(778),
    [sym_footnote] = STATE(778),
    [sym_f] = STATE(1611),
    [sym_fe] = STATE(1611),
    [sym_ef] = STATE(1611),
    [sym_fm] = STATE(1611),
    [sym_crossref] = STATE(778),
    [sym_x] = STATE(1628),
    [sym_xt_standalone] = STATE(1628),
    [sym_rq] = STATE(1628),
    [sym__innerText] = STATE(2396),
    [sym_addNested] = STATE(778),
    [sym_bkNested] = STATE(778),
    [sym_dcNested] = STATE(778),
    [sym_kNested] = STATE(778),
    [sym_ndNested] = STATE(778),
    [sym_ordNested] = STATE(778),
    [sym_pnNested] = STATE(778),
    [sym_pngNested] = STATE(778),
    [sym_addpnNested] = STATE(778),
    [sym_qtNested] = STATE(778),
    [sym_sigNested] = STATE(778),
    [sym_slsNested] = STATE(778),
    [sym_tlNested] = STATE(778),
    [sym_wjNested] = STATE(778),
    [sym_emNested] = STATE(778),
    [sym_bdNested] = STATE(778),
    [sym_itNested] = STATE(778),
    [sym_bditNested] = STATE(778),
    [sym_noNested] = STATE(778),
    [sym_scNested] = STATE(778),
    [sym_supNested] = STATE(778),
    [sym_ndxNested] = STATE(778),
    [sym_proNested] = STATE(778),
    [sym_rbNested] = STATE(778),
    [sym_wNested] = STATE(778),
    [sym_wgNested] = STATE(778),
    [sym_whNested] = STATE(778),
    [sym_waNested] = STATE(778),
    [sym__nestedCharacterMarker] = STATE(778),
    [sym_fig] = STATE(778),
    [sym_jmpNested] = STATE(778),
    [aux_sym__innerText_repeat1] = STATE(778),
    [aux_sym_text_token1] = ACTIONS(6006),
    [anon_sym_BSLASHf] = ACTIONS(6008),
    [anon_sym_BSLASHfe] = ACTIONS(6010),
    [anon_sym_BSLASHef] = ACTIONS(6012),
    [anon_sym_BSLASHfm] = ACTIONS(6014),
    [anon_sym_BSLASHx] = ACTIONS(6016),
    [anon_sym_BSLASHxt] = ACTIONS(6018),
    [anon_sym_BSLASHrq] = ACTIONS(6020),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(6022),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [805] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2395),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [806] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2394),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [807] = {
    [sym_text] = STATE(778),
    [sym_footnote] = STATE(778),
    [sym_f] = STATE(1611),
    [sym_fe] = STATE(1611),
    [sym_ef] = STATE(1611),
    [sym_fm] = STATE(1611),
    [sym_crossref] = STATE(778),
    [sym_x] = STATE(1628),
    [sym_xt_standalone] = STATE(1628),
    [sym_rq] = STATE(1628),
    [sym__innerText] = STATE(2393),
    [sym_addNested] = STATE(778),
    [sym_bkNested] = STATE(778),
    [sym_dcNested] = STATE(778),
    [sym_kNested] = STATE(778),
    [sym_ndNested] = STATE(778),
    [sym_ordNested] = STATE(778),
    [sym_pnNested] = STATE(778),
    [sym_pngNested] = STATE(778),
    [sym_addpnNested] = STATE(778),
    [sym_qtNested] = STATE(778),
    [sym_sigNested] = STATE(778),
    [sym_slsNested] = STATE(778),
    [sym_tlNested] = STATE(778),
    [sym_wjNested] = STATE(778),
    [sym_emNested] = STATE(778),
    [sym_bdNested] = STATE(778),
    [sym_itNested] = STATE(778),
    [sym_bditNested] = STATE(778),
    [sym_noNested] = STATE(778),
    [sym_scNested] = STATE(778),
    [sym_supNested] = STATE(778),
    [sym_ndxNested] = STATE(778),
    [sym_proNested] = STATE(778),
    [sym_rbNested] = STATE(778),
    [sym_wNested] = STATE(778),
    [sym_wgNested] = STATE(778),
    [sym_whNested] = STATE(778),
    [sym_waNested] = STATE(778),
    [sym__nestedCharacterMarker] = STATE(778),
    [sym_fig] = STATE(778),
    [sym_jmpNested] = STATE(778),
    [aux_sym__innerText_repeat1] = STATE(778),
    [aux_sym_text_token1] = ACTIONS(6006),
    [anon_sym_BSLASHf] = ACTIONS(6008),
    [anon_sym_BSLASHfe] = ACTIONS(6010),
    [anon_sym_BSLASHef] = ACTIONS(6012),
    [anon_sym_BSLASHfm] = ACTIONS(6014),
    [anon_sym_BSLASHx] = ACTIONS(6016),
    [anon_sym_BSLASHxt] = ACTIONS(6018),
    [anon_sym_BSLASHrq] = ACTIONS(6020),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(6022),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [808] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2392),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [809] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2391),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [810] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2390),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [811] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2389),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [812] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2388),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [813] = {
    [sym_text] = STATE(759),
    [sym_footnote] = STATE(759),
    [sym_f] = STATE(1606),
    [sym_fe] = STATE(1606),
    [sym_ef] = STATE(1606),
    [sym_fm] = STATE(1606),
    [sym_crossref] = STATE(759),
    [sym_x] = STATE(1554),
    [sym_xt_standalone] = STATE(1554),
    [sym_rq] = STATE(1554),
    [sym__innerText] = STATE(1860),
    [sym_addNested] = STATE(759),
    [sym_bkNested] = STATE(759),
    [sym_dcNested] = STATE(759),
    [sym_kNested] = STATE(759),
    [sym_ndNested] = STATE(759),
    [sym_ordNested] = STATE(759),
    [sym_pnNested] = STATE(759),
    [sym_pngNested] = STATE(759),
    [sym_addpnNested] = STATE(759),
    [sym_qtNested] = STATE(759),
    [sym_sigNested] = STATE(759),
    [sym_slsNested] = STATE(759),
    [sym_tlNested] = STATE(759),
    [sym_wjNested] = STATE(759),
    [sym_emNested] = STATE(759),
    [sym_bdNested] = STATE(759),
    [sym_itNested] = STATE(759),
    [sym_bditNested] = STATE(759),
    [sym_noNested] = STATE(759),
    [sym_scNested] = STATE(759),
    [sym_supNested] = STATE(759),
    [sym_ndxNested] = STATE(759),
    [sym_proNested] = STATE(759),
    [sym_rbNested] = STATE(759),
    [sym_wNested] = STATE(759),
    [sym_wgNested] = STATE(759),
    [sym_whNested] = STATE(759),
    [sym_waNested] = STATE(759),
    [sym__nestedCharacterMarker] = STATE(759),
    [sym_fig] = STATE(759),
    [sym_jmpNested] = STATE(759),
    [aux_sym__innerText_repeat1] = STATE(759),
    [aux_sym_text_token1] = ACTIONS(6051),
    [anon_sym_BSLASHf] = ACTIONS(5930),
    [anon_sym_BSLASHfe] = ACTIONS(5932),
    [anon_sym_BSLASHef] = ACTIONS(5934),
    [anon_sym_BSLASHfm] = ACTIONS(5936),
    [anon_sym_BSLASHx] = ACTIONS(5938),
    [anon_sym_BSLASHxt] = ACTIONS(5940),
    [anon_sym_BSLASHrq] = ACTIONS(5942),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5944),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5946),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5948),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5950),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5952),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5954),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5956),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5958),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5960),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5962),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5964),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5966),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5968),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5970),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5972),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5974),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5976),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5978),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5980),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5982),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5984),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5986),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5988),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5990),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5992),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5994),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5996),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5998),
    [anon_sym_BSLASHfig] = ACTIONS(6000),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6002),
  },
  [814] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2386),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [815] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2385),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [816] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2384),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [817] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2346),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [818] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2345),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [819] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2344),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [820] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(1920),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [821] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2342),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [822] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2341),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [823] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2340),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [824] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2339),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [825] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2338),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [826] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2337),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [827] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2336),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [828] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2335),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [829] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2334),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [830] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2333),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [831] = {
    [sym_text] = STATE(778),
    [sym_footnote] = STATE(778),
    [sym_f] = STATE(1611),
    [sym_fe] = STATE(1611),
    [sym_ef] = STATE(1611),
    [sym_fm] = STATE(1611),
    [sym_crossref] = STATE(778),
    [sym_x] = STATE(1628),
    [sym_xt_standalone] = STATE(1628),
    [sym_rq] = STATE(1628),
    [sym__innerText] = STATE(2332),
    [sym_addNested] = STATE(778),
    [sym_bkNested] = STATE(778),
    [sym_dcNested] = STATE(778),
    [sym_kNested] = STATE(778),
    [sym_ndNested] = STATE(778),
    [sym_ordNested] = STATE(778),
    [sym_pnNested] = STATE(778),
    [sym_pngNested] = STATE(778),
    [sym_addpnNested] = STATE(778),
    [sym_qtNested] = STATE(778),
    [sym_sigNested] = STATE(778),
    [sym_slsNested] = STATE(778),
    [sym_tlNested] = STATE(778),
    [sym_wjNested] = STATE(778),
    [sym_emNested] = STATE(778),
    [sym_bdNested] = STATE(778),
    [sym_itNested] = STATE(778),
    [sym_bditNested] = STATE(778),
    [sym_noNested] = STATE(778),
    [sym_scNested] = STATE(778),
    [sym_supNested] = STATE(778),
    [sym_ndxNested] = STATE(778),
    [sym_proNested] = STATE(778),
    [sym_rbNested] = STATE(778),
    [sym_wNested] = STATE(778),
    [sym_wgNested] = STATE(778),
    [sym_whNested] = STATE(778),
    [sym_waNested] = STATE(778),
    [sym__nestedCharacterMarker] = STATE(778),
    [sym_fig] = STATE(778),
    [sym_jmpNested] = STATE(778),
    [aux_sym__innerText_repeat1] = STATE(778),
    [aux_sym_text_token1] = ACTIONS(6006),
    [anon_sym_BSLASHf] = ACTIONS(6008),
    [anon_sym_BSLASHfe] = ACTIONS(6010),
    [anon_sym_BSLASHef] = ACTIONS(6012),
    [anon_sym_BSLASHfm] = ACTIONS(6014),
    [anon_sym_BSLASHx] = ACTIONS(6016),
    [anon_sym_BSLASHxt] = ACTIONS(6018),
    [anon_sym_BSLASHrq] = ACTIONS(6020),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(6022),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [832] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2331),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [833] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2330),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [834] = {
    [sym_text] = STATE(778),
    [sym_footnote] = STATE(778),
    [sym_f] = STATE(1611),
    [sym_fe] = STATE(1611),
    [sym_ef] = STATE(1611),
    [sym_fm] = STATE(1611),
    [sym_crossref] = STATE(778),
    [sym_x] = STATE(1628),
    [sym_xt_standalone] = STATE(1628),
    [sym_rq] = STATE(1628),
    [sym__innerText] = STATE(2329),
    [sym_addNested] = STATE(778),
    [sym_bkNested] = STATE(778),
    [sym_dcNested] = STATE(778),
    [sym_kNested] = STATE(778),
    [sym_ndNested] = STATE(778),
    [sym_ordNested] = STATE(778),
    [sym_pnNested] = STATE(778),
    [sym_pngNested] = STATE(778),
    [sym_addpnNested] = STATE(778),
    [sym_qtNested] = STATE(778),
    [sym_sigNested] = STATE(778),
    [sym_slsNested] = STATE(778),
    [sym_tlNested] = STATE(778),
    [sym_wjNested] = STATE(778),
    [sym_emNested] = STATE(778),
    [sym_bdNested] = STATE(778),
    [sym_itNested] = STATE(778),
    [sym_bditNested] = STATE(778),
    [sym_noNested] = STATE(778),
    [sym_scNested] = STATE(778),
    [sym_supNested] = STATE(778),
    [sym_ndxNested] = STATE(778),
    [sym_proNested] = STATE(778),
    [sym_rbNested] = STATE(778),
    [sym_wNested] = STATE(778),
    [sym_wgNested] = STATE(778),
    [sym_whNested] = STATE(778),
    [sym_waNested] = STATE(778),
    [sym__nestedCharacterMarker] = STATE(778),
    [sym_fig] = STATE(778),
    [sym_jmpNested] = STATE(778),
    [aux_sym__innerText_repeat1] = STATE(778),
    [aux_sym_text_token1] = ACTIONS(6006),
    [anon_sym_BSLASHf] = ACTIONS(6008),
    [anon_sym_BSLASHfe] = ACTIONS(6010),
    [anon_sym_BSLASHef] = ACTIONS(6012),
    [anon_sym_BSLASHfm] = ACTIONS(6014),
    [anon_sym_BSLASHx] = ACTIONS(6016),
    [anon_sym_BSLASHxt] = ACTIONS(6018),
    [anon_sym_BSLASHrq] = ACTIONS(6020),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(6022),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [835] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2328),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [836] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2327),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [837] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2326),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [838] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2325),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [839] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2324),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [840] = {
    [sym_text] = STATE(759),
    [sym_footnote] = STATE(759),
    [sym_f] = STATE(1606),
    [sym_fe] = STATE(1606),
    [sym_ef] = STATE(1606),
    [sym_fm] = STATE(1606),
    [sym_crossref] = STATE(759),
    [sym_x] = STATE(1554),
    [sym_xt_standalone] = STATE(1554),
    [sym_rq] = STATE(1554),
    [sym__innerText] = STATE(1857),
    [sym_addNested] = STATE(759),
    [sym_bkNested] = STATE(759),
    [sym_dcNested] = STATE(759),
    [sym_kNested] = STATE(759),
    [sym_ndNested] = STATE(759),
    [sym_ordNested] = STATE(759),
    [sym_pnNested] = STATE(759),
    [sym_pngNested] = STATE(759),
    [sym_addpnNested] = STATE(759),
    [sym_qtNested] = STATE(759),
    [sym_sigNested] = STATE(759),
    [sym_slsNested] = STATE(759),
    [sym_tlNested] = STATE(759),
    [sym_wjNested] = STATE(759),
    [sym_emNested] = STATE(759),
    [sym_bdNested] = STATE(759),
    [sym_itNested] = STATE(759),
    [sym_bditNested] = STATE(759),
    [sym_noNested] = STATE(759),
    [sym_scNested] = STATE(759),
    [sym_supNested] = STATE(759),
    [sym_ndxNested] = STATE(759),
    [sym_proNested] = STATE(759),
    [sym_rbNested] = STATE(759),
    [sym_wNested] = STATE(759),
    [sym_wgNested] = STATE(759),
    [sym_whNested] = STATE(759),
    [sym_waNested] = STATE(759),
    [sym__nestedCharacterMarker] = STATE(759),
    [sym_fig] = STATE(759),
    [sym_jmpNested] = STATE(759),
    [aux_sym__innerText_repeat1] = STATE(759),
    [aux_sym_text_token1] = ACTIONS(6051),
    [anon_sym_BSLASHf] = ACTIONS(5930),
    [anon_sym_BSLASHfe] = ACTIONS(5932),
    [anon_sym_BSLASHef] = ACTIONS(5934),
    [anon_sym_BSLASHfm] = ACTIONS(5936),
    [anon_sym_BSLASHx] = ACTIONS(5938),
    [anon_sym_BSLASHxt] = ACTIONS(5940),
    [anon_sym_BSLASHrq] = ACTIONS(5942),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5944),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5946),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5948),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5950),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5952),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5954),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5956),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5958),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5960),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5962),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5964),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5966),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5968),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5970),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5972),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5974),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5976),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5978),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5980),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5982),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5984),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5986),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5988),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5990),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5992),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5994),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5996),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5998),
    [anon_sym_BSLASHfig] = ACTIONS(6000),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6002),
  },
  [841] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2322),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [842] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2321),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [843] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2320),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [844] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2282),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [845] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2281),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [846] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2280),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [847] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(1928),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [848] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2278),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [849] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2277),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [850] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2276),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [851] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2275),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [852] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2274),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [853] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2273),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [854] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2272),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [855] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2271),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [856] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2270),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [857] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2269),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [858] = {
    [sym_text] = STATE(778),
    [sym_footnote] = STATE(778),
    [sym_f] = STATE(1611),
    [sym_fe] = STATE(1611),
    [sym_ef] = STATE(1611),
    [sym_fm] = STATE(1611),
    [sym_crossref] = STATE(778),
    [sym_x] = STATE(1628),
    [sym_xt_standalone] = STATE(1628),
    [sym_rq] = STATE(1628),
    [sym__innerText] = STATE(2268),
    [sym_addNested] = STATE(778),
    [sym_bkNested] = STATE(778),
    [sym_dcNested] = STATE(778),
    [sym_kNested] = STATE(778),
    [sym_ndNested] = STATE(778),
    [sym_ordNested] = STATE(778),
    [sym_pnNested] = STATE(778),
    [sym_pngNested] = STATE(778),
    [sym_addpnNested] = STATE(778),
    [sym_qtNested] = STATE(778),
    [sym_sigNested] = STATE(778),
    [sym_slsNested] = STATE(778),
    [sym_tlNested] = STATE(778),
    [sym_wjNested] = STATE(778),
    [sym_emNested] = STATE(778),
    [sym_bdNested] = STATE(778),
    [sym_itNested] = STATE(778),
    [sym_bditNested] = STATE(778),
    [sym_noNested] = STATE(778),
    [sym_scNested] = STATE(778),
    [sym_supNested] = STATE(778),
    [sym_ndxNested] = STATE(778),
    [sym_proNested] = STATE(778),
    [sym_rbNested] = STATE(778),
    [sym_wNested] = STATE(778),
    [sym_wgNested] = STATE(778),
    [sym_whNested] = STATE(778),
    [sym_waNested] = STATE(778),
    [sym__nestedCharacterMarker] = STATE(778),
    [sym_fig] = STATE(778),
    [sym_jmpNested] = STATE(778),
    [aux_sym__innerText_repeat1] = STATE(778),
    [aux_sym_text_token1] = ACTIONS(6006),
    [anon_sym_BSLASHf] = ACTIONS(6008),
    [anon_sym_BSLASHfe] = ACTIONS(6010),
    [anon_sym_BSLASHef] = ACTIONS(6012),
    [anon_sym_BSLASHfm] = ACTIONS(6014),
    [anon_sym_BSLASHx] = ACTIONS(6016),
    [anon_sym_BSLASHxt] = ACTIONS(6018),
    [anon_sym_BSLASHrq] = ACTIONS(6020),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(6022),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [859] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2267),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [860] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2462),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [861] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2266),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [862] = {
    [sym_text] = STATE(778),
    [sym_footnote] = STATE(778),
    [sym_f] = STATE(1611),
    [sym_fe] = STATE(1611),
    [sym_ef] = STATE(1611),
    [sym_fm] = STATE(1611),
    [sym_crossref] = STATE(778),
    [sym_x] = STATE(1628),
    [sym_xt_standalone] = STATE(1628),
    [sym_rq] = STATE(1628),
    [sym__innerText] = STATE(2265),
    [sym_addNested] = STATE(778),
    [sym_bkNested] = STATE(778),
    [sym_dcNested] = STATE(778),
    [sym_kNested] = STATE(778),
    [sym_ndNested] = STATE(778),
    [sym_ordNested] = STATE(778),
    [sym_pnNested] = STATE(778),
    [sym_pngNested] = STATE(778),
    [sym_addpnNested] = STATE(778),
    [sym_qtNested] = STATE(778),
    [sym_sigNested] = STATE(778),
    [sym_slsNested] = STATE(778),
    [sym_tlNested] = STATE(778),
    [sym_wjNested] = STATE(778),
    [sym_emNested] = STATE(778),
    [sym_bdNested] = STATE(778),
    [sym_itNested] = STATE(778),
    [sym_bditNested] = STATE(778),
    [sym_noNested] = STATE(778),
    [sym_scNested] = STATE(778),
    [sym_supNested] = STATE(778),
    [sym_ndxNested] = STATE(778),
    [sym_proNested] = STATE(778),
    [sym_rbNested] = STATE(778),
    [sym_wNested] = STATE(778),
    [sym_wgNested] = STATE(778),
    [sym_whNested] = STATE(778),
    [sym_waNested] = STATE(778),
    [sym__nestedCharacterMarker] = STATE(778),
    [sym_fig] = STATE(778),
    [sym_jmpNested] = STATE(778),
    [aux_sym__innerText_repeat1] = STATE(778),
    [aux_sym_text_token1] = ACTIONS(6006),
    [anon_sym_BSLASHf] = ACTIONS(6008),
    [anon_sym_BSLASHfe] = ACTIONS(6010),
    [anon_sym_BSLASHef] = ACTIONS(6012),
    [anon_sym_BSLASHfm] = ACTIONS(6014),
    [anon_sym_BSLASHx] = ACTIONS(6016),
    [anon_sym_BSLASHxt] = ACTIONS(6018),
    [anon_sym_BSLASHrq] = ACTIONS(6020),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(6022),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [863] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2264),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [864] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2263),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [865] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2261),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [866] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2260),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [867] = {
    [sym_text] = STATE(759),
    [sym_footnote] = STATE(759),
    [sym_f] = STATE(1606),
    [sym_fe] = STATE(1606),
    [sym_ef] = STATE(1606),
    [sym_fm] = STATE(1606),
    [sym_crossref] = STATE(759),
    [sym_x] = STATE(1554),
    [sym_xt_standalone] = STATE(1554),
    [sym_rq] = STATE(1554),
    [sym__innerText] = STATE(1856),
    [sym_addNested] = STATE(759),
    [sym_bkNested] = STATE(759),
    [sym_dcNested] = STATE(759),
    [sym_kNested] = STATE(759),
    [sym_ndNested] = STATE(759),
    [sym_ordNested] = STATE(759),
    [sym_pnNested] = STATE(759),
    [sym_pngNested] = STATE(759),
    [sym_addpnNested] = STATE(759),
    [sym_qtNested] = STATE(759),
    [sym_sigNested] = STATE(759),
    [sym_slsNested] = STATE(759),
    [sym_tlNested] = STATE(759),
    [sym_wjNested] = STATE(759),
    [sym_emNested] = STATE(759),
    [sym_bdNested] = STATE(759),
    [sym_itNested] = STATE(759),
    [sym_bditNested] = STATE(759),
    [sym_noNested] = STATE(759),
    [sym_scNested] = STATE(759),
    [sym_supNested] = STATE(759),
    [sym_ndxNested] = STATE(759),
    [sym_proNested] = STATE(759),
    [sym_rbNested] = STATE(759),
    [sym_wNested] = STATE(759),
    [sym_wgNested] = STATE(759),
    [sym_whNested] = STATE(759),
    [sym_waNested] = STATE(759),
    [sym__nestedCharacterMarker] = STATE(759),
    [sym_fig] = STATE(759),
    [sym_jmpNested] = STATE(759),
    [aux_sym__innerText_repeat1] = STATE(759),
    [aux_sym_text_token1] = ACTIONS(6051),
    [anon_sym_BSLASHf] = ACTIONS(5930),
    [anon_sym_BSLASHfe] = ACTIONS(5932),
    [anon_sym_BSLASHef] = ACTIONS(5934),
    [anon_sym_BSLASHfm] = ACTIONS(5936),
    [anon_sym_BSLASHx] = ACTIONS(5938),
    [anon_sym_BSLASHxt] = ACTIONS(5940),
    [anon_sym_BSLASHrq] = ACTIONS(5942),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5944),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5946),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5948),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5950),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5952),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5954),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5956),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5958),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5960),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5962),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5964),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5966),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5968),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5970),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5972),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5974),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5976),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5978),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5980),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5982),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5984),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5986),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5988),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5990),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5992),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5994),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5996),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5998),
    [anon_sym_BSLASHfig] = ACTIONS(6000),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6002),
  },
  [868] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2258),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [869] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2257),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [870] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2256),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [871] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2216),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [872] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2215),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [873] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2214),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [874] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(1906),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [875] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2212),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [876] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2211),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [877] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2210),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [878] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2262),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [879] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2208),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [880] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2207),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [881] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2206),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [882] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2205),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [883] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2204),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [884] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2203),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [885] = {
    [sym_text] = STATE(778),
    [sym_footnote] = STATE(778),
    [sym_f] = STATE(1611),
    [sym_fe] = STATE(1611),
    [sym_ef] = STATE(1611),
    [sym_fm] = STATE(1611),
    [sym_crossref] = STATE(778),
    [sym_x] = STATE(1628),
    [sym_xt_standalone] = STATE(1628),
    [sym_rq] = STATE(1628),
    [sym__innerText] = STATE(2202),
    [sym_addNested] = STATE(778),
    [sym_bkNested] = STATE(778),
    [sym_dcNested] = STATE(778),
    [sym_kNested] = STATE(778),
    [sym_ndNested] = STATE(778),
    [sym_ordNested] = STATE(778),
    [sym_pnNested] = STATE(778),
    [sym_pngNested] = STATE(778),
    [sym_addpnNested] = STATE(778),
    [sym_qtNested] = STATE(778),
    [sym_sigNested] = STATE(778),
    [sym_slsNested] = STATE(778),
    [sym_tlNested] = STATE(778),
    [sym_wjNested] = STATE(778),
    [sym_emNested] = STATE(778),
    [sym_bdNested] = STATE(778),
    [sym_itNested] = STATE(778),
    [sym_bditNested] = STATE(778),
    [sym_noNested] = STATE(778),
    [sym_scNested] = STATE(778),
    [sym_supNested] = STATE(778),
    [sym_ndxNested] = STATE(778),
    [sym_proNested] = STATE(778),
    [sym_rbNested] = STATE(778),
    [sym_wNested] = STATE(778),
    [sym_wgNested] = STATE(778),
    [sym_whNested] = STATE(778),
    [sym_waNested] = STATE(778),
    [sym__nestedCharacterMarker] = STATE(778),
    [sym_fig] = STATE(778),
    [sym_jmpNested] = STATE(778),
    [aux_sym__innerText_repeat1] = STATE(778),
    [aux_sym_text_token1] = ACTIONS(6006),
    [anon_sym_BSLASHf] = ACTIONS(6008),
    [anon_sym_BSLASHfe] = ACTIONS(6010),
    [anon_sym_BSLASHef] = ACTIONS(6012),
    [anon_sym_BSLASHfm] = ACTIONS(6014),
    [anon_sym_BSLASHx] = ACTIONS(6016),
    [anon_sym_BSLASHxt] = ACTIONS(6018),
    [anon_sym_BSLASHrq] = ACTIONS(6020),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(6022),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [886] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2201),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [887] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2200),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [888] = {
    [sym_text] = STATE(778),
    [sym_footnote] = STATE(778),
    [sym_f] = STATE(1611),
    [sym_fe] = STATE(1611),
    [sym_ef] = STATE(1611),
    [sym_fm] = STATE(1611),
    [sym_crossref] = STATE(778),
    [sym_x] = STATE(1628),
    [sym_xt_standalone] = STATE(1628),
    [sym_rq] = STATE(1628),
    [sym__innerText] = STATE(2199),
    [sym_addNested] = STATE(778),
    [sym_bkNested] = STATE(778),
    [sym_dcNested] = STATE(778),
    [sym_kNested] = STATE(778),
    [sym_ndNested] = STATE(778),
    [sym_ordNested] = STATE(778),
    [sym_pnNested] = STATE(778),
    [sym_pngNested] = STATE(778),
    [sym_addpnNested] = STATE(778),
    [sym_qtNested] = STATE(778),
    [sym_sigNested] = STATE(778),
    [sym_slsNested] = STATE(778),
    [sym_tlNested] = STATE(778),
    [sym_wjNested] = STATE(778),
    [sym_emNested] = STATE(778),
    [sym_bdNested] = STATE(778),
    [sym_itNested] = STATE(778),
    [sym_bditNested] = STATE(778),
    [sym_noNested] = STATE(778),
    [sym_scNested] = STATE(778),
    [sym_supNested] = STATE(778),
    [sym_ndxNested] = STATE(778),
    [sym_proNested] = STATE(778),
    [sym_rbNested] = STATE(778),
    [sym_wNested] = STATE(778),
    [sym_wgNested] = STATE(778),
    [sym_whNested] = STATE(778),
    [sym_waNested] = STATE(778),
    [sym__nestedCharacterMarker] = STATE(778),
    [sym_fig] = STATE(778),
    [sym_jmpNested] = STATE(778),
    [aux_sym__innerText_repeat1] = STATE(778),
    [aux_sym_text_token1] = ACTIONS(6006),
    [anon_sym_BSLASHf] = ACTIONS(6008),
    [anon_sym_BSLASHfe] = ACTIONS(6010),
    [anon_sym_BSLASHef] = ACTIONS(6012),
    [anon_sym_BSLASHfm] = ACTIONS(6014),
    [anon_sym_BSLASHx] = ACTIONS(6016),
    [anon_sym_BSLASHxt] = ACTIONS(6018),
    [anon_sym_BSLASHrq] = ACTIONS(6020),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(6022),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [889] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2198),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [890] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2197),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [891] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2196),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [892] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2195),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [893] = {
    [sym_text] = STATE(759),
    [sym_footnote] = STATE(759),
    [sym_f] = STATE(1606),
    [sym_fe] = STATE(1606),
    [sym_ef] = STATE(1606),
    [sym_fm] = STATE(1606),
    [sym_crossref] = STATE(759),
    [sym_x] = STATE(1554),
    [sym_xt_standalone] = STATE(1554),
    [sym_rq] = STATE(1554),
    [sym__innerText] = STATE(1849),
    [sym_addNested] = STATE(759),
    [sym_bkNested] = STATE(759),
    [sym_dcNested] = STATE(759),
    [sym_kNested] = STATE(759),
    [sym_ndNested] = STATE(759),
    [sym_ordNested] = STATE(759),
    [sym_pnNested] = STATE(759),
    [sym_pngNested] = STATE(759),
    [sym_addpnNested] = STATE(759),
    [sym_qtNested] = STATE(759),
    [sym_sigNested] = STATE(759),
    [sym_slsNested] = STATE(759),
    [sym_tlNested] = STATE(759),
    [sym_wjNested] = STATE(759),
    [sym_emNested] = STATE(759),
    [sym_bdNested] = STATE(759),
    [sym_itNested] = STATE(759),
    [sym_bditNested] = STATE(759),
    [sym_noNested] = STATE(759),
    [sym_scNested] = STATE(759),
    [sym_supNested] = STATE(759),
    [sym_ndxNested] = STATE(759),
    [sym_proNested] = STATE(759),
    [sym_rbNested] = STATE(759),
    [sym_wNested] = STATE(759),
    [sym_wgNested] = STATE(759),
    [sym_whNested] = STATE(759),
    [sym_waNested] = STATE(759),
    [sym__nestedCharacterMarker] = STATE(759),
    [sym_fig] = STATE(759),
    [sym_jmpNested] = STATE(759),
    [aux_sym__innerText_repeat1] = STATE(759),
    [aux_sym_text_token1] = ACTIONS(6051),
    [anon_sym_BSLASHf] = ACTIONS(5930),
    [anon_sym_BSLASHfe] = ACTIONS(5932),
    [anon_sym_BSLASHef] = ACTIONS(5934),
    [anon_sym_BSLASHfm] = ACTIONS(5936),
    [anon_sym_BSLASHx] = ACTIONS(5938),
    [anon_sym_BSLASHxt] = ACTIONS(5940),
    [anon_sym_BSLASHrq] = ACTIONS(5942),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5944),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5946),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5948),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5950),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5952),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5954),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5956),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5958),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5960),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5962),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5964),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5966),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5968),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5970),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5972),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5974),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5976),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5978),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5980),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5982),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5984),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5986),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5988),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5990),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5992),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5994),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5996),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5998),
    [anon_sym_BSLASHfig] = ACTIONS(6000),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6002),
  },
  [894] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2192),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [895] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2191),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [896] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2190),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [897] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2149),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [898] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2148),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [899] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2147),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [900] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(1938),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [901] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2145),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [902] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2144),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [903] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2143),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [904] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2142),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [905] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2141),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [906] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2140),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [907] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2139),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [908] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2138),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [909] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2137),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [910] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2136),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [911] = {
    [sym_text] = STATE(778),
    [sym_footnote] = STATE(778),
    [sym_f] = STATE(1611),
    [sym_fe] = STATE(1611),
    [sym_ef] = STATE(1611),
    [sym_fm] = STATE(1611),
    [sym_crossref] = STATE(778),
    [sym_x] = STATE(1628),
    [sym_xt_standalone] = STATE(1628),
    [sym_rq] = STATE(1628),
    [sym__innerText] = STATE(2135),
    [sym_addNested] = STATE(778),
    [sym_bkNested] = STATE(778),
    [sym_dcNested] = STATE(778),
    [sym_kNested] = STATE(778),
    [sym_ndNested] = STATE(778),
    [sym_ordNested] = STATE(778),
    [sym_pnNested] = STATE(778),
    [sym_pngNested] = STATE(778),
    [sym_addpnNested] = STATE(778),
    [sym_qtNested] = STATE(778),
    [sym_sigNested] = STATE(778),
    [sym_slsNested] = STATE(778),
    [sym_tlNested] = STATE(778),
    [sym_wjNested] = STATE(778),
    [sym_emNested] = STATE(778),
    [sym_bdNested] = STATE(778),
    [sym_itNested] = STATE(778),
    [sym_bditNested] = STATE(778),
    [sym_noNested] = STATE(778),
    [sym_scNested] = STATE(778),
    [sym_supNested] = STATE(778),
    [sym_ndxNested] = STATE(778),
    [sym_proNested] = STATE(778),
    [sym_rbNested] = STATE(778),
    [sym_wNested] = STATE(778),
    [sym_wgNested] = STATE(778),
    [sym_whNested] = STATE(778),
    [sym_waNested] = STATE(778),
    [sym__nestedCharacterMarker] = STATE(778),
    [sym_fig] = STATE(778),
    [sym_jmpNested] = STATE(778),
    [aux_sym__innerText_repeat1] = STATE(778),
    [aux_sym_text_token1] = ACTIONS(6006),
    [anon_sym_BSLASHf] = ACTIONS(6008),
    [anon_sym_BSLASHfe] = ACTIONS(6010),
    [anon_sym_BSLASHef] = ACTIONS(6012),
    [anon_sym_BSLASHfm] = ACTIONS(6014),
    [anon_sym_BSLASHx] = ACTIONS(6016),
    [anon_sym_BSLASHxt] = ACTIONS(6018),
    [anon_sym_BSLASHrq] = ACTIONS(6020),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(6022),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [912] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2134),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [913] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2133),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [914] = {
    [sym_text] = STATE(778),
    [sym_footnote] = STATE(778),
    [sym_f] = STATE(1611),
    [sym_fe] = STATE(1611),
    [sym_ef] = STATE(1611),
    [sym_fm] = STATE(1611),
    [sym_crossref] = STATE(778),
    [sym_x] = STATE(1628),
    [sym_xt_standalone] = STATE(1628),
    [sym_rq] = STATE(1628),
    [sym__innerText] = STATE(2132),
    [sym_addNested] = STATE(778),
    [sym_bkNested] = STATE(778),
    [sym_dcNested] = STATE(778),
    [sym_kNested] = STATE(778),
    [sym_ndNested] = STATE(778),
    [sym_ordNested] = STATE(778),
    [sym_pnNested] = STATE(778),
    [sym_pngNested] = STATE(778),
    [sym_addpnNested] = STATE(778),
    [sym_qtNested] = STATE(778),
    [sym_sigNested] = STATE(778),
    [sym_slsNested] = STATE(778),
    [sym_tlNested] = STATE(778),
    [sym_wjNested] = STATE(778),
    [sym_emNested] = STATE(778),
    [sym_bdNested] = STATE(778),
    [sym_itNested] = STATE(778),
    [sym_bditNested] = STATE(778),
    [sym_noNested] = STATE(778),
    [sym_scNested] = STATE(778),
    [sym_supNested] = STATE(778),
    [sym_ndxNested] = STATE(778),
    [sym_proNested] = STATE(778),
    [sym_rbNested] = STATE(778),
    [sym_wNested] = STATE(778),
    [sym_wgNested] = STATE(778),
    [sym_whNested] = STATE(778),
    [sym_waNested] = STATE(778),
    [sym__nestedCharacterMarker] = STATE(778),
    [sym_fig] = STATE(778),
    [sym_jmpNested] = STATE(778),
    [aux_sym__innerText_repeat1] = STATE(778),
    [aux_sym_text_token1] = ACTIONS(6006),
    [anon_sym_BSLASHf] = ACTIONS(6008),
    [anon_sym_BSLASHfe] = ACTIONS(6010),
    [anon_sym_BSLASHef] = ACTIONS(6012),
    [anon_sym_BSLASHfm] = ACTIONS(6014),
    [anon_sym_BSLASHx] = ACTIONS(6016),
    [anon_sym_BSLASHxt] = ACTIONS(6018),
    [anon_sym_BSLASHrq] = ACTIONS(6020),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(6022),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [915] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2131),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [916] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2626),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [917] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2176),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [918] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2175),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [919] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2174),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [920] = {
    [sym_text] = STATE(759),
    [sym_footnote] = STATE(759),
    [sym_f] = STATE(1606),
    [sym_fe] = STATE(1606),
    [sym_ef] = STATE(1606),
    [sym_fm] = STATE(1606),
    [sym_crossref] = STATE(759),
    [sym_x] = STATE(1554),
    [sym_xt_standalone] = STATE(1554),
    [sym_rq] = STATE(1554),
    [sym__innerText] = STATE(1851),
    [sym_addNested] = STATE(759),
    [sym_bkNested] = STATE(759),
    [sym_dcNested] = STATE(759),
    [sym_kNested] = STATE(759),
    [sym_ndNested] = STATE(759),
    [sym_ordNested] = STATE(759),
    [sym_pnNested] = STATE(759),
    [sym_pngNested] = STATE(759),
    [sym_addpnNested] = STATE(759),
    [sym_qtNested] = STATE(759),
    [sym_sigNested] = STATE(759),
    [sym_slsNested] = STATE(759),
    [sym_tlNested] = STATE(759),
    [sym_wjNested] = STATE(759),
    [sym_emNested] = STATE(759),
    [sym_bdNested] = STATE(759),
    [sym_itNested] = STATE(759),
    [sym_bditNested] = STATE(759),
    [sym_noNested] = STATE(759),
    [sym_scNested] = STATE(759),
    [sym_supNested] = STATE(759),
    [sym_ndxNested] = STATE(759),
    [sym_proNested] = STATE(759),
    [sym_rbNested] = STATE(759),
    [sym_wNested] = STATE(759),
    [sym_wgNested] = STATE(759),
    [sym_whNested] = STATE(759),
    [sym_waNested] = STATE(759),
    [sym__nestedCharacterMarker] = STATE(759),
    [sym_fig] = STATE(759),
    [sym_jmpNested] = STATE(759),
    [aux_sym__innerText_repeat1] = STATE(759),
    [aux_sym_text_token1] = ACTIONS(6051),
    [anon_sym_BSLASHf] = ACTIONS(5930),
    [anon_sym_BSLASHfe] = ACTIONS(5932),
    [anon_sym_BSLASHef] = ACTIONS(5934),
    [anon_sym_BSLASHfm] = ACTIONS(5936),
    [anon_sym_BSLASHx] = ACTIONS(5938),
    [anon_sym_BSLASHxt] = ACTIONS(5940),
    [anon_sym_BSLASHrq] = ACTIONS(5942),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5944),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5946),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5948),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5950),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5952),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5954),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5956),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5958),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5960),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5962),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5964),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5966),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5968),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5970),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5972),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5974),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5976),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5978),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5980),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5982),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5984),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5986),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5988),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5990),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5992),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5994),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5996),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5998),
    [anon_sym_BSLASHfig] = ACTIONS(6000),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6002),
  },
  [921] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2169),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [922] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2168),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [923] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2167),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [924] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2233),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [925] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2234),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [926] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2235),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [927] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(1885),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [928] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2236),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [929] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2239),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [930] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2648),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [931] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2241),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [932] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2800),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [933] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2799),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [934] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2798),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [935] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(1922),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [936] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(1921),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [937] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2797),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [938] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2796),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [939] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2795),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [940] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2792),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [941] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2756),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [942] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2749),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [943] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2748),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [944] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2667),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [945] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2732),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [946] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2731),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [947] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2730),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [948] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2727),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [949] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2725),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [950] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2724),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [951] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2723),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [952] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2722),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [953] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2720),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [954] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2701),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [955] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2700),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [956] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2816),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [957] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2682),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [958] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2699),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [959] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2675),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [960] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2242),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [961] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2243),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [962] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2245),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [963] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2247),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [964] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2252),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [965] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2259),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [966] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2279),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [967] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2129),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [968] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2654),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [969] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2653),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [970] = {
    [sym_text] = STATE(778),
    [sym_footnote] = STATE(778),
    [sym_f] = STATE(1611),
    [sym_fe] = STATE(1611),
    [sym_ef] = STATE(1611),
    [sym_fm] = STATE(1611),
    [sym_crossref] = STATE(778),
    [sym_x] = STATE(1628),
    [sym_xt_standalone] = STATE(1628),
    [sym_rq] = STATE(1628),
    [sym__innerText] = STATE(2288),
    [sym_addNested] = STATE(778),
    [sym_bkNested] = STATE(778),
    [sym_dcNested] = STATE(778),
    [sym_kNested] = STATE(778),
    [sym_ndNested] = STATE(778),
    [sym_ordNested] = STATE(778),
    [sym_pnNested] = STATE(778),
    [sym_pngNested] = STATE(778),
    [sym_addpnNested] = STATE(778),
    [sym_qtNested] = STATE(778),
    [sym_sigNested] = STATE(778),
    [sym_slsNested] = STATE(778),
    [sym_tlNested] = STATE(778),
    [sym_wjNested] = STATE(778),
    [sym_emNested] = STATE(778),
    [sym_bdNested] = STATE(778),
    [sym_itNested] = STATE(778),
    [sym_bditNested] = STATE(778),
    [sym_noNested] = STATE(778),
    [sym_scNested] = STATE(778),
    [sym_supNested] = STATE(778),
    [sym_ndxNested] = STATE(778),
    [sym_proNested] = STATE(778),
    [sym_rbNested] = STATE(778),
    [sym_wNested] = STATE(778),
    [sym_wgNested] = STATE(778),
    [sym_whNested] = STATE(778),
    [sym_waNested] = STATE(778),
    [sym__nestedCharacterMarker] = STATE(778),
    [sym_fig] = STATE(778),
    [sym_jmpNested] = STATE(778),
    [aux_sym__innerText_repeat1] = STATE(778),
    [aux_sym_text_token1] = ACTIONS(6006),
    [anon_sym_BSLASHf] = ACTIONS(6008),
    [anon_sym_BSLASHfe] = ACTIONS(6010),
    [anon_sym_BSLASHef] = ACTIONS(6012),
    [anon_sym_BSLASHfm] = ACTIONS(6014),
    [anon_sym_BSLASHx] = ACTIONS(6016),
    [anon_sym_BSLASHxt] = ACTIONS(6018),
    [anon_sym_BSLASHrq] = ACTIONS(6020),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(6022),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [971] = {
    [sym_text] = STATE(759),
    [sym_footnote] = STATE(759),
    [sym_f] = STATE(1606),
    [sym_fe] = STATE(1606),
    [sym_ef] = STATE(1606),
    [sym_fm] = STATE(1606),
    [sym_crossref] = STATE(759),
    [sym_x] = STATE(1554),
    [sym_xt_standalone] = STATE(1554),
    [sym_rq] = STATE(1554),
    [sym__innerText] = STATE(1865),
    [sym_addNested] = STATE(759),
    [sym_bkNested] = STATE(759),
    [sym_dcNested] = STATE(759),
    [sym_kNested] = STATE(759),
    [sym_ndNested] = STATE(759),
    [sym_ordNested] = STATE(759),
    [sym_pnNested] = STATE(759),
    [sym_pngNested] = STATE(759),
    [sym_addpnNested] = STATE(759),
    [sym_qtNested] = STATE(759),
    [sym_sigNested] = STATE(759),
    [sym_slsNested] = STATE(759),
    [sym_tlNested] = STATE(759),
    [sym_wjNested] = STATE(759),
    [sym_emNested] = STATE(759),
    [sym_bdNested] = STATE(759),
    [sym_itNested] = STATE(759),
    [sym_bditNested] = STATE(759),
    [sym_noNested] = STATE(759),
    [sym_scNested] = STATE(759),
    [sym_supNested] = STATE(759),
    [sym_ndxNested] = STATE(759),
    [sym_proNested] = STATE(759),
    [sym_rbNested] = STATE(759),
    [sym_wNested] = STATE(759),
    [sym_wgNested] = STATE(759),
    [sym_whNested] = STATE(759),
    [sym_waNested] = STATE(759),
    [sym__nestedCharacterMarker] = STATE(759),
    [sym_fig] = STATE(759),
    [sym_jmpNested] = STATE(759),
    [aux_sym__innerText_repeat1] = STATE(759),
    [aux_sym_text_token1] = ACTIONS(6051),
    [anon_sym_BSLASHf] = ACTIONS(5930),
    [anon_sym_BSLASHfe] = ACTIONS(5932),
    [anon_sym_BSLASHef] = ACTIONS(5934),
    [anon_sym_BSLASHfm] = ACTIONS(5936),
    [anon_sym_BSLASHx] = ACTIONS(5938),
    [anon_sym_BSLASHxt] = ACTIONS(5940),
    [anon_sym_BSLASHrq] = ACTIONS(5942),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5944),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5946),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5948),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5950),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5952),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5954),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5956),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5958),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5960),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5962),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5964),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5966),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5968),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5970),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5972),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5974),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5976),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5978),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5980),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5982),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5984),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5986),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5988),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5990),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5992),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5994),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5996),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5998),
    [anon_sym_BSLASHfig] = ACTIONS(6000),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6002),
  },
  [972] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2652),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [973] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2292),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [974] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2651),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [975] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2650),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [976] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2649),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [977] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2293),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [978] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2628),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [979] = {
    [sym_text] = STATE(778),
    [sym_footnote] = STATE(778),
    [sym_f] = STATE(1611),
    [sym_fe] = STATE(1611),
    [sym_ef] = STATE(1611),
    [sym_fm] = STATE(1611),
    [sym_crossref] = STATE(778),
    [sym_x] = STATE(1628),
    [sym_xt_standalone] = STATE(1628),
    [sym_rq] = STATE(1628),
    [sym__innerText] = STATE(2294),
    [sym_addNested] = STATE(778),
    [sym_bkNested] = STATE(778),
    [sym_dcNested] = STATE(778),
    [sym_kNested] = STATE(778),
    [sym_ndNested] = STATE(778),
    [sym_ordNested] = STATE(778),
    [sym_pnNested] = STATE(778),
    [sym_pngNested] = STATE(778),
    [sym_addpnNested] = STATE(778),
    [sym_qtNested] = STATE(778),
    [sym_sigNested] = STATE(778),
    [sym_slsNested] = STATE(778),
    [sym_tlNested] = STATE(778),
    [sym_wjNested] = STATE(778),
    [sym_emNested] = STATE(778),
    [sym_bdNested] = STATE(778),
    [sym_itNested] = STATE(778),
    [sym_bditNested] = STATE(778),
    [sym_noNested] = STATE(778),
    [sym_scNested] = STATE(778),
    [sym_supNested] = STATE(778),
    [sym_ndxNested] = STATE(778),
    [sym_proNested] = STATE(778),
    [sym_rbNested] = STATE(778),
    [sym_wNested] = STATE(778),
    [sym_wgNested] = STATE(778),
    [sym_whNested] = STATE(778),
    [sym_waNested] = STATE(778),
    [sym__nestedCharacterMarker] = STATE(778),
    [sym_fig] = STATE(778),
    [sym_jmpNested] = STATE(778),
    [aux_sym__innerText_repeat1] = STATE(778),
    [aux_sym_text_token1] = ACTIONS(6006),
    [anon_sym_BSLASHf] = ACTIONS(6008),
    [anon_sym_BSLASHfe] = ACTIONS(6010),
    [anon_sym_BSLASHef] = ACTIONS(6012),
    [anon_sym_BSLASHfm] = ACTIONS(6014),
    [anon_sym_BSLASHx] = ACTIONS(6016),
    [anon_sym_BSLASHxt] = ACTIONS(6018),
    [anon_sym_BSLASHrq] = ACTIONS(6020),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(6022),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [980] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2295),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [981] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2296),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [982] = {
    [sym_text] = STATE(778),
    [sym_footnote] = STATE(778),
    [sym_f] = STATE(1611),
    [sym_fe] = STATE(1611),
    [sym_ef] = STATE(1611),
    [sym_fm] = STATE(1611),
    [sym_crossref] = STATE(778),
    [sym_x] = STATE(1628),
    [sym_xt_standalone] = STATE(1628),
    [sym_rq] = STATE(1628),
    [sym__innerText] = STATE(2647),
    [sym_addNested] = STATE(778),
    [sym_bkNested] = STATE(778),
    [sym_dcNested] = STATE(778),
    [sym_kNested] = STATE(778),
    [sym_ndNested] = STATE(778),
    [sym_ordNested] = STATE(778),
    [sym_pnNested] = STATE(778),
    [sym_pngNested] = STATE(778),
    [sym_addpnNested] = STATE(778),
    [sym_qtNested] = STATE(778),
    [sym_sigNested] = STATE(778),
    [sym_slsNested] = STATE(778),
    [sym_tlNested] = STATE(778),
    [sym_wjNested] = STATE(778),
    [sym_emNested] = STATE(778),
    [sym_bdNested] = STATE(778),
    [sym_itNested] = STATE(778),
    [sym_bditNested] = STATE(778),
    [sym_noNested] = STATE(778),
    [sym_scNested] = STATE(778),
    [sym_supNested] = STATE(778),
    [sym_ndxNested] = STATE(778),
    [sym_proNested] = STATE(778),
    [sym_rbNested] = STATE(778),
    [sym_wNested] = STATE(778),
    [sym_wgNested] = STATE(778),
    [sym_whNested] = STATE(778),
    [sym_waNested] = STATE(778),
    [sym__nestedCharacterMarker] = STATE(778),
    [sym_fig] = STATE(778),
    [sym_jmpNested] = STATE(778),
    [aux_sym__innerText_repeat1] = STATE(778),
    [aux_sym_text_token1] = ACTIONS(6006),
    [anon_sym_BSLASHf] = ACTIONS(6008),
    [anon_sym_BSLASHfe] = ACTIONS(6010),
    [anon_sym_BSLASHef] = ACTIONS(6012),
    [anon_sym_BSLASHfm] = ACTIONS(6014),
    [anon_sym_BSLASHx] = ACTIONS(6016),
    [anon_sym_BSLASHxt] = ACTIONS(6018),
    [anon_sym_BSLASHrq] = ACTIONS(6020),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(6022),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [983] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2297),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [984] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2646),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [985] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2645),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [986] = {
    [sym_text] = STATE(778),
    [sym_footnote] = STATE(778),
    [sym_f] = STATE(1611),
    [sym_fe] = STATE(1611),
    [sym_ef] = STATE(1611),
    [sym_fm] = STATE(1611),
    [sym_crossref] = STATE(778),
    [sym_x] = STATE(1628),
    [sym_xt_standalone] = STATE(1628),
    [sym_rq] = STATE(1628),
    [sym__innerText] = STATE(2644),
    [sym_addNested] = STATE(778),
    [sym_bkNested] = STATE(778),
    [sym_dcNested] = STATE(778),
    [sym_kNested] = STATE(778),
    [sym_ndNested] = STATE(778),
    [sym_ordNested] = STATE(778),
    [sym_pnNested] = STATE(778),
    [sym_pngNested] = STATE(778),
    [sym_addpnNested] = STATE(778),
    [sym_qtNested] = STATE(778),
    [sym_sigNested] = STATE(778),
    [sym_slsNested] = STATE(778),
    [sym_tlNested] = STATE(778),
    [sym_wjNested] = STATE(778),
    [sym_emNested] = STATE(778),
    [sym_bdNested] = STATE(778),
    [sym_itNested] = STATE(778),
    [sym_bditNested] = STATE(778),
    [sym_noNested] = STATE(778),
    [sym_scNested] = STATE(778),
    [sym_supNested] = STATE(778),
    [sym_ndxNested] = STATE(778),
    [sym_proNested] = STATE(778),
    [sym_rbNested] = STATE(778),
    [sym_wNested] = STATE(778),
    [sym_wgNested] = STATE(778),
    [sym_whNested] = STATE(778),
    [sym_waNested] = STATE(778),
    [sym__nestedCharacterMarker] = STATE(778),
    [sym_fig] = STATE(778),
    [sym_jmpNested] = STATE(778),
    [aux_sym__innerText_repeat1] = STATE(778),
    [aux_sym_text_token1] = ACTIONS(6006),
    [anon_sym_BSLASHf] = ACTIONS(6008),
    [anon_sym_BSLASHfe] = ACTIONS(6010),
    [anon_sym_BSLASHef] = ACTIONS(6012),
    [anon_sym_BSLASHfm] = ACTIONS(6014),
    [anon_sym_BSLASHx] = ACTIONS(6016),
    [anon_sym_BSLASHxt] = ACTIONS(6018),
    [anon_sym_BSLASHrq] = ACTIONS(6020),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(6022),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [987] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2638),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [988] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2637),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [989] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2298),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [990] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2299),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [991] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2634),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [992] = {
    [sym_text] = STATE(759),
    [sym_footnote] = STATE(759),
    [sym_f] = STATE(1606),
    [sym_fe] = STATE(1606),
    [sym_ef] = STATE(1606),
    [sym_fm] = STATE(1606),
    [sym_crossref] = STATE(759),
    [sym_x] = STATE(1554),
    [sym_xt_standalone] = STATE(1554),
    [sym_rq] = STATE(1554),
    [sym__innerText] = STATE(1852),
    [sym_addNested] = STATE(759),
    [sym_bkNested] = STATE(759),
    [sym_dcNested] = STATE(759),
    [sym_kNested] = STATE(759),
    [sym_ndNested] = STATE(759),
    [sym_ordNested] = STATE(759),
    [sym_pnNested] = STATE(759),
    [sym_pngNested] = STATE(759),
    [sym_addpnNested] = STATE(759),
    [sym_qtNested] = STATE(759),
    [sym_sigNested] = STATE(759),
    [sym_slsNested] = STATE(759),
    [sym_tlNested] = STATE(759),
    [sym_wjNested] = STATE(759),
    [sym_emNested] = STATE(759),
    [sym_bdNested] = STATE(759),
    [sym_itNested] = STATE(759),
    [sym_bditNested] = STATE(759),
    [sym_noNested] = STATE(759),
    [sym_scNested] = STATE(759),
    [sym_supNested] = STATE(759),
    [sym_ndxNested] = STATE(759),
    [sym_proNested] = STATE(759),
    [sym_rbNested] = STATE(759),
    [sym_wNested] = STATE(759),
    [sym_wgNested] = STATE(759),
    [sym_whNested] = STATE(759),
    [sym_waNested] = STATE(759),
    [sym__nestedCharacterMarker] = STATE(759),
    [sym_fig] = STATE(759),
    [sym_jmpNested] = STATE(759),
    [aux_sym__innerText_repeat1] = STATE(759),
    [aux_sym_text_token1] = ACTIONS(6051),
    [anon_sym_BSLASHf] = ACTIONS(5930),
    [anon_sym_BSLASHfe] = ACTIONS(5932),
    [anon_sym_BSLASHef] = ACTIONS(5934),
    [anon_sym_BSLASHfm] = ACTIONS(5936),
    [anon_sym_BSLASHx] = ACTIONS(5938),
    [anon_sym_BSLASHxt] = ACTIONS(5940),
    [anon_sym_BSLASHrq] = ACTIONS(5942),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5944),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5946),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5948),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5950),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5952),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5954),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5956),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5958),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5960),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5962),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5964),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5966),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5968),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5970),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5972),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5974),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5976),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5978),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5980),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5982),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5984),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5986),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5988),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5990),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5992),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5994),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5996),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5998),
    [anon_sym_BSLASHfig] = ACTIONS(6000),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6002),
  },
  [993] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2633),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [994] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2300),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [995] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2631),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [996] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2303),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [997] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2630),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [998] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2305),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [999] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2629),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1000] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2435),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1001] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2130),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1002] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2625),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1003] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(1887),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1004] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2209),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1005] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2624),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1006] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2623),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1007] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2622),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1008] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2407),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1009] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2415),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1010] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2416),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1011] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(1899),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1012] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2420),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1013] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2421),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1014] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2608),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1015] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2422),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1016] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2428),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1017] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2482),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1018] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2604),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1019] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2433),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1020] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2600),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1021] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2599),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1022] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2595),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1023] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2591),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1024] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2590),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1025] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2589),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1026] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2588),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1027] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2564),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1028] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2436),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1029] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2557),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1030] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2543),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1031] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2542),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1032] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2541),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1033] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2540),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1034] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2437),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1035] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2539),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1036] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2537),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1037] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2536),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1038] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2534),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1039] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2533),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1040] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2438),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1041] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2532),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1042] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(1923),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1043] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(1924),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1044] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2440),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1045] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2154),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1046] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2181),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1047] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2182),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1048] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(1905),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1049] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(1956),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1050] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2220),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1051] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2221),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1052] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2146),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1053] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2249),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1054] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2250),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1055] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2285),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1056] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2248),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1057] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2287),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1058] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2312),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1059] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2313),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1060] = {
    [sym_text] = STATE(778),
    [sym_footnote] = STATE(778),
    [sym_f] = STATE(1611),
    [sym_fe] = STATE(1611),
    [sym_ef] = STATE(1611),
    [sym_fm] = STATE(1611),
    [sym_crossref] = STATE(778),
    [sym_x] = STATE(1628),
    [sym_xt_standalone] = STATE(1628),
    [sym_rq] = STATE(1628),
    [sym__innerText] = STATE(2314),
    [sym_addNested] = STATE(778),
    [sym_bkNested] = STATE(778),
    [sym_dcNested] = STATE(778),
    [sym_kNested] = STATE(778),
    [sym_ndNested] = STATE(778),
    [sym_ordNested] = STATE(778),
    [sym_pnNested] = STATE(778),
    [sym_pngNested] = STATE(778),
    [sym_addpnNested] = STATE(778),
    [sym_qtNested] = STATE(778),
    [sym_sigNested] = STATE(778),
    [sym_slsNested] = STATE(778),
    [sym_tlNested] = STATE(778),
    [sym_wjNested] = STATE(778),
    [sym_emNested] = STATE(778),
    [sym_bdNested] = STATE(778),
    [sym_itNested] = STATE(778),
    [sym_bditNested] = STATE(778),
    [sym_noNested] = STATE(778),
    [sym_scNested] = STATE(778),
    [sym_supNested] = STATE(778),
    [sym_ndxNested] = STATE(778),
    [sym_proNested] = STATE(778),
    [sym_rbNested] = STATE(778),
    [sym_wNested] = STATE(778),
    [sym_wgNested] = STATE(778),
    [sym_whNested] = STATE(778),
    [sym_waNested] = STATE(778),
    [sym__nestedCharacterMarker] = STATE(778),
    [sym_fig] = STATE(778),
    [sym_jmpNested] = STATE(778),
    [aux_sym__innerText_repeat1] = STATE(778),
    [aux_sym_text_token1] = ACTIONS(6006),
    [anon_sym_BSLASHf] = ACTIONS(6008),
    [anon_sym_BSLASHfe] = ACTIONS(6010),
    [anon_sym_BSLASHef] = ACTIONS(6012),
    [anon_sym_BSLASHfm] = ACTIONS(6014),
    [anon_sym_BSLASHx] = ACTIONS(6016),
    [anon_sym_BSLASHxt] = ACTIONS(6018),
    [anon_sym_BSLASHrq] = ACTIONS(6020),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(6022),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1061] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2349),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1062] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2286),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1063] = {
    [sym_text] = STATE(778),
    [sym_footnote] = STATE(778),
    [sym_f] = STATE(1611),
    [sym_fe] = STATE(1611),
    [sym_ef] = STATE(1611),
    [sym_fm] = STATE(1611),
    [sym_crossref] = STATE(778),
    [sym_x] = STATE(1628),
    [sym_xt_standalone] = STATE(1628),
    [sym_rq] = STATE(1628),
    [sym__innerText] = STATE(2351),
    [sym_addNested] = STATE(778),
    [sym_bkNested] = STATE(778),
    [sym_dcNested] = STATE(778),
    [sym_kNested] = STATE(778),
    [sym_ndNested] = STATE(778),
    [sym_ordNested] = STATE(778),
    [sym_pnNested] = STATE(778),
    [sym_pngNested] = STATE(778),
    [sym_addpnNested] = STATE(778),
    [sym_qtNested] = STATE(778),
    [sym_sigNested] = STATE(778),
    [sym_slsNested] = STATE(778),
    [sym_tlNested] = STATE(778),
    [sym_wjNested] = STATE(778),
    [sym_emNested] = STATE(778),
    [sym_bdNested] = STATE(778),
    [sym_itNested] = STATE(778),
    [sym_bditNested] = STATE(778),
    [sym_noNested] = STATE(778),
    [sym_scNested] = STATE(778),
    [sym_supNested] = STATE(778),
    [sym_ndxNested] = STATE(778),
    [sym_proNested] = STATE(778),
    [sym_rbNested] = STATE(778),
    [sym_wNested] = STATE(778),
    [sym_wgNested] = STATE(778),
    [sym_whNested] = STATE(778),
    [sym_waNested] = STATE(778),
    [sym__nestedCharacterMarker] = STATE(778),
    [sym_fig] = STATE(778),
    [sym_jmpNested] = STATE(778),
    [aux_sym__innerText_repeat1] = STATE(778),
    [aux_sym_text_token1] = ACTIONS(6006),
    [anon_sym_BSLASHf] = ACTIONS(6008),
    [anon_sym_BSLASHfe] = ACTIONS(6010),
    [anon_sym_BSLASHef] = ACTIONS(6012),
    [anon_sym_BSLASHfm] = ACTIONS(6014),
    [anon_sym_BSLASHx] = ACTIONS(6016),
    [anon_sym_BSLASHxt] = ACTIONS(6018),
    [anon_sym_BSLASHrq] = ACTIONS(6020),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(6022),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1064] = {
    [sym_text] = STATE(778),
    [sym_footnote] = STATE(778),
    [sym_f] = STATE(1611),
    [sym_fe] = STATE(1611),
    [sym_ef] = STATE(1611),
    [sym_fm] = STATE(1611),
    [sym_crossref] = STATE(778),
    [sym_x] = STATE(1628),
    [sym_xt_standalone] = STATE(1628),
    [sym_rq] = STATE(1628),
    [sym__innerText] = STATE(2444),
    [sym_addNested] = STATE(778),
    [sym_bkNested] = STATE(778),
    [sym_dcNested] = STATE(778),
    [sym_kNested] = STATE(778),
    [sym_ndNested] = STATE(778),
    [sym_ordNested] = STATE(778),
    [sym_pnNested] = STATE(778),
    [sym_pngNested] = STATE(778),
    [sym_addpnNested] = STATE(778),
    [sym_qtNested] = STATE(778),
    [sym_sigNested] = STATE(778),
    [sym_slsNested] = STATE(778),
    [sym_tlNested] = STATE(778),
    [sym_wjNested] = STATE(778),
    [sym_emNested] = STATE(778),
    [sym_bdNested] = STATE(778),
    [sym_itNested] = STATE(778),
    [sym_bditNested] = STATE(778),
    [sym_noNested] = STATE(778),
    [sym_scNested] = STATE(778),
    [sym_supNested] = STATE(778),
    [sym_ndxNested] = STATE(778),
    [sym_proNested] = STATE(778),
    [sym_rbNested] = STATE(778),
    [sym_wNested] = STATE(778),
    [sym_wgNested] = STATE(778),
    [sym_whNested] = STATE(778),
    [sym_waNested] = STATE(778),
    [sym__nestedCharacterMarker] = STATE(778),
    [sym_fig] = STATE(778),
    [sym_jmpNested] = STATE(778),
    [aux_sym__innerText_repeat1] = STATE(778),
    [aux_sym_text_token1] = ACTIONS(6006),
    [anon_sym_BSLASHf] = ACTIONS(6008),
    [anon_sym_BSLASHfe] = ACTIONS(6010),
    [anon_sym_BSLASHef] = ACTIONS(6012),
    [anon_sym_BSLASHfm] = ACTIONS(6014),
    [anon_sym_BSLASHx] = ACTIONS(6016),
    [anon_sym_BSLASHxt] = ACTIONS(6018),
    [anon_sym_BSLASHrq] = ACTIONS(6020),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(6022),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1065] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2450),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1066] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2451),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1067] = {
    [sym_text] = STATE(778),
    [sym_footnote] = STATE(778),
    [sym_f] = STATE(1611),
    [sym_fe] = STATE(1611),
    [sym_ef] = STATE(1611),
    [sym_fm] = STATE(1611),
    [sym_crossref] = STATE(778),
    [sym_x] = STATE(1628),
    [sym_xt_standalone] = STATE(1628),
    [sym_rq] = STATE(1628),
    [sym__innerText] = STATE(2452),
    [sym_addNested] = STATE(778),
    [sym_bkNested] = STATE(778),
    [sym_dcNested] = STATE(778),
    [sym_kNested] = STATE(778),
    [sym_ndNested] = STATE(778),
    [sym_ordNested] = STATE(778),
    [sym_pnNested] = STATE(778),
    [sym_pngNested] = STATE(778),
    [sym_addpnNested] = STATE(778),
    [sym_qtNested] = STATE(778),
    [sym_sigNested] = STATE(778),
    [sym_slsNested] = STATE(778),
    [sym_tlNested] = STATE(778),
    [sym_wjNested] = STATE(778),
    [sym_emNested] = STATE(778),
    [sym_bdNested] = STATE(778),
    [sym_itNested] = STATE(778),
    [sym_bditNested] = STATE(778),
    [sym_noNested] = STATE(778),
    [sym_scNested] = STATE(778),
    [sym_supNested] = STATE(778),
    [sym_ndxNested] = STATE(778),
    [sym_proNested] = STATE(778),
    [sym_rbNested] = STATE(778),
    [sym_wNested] = STATE(778),
    [sym_wgNested] = STATE(778),
    [sym_whNested] = STATE(778),
    [sym_waNested] = STATE(778),
    [sym__nestedCharacterMarker] = STATE(778),
    [sym_fig] = STATE(778),
    [sym_jmpNested] = STATE(778),
    [aux_sym__innerText_repeat1] = STATE(778),
    [aux_sym_text_token1] = ACTIONS(6006),
    [anon_sym_BSLASHf] = ACTIONS(6008),
    [anon_sym_BSLASHfe] = ACTIONS(6010),
    [anon_sym_BSLASHef] = ACTIONS(6012),
    [anon_sym_BSLASHfm] = ACTIONS(6014),
    [anon_sym_BSLASHx] = ACTIONS(6016),
    [anon_sym_BSLASHxt] = ACTIONS(6018),
    [anon_sym_BSLASHrq] = ACTIONS(6020),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(6022),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1068] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2376),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1069] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2377),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1070] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2378),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1071] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2413),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1072] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2414),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1073] = {
    [sym_text] = STATE(759),
    [sym_footnote] = STATE(759),
    [sym_f] = STATE(1606),
    [sym_fe] = STATE(1606),
    [sym_ef] = STATE(1606),
    [sym_fm] = STATE(1606),
    [sym_crossref] = STATE(759),
    [sym_x] = STATE(1554),
    [sym_xt_standalone] = STATE(1554),
    [sym_rq] = STATE(1554),
    [sym__innerText] = STATE(1861),
    [sym_addNested] = STATE(759),
    [sym_bkNested] = STATE(759),
    [sym_dcNested] = STATE(759),
    [sym_kNested] = STATE(759),
    [sym_ndNested] = STATE(759),
    [sym_ordNested] = STATE(759),
    [sym_pnNested] = STATE(759),
    [sym_pngNested] = STATE(759),
    [sym_addpnNested] = STATE(759),
    [sym_qtNested] = STATE(759),
    [sym_sigNested] = STATE(759),
    [sym_slsNested] = STATE(759),
    [sym_tlNested] = STATE(759),
    [sym_wjNested] = STATE(759),
    [sym_emNested] = STATE(759),
    [sym_bdNested] = STATE(759),
    [sym_itNested] = STATE(759),
    [sym_bditNested] = STATE(759),
    [sym_noNested] = STATE(759),
    [sym_scNested] = STATE(759),
    [sym_supNested] = STATE(759),
    [sym_ndxNested] = STATE(759),
    [sym_proNested] = STATE(759),
    [sym_rbNested] = STATE(759),
    [sym_wNested] = STATE(759),
    [sym_wgNested] = STATE(759),
    [sym_whNested] = STATE(759),
    [sym_waNested] = STATE(759),
    [sym__nestedCharacterMarker] = STATE(759),
    [sym_fig] = STATE(759),
    [sym_jmpNested] = STATE(759),
    [aux_sym__innerText_repeat1] = STATE(759),
    [aux_sym_text_token1] = ACTIONS(6051),
    [anon_sym_BSLASHf] = ACTIONS(5930),
    [anon_sym_BSLASHfe] = ACTIONS(5932),
    [anon_sym_BSLASHef] = ACTIONS(5934),
    [anon_sym_BSLASHfm] = ACTIONS(5936),
    [anon_sym_BSLASHx] = ACTIONS(5938),
    [anon_sym_BSLASHxt] = ACTIONS(5940),
    [anon_sym_BSLASHrq] = ACTIONS(5942),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5944),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5946),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5948),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5950),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5952),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5954),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5956),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5958),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5960),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5962),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5964),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5966),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5968),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5970),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5972),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5974),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5976),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5978),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5980),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5982),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5984),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5986),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5988),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5990),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5992),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5994),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5996),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5998),
    [anon_sym_BSLASHfig] = ACTIONS(6000),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6002),
  },
  [1074] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2424),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1075] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2425),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1076] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2426),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1077] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2453),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1078] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2529),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1079] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2524),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1080] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2523),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1081] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2454),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1082] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2455),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1083] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2457),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1084] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2461),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1085] = {
    [sym_text] = STATE(759),
    [sym_footnote] = STATE(759),
    [sym_f] = STATE(1606),
    [sym_fe] = STATE(1606),
    [sym_ef] = STATE(1606),
    [sym_fm] = STATE(1606),
    [sym_crossref] = STATE(759),
    [sym_x] = STATE(1554),
    [sym_xt_standalone] = STATE(1554),
    [sym_rq] = STATE(1554),
    [sym__innerText] = STATE(1854),
    [sym_addNested] = STATE(759),
    [sym_bkNested] = STATE(759),
    [sym_dcNested] = STATE(759),
    [sym_kNested] = STATE(759),
    [sym_ndNested] = STATE(759),
    [sym_ordNested] = STATE(759),
    [sym_pnNested] = STATE(759),
    [sym_pngNested] = STATE(759),
    [sym_addpnNested] = STATE(759),
    [sym_qtNested] = STATE(759),
    [sym_sigNested] = STATE(759),
    [sym_slsNested] = STATE(759),
    [sym_tlNested] = STATE(759),
    [sym_wjNested] = STATE(759),
    [sym_emNested] = STATE(759),
    [sym_bdNested] = STATE(759),
    [sym_itNested] = STATE(759),
    [sym_bditNested] = STATE(759),
    [sym_noNested] = STATE(759),
    [sym_scNested] = STATE(759),
    [sym_supNested] = STATE(759),
    [sym_ndxNested] = STATE(759),
    [sym_proNested] = STATE(759),
    [sym_rbNested] = STATE(759),
    [sym_wNested] = STATE(759),
    [sym_wgNested] = STATE(759),
    [sym_whNested] = STATE(759),
    [sym_waNested] = STATE(759),
    [sym__nestedCharacterMarker] = STATE(759),
    [sym_fig] = STATE(759),
    [sym_jmpNested] = STATE(759),
    [aux_sym__innerText_repeat1] = STATE(759),
    [aux_sym_text_token1] = ACTIONS(6051),
    [anon_sym_BSLASHf] = ACTIONS(5930),
    [anon_sym_BSLASHfe] = ACTIONS(5932),
    [anon_sym_BSLASHef] = ACTIONS(5934),
    [anon_sym_BSLASHfm] = ACTIONS(5936),
    [anon_sym_BSLASHx] = ACTIONS(5938),
    [anon_sym_BSLASHxt] = ACTIONS(5940),
    [anon_sym_BSLASHrq] = ACTIONS(5942),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(5944),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(5946),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(5948),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(5950),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(5952),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(5954),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(5956),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(5958),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(5960),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(5962),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(5964),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(5966),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(5968),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(5970),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(5972),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(5974),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(5976),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(5978),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(5980),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(5982),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(5984),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(5986),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(5988),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(5990),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(5992),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(5994),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(5996),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(5998),
    [anon_sym_BSLASHfig] = ACTIONS(6000),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6002),
  },
  [1086] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2464),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1087] = {
    [sym_text] = STATE(282),
    [sym_footnote] = STATE(282),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(282),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym__innerText] = STATE(2463),
    [sym_addNested] = STATE(282),
    [sym_bkNested] = STATE(282),
    [sym_dcNested] = STATE(282),
    [sym_kNested] = STATE(282),
    [sym_ndNested] = STATE(282),
    [sym_ordNested] = STATE(282),
    [sym_pnNested] = STATE(282),
    [sym_pngNested] = STATE(282),
    [sym_addpnNested] = STATE(282),
    [sym_qtNested] = STATE(282),
    [sym_sigNested] = STATE(282),
    [sym_slsNested] = STATE(282),
    [sym_tlNested] = STATE(282),
    [sym_wjNested] = STATE(282),
    [sym_emNested] = STATE(282),
    [sym_bdNested] = STATE(282),
    [sym_itNested] = STATE(282),
    [sym_bditNested] = STATE(282),
    [sym_noNested] = STATE(282),
    [sym_scNested] = STATE(282),
    [sym_supNested] = STATE(282),
    [sym_ndxNested] = STATE(282),
    [sym_proNested] = STATE(282),
    [sym_rbNested] = STATE(282),
    [sym_wNested] = STATE(282),
    [sym_wgNested] = STATE(282),
    [sym_whNested] = STATE(282),
    [sym_waNested] = STATE(282),
    [sym__nestedCharacterMarker] = STATE(282),
    [sym_fig] = STATE(282),
    [sym_jmpNested] = STATE(282),
    [aux_sym__innerText_repeat1] = STATE(282),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1088] = {
    [sym_text] = STATE(307),
    [sym_footnote] = STATE(307),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(307),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(307),
    [sym_bk] = STATE(307),
    [sym_dc] = STATE(307),
    [sym_k] = STATE(307),
    [sym_nd] = STATE(307),
    [sym_ord] = STATE(307),
    [sym_pn] = STATE(307),
    [sym_png] = STATE(307),
    [sym_addpn] = STATE(307),
    [sym_qt] = STATE(307),
    [sym_sig] = STATE(307),
    [sym_sls] = STATE(307),
    [sym_tl] = STATE(307),
    [sym_wj] = STATE(307),
    [sym_em] = STATE(307),
    [sym_bd] = STATE(307),
    [sym_it] = STATE(307),
    [sym_bdit] = STATE(307),
    [sym_no] = STATE(307),
    [sym_sc] = STATE(307),
    [sym_sup] = STATE(307),
    [sym_ndx] = STATE(307),
    [sym_pro] = STATE(307),
    [sym_rb] = STATE(307),
    [sym_w] = STATE(307),
    [sym_wg] = STATE(307),
    [sym_wh] = STATE(307),
    [sym_wa] = STATE(307),
    [sym__characterMarker] = STATE(307),
    [sym_fig] = STATE(307),
    [sym_jmp] = STATE(307),
    [aux_sym_ms_repeat1] = STATE(307),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
  },
  [1089] = {
    [sym_text] = STATE(315),
    [sym_footnote] = STATE(315),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(315),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(315),
    [sym_bk] = STATE(315),
    [sym_dc] = STATE(315),
    [sym_k] = STATE(315),
    [sym_nd] = STATE(315),
    [sym_ord] = STATE(315),
    [sym_pn] = STATE(315),
    [sym_png] = STATE(315),
    [sym_addpn] = STATE(315),
    [sym_qt] = STATE(315),
    [sym_sig] = STATE(315),
    [sym_sls] = STATE(315),
    [sym_tl] = STATE(315),
    [sym_wj] = STATE(315),
    [sym_em] = STATE(315),
    [sym_bd] = STATE(315),
    [sym_it] = STATE(315),
    [sym_bdit] = STATE(315),
    [sym_no] = STATE(315),
    [sym_sc] = STATE(315),
    [sym_sup] = STATE(315),
    [sym_ndx] = STATE(315),
    [sym_pro] = STATE(315),
    [sym_rb] = STATE(315),
    [sym_w] = STATE(315),
    [sym_wg] = STATE(315),
    [sym_wh] = STATE(315),
    [sym_wa] = STATE(315),
    [sym__characterMarker] = STATE(315),
    [sym_fig] = STATE(315),
    [sym_jmp] = STATE(315),
    [aux_sym_ms_repeat1] = STATE(315),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
  },
  [1090] = {
    [sym_text] = STATE(319),
    [sym_footnote] = STATE(319),
    [sym_f] = STATE(12),
    [sym_fe] = STATE(12),
    [sym_ef] = STATE(12),
    [sym_fm] = STATE(12),
    [sym_crossref] = STATE(319),
    [sym_x] = STATE(17),
    [sym_xt_standalone] = STATE(17),
    [sym_rq] = STATE(17),
    [sym_add] = STATE(319),
    [sym_bk] = STATE(319),
    [sym_dc] = STATE(319),
    [sym_k] = STATE(319),
    [sym_nd] = STATE(319),
    [sym_ord] = STATE(319),
    [sym_pn] = STATE(319),
    [sym_png] = STATE(319),
    [sym_addpn] = STATE(319),
    [sym_qt] = STATE(319),
    [sym_sig] = STATE(319),
    [sym_sls] = STATE(319),
    [sym_tl] = STATE(319),
    [sym_wj] = STATE(319),
    [sym_em] = STATE(319),
    [sym_bd] = STATE(319),
    [sym_it] = STATE(319),
    [sym_bdit] = STATE(319),
    [sym_no] = STATE(319),
    [sym_sc] = STATE(319),
    [sym_sup] = STATE(319),
    [sym_ndx] = STATE(319),
    [sym_pro] = STATE(319),
    [sym_rb] = STATE(319),
    [sym_w] = STATE(319),
    [sym_wg] = STATE(319),
    [sym_wh] = STATE(319),
    [sym_wa] = STATE(319),
    [sym__characterMarker] = STATE(319),
    [sym_fig] = STATE(319),
    [sym_jmp] = STATE(319),
    [aux_sym_ms_repeat1] = STATE(319),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHf] = ACTIONS(830),
    [anon_sym_BSLASHfe] = ACTIONS(832),
    [anon_sym_BSLASHef] = ACTIONS(834),
    [anon_sym_BSLASHfm] = ACTIONS(836),
    [anon_sym_BSLASHx] = ACTIONS(838),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHrq] = ACTIONS(842),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
  },
  [1091] = {
    [sym_text] = STATE(286),
    [sym_footnote] = STATE(286),
    [sym_f] = STATE(414),
    [sym_fe] = STATE(414),
    [sym_ef] = STATE(414),
    [sym_fm] = STATE(414),
    [sym_crossref] = STATE(286),
    [sym_x] = STATE(411),
    [sym_xt_standalone] = STATE(411),
    [sym_rq] = STATE(411),
    [sym_add] = STATE(286),
    [sym_bk] = STATE(286),
    [sym_dc] = STATE(286),
    [sym_k] = STATE(286),
    [sym_nd] = STATE(286),
    [sym_ord] = STATE(286),
    [sym_pn] = STATE(286),
    [sym_png] = STATE(286),
    [sym_addpn] = STATE(286),
    [sym_qt] = STATE(286),
    [sym_sig] = STATE(286),
    [sym_sls] = STATE(286),
    [sym_tl] = STATE(286),
    [sym_wj] = STATE(286),
    [sym_em] = STATE(286),
    [sym_bd] = STATE(286),
    [sym_it] = STATE(286),
    [sym_bdit] = STATE(286),
    [sym_no] = STATE(286),
    [sym_sc] = STATE(286),
    [sym_sup] = STATE(286),
    [sym_ndx] = STATE(286),
    [sym_pro] = STATE(286),
    [sym_rb] = STATE(286),
    [sym_w] = STATE(286),
    [sym_wg] = STATE(286),
    [sym_wh] = STATE(286),
    [sym_wa] = STATE(286),
    [sym__characterMarker] = STATE(286),
    [sym_fig] = STATE(286),
    [sym_jmp] = STATE(286),
    [aux_sym_ms_repeat1] = STATE(286),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHf] = ACTIONS(241),
    [anon_sym_BSLASHfe] = ACTIONS(243),
    [anon_sym_BSLASHef] = ACTIONS(245),
    [anon_sym_BSLASHfm] = ACTIONS(247),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHrq] = ACTIONS(253),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
  },
  [1092] = {
    [aux_sym_text_token1] = ACTIONS(6053),
    [anon_sym_BSLASHref] = ACTIONS(6055),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6055),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6055),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6055),
    [anon_sym_BSLASHfr] = ACTIONS(6055),
    [anon_sym_BSLASHfq] = ACTIONS(6055),
    [anon_sym_BSLASHfqa] = ACTIONS(6055),
    [anon_sym_BSLASHfk] = ACTIONS(6055),
    [anon_sym_BSLASHfl] = ACTIONS(6055),
    [anon_sym_BSLASHfw] = ACTIONS(6055),
    [anon_sym_BSLASHfp] = ACTIONS(6055),
    [anon_sym_BSLASHft] = ACTIONS(6055),
    [anon_sym_BSLASHfdc] = ACTIONS(6055),
    [anon_sym_BSLASHfdc_STAR] = ACTIONS(6057),
    [anon_sym_BSLASHfv] = ACTIONS(6055),
    [anon_sym_BSLASHxt] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6055),
    [anon_sym_BSLASHadd] = ACTIONS(6055),
    [anon_sym_BSLASHbk] = ACTIONS(6055),
    [anon_sym_BSLASHdc] = ACTIONS(6055),
    [anon_sym_BSLASHk] = ACTIONS(6055),
    [anon_sym_BSLASHnd] = ACTIONS(6055),
    [anon_sym_BSLASHord] = ACTIONS(6055),
    [anon_sym_BSLASHpn] = ACTIONS(6055),
    [anon_sym_BSLASHpng] = ACTIONS(6055),
    [anon_sym_BSLASHaddpn] = ACTIONS(6055),
    [anon_sym_BSLASHqt] = ACTIONS(6055),
    [anon_sym_BSLASHsig] = ACTIONS(6055),
    [anon_sym_BSLASHsls] = ACTIONS(6055),
    [anon_sym_BSLASHtl] = ACTIONS(6055),
    [anon_sym_BSLASHwj] = ACTIONS(6055),
    [anon_sym_BSLASHem] = ACTIONS(6055),
    [anon_sym_BSLASHbd] = ACTIONS(6055),
    [anon_sym_BSLASHit] = ACTIONS(6055),
    [anon_sym_BSLASHbdit] = ACTIONS(6055),
    [anon_sym_BSLASHno] = ACTIONS(6055),
    [anon_sym_BSLASHsc] = ACTIONS(6055),
    [anon_sym_BSLASHsup] = ACTIONS(6055),
    [anon_sym_BSLASHndx] = ACTIONS(6055),
    [anon_sym_BSLASHpro] = ACTIONS(6055),
    [anon_sym_BSLASHrb] = ACTIONS(6055),
    [anon_sym_BSLASHw] = ACTIONS(6055),
    [anon_sym_BSLASHwg] = ACTIONS(6055),
    [anon_sym_BSLASHwh] = ACTIONS(6055),
    [anon_sym_BSLASHwa] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6055),
    [anon_sym_BSLASHfig] = ACTIONS(6055),
    [anon_sym_BSLASHjmp] = ACTIONS(6055),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6055),
    [anon_sym_BSLASHcat] = ACTIONS(6055),
  },
  [1093] = {
    [aux_sym_text_token1] = ACTIONS(6059),
    [anon_sym_BSLASHref] = ACTIONS(6061),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6061),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6061),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6061),
    [anon_sym_BSLASHfr] = ACTIONS(6061),
    [anon_sym_BSLASHfq] = ACTIONS(6061),
    [anon_sym_BSLASHfqa] = ACTIONS(6061),
    [anon_sym_BSLASHfqa_STAR] = ACTIONS(6063),
    [anon_sym_BSLASHfk] = ACTIONS(6061),
    [anon_sym_BSLASHfl] = ACTIONS(6061),
    [anon_sym_BSLASHfw] = ACTIONS(6061),
    [anon_sym_BSLASHfp] = ACTIONS(6061),
    [anon_sym_BSLASHft] = ACTIONS(6061),
    [anon_sym_BSLASHfdc] = ACTIONS(6061),
    [anon_sym_BSLASHfv] = ACTIONS(6061),
    [anon_sym_BSLASHxt] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6061),
    [anon_sym_BSLASHadd] = ACTIONS(6061),
    [anon_sym_BSLASHbk] = ACTIONS(6061),
    [anon_sym_BSLASHdc] = ACTIONS(6061),
    [anon_sym_BSLASHk] = ACTIONS(6061),
    [anon_sym_BSLASHnd] = ACTIONS(6061),
    [anon_sym_BSLASHord] = ACTIONS(6061),
    [anon_sym_BSLASHpn] = ACTIONS(6061),
    [anon_sym_BSLASHpng] = ACTIONS(6061),
    [anon_sym_BSLASHaddpn] = ACTIONS(6061),
    [anon_sym_BSLASHqt] = ACTIONS(6061),
    [anon_sym_BSLASHsig] = ACTIONS(6061),
    [anon_sym_BSLASHsls] = ACTIONS(6061),
    [anon_sym_BSLASHtl] = ACTIONS(6061),
    [anon_sym_BSLASHwj] = ACTIONS(6061),
    [anon_sym_BSLASHem] = ACTIONS(6061),
    [anon_sym_BSLASHbd] = ACTIONS(6061),
    [anon_sym_BSLASHit] = ACTIONS(6061),
    [anon_sym_BSLASHbdit] = ACTIONS(6061),
    [anon_sym_BSLASHno] = ACTIONS(6061),
    [anon_sym_BSLASHsc] = ACTIONS(6061),
    [anon_sym_BSLASHsup] = ACTIONS(6061),
    [anon_sym_BSLASHndx] = ACTIONS(6061),
    [anon_sym_BSLASHpro] = ACTIONS(6061),
    [anon_sym_BSLASHrb] = ACTIONS(6061),
    [anon_sym_BSLASHw] = ACTIONS(6061),
    [anon_sym_BSLASHwg] = ACTIONS(6061),
    [anon_sym_BSLASHwh] = ACTIONS(6061),
    [anon_sym_BSLASHwa] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6061),
    [anon_sym_BSLASHfig] = ACTIONS(6061),
    [anon_sym_BSLASHjmp] = ACTIONS(6061),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6061),
    [anon_sym_BSLASHcat] = ACTIONS(6061),
  },
  [1094] = {
    [aux_sym_text_token1] = ACTIONS(6065),
    [anon_sym_BSLASHref] = ACTIONS(6067),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6067),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6067),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6067),
    [anon_sym_BSLASHfr] = ACTIONS(6067),
    [anon_sym_BSLASHfq] = ACTIONS(6067),
    [anon_sym_BSLASHfqa] = ACTIONS(6067),
    [anon_sym_BSLASHfk] = ACTIONS(6067),
    [anon_sym_BSLASHfk_STAR] = ACTIONS(6069),
    [anon_sym_BSLASHfl] = ACTIONS(6067),
    [anon_sym_BSLASHfw] = ACTIONS(6067),
    [anon_sym_BSLASHfp] = ACTIONS(6067),
    [anon_sym_BSLASHft] = ACTIONS(6067),
    [anon_sym_BSLASHfdc] = ACTIONS(6067),
    [anon_sym_BSLASHfv] = ACTIONS(6067),
    [anon_sym_BSLASHxt] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6067),
    [anon_sym_BSLASHadd] = ACTIONS(6067),
    [anon_sym_BSLASHbk] = ACTIONS(6067),
    [anon_sym_BSLASHdc] = ACTIONS(6067),
    [anon_sym_BSLASHk] = ACTIONS(6067),
    [anon_sym_BSLASHnd] = ACTIONS(6067),
    [anon_sym_BSLASHord] = ACTIONS(6067),
    [anon_sym_BSLASHpn] = ACTIONS(6067),
    [anon_sym_BSLASHpng] = ACTIONS(6067),
    [anon_sym_BSLASHaddpn] = ACTIONS(6067),
    [anon_sym_BSLASHqt] = ACTIONS(6067),
    [anon_sym_BSLASHsig] = ACTIONS(6067),
    [anon_sym_BSLASHsls] = ACTIONS(6067),
    [anon_sym_BSLASHtl] = ACTIONS(6067),
    [anon_sym_BSLASHwj] = ACTIONS(6067),
    [anon_sym_BSLASHem] = ACTIONS(6067),
    [anon_sym_BSLASHbd] = ACTIONS(6067),
    [anon_sym_BSLASHit] = ACTIONS(6067),
    [anon_sym_BSLASHbdit] = ACTIONS(6067),
    [anon_sym_BSLASHno] = ACTIONS(6067),
    [anon_sym_BSLASHsc] = ACTIONS(6067),
    [anon_sym_BSLASHsup] = ACTIONS(6067),
    [anon_sym_BSLASHndx] = ACTIONS(6067),
    [anon_sym_BSLASHpro] = ACTIONS(6067),
    [anon_sym_BSLASHrb] = ACTIONS(6067),
    [anon_sym_BSLASHw] = ACTIONS(6067),
    [anon_sym_BSLASHwg] = ACTIONS(6067),
    [anon_sym_BSLASHwh] = ACTIONS(6067),
    [anon_sym_BSLASHwa] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6067),
    [anon_sym_BSLASHfig] = ACTIONS(6067),
    [anon_sym_BSLASHjmp] = ACTIONS(6067),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6067),
    [anon_sym_BSLASHcat] = ACTIONS(6067),
  },
  [1095] = {
    [aux_sym_text_token1] = ACTIONS(6071),
    [anon_sym_BSLASHref] = ACTIONS(6073),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6073),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6073),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6073),
    [anon_sym_BSLASHfr] = ACTIONS(6073),
    [anon_sym_BSLASHfq] = ACTIONS(6073),
    [anon_sym_BSLASHfqa] = ACTIONS(6073),
    [anon_sym_BSLASHfk] = ACTIONS(6073),
    [anon_sym_BSLASHfl] = ACTIONS(6073),
    [anon_sym_BSLASHfl_STAR] = ACTIONS(6075),
    [anon_sym_BSLASHfw] = ACTIONS(6073),
    [anon_sym_BSLASHfp] = ACTIONS(6073),
    [anon_sym_BSLASHft] = ACTIONS(6073),
    [anon_sym_BSLASHfdc] = ACTIONS(6073),
    [anon_sym_BSLASHfv] = ACTIONS(6073),
    [anon_sym_BSLASHxt] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6073),
    [anon_sym_BSLASHadd] = ACTIONS(6073),
    [anon_sym_BSLASHbk] = ACTIONS(6073),
    [anon_sym_BSLASHdc] = ACTIONS(6073),
    [anon_sym_BSLASHk] = ACTIONS(6073),
    [anon_sym_BSLASHnd] = ACTIONS(6073),
    [anon_sym_BSLASHord] = ACTIONS(6073),
    [anon_sym_BSLASHpn] = ACTIONS(6073),
    [anon_sym_BSLASHpng] = ACTIONS(6073),
    [anon_sym_BSLASHaddpn] = ACTIONS(6073),
    [anon_sym_BSLASHqt] = ACTIONS(6073),
    [anon_sym_BSLASHsig] = ACTIONS(6073),
    [anon_sym_BSLASHsls] = ACTIONS(6073),
    [anon_sym_BSLASHtl] = ACTIONS(6073),
    [anon_sym_BSLASHwj] = ACTIONS(6073),
    [anon_sym_BSLASHem] = ACTIONS(6073),
    [anon_sym_BSLASHbd] = ACTIONS(6073),
    [anon_sym_BSLASHit] = ACTIONS(6073),
    [anon_sym_BSLASHbdit] = ACTIONS(6073),
    [anon_sym_BSLASHno] = ACTIONS(6073),
    [anon_sym_BSLASHsc] = ACTIONS(6073),
    [anon_sym_BSLASHsup] = ACTIONS(6073),
    [anon_sym_BSLASHndx] = ACTIONS(6073),
    [anon_sym_BSLASHpro] = ACTIONS(6073),
    [anon_sym_BSLASHrb] = ACTIONS(6073),
    [anon_sym_BSLASHw] = ACTIONS(6073),
    [anon_sym_BSLASHwg] = ACTIONS(6073),
    [anon_sym_BSLASHwh] = ACTIONS(6073),
    [anon_sym_BSLASHwa] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6073),
    [anon_sym_BSLASHfig] = ACTIONS(6073),
    [anon_sym_BSLASHjmp] = ACTIONS(6073),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6073),
    [anon_sym_BSLASHcat] = ACTIONS(6073),
  },
  [1096] = {
    [aux_sym_text_token1] = ACTIONS(6077),
    [anon_sym_BSLASHref] = ACTIONS(6079),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6079),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6079),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6079),
    [anon_sym_BSLASHfr] = ACTIONS(6079),
    [anon_sym_BSLASHfq] = ACTIONS(6079),
    [anon_sym_BSLASHfqa] = ACTIONS(6079),
    [anon_sym_BSLASHfk] = ACTIONS(6079),
    [anon_sym_BSLASHfl] = ACTIONS(6079),
    [anon_sym_BSLASHfw] = ACTIONS(6079),
    [anon_sym_BSLASHfw_STAR] = ACTIONS(6081),
    [anon_sym_BSLASHfp] = ACTIONS(6079),
    [anon_sym_BSLASHft] = ACTIONS(6079),
    [anon_sym_BSLASHfdc] = ACTIONS(6079),
    [anon_sym_BSLASHfv] = ACTIONS(6079),
    [anon_sym_BSLASHxt] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6079),
    [anon_sym_BSLASHadd] = ACTIONS(6079),
    [anon_sym_BSLASHbk] = ACTIONS(6079),
    [anon_sym_BSLASHdc] = ACTIONS(6079),
    [anon_sym_BSLASHk] = ACTIONS(6079),
    [anon_sym_BSLASHnd] = ACTIONS(6079),
    [anon_sym_BSLASHord] = ACTIONS(6079),
    [anon_sym_BSLASHpn] = ACTIONS(6079),
    [anon_sym_BSLASHpng] = ACTIONS(6079),
    [anon_sym_BSLASHaddpn] = ACTIONS(6079),
    [anon_sym_BSLASHqt] = ACTIONS(6079),
    [anon_sym_BSLASHsig] = ACTIONS(6079),
    [anon_sym_BSLASHsls] = ACTIONS(6079),
    [anon_sym_BSLASHtl] = ACTIONS(6079),
    [anon_sym_BSLASHwj] = ACTIONS(6079),
    [anon_sym_BSLASHem] = ACTIONS(6079),
    [anon_sym_BSLASHbd] = ACTIONS(6079),
    [anon_sym_BSLASHit] = ACTIONS(6079),
    [anon_sym_BSLASHbdit] = ACTIONS(6079),
    [anon_sym_BSLASHno] = ACTIONS(6079),
    [anon_sym_BSLASHsc] = ACTIONS(6079),
    [anon_sym_BSLASHsup] = ACTIONS(6079),
    [anon_sym_BSLASHndx] = ACTIONS(6079),
    [anon_sym_BSLASHpro] = ACTIONS(6079),
    [anon_sym_BSLASHrb] = ACTIONS(6079),
    [anon_sym_BSLASHw] = ACTIONS(6079),
    [anon_sym_BSLASHwg] = ACTIONS(6079),
    [anon_sym_BSLASHwh] = ACTIONS(6079),
    [anon_sym_BSLASHwa] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6079),
    [anon_sym_BSLASHfig] = ACTIONS(6079),
    [anon_sym_BSLASHjmp] = ACTIONS(6079),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6079),
    [anon_sym_BSLASHcat] = ACTIONS(6079),
  },
  [1097] = {
    [aux_sym_text_token1] = ACTIONS(6083),
    [anon_sym_BSLASHref] = ACTIONS(6085),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6085),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6085),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6085),
    [anon_sym_BSLASHfr] = ACTIONS(6085),
    [anon_sym_BSLASHfq] = ACTIONS(6085),
    [anon_sym_BSLASHfqa] = ACTIONS(6085),
    [anon_sym_BSLASHfk] = ACTIONS(6085),
    [anon_sym_BSLASHfl] = ACTIONS(6085),
    [anon_sym_BSLASHfw] = ACTIONS(6085),
    [anon_sym_BSLASHfp] = ACTIONS(6085),
    [anon_sym_BSLASHfp_STAR] = ACTIONS(6087),
    [anon_sym_BSLASHft] = ACTIONS(6085),
    [anon_sym_BSLASHfdc] = ACTIONS(6085),
    [anon_sym_BSLASHfv] = ACTIONS(6085),
    [anon_sym_BSLASHxt] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6085),
    [anon_sym_BSLASHadd] = ACTIONS(6085),
    [anon_sym_BSLASHbk] = ACTIONS(6085),
    [anon_sym_BSLASHdc] = ACTIONS(6085),
    [anon_sym_BSLASHk] = ACTIONS(6085),
    [anon_sym_BSLASHnd] = ACTIONS(6085),
    [anon_sym_BSLASHord] = ACTIONS(6085),
    [anon_sym_BSLASHpn] = ACTIONS(6085),
    [anon_sym_BSLASHpng] = ACTIONS(6085),
    [anon_sym_BSLASHaddpn] = ACTIONS(6085),
    [anon_sym_BSLASHqt] = ACTIONS(6085),
    [anon_sym_BSLASHsig] = ACTIONS(6085),
    [anon_sym_BSLASHsls] = ACTIONS(6085),
    [anon_sym_BSLASHtl] = ACTIONS(6085),
    [anon_sym_BSLASHwj] = ACTIONS(6085),
    [anon_sym_BSLASHem] = ACTIONS(6085),
    [anon_sym_BSLASHbd] = ACTIONS(6085),
    [anon_sym_BSLASHit] = ACTIONS(6085),
    [anon_sym_BSLASHbdit] = ACTIONS(6085),
    [anon_sym_BSLASHno] = ACTIONS(6085),
    [anon_sym_BSLASHsc] = ACTIONS(6085),
    [anon_sym_BSLASHsup] = ACTIONS(6085),
    [anon_sym_BSLASHndx] = ACTIONS(6085),
    [anon_sym_BSLASHpro] = ACTIONS(6085),
    [anon_sym_BSLASHrb] = ACTIONS(6085),
    [anon_sym_BSLASHw] = ACTIONS(6085),
    [anon_sym_BSLASHwg] = ACTIONS(6085),
    [anon_sym_BSLASHwh] = ACTIONS(6085),
    [anon_sym_BSLASHwa] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6085),
    [anon_sym_BSLASHfig] = ACTIONS(6085),
    [anon_sym_BSLASHjmp] = ACTIONS(6085),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6085),
    [anon_sym_BSLASHcat] = ACTIONS(6085),
  },
  [1098] = {
    [aux_sym_text_token1] = ACTIONS(6089),
    [anon_sym_BSLASHref] = ACTIONS(6091),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6091),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6091),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6091),
    [anon_sym_BSLASHfr] = ACTIONS(6091),
    [anon_sym_BSLASHfq] = ACTIONS(6091),
    [anon_sym_BSLASHfqa] = ACTIONS(6091),
    [anon_sym_BSLASHfk] = ACTIONS(6091),
    [anon_sym_BSLASHfl] = ACTIONS(6091),
    [anon_sym_BSLASHfw] = ACTIONS(6091),
    [anon_sym_BSLASHfp] = ACTIONS(6091),
    [anon_sym_BSLASHft] = ACTIONS(6091),
    [anon_sym_BSLASHft_STAR] = ACTIONS(6093),
    [anon_sym_BSLASHfdc] = ACTIONS(6091),
    [anon_sym_BSLASHfv] = ACTIONS(6091),
    [anon_sym_BSLASHxt] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6091),
    [anon_sym_BSLASHadd] = ACTIONS(6091),
    [anon_sym_BSLASHbk] = ACTIONS(6091),
    [anon_sym_BSLASHdc] = ACTIONS(6091),
    [anon_sym_BSLASHk] = ACTIONS(6091),
    [anon_sym_BSLASHnd] = ACTIONS(6091),
    [anon_sym_BSLASHord] = ACTIONS(6091),
    [anon_sym_BSLASHpn] = ACTIONS(6091),
    [anon_sym_BSLASHpng] = ACTIONS(6091),
    [anon_sym_BSLASHaddpn] = ACTIONS(6091),
    [anon_sym_BSLASHqt] = ACTIONS(6091),
    [anon_sym_BSLASHsig] = ACTIONS(6091),
    [anon_sym_BSLASHsls] = ACTIONS(6091),
    [anon_sym_BSLASHtl] = ACTIONS(6091),
    [anon_sym_BSLASHwj] = ACTIONS(6091),
    [anon_sym_BSLASHem] = ACTIONS(6091),
    [anon_sym_BSLASHbd] = ACTIONS(6091),
    [anon_sym_BSLASHit] = ACTIONS(6091),
    [anon_sym_BSLASHbdit] = ACTIONS(6091),
    [anon_sym_BSLASHno] = ACTIONS(6091),
    [anon_sym_BSLASHsc] = ACTIONS(6091),
    [anon_sym_BSLASHsup] = ACTIONS(6091),
    [anon_sym_BSLASHndx] = ACTIONS(6091),
    [anon_sym_BSLASHpro] = ACTIONS(6091),
    [anon_sym_BSLASHrb] = ACTIONS(6091),
    [anon_sym_BSLASHw] = ACTIONS(6091),
    [anon_sym_BSLASHwg] = ACTIONS(6091),
    [anon_sym_BSLASHwh] = ACTIONS(6091),
    [anon_sym_BSLASHwa] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6091),
    [anon_sym_BSLASHfig] = ACTIONS(6091),
    [anon_sym_BSLASHjmp] = ACTIONS(6091),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6091),
    [anon_sym_BSLASHcat] = ACTIONS(6091),
  },
  [1099] = {
    [aux_sym_text_token1] = ACTIONS(6095),
    [anon_sym_BSLASHref] = ACTIONS(6097),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6097),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6097),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6097),
    [anon_sym_BSLASHfr] = ACTIONS(6097),
    [anon_sym_BSLASHfr_STAR] = ACTIONS(6099),
    [anon_sym_BSLASHfq] = ACTIONS(6097),
    [anon_sym_BSLASHfqa] = ACTIONS(6097),
    [anon_sym_BSLASHfk] = ACTIONS(6097),
    [anon_sym_BSLASHfl] = ACTIONS(6097),
    [anon_sym_BSLASHfw] = ACTIONS(6097),
    [anon_sym_BSLASHfp] = ACTIONS(6097),
    [anon_sym_BSLASHft] = ACTIONS(6097),
    [anon_sym_BSLASHfdc] = ACTIONS(6097),
    [anon_sym_BSLASHfv] = ACTIONS(6097),
    [anon_sym_BSLASHxt] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6097),
    [anon_sym_BSLASHadd] = ACTIONS(6097),
    [anon_sym_BSLASHbk] = ACTIONS(6097),
    [anon_sym_BSLASHdc] = ACTIONS(6097),
    [anon_sym_BSLASHk] = ACTIONS(6097),
    [anon_sym_BSLASHnd] = ACTIONS(6097),
    [anon_sym_BSLASHord] = ACTIONS(6097),
    [anon_sym_BSLASHpn] = ACTIONS(6097),
    [anon_sym_BSLASHpng] = ACTIONS(6097),
    [anon_sym_BSLASHaddpn] = ACTIONS(6097),
    [anon_sym_BSLASHqt] = ACTIONS(6097),
    [anon_sym_BSLASHsig] = ACTIONS(6097),
    [anon_sym_BSLASHsls] = ACTIONS(6097),
    [anon_sym_BSLASHtl] = ACTIONS(6097),
    [anon_sym_BSLASHwj] = ACTIONS(6097),
    [anon_sym_BSLASHem] = ACTIONS(6097),
    [anon_sym_BSLASHbd] = ACTIONS(6097),
    [anon_sym_BSLASHit] = ACTIONS(6097),
    [anon_sym_BSLASHbdit] = ACTIONS(6097),
    [anon_sym_BSLASHno] = ACTIONS(6097),
    [anon_sym_BSLASHsc] = ACTIONS(6097),
    [anon_sym_BSLASHsup] = ACTIONS(6097),
    [anon_sym_BSLASHndx] = ACTIONS(6097),
    [anon_sym_BSLASHpro] = ACTIONS(6097),
    [anon_sym_BSLASHrb] = ACTIONS(6097),
    [anon_sym_BSLASHw] = ACTIONS(6097),
    [anon_sym_BSLASHwg] = ACTIONS(6097),
    [anon_sym_BSLASHwh] = ACTIONS(6097),
    [anon_sym_BSLASHwa] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6097),
    [anon_sym_BSLASHfig] = ACTIONS(6097),
    [anon_sym_BSLASHjmp] = ACTIONS(6097),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6097),
    [anon_sym_BSLASHcat] = ACTIONS(6097),
  },
  [1100] = {
    [aux_sym_text_token1] = ACTIONS(6101),
    [anon_sym_BSLASHref] = ACTIONS(6103),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6103),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6103),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6103),
    [anon_sym_BSLASHfr] = ACTIONS(6103),
    [anon_sym_BSLASHfq] = ACTIONS(6103),
    [anon_sym_BSLASHfq_STAR] = ACTIONS(6105),
    [anon_sym_BSLASHfqa] = ACTIONS(6103),
    [anon_sym_BSLASHfk] = ACTIONS(6103),
    [anon_sym_BSLASHfl] = ACTIONS(6103),
    [anon_sym_BSLASHfw] = ACTIONS(6103),
    [anon_sym_BSLASHfp] = ACTIONS(6103),
    [anon_sym_BSLASHft] = ACTIONS(6103),
    [anon_sym_BSLASHfdc] = ACTIONS(6103),
    [anon_sym_BSLASHfv] = ACTIONS(6103),
    [anon_sym_BSLASHxt] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6103),
    [anon_sym_BSLASHadd] = ACTIONS(6103),
    [anon_sym_BSLASHbk] = ACTIONS(6103),
    [anon_sym_BSLASHdc] = ACTIONS(6103),
    [anon_sym_BSLASHk] = ACTIONS(6103),
    [anon_sym_BSLASHnd] = ACTIONS(6103),
    [anon_sym_BSLASHord] = ACTIONS(6103),
    [anon_sym_BSLASHpn] = ACTIONS(6103),
    [anon_sym_BSLASHpng] = ACTIONS(6103),
    [anon_sym_BSLASHaddpn] = ACTIONS(6103),
    [anon_sym_BSLASHqt] = ACTIONS(6103),
    [anon_sym_BSLASHsig] = ACTIONS(6103),
    [anon_sym_BSLASHsls] = ACTIONS(6103),
    [anon_sym_BSLASHtl] = ACTIONS(6103),
    [anon_sym_BSLASHwj] = ACTIONS(6103),
    [anon_sym_BSLASHem] = ACTIONS(6103),
    [anon_sym_BSLASHbd] = ACTIONS(6103),
    [anon_sym_BSLASHit] = ACTIONS(6103),
    [anon_sym_BSLASHbdit] = ACTIONS(6103),
    [anon_sym_BSLASHno] = ACTIONS(6103),
    [anon_sym_BSLASHsc] = ACTIONS(6103),
    [anon_sym_BSLASHsup] = ACTIONS(6103),
    [anon_sym_BSLASHndx] = ACTIONS(6103),
    [anon_sym_BSLASHpro] = ACTIONS(6103),
    [anon_sym_BSLASHrb] = ACTIONS(6103),
    [anon_sym_BSLASHw] = ACTIONS(6103),
    [anon_sym_BSLASHwg] = ACTIONS(6103),
    [anon_sym_BSLASHwh] = ACTIONS(6103),
    [anon_sym_BSLASHwa] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6103),
    [anon_sym_BSLASHfig] = ACTIONS(6103),
    [anon_sym_BSLASHjmp] = ACTIONS(6103),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6103),
    [anon_sym_BSLASHcat] = ACTIONS(6103),
  },
  [1101] = {
    [aux_sym_text_token1] = ACTIONS(6107),
    [anon_sym_BSLASHref] = ACTIONS(6109),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6109),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6109),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6109),
    [anon_sym_BSLASHfr] = ACTIONS(6109),
    [anon_sym_BSLASHfq] = ACTIONS(6109),
    [anon_sym_BSLASHfqa] = ACTIONS(6109),
    [anon_sym_BSLASHfk] = ACTIONS(6109),
    [anon_sym_BSLASHfl] = ACTIONS(6109),
    [anon_sym_BSLASHfw] = ACTIONS(6109),
    [anon_sym_BSLASHfp] = ACTIONS(6109),
    [anon_sym_BSLASHft] = ACTIONS(6109),
    [anon_sym_BSLASHfdc] = ACTIONS(6109),
    [anon_sym_BSLASHfv] = ACTIONS(6109),
    [anon_sym_BSLASHxt] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6109),
    [anon_sym_BSLASHadd] = ACTIONS(6109),
    [anon_sym_BSLASHbk] = ACTIONS(6109),
    [anon_sym_BSLASHdc] = ACTIONS(6109),
    [anon_sym_BSLASHk] = ACTIONS(6109),
    [anon_sym_BSLASHnd] = ACTIONS(6109),
    [anon_sym_BSLASHord] = ACTIONS(6109),
    [anon_sym_BSLASHpn] = ACTIONS(6109),
    [anon_sym_BSLASHpng] = ACTIONS(6109),
    [anon_sym_BSLASHaddpn] = ACTIONS(6109),
    [anon_sym_BSLASHqt] = ACTIONS(6109),
    [anon_sym_BSLASHsig] = ACTIONS(6109),
    [anon_sym_BSLASHsls] = ACTIONS(6109),
    [anon_sym_BSLASHtl] = ACTIONS(6109),
    [anon_sym_BSLASHwj] = ACTIONS(6109),
    [anon_sym_BSLASHem] = ACTIONS(6109),
    [anon_sym_BSLASHbd] = ACTIONS(6109),
    [anon_sym_BSLASHit] = ACTIONS(6109),
    [anon_sym_BSLASHbdit] = ACTIONS(6109),
    [anon_sym_BSLASHno] = ACTIONS(6109),
    [anon_sym_BSLASHsc] = ACTIONS(6109),
    [anon_sym_BSLASHsup] = ACTIONS(6109),
    [anon_sym_BSLASHndx] = ACTIONS(6109),
    [anon_sym_BSLASHpro] = ACTIONS(6109),
    [anon_sym_BSLASHrb] = ACTIONS(6109),
    [anon_sym_BSLASHw] = ACTIONS(6109),
    [anon_sym_BSLASHwg] = ACTIONS(6109),
    [anon_sym_BSLASHwh] = ACTIONS(6109),
    [anon_sym_BSLASHwa] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6109),
    [anon_sym_BSLASHfig] = ACTIONS(6109),
    [anon_sym_BSLASHjmp] = ACTIONS(6109),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6109),
    [anon_sym_BSLASHcat] = ACTIONS(6109),
  },
  [1102] = {
    [aux_sym_text_token1] = ACTIONS(6111),
    [anon_sym_BSLASHref] = ACTIONS(6113),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6113),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6113),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6113),
    [anon_sym_BSLASHfr] = ACTIONS(6113),
    [anon_sym_BSLASHfq] = ACTIONS(6113),
    [anon_sym_BSLASHfqa] = ACTIONS(6113),
    [anon_sym_BSLASHfk] = ACTIONS(6113),
    [anon_sym_BSLASHfl] = ACTIONS(6113),
    [anon_sym_BSLASHfw] = ACTIONS(6113),
    [anon_sym_BSLASHfp] = ACTIONS(6113),
    [anon_sym_BSLASHft] = ACTIONS(6113),
    [anon_sym_BSLASHfdc] = ACTIONS(6113),
    [anon_sym_BSLASHfv] = ACTIONS(6113),
    [anon_sym_BSLASHxt] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6113),
    [anon_sym_BSLASHadd] = ACTIONS(6113),
    [anon_sym_BSLASHbk] = ACTIONS(6113),
    [anon_sym_BSLASHdc] = ACTIONS(6113),
    [anon_sym_BSLASHk] = ACTIONS(6113),
    [anon_sym_BSLASHnd] = ACTIONS(6113),
    [anon_sym_BSLASHord] = ACTIONS(6113),
    [anon_sym_BSLASHpn] = ACTIONS(6113),
    [anon_sym_BSLASHpng] = ACTIONS(6113),
    [anon_sym_BSLASHaddpn] = ACTIONS(6113),
    [anon_sym_BSLASHqt] = ACTIONS(6113),
    [anon_sym_BSLASHsig] = ACTIONS(6113),
    [anon_sym_BSLASHsls] = ACTIONS(6113),
    [anon_sym_BSLASHtl] = ACTIONS(6113),
    [anon_sym_BSLASHwj] = ACTIONS(6113),
    [anon_sym_BSLASHem] = ACTIONS(6113),
    [anon_sym_BSLASHbd] = ACTIONS(6113),
    [anon_sym_BSLASHit] = ACTIONS(6113),
    [anon_sym_BSLASHbdit] = ACTIONS(6113),
    [anon_sym_BSLASHno] = ACTIONS(6113),
    [anon_sym_BSLASHsc] = ACTIONS(6113),
    [anon_sym_BSLASHsup] = ACTIONS(6113),
    [anon_sym_BSLASHndx] = ACTIONS(6113),
    [anon_sym_BSLASHpro] = ACTIONS(6113),
    [anon_sym_BSLASHrb] = ACTIONS(6113),
    [anon_sym_BSLASHw] = ACTIONS(6113),
    [anon_sym_BSLASHwg] = ACTIONS(6113),
    [anon_sym_BSLASHwh] = ACTIONS(6113),
    [anon_sym_BSLASHwa] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6113),
    [anon_sym_BSLASHfig] = ACTIONS(6113),
    [anon_sym_BSLASHjmp] = ACTIONS(6113),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6113),
    [anon_sym_BSLASHcat] = ACTIONS(6113),
  },
  [1103] = {
    [aux_sym_text_token1] = ACTIONS(6115),
    [anon_sym_BSLASHref] = ACTIONS(6117),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6117),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6117),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6117),
    [anon_sym_BSLASHfr] = ACTIONS(6117),
    [anon_sym_BSLASHfq] = ACTIONS(6117),
    [anon_sym_BSLASHfqa] = ACTIONS(6117),
    [anon_sym_BSLASHfk] = ACTIONS(6117),
    [anon_sym_BSLASHfl] = ACTIONS(6117),
    [anon_sym_BSLASHfw] = ACTIONS(6117),
    [anon_sym_BSLASHfp] = ACTIONS(6117),
    [anon_sym_BSLASHft] = ACTIONS(6117),
    [anon_sym_BSLASHfdc] = ACTIONS(6117),
    [anon_sym_BSLASHfv] = ACTIONS(6117),
    [anon_sym_BSLASHxt] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6117),
    [anon_sym_BSLASHadd] = ACTIONS(6117),
    [anon_sym_BSLASHbk] = ACTIONS(6117),
    [anon_sym_BSLASHdc] = ACTIONS(6117),
    [anon_sym_BSLASHk] = ACTIONS(6117),
    [anon_sym_BSLASHnd] = ACTIONS(6117),
    [anon_sym_BSLASHord] = ACTIONS(6117),
    [anon_sym_BSLASHpn] = ACTIONS(6117),
    [anon_sym_BSLASHpng] = ACTIONS(6117),
    [anon_sym_BSLASHaddpn] = ACTIONS(6117),
    [anon_sym_BSLASHqt] = ACTIONS(6117),
    [anon_sym_BSLASHsig] = ACTIONS(6117),
    [anon_sym_BSLASHsls] = ACTIONS(6117),
    [anon_sym_BSLASHtl] = ACTIONS(6117),
    [anon_sym_BSLASHwj] = ACTIONS(6117),
    [anon_sym_BSLASHem] = ACTIONS(6117),
    [anon_sym_BSLASHbd] = ACTIONS(6117),
    [anon_sym_BSLASHit] = ACTIONS(6117),
    [anon_sym_BSLASHbdit] = ACTIONS(6117),
    [anon_sym_BSLASHno] = ACTIONS(6117),
    [anon_sym_BSLASHsc] = ACTIONS(6117),
    [anon_sym_BSLASHsup] = ACTIONS(6117),
    [anon_sym_BSLASHndx] = ACTIONS(6117),
    [anon_sym_BSLASHpro] = ACTIONS(6117),
    [anon_sym_BSLASHrb] = ACTIONS(6117),
    [anon_sym_BSLASHw] = ACTIONS(6117),
    [anon_sym_BSLASHwg] = ACTIONS(6117),
    [anon_sym_BSLASHwh] = ACTIONS(6117),
    [anon_sym_BSLASHwa] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6117),
    [anon_sym_BSLASHfig] = ACTIONS(6117),
    [anon_sym_BSLASHjmp] = ACTIONS(6117),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6117),
    [anon_sym_BSLASHcat] = ACTIONS(6117),
  },
  [1104] = {
    [aux_sym_text_token1] = ACTIONS(6119),
    [anon_sym_BSLASHref] = ACTIONS(6121),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6121),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6121),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6121),
    [anon_sym_BSLASHfr] = ACTIONS(6121),
    [anon_sym_BSLASHfq] = ACTIONS(6121),
    [anon_sym_BSLASHfqa] = ACTIONS(6121),
    [anon_sym_BSLASHfk] = ACTIONS(6121),
    [anon_sym_BSLASHfl] = ACTIONS(6121),
    [anon_sym_BSLASHfw] = ACTIONS(6121),
    [anon_sym_BSLASHfp] = ACTIONS(6121),
    [anon_sym_BSLASHft] = ACTIONS(6121),
    [anon_sym_BSLASHfdc] = ACTIONS(6121),
    [anon_sym_BSLASHfv] = ACTIONS(6121),
    [anon_sym_BSLASHxt] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6121),
    [anon_sym_BSLASHadd] = ACTIONS(6121),
    [anon_sym_BSLASHbk] = ACTIONS(6121),
    [anon_sym_BSLASHdc] = ACTIONS(6121),
    [anon_sym_BSLASHk] = ACTIONS(6121),
    [anon_sym_BSLASHnd] = ACTIONS(6121),
    [anon_sym_BSLASHord] = ACTIONS(6121),
    [anon_sym_BSLASHpn] = ACTIONS(6121),
    [anon_sym_BSLASHpng] = ACTIONS(6121),
    [anon_sym_BSLASHaddpn] = ACTIONS(6121),
    [anon_sym_BSLASHqt] = ACTIONS(6121),
    [anon_sym_BSLASHsig] = ACTIONS(6121),
    [anon_sym_BSLASHsls] = ACTIONS(6121),
    [anon_sym_BSLASHtl] = ACTIONS(6121),
    [anon_sym_BSLASHwj] = ACTIONS(6121),
    [anon_sym_BSLASHem] = ACTIONS(6121),
    [anon_sym_BSLASHbd] = ACTIONS(6121),
    [anon_sym_BSLASHit] = ACTIONS(6121),
    [anon_sym_BSLASHbdit] = ACTIONS(6121),
    [anon_sym_BSLASHno] = ACTIONS(6121),
    [anon_sym_BSLASHsc] = ACTIONS(6121),
    [anon_sym_BSLASHsup] = ACTIONS(6121),
    [anon_sym_BSLASHndx] = ACTIONS(6121),
    [anon_sym_BSLASHpro] = ACTIONS(6121),
    [anon_sym_BSLASHrb] = ACTIONS(6121),
    [anon_sym_BSLASHw] = ACTIONS(6121),
    [anon_sym_BSLASHwg] = ACTIONS(6121),
    [anon_sym_BSLASHwh] = ACTIONS(6121),
    [anon_sym_BSLASHwa] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6121),
    [anon_sym_BSLASHfig] = ACTIONS(6121),
    [anon_sym_BSLASHjmp] = ACTIONS(6121),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6121),
    [anon_sym_BSLASHcat] = ACTIONS(6121),
  },
  [1105] = {
    [aux_sym_text_token1] = ACTIONS(6123),
    [anon_sym_BSLASHref] = ACTIONS(6125),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6125),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6125),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6125),
    [anon_sym_BSLASHfr] = ACTIONS(6125),
    [anon_sym_BSLASHfq] = ACTIONS(6125),
    [anon_sym_BSLASHfqa] = ACTIONS(6125),
    [anon_sym_BSLASHfk] = ACTIONS(6125),
    [anon_sym_BSLASHfl] = ACTIONS(6125),
    [anon_sym_BSLASHfw] = ACTIONS(6125),
    [anon_sym_BSLASHfp] = ACTIONS(6125),
    [anon_sym_BSLASHft] = ACTIONS(6125),
    [anon_sym_BSLASHfdc] = ACTIONS(6125),
    [anon_sym_BSLASHfv] = ACTIONS(6125),
    [anon_sym_BSLASHxt] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6125),
    [anon_sym_BSLASHadd] = ACTIONS(6125),
    [anon_sym_BSLASHbk] = ACTIONS(6125),
    [anon_sym_BSLASHdc] = ACTIONS(6125),
    [anon_sym_BSLASHk] = ACTIONS(6125),
    [anon_sym_BSLASHnd] = ACTIONS(6125),
    [anon_sym_BSLASHord] = ACTIONS(6125),
    [anon_sym_BSLASHpn] = ACTIONS(6125),
    [anon_sym_BSLASHpng] = ACTIONS(6125),
    [anon_sym_BSLASHaddpn] = ACTIONS(6125),
    [anon_sym_BSLASHqt] = ACTIONS(6125),
    [anon_sym_BSLASHsig] = ACTIONS(6125),
    [anon_sym_BSLASHsls] = ACTIONS(6125),
    [anon_sym_BSLASHtl] = ACTIONS(6125),
    [anon_sym_BSLASHwj] = ACTIONS(6125),
    [anon_sym_BSLASHem] = ACTIONS(6125),
    [anon_sym_BSLASHbd] = ACTIONS(6125),
    [anon_sym_BSLASHit] = ACTIONS(6125),
    [anon_sym_BSLASHbdit] = ACTIONS(6125),
    [anon_sym_BSLASHno] = ACTIONS(6125),
    [anon_sym_BSLASHsc] = ACTIONS(6125),
    [anon_sym_BSLASHsup] = ACTIONS(6125),
    [anon_sym_BSLASHndx] = ACTIONS(6125),
    [anon_sym_BSLASHpro] = ACTIONS(6125),
    [anon_sym_BSLASHrb] = ACTIONS(6125),
    [anon_sym_BSLASHw] = ACTIONS(6125),
    [anon_sym_BSLASHwg] = ACTIONS(6125),
    [anon_sym_BSLASHwh] = ACTIONS(6125),
    [anon_sym_BSLASHwa] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6125),
    [anon_sym_BSLASHfig] = ACTIONS(6125),
    [anon_sym_BSLASHjmp] = ACTIONS(6125),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6125),
    [anon_sym_BSLASHcat] = ACTIONS(6125),
  },
  [1106] = {
    [aux_sym_text_token1] = ACTIONS(6127),
    [anon_sym_BSLASHref] = ACTIONS(6129),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6129),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6129),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6129),
    [anon_sym_BSLASHfr] = ACTIONS(6129),
    [anon_sym_BSLASHfq] = ACTIONS(6129),
    [anon_sym_BSLASHfqa] = ACTIONS(6129),
    [anon_sym_BSLASHfk] = ACTIONS(6129),
    [anon_sym_BSLASHfl] = ACTIONS(6129),
    [anon_sym_BSLASHfw] = ACTIONS(6129),
    [anon_sym_BSLASHfp] = ACTIONS(6129),
    [anon_sym_BSLASHft] = ACTIONS(6129),
    [anon_sym_BSLASHfdc] = ACTIONS(6129),
    [anon_sym_BSLASHfv] = ACTIONS(6129),
    [anon_sym_BSLASHxt] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6129),
    [anon_sym_BSLASHadd] = ACTIONS(6129),
    [anon_sym_BSLASHbk] = ACTIONS(6129),
    [anon_sym_BSLASHdc] = ACTIONS(6129),
    [anon_sym_BSLASHk] = ACTIONS(6129),
    [anon_sym_BSLASHnd] = ACTIONS(6129),
    [anon_sym_BSLASHord] = ACTIONS(6129),
    [anon_sym_BSLASHpn] = ACTIONS(6129),
    [anon_sym_BSLASHpng] = ACTIONS(6129),
    [anon_sym_BSLASHaddpn] = ACTIONS(6129),
    [anon_sym_BSLASHqt] = ACTIONS(6129),
    [anon_sym_BSLASHsig] = ACTIONS(6129),
    [anon_sym_BSLASHsls] = ACTIONS(6129),
    [anon_sym_BSLASHtl] = ACTIONS(6129),
    [anon_sym_BSLASHwj] = ACTIONS(6129),
    [anon_sym_BSLASHem] = ACTIONS(6129),
    [anon_sym_BSLASHbd] = ACTIONS(6129),
    [anon_sym_BSLASHit] = ACTIONS(6129),
    [anon_sym_BSLASHbdit] = ACTIONS(6129),
    [anon_sym_BSLASHno] = ACTIONS(6129),
    [anon_sym_BSLASHsc] = ACTIONS(6129),
    [anon_sym_BSLASHsup] = ACTIONS(6129),
    [anon_sym_BSLASHndx] = ACTIONS(6129),
    [anon_sym_BSLASHpro] = ACTIONS(6129),
    [anon_sym_BSLASHrb] = ACTIONS(6129),
    [anon_sym_BSLASHw] = ACTIONS(6129),
    [anon_sym_BSLASHwg] = ACTIONS(6129),
    [anon_sym_BSLASHwh] = ACTIONS(6129),
    [anon_sym_BSLASHwa] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6129),
    [anon_sym_BSLASHfig] = ACTIONS(6129),
    [anon_sym_BSLASHjmp] = ACTIONS(6129),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6129),
    [anon_sym_BSLASHcat] = ACTIONS(6129),
  },
  [1107] = {
    [aux_sym_text_token1] = ACTIONS(6131),
    [anon_sym_BSLASHref] = ACTIONS(6133),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6133),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6133),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6133),
    [anon_sym_BSLASHfr] = ACTIONS(6133),
    [anon_sym_BSLASHfq] = ACTIONS(6133),
    [anon_sym_BSLASHfqa] = ACTIONS(6133),
    [anon_sym_BSLASHfk] = ACTIONS(6133),
    [anon_sym_BSLASHfl] = ACTIONS(6133),
    [anon_sym_BSLASHfw] = ACTIONS(6133),
    [anon_sym_BSLASHfp] = ACTIONS(6133),
    [anon_sym_BSLASHft] = ACTIONS(6133),
    [anon_sym_BSLASHfdc] = ACTIONS(6133),
    [anon_sym_BSLASHfv] = ACTIONS(6133),
    [anon_sym_BSLASHxt] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6133),
    [anon_sym_BSLASHadd] = ACTIONS(6133),
    [anon_sym_BSLASHbk] = ACTIONS(6133),
    [anon_sym_BSLASHdc] = ACTIONS(6133),
    [anon_sym_BSLASHk] = ACTIONS(6133),
    [anon_sym_BSLASHnd] = ACTIONS(6133),
    [anon_sym_BSLASHord] = ACTIONS(6133),
    [anon_sym_BSLASHpn] = ACTIONS(6133),
    [anon_sym_BSLASHpng] = ACTIONS(6133),
    [anon_sym_BSLASHaddpn] = ACTIONS(6133),
    [anon_sym_BSLASHqt] = ACTIONS(6133),
    [anon_sym_BSLASHsig] = ACTIONS(6133),
    [anon_sym_BSLASHsls] = ACTIONS(6133),
    [anon_sym_BSLASHtl] = ACTIONS(6133),
    [anon_sym_BSLASHwj] = ACTIONS(6133),
    [anon_sym_BSLASHem] = ACTIONS(6133),
    [anon_sym_BSLASHbd] = ACTIONS(6133),
    [anon_sym_BSLASHit] = ACTIONS(6133),
    [anon_sym_BSLASHbdit] = ACTIONS(6133),
    [anon_sym_BSLASHno] = ACTIONS(6133),
    [anon_sym_BSLASHsc] = ACTIONS(6133),
    [anon_sym_BSLASHsup] = ACTIONS(6133),
    [anon_sym_BSLASHndx] = ACTIONS(6133),
    [anon_sym_BSLASHpro] = ACTIONS(6133),
    [anon_sym_BSLASHrb] = ACTIONS(6133),
    [anon_sym_BSLASHw] = ACTIONS(6133),
    [anon_sym_BSLASHwg] = ACTIONS(6133),
    [anon_sym_BSLASHwh] = ACTIONS(6133),
    [anon_sym_BSLASHwa] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6133),
    [anon_sym_BSLASHfig] = ACTIONS(6133),
    [anon_sym_BSLASHjmp] = ACTIONS(6133),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6133),
    [anon_sym_BSLASHcat] = ACTIONS(6133),
  },
  [1108] = {
    [aux_sym_text_token1] = ACTIONS(6135),
    [anon_sym_BSLASHref] = ACTIONS(6137),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6137),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6137),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6137),
    [anon_sym_BSLASHfr] = ACTIONS(6137),
    [anon_sym_BSLASHfq] = ACTIONS(6137),
    [anon_sym_BSLASHfqa] = ACTIONS(6137),
    [anon_sym_BSLASHfk] = ACTIONS(6137),
    [anon_sym_BSLASHfl] = ACTIONS(6137),
    [anon_sym_BSLASHfw] = ACTIONS(6137),
    [anon_sym_BSLASHfp] = ACTIONS(6137),
    [anon_sym_BSLASHft] = ACTIONS(6137),
    [anon_sym_BSLASHfdc] = ACTIONS(6137),
    [anon_sym_BSLASHfv] = ACTIONS(6137),
    [anon_sym_BSLASHxt] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6137),
    [anon_sym_BSLASHadd] = ACTIONS(6137),
    [anon_sym_BSLASHbk] = ACTIONS(6137),
    [anon_sym_BSLASHdc] = ACTIONS(6137),
    [anon_sym_BSLASHk] = ACTIONS(6137),
    [anon_sym_BSLASHnd] = ACTIONS(6137),
    [anon_sym_BSLASHord] = ACTIONS(6137),
    [anon_sym_BSLASHpn] = ACTIONS(6137),
    [anon_sym_BSLASHpng] = ACTIONS(6137),
    [anon_sym_BSLASHaddpn] = ACTIONS(6137),
    [anon_sym_BSLASHqt] = ACTIONS(6137),
    [anon_sym_BSLASHsig] = ACTIONS(6137),
    [anon_sym_BSLASHsls] = ACTIONS(6137),
    [anon_sym_BSLASHtl] = ACTIONS(6137),
    [anon_sym_BSLASHwj] = ACTIONS(6137),
    [anon_sym_BSLASHem] = ACTIONS(6137),
    [anon_sym_BSLASHbd] = ACTIONS(6137),
    [anon_sym_BSLASHit] = ACTIONS(6137),
    [anon_sym_BSLASHbdit] = ACTIONS(6137),
    [anon_sym_BSLASHno] = ACTIONS(6137),
    [anon_sym_BSLASHsc] = ACTIONS(6137),
    [anon_sym_BSLASHsup] = ACTIONS(6137),
    [anon_sym_BSLASHndx] = ACTIONS(6137),
    [anon_sym_BSLASHpro] = ACTIONS(6137),
    [anon_sym_BSLASHrb] = ACTIONS(6137),
    [anon_sym_BSLASHw] = ACTIONS(6137),
    [anon_sym_BSLASHwg] = ACTIONS(6137),
    [anon_sym_BSLASHwh] = ACTIONS(6137),
    [anon_sym_BSLASHwa] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6137),
    [anon_sym_BSLASHfig] = ACTIONS(6137),
    [anon_sym_BSLASHjmp] = ACTIONS(6137),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6137),
    [anon_sym_BSLASHcat] = ACTIONS(6137),
  },
  [1109] = {
    [aux_sym_text_token1] = ACTIONS(6139),
    [anon_sym_BSLASHref] = ACTIONS(6141),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6141),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6141),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6141),
    [anon_sym_BSLASHfr] = ACTIONS(6141),
    [anon_sym_BSLASHfq] = ACTIONS(6141),
    [anon_sym_BSLASHfqa] = ACTIONS(6141),
    [anon_sym_BSLASHfk] = ACTIONS(6141),
    [anon_sym_BSLASHfl] = ACTIONS(6141),
    [anon_sym_BSLASHfw] = ACTIONS(6141),
    [anon_sym_BSLASHfp] = ACTIONS(6141),
    [anon_sym_BSLASHft] = ACTIONS(6141),
    [anon_sym_BSLASHfdc] = ACTIONS(6141),
    [anon_sym_BSLASHfv] = ACTIONS(6141),
    [anon_sym_BSLASHxt] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6141),
    [anon_sym_BSLASHadd] = ACTIONS(6141),
    [anon_sym_BSLASHbk] = ACTIONS(6141),
    [anon_sym_BSLASHdc] = ACTIONS(6141),
    [anon_sym_BSLASHk] = ACTIONS(6141),
    [anon_sym_BSLASHnd] = ACTIONS(6141),
    [anon_sym_BSLASHord] = ACTIONS(6141),
    [anon_sym_BSLASHpn] = ACTIONS(6141),
    [anon_sym_BSLASHpng] = ACTIONS(6141),
    [anon_sym_BSLASHaddpn] = ACTIONS(6141),
    [anon_sym_BSLASHqt] = ACTIONS(6141),
    [anon_sym_BSLASHsig] = ACTIONS(6141),
    [anon_sym_BSLASHsls] = ACTIONS(6141),
    [anon_sym_BSLASHtl] = ACTIONS(6141),
    [anon_sym_BSLASHwj] = ACTIONS(6141),
    [anon_sym_BSLASHem] = ACTIONS(6141),
    [anon_sym_BSLASHbd] = ACTIONS(6141),
    [anon_sym_BSLASHit] = ACTIONS(6141),
    [anon_sym_BSLASHbdit] = ACTIONS(6141),
    [anon_sym_BSLASHno] = ACTIONS(6141),
    [anon_sym_BSLASHsc] = ACTIONS(6141),
    [anon_sym_BSLASHsup] = ACTIONS(6141),
    [anon_sym_BSLASHndx] = ACTIONS(6141),
    [anon_sym_BSLASHpro] = ACTIONS(6141),
    [anon_sym_BSLASHrb] = ACTIONS(6141),
    [anon_sym_BSLASHw] = ACTIONS(6141),
    [anon_sym_BSLASHwg] = ACTIONS(6141),
    [anon_sym_BSLASHwh] = ACTIONS(6141),
    [anon_sym_BSLASHwa] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6141),
    [anon_sym_BSLASHfig] = ACTIONS(6141),
    [anon_sym_BSLASHjmp] = ACTIONS(6141),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6141),
    [anon_sym_BSLASHcat] = ACTIONS(6141),
  },
  [1110] = {
    [aux_sym_text_token1] = ACTIONS(6143),
    [anon_sym_BSLASHref] = ACTIONS(6145),
    [anon_sym_BSLASHf_STAR] = ACTIONS(6145),
    [anon_sym_BSLASHfe_STAR] = ACTIONS(6145),
    [anon_sym_BSLASHef_STAR] = ACTIONS(6145),
    [anon_sym_BSLASHfr] = ACTIONS(6145),
    [anon_sym_BSLASHfq] = ACTIONS(6145),
    [anon_sym_BSLASHfqa] = ACTIONS(6145),
    [anon_sym_BSLASHfk] = ACTIONS(6145),
    [anon_sym_BSLASHfl] = ACTIONS(6145),
    [anon_sym_BSLASHfw] = ACTIONS(6145),
    [anon_sym_BSLASHfp] = ACTIONS(6145),
    [anon_sym_BSLASHft] = ACTIONS(6145),
    [anon_sym_BSLASHfdc] = ACTIONS(6145),
    [anon_sym_BSLASHfv] = ACTIONS(6145),
    [anon_sym_BSLASHxt] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSxt] = ACTIONS(6145),
    [anon_sym_BSLASHadd] = ACTIONS(6145),
    [anon_sym_BSLASHbk] = ACTIONS(6145),
    [anon_sym_BSLASHdc] = ACTIONS(6145),
    [anon_sym_BSLASHk] = ACTIONS(6145),
    [anon_sym_BSLASHnd] = ACTIONS(6145),
    [anon_sym_BSLASHord] = ACTIONS(6145),
    [anon_sym_BSLASHpn] = ACTIONS(6145),
    [anon_sym_BSLASHpng] = ACTIONS(6145),
    [anon_sym_BSLASHaddpn] = ACTIONS(6145),
    [anon_sym_BSLASHqt] = ACTIONS(6145),
    [anon_sym_BSLASHsig] = ACTIONS(6145),
    [anon_sym_BSLASHsls] = ACTIONS(6145),
    [anon_sym_BSLASHtl] = ACTIONS(6145),
    [anon_sym_BSLASHwj] = ACTIONS(6145),
    [anon_sym_BSLASHem] = ACTIONS(6145),
    [anon_sym_BSLASHbd] = ACTIONS(6145),
    [anon_sym_BSLASHit] = ACTIONS(6145),
    [anon_sym_BSLASHbdit] = ACTIONS(6145),
    [anon_sym_BSLASHno] = ACTIONS(6145),
    [anon_sym_BSLASHsc] = ACTIONS(6145),
    [anon_sym_BSLASHsup] = ACTIONS(6145),
    [anon_sym_BSLASHndx] = ACTIONS(6145),
    [anon_sym_BSLASHpro] = ACTIONS(6145),
    [anon_sym_BSLASHrb] = ACTIONS(6145),
    [anon_sym_BSLASHw] = ACTIONS(6145),
    [anon_sym_BSLASHwg] = ACTIONS(6145),
    [anon_sym_BSLASHwh] = ACTIONS(6145),
    [anon_sym_BSLASHwa] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(6145),
    [anon_sym_BSLASHfig] = ACTIONS(6145),
    [anon_sym_BSLASHjmp] = ACTIONS(6145),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(6145),
    [anon_sym_BSLASHcat] = ACTIONS(6145),
  },
  [1111] = {
    [sym_text] = STATE(347),
    [sym_ref] = STATE(347),
    [aux_sym__introText] = STATE(347),
    [sym_iqt] = STATE(347),
    [sym_xt_standalone] = STATE(347),
    [sym_add] = STATE(347),
    [sym_bk] = STATE(347),
    [sym_dc] = STATE(347),
    [sym_k] = STATE(347),
    [sym_nd] = STATE(347),
    [sym_ord] = STATE(347),
    [sym_pn] = STATE(347),
    [sym_png] = STATE(347),
    [sym_addpn] = STATE(347),
    [sym_qt] = STATE(347),
    [sym_sig] = STATE(347),
    [sym_sls] = STATE(347),
    [sym_tl] = STATE(347),
    [sym_wj] = STATE(347),
    [sym_em] = STATE(347),
    [sym_bd] = STATE(347),
    [sym_it] = STATE(347),
    [sym_bdit] = STATE(347),
    [sym_no] = STATE(347),
    [sym_sc] = STATE(347),
    [sym_sup] = STATE(347),
    [sym_ndx] = STATE(347),
    [sym_pro] = STATE(347),
    [sym_rb] = STATE(347),
    [sym_w] = STATE(347),
    [sym_wg] = STATE(347),
    [sym_wh] = STATE(347),
    [sym_wa] = STATE(347),
    [sym__characterMarker] = STATE(347),
    [sym_fig] = STATE(347),
    [sym_jmp] = STATE(347),
    [ts_builtin_sym_end] = ACTIONS(6147),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHimte] = ACTIONS(6149),
    [anon_sym_BSLASHie] = ACTIONS(6149),
    [anon_sym_BSLASHc] = ACTIONS(6149),
    [anon_sym_BSLASHcl] = ACTIONS(6149),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
  },
  [1112] = {
    [sym__comments] = STATE(1112),
    [sym_sts] = STATE(1112),
    [sym_rem] = STATE(1112),
    [sym_restore] = STATE(1112),
    [sym_lit] = STATE(1112),
    [sym_imtBlock] = STATE(1112),
    [sym_imt] = STATE(1705),
    [sym_imtTag] = STATE(1122),
    [sym__midIntroMarker] = STATE(1112),
    [sym_isBlock] = STATE(1112),
    [sym_is] = STATE(1712),
    [sym_isTag] = STATE(1126),
    [sym_io] = STATE(1112),
    [sym_ioTag] = STATE(1127),
    [sym_iot] = STATE(1112),
    [sym_ip] = STATE(1112),
    [sym_im] = STATE(1112),
    [sym_ipi] = STATE(1112),
    [sym_imi] = STATE(1112),
    [sym_iliBlock] = STATE(1112),
    [sym_ili] = STATE(1711),
    [sym_iliTag] = STATE(1128),
    [sym_ipq] = STATE(1112),
    [sym_imq] = STATE(1112),
    [sym_ipr] = STATE(1112),
    [sym_ib] = STATE(1112),
    [sym_iqBlock] = STATE(1112),
    [sym_iq] = STATE(1709),
    [sym_iqTag] = STATE(1129),
    [sym_iex] = STATE(1112),
    [sym_milestoneTag] = STATE(1964),
    [sym__milestoneStandaloneMarker] = STATE(1730),
    [sym__milestoneStart] = STATE(1730),
    [sym__milestoneEnd] = STATE(1730),
    [sym_milestone] = STATE(1112),
    [sym__zNameSpaceRegular] = STATE(1729),
    [sym__zNameSpaceClosed] = STATE(1729),
    [sym__zNameSpaceStandaloneMarker] = STATE(1729),
    [sym_zNameSpace] = STATE(1112),
    [sym_esb] = STATE(1112),
    [aux_sym_File_repeat1] = STATE(1112),
    [aux_sym_imtBlock_repeat1] = STATE(1705),
    [aux_sym_isBlock_repeat1] = STATE(1712),
    [aux_sym_iliBlock_repeat1] = STATE(1711),
    [aux_sym_iqBlock_repeat1] = STATE(1709),
    [ts_builtin_sym_end] = ACTIONS(6151),
    [anon_sym_BSLASHsts] = ACTIONS(6153),
    [anon_sym_BSLASHrem] = ACTIONS(6156),
    [anon_sym_BSLASHrestore] = ACTIONS(6159),
    [anon_sym_BSLASHlit] = ACTIONS(6162),
    [anon_sym_BSLASHimt] = ACTIONS(6165),
    [anon_sym_BSLASHimte] = ACTIONS(6151),
    [anon_sym_BSLASHis] = ACTIONS(6168),
    [anon_sym_BSLASHio] = ACTIONS(6171),
    [anon_sym_BSLASHiot] = ACTIONS(6174),
    [anon_sym_BSLASHip] = ACTIONS(6177),
    [anon_sym_BSLASHim] = ACTIONS(6180),
    [anon_sym_BSLASHipi] = ACTIONS(6183),
    [anon_sym_BSLASHimi] = ACTIONS(6186),
    [anon_sym_BSLASHili] = ACTIONS(6189),
    [anon_sym_BSLASHipq] = ACTIONS(6192),
    [anon_sym_BSLASHimq] = ACTIONS(6195),
    [anon_sym_BSLASHipr] = ACTIONS(6198),
    [anon_sym_BSLASHib] = ACTIONS(6201),
    [anon_sym_BSLASHiq] = ACTIONS(6204),
    [anon_sym_BSLASHie] = ACTIONS(6207),
    [anon_sym_BSLASHiex] = ACTIONS(6209),
    [anon_sym_BSLASHc] = ACTIONS(6151),
    [anon_sym_BSLASHcl] = ACTIONS(6151),
    [anon_sym_BSLASH] = ACTIONS(6212),
    [sym_milestoneStartTag] = ACTIONS(6215),
    [sym_milestoneEndTag] = ACTIONS(6218),
    [sym_zSpaceTag] = ACTIONS(6221),
    [anon_sym_BSLASHesb] = ACTIONS(6224),
  },
  [1113] = {
    [sym_text] = STATE(370),
    [sym_ref] = STATE(370),
    [aux_sym__introText] = STATE(370),
    [sym_iqt] = STATE(370),
    [sym_xt_standalone] = STATE(370),
    [sym_add] = STATE(370),
    [sym_bk] = STATE(370),
    [sym_dc] = STATE(370),
    [sym_k] = STATE(370),
    [sym_nd] = STATE(370),
    [sym_ord] = STATE(370),
    [sym_pn] = STATE(370),
    [sym_png] = STATE(370),
    [sym_addpn] = STATE(370),
    [sym_qt] = STATE(370),
    [sym_sig] = STATE(370),
    [sym_sls] = STATE(370),
    [sym_tl] = STATE(370),
    [sym_wj] = STATE(370),
    [sym_em] = STATE(370),
    [sym_bd] = STATE(370),
    [sym_it] = STATE(370),
    [sym_bdit] = STATE(370),
    [sym_no] = STATE(370),
    [sym_sc] = STATE(370),
    [sym_sup] = STATE(370),
    [sym_ndx] = STATE(370),
    [sym_pro] = STATE(370),
    [sym_rb] = STATE(370),
    [sym_w] = STATE(370),
    [sym_wg] = STATE(370),
    [sym_wh] = STATE(370),
    [sym_wa] = STATE(370),
    [sym__characterMarker] = STATE(370),
    [sym_fig] = STATE(370),
    [sym_jmp] = STATE(370),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
  },
  [1114] = {
    [sym_text] = STATE(318),
    [sym_ref] = STATE(318),
    [aux_sym__introText] = STATE(318),
    [sym_iqt] = STATE(318),
    [sym_xt_standalone] = STATE(318),
    [sym_add] = STATE(318),
    [sym_bk] = STATE(318),
    [sym_dc] = STATE(318),
    [sym_k] = STATE(318),
    [sym_nd] = STATE(318),
    [sym_ord] = STATE(318),
    [sym_pn] = STATE(318),
    [sym_png] = STATE(318),
    [sym_addpn] = STATE(318),
    [sym_qt] = STATE(318),
    [sym_sig] = STATE(318),
    [sym_sls] = STATE(318),
    [sym_tl] = STATE(318),
    [sym_wj] = STATE(318),
    [sym_em] = STATE(318),
    [sym_bd] = STATE(318),
    [sym_it] = STATE(318),
    [sym_bdit] = STATE(318),
    [sym_no] = STATE(318),
    [sym_sc] = STATE(318),
    [sym_sup] = STATE(318),
    [sym_ndx] = STATE(318),
    [sym_pro] = STATE(318),
    [sym_rb] = STATE(318),
    [sym_w] = STATE(318),
    [sym_wg] = STATE(318),
    [sym_wh] = STATE(318),
    [sym_wa] = STATE(318),
    [sym__characterMarker] = STATE(318),
    [sym_fig] = STATE(318),
    [sym_jmp] = STATE(318),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHiqt] = ACTIONS(3773),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
  },
  [1115] = {
    [sym_text] = STATE(371),
    [sym_ref] = STATE(371),
    [aux_sym__introText] = STATE(371),
    [sym_iqt] = STATE(371),
    [sym_xt_standalone] = STATE(371),
    [sym_add] = STATE(371),
    [sym_bk] = STATE(371),
    [sym_dc] = STATE(371),
    [sym_k] = STATE(371),
    [sym_nd] = STATE(371),
    [sym_ord] = STATE(371),
    [sym_pn] = STATE(371),
    [sym_png] = STATE(371),
    [sym_addpn] = STATE(371),
    [sym_qt] = STATE(371),
    [sym_sig] = STATE(371),
    [sym_sls] = STATE(371),
    [sym_tl] = STATE(371),
    [sym_wj] = STATE(371),
    [sym_em] = STATE(371),
    [sym_bd] = STATE(371),
    [sym_it] = STATE(371),
    [sym_bdit] = STATE(371),
    [sym_no] = STATE(371),
    [sym_sc] = STATE(371),
    [sym_sup] = STATE(371),
    [sym_ndx] = STATE(371),
    [sym_pro] = STATE(371),
    [sym_rb] = STATE(371),
    [sym_w] = STATE(371),
    [sym_wg] = STATE(371),
    [sym_wh] = STATE(371),
    [sym_wa] = STATE(371),
    [sym__characterMarker] = STATE(371),
    [sym_fig] = STATE(371),
    [sym_jmp] = STATE(371),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
  },
  [1116] = {
    [sym_text] = STATE(369),
    [sym_ref] = STATE(369),
    [aux_sym__introText] = STATE(369),
    [sym_iqt] = STATE(369),
    [sym_xt_standalone] = STATE(369),
    [sym_add] = STATE(369),
    [sym_bk] = STATE(369),
    [sym_dc] = STATE(369),
    [sym_k] = STATE(369),
    [sym_nd] = STATE(369),
    [sym_ord] = STATE(369),
    [sym_pn] = STATE(369),
    [sym_png] = STATE(369),
    [sym_addpn] = STATE(369),
    [sym_qt] = STATE(369),
    [sym_sig] = STATE(369),
    [sym_sls] = STATE(369),
    [sym_tl] = STATE(369),
    [sym_wj] = STATE(369),
    [sym_em] = STATE(369),
    [sym_bd] = STATE(369),
    [sym_it] = STATE(369),
    [sym_bdit] = STATE(369),
    [sym_no] = STATE(369),
    [sym_sc] = STATE(369),
    [sym_sup] = STATE(369),
    [sym_ndx] = STATE(369),
    [sym_pro] = STATE(369),
    [sym_rb] = STATE(369),
    [sym_w] = STATE(369),
    [sym_wg] = STATE(369),
    [sym_wh] = STATE(369),
    [sym_wa] = STATE(369),
    [sym__characterMarker] = STATE(369),
    [sym_fig] = STATE(369),
    [sym_jmp] = STATE(369),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
  },
  [1117] = {
    [sym_text] = STATE(336),
    [sym_ref] = STATE(336),
    [aux_sym__introText] = STATE(336),
    [sym_iqt] = STATE(336),
    [sym_xt_standalone] = STATE(336),
    [sym_add] = STATE(336),
    [sym_bk] = STATE(336),
    [sym_dc] = STATE(336),
    [sym_k] = STATE(336),
    [sym_nd] = STATE(336),
    [sym_ord] = STATE(336),
    [sym_pn] = STATE(336),
    [sym_png] = STATE(336),
    [sym_addpn] = STATE(336),
    [sym_qt] = STATE(336),
    [sym_sig] = STATE(336),
    [sym_sls] = STATE(336),
    [sym_tl] = STATE(336),
    [sym_wj] = STATE(336),
    [sym_em] = STATE(336),
    [sym_bd] = STATE(336),
    [sym_it] = STATE(336),
    [sym_bdit] = STATE(336),
    [sym_no] = STATE(336),
    [sym_sc] = STATE(336),
    [sym_sup] = STATE(336),
    [sym_ndx] = STATE(336),
    [sym_pro] = STATE(336),
    [sym_rb] = STATE(336),
    [sym_w] = STATE(336),
    [sym_wg] = STATE(336),
    [sym_wh] = STATE(336),
    [sym_wa] = STATE(336),
    [sym__characterMarker] = STATE(336),
    [sym_fig] = STATE(336),
    [sym_jmp] = STATE(336),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASHiqt] = ACTIONS(4606),
    [anon_sym_BSLASHxt] = ACTIONS(840),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
  },
  [1118] = {
    [sym_text] = STATE(366),
    [sym_ref] = STATE(366),
    [aux_sym__introText] = STATE(366),
    [sym_iqt] = STATE(366),
    [sym_xt_standalone] = STATE(366),
    [sym_add] = STATE(366),
    [sym_bk] = STATE(366),
    [sym_dc] = STATE(366),
    [sym_k] = STATE(366),
    [sym_nd] = STATE(366),
    [sym_ord] = STATE(366),
    [sym_pn] = STATE(366),
    [sym_png] = STATE(366),
    [sym_addpn] = STATE(366),
    [sym_qt] = STATE(366),
    [sym_sig] = STATE(366),
    [sym_sls] = STATE(366),
    [sym_tl] = STATE(366),
    [sym_wj] = STATE(366),
    [sym_em] = STATE(366),
    [sym_bd] = STATE(366),
    [sym_it] = STATE(366),
    [sym_bdit] = STATE(366),
    [sym_no] = STATE(366),
    [sym_sc] = STATE(366),
    [sym_sup] = STATE(366),
    [sym_ndx] = STATE(366),
    [sym_pro] = STATE(366),
    [sym_rb] = STATE(366),
    [sym_w] = STATE(366),
    [sym_wg] = STATE(366),
    [sym_wh] = STATE(366),
    [sym_wa] = STATE(366),
    [sym__characterMarker] = STATE(366),
    [sym_fig] = STATE(366),
    [sym_jmp] = STATE(366),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
  },
  [1119] = {
    [sym_text] = STATE(364),
    [sym_ref] = STATE(364),
    [aux_sym__introText] = STATE(364),
    [sym_iqt] = STATE(364),
    [sym_xt_standalone] = STATE(364),
    [sym_add] = STATE(364),
    [sym_bk] = STATE(364),
    [sym_dc] = STATE(364),
    [sym_k] = STATE(364),
    [sym_nd] = STATE(364),
    [sym_ord] = STATE(364),
    [sym_pn] = STATE(364),
    [sym_png] = STATE(364),
    [sym_addpn] = STATE(364),
    [sym_qt] = STATE(364),
    [sym_sig] = STATE(364),
    [sym_sls] = STATE(364),
    [sym_tl] = STATE(364),
    [sym_wj] = STATE(364),
    [sym_em] = STATE(364),
    [sym_bd] = STATE(364),
    [sym_it] = STATE(364),
    [sym_bdit] = STATE(364),
    [sym_no] = STATE(364),
    [sym_sc] = STATE(364),
    [sym_sup] = STATE(364),
    [sym_ndx] = STATE(364),
    [sym_pro] = STATE(364),
    [sym_rb] = STATE(364),
    [sym_w] = STATE(364),
    [sym_wg] = STATE(364),
    [sym_wh] = STATE(364),
    [sym_wa] = STATE(364),
    [sym__characterMarker] = STATE(364),
    [sym_fig] = STATE(364),
    [sym_jmp] = STATE(364),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
  },
  [1120] = {
    [sym_text] = STATE(321),
    [sym_ref] = STATE(321),
    [aux_sym__introText] = STATE(321),
    [sym_iqt] = STATE(321),
    [sym_xt_standalone] = STATE(321),
    [sym_add] = STATE(321),
    [sym_bk] = STATE(321),
    [sym_dc] = STATE(321),
    [sym_k] = STATE(321),
    [sym_nd] = STATE(321),
    [sym_ord] = STATE(321),
    [sym_pn] = STATE(321),
    [sym_png] = STATE(321),
    [sym_addpn] = STATE(321),
    [sym_qt] = STATE(321),
    [sym_sig] = STATE(321),
    [sym_sls] = STATE(321),
    [sym_tl] = STATE(321),
    [sym_wj] = STATE(321),
    [sym_em] = STATE(321),
    [sym_bd] = STATE(321),
    [sym_it] = STATE(321),
    [sym_bdit] = STATE(321),
    [sym_no] = STATE(321),
    [sym_sc] = STATE(321),
    [sym_sup] = STATE(321),
    [sym_ndx] = STATE(321),
    [sym_pro] = STATE(321),
    [sym_rb] = STATE(321),
    [sym_w] = STATE(321),
    [sym_wg] = STATE(321),
    [sym_wh] = STATE(321),
    [sym_wa] = STATE(321),
    [sym__characterMarker] = STATE(321),
    [sym_fig] = STATE(321),
    [sym_jmp] = STATE(321),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHref] = ACTIONS(217),
    [anon_sym_BSLASHiqt] = ACTIONS(3773),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
  },
  [1121] = {
    [sym_text] = STATE(398),
    [sym_ref] = STATE(398),
    [aux_sym__introText] = STATE(398),
    [sym_iqt] = STATE(398),
    [sym_xt_standalone] = STATE(398),
    [sym_add] = STATE(398),
    [sym_bk] = STATE(398),
    [sym_dc] = STATE(398),
    [sym_k] = STATE(398),
    [sym_nd] = STATE(398),
    [sym_ord] = STATE(398),
    [sym_pn] = STATE(398),
    [sym_png] = STATE(398),
    [sym_addpn] = STATE(398),
    [sym_qt] = STATE(398),
    [sym_sig] = STATE(398),
    [sym_sls] = STATE(398),
    [sym_tl] = STATE(398),
    [sym_wj] = STATE(398),
    [sym_em] = STATE(398),
    [sym_bd] = STATE(398),
    [sym_it] = STATE(398),
    [sym_bdit] = STATE(398),
    [sym_no] = STATE(398),
    [sym_sc] = STATE(398),
    [sym_sup] = STATE(398),
    [sym_ndx] = STATE(398),
    [sym_pro] = STATE(398),
    [sym_rb] = STATE(398),
    [sym_w] = STATE(398),
    [sym_wg] = STATE(398),
    [sym_wh] = STATE(398),
    [sym_wa] = STATE(398),
    [sym__characterMarker] = STATE(398),
    [sym_fig] = STATE(398),
    [sym_jmp] = STATE(398),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
  },
  [1122] = {
    [sym_text] = STATE(399),
    [sym_ref] = STATE(399),
    [aux_sym__introText] = STATE(399),
    [sym_iqt] = STATE(399),
    [sym_xt_standalone] = STATE(399),
    [sym_add] = STATE(399),
    [sym_bk] = STATE(399),
    [sym_dc] = STATE(399),
    [sym_k] = STATE(399),
    [sym_nd] = STATE(399),
    [sym_ord] = STATE(399),
    [sym_pn] = STATE(399),
    [sym_png] = STATE(399),
    [sym_addpn] = STATE(399),
    [sym_qt] = STATE(399),
    [sym_sig] = STATE(399),
    [sym_sls] = STATE(399),
    [sym_tl] = STATE(399),
    [sym_wj] = STATE(399),
    [sym_em] = STATE(399),
    [sym_bd] = STATE(399),
    [sym_it] = STATE(399),
    [sym_bdit] = STATE(399),
    [sym_no] = STATE(399),
    [sym_sc] = STATE(399),
    [sym_sup] = STATE(399),
    [sym_ndx] = STATE(399),
    [sym_pro] = STATE(399),
    [sym_rb] = STATE(399),
    [sym_w] = STATE(399),
    [sym_wg] = STATE(399),
    [sym_wh] = STATE(399),
    [sym_wa] = STATE(399),
    [sym__characterMarker] = STATE(399),
    [sym_fig] = STATE(399),
    [sym_jmp] = STATE(399),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
  },
  [1123] = {
    [sym_text] = STATE(361),
    [sym_ref] = STATE(361),
    [aux_sym__introText] = STATE(361),
    [sym_iqt] = STATE(361),
    [sym_xt_standalone] = STATE(361),
    [sym_add] = STATE(361),
    [sym_bk] = STATE(361),
    [sym_dc] = STATE(361),
    [sym_k] = STATE(361),
    [sym_nd] = STATE(361),
    [sym_ord] = STATE(361),
    [sym_pn] = STATE(361),
    [sym_png] = STATE(361),
    [sym_addpn] = STATE(361),
    [sym_qt] = STATE(361),
    [sym_sig] = STATE(361),
    [sym_sls] = STATE(361),
    [sym_tl] = STATE(361),
    [sym_wj] = STATE(361),
    [sym_em] = STATE(361),
    [sym_bd] = STATE(361),
    [sym_it] = STATE(361),
    [sym_bdit] = STATE(361),
    [sym_no] = STATE(361),
    [sym_sc] = STATE(361),
    [sym_sup] = STATE(361),
    [sym_ndx] = STATE(361),
    [sym_pro] = STATE(361),
    [sym_rb] = STATE(361),
    [sym_w] = STATE(361),
    [sym_wg] = STATE(361),
    [sym_wh] = STATE(361),
    [sym_wa] = STATE(361),
    [sym__characterMarker] = STATE(361),
    [sym_fig] = STATE(361),
    [sym_jmp] = STATE(361),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
  },
  [1124] = {
    [sym_text] = STATE(354),
    [sym_ref] = STATE(354),
    [aux_sym__introText] = STATE(354),
    [sym_iqt] = STATE(354),
    [sym_xt_standalone] = STATE(354),
    [sym_add] = STATE(354),
    [sym_bk] = STATE(354),
    [sym_dc] = STATE(354),
    [sym_k] = STATE(354),
    [sym_nd] = STATE(354),
    [sym_ord] = STATE(354),
    [sym_pn] = STATE(354),
    [sym_png] = STATE(354),
    [sym_addpn] = STATE(354),
    [sym_qt] = STATE(354),
    [sym_sig] = STATE(354),
    [sym_sls] = STATE(354),
    [sym_tl] = STATE(354),
    [sym_wj] = STATE(354),
    [sym_em] = STATE(354),
    [sym_bd] = STATE(354),
    [sym_it] = STATE(354),
    [sym_bdit] = STATE(354),
    [sym_no] = STATE(354),
    [sym_sc] = STATE(354),
    [sym_sup] = STATE(354),
    [sym_ndx] = STATE(354),
    [sym_pro] = STATE(354),
    [sym_rb] = STATE(354),
    [sym_w] = STATE(354),
    [sym_wg] = STATE(354),
    [sym_wh] = STATE(354),
    [sym_wa] = STATE(354),
    [sym__characterMarker] = STATE(354),
    [sym_fig] = STATE(354),
    [sym_jmp] = STATE(354),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
  },
  [1125] = {
    [sym_text] = STATE(1111),
    [sym_ref] = STATE(1111),
    [aux_sym__introText] = STATE(1111),
    [sym_iqt] = STATE(1111),
    [sym_xt_standalone] = STATE(1111),
    [sym_add] = STATE(1111),
    [sym_bk] = STATE(1111),
    [sym_dc] = STATE(1111),
    [sym_k] = STATE(1111),
    [sym_nd] = STATE(1111),
    [sym_ord] = STATE(1111),
    [sym_pn] = STATE(1111),
    [sym_png] = STATE(1111),
    [sym_addpn] = STATE(1111),
    [sym_qt] = STATE(1111),
    [sym_sig] = STATE(1111),
    [sym_sls] = STATE(1111),
    [sym_tl] = STATE(1111),
    [sym_wj] = STATE(1111),
    [sym_em] = STATE(1111),
    [sym_bd] = STATE(1111),
    [sym_it] = STATE(1111),
    [sym_bdit] = STATE(1111),
    [sym_no] = STATE(1111),
    [sym_sc] = STATE(1111),
    [sym_sup] = STATE(1111),
    [sym_ndx] = STATE(1111),
    [sym_pro] = STATE(1111),
    [sym_rb] = STATE(1111),
    [sym_w] = STATE(1111),
    [sym_wg] = STATE(1111),
    [sym_wh] = STATE(1111),
    [sym_wa] = STATE(1111),
    [sym__characterMarker] = STATE(1111),
    [sym_fig] = STATE(1111),
    [sym_jmp] = STATE(1111),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
  },
  [1126] = {
    [sym_text] = STATE(401),
    [sym_ref] = STATE(401),
    [aux_sym__introText] = STATE(401),
    [sym_iqt] = STATE(401),
    [sym_xt_standalone] = STATE(401),
    [sym_add] = STATE(401),
    [sym_bk] = STATE(401),
    [sym_dc] = STATE(401),
    [sym_k] = STATE(401),
    [sym_nd] = STATE(401),
    [sym_ord] = STATE(401),
    [sym_pn] = STATE(401),
    [sym_png] = STATE(401),
    [sym_addpn] = STATE(401),
    [sym_qt] = STATE(401),
    [sym_sig] = STATE(401),
    [sym_sls] = STATE(401),
    [sym_tl] = STATE(401),
    [sym_wj] = STATE(401),
    [sym_em] = STATE(401),
    [sym_bd] = STATE(401),
    [sym_it] = STATE(401),
    [sym_bdit] = STATE(401),
    [sym_no] = STATE(401),
    [sym_sc] = STATE(401),
    [sym_sup] = STATE(401),
    [sym_ndx] = STATE(401),
    [sym_pro] = STATE(401),
    [sym_rb] = STATE(401),
    [sym_w] = STATE(401),
    [sym_wg] = STATE(401),
    [sym_wh] = STATE(401),
    [sym_wa] = STATE(401),
    [sym__characterMarker] = STATE(401),
    [sym_fig] = STATE(401),
    [sym_jmp] = STATE(401),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
  },
  [1127] = {
    [sym_text] = STATE(344),
    [sym_ref] = STATE(344),
    [aux_sym__introText] = STATE(344),
    [sym_iqt] = STATE(344),
    [sym_xt_standalone] = STATE(344),
    [sym_add] = STATE(344),
    [sym_bk] = STATE(344),
    [sym_dc] = STATE(344),
    [sym_k] = STATE(344),
    [sym_nd] = STATE(344),
    [sym_ord] = STATE(344),
    [sym_pn] = STATE(344),
    [sym_png] = STATE(344),
    [sym_addpn] = STATE(344),
    [sym_qt] = STATE(344),
    [sym_sig] = STATE(344),
    [sym_sls] = STATE(344),
    [sym_tl] = STATE(344),
    [sym_wj] = STATE(344),
    [sym_em] = STATE(344),
    [sym_bd] = STATE(344),
    [sym_it] = STATE(344),
    [sym_bdit] = STATE(344),
    [sym_no] = STATE(344),
    [sym_sc] = STATE(344),
    [sym_sup] = STATE(344),
    [sym_ndx] = STATE(344),
    [sym_pro] = STATE(344),
    [sym_rb] = STATE(344),
    [sym_w] = STATE(344),
    [sym_wg] = STATE(344),
    [sym_wh] = STATE(344),
    [sym_wa] = STATE(344),
    [sym__characterMarker] = STATE(344),
    [sym_fig] = STATE(344),
    [sym_jmp] = STATE(344),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
  },
  [1128] = {
    [sym_text] = STATE(404),
    [sym_ref] = STATE(404),
    [aux_sym__introText] = STATE(404),
    [sym_iqt] = STATE(404),
    [sym_xt_standalone] = STATE(404),
    [sym_add] = STATE(404),
    [sym_bk] = STATE(404),
    [sym_dc] = STATE(404),
    [sym_k] = STATE(404),
    [sym_nd] = STATE(404),
    [sym_ord] = STATE(404),
    [sym_pn] = STATE(404),
    [sym_png] = STATE(404),
    [sym_addpn] = STATE(404),
    [sym_qt] = STATE(404),
    [sym_sig] = STATE(404),
    [sym_sls] = STATE(404),
    [sym_tl] = STATE(404),
    [sym_wj] = STATE(404),
    [sym_em] = STATE(404),
    [sym_bd] = STATE(404),
    [sym_it] = STATE(404),
    [sym_bdit] = STATE(404),
    [sym_no] = STATE(404),
    [sym_sc] = STATE(404),
    [sym_sup] = STATE(404),
    [sym_ndx] = STATE(404),
    [sym_pro] = STATE(404),
    [sym_rb] = STATE(404),
    [sym_w] = STATE(404),
    [sym_wg] = STATE(404),
    [sym_wh] = STATE(404),
    [sym_wa] = STATE(404),
    [sym__characterMarker] = STATE(404),
    [sym_fig] = STATE(404),
    [sym_jmp] = STATE(404),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
  },
  [1129] = {
    [sym_text] = STATE(405),
    [sym_ref] = STATE(405),
    [aux_sym__introText] = STATE(405),
    [sym_iqt] = STATE(405),
    [sym_xt_standalone] = STATE(405),
    [sym_add] = STATE(405),
    [sym_bk] = STATE(405),
    [sym_dc] = STATE(405),
    [sym_k] = STATE(405),
    [sym_nd] = STATE(405),
    [sym_ord] = STATE(405),
    [sym_pn] = STATE(405),
    [sym_png] = STATE(405),
    [sym_addpn] = STATE(405),
    [sym_qt] = STATE(405),
    [sym_sig] = STATE(405),
    [sym_sls] = STATE(405),
    [sym_tl] = STATE(405),
    [sym_wj] = STATE(405),
    [sym_em] = STATE(405),
    [sym_bd] = STATE(405),
    [sym_it] = STATE(405),
    [sym_bdit] = STATE(405),
    [sym_no] = STATE(405),
    [sym_sc] = STATE(405),
    [sym_sup] = STATE(405),
    [sym_ndx] = STATE(405),
    [sym_pro] = STATE(405),
    [sym_rb] = STATE(405),
    [sym_w] = STATE(405),
    [sym_wg] = STATE(405),
    [sym_wh] = STATE(405),
    [sym_wa] = STATE(405),
    [sym__characterMarker] = STATE(405),
    [sym_fig] = STATE(405),
    [sym_jmp] = STATE(405),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
  },
  [1130] = {
    [sym_text] = STATE(353),
    [sym_ref] = STATE(353),
    [aux_sym__introText] = STATE(353),
    [sym_iqt] = STATE(353),
    [sym_xt_standalone] = STATE(353),
    [sym_add] = STATE(353),
    [sym_bk] = STATE(353),
    [sym_dc] = STATE(353),
    [sym_k] = STATE(353),
    [sym_nd] = STATE(353),
    [sym_ord] = STATE(353),
    [sym_pn] = STATE(353),
    [sym_png] = STATE(353),
    [sym_addpn] = STATE(353),
    [sym_qt] = STATE(353),
    [sym_sig] = STATE(353),
    [sym_sls] = STATE(353),
    [sym_tl] = STATE(353),
    [sym_wj] = STATE(353),
    [sym_em] = STATE(353),
    [sym_bd] = STATE(353),
    [sym_it] = STATE(353),
    [sym_bdit] = STATE(353),
    [sym_no] = STATE(353),
    [sym_sc] = STATE(353),
    [sym_sup] = STATE(353),
    [sym_ndx] = STATE(353),
    [sym_pro] = STATE(353),
    [sym_rb] = STATE(353),
    [sym_w] = STATE(353),
    [sym_wg] = STATE(353),
    [sym_wh] = STATE(353),
    [sym_wa] = STATE(353),
    [sym__characterMarker] = STATE(353),
    [sym_fig] = STATE(353),
    [sym_jmp] = STATE(353),
    [aux_sym_text_token1] = ACTIONS(5038),
    [anon_sym_BSLASHref] = ACTIONS(5040),
    [anon_sym_BSLASHiqt] = ACTIONS(5044),
    [anon_sym_BSLASHxt] = ACTIONS(5048),
    [anon_sym_BSLASHadd] = ACTIONS(5050),
    [anon_sym_BSLASHbk] = ACTIONS(5052),
    [anon_sym_BSLASHdc] = ACTIONS(5054),
    [anon_sym_BSLASHk] = ACTIONS(5056),
    [anon_sym_BSLASHnd] = ACTIONS(5058),
    [anon_sym_BSLASHord] = ACTIONS(5060),
    [anon_sym_BSLASHpn] = ACTIONS(5062),
    [anon_sym_BSLASHpng] = ACTIONS(5064),
    [anon_sym_BSLASHaddpn] = ACTIONS(5066),
    [anon_sym_BSLASHqt] = ACTIONS(5068),
    [anon_sym_BSLASHsig] = ACTIONS(5070),
    [anon_sym_BSLASHsls] = ACTIONS(5072),
    [anon_sym_BSLASHtl] = ACTIONS(5074),
    [anon_sym_BSLASHwj] = ACTIONS(5076),
    [anon_sym_BSLASHem] = ACTIONS(5078),
    [anon_sym_BSLASHbd] = ACTIONS(5080),
    [anon_sym_BSLASHit] = ACTIONS(5082),
    [anon_sym_BSLASHbdit] = ACTIONS(5084),
    [anon_sym_BSLASHno] = ACTIONS(5086),
    [anon_sym_BSLASHsc] = ACTIONS(5088),
    [anon_sym_BSLASHsup] = ACTIONS(5090),
    [anon_sym_BSLASHndx] = ACTIONS(5092),
    [anon_sym_BSLASHpro] = ACTIONS(5094),
    [anon_sym_BSLASHrb] = ACTIONS(5096),
    [anon_sym_BSLASHw] = ACTIONS(5098),
    [anon_sym_BSLASHwg] = ACTIONS(5100),
    [anon_sym_BSLASHwh] = ACTIONS(5102),
    [anon_sym_BSLASHwa] = ACTIONS(5104),
    [anon_sym_BSLASHfig] = ACTIONS(5106),
    [anon_sym_BSLASHjmp] = ACTIONS(5108),
  },
  [1131] = {
    [sym_text] = STATE(1131),
    [sym_footnote] = STATE(1131),
    [sym_f] = STATE(1272),
    [sym_fe] = STATE(1272),
    [sym_ef] = STATE(1272),
    [sym_fm] = STATE(1272),
    [sym_crossref] = STATE(1131),
    [sym_x] = STATE(1260),
    [sym_xt_standalone] = STATE(1260),
    [sym_rq] = STATE(1260),
    [aux_sym_mt_repeat1] = STATE(1131),
    [ts_builtin_sym_end] = ACTIONS(6227),
    [aux_sym_text_token1] = ACTIONS(6229),
    [anon_sym_BSLASHsts] = ACTIONS(6232),
    [anon_sym_BSLASHrem] = ACTIONS(6232),
    [anon_sym_BSLASHrestore] = ACTIONS(6232),
    [anon_sym_BSLASHlit] = ACTIONS(6232),
    [anon_sym_BSLASHip] = ACTIONS(6232),
    [anon_sym_BSLASHiex] = ACTIONS(6232),
    [anon_sym_BSLASHc] = ACTIONS(6232),
    [anon_sym_BSLASHcl] = ACTIONS(6232),
    [anon_sym_BSLASHca] = ACTIONS(6232),
    [anon_sym_BSLASHcp] = ACTIONS(6232),
    [anon_sym_BSLASHcd] = ACTIONS(6232),
    [anon_sym_BSLASHmte] = ACTIONS(6232),
    [anon_sym_BSLASHms] = ACTIONS(6232),
    [anon_sym_BSLASHs] = ACTIONS(6232),
    [anon_sym_BSLASHr] = ACTIONS(6232),
    [anon_sym_BSLASHsp] = ACTIONS(6232),
    [anon_sym_BSLASHd] = ACTIONS(6232),
    [anon_sym_BSLASHsd] = ACTIONS(6232),
    [anon_sym_BSLASHp] = ACTIONS(6232),
    [anon_sym_BSLASHm] = ACTIONS(6232),
    [anon_sym_BSLASHpo] = ACTIONS(6232),
    [anon_sym_BSLASHpr] = ACTIONS(6232),
    [anon_sym_BSLASHcls] = ACTIONS(6232),
    [anon_sym_BSLASHpmo] = ACTIONS(6232),
    [anon_sym_BSLASHpm] = ACTIONS(6232),
    [anon_sym_BSLASHpmc] = ACTIONS(6232),
    [anon_sym_BSLASHpmr] = ACTIONS(6232),
    [anon_sym_BSLASHpi] = ACTIONS(6232),
    [anon_sym_BSLASHmi] = ACTIONS(6232),
    [anon_sym_BSLASHnb] = ACTIONS(6232),
    [anon_sym_BSLASHpc] = ACTIONS(6232),
    [anon_sym_BSLASHph] = ACTIONS(6232),
    [anon_sym_BSLASHb] = ACTIONS(6232),
    [anon_sym_BSLASHq] = ACTIONS(6232),
    [anon_sym_BSLASHqr] = ACTIONS(6232),
    [anon_sym_BSLASHqc] = ACTIONS(6232),
    [anon_sym_BSLASHqa] = ACTIONS(6232),
    [anon_sym_BSLASHqm] = ACTIONS(6232),
    [anon_sym_BSLASHqd] = ACTIONS(6232),
    [anon_sym_BSLASHlh] = ACTIONS(6232),
    [anon_sym_BSLASHli] = ACTIONS(6232),
    [anon_sym_BSLASHlim] = ACTIONS(6232),
    [anon_sym_BSLASHtr] = ACTIONS(6232),
    [anon_sym_BSLASHf] = ACTIONS(6234),
    [anon_sym_BSLASHfe] = ACTIONS(6237),
    [anon_sym_BSLASHef] = ACTIONS(6240),
    [anon_sym_BSLASHfm] = ACTIONS(6243),
    [anon_sym_BSLASHx] = ACTIONS(6246),
    [anon_sym_BSLASHxt] = ACTIONS(6249),
    [anon_sym_BSLASHrq] = ACTIONS(6252),
    [anon_sym_BSLASHpb] = ACTIONS(6232),
    [anon_sym_BSLASH] = ACTIONS(6232),
    [sym_milestoneStartTag] = ACTIONS(6232),
    [sym_milestoneEndTag] = ACTIONS(6232),
    [sym_zSpaceTag] = ACTIONS(6232),
    [anon_sym_BSLASHesb] = ACTIONS(6232),
  },
  [1132] = {
    [sym_text] = STATE(1131),
    [sym_footnote] = STATE(1131),
    [sym_f] = STATE(1272),
    [sym_fe] = STATE(1272),
    [sym_ef] = STATE(1272),
    [sym_fm] = STATE(1272),
    [sym_crossref] = STATE(1131),
    [sym_x] = STATE(1260),
    [sym_xt_standalone] = STATE(1260),
    [sym_rq] = STATE(1260),
    [aux_sym_mt_repeat1] = STATE(1131),
    [ts_builtin_sym_end] = ACTIONS(6255),
    [aux_sym_text_token1] = ACTIONS(6257),
    [anon_sym_BSLASHsts] = ACTIONS(6259),
    [anon_sym_BSLASHrem] = ACTIONS(6259),
    [anon_sym_BSLASHrestore] = ACTIONS(6259),
    [anon_sym_BSLASHlit] = ACTIONS(6259),
    [anon_sym_BSLASHip] = ACTIONS(6259),
    [anon_sym_BSLASHiex] = ACTIONS(6259),
    [anon_sym_BSLASHc] = ACTIONS(6259),
    [anon_sym_BSLASHcl] = ACTIONS(6259),
    [anon_sym_BSLASHca] = ACTIONS(6259),
    [anon_sym_BSLASHcp] = ACTIONS(6259),
    [anon_sym_BSLASHcd] = ACTIONS(6259),
    [anon_sym_BSLASHmte] = ACTIONS(6259),
    [anon_sym_BSLASHms] = ACTIONS(6259),
    [anon_sym_BSLASHs] = ACTIONS(6259),
    [anon_sym_BSLASHr] = ACTIONS(6259),
    [anon_sym_BSLASHsp] = ACTIONS(6259),
    [anon_sym_BSLASHd] = ACTIONS(6259),
    [anon_sym_BSLASHsd] = ACTIONS(6259),
    [anon_sym_BSLASHp] = ACTIONS(6259),
    [anon_sym_BSLASHm] = ACTIONS(6259),
    [anon_sym_BSLASHpo] = ACTIONS(6259),
    [anon_sym_BSLASHpr] = ACTIONS(6259),
    [anon_sym_BSLASHcls] = ACTIONS(6259),
    [anon_sym_BSLASHpmo] = ACTIONS(6259),
    [anon_sym_BSLASHpm] = ACTIONS(6259),
    [anon_sym_BSLASHpmc] = ACTIONS(6259),
    [anon_sym_BSLASHpmr] = ACTIONS(6259),
    [anon_sym_BSLASHpi] = ACTIONS(6259),
    [anon_sym_BSLASHmi] = ACTIONS(6259),
    [anon_sym_BSLASHnb] = ACTIONS(6259),
    [anon_sym_BSLASHpc] = ACTIONS(6259),
    [anon_sym_BSLASHph] = ACTIONS(6259),
    [anon_sym_BSLASHb] = ACTIONS(6259),
    [anon_sym_BSLASHq] = ACTIONS(6259),
    [anon_sym_BSLASHqr] = ACTIONS(6259),
    [anon_sym_BSLASHqc] = ACTIONS(6259),
    [anon_sym_BSLASHqa] = ACTIONS(6259),
    [anon_sym_BSLASHqm] = ACTIONS(6259),
    [anon_sym_BSLASHqd] = ACTIONS(6259),
    [anon_sym_BSLASHlh] = ACTIONS(6259),
    [anon_sym_BSLASHli] = ACTIONS(6259),
    [anon_sym_BSLASHlim] = ACTIONS(6259),
    [anon_sym_BSLASHtr] = ACTIONS(6259),
    [anon_sym_BSLASHf] = ACTIONS(6261),
    [anon_sym_BSLASHfe] = ACTIONS(6263),
    [anon_sym_BSLASHef] = ACTIONS(6265),
    [anon_sym_BSLASHfm] = ACTIONS(6267),
    [anon_sym_BSLASHx] = ACTIONS(6269),
    [anon_sym_BSLASHxt] = ACTIONS(6271),
    [anon_sym_BSLASHrq] = ACTIONS(6273),
    [anon_sym_BSLASHpb] = ACTIONS(6259),
    [anon_sym_BSLASH] = ACTIONS(6259),
    [sym_milestoneStartTag] = ACTIONS(6259),
    [sym_milestoneEndTag] = ACTIONS(6259),
    [sym_zSpaceTag] = ACTIONS(6259),
    [anon_sym_BSLASHesb] = ACTIONS(6259),
  },
  [1133] = {
    [sym_text] = STATE(317),
    [sym_verseText] = STATE(1148),
    [sym_livTag] = STATE(2841),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_liv_repeat1] = STATE(1148),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHliv] = ACTIONS(235),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
  },
  [1134] = {
    [sym_text] = STATE(317),
    [sym_verseText] = STATE(1148),
    [sym_livTag] = STATE(2487),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_liv_repeat1] = STATE(1148),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHliv] = ACTIONS(235),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
  },
  [1135] = {
    [sym_text] = STATE(317),
    [sym_verseText] = STATE(1133),
    [sym_livTag] = STATE(2734),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_liv_repeat1] = STATE(1133),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHliv] = ACTIONS(235),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
  },
  [1136] = {
    [sym__bookHeader] = STATE(1139),
    [sym_usfm] = STATE(1139),
    [sym_ide] = STATE(1139),
    [sym_hBlock] = STATE(1139),
    [sym_tocBlock] = STATE(1139),
    [sym_tocaBlock] = STATE(1139),
    [sym_ref] = STATE(1139),
    [sym_h] = STATE(1630),
    [sym_hTag] = STATE(2041),
    [sym_toc] = STATE(1634),
    [sym_tocTag] = STATE(2040),
    [sym_toca] = STATE(1635),
    [sym_tocaTag] = STATE(2036),
    [sym__comments] = STATE(1139),
    [sym_sts] = STATE(1139),
    [sym_rem] = STATE(1139),
    [sym_restore] = STATE(1139),
    [sym_lit] = STATE(1139),
    [sym_milestoneTag] = STATE(1974),
    [sym__milestoneStandaloneMarker] = STATE(1671),
    [sym__milestoneStart] = STATE(1671),
    [sym__milestoneEnd] = STATE(1671),
    [sym_milestone] = STATE(1139),
    [sym__zNameSpaceRegular] = STATE(1656),
    [sym__zNameSpaceClosed] = STATE(1656),
    [sym__zNameSpaceStandaloneMarker] = STATE(1656),
    [sym_zNameSpace] = STATE(1139),
    [sym_esb] = STATE(1139),
    [aux_sym__mandatoryHead_repeat1] = STATE(1139),
    [aux_sym_hBlock_repeat1] = STATE(1630),
    [aux_sym_tocBlock_repeat1] = STATE(1634),
    [aux_sym_tocaBlock_repeat1] = STATE(1635),
    [ts_builtin_sym_end] = ACTIONS(6275),
    [anon_sym_BSLASHusfm] = ACTIONS(6277),
    [anon_sym_BSLASHide] = ACTIONS(6279),
    [anon_sym_BSLASHref] = ACTIONS(6281),
    [anon_sym_BSLASHh] = ACTIONS(6283),
    [anon_sym_BSLASHtoc] = ACTIONS(6285),
    [anon_sym_BSLASHtoca] = ACTIONS(6287),
    [anon_sym_BSLASHsts] = ACTIONS(6289),
    [anon_sym_BSLASHrem] = ACTIONS(6291),
    [anon_sym_BSLASHrestore] = ACTIONS(6293),
    [anon_sym_BSLASHlit] = ACTIONS(6295),
    [anon_sym_BSLASHimt] = ACTIONS(6297),
    [anon_sym_BSLASHimte] = ACTIONS(6275),
    [anon_sym_BSLASHis] = ACTIONS(6275),
    [anon_sym_BSLASHio] = ACTIONS(6297),
    [anon_sym_BSLASHiot] = ACTIONS(6275),
    [anon_sym_BSLASHip] = ACTIONS(6275),
    [anon_sym_BSLASHim] = ACTIONS(6275),
    [anon_sym_BSLASHipi] = ACTIONS(6275),
    [anon_sym_BSLASHimi] = ACTIONS(6275),
    [anon_sym_BSLASHili] = ACTIONS(6275),
    [anon_sym_BSLASHipq] = ACTIONS(6275),
    [anon_sym_BSLASHimq] = ACTIONS(6275),
    [anon_sym_BSLASHipr] = ACTIONS(6275),
    [anon_sym_BSLASHib] = ACTIONS(6275),
    [anon_sym_BSLASHiq] = ACTIONS(6275),
    [anon_sym_BSLASHie] = ACTIONS(6297),
    [anon_sym_BSLASHiex] = ACTIONS(6275),
    [anon_sym_BSLASHc] = ACTIONS(6275),
    [anon_sym_BSLASHcl] = ACTIONS(6275),
    [anon_sym_BSLASHmt] = ACTIONS(6275),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(6299),
    [sym_milestoneEndTag] = ACTIONS(6301),
    [sym_zSpaceTag] = ACTIONS(6303),
    [anon_sym_BSLASHesb] = ACTIONS(6305),
  },
  [1137] = {
    [sym_text] = STATE(317),
    [sym_verseText] = STATE(1134),
    [sym_livTag] = STATE(2493),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_liv_repeat1] = STATE(1134),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHliv] = ACTIONS(235),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
  },
  [1138] = {
    [sym__bookHeader] = STATE(1138),
    [sym_usfm] = STATE(1138),
    [sym_ide] = STATE(1138),
    [sym_hBlock] = STATE(1138),
    [sym_tocBlock] = STATE(1138),
    [sym_tocaBlock] = STATE(1138),
    [sym_ref] = STATE(1138),
    [sym_h] = STATE(1630),
    [sym_hTag] = STATE(2041),
    [sym_toc] = STATE(1634),
    [sym_tocTag] = STATE(2040),
    [sym_toca] = STATE(1635),
    [sym_tocaTag] = STATE(2036),
    [sym__comments] = STATE(1138),
    [sym_sts] = STATE(1138),
    [sym_rem] = STATE(1138),
    [sym_restore] = STATE(1138),
    [sym_lit] = STATE(1138),
    [sym_milestoneTag] = STATE(1974),
    [sym__milestoneStandaloneMarker] = STATE(1671),
    [sym__milestoneStart] = STATE(1671),
    [sym__milestoneEnd] = STATE(1671),
    [sym_milestone] = STATE(1138),
    [sym__zNameSpaceRegular] = STATE(1656),
    [sym__zNameSpaceClosed] = STATE(1656),
    [sym__zNameSpaceStandaloneMarker] = STATE(1656),
    [sym_zNameSpace] = STATE(1138),
    [sym_esb] = STATE(1138),
    [aux_sym__mandatoryHead_repeat1] = STATE(1138),
    [aux_sym_hBlock_repeat1] = STATE(1630),
    [aux_sym_tocBlock_repeat1] = STATE(1634),
    [aux_sym_tocaBlock_repeat1] = STATE(1635),
    [ts_builtin_sym_end] = ACTIONS(6307),
    [anon_sym_BSLASHusfm] = ACTIONS(6309),
    [anon_sym_BSLASHide] = ACTIONS(6312),
    [anon_sym_BSLASHref] = ACTIONS(6315),
    [anon_sym_BSLASHh] = ACTIONS(6318),
    [anon_sym_BSLASHtoc] = ACTIONS(6321),
    [anon_sym_BSLASHtoca] = ACTIONS(6324),
    [anon_sym_BSLASHsts] = ACTIONS(6327),
    [anon_sym_BSLASHrem] = ACTIONS(6330),
    [anon_sym_BSLASHrestore] = ACTIONS(6333),
    [anon_sym_BSLASHlit] = ACTIONS(6336),
    [anon_sym_BSLASHimt] = ACTIONS(6339),
    [anon_sym_BSLASHimte] = ACTIONS(6307),
    [anon_sym_BSLASHis] = ACTIONS(6307),
    [anon_sym_BSLASHio] = ACTIONS(6339),
    [anon_sym_BSLASHiot] = ACTIONS(6307),
    [anon_sym_BSLASHip] = ACTIONS(6307),
    [anon_sym_BSLASHim] = ACTIONS(6307),
    [anon_sym_BSLASHipi] = ACTIONS(6307),
    [anon_sym_BSLASHimi] = ACTIONS(6307),
    [anon_sym_BSLASHili] = ACTIONS(6307),
    [anon_sym_BSLASHipq] = ACTIONS(6307),
    [anon_sym_BSLASHimq] = ACTIONS(6307),
    [anon_sym_BSLASHipr] = ACTIONS(6307),
    [anon_sym_BSLASHib] = ACTIONS(6307),
    [anon_sym_BSLASHiq] = ACTIONS(6307),
    [anon_sym_BSLASHie] = ACTIONS(6339),
    [anon_sym_BSLASHiex] = ACTIONS(6307),
    [anon_sym_BSLASHc] = ACTIONS(6307),
    [anon_sym_BSLASHcl] = ACTIONS(6307),
    [anon_sym_BSLASHmt] = ACTIONS(6307),
    [anon_sym_BSLASH] = ACTIONS(6341),
    [sym_milestoneStartTag] = ACTIONS(6344),
    [sym_milestoneEndTag] = ACTIONS(6347),
    [sym_zSpaceTag] = ACTIONS(6350),
    [anon_sym_BSLASHesb] = ACTIONS(6353),
  },
  [1139] = {
    [sym__bookHeader] = STATE(1138),
    [sym_usfm] = STATE(1138),
    [sym_ide] = STATE(1138),
    [sym_hBlock] = STATE(1138),
    [sym_tocBlock] = STATE(1138),
    [sym_tocaBlock] = STATE(1138),
    [sym_ref] = STATE(1138),
    [sym_h] = STATE(1630),
    [sym_hTag] = STATE(2041),
    [sym_toc] = STATE(1634),
    [sym_tocTag] = STATE(2040),
    [sym_toca] = STATE(1635),
    [sym_tocaTag] = STATE(2036),
    [sym__comments] = STATE(1138),
    [sym_sts] = STATE(1138),
    [sym_rem] = STATE(1138),
    [sym_restore] = STATE(1138),
    [sym_lit] = STATE(1138),
    [sym_milestoneTag] = STATE(1974),
    [sym__milestoneStandaloneMarker] = STATE(1671),
    [sym__milestoneStart] = STATE(1671),
    [sym__milestoneEnd] = STATE(1671),
    [sym_milestone] = STATE(1138),
    [sym__zNameSpaceRegular] = STATE(1656),
    [sym__zNameSpaceClosed] = STATE(1656),
    [sym__zNameSpaceStandaloneMarker] = STATE(1656),
    [sym_zNameSpace] = STATE(1138),
    [sym_esb] = STATE(1138),
    [aux_sym__mandatoryHead_repeat1] = STATE(1138),
    [aux_sym_hBlock_repeat1] = STATE(1630),
    [aux_sym_tocBlock_repeat1] = STATE(1634),
    [aux_sym_tocaBlock_repeat1] = STATE(1635),
    [ts_builtin_sym_end] = ACTIONS(6356),
    [anon_sym_BSLASHusfm] = ACTIONS(6277),
    [anon_sym_BSLASHide] = ACTIONS(6279),
    [anon_sym_BSLASHref] = ACTIONS(6281),
    [anon_sym_BSLASHh] = ACTIONS(6283),
    [anon_sym_BSLASHtoc] = ACTIONS(6285),
    [anon_sym_BSLASHtoca] = ACTIONS(6287),
    [anon_sym_BSLASHsts] = ACTIONS(6289),
    [anon_sym_BSLASHrem] = ACTIONS(6291),
    [anon_sym_BSLASHrestore] = ACTIONS(6293),
    [anon_sym_BSLASHlit] = ACTIONS(6295),
    [anon_sym_BSLASHimt] = ACTIONS(6358),
    [anon_sym_BSLASHimte] = ACTIONS(6356),
    [anon_sym_BSLASHis] = ACTIONS(6356),
    [anon_sym_BSLASHio] = ACTIONS(6358),
    [anon_sym_BSLASHiot] = ACTIONS(6356),
    [anon_sym_BSLASHip] = ACTIONS(6356),
    [anon_sym_BSLASHim] = ACTIONS(6356),
    [anon_sym_BSLASHipi] = ACTIONS(6356),
    [anon_sym_BSLASHimi] = ACTIONS(6356),
    [anon_sym_BSLASHili] = ACTIONS(6356),
    [anon_sym_BSLASHipq] = ACTIONS(6356),
    [anon_sym_BSLASHimq] = ACTIONS(6356),
    [anon_sym_BSLASHipr] = ACTIONS(6356),
    [anon_sym_BSLASHib] = ACTIONS(6356),
    [anon_sym_BSLASHiq] = ACTIONS(6356),
    [anon_sym_BSLASHie] = ACTIONS(6358),
    [anon_sym_BSLASHiex] = ACTIONS(6356),
    [anon_sym_BSLASHc] = ACTIONS(6356),
    [anon_sym_BSLASHcl] = ACTIONS(6356),
    [anon_sym_BSLASHmt] = ACTIONS(6356),
    [anon_sym_BSLASH] = ACTIONS(315),
    [sym_milestoneStartTag] = ACTIONS(6299),
    [sym_milestoneEndTag] = ACTIONS(6301),
    [sym_zSpaceTag] = ACTIONS(6303),
    [anon_sym_BSLASHesb] = ACTIONS(6305),
  },
  [1140] = {
    [sym_text] = STATE(277),
    [sym_ref] = STATE(277),
    [sym_crossrefText] = STATE(1911),
    [sym_addNested] = STATE(277),
    [sym_bkNested] = STATE(277),
    [sym_dcNested] = STATE(277),
    [sym_kNested] = STATE(277),
    [sym_ndNested] = STATE(277),
    [sym_ordNested] = STATE(277),
    [sym_pnNested] = STATE(277),
    [sym_pngNested] = STATE(277),
    [sym_addpnNested] = STATE(277),
    [sym_qtNested] = STATE(277),
    [sym_sigNested] = STATE(277),
    [sym_slsNested] = STATE(277),
    [sym_tlNested] = STATE(277),
    [sym_wjNested] = STATE(277),
    [sym_emNested] = STATE(277),
    [sym_bdNested] = STATE(277),
    [sym_itNested] = STATE(277),
    [sym_bditNested] = STATE(277),
    [sym_noNested] = STATE(277),
    [sym_scNested] = STATE(277),
    [sym_supNested] = STATE(277),
    [sym_ndxNested] = STATE(277),
    [sym_proNested] = STATE(277),
    [sym_rbNested] = STATE(277),
    [sym_wNested] = STATE(277),
    [sym_wgNested] = STATE(277),
    [sym_whNested] = STATE(277),
    [sym_waNested] = STATE(277),
    [sym__nestedCharacterMarker] = STATE(277),
    [sym_fig] = STATE(277),
    [sym_jmpNested] = STATE(277),
    [aux_sym_crossrefText_repeat1] = STATE(277),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1141] = {
    [sym_text] = STATE(277),
    [sym_ref] = STATE(277),
    [sym_crossrefText] = STATE(1900),
    [sym_addNested] = STATE(277),
    [sym_bkNested] = STATE(277),
    [sym_dcNested] = STATE(277),
    [sym_kNested] = STATE(277),
    [sym_ndNested] = STATE(277),
    [sym_ordNested] = STATE(277),
    [sym_pnNested] = STATE(277),
    [sym_pngNested] = STATE(277),
    [sym_addpnNested] = STATE(277),
    [sym_qtNested] = STATE(277),
    [sym_sigNested] = STATE(277),
    [sym_slsNested] = STATE(277),
    [sym_tlNested] = STATE(277),
    [sym_wjNested] = STATE(277),
    [sym_emNested] = STATE(277),
    [sym_bdNested] = STATE(277),
    [sym_itNested] = STATE(277),
    [sym_bditNested] = STATE(277),
    [sym_noNested] = STATE(277),
    [sym_scNested] = STATE(277),
    [sym_supNested] = STATE(277),
    [sym_ndxNested] = STATE(277),
    [sym_proNested] = STATE(277),
    [sym_rbNested] = STATE(277),
    [sym_wNested] = STATE(277),
    [sym_wgNested] = STATE(277),
    [sym_whNested] = STATE(277),
    [sym_waNested] = STATE(277),
    [sym__nestedCharacterMarker] = STATE(277),
    [sym_fig] = STATE(277),
    [sym_jmpNested] = STATE(277),
    [aux_sym_crossrefText_repeat1] = STATE(277),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1142] = {
    [sym_text] = STATE(277),
    [sym_ref] = STATE(277),
    [sym_crossrefText] = STATE(1919),
    [sym_addNested] = STATE(277),
    [sym_bkNested] = STATE(277),
    [sym_dcNested] = STATE(277),
    [sym_kNested] = STATE(277),
    [sym_ndNested] = STATE(277),
    [sym_ordNested] = STATE(277),
    [sym_pnNested] = STATE(277),
    [sym_pngNested] = STATE(277),
    [sym_addpnNested] = STATE(277),
    [sym_qtNested] = STATE(277),
    [sym_sigNested] = STATE(277),
    [sym_slsNested] = STATE(277),
    [sym_tlNested] = STATE(277),
    [sym_wjNested] = STATE(277),
    [sym_emNested] = STATE(277),
    [sym_bdNested] = STATE(277),
    [sym_itNested] = STATE(277),
    [sym_bditNested] = STATE(277),
    [sym_noNested] = STATE(277),
    [sym_scNested] = STATE(277),
    [sym_supNested] = STATE(277),
    [sym_ndxNested] = STATE(277),
    [sym_proNested] = STATE(277),
    [sym_rbNested] = STATE(277),
    [sym_wNested] = STATE(277),
    [sym_wgNested] = STATE(277),
    [sym_whNested] = STATE(277),
    [sym_waNested] = STATE(277),
    [sym__nestedCharacterMarker] = STATE(277),
    [sym_fig] = STATE(277),
    [sym_jmpNested] = STATE(277),
    [aux_sym_crossrefText_repeat1] = STATE(277),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1143] = {
    [sym_text] = STATE(277),
    [sym_ref] = STATE(277),
    [sym_crossrefText] = STATE(1889),
    [sym_addNested] = STATE(277),
    [sym_bkNested] = STATE(277),
    [sym_dcNested] = STATE(277),
    [sym_kNested] = STATE(277),
    [sym_ndNested] = STATE(277),
    [sym_ordNested] = STATE(277),
    [sym_pnNested] = STATE(277),
    [sym_pngNested] = STATE(277),
    [sym_addpnNested] = STATE(277),
    [sym_qtNested] = STATE(277),
    [sym_sigNested] = STATE(277),
    [sym_slsNested] = STATE(277),
    [sym_tlNested] = STATE(277),
    [sym_wjNested] = STATE(277),
    [sym_emNested] = STATE(277),
    [sym_bdNested] = STATE(277),
    [sym_itNested] = STATE(277),
    [sym_bditNested] = STATE(277),
    [sym_noNested] = STATE(277),
    [sym_scNested] = STATE(277),
    [sym_supNested] = STATE(277),
    [sym_ndxNested] = STATE(277),
    [sym_proNested] = STATE(277),
    [sym_rbNested] = STATE(277),
    [sym_wNested] = STATE(277),
    [sym_wgNested] = STATE(277),
    [sym_whNested] = STATE(277),
    [sym_waNested] = STATE(277),
    [sym__nestedCharacterMarker] = STATE(277),
    [sym_fig] = STATE(277),
    [sym_jmpNested] = STATE(277),
    [aux_sym_crossrefText_repeat1] = STATE(277),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1144] = {
    [sym_text] = STATE(277),
    [sym_ref] = STATE(277),
    [sym_crossrefText] = STATE(1914),
    [sym_addNested] = STATE(277),
    [sym_bkNested] = STATE(277),
    [sym_dcNested] = STATE(277),
    [sym_kNested] = STATE(277),
    [sym_ndNested] = STATE(277),
    [sym_ordNested] = STATE(277),
    [sym_pnNested] = STATE(277),
    [sym_pngNested] = STATE(277),
    [sym_addpnNested] = STATE(277),
    [sym_qtNested] = STATE(277),
    [sym_sigNested] = STATE(277),
    [sym_slsNested] = STATE(277),
    [sym_tlNested] = STATE(277),
    [sym_wjNested] = STATE(277),
    [sym_emNested] = STATE(277),
    [sym_bdNested] = STATE(277),
    [sym_itNested] = STATE(277),
    [sym_bditNested] = STATE(277),
    [sym_noNested] = STATE(277),
    [sym_scNested] = STATE(277),
    [sym_supNested] = STATE(277),
    [sym_ndxNested] = STATE(277),
    [sym_proNested] = STATE(277),
    [sym_rbNested] = STATE(277),
    [sym_wNested] = STATE(277),
    [sym_wgNested] = STATE(277),
    [sym_whNested] = STATE(277),
    [sym_waNested] = STATE(277),
    [sym__nestedCharacterMarker] = STATE(277),
    [sym_fig] = STATE(277),
    [sym_jmpNested] = STATE(277),
    [aux_sym_crossrefText_repeat1] = STATE(277),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1145] = {
    [sym_text] = STATE(277),
    [sym_ref] = STATE(277),
    [sym_crossrefText] = STATE(1934),
    [sym_addNested] = STATE(277),
    [sym_bkNested] = STATE(277),
    [sym_dcNested] = STATE(277),
    [sym_kNested] = STATE(277),
    [sym_ndNested] = STATE(277),
    [sym_ordNested] = STATE(277),
    [sym_pnNested] = STATE(277),
    [sym_pngNested] = STATE(277),
    [sym_addpnNested] = STATE(277),
    [sym_qtNested] = STATE(277),
    [sym_sigNested] = STATE(277),
    [sym_slsNested] = STATE(277),
    [sym_tlNested] = STATE(277),
    [sym_wjNested] = STATE(277),
    [sym_emNested] = STATE(277),
    [sym_bdNested] = STATE(277),
    [sym_itNested] = STATE(277),
    [sym_bditNested] = STATE(277),
    [sym_noNested] = STATE(277),
    [sym_scNested] = STATE(277),
    [sym_supNested] = STATE(277),
    [sym_ndxNested] = STATE(277),
    [sym_proNested] = STATE(277),
    [sym_rbNested] = STATE(277),
    [sym_wNested] = STATE(277),
    [sym_wgNested] = STATE(277),
    [sym_whNested] = STATE(277),
    [sym_waNested] = STATE(277),
    [sym__nestedCharacterMarker] = STATE(277),
    [sym_fig] = STATE(277),
    [sym_jmpNested] = STATE(277),
    [aux_sym_crossrefText_repeat1] = STATE(277),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1146] = {
    [sym_text] = STATE(277),
    [sym_ref] = STATE(277),
    [sym_crossrefText] = STATE(1936),
    [sym_addNested] = STATE(277),
    [sym_bkNested] = STATE(277),
    [sym_dcNested] = STATE(277),
    [sym_kNested] = STATE(277),
    [sym_ndNested] = STATE(277),
    [sym_ordNested] = STATE(277),
    [sym_pnNested] = STATE(277),
    [sym_pngNested] = STATE(277),
    [sym_addpnNested] = STATE(277),
    [sym_qtNested] = STATE(277),
    [sym_sigNested] = STATE(277),
    [sym_slsNested] = STATE(277),
    [sym_tlNested] = STATE(277),
    [sym_wjNested] = STATE(277),
    [sym_emNested] = STATE(277),
    [sym_bdNested] = STATE(277),
    [sym_itNested] = STATE(277),
    [sym_bditNested] = STATE(277),
    [sym_noNested] = STATE(277),
    [sym_scNested] = STATE(277),
    [sym_supNested] = STATE(277),
    [sym_ndxNested] = STATE(277),
    [sym_proNested] = STATE(277),
    [sym_rbNested] = STATE(277),
    [sym_wNested] = STATE(277),
    [sym_wgNested] = STATE(277),
    [sym_whNested] = STATE(277),
    [sym_waNested] = STATE(277),
    [sym__nestedCharacterMarker] = STATE(277),
    [sym_fig] = STATE(277),
    [sym_jmpNested] = STATE(277),
    [aux_sym_crossrefText_repeat1] = STATE(277),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1147] = {
    [sym_text] = STATE(277),
    [sym_ref] = STATE(277),
    [sym_crossrefText] = STATE(1908),
    [sym_addNested] = STATE(277),
    [sym_bkNested] = STATE(277),
    [sym_dcNested] = STATE(277),
    [sym_kNested] = STATE(277),
    [sym_ndNested] = STATE(277),
    [sym_ordNested] = STATE(277),
    [sym_pnNested] = STATE(277),
    [sym_pngNested] = STATE(277),
    [sym_addpnNested] = STATE(277),
    [sym_qtNested] = STATE(277),
    [sym_sigNested] = STATE(277),
    [sym_slsNested] = STATE(277),
    [sym_tlNested] = STATE(277),
    [sym_wjNested] = STATE(277),
    [sym_emNested] = STATE(277),
    [sym_bdNested] = STATE(277),
    [sym_itNested] = STATE(277),
    [sym_bditNested] = STATE(277),
    [sym_noNested] = STATE(277),
    [sym_scNested] = STATE(277),
    [sym_supNested] = STATE(277),
    [sym_ndxNested] = STATE(277),
    [sym_proNested] = STATE(277),
    [sym_rbNested] = STATE(277),
    [sym_wNested] = STATE(277),
    [sym_wgNested] = STATE(277),
    [sym_whNested] = STATE(277),
    [sym_waNested] = STATE(277),
    [sym__nestedCharacterMarker] = STATE(277),
    [sym_fig] = STATE(277),
    [sym_jmpNested] = STATE(277),
    [aux_sym_crossrefText_repeat1] = STATE(277),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1148] = {
    [sym_text] = STATE(317),
    [sym_verseText] = STATE(1148),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_liv_repeat1] = STATE(1148),
    [aux_sym_text_token1] = ACTIONS(6360),
    [anon_sym_BSLASHliv] = ACTIONS(6363),
    [anon_sym_BSLASHadd] = ACTIONS(6365),
    [anon_sym_BSLASHbk] = ACTIONS(6368),
    [anon_sym_BSLASHdc] = ACTIONS(6371),
    [anon_sym_BSLASHk] = ACTIONS(6374),
    [anon_sym_BSLASHnd] = ACTIONS(6377),
    [anon_sym_BSLASHord] = ACTIONS(6380),
    [anon_sym_BSLASHpn] = ACTIONS(6383),
    [anon_sym_BSLASHpng] = ACTIONS(6386),
    [anon_sym_BSLASHaddpn] = ACTIONS(6389),
    [anon_sym_BSLASHqt] = ACTIONS(6392),
    [anon_sym_BSLASHsig] = ACTIONS(6395),
    [anon_sym_BSLASHsls] = ACTIONS(6398),
    [anon_sym_BSLASHtl] = ACTIONS(6401),
    [anon_sym_BSLASHwj] = ACTIONS(6404),
    [anon_sym_BSLASHem] = ACTIONS(6407),
    [anon_sym_BSLASHbd] = ACTIONS(6410),
    [anon_sym_BSLASHit] = ACTIONS(6413),
    [anon_sym_BSLASHbdit] = ACTIONS(6416),
    [anon_sym_BSLASHno] = ACTIONS(6419),
    [anon_sym_BSLASHsc] = ACTIONS(6422),
    [anon_sym_BSLASHsup] = ACTIONS(6425),
    [anon_sym_BSLASHndx] = ACTIONS(6428),
    [anon_sym_BSLASHpro] = ACTIONS(6431),
    [anon_sym_BSLASHrb] = ACTIONS(6434),
    [anon_sym_BSLASHw] = ACTIONS(6437),
    [anon_sym_BSLASHwg] = ACTIONS(6440),
    [anon_sym_BSLASHwh] = ACTIONS(6443),
    [anon_sym_BSLASHwa] = ACTIONS(6446),
    [anon_sym_BSLASHfig] = ACTIONS(6449),
    [anon_sym_BSLASHjmp] = ACTIONS(6452),
  },
  [1149] = {
    [sym_text] = STATE(277),
    [sym_ref] = STATE(277),
    [sym_crossrefText] = STATE(1929),
    [sym_addNested] = STATE(277),
    [sym_bkNested] = STATE(277),
    [sym_dcNested] = STATE(277),
    [sym_kNested] = STATE(277),
    [sym_ndNested] = STATE(277),
    [sym_ordNested] = STATE(277),
    [sym_pnNested] = STATE(277),
    [sym_pngNested] = STATE(277),
    [sym_addpnNested] = STATE(277),
    [sym_qtNested] = STATE(277),
    [sym_sigNested] = STATE(277),
    [sym_slsNested] = STATE(277),
    [sym_tlNested] = STATE(277),
    [sym_wjNested] = STATE(277),
    [sym_emNested] = STATE(277),
    [sym_bdNested] = STATE(277),
    [sym_itNested] = STATE(277),
    [sym_bditNested] = STATE(277),
    [sym_noNested] = STATE(277),
    [sym_scNested] = STATE(277),
    [sym_supNested] = STATE(277),
    [sym_ndxNested] = STATE(277),
    [sym_proNested] = STATE(277),
    [sym_rbNested] = STATE(277),
    [sym_wNested] = STATE(277),
    [sym_wgNested] = STATE(277),
    [sym_whNested] = STATE(277),
    [sym_waNested] = STATE(277),
    [sym__nestedCharacterMarker] = STATE(277),
    [sym_fig] = STATE(277),
    [sym_jmpNested] = STATE(277),
    [aux_sym_crossrefText_repeat1] = STATE(277),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1150] = {
    [sym_text] = STATE(277),
    [sym_ref] = STATE(277),
    [sym_crossrefText] = STATE(1807),
    [sym_addNested] = STATE(277),
    [sym_bkNested] = STATE(277),
    [sym_dcNested] = STATE(277),
    [sym_kNested] = STATE(277),
    [sym_ndNested] = STATE(277),
    [sym_ordNested] = STATE(277),
    [sym_pnNested] = STATE(277),
    [sym_pngNested] = STATE(277),
    [sym_addpnNested] = STATE(277),
    [sym_qtNested] = STATE(277),
    [sym_sigNested] = STATE(277),
    [sym_slsNested] = STATE(277),
    [sym_tlNested] = STATE(277),
    [sym_wjNested] = STATE(277),
    [sym_emNested] = STATE(277),
    [sym_bdNested] = STATE(277),
    [sym_itNested] = STATE(277),
    [sym_bditNested] = STATE(277),
    [sym_noNested] = STATE(277),
    [sym_scNested] = STATE(277),
    [sym_supNested] = STATE(277),
    [sym_ndxNested] = STATE(277),
    [sym_proNested] = STATE(277),
    [sym_rbNested] = STATE(277),
    [sym_wNested] = STATE(277),
    [sym_wgNested] = STATE(277),
    [sym_whNested] = STATE(277),
    [sym_waNested] = STATE(277),
    [sym__nestedCharacterMarker] = STATE(277),
    [sym_fig] = STATE(277),
    [sym_jmpNested] = STATE(277),
    [aux_sym_crossrefText_repeat1] = STATE(277),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1151] = {
    [sym_text] = STATE(277),
    [sym_ref] = STATE(277),
    [sym_crossrefText] = STATE(1912),
    [sym_addNested] = STATE(277),
    [sym_bkNested] = STATE(277),
    [sym_dcNested] = STATE(277),
    [sym_kNested] = STATE(277),
    [sym_ndNested] = STATE(277),
    [sym_ordNested] = STATE(277),
    [sym_pnNested] = STATE(277),
    [sym_pngNested] = STATE(277),
    [sym_addpnNested] = STATE(277),
    [sym_qtNested] = STATE(277),
    [sym_sigNested] = STATE(277),
    [sym_slsNested] = STATE(277),
    [sym_tlNested] = STATE(277),
    [sym_wjNested] = STATE(277),
    [sym_emNested] = STATE(277),
    [sym_bdNested] = STATE(277),
    [sym_itNested] = STATE(277),
    [sym_bditNested] = STATE(277),
    [sym_noNested] = STATE(277),
    [sym_scNested] = STATE(277),
    [sym_supNested] = STATE(277),
    [sym_ndxNested] = STATE(277),
    [sym_proNested] = STATE(277),
    [sym_rbNested] = STATE(277),
    [sym_wNested] = STATE(277),
    [sym_wgNested] = STATE(277),
    [sym_whNested] = STATE(277),
    [sym_waNested] = STATE(277),
    [sym__nestedCharacterMarker] = STATE(277),
    [sym_fig] = STATE(277),
    [sym_jmpNested] = STATE(277),
    [aux_sym_crossrefText_repeat1] = STATE(277),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1152] = {
    [sym_text] = STATE(277),
    [sym_ref] = STATE(277),
    [sym_crossrefText] = STATE(1809),
    [sym_addNested] = STATE(277),
    [sym_bkNested] = STATE(277),
    [sym_dcNested] = STATE(277),
    [sym_kNested] = STATE(277),
    [sym_ndNested] = STATE(277),
    [sym_ordNested] = STATE(277),
    [sym_pnNested] = STATE(277),
    [sym_pngNested] = STATE(277),
    [sym_addpnNested] = STATE(277),
    [sym_qtNested] = STATE(277),
    [sym_sigNested] = STATE(277),
    [sym_slsNested] = STATE(277),
    [sym_tlNested] = STATE(277),
    [sym_wjNested] = STATE(277),
    [sym_emNested] = STATE(277),
    [sym_bdNested] = STATE(277),
    [sym_itNested] = STATE(277),
    [sym_bditNested] = STATE(277),
    [sym_noNested] = STATE(277),
    [sym_scNested] = STATE(277),
    [sym_supNested] = STATE(277),
    [sym_ndxNested] = STATE(277),
    [sym_proNested] = STATE(277),
    [sym_rbNested] = STATE(277),
    [sym_wNested] = STATE(277),
    [sym_wgNested] = STATE(277),
    [sym_whNested] = STATE(277),
    [sym_waNested] = STATE(277),
    [sym__nestedCharacterMarker] = STATE(277),
    [sym_fig] = STATE(277),
    [sym_jmpNested] = STATE(277),
    [aux_sym_crossrefText_repeat1] = STATE(277),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1153] = {
    [sym_text] = STATE(277),
    [sym_ref] = STATE(277),
    [sym_crossrefText] = STATE(1806),
    [sym_addNested] = STATE(277),
    [sym_bkNested] = STATE(277),
    [sym_dcNested] = STATE(277),
    [sym_kNested] = STATE(277),
    [sym_ndNested] = STATE(277),
    [sym_ordNested] = STATE(277),
    [sym_pnNested] = STATE(277),
    [sym_pngNested] = STATE(277),
    [sym_addpnNested] = STATE(277),
    [sym_qtNested] = STATE(277),
    [sym_sigNested] = STATE(277),
    [sym_slsNested] = STATE(277),
    [sym_tlNested] = STATE(277),
    [sym_wjNested] = STATE(277),
    [sym_emNested] = STATE(277),
    [sym_bdNested] = STATE(277),
    [sym_itNested] = STATE(277),
    [sym_bditNested] = STATE(277),
    [sym_noNested] = STATE(277),
    [sym_scNested] = STATE(277),
    [sym_supNested] = STATE(277),
    [sym_ndxNested] = STATE(277),
    [sym_proNested] = STATE(277),
    [sym_rbNested] = STATE(277),
    [sym_wNested] = STATE(277),
    [sym_wgNested] = STATE(277),
    [sym_whNested] = STATE(277),
    [sym_waNested] = STATE(277),
    [sym__nestedCharacterMarker] = STATE(277),
    [sym_fig] = STATE(277),
    [sym_jmpNested] = STATE(277),
    [aux_sym_crossrefText_repeat1] = STATE(277),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1154] = {
    [sym_text] = STATE(277),
    [sym_ref] = STATE(277),
    [sym_crossrefText] = STATE(1810),
    [sym_addNested] = STATE(277),
    [sym_bkNested] = STATE(277),
    [sym_dcNested] = STATE(277),
    [sym_kNested] = STATE(277),
    [sym_ndNested] = STATE(277),
    [sym_ordNested] = STATE(277),
    [sym_pnNested] = STATE(277),
    [sym_pngNested] = STATE(277),
    [sym_addpnNested] = STATE(277),
    [sym_qtNested] = STATE(277),
    [sym_sigNested] = STATE(277),
    [sym_slsNested] = STATE(277),
    [sym_tlNested] = STATE(277),
    [sym_wjNested] = STATE(277),
    [sym_emNested] = STATE(277),
    [sym_bdNested] = STATE(277),
    [sym_itNested] = STATE(277),
    [sym_bditNested] = STATE(277),
    [sym_noNested] = STATE(277),
    [sym_scNested] = STATE(277),
    [sym_supNested] = STATE(277),
    [sym_ndxNested] = STATE(277),
    [sym_proNested] = STATE(277),
    [sym_rbNested] = STATE(277),
    [sym_wNested] = STATE(277),
    [sym_wgNested] = STATE(277),
    [sym_whNested] = STATE(277),
    [sym_waNested] = STATE(277),
    [sym__nestedCharacterMarker] = STATE(277),
    [sym_fig] = STATE(277),
    [sym_jmpNested] = STATE(277),
    [aux_sym_crossrefText_repeat1] = STATE(277),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1155] = {
    [sym_text] = STATE(277),
    [sym_ref] = STATE(277),
    [sym_crossrefText] = STATE(1811),
    [sym_addNested] = STATE(277),
    [sym_bkNested] = STATE(277),
    [sym_dcNested] = STATE(277),
    [sym_kNested] = STATE(277),
    [sym_ndNested] = STATE(277),
    [sym_ordNested] = STATE(277),
    [sym_pnNested] = STATE(277),
    [sym_pngNested] = STATE(277),
    [sym_addpnNested] = STATE(277),
    [sym_qtNested] = STATE(277),
    [sym_sigNested] = STATE(277),
    [sym_slsNested] = STATE(277),
    [sym_tlNested] = STATE(277),
    [sym_wjNested] = STATE(277),
    [sym_emNested] = STATE(277),
    [sym_bdNested] = STATE(277),
    [sym_itNested] = STATE(277),
    [sym_bditNested] = STATE(277),
    [sym_noNested] = STATE(277),
    [sym_scNested] = STATE(277),
    [sym_supNested] = STATE(277),
    [sym_ndxNested] = STATE(277),
    [sym_proNested] = STATE(277),
    [sym_rbNested] = STATE(277),
    [sym_wNested] = STATE(277),
    [sym_wgNested] = STATE(277),
    [sym_whNested] = STATE(277),
    [sym_waNested] = STATE(277),
    [sym__nestedCharacterMarker] = STATE(277),
    [sym_fig] = STATE(277),
    [sym_jmpNested] = STATE(277),
    [aux_sym_crossrefText_repeat1] = STATE(277),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1156] = {
    [sym_text] = STATE(277),
    [sym_ref] = STATE(277),
    [sym_crossrefText] = STATE(1793),
    [sym_addNested] = STATE(277),
    [sym_bkNested] = STATE(277),
    [sym_dcNested] = STATE(277),
    [sym_kNested] = STATE(277),
    [sym_ndNested] = STATE(277),
    [sym_ordNested] = STATE(277),
    [sym_pnNested] = STATE(277),
    [sym_pngNested] = STATE(277),
    [sym_addpnNested] = STATE(277),
    [sym_qtNested] = STATE(277),
    [sym_sigNested] = STATE(277),
    [sym_slsNested] = STATE(277),
    [sym_tlNested] = STATE(277),
    [sym_wjNested] = STATE(277),
    [sym_emNested] = STATE(277),
    [sym_bdNested] = STATE(277),
    [sym_itNested] = STATE(277),
    [sym_bditNested] = STATE(277),
    [sym_noNested] = STATE(277),
    [sym_scNested] = STATE(277),
    [sym_supNested] = STATE(277),
    [sym_ndxNested] = STATE(277),
    [sym_proNested] = STATE(277),
    [sym_rbNested] = STATE(277),
    [sym_wNested] = STATE(277),
    [sym_wgNested] = STATE(277),
    [sym_whNested] = STATE(277),
    [sym_waNested] = STATE(277),
    [sym__nestedCharacterMarker] = STATE(277),
    [sym_fig] = STATE(277),
    [sym_jmpNested] = STATE(277),
    [aux_sym_crossrefText_repeat1] = STATE(277),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1157] = {
    [sym_text] = STATE(277),
    [sym_ref] = STATE(277),
    [sym_crossrefText] = STATE(557),
    [sym_addNested] = STATE(277),
    [sym_bkNested] = STATE(277),
    [sym_dcNested] = STATE(277),
    [sym_kNested] = STATE(277),
    [sym_ndNested] = STATE(277),
    [sym_ordNested] = STATE(277),
    [sym_pnNested] = STATE(277),
    [sym_pngNested] = STATE(277),
    [sym_addpnNested] = STATE(277),
    [sym_qtNested] = STATE(277),
    [sym_sigNested] = STATE(277),
    [sym_slsNested] = STATE(277),
    [sym_tlNested] = STATE(277),
    [sym_wjNested] = STATE(277),
    [sym_emNested] = STATE(277),
    [sym_bdNested] = STATE(277),
    [sym_itNested] = STATE(277),
    [sym_bditNested] = STATE(277),
    [sym_noNested] = STATE(277),
    [sym_scNested] = STATE(277),
    [sym_supNested] = STATE(277),
    [sym_ndxNested] = STATE(277),
    [sym_proNested] = STATE(277),
    [sym_rbNested] = STATE(277),
    [sym_wNested] = STATE(277),
    [sym_wgNested] = STATE(277),
    [sym_whNested] = STATE(277),
    [sym_waNested] = STATE(277),
    [sym__nestedCharacterMarker] = STATE(277),
    [sym_fig] = STATE(277),
    [sym_jmpNested] = STATE(277),
    [aux_sym_crossrefText_repeat1] = STATE(277),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1158] = {
    [sym_text] = STATE(277),
    [sym_ref] = STATE(277),
    [sym_crossrefText] = STATE(1918),
    [sym_addNested] = STATE(277),
    [sym_bkNested] = STATE(277),
    [sym_dcNested] = STATE(277),
    [sym_kNested] = STATE(277),
    [sym_ndNested] = STATE(277),
    [sym_ordNested] = STATE(277),
    [sym_pnNested] = STATE(277),
    [sym_pngNested] = STATE(277),
    [sym_addpnNested] = STATE(277),
    [sym_qtNested] = STATE(277),
    [sym_sigNested] = STATE(277),
    [sym_slsNested] = STATE(277),
    [sym_tlNested] = STATE(277),
    [sym_wjNested] = STATE(277),
    [sym_emNested] = STATE(277),
    [sym_bdNested] = STATE(277),
    [sym_itNested] = STATE(277),
    [sym_bditNested] = STATE(277),
    [sym_noNested] = STATE(277),
    [sym_scNested] = STATE(277),
    [sym_supNested] = STATE(277),
    [sym_ndxNested] = STATE(277),
    [sym_proNested] = STATE(277),
    [sym_rbNested] = STATE(277),
    [sym_wNested] = STATE(277),
    [sym_wgNested] = STATE(277),
    [sym_whNested] = STATE(277),
    [sym_waNested] = STATE(277),
    [sym__nestedCharacterMarker] = STATE(277),
    [sym_fig] = STATE(277),
    [sym_jmpNested] = STATE(277),
    [aux_sym_crossrefText_repeat1] = STATE(277),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1159] = {
    [sym_text] = STATE(277),
    [sym_ref] = STATE(277),
    [sym_crossrefText] = STATE(1812),
    [sym_addNested] = STATE(277),
    [sym_bkNested] = STATE(277),
    [sym_dcNested] = STATE(277),
    [sym_kNested] = STATE(277),
    [sym_ndNested] = STATE(277),
    [sym_ordNested] = STATE(277),
    [sym_pnNested] = STATE(277),
    [sym_pngNested] = STATE(277),
    [sym_addpnNested] = STATE(277),
    [sym_qtNested] = STATE(277),
    [sym_sigNested] = STATE(277),
    [sym_slsNested] = STATE(277),
    [sym_tlNested] = STATE(277),
    [sym_wjNested] = STATE(277),
    [sym_emNested] = STATE(277),
    [sym_bdNested] = STATE(277),
    [sym_itNested] = STATE(277),
    [sym_bditNested] = STATE(277),
    [sym_noNested] = STATE(277),
    [sym_scNested] = STATE(277),
    [sym_supNested] = STATE(277),
    [sym_ndxNested] = STATE(277),
    [sym_proNested] = STATE(277),
    [sym_rbNested] = STATE(277),
    [sym_wNested] = STATE(277),
    [sym_wgNested] = STATE(277),
    [sym_whNested] = STATE(277),
    [sym_waNested] = STATE(277),
    [sym__nestedCharacterMarker] = STATE(277),
    [sym_fig] = STATE(277),
    [sym_jmpNested] = STATE(277),
    [aux_sym_crossrefText_repeat1] = STATE(277),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1160] = {
    [sym_text] = STATE(277),
    [sym_ref] = STATE(277),
    [sym_crossrefText] = STATE(1813),
    [sym_addNested] = STATE(277),
    [sym_bkNested] = STATE(277),
    [sym_dcNested] = STATE(277),
    [sym_kNested] = STATE(277),
    [sym_ndNested] = STATE(277),
    [sym_ordNested] = STATE(277),
    [sym_pnNested] = STATE(277),
    [sym_pngNested] = STATE(277),
    [sym_addpnNested] = STATE(277),
    [sym_qtNested] = STATE(277),
    [sym_sigNested] = STATE(277),
    [sym_slsNested] = STATE(277),
    [sym_tlNested] = STATE(277),
    [sym_wjNested] = STATE(277),
    [sym_emNested] = STATE(277),
    [sym_bdNested] = STATE(277),
    [sym_itNested] = STATE(277),
    [sym_bditNested] = STATE(277),
    [sym_noNested] = STATE(277),
    [sym_scNested] = STATE(277),
    [sym_supNested] = STATE(277),
    [sym_ndxNested] = STATE(277),
    [sym_proNested] = STATE(277),
    [sym_rbNested] = STATE(277),
    [sym_wNested] = STATE(277),
    [sym_wgNested] = STATE(277),
    [sym_whNested] = STATE(277),
    [sym_waNested] = STATE(277),
    [sym__nestedCharacterMarker] = STATE(277),
    [sym_fig] = STATE(277),
    [sym_jmpNested] = STATE(277),
    [aux_sym_crossrefText_repeat1] = STATE(277),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1161] = {
    [sym_text] = STATE(277),
    [sym_ref] = STATE(277),
    [sym_crossrefText] = STATE(1814),
    [sym_addNested] = STATE(277),
    [sym_bkNested] = STATE(277),
    [sym_dcNested] = STATE(277),
    [sym_kNested] = STATE(277),
    [sym_ndNested] = STATE(277),
    [sym_ordNested] = STATE(277),
    [sym_pnNested] = STATE(277),
    [sym_pngNested] = STATE(277),
    [sym_addpnNested] = STATE(277),
    [sym_qtNested] = STATE(277),
    [sym_sigNested] = STATE(277),
    [sym_slsNested] = STATE(277),
    [sym_tlNested] = STATE(277),
    [sym_wjNested] = STATE(277),
    [sym_emNested] = STATE(277),
    [sym_bdNested] = STATE(277),
    [sym_itNested] = STATE(277),
    [sym_bditNested] = STATE(277),
    [sym_noNested] = STATE(277),
    [sym_scNested] = STATE(277),
    [sym_supNested] = STATE(277),
    [sym_ndxNested] = STATE(277),
    [sym_proNested] = STATE(277),
    [sym_rbNested] = STATE(277),
    [sym_wNested] = STATE(277),
    [sym_wgNested] = STATE(277),
    [sym_whNested] = STATE(277),
    [sym_waNested] = STATE(277),
    [sym__nestedCharacterMarker] = STATE(277),
    [sym_fig] = STATE(277),
    [sym_jmpNested] = STATE(277),
    [aux_sym_crossrefText_repeat1] = STATE(277),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1162] = {
    [sym_text] = STATE(277),
    [sym_ref] = STATE(277),
    [sym_crossrefText] = STATE(1895),
    [sym_addNested] = STATE(277),
    [sym_bkNested] = STATE(277),
    [sym_dcNested] = STATE(277),
    [sym_kNested] = STATE(277),
    [sym_ndNested] = STATE(277),
    [sym_ordNested] = STATE(277),
    [sym_pnNested] = STATE(277),
    [sym_pngNested] = STATE(277),
    [sym_addpnNested] = STATE(277),
    [sym_qtNested] = STATE(277),
    [sym_sigNested] = STATE(277),
    [sym_slsNested] = STATE(277),
    [sym_tlNested] = STATE(277),
    [sym_wjNested] = STATE(277),
    [sym_emNested] = STATE(277),
    [sym_bdNested] = STATE(277),
    [sym_itNested] = STATE(277),
    [sym_bditNested] = STATE(277),
    [sym_noNested] = STATE(277),
    [sym_scNested] = STATE(277),
    [sym_supNested] = STATE(277),
    [sym_ndxNested] = STATE(277),
    [sym_proNested] = STATE(277),
    [sym_rbNested] = STATE(277),
    [sym_wNested] = STATE(277),
    [sym_wgNested] = STATE(277),
    [sym_whNested] = STATE(277),
    [sym_waNested] = STATE(277),
    [sym__nestedCharacterMarker] = STATE(277),
    [sym_fig] = STATE(277),
    [sym_jmpNested] = STATE(277),
    [aux_sym_crossrefText_repeat1] = STATE(277),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1163] = {
    [sym_text] = STATE(277),
    [sym_ref] = STATE(277),
    [sym_crossrefText] = STATE(1915),
    [sym_addNested] = STATE(277),
    [sym_bkNested] = STATE(277),
    [sym_dcNested] = STATE(277),
    [sym_kNested] = STATE(277),
    [sym_ndNested] = STATE(277),
    [sym_ordNested] = STATE(277),
    [sym_pnNested] = STATE(277),
    [sym_pngNested] = STATE(277),
    [sym_addpnNested] = STATE(277),
    [sym_qtNested] = STATE(277),
    [sym_sigNested] = STATE(277),
    [sym_slsNested] = STATE(277),
    [sym_tlNested] = STATE(277),
    [sym_wjNested] = STATE(277),
    [sym_emNested] = STATE(277),
    [sym_bdNested] = STATE(277),
    [sym_itNested] = STATE(277),
    [sym_bditNested] = STATE(277),
    [sym_noNested] = STATE(277),
    [sym_scNested] = STATE(277),
    [sym_supNested] = STATE(277),
    [sym_ndxNested] = STATE(277),
    [sym_proNested] = STATE(277),
    [sym_rbNested] = STATE(277),
    [sym_wNested] = STATE(277),
    [sym_wgNested] = STATE(277),
    [sym_whNested] = STATE(277),
    [sym_waNested] = STATE(277),
    [sym__nestedCharacterMarker] = STATE(277),
    [sym_fig] = STATE(277),
    [sym_jmpNested] = STATE(277),
    [aux_sym_crossrefText_repeat1] = STATE(277),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHref] = ACTIONS(810),
    [anon_sym_BSLASH_PLUSadd] = ACTIONS(1687),
    [anon_sym_BSLASH_PLUSbk] = ACTIONS(1689),
    [anon_sym_BSLASH_PLUSdc] = ACTIONS(1691),
    [anon_sym_BSLASH_PLUSk] = ACTIONS(1693),
    [anon_sym_BSLASH_PLUSnd] = ACTIONS(1695),
    [anon_sym_BSLASH_PLUSord] = ACTIONS(1697),
    [anon_sym_BSLASH_PLUSpn] = ACTIONS(1699),
    [anon_sym_BSLASH_PLUSpng] = ACTIONS(1701),
    [anon_sym_BSLASH_PLUSaddpn] = ACTIONS(1703),
    [anon_sym_BSLASH_PLUSqt] = ACTIONS(1705),
    [anon_sym_BSLASH_PLUSsig] = ACTIONS(1707),
    [anon_sym_BSLASH_PLUSsls] = ACTIONS(1709),
    [anon_sym_BSLASH_PLUStl] = ACTIONS(1711),
    [anon_sym_BSLASH_PLUSwj] = ACTIONS(1713),
    [anon_sym_BSLASH_PLUSem] = ACTIONS(1715),
    [anon_sym_BSLASH_PLUSbd] = ACTIONS(1717),
    [anon_sym_BSLASH_PLUSit] = ACTIONS(1719),
    [anon_sym_BSLASH_PLUSbdit] = ACTIONS(1721),
    [anon_sym_BSLASH_PLUSno] = ACTIONS(1723),
    [anon_sym_BSLASH_PLUSsc] = ACTIONS(1725),
    [anon_sym_BSLASH_PLUSsup] = ACTIONS(1727),
    [anon_sym_BSLASH_PLUSndx] = ACTIONS(1729),
    [anon_sym_BSLASH_PLUSpro] = ACTIONS(1731),
    [anon_sym_BSLASH_PLUSrb] = ACTIONS(1733),
    [anon_sym_BSLASH_PLUSw] = ACTIONS(1735),
    [anon_sym_BSLASH_PLUSwg] = ACTIONS(1737),
    [anon_sym_BSLASH_PLUSwh] = ACTIONS(1739),
    [anon_sym_BSLASH_PLUSwa] = ACTIONS(1741),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASH_PLUSjmp] = ACTIONS(1743),
  },
  [1164] = {
    [sym_qBlock] = STATE(1164),
    [sym_q] = STATE(1287),
    [sym_qTag] = STATE(67),
    [sym_qr] = STATE(1164),
    [sym_qc] = STATE(1164),
    [sym_qmBlock] = STATE(1164),
    [sym_qm] = STATE(1285),
    [sym_qmTag] = STATE(66),
    [sym_qd] = STATE(1164),
    [aux_sym_poetry_repeat1] = STATE(1164),
    [aux_sym_qBlock_repeat1] = STATE(1287),
    [aux_sym_qmBlock_repeat1] = STATE(1285),
    [ts_builtin_sym_end] = ACTIONS(6455),
    [anon_sym_BSLASHsts] = ACTIONS(6455),
    [anon_sym_BSLASHrem] = ACTIONS(6455),
    [anon_sym_BSLASHrestore] = ACTIONS(6455),
    [anon_sym_BSLASHlit] = ACTIONS(6455),
    [anon_sym_BSLASHip] = ACTIONS(6455),
    [anon_sym_BSLASHiex] = ACTIONS(6455),
    [anon_sym_BSLASHc] = ACTIONS(6455),
    [anon_sym_BSLASHcl] = ACTIONS(6455),
    [anon_sym_BSLASHca] = ACTIONS(6455),
    [anon_sym_BSLASHcp] = ACTIONS(6455),
    [anon_sym_BSLASHcd] = ACTIONS(6455),
    [anon_sym_BSLASHmte] = ACTIONS(6455),
    [anon_sym_BSLASHms] = ACTIONS(6455),
    [anon_sym_BSLASHs] = ACTIONS(6457),
    [anon_sym_BSLASHr] = ACTIONS(6455),
    [anon_sym_BSLASHsp] = ACTIONS(6455),
    [anon_sym_BSLASHd] = ACTIONS(6455),
    [anon_sym_BSLASHsd] = ACTIONS(6455),
    [anon_sym_BSLASHp] = ACTIONS(6457),
    [anon_sym_BSLASHm] = ACTIONS(6457),
    [anon_sym_BSLASHpo] = ACTIONS(6455),
    [anon_sym_BSLASHpr] = ACTIONS(6455),
    [anon_sym_BSLASHcls] = ACTIONS(6455),
    [anon_sym_BSLASHpmo] = ACTIONS(6455),
    [anon_sym_BSLASHpm] = ACTIONS(6457),
    [anon_sym_BSLASHpmc] = ACTIONS(6455),
    [anon_sym_BSLASHpmr] = ACTIONS(6455),
    [anon_sym_BSLASHpi] = ACTIONS(6455),
    [anon_sym_BSLASHmi] = ACTIONS(6455),
    [anon_sym_BSLASHnb] = ACTIONS(6455),
    [anon_sym_BSLASHpc] = ACTIONS(6455),
    [anon_sym_BSLASHph] = ACTIONS(6455),
    [anon_sym_BSLASHb] = ACTIONS(6455),
    [anon_sym_BSLASHq] = ACTIONS(6459),
    [anon_sym_BSLASHqr] = ACTIONS(6462),
    [anon_sym_BSLASHqc] = ACTIONS(6465),
    [anon_sym_BSLASHqa] = ACTIONS(6455),
    [anon_sym_BSLASHqm] = ACTIONS(6468),
    [anon_sym_BSLASHqd] = ACTIONS(6471),
    [anon_sym_BSLASHlh] = ACTIONS(6455),
    [anon_sym_BSLASHli] = ACTIONS(6457),
    [anon_sym_BSLASHlim] = ACTIONS(6455),
    [anon_sym_BSLASHtr] = ACTIONS(6455),
    [anon_sym_BSLASHf] = ACTIONS(6455),
    [anon_sym_BSLASHfe] = ACTIONS(6455),
    [anon_sym_BSLASHef] = ACTIONS(6455),
    [anon_sym_BSLASHfm] = ACTIONS(6455),
    [anon_sym_BSLASHpb] = ACTIONS(6455),
    [anon_sym_BSLASH] = ACTIONS(6457),
    [sym_milestoneStartTag] = ACTIONS(6455),
    [sym_milestoneEndTag] = ACTIONS(6455),
    [sym_zSpaceTag] = ACTIONS(6455),
    [anon_sym_BSLASHesb] = ACTIONS(6455),
  },
  [1165] = {
    [sym_lf] = STATE(1307),
    [sym__listMarker] = STATE(1169),
    [sym_liBlock] = STATE(1169),
    [sym_li] = STATE(1271),
    [sym_liTag] = STATE(56),
    [sym_limBlock] = STATE(1169),
    [sym_lim] = STATE(1275),
    [sym_limTag] = STATE(55),
    [aux_sym_list_repeat1] = STATE(1169),
    [aux_sym_liBlock_repeat1] = STATE(1271),
    [aux_sym_limBlock_repeat1] = STATE(1275),
    [ts_builtin_sym_end] = ACTIONS(6474),
    [anon_sym_BSLASHsts] = ACTIONS(6474),
    [anon_sym_BSLASHrem] = ACTIONS(6474),
    [anon_sym_BSLASHrestore] = ACTIONS(6474),
    [anon_sym_BSLASHlit] = ACTIONS(6474),
    [anon_sym_BSLASHip] = ACTIONS(6474),
    [anon_sym_BSLASHiex] = ACTIONS(6474),
    [anon_sym_BSLASHc] = ACTIONS(6474),
    [anon_sym_BSLASHcl] = ACTIONS(6474),
    [anon_sym_BSLASHca] = ACTIONS(6474),
    [anon_sym_BSLASHcp] = ACTIONS(6474),
    [anon_sym_BSLASHcd] = ACTIONS(6474),
    [anon_sym_BSLASHmte] = ACTIONS(6474),
    [anon_sym_BSLASHms] = ACTIONS(6474),
    [anon_sym_BSLASHs] = ACTIONS(6476),
    [anon_sym_BSLASHr] = ACTIONS(6474),
    [anon_sym_BSLASHsp] = ACTIONS(6474),
    [anon_sym_BSLASHd] = ACTIONS(6474),
    [anon_sym_BSLASHsd] = ACTIONS(6474),
    [anon_sym_BSLASHp] = ACTIONS(6476),
    [anon_sym_BSLASHm] = ACTIONS(6476),
    [anon_sym_BSLASHpo] = ACTIONS(6474),
    [anon_sym_BSLASHpr] = ACTIONS(6474),
    [anon_sym_BSLASHcls] = ACTIONS(6474),
    [anon_sym_BSLASHpmo] = ACTIONS(6474),
    [anon_sym_BSLASHpm] = ACTIONS(6476),
    [anon_sym_BSLASHpmc] = ACTIONS(6474),
    [anon_sym_BSLASHpmr] = ACTIONS(6474),
    [anon_sym_BSLASHpi] = ACTIONS(6474),
    [anon_sym_BSLASHmi] = ACTIONS(6474),
    [anon_sym_BSLASHnb] = ACTIONS(6474),
    [anon_sym_BSLASHpc] = ACTIONS(6474),
    [anon_sym_BSLASHph] = ACTIONS(6474),
    [anon_sym_BSLASHb] = ACTIONS(6474),
    [anon_sym_BSLASHq] = ACTIONS(6476),
    [anon_sym_BSLASHqr] = ACTIONS(6474),
    [anon_sym_BSLASHqc] = ACTIONS(6474),
    [anon_sym_BSLASHqa] = ACTIONS(6474),
    [anon_sym_BSLASHqm] = ACTIONS(6474),
    [anon_sym_BSLASHqd] = ACTIONS(6474),
    [anon_sym_BSLASHlh] = ACTIONS(6474),
    [anon_sym_BSLASHlf] = ACTIONS(6478),
    [anon_sym_BSLASHli] = ACTIONS(2174),
    [anon_sym_BSLASHlim] = ACTIONS(2176),
    [anon_sym_BSLASHtr] = ACTIONS(6474),
    [anon_sym_BSLASHf] = ACTIONS(6474),
    [anon_sym_BSLASHfe] = ACTIONS(6474),
    [anon_sym_BSLASHef] = ACTIONS(6474),
    [anon_sym_BSLASHfm] = ACTIONS(6474),
    [anon_sym_BSLASHpb] = ACTIONS(6474),
    [anon_sym_BSLASH] = ACTIONS(6476),
    [sym_milestoneStartTag] = ACTIONS(6474),
    [sym_milestoneEndTag] = ACTIONS(6474),
    [sym_zSpaceTag] = ACTIONS(6474),
    [anon_sym_BSLASHesb] = ACTIONS(6474),
  },
  [1166] = {
    [sym_lf] = STATE(1347),
    [sym__listMarker] = STATE(1169),
    [sym_liBlock] = STATE(1169),
    [sym_li] = STATE(1271),
    [sym_liTag] = STATE(56),
    [sym_limBlock] = STATE(1169),
    [sym_lim] = STATE(1275),
    [sym_limTag] = STATE(55),
    [aux_sym_list_repeat1] = STATE(1169),
    [aux_sym_liBlock_repeat1] = STATE(1271),
    [aux_sym_limBlock_repeat1] = STATE(1275),
    [ts_builtin_sym_end] = ACTIONS(6480),
    [anon_sym_BSLASHsts] = ACTIONS(6480),
    [anon_sym_BSLASHrem] = ACTIONS(6480),
    [anon_sym_BSLASHrestore] = ACTIONS(6480),
    [anon_sym_BSLASHlit] = ACTIONS(6480),
    [anon_sym_BSLASHip] = ACTIONS(6480),
    [anon_sym_BSLASHiex] = ACTIONS(6480),
    [anon_sym_BSLASHc] = ACTIONS(6480),
    [anon_sym_BSLASHcl] = ACTIONS(6480),
    [anon_sym_BSLASHca] = ACTIONS(6480),
    [anon_sym_BSLASHcp] = ACTIONS(6480),
    [anon_sym_BSLASHcd] = ACTIONS(6480),
    [anon_sym_BSLASHmte] = ACTIONS(6480),
    [anon_sym_BSLASHms] = ACTIONS(6480),
    [anon_sym_BSLASHs] = ACTIONS(6482),
    [anon_sym_BSLASHr] = ACTIONS(6480),
    [anon_sym_BSLASHsp] = ACTIONS(6480),
    [anon_sym_BSLASHd] = ACTIONS(6480),
    [anon_sym_BSLASHsd] = ACTIONS(6480),
    [anon_sym_BSLASHp] = ACTIONS(6482),
    [anon_sym_BSLASHm] = ACTIONS(6482),
    [anon_sym_BSLASHpo] = ACTIONS(6480),
    [anon_sym_BSLASHpr] = ACTIONS(6480),
    [anon_sym_BSLASHcls] = ACTIONS(6480),
    [anon_sym_BSLASHpmo] = ACTIONS(6480),
    [anon_sym_BSLASHpm] = ACTIONS(6482),
    [anon_sym_BSLASHpmc] = ACTIONS(6480),
    [anon_sym_BSLASHpmr] = ACTIONS(6480),
    [anon_sym_BSLASHpi] = ACTIONS(6480),
    [anon_sym_BSLASHmi] = ACTIONS(6480),
    [anon_sym_BSLASHnb] = ACTIONS(6480),
    [anon_sym_BSLASHpc] = ACTIONS(6480),
    [anon_sym_BSLASHph] = ACTIONS(6480),
    [anon_sym_BSLASHb] = ACTIONS(6480),
    [anon_sym_BSLASHq] = ACTIONS(6482),
    [anon_sym_BSLASHqr] = ACTIONS(6480),
    [anon_sym_BSLASHqc] = ACTIONS(6480),
    [anon_sym_BSLASHqa] = ACTIONS(6480),
    [anon_sym_BSLASHqm] = ACTIONS(6480),
    [anon_sym_BSLASHqd] = ACTIONS(6480),
    [anon_sym_BSLASHlh] = ACTIONS(6480),
    [anon_sym_BSLASHlf] = ACTIONS(6478),
    [anon_sym_BSLASHli] = ACTIONS(2174),
    [anon_sym_BSLASHlim] = ACTIONS(2176),
    [anon_sym_BSLASHtr] = ACTIONS(6480),
    [anon_sym_BSLASHf] = ACTIONS(6480),
    [anon_sym_BSLASHfe] = ACTIONS(6480),
    [anon_sym_BSLASHef] = ACTIONS(6480),
    [anon_sym_BSLASHfm] = ACTIONS(6480),
    [anon_sym_BSLASHpb] = ACTIONS(6480),
    [anon_sym_BSLASH] = ACTIONS(6482),
    [sym_milestoneStartTag] = ACTIONS(6480),
    [sym_milestoneEndTag] = ACTIONS(6480),
    [sym_zSpaceTag] = ACTIONS(6480),
    [anon_sym_BSLASHesb] = ACTIONS(6480),
  },
  [1167] = {
    [sym_text] = STATE(332),
    [sym_xt_standalone] = STATE(332),
    [sym_add] = STATE(332),
    [sym_bk] = STATE(332),
    [sym_dc] = STATE(332),
    [sym_k] = STATE(332),
    [sym_nd] = STATE(332),
    [sym_ord] = STATE(332),
    [sym_pn] = STATE(332),
    [sym_png] = STATE(332),
    [sym_addpn] = STATE(332),
    [sym_qt] = STATE(332),
    [sym_sig] = STATE(332),
    [sym_sls] = STATE(332),
    [sym_tl] = STATE(332),
    [sym_wj] = STATE(332),
    [sym_em] = STATE(332),
    [sym_bd] = STATE(332),
    [sym_it] = STATE(332),
    [sym_bdit] = STATE(332),
    [sym_no] = STATE(332),
    [sym_sc] = STATE(332),
    [sym_sup] = STATE(332),
    [sym_ndx] = STATE(332),
    [sym_pro] = STATE(332),
    [sym_rb] = STATE(332),
    [sym_w] = STATE(332),
    [sym_wg] = STATE(332),
    [sym_wh] = STATE(332),
    [sym_wa] = STATE(332),
    [sym__characterMarker] = STATE(332),
    [sym_fig] = STATE(332),
    [sym_jmp] = STATE(332),
    [aux_sym_cd_repeat1] = STATE(332),
    [aux_sym_text_token1] = ACTIONS(215),
    [anon_sym_BSLASHxt] = ACTIONS(251),
    [anon_sym_BSLASHadd] = ACTIONS(255),
    [anon_sym_BSLASHbk] = ACTIONS(257),
    [anon_sym_BSLASHdc] = ACTIONS(259),
    [anon_sym_BSLASHk] = ACTIONS(261),
    [anon_sym_BSLASHnd] = ACTIONS(263),
    [anon_sym_BSLASHord] = ACTIONS(265),
    [anon_sym_BSLASHpn] = ACTIONS(267),
    [anon_sym_BSLASHpng] = ACTIONS(269),
    [anon_sym_BSLASHaddpn] = ACTIONS(271),
    [anon_sym_BSLASHqt] = ACTIONS(273),
    [anon_sym_BSLASHsig] = ACTIONS(275),
    [anon_sym_BSLASHsls] = ACTIONS(277),
    [anon_sym_BSLASHtl] = ACTIONS(279),
    [anon_sym_BSLASHwj] = ACTIONS(281),
    [anon_sym_BSLASHem] = ACTIONS(283),
    [anon_sym_BSLASHbd] = ACTIONS(285),
    [anon_sym_BSLASHit] = ACTIONS(287),
    [anon_sym_BSLASHbdit] = ACTIONS(289),
    [anon_sym_BSLASHno] = ACTIONS(291),
    [anon_sym_BSLASHsc] = ACTIONS(293),
    [anon_sym_BSLASHsup] = ACTIONS(295),
    [anon_sym_BSLASHndx] = ACTIONS(297),
    [anon_sym_BSLASHpro] = ACTIONS(299),
    [anon_sym_BSLASHrb] = ACTIONS(301),
    [anon_sym_BSLASHw] = ACTIONS(303),
    [anon_sym_BSLASHwg] = ACTIONS(305),
    [anon_sym_BSLASHwh] = ACTIONS(307),
    [anon_sym_BSLASHwa] = ACTIONS(309),
    [anon_sym_BSLASHfig] = ACTIONS(311),
    [anon_sym_BSLASHjmp] = ACTIONS(313),
  },
  [1168] = {
    [sym_qBlock] = STATE(1164),
    [sym_q] = STATE(1287),
    [sym_qTag] = STATE(67),
    [sym_qr] = STATE(1164),
    [sym_qc] = STATE(1164),
    [sym_qmBlock] = STATE(1164),
    [sym_qm] = STATE(1285),
    [sym_qmTag] = STATE(66),
    [sym_qd] = STATE(1164),
    [aux_sym_poetry_repeat1] = STATE(1164),
    [aux_sym_qBlock_repeat1] = STATE(1287),
    [aux_sym_qmBlock_repeat1] = STATE(1285),
    [ts_builtin_sym_end] = ACTIONS(6484),
    [anon_sym_BSLASHsts] = ACTIONS(6484),
    [anon_sym_BSLASHrem] = ACTIONS(6484),
    [anon_sym_BSLASHrestore] = ACTIONS(6484),
    [anon_sym_BSLASHlit] = ACTIONS(6484),
    [anon_sym_BSLASHip] = ACTIONS(6484),
    [anon_sym_BSLASHiex] = ACTIONS(6484),
    [anon_sym_BSLASHc] = ACTIONS(6484),
    [anon_sym_BSLASHcl] = ACTIONS(6484),
    [anon_sym_BSLASHca] = ACTIONS(6484),
    [anon_sym_BSLASHcp] = ACTIONS(6484),
    [anon_sym_BSLASHcd] = ACTIONS(6484),
    [anon_sym_BSLASHmte] = ACTIONS(6484),
    [anon_sym_BSLASHms] = ACTIONS(6484),
    [anon_sym_BSLASHs] = ACTIONS(6486),
    [anon_sym_BSLASHr] = ACTIONS(6484),
    [anon_sym_BSLASHsp] = ACTIONS(6484),
    [anon_sym_BSLASHd] = ACTIONS(6484),
    [anon_sym_BSLASHsd] = ACTIONS(6484),
    [anon_sym_BSLASHp] = ACTIONS(6486),
    [anon_sym_BSLASHm] = ACTIONS(6486),
    [anon_sym_BSLASHpo] = ACTIONS(6484),
    [anon_sym_BSLASHpr] = ACTIONS(6484),
    [anon_sym_BSLASHcls] = ACTIONS(6484),
    [anon_sym_BSLASHpmo] = ACTIONS(6484),
    [anon_sym_BSLASHpm] = ACTIONS(6486),
    [anon_sym_BSLASHpmc] = ACTIONS(6484),
    [anon_sym_BSLASHpmr] = ACTIONS(6484),
    [anon_sym_BSLASHpi] = ACTIONS(6484),
    [anon_sym_BSLASHmi] = ACTIONS(6484),
    [anon_sym_BSLASHnb] = ACTIONS(6484),
    [anon_sym_BSLASHpc] = ACTIONS(6484),
    [anon_sym_BSLASHph] = ACTIONS(6484),
    [anon_sym_BSLASHb] = ACTIONS(6484),
    [anon_sym_BSLASHq] = ACTIONS(2160),
    [anon_sym_BSLASHqr] = ACTIONS(2162),
    [anon_sym_BSLASHqc] = ACTIONS(2164),
    [anon_sym_BSLASHqa] = ACTIONS(6484),
    [anon_sym_BSLASHqm] = ACTIONS(2168),
    [anon_sym_BSLASHqd] = ACTIONS(2170),
    [anon_sym_BSLASHlh] = ACTIONS(6484),
    [anon_sym_BSLASHli] = ACTIONS(6486),
    [anon_sym_BSLASHlim] = ACTIONS(6484),
    [anon_sym_BSLASHtr] = ACTIONS(6484),
    [anon_sym_BSLASHf] = ACTIONS(6484),
    [anon_sym_BSLASHfe] = ACTIONS(6484),
    [anon_sym_BSLASHef] = ACTIONS(6484),
    [anon_sym_BSLASHfm] = ACTIONS(6484),
    [anon_sym_BSLASHpb] = ACTIONS(6484),
    [anon_sym_BSLASH] = ACTIONS(6486),
    [sym_milestoneStartTag] = ACTIONS(6484),
    [sym_milestoneEndTag] = ACTIONS(6484),
    [sym_zSpaceTag] = ACTIONS(6484),
    [anon_sym_BSLASHesb] = ACTIONS(6484),
  },
  [1169] = {
    [sym__listMarker] = STATE(1169),
    [sym_liBlock] = STATE(1169),
    [sym_li] = STATE(1271),
    [sym_liTag] = STATE(56),
    [sym_limBlock] = STATE(1169),
    [sym_lim] = STATE(1275),
    [sym_limTag] = STATE(55),
    [aux_sym_list_repeat1] = STATE(1169),
    [aux_sym_liBlock_repeat1] = STATE(1271),
    [aux_sym_limBlock_repeat1] = STATE(1275),
    [ts_builtin_sym_end] = ACTIONS(6488),
    [anon_sym_BSLASHsts] = ACTIONS(6488),
    [anon_sym_BSLASHrem] = ACTIONS(6488),
    [anon_sym_BSLASHrestore] = ACTIONS(6488),
    [anon_sym_BSLASHlit] = ACTIONS(6488),
    [anon_sym_BSLASHip] = ACTIONS(6488),
    [anon_sym_BSLASHiex] = ACTIONS(6488),
    [anon_sym_BSLASHc] = ACTIONS(6488),
    [anon_sym_BSLASHcl] = ACTIONS(6488),
    [anon_sym_BSLASHca] = ACTIONS(6488),
    [anon_sym_BSLASHcp] = ACTIONS(6488),
    [anon_sym_BSLASHcd] = ACTIONS(6488),
    [anon_sym_BSLASHmte] = ACTIONS(6488),
    [anon_sym_BSLASHms] = ACTIONS(6488),
    [anon_sym_BSLASHs] = ACTIONS(6490),
    [anon_sym_BSLASHr] = ACTIONS(6488),
    [anon_sym_BSLASHsp] = ACTIONS(6488),
    [anon_sym_BSLASHd] = ACTIONS(6488),
    [anon_sym_BSLASHsd] = ACTIONS(6488),
    [anon_sym_BSLASHp] = ACTIONS(6490),
    [anon_sym_BSLASHm] = ACTIONS(6490),
    [anon_sym_BSLASHpo] = ACTIONS(6488),
    [anon_sym_BSLASHpr] = ACTIONS(6488),
    [anon_sym_BSLASHcls] = ACTIONS(6488),
    [anon_sym_BSLASHpmo] = ACTIONS(6488),
    [anon_sym_BSLASHpm] = ACTIONS(6490),
    [anon_sym_BSLASHpmc] = ACTIONS(6488),
    [anon_sym_BSLASHpmr] = ACTIONS(6488),
    [anon_sym_BSLASHpi] = ACTIONS(6488),
    [anon_sym_BSLASHmi] = ACTIONS(6488),
    [anon_sym_BSLASHnb] = ACTIONS(6488),
    [anon_sym_BSLASHpc] = ACTIONS(6488),
    [anon_sym_BSLASHph] = ACTIONS(6488),
    [anon_sym_BSLASHb] = ACTIONS(6488),
    [anon_sym_BSLASHq] = ACTIONS(6490),
    [anon_sym_BSLASHqr] = ACTIONS(6488),
    [anon_sym_BSLASHqc] = ACTIONS(6488),
    [anon_sym_BSLASHqa] = ACTIONS(6488),
    [anon_sym_BSLASHqm] = ACTIONS(6488),
    [anon_sym_BSLASHqd] = ACTIONS(6488),
    [anon_sym_BSLASHlh] = ACTIONS(6488),
    [anon_sym_BSLASHlf] = ACTIONS(6488),
    [anon_sym_BSLASHli] = ACTIONS(6492),
    [anon_sym_BSLASHlim] = ACTIONS(6495),
    [anon_sym_BSLASHtr] = ACTIONS(6488),
    [anon_sym_BSLASHf] = ACTIONS(6488),
    [anon_sym_BSLASHfe] = ACTIONS(6488),
    [anon_sym_BSLASHef] = ACTIONS(6488),
    [anon_sym_BSLASHfm] = ACTIONS(6488),
    [anon_sym_BSLASHpb] = ACTIONS(6488),
    [anon_sym_BSLASH] = ACTIONS(6490),
    [sym_milestoneStartTag] = ACTIONS(6488),
    [sym_milestoneEndTag] = ACTIONS(6488),
    [sym_zSpaceTag] = ACTIONS(6488),
    [anon_sym_BSLASHesb] = ACTIONS(6488),
  },
  [1170] = {
    [sym_text] = STATE(317),
    [sym_verseText] = STATE(2609),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
  },
  [1171] = {
    [sym_text] = STATE(317),
    [sym_verseText] = STATE(2610),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
  },
  [1172] = {
    [sym_text] = STATE(317),
    [sym_verseText] = STATE(2666),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
  },
  [1173] = {
    [sym_text] = STATE(317),
    [sym_verseText] = STATE(2655),
    [sym_add] = STATE(317),
    [sym_bk] = STATE(317),
    [sym_dc] = STATE(317),
    [sym_k] = STATE(317),
    [sym_nd] = STATE(317),
    [sym_ord] = STATE(317),
    [sym_pn] = STATE(317),
    [sym_png] = STATE(317),
    [sym_addpn] = STATE(317),
    [sym_qt] = STATE(317),
    [sym_sig] = STATE(317),
    [sym_sls] = STATE(317),
    [sym_tl] = STATE(317),
    [sym_wj] = STATE(317),
    [sym_em] = STATE(317),
    [sym_bd] = STATE(317),
    [sym_it] = STATE(317),
    [sym_bdit] = STATE(317),
    [sym_no] = STATE(317),
    [sym_sc] = STATE(317),
    [sym_sup] = STATE(317),
    [sym_ndx] = STATE(317),
    [sym_pro] = STATE(317),
    [sym_rb] = STATE(317),
    [sym_w] = STATE(317),
    [sym_wg] = STATE(317),
    [sym_wh] = STATE(317),
    [sym_wa] = STATE(317),
    [sym__characterMarker] = STATE(317),
    [sym_fig] = STATE(317),
    [sym_jmp] = STATE(317),
    [aux_sym_verseText_repeat1] = STATE(317),
    [aux_sym_text_token1] = ACTIONS(808),
    [anon_sym_BSLASHadd] = ACTIONS(844),
    [anon_sym_BSLASHbk] = ACTIONS(846),
    [anon_sym_BSLASHdc] = ACTIONS(848),
    [anon_sym_BSLASHk] = ACTIONS(850),
    [anon_sym_BSLASHnd] = ACTIONS(852),
    [anon_sym_BSLASHord] = ACTIONS(854),
    [anon_sym_BSLASHpn] = ACTIONS(856),
    [anon_sym_BSLASHpng] = ACTIONS(858),
    [anon_sym_BSLASHaddpn] = ACTIONS(860),
    [anon_sym_BSLASHqt] = ACTIONS(862),
    [anon_sym_BSLASHsig] = ACTIONS(864),
    [anon_sym_BSLASHsls] = ACTIONS(866),
    [anon_sym_BSLASHtl] = ACTIONS(868),
    [anon_sym_BSLASHwj] = ACTIONS(870),
    [anon_sym_BSLASHem] = ACTIONS(872),
    [anon_sym_BSLASHbd] = ACTIONS(874),
    [anon_sym_BSLASHit] = ACTIONS(876),
    [anon_sym_BSLASHbdit] = ACTIONS(878),
    [anon_sym_BSLASHno] = ACTIONS(880),
    [anon_sym_BSLASHsc] = ACTIONS(882),
    [anon_sym_BSLASHsup] = ACTIONS(884),
    [anon_sym_BSLASHndx] = ACTIONS(886),
    [anon_sym_BSLASHpro] = ACTIONS(888),
    [anon_sym_BSLASHrb] = ACTIONS(890),
    [anon_sym_BSLASHw] = ACTIONS(892),
    [anon_sym_BSLASHwg] = ACTIONS(894),
    [anon_sym_BSLASHwh] = ACTIONS(896),
    [anon_sym_BSLASHwa] = ACTIONS(898),
    [anon_sym_BSLASHfig] = ACTIONS(900),
    [anon_sym_BSLASHjmp] = ACTIONS(902),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 2,
    ACTIONS(2747), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2749), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [69] = 2,
    ACTIONS(2735), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2737), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [138] = 2,
    ACTIONS(2755), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2757), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [207] = 2,
    ACTIONS(2727), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2729), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [276] = 2,
    ACTIONS(2663), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2665), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [345] = 2,
    ACTIONS(2671), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2673), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [414] = 2,
    ACTIONS(2675), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2677), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [483] = 2,
    ACTIONS(2687), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2689), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [552] = 2,
    ACTIONS(2691), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2693), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [621] = 2,
    ACTIONS(2775), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2777), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [690] = 2,
    ACTIONS(2767), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2769), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [759] = 2,
    ACTIONS(2759), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2761), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [828] = 2,
    ACTIONS(2695), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2697), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [897] = 2,
    ACTIONS(2703), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2705), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [966] = 2,
    ACTIONS(2699), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2701), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1035] = 2,
    ACTIONS(2679), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2681), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1104] = 2,
    ACTIONS(25), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(27), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1173] = 2,
    ACTIONS(2763), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2765), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1242] = 2,
    ACTIONS(17), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(19), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1311] = 2,
    ACTIONS(2723), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2725), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1380] = 2,
    ACTIONS(5), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(7), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1449] = 2,
    ACTIONS(2795), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2797), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1518] = 2,
    ACTIONS(2711), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2713), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1587] = 2,
    ACTIONS(2707), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2709), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1656] = 2,
    ACTIONS(498), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(500), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1725] = 2,
    ACTIONS(2791), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2793), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1794] = 2,
    ACTIONS(2751), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2753), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1863] = 2,
    ACTIONS(502), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(504), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [1932] = 2,
    ACTIONS(21), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(23), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2001] = 2,
    ACTIONS(5588), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(5590), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2070] = 2,
    ACTIONS(2783), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2785), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2139] = 2,
    ACTIONS(2779), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2781), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2208] = 2,
    ACTIONS(2719), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2721), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2277] = 2,
    ACTIONS(2771), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2773), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2346] = 2,
    ACTIONS(13), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(15), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2415] = 2,
    ACTIONS(2715), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2717), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2484] = 2,
    ACTIONS(2731), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2733), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2553] = 2,
    ACTIONS(9), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(11), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2622] = 2,
    ACTIONS(2743), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2745), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2691] = 2,
    ACTIONS(2667), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2669), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2760] = 2,
    ACTIONS(2683), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2685), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2829] = 2,
    ACTIONS(2739), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2741), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2898] = 2,
    ACTIONS(2787), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(2789), 62,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHior,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [2967] = 12,
    ACTIONS(6498), 1,
      aux_sym_text_token1,
    ACTIONS(6500), 1,
      anon_sym_BSLASHf,
    ACTIONS(6502), 1,
      anon_sym_BSLASHfe,
    ACTIONS(6504), 1,
      anon_sym_BSLASHef,
    ACTIONS(6506), 1,
      anon_sym_BSLASHfm,
    ACTIONS(6508), 1,
      anon_sym_BSLASHx,
    ACTIONS(6510), 1,
      anon_sym_BSLASHxt,
    ACTIONS(6512), 1,
      anon_sym_BSLASHrq,
    STATE(1497), 3,
      sym_x,
      sym_xt_standalone,
      sym_rq,
    STATE(1221), 4,
      sym_text,
      sym_footnote,
      sym_crossref,
      aux_sym_mt_repeat1,
    STATE(1491), 4,
      sym_f,
      sym_fe,
      sym_ef,
      sym_fm,
    ACTIONS(6259), 44,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [3055] = 7,
    ACTIONS(6518), 1,
      sym_thTag,
    ACTIONS(6521), 1,
      sym_thrTag,
    ACTIONS(6524), 1,
      sym_tcTag,
    ACTIONS(6527), 1,
      sym_tcrTag,
    STATE(1218), 5,
      sym_th,
      sym_thr,
      sym_tc,
      sym_tcr,
      aux_sym_tr_repeat1,
    ACTIONS(6516), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6514), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [3133] = 7,
    ACTIONS(6534), 1,
      sym_thTag,
    ACTIONS(6536), 1,
      sym_thrTag,
    ACTIONS(6538), 1,
      sym_tcTag,
    ACTIONS(6540), 1,
      sym_tcrTag,
    STATE(1218), 5,
      sym_th,
      sym_thr,
      sym_tc,
      sym_tcr,
      aux_sym_tr_repeat1,
    ACTIONS(6532), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6530), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [3211] = 7,
    ACTIONS(6534), 1,
      sym_thTag,
    ACTIONS(6536), 1,
      sym_thrTag,
    ACTIONS(6538), 1,
      sym_tcTag,
    ACTIONS(6540), 1,
      sym_tcrTag,
    STATE(1219), 5,
      sym_th,
      sym_thr,
      sym_tc,
      sym_tcr,
      aux_sym_tr_repeat1,
    ACTIONS(6544), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6542), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [3289] = 12,
    ACTIONS(6546), 1,
      aux_sym_text_token1,
    ACTIONS(6549), 1,
      anon_sym_BSLASHf,
    ACTIONS(6552), 1,
      anon_sym_BSLASHfe,
    ACTIONS(6555), 1,
      anon_sym_BSLASHef,
    ACTIONS(6558), 1,
      anon_sym_BSLASHfm,
    ACTIONS(6561), 1,
      anon_sym_BSLASHx,
    ACTIONS(6564), 1,
      anon_sym_BSLASHxt,
    ACTIONS(6567), 1,
      anon_sym_BSLASHrq,
    STATE(1497), 3,
      sym_x,
      sym_xt_standalone,
      sym_rq,
    STATE(1221), 4,
      sym_text,
      sym_footnote,
      sym_crossref,
      aux_sym_mt_repeat1,
    STATE(1491), 4,
      sym_f,
      sym_fe,
      sym_ef,
      sym_fm,
    ACTIONS(6232), 44,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [3377] = 2,
    ACTIONS(51), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(49), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [3442] = 2,
    ACTIONS(6572), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6570), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [3507] = 2,
    ACTIONS(47), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(45), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [3572] = 2,
    ACTIONS(23), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(21), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [3637] = 2,
    ACTIONS(39), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(37), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [3702] = 2,
    ACTIONS(55), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(53), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [3767] = 2,
    ACTIONS(75), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(73), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [3832] = 2,
    ACTIONS(35), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(33), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [3897] = 2,
    ACTIONS(31), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(29), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [3962] = 7,
    ACTIONS(2108), 1,
      anon_sym_BSLASHcl,
    ACTIONS(2110), 1,
      anon_sym_BSLASHca,
    ACTIONS(2112), 1,
      anon_sym_BSLASHcp,
    ACTIONS(2114), 1,
      anon_sym_BSLASHcd,
    STATE(1232), 6,
      sym__chapterMeta,
      sym_cl,
      sym_ca,
      sym_cp,
      sym_cd,
      aux_sym_c_repeat1,
    ACTIONS(6576), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6574), 43,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [4037] = 7,
    ACTIONS(6580), 1,
      anon_sym_BSLASHcl,
    ACTIONS(6583), 1,
      anon_sym_BSLASHca,
    ACTIONS(6586), 1,
      anon_sym_BSLASHcp,
    ACTIONS(6589), 1,
      anon_sym_BSLASHcd,
    STATE(1232), 6,
      sym__chapterMeta,
      sym_cl,
      sym_ca,
      sym_cp,
      sym_cd,
      aux_sym_c_repeat1,
    ACTIONS(6592), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6578), 43,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [4112] = 2,
    ACTIONS(504), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(502), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4177] = 2,
    ACTIONS(43), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(41), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4242] = 2,
    ACTIONS(67), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(65), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4307] = 12,
    ACTIONS(6594), 1,
      anon_sym_BSLASHq,
    ACTIONS(6597), 1,
      anon_sym_BSLASHqr,
    ACTIONS(6600), 1,
      anon_sym_BSLASHqc,
    ACTIONS(6603), 1,
      anon_sym_BSLASHqm,
    ACTIONS(6606), 1,
      anon_sym_BSLASHqd,
    STATE(109), 1,
      sym_qmTag,
    STATE(195), 1,
      sym_qTag,
    STATE(1543), 2,
      sym_q,
      aux_sym_qBlock_repeat1,
    STATE(1548), 2,
      sym_qm,
      aux_sym_qmBlock_repeat1,
    ACTIONS(6457), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    STATE(1236), 6,
      sym_qBlock,
      sym_qr,
      sym_qc,
      sym_qmBlock,
      sym_qd,
      aux_sym_poetry_repeat1,
    ACTIONS(6455), 37,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4392] = 6,
    ACTIONS(6609), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(6611), 1,
      sym__zSpaceClose,
    ACTIONS(6613), 1,
      anon_sym_PIPE,
    STATE(1988), 1,
      sym__milestoneAttributes,
    ACTIONS(5240), 9,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
    ACTIONS(5238), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4465] = 2,
    ACTIONS(6617), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6615), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4530] = 2,
    ACTIONS(6621), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6619), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4595] = 7,
    ACTIONS(2108), 1,
      anon_sym_BSLASHcl,
    ACTIONS(2110), 1,
      anon_sym_BSLASHca,
    ACTIONS(2112), 1,
      anon_sym_BSLASHcp,
    ACTIONS(2114), 1,
      anon_sym_BSLASHcd,
    STATE(1231), 6,
      sym__chapterMeta,
      sym_cl,
      sym_ca,
      sym_cp,
      sym_cd,
      aux_sym_c_repeat1,
    ACTIONS(6625), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6623), 43,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [4670] = 12,
    ACTIONS(2833), 1,
      anon_sym_BSLASHq,
    ACTIONS(2835), 1,
      anon_sym_BSLASHqr,
    ACTIONS(2837), 1,
      anon_sym_BSLASHqc,
    ACTIONS(2841), 1,
      anon_sym_BSLASHqm,
    ACTIONS(2843), 1,
      anon_sym_BSLASHqd,
    STATE(109), 1,
      sym_qmTag,
    STATE(195), 1,
      sym_qTag,
    STATE(1543), 2,
      sym_q,
      aux_sym_qBlock_repeat1,
    STATE(1548), 2,
      sym_qm,
      aux_sym_qmBlock_repeat1,
    ACTIONS(6486), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    STATE(1236), 6,
      sym_qBlock,
      sym_qr,
      sym_qc,
      sym_qmBlock,
      sym_qd,
      aux_sym_poetry_repeat1,
    ACTIONS(6484), 37,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4755] = 2,
    ACTIONS(6629), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6627), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4820] = 11,
    ACTIONS(2845), 1,
      anon_sym_BSLASHli,
    ACTIONS(2847), 1,
      anon_sym_BSLASHlim,
    ACTIONS(6631), 1,
      anon_sym_BSLASHlf,
    STATE(74), 1,
      sym_limTag,
    STATE(75), 1,
      sym_liTag,
    STATE(1307), 1,
      sym_lf,
    STATE(1502), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    STATE(1523), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    STATE(1251), 4,
      sym__listMarker,
      sym_liBlock,
      sym_limBlock,
      aux_sym_list_repeat1,
    ACTIONS(6476), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASH,
    ACTIONS(6474), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4903] = 11,
    ACTIONS(2845), 1,
      anon_sym_BSLASHli,
    ACTIONS(2847), 1,
      anon_sym_BSLASHlim,
    ACTIONS(6631), 1,
      anon_sym_BSLASHlf,
    STATE(74), 1,
      sym_limTag,
    STATE(75), 1,
      sym_liTag,
    STATE(1347), 1,
      sym_lf,
    STATE(1502), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    STATE(1523), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    STATE(1251), 4,
      sym__listMarker,
      sym_liBlock,
      sym_limBlock,
      aux_sym_list_repeat1,
    ACTIONS(6482), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASH,
    ACTIONS(6480), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [4986] = 2,
    ACTIONS(71), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(69), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5051] = 2,
    ACTIONS(27), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(25), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5116] = 2,
    ACTIONS(500), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(498), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5181] = 2,
    ACTIONS(63), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(61), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5246] = 8,
    ACTIONS(5110), 1,
      ts_builtin_sym_end,
    ACTIONS(5120), 1,
      anon_sym_PIPE,
    ACTIONS(6633), 1,
      aux_sym_text_token1,
    ACTIONS(6635), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(6637), 1,
      sym__zSpaceClose,
    STATE(1237), 1,
      sym_text,
    STATE(2061), 1,
      sym__milestoneAttributes,
    ACTIONS(5114), 53,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [5323] = 2,
    ACTIONS(59), 10,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      sym_thTag,
      sym_tcTag,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(57), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      sym_thrTag,
      sym_tcrTag,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5388] = 9,
    ACTIONS(6639), 1,
      anon_sym_BSLASHli,
    ACTIONS(6642), 1,
      anon_sym_BSLASHlim,
    STATE(74), 1,
      sym_limTag,
    STATE(75), 1,
      sym_liTag,
    STATE(1502), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    STATE(1523), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    STATE(1251), 4,
      sym__listMarker,
      sym_liBlock,
      sym_limBlock,
      aux_sym_list_repeat1,
    ACTIONS(6490), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASH,
    ACTIONS(6488), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5466] = 2,
    ACTIONS(7), 9,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
    ACTIONS(5), 50,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH_STAR,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym__zSpaceClose,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
      anon_sym_PIPE,
  [5530] = 5,
    ACTIONS(6649), 1,
      anon_sym_BSLASHsd,
    STATE(1333), 1,
      sym_sdTag,
    STATE(1253), 2,
      sym_sd,
      aux_sym_sdBlock_repeat1,
    ACTIONS(6647), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6645), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5600] = 5,
    ACTIONS(2128), 1,
      anon_sym_BSLASHsd,
    STATE(1333), 1,
      sym_sdTag,
    STATE(1253), 2,
      sym_sd,
      aux_sym_sdBlock_repeat1,
    ACTIONS(6654), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6652), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [5670] = 2,
    ACTIONS(25), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(27), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [5733] = 2,
    ACTIONS(21), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(23), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [5796] = 2,
    ACTIONS(57), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(59), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [5859] = 2,
    ACTIONS(53), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(55), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [5922] = 2,
    ACTIONS(73), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(75), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [5985] = 2,
    ACTIONS(65), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(67), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6048] = 7,
    ACTIONS(5120), 1,
      anon_sym_PIPE,
    ACTIONS(6656), 1,
      aux_sym_text_token1,
    ACTIONS(6658), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(6660), 1,
      sym__zSpaceClose,
    STATE(1297), 1,
      sym_text,
    STATE(2022), 1,
      sym__milestoneAttributes,
    ACTIONS(5114), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [6121] = 2,
    ACTIONS(61), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(63), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6184] = 2,
    ACTIONS(69), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(71), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6247] = 2,
    ACTIONS(6125), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6123), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [6310] = 2,
    ACTIONS(49), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(51), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6373] = 2,
    ACTIONS(5), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(7), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6436] = 5,
    ACTIONS(6666), 1,
      anon_sym_BSLASHlim,
    STATE(55), 1,
      sym_limTag,
    STATE(1267), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    ACTIONS(6664), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6662), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6505] = 5,
    ACTIONS(6673), 1,
      anon_sym_BSLASHli,
    STATE(56), 1,
      sym_liTag,
    STATE(1268), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    ACTIONS(6671), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASH,
    ACTIONS(6669), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6574] = 2,
    ACTIONS(33), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(35), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6637] = 2,
    ACTIONS(29), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(31), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6700] = 5,
    ACTIONS(2174), 1,
      anon_sym_BSLASHli,
    STATE(56), 1,
      sym_liTag,
    STATE(1268), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    ACTIONS(6678), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASH,
    ACTIONS(6676), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6769] = 2,
    ACTIONS(45), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(47), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6832] = 2,
    ACTIONS(41), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(43), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6895] = 2,
    ACTIONS(37), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(39), 56,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [6958] = 5,
    ACTIONS(2176), 1,
      anon_sym_BSLASHlim,
    STATE(55), 1,
      sym_limTag,
    STATE(1267), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    ACTIONS(6682), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6680), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7027] = 5,
    ACTIONS(2156), 1,
      anon_sym_BSLASHph,
    STATE(108), 1,
      sym_phTag,
    STATE(1290), 2,
      sym_ph,
      aux_sym_phBlock_repeat1,
    ACTIONS(6686), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6684), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7095] = 4,
    ACTIONS(2122), 1,
      anon_sym_BSLASHr,
    STATE(1353), 1,
      sym_r,
    ACTIONS(6690), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6688), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [7161] = 5,
    ACTIONS(6694), 1,
      anon_sym_BSLASHs,
    STATE(281), 1,
      sym_sTag,
    STATE(1278), 2,
      sym_s,
      aux_sym_sBlock_repeat1,
    ACTIONS(6697), 6,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6692), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7229] = 5,
    ACTIONS(6703), 1,
      anon_sym_BSLASHpi,
    STATE(91), 1,
      sym_piTag,
    STATE(1279), 2,
      sym_pi,
      aux_sym_piBlock_repeat1,
    ACTIONS(6701), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6699), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7297] = 5,
    ACTIONS(6710), 1,
      anon_sym_BSLASHqm,
    STATE(66), 1,
      sym_qmTag,
    STATE(1280), 2,
      sym_qm,
      aux_sym_qmBlock_repeat1,
    ACTIONS(6708), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6706), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7365] = 5,
    ACTIONS(5122), 1,
      aux_sym_text_token1,
    ACTIONS(6713), 1,
      anon_sym_BSLASHva,
    ACTIONS(6716), 1,
      anon_sym_BSLASHvp,
    STATE(1281), 4,
      sym__verseMeta,
      sym_va,
      sym_vp,
      aux_sym_v_repeat1,
    ACTIONS(5124), 50,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [7433] = 5,
    ACTIONS(2118), 1,
      anon_sym_BSLASHms,
    STATE(1091), 1,
      sym_msTag,
    STATE(1289), 2,
      sym_ms,
      aux_sym_msBlock_repeat1,
    ACTIONS(6721), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6719), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7501] = 5,
    ACTIONS(6725), 1,
      anon_sym_BSLASHmte,
    STATE(1772), 1,
      sym_mteTag,
    STATE(1283), 2,
      sym_mte,
      aux_sym_mteBlock_repeat1,
    ACTIONS(6728), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6723), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7569] = 7,
    ACTIONS(5120), 1,
      anon_sym_PIPE,
    ACTIONS(6730), 1,
      aux_sym_text_token1,
    ACTIONS(6732), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(6734), 1,
      sym__zSpaceClose,
    STATE(1345), 1,
      sym_text,
    STATE(1984), 1,
      sym__milestoneAttributes,
    ACTIONS(5114), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [7641] = 5,
    ACTIONS(2168), 1,
      anon_sym_BSLASHqm,
    STATE(66), 1,
      sym_qmTag,
    STATE(1280), 2,
      sym_qm,
      aux_sym_qmBlock_repeat1,
    ACTIONS(6738), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6736), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7709] = 4,
    ACTIONS(6740), 1,
      ts_builtin_sym_end,
    ACTIONS(6742), 1,
      aux_sym_text_token1,
    STATE(1286), 2,
      sym_text,
      aux_sym_qa_repeat1,
    ACTIONS(6745), 53,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7775] = 5,
    ACTIONS(2160), 1,
      anon_sym_BSLASHq,
    STATE(67), 1,
      sym_qTag,
    STATE(1295), 2,
      sym_q,
      aux_sym_qBlock_repeat1,
    ACTIONS(6749), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6747), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7843] = 4,
    ACTIONS(6257), 1,
      aux_sym_text_token1,
    ACTIONS(6751), 1,
      ts_builtin_sym_end,
    STATE(1291), 2,
      sym_text,
      aux_sym_qa_repeat1,
    ACTIONS(6753), 53,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7909] = 5,
    ACTIONS(6757), 1,
      anon_sym_BSLASHms,
    STATE(1091), 1,
      sym_msTag,
    STATE(1289), 2,
      sym_ms,
      aux_sym_msBlock_repeat1,
    ACTIONS(6760), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6755), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [7977] = 5,
    ACTIONS(6766), 1,
      anon_sym_BSLASHph,
    STATE(108), 1,
      sym_phTag,
    STATE(1290), 2,
      sym_ph,
      aux_sym_phBlock_repeat1,
    ACTIONS(6764), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6762), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [8045] = 4,
    ACTIONS(6257), 1,
      aux_sym_text_token1,
    ACTIONS(6769), 1,
      ts_builtin_sym_end,
    STATE(1286), 2,
      sym_text,
      aux_sym_qa_repeat1,
    ACTIONS(6771), 53,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [8111] = 7,
    ACTIONS(6773), 1,
      sym_thTag,
    ACTIONS(6775), 1,
      sym_thrTag,
    ACTIONS(6777), 1,
      sym_tcTag,
    ACTIONS(6779), 1,
      sym_tcrTag,
    STATE(1299), 5,
      sym_th,
      sym_thr,
      sym_tc,
      sym_tcr,
      aux_sym_tr_repeat1,
    ACTIONS(6544), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6542), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [8183] = 4,
    ACTIONS(2122), 1,
      anon_sym_BSLASHr,
    STATE(1344), 1,
      sym_r,
    ACTIONS(3112), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3110), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [8249] = 5,
    ACTIONS(2148), 1,
      anon_sym_BSLASHpi,
    STATE(91), 1,
      sym_piTag,
    STATE(1279), 2,
      sym_pi,
      aux_sym_piBlock_repeat1,
    ACTIONS(6783), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6781), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [8317] = 5,
    ACTIONS(6789), 1,
      anon_sym_BSLASHq,
    STATE(67), 1,
      sym_qTag,
    STATE(1295), 2,
      sym_q,
      aux_sym_qBlock_repeat1,
    ACTIONS(6787), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6785), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [8385] = 7,
    ACTIONS(6792), 1,
      sym_thTag,
    ACTIONS(6795), 1,
      sym_thrTag,
    ACTIONS(6798), 1,
      sym_tcTag,
    ACTIONS(6801), 1,
      sym_tcrTag,
    STATE(1296), 5,
      sym_th,
      sym_thr,
      sym_tc,
      sym_tcr,
      aux_sym_tr_repeat1,
    ACTIONS(6516), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6514), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [8457] = 6,
    ACTIONS(5120), 1,
      anon_sym_PIPE,
    ACTIONS(5238), 1,
      aux_sym_text_token1,
    ACTIONS(6804), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(6806), 1,
      sym__zSpaceClose,
    STATE(2018), 1,
      sym__milestoneAttributes,
    ACTIONS(5240), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [8527] = 5,
    ACTIONS(4147), 1,
      anon_sym_BSLASHva,
    ACTIONS(4149), 1,
      anon_sym_BSLASHvp,
    ACTIONS(5234), 1,
      aux_sym_text_token1,
    STATE(1281), 4,
      sym__verseMeta,
      sym_va,
      sym_vp,
      aux_sym_v_repeat1,
    ACTIONS(5236), 50,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [8595] = 7,
    ACTIONS(6773), 1,
      sym_thTag,
    ACTIONS(6775), 1,
      sym_thrTag,
    ACTIONS(6777), 1,
      sym_tcTag,
    ACTIONS(6779), 1,
      sym_tcrTag,
    STATE(1296), 5,
      sym_th,
      sym_thr,
      sym_tc,
      sym_tcr,
      aux_sym_tr_repeat1,
    ACTIONS(6532), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6530), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [8667] = 5,
    ACTIONS(2120), 1,
      anon_sym_BSLASHs,
    STATE(281), 1,
      sym_sTag,
    STATE(1278), 2,
      sym_s,
      aux_sym_sBlock_repeat1,
    ACTIONS(6810), 6,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6808), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [8735] = 5,
    ACTIONS(4147), 1,
      anon_sym_BSLASHva,
    ACTIONS(4149), 1,
      anon_sym_BSLASHvp,
    ACTIONS(5246), 1,
      aux_sym_text_token1,
    STATE(1298), 4,
      sym__verseMeta,
      sym_va,
      sym_vp,
      aux_sym_v_repeat1,
    ACTIONS(5248), 50,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [8803] = 5,
    ACTIONS(2116), 1,
      anon_sym_BSLASHmte,
    STATE(1772), 1,
      sym_mteTag,
    STATE(1283), 2,
      sym_mte,
      aux_sym_mteBlock_repeat1,
    ACTIONS(6814), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6812), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [8871] = 2,
    ACTIONS(5344), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5342), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [8932] = 2,
    ACTIONS(5348), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5346), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [8993] = 2,
    ACTIONS(5340), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5338), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [9054] = 2,
    ACTIONS(5), 1,
      aux_sym_text_token1,
    ACTIONS(7), 55,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      anon_sym_BSLASH_STAR,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      sym__zSpaceClose,
      anon_sym_PIPE,
  [9115] = 2,
    ACTIONS(6482), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6480), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [9176] = 4,
    ACTIONS(2178), 1,
      anon_sym_BSLASHtr,
    STATE(1321), 2,
      sym_tr,
      aux_sym_table_repeat1,
    ACTIONS(6818), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6816), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [9241] = 2,
    ACTIONS(5356), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5354), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [9302] = 5,
    ACTIONS(5122), 1,
      aux_sym_text_token1,
    ACTIONS(6820), 1,
      anon_sym_BSLASHva,
    ACTIONS(6823), 1,
      anon_sym_BSLASHvp,
    STATE(1310), 4,
      sym__verseMeta,
      sym_va,
      sym_vp,
      aux_sym_v_repeat1,
    ACTIONS(5124), 49,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [9369] = 2,
    ACTIONS(6828), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6826), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [9430] = 2,
    ACTIONS(5364), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5362), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [9491] = 2,
    ACTIONS(5388), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5386), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [9552] = 2,
    ACTIONS(5372), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5370), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [9613] = 2,
    ACTIONS(5420), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5418), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [9674] = 2,
    ACTIONS(51), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(49), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [9735] = 2,
    ACTIONS(55), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(53), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [9796] = 2,
    ACTIONS(5392), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5390), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [9857] = 2,
    ACTIONS(59), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(57), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [9918] = 2,
    ACTIONS(3112), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(3110), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [9979] = 4,
    ACTIONS(6834), 1,
      anon_sym_BSLASHtr,
    STATE(1321), 2,
      sym_tr,
      aux_sym_table_repeat1,
    ACTIONS(6832), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6830), 46,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [10044] = 2,
    ACTIONS(5400), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5398), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10105] = 2,
    ACTIONS(5404), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5402), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10166] = 2,
    ACTIONS(5408), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5406), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10227] = 2,
    ACTIONS(5416), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5414), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10288] = 2,
    ACTIONS(63), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(61), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10349] = 2,
    ACTIONS(5384), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5382), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10410] = 2,
    ACTIONS(5428), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5426), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10471] = 2,
    ACTIONS(5412), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5410), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10532] = 2,
    ACTIONS(5396), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5394), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10593] = 2,
    ACTIONS(5352), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5350), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10654] = 2,
    ACTIONS(6839), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6837), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10715] = 2,
    ACTIONS(6843), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6841), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10776] = 5,
    ACTIONS(4831), 1,
      anon_sym_BSLASHva,
    ACTIONS(4833), 1,
      anon_sym_BSLASHvp,
    ACTIONS(5246), 1,
      aux_sym_text_token1,
    STATE(1348), 4,
      sym__verseMeta,
      sym_va,
      sym_vp,
      aux_sym_v_repeat1,
    ACTIONS(5248), 49,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [10843] = 2,
    ACTIONS(71), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(69), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10904] = 2,
    ACTIONS(31), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(29), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [10965] = 2,
    ACTIONS(6847), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6845), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11026] = 2,
    ACTIONS(6851), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6849), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11087] = 2,
    ACTIONS(6855), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6853), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11148] = 2,
    ACTIONS(6859), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6857), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11209] = 2,
    ACTIONS(6863), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6861), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11270] = 2,
    ACTIONS(6867), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6865), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11331] = 2,
    ACTIONS(6871), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6869), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11392] = 2,
    ACTIONS(6690), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6688), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11453] = 6,
    ACTIONS(5120), 1,
      anon_sym_PIPE,
    ACTIONS(5238), 1,
      aux_sym_text_token1,
    ACTIONS(6873), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(6875), 1,
      sym__zSpaceClose,
    STATE(2050), 1,
      sym__milestoneAttributes,
    ACTIONS(5240), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [11522] = 2,
    ACTIONS(7), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(5), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11583] = 2,
    ACTIONS(6879), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6877), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11644] = 5,
    ACTIONS(4831), 1,
      anon_sym_BSLASHva,
    ACTIONS(4833), 1,
      anon_sym_BSLASHvp,
    ACTIONS(5234), 1,
      aux_sym_text_token1,
    STATE(1310), 4,
      sym__verseMeta,
      sym_va,
      sym_vp,
      aux_sym_v_repeat1,
    ACTIONS(5236), 49,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [11711] = 2,
    ACTIONS(47), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(45), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11772] = 2,
    ACTIONS(35), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(33), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11833] = 2,
    ACTIONS(6883), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6881), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11894] = 2,
    ACTIONS(6887), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6885), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [11955] = 2,
    ACTIONS(6891), 8,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
      anon_sym_BSLASHesb,
    ACTIONS(6889), 48,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [12016] = 2,
    ACTIONS(5), 1,
      aux_sym_text_token1,
    ACTIONS(7), 54,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      anon_sym_BSLASH_STAR,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      sym__zSpaceClose,
      anon_sym_PIPE,
  [12076] = 7,
    ACTIONS(5120), 1,
      anon_sym_PIPE,
    ACTIONS(6633), 1,
      aux_sym_text_token1,
    ACTIONS(6635), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(6637), 1,
      sym__zSpaceClose,
    STATE(1237), 1,
      sym_text,
    STATE(2061), 1,
      sym__milestoneAttributes,
    ACTIONS(5114), 48,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [12145] = 2,
    ACTIONS(6895), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6893), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [12204] = 2,
    ACTIONS(6899), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6897), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [12263] = 2,
    ACTIONS(6903), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6901), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [12322] = 2,
    ACTIONS(6907), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6905), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [12381] = 2,
    ACTIONS(6911), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6909), 47,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHca,
      anon_sym_BSLASHcp,
      anon_sym_BSLASHcd,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [12440] = 2,
    ACTIONS(29), 1,
      aux_sym_text_token1,
    ACTIONS(31), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [12498] = 2,
    ACTIONS(2751), 1,
      aux_sym_text_token1,
    ACTIONS(2753), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [12556] = 2,
    ACTIONS(5448), 1,
      aux_sym_text_token1,
    ACTIONS(5450), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [12614] = 2,
    ACTIONS(2707), 1,
      aux_sym_text_token1,
    ACTIONS(2709), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [12672] = 2,
    ACTIONS(2711), 1,
      aux_sym_text_token1,
    ACTIONS(2713), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [12730] = 2,
    ACTIONS(5452), 1,
      aux_sym_text_token1,
    ACTIONS(5454), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [12788] = 2,
    ACTIONS(5456), 1,
      aux_sym_text_token1,
    ACTIONS(5458), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [12846] = 2,
    ACTIONS(5460), 1,
      aux_sym_text_token1,
    ACTIONS(5462), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [12904] = 2,
    ACTIONS(2731), 1,
      aux_sym_text_token1,
    ACTIONS(2733), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [12962] = 2,
    ACTIONS(2679), 1,
      aux_sym_text_token1,
    ACTIONS(2681), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13020] = 2,
    ACTIONS(2699), 1,
      aux_sym_text_token1,
    ACTIONS(2701), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13078] = 2,
    ACTIONS(2703), 1,
      aux_sym_text_token1,
    ACTIONS(2705), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13136] = 2,
    ACTIONS(2759), 1,
      aux_sym_text_token1,
    ACTIONS(2761), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13194] = 2,
    ACTIONS(2763), 1,
      aux_sym_text_token1,
    ACTIONS(2765), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13252] = 2,
    ACTIONS(2767), 1,
      aux_sym_text_token1,
    ACTIONS(2769), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13310] = 2,
    ACTIONS(2775), 1,
      aux_sym_text_token1,
    ACTIONS(2777), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13368] = 2,
    ACTIONS(2675), 1,
      aux_sym_text_token1,
    ACTIONS(2677), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13426] = 2,
    ACTIONS(2663), 1,
      aux_sym_text_token1,
    ACTIONS(2665), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13484] = 2,
    ACTIONS(2727), 1,
      aux_sym_text_token1,
    ACTIONS(2729), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13542] = 2,
    ACTIONS(2755), 1,
      aux_sym_text_token1,
    ACTIONS(2757), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13600] = 2,
    ACTIONS(2683), 1,
      aux_sym_text_token1,
    ACTIONS(2685), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13658] = 2,
    ACTIONS(2795), 1,
      aux_sym_text_token1,
    ACTIONS(2797), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13716] = 2,
    ACTIONS(2791), 1,
      aux_sym_text_token1,
    ACTIONS(2793), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13774] = 2,
    ACTIONS(2787), 1,
      aux_sym_text_token1,
    ACTIONS(2789), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13832] = 2,
    ACTIONS(2783), 1,
      aux_sym_text_token1,
    ACTIONS(2785), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13890] = 2,
    ACTIONS(2779), 1,
      aux_sym_text_token1,
    ACTIONS(2781), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [13948] = 2,
    ACTIONS(2771), 1,
      aux_sym_text_token1,
    ACTIONS(2773), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14006] = 2,
    ACTIONS(2747), 1,
      aux_sym_text_token1,
    ACTIONS(2749), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14064] = 2,
    ACTIONS(2743), 1,
      aux_sym_text_token1,
    ACTIONS(2745), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14122] = 2,
    ACTIONS(2739), 1,
      aux_sym_text_token1,
    ACTIONS(2741), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14180] = 2,
    ACTIONS(2735), 1,
      aux_sym_text_token1,
    ACTIONS(2737), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14238] = 2,
    ACTIONS(2667), 1,
      aux_sym_text_token1,
    ACTIONS(2669), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14296] = 2,
    ACTIONS(2695), 1,
      aux_sym_text_token1,
    ACTIONS(2697), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14354] = 2,
    ACTIONS(2691), 1,
      aux_sym_text_token1,
    ACTIONS(2693), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14412] = 2,
    ACTIONS(2687), 1,
      aux_sym_text_token1,
    ACTIONS(2689), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14470] = 2,
    ACTIONS(2671), 1,
      aux_sym_text_token1,
    ACTIONS(2673), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14528] = 2,
    ACTIONS(2715), 1,
      aux_sym_text_token1,
    ACTIONS(2717), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14586] = 2,
    ACTIONS(2723), 1,
      aux_sym_text_token1,
    ACTIONS(2725), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14644] = 2,
    ACTIONS(2719), 1,
      aux_sym_text_token1,
    ACTIONS(2721), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14702] = 2,
    ACTIONS(13), 1,
      aux_sym_text_token1,
    ACTIONS(15), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14760] = 2,
    ACTIONS(5346), 1,
      aux_sym_text_token1,
    ACTIONS(5348), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14818] = 2,
    ACTIONS(5350), 1,
      aux_sym_text_token1,
    ACTIONS(5352), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14876] = 2,
    ACTIONS(5394), 1,
      aux_sym_text_token1,
    ACTIONS(5396), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14934] = 2,
    ACTIONS(5410), 1,
      aux_sym_text_token1,
    ACTIONS(5412), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [14992] = 2,
    ACTIONS(5426), 1,
      aux_sym_text_token1,
    ACTIONS(5428), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15050] = 2,
    ACTIONS(5382), 1,
      aux_sym_text_token1,
    ACTIONS(5384), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15108] = 2,
    ACTIONS(5414), 1,
      aux_sym_text_token1,
    ACTIONS(5416), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15166] = 2,
    ACTIONS(5406), 1,
      aux_sym_text_token1,
    ACTIONS(5408), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15224] = 2,
    ACTIONS(5402), 1,
      aux_sym_text_token1,
    ACTIONS(5404), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15282] = 2,
    ACTIONS(5398), 1,
      aux_sym_text_token1,
    ACTIONS(5400), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15340] = 2,
    ACTIONS(5390), 1,
      aux_sym_text_token1,
    ACTIONS(5392), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15398] = 2,
    ACTIONS(5418), 1,
      aux_sym_text_token1,
    ACTIONS(5420), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15456] = 2,
    ACTIONS(5370), 1,
      aux_sym_text_token1,
    ACTIONS(5372), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15514] = 2,
    ACTIONS(5386), 1,
      aux_sym_text_token1,
    ACTIONS(5388), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15572] = 2,
    ACTIONS(5362), 1,
      aux_sym_text_token1,
    ACTIONS(5364), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15630] = 2,
    ACTIONS(5354), 1,
      aux_sym_text_token1,
    ACTIONS(5356), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15688] = 2,
    ACTIONS(502), 1,
      aux_sym_text_token1,
    ACTIONS(504), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15746] = 2,
    ACTIONS(5342), 1,
      aux_sym_text_token1,
    ACTIONS(5344), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15804] = 2,
    ACTIONS(5338), 1,
      aux_sym_text_token1,
    ACTIONS(5340), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15862] = 2,
    ACTIONS(498), 1,
      aux_sym_text_token1,
    ACTIONS(500), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15920] = 2,
    ACTIONS(17), 1,
      aux_sym_text_token1,
    ACTIONS(19), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [15978] = 2,
    ACTIONS(5), 1,
      aux_sym_text_token1,
    ACTIONS(7), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16036] = 2,
    ACTIONS(9), 1,
      aux_sym_text_token1,
    ACTIONS(11), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16094] = 2,
    ACTIONS(65), 1,
      aux_sym_text_token1,
    ACTIONS(67), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16152] = 2,
    ACTIONS(73), 1,
      aux_sym_text_token1,
    ACTIONS(75), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16210] = 2,
    ACTIONS(37), 1,
      aux_sym_text_token1,
    ACTIONS(39), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16268] = 2,
    ACTIONS(41), 1,
      aux_sym_text_token1,
    ACTIONS(43), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16326] = 2,
    ACTIONS(45), 1,
      aux_sym_text_token1,
    ACTIONS(47), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16384] = 2,
    ACTIONS(21), 1,
      aux_sym_text_token1,
    ACTIONS(23), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16442] = 2,
    ACTIONS(49), 1,
      aux_sym_text_token1,
    ACTIONS(51), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16500] = 2,
    ACTIONS(5330), 1,
      aux_sym_text_token1,
    ACTIONS(5332), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16558] = 2,
    ACTIONS(5334), 1,
      aux_sym_text_token1,
    ACTIONS(5336), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16616] = 2,
    ACTIONS(53), 1,
      aux_sym_text_token1,
    ACTIONS(55), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16674] = 2,
    ACTIONS(57), 1,
      aux_sym_text_token1,
    ACTIONS(59), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16732] = 2,
    ACTIONS(61), 1,
      aux_sym_text_token1,
    ACTIONS(63), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16790] = 2,
    ACTIONS(25), 1,
      aux_sym_text_token1,
    ACTIONS(27), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16848] = 2,
    ACTIONS(69), 1,
      aux_sym_text_token1,
    ACTIONS(71), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16906] = 2,
    ACTIONS(33), 1,
      aux_sym_text_token1,
    ACTIONS(35), 52,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHqs,
      anon_sym_BSLASHqs_STAR,
      anon_sym_BSLASHqac,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [16964] = 2,
    ACTIONS(5354), 1,
      aux_sym_text_token1,
    ACTIONS(5356), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17021] = 2,
    ACTIONS(37), 1,
      aux_sym_text_token1,
    ACTIONS(39), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [17078] = 2,
    ACTIONS(2783), 1,
      aux_sym_text_token1,
    ACTIONS(2785), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17135] = 2,
    ACTIONS(2779), 1,
      aux_sym_text_token1,
    ACTIONS(2781), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17192] = 2,
    ACTIONS(2771), 1,
      aux_sym_text_token1,
    ACTIONS(2773), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17249] = 2,
    ACTIONS(2747), 1,
      aux_sym_text_token1,
    ACTIONS(2749), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17306] = 2,
    ACTIONS(2743), 1,
      aux_sym_text_token1,
    ACTIONS(2745), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17363] = 2,
    ACTIONS(2739), 1,
      aux_sym_text_token1,
    ACTIONS(2741), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17420] = 2,
    ACTIONS(2735), 1,
      aux_sym_text_token1,
    ACTIONS(2737), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17477] = 2,
    ACTIONS(2667), 1,
      aux_sym_text_token1,
    ACTIONS(2669), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17534] = 2,
    ACTIONS(2695), 1,
      aux_sym_text_token1,
    ACTIONS(2697), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17591] = 2,
    ACTIONS(2691), 1,
      aux_sym_text_token1,
    ACTIONS(2693), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17648] = 2,
    ACTIONS(2687), 1,
      aux_sym_text_token1,
    ACTIONS(2689), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17705] = 2,
    ACTIONS(2671), 1,
      aux_sym_text_token1,
    ACTIONS(2673), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17762] = 2,
    ACTIONS(2731), 1,
      aux_sym_text_token1,
    ACTIONS(2733), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17819] = 2,
    ACTIONS(2679), 1,
      aux_sym_text_token1,
    ACTIONS(2681), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17876] = 2,
    ACTIONS(2791), 1,
      aux_sym_text_token1,
    ACTIONS(2793), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17933] = 2,
    ACTIONS(2723), 1,
      aux_sym_text_token1,
    ACTIONS(2725), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [17990] = 2,
    ACTIONS(2719), 1,
      aux_sym_text_token1,
    ACTIONS(2721), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18047] = 2,
    ACTIONS(2715), 1,
      aux_sym_text_token1,
    ACTIONS(2717), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18104] = 2,
    ACTIONS(2795), 1,
      aux_sym_text_token1,
    ACTIONS(2797), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18161] = 2,
    ACTIONS(2683), 1,
      aux_sym_text_token1,
    ACTIONS(2685), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18218] = 2,
    ACTIONS(2755), 1,
      aux_sym_text_token1,
    ACTIONS(2757), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18275] = 2,
    ACTIONS(2727), 1,
      aux_sym_text_token1,
    ACTIONS(2729), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18332] = 2,
    ACTIONS(2663), 1,
      aux_sym_text_token1,
    ACTIONS(2665), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18389] = 2,
    ACTIONS(2675), 1,
      aux_sym_text_token1,
    ACTIONS(2677), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18446] = 2,
    ACTIONS(2775), 1,
      aux_sym_text_token1,
    ACTIONS(2777), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18503] = 2,
    ACTIONS(2767), 1,
      aux_sym_text_token1,
    ACTIONS(2769), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18560] = 2,
    ACTIONS(2763), 1,
      aux_sym_text_token1,
    ACTIONS(2765), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18617] = 2,
    ACTIONS(2759), 1,
      aux_sym_text_token1,
    ACTIONS(2761), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18674] = 2,
    ACTIONS(2703), 1,
      aux_sym_text_token1,
    ACTIONS(2705), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18731] = 2,
    ACTIONS(2699), 1,
      aux_sym_text_token1,
    ACTIONS(2701), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18788] = 2,
    ACTIONS(69), 1,
      aux_sym_text_token1,
    ACTIONS(71), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [18845] = 2,
    ACTIONS(2711), 1,
      aux_sym_text_token1,
    ACTIONS(2713), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18902] = 2,
    ACTIONS(2707), 1,
      aux_sym_text_token1,
    ACTIONS(2709), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [18959] = 2,
    ACTIONS(2751), 1,
      aux_sym_text_token1,
    ACTIONS(2753), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19016] = 2,
    ACTIONS(5398), 1,
      aux_sym_text_token1,
    ACTIONS(5400), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19073] = 2,
    ACTIONS(5330), 1,
      aux_sym_text_token1,
    ACTIONS(5332), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19130] = 2,
    ACTIONS(5334), 1,
      aux_sym_text_token1,
    ACTIONS(5336), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19187] = 2,
    ACTIONS(13), 1,
      aux_sym_text_token1,
    ACTIONS(15), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19244] = 2,
    ACTIONS(17), 1,
      aux_sym_text_token1,
    ACTIONS(19), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19301] = 2,
    ACTIONS(9), 1,
      aux_sym_text_token1,
    ACTIONS(11), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19358] = 2,
    ACTIONS(5402), 1,
      aux_sym_text_token1,
    ACTIONS(5404), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [19415] = 2,
    ACTIONS(33), 1,
      aux_sym_text_token1,
    ACTIONS(35), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [19472] = 2,
    ACTIONS(29), 1,
      aux_sym_text_token1,
    ACTIONS(31), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [19529] = 2,
    ACTIONS(73), 1,
      aux_sym_text_token1,
    ACTIONS(75), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [19586] = 2,
    ACTIONS(25), 1,
      aux_sym_text_token1,
    ACTIONS(27), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [19643] = 2,
    ACTIONS(61), 1,
      aux_sym_text_token1,
    ACTIONS(63), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [19700] = 2,
    ACTIONS(57), 1,
      aux_sym_text_token1,
    ACTIONS(59), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [19757] = 2,
    ACTIONS(53), 1,
      aux_sym_text_token1,
    ACTIONS(55), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [19814] = 2,
    ACTIONS(49), 1,
      aux_sym_text_token1,
    ACTIONS(51), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [19871] = 2,
    ACTIONS(21), 1,
      aux_sym_text_token1,
    ACTIONS(23), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [19928] = 2,
    ACTIONS(45), 1,
      aux_sym_text_token1,
    ACTIONS(47), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [19985] = 2,
    ACTIONS(5406), 1,
      aux_sym_text_token1,
    ACTIONS(5408), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20042] = 2,
    ACTIONS(41), 1,
      aux_sym_text_token1,
    ACTIONS(43), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [20099] = 2,
    ACTIONS(5414), 1,
      aux_sym_text_token1,
    ACTIONS(5416), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20156] = 2,
    ACTIONS(5382), 1,
      aux_sym_text_token1,
    ACTIONS(5384), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20213] = 2,
    ACTIONS(5426), 1,
      aux_sym_text_token1,
    ACTIONS(5428), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20270] = 2,
    ACTIONS(65), 1,
      aux_sym_text_token1,
    ACTIONS(67), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [20327] = 2,
    ACTIONS(5410), 1,
      aux_sym_text_token1,
    ACTIONS(5412), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20384] = 2,
    ACTIONS(5394), 1,
      aux_sym_text_token1,
    ACTIONS(5396), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20441] = 2,
    ACTIONS(65), 1,
      aux_sym_text_token1,
    ACTIONS(67), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20498] = 2,
    ACTIONS(73), 1,
      aux_sym_text_token1,
    ACTIONS(75), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20555] = 5,
    ACTIONS(2845), 1,
      anon_sym_BSLASHli,
    STATE(75), 1,
      sym_liTag,
    STATE(1531), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    ACTIONS(6678), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASH,
    ACTIONS(6676), 42,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [20618] = 2,
    ACTIONS(37), 1,
      aux_sym_text_token1,
    ACTIONS(39), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20675] = 2,
    ACTIONS(41), 1,
      aux_sym_text_token1,
    ACTIONS(43), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20732] = 2,
    ACTIONS(45), 1,
      aux_sym_text_token1,
    ACTIONS(47), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20789] = 2,
    ACTIONS(21), 1,
      aux_sym_text_token1,
    ACTIONS(23), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20846] = 2,
    ACTIONS(49), 1,
      aux_sym_text_token1,
    ACTIONS(51), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20903] = 2,
    ACTIONS(53), 1,
      aux_sym_text_token1,
    ACTIONS(55), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [20960] = 2,
    ACTIONS(57), 1,
      aux_sym_text_token1,
    ACTIONS(59), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21017] = 2,
    ACTIONS(61), 1,
      aux_sym_text_token1,
    ACTIONS(63), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21074] = 2,
    ACTIONS(25), 1,
      aux_sym_text_token1,
    ACTIONS(27), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21131] = 2,
    ACTIONS(69), 1,
      aux_sym_text_token1,
    ACTIONS(71), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21188] = 2,
    ACTIONS(29), 1,
      aux_sym_text_token1,
    ACTIONS(31), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21245] = 2,
    ACTIONS(33), 1,
      aux_sym_text_token1,
    ACTIONS(35), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21302] = 2,
    ACTIONS(5350), 1,
      aux_sym_text_token1,
    ACTIONS(5352), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21359] = 2,
    ACTIONS(498), 1,
      aux_sym_text_token1,
    ACTIONS(500), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21416] = 2,
    ACTIONS(5), 1,
      aux_sym_text_token1,
    ACTIONS(7), 51,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [21473] = 2,
    ACTIONS(5), 1,
      aux_sym_text_token1,
    ACTIONS(7), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21530] = 5,
    ACTIONS(6913), 1,
      anon_sym_BSLASHlim,
    STATE(74), 1,
      sym_limTag,
    STATE(1519), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    ACTIONS(6664), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6662), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [21593] = 2,
    ACTIONS(5338), 1,
      aux_sym_text_token1,
    ACTIONS(5340), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21650] = 2,
    ACTIONS(5342), 1,
      aux_sym_text_token1,
    ACTIONS(5344), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21707] = 2,
    ACTIONS(5346), 1,
      aux_sym_text_token1,
    ACTIONS(5348), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21764] = 5,
    ACTIONS(2847), 1,
      anon_sym_BSLASHlim,
    STATE(74), 1,
      sym_limTag,
    STATE(1519), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    ACTIONS(6682), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6680), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [21827] = 2,
    ACTIONS(502), 1,
      aux_sym_text_token1,
    ACTIONS(504), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21884] = 2,
    ACTIONS(2787), 1,
      aux_sym_text_token1,
    ACTIONS(2789), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21941] = 2,
    ACTIONS(5390), 1,
      aux_sym_text_token1,
    ACTIONS(5392), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [21998] = 2,
    ACTIONS(5362), 1,
      aux_sym_text_token1,
    ACTIONS(5364), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [22055] = 2,
    ACTIONS(5386), 1,
      aux_sym_text_token1,
    ACTIONS(5388), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [22112] = 2,
    ACTIONS(5370), 1,
      aux_sym_text_token1,
    ACTIONS(5372), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [22169] = 2,
    ACTIONS(5418), 1,
      aux_sym_text_token1,
    ACTIONS(5420), 51,
      anon_sym_BSLASHref,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHv,
      anon_sym_BSLASHva,
      anon_sym_BSLASHvp,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
  [22226] = 5,
    ACTIONS(6916), 1,
      anon_sym_BSLASHli,
    STATE(75), 1,
      sym_liTag,
    STATE(1531), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    ACTIONS(6671), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASH,
    ACTIONS(6669), 42,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlf,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22289] = 5,
    ACTIONS(6919), 1,
      anon_sym_BSLASHqm,
    STATE(109), 1,
      sym_qmTag,
    STATE(1532), 2,
      sym_qm,
      aux_sym_qmBlock_repeat1,
    ACTIONS(6708), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6706), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22351] = 5,
    ACTIONS(2823), 1,
      anon_sym_BSLASHpi,
    STATE(206), 1,
      sym_piTag,
    STATE(1545), 2,
      sym_pi,
      aux_sym_piBlock_repeat1,
    ACTIONS(6783), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6781), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22413] = 5,
    ACTIONS(2831), 1,
      anon_sym_BSLASHph,
    STATE(235), 1,
      sym_phTag,
    STATE(1544), 2,
      sym_ph,
      aux_sym_phBlock_repeat1,
    ACTIONS(6686), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6684), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22475] = 5,
    ACTIONS(2801), 1,
      anon_sym_BSLASHs,
    STATE(313), 1,
      sym_sTag,
    STATE(1546), 2,
      sym_s,
      aux_sym_sBlock_repeat1,
    ACTIONS(6810), 6,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6808), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22537] = 5,
    ACTIONS(2118), 1,
      anon_sym_BSLASHms,
    STATE(1089), 1,
      sym_msTag,
    STATE(1547), 2,
      sym_ms,
      aux_sym_msBlock_repeat1,
    ACTIONS(6721), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6719), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22599] = 5,
    ACTIONS(2116), 1,
      anon_sym_BSLASHmte,
    STATE(1774), 1,
      sym_mteTag,
    STATE(1542), 2,
      sym_mte,
      aux_sym_mteBlock_repeat1,
    ACTIONS(6814), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6812), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22661] = 3,
    ACTIONS(6922), 1,
      aux_sym_text_token1,
    STATE(1538), 2,
      sym_text,
      aux_sym_qa_repeat1,
    ACTIONS(6745), 48,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22719] = 3,
    ACTIONS(6498), 1,
      aux_sym_text_token1,
    STATE(1538), 2,
      sym_text,
      aux_sym_qa_repeat1,
    ACTIONS(6771), 48,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22777] = 5,
    ACTIONS(6925), 1,
      anon_sym_BSLASHq,
    STATE(195), 1,
      sym_qTag,
    STATE(1540), 2,
      sym_q,
      aux_sym_qBlock_repeat1,
    ACTIONS(6787), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6785), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22839] = 3,
    ACTIONS(6498), 1,
      aux_sym_text_token1,
    STATE(1539), 2,
      sym_text,
      aux_sym_qa_repeat1,
    ACTIONS(6753), 48,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHs,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHq,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHli,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22897] = 5,
    ACTIONS(6725), 1,
      anon_sym_BSLASHmte,
    STATE(1774), 1,
      sym_mteTag,
    STATE(1542), 2,
      sym_mte,
      aux_sym_mteBlock_repeat1,
    ACTIONS(6728), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6723), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [22959] = 5,
    ACTIONS(2833), 1,
      anon_sym_BSLASHq,
    STATE(195), 1,
      sym_qTag,
    STATE(1540), 2,
      sym_q,
      aux_sym_qBlock_repeat1,
    ACTIONS(6749), 6,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6747), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [23021] = 5,
    ACTIONS(6928), 1,
      anon_sym_BSLASHph,
    STATE(235), 1,
      sym_phTag,
    STATE(1544), 2,
      sym_ph,
      aux_sym_phBlock_repeat1,
    ACTIONS(6764), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6762), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [23083] = 5,
    ACTIONS(6931), 1,
      anon_sym_BSLASHpi,
    STATE(206), 1,
      sym_piTag,
    STATE(1545), 2,
      sym_pi,
      aux_sym_piBlock_repeat1,
    ACTIONS(6701), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6699), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [23145] = 5,
    ACTIONS(6934), 1,
      anon_sym_BSLASHs,
    STATE(313), 1,
      sym_sTag,
    STATE(1546), 2,
      sym_s,
      aux_sym_sBlock_repeat1,
    ACTIONS(6697), 6,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6692), 41,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [23207] = 5,
    ACTIONS(6757), 1,
      anon_sym_BSLASHms,
    STATE(1089), 1,
      sym_msTag,
    STATE(1547), 2,
      sym_ms,
      aux_sym_msBlock_repeat1,
    ACTIONS(6760), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6755), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [23269] = 5,
    ACTIONS(2841), 1,
      anon_sym_BSLASHqm,
    STATE(109), 1,
      sym_qmTag,
    STATE(1532), 2,
      sym_qm,
      aux_sym_qmBlock_repeat1,
    ACTIONS(6738), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6736), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHtr,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [23331] = 4,
    ACTIONS(6937), 1,
      anon_sym_BSLASHtr,
    STATE(1549), 2,
      sym_tr,
      aux_sym_table_repeat1,
    ACTIONS(6832), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6830), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [23390] = 4,
    ACTIONS(2849), 1,
      anon_sym_BSLASHtr,
    STATE(1549), 2,
      sym_tr,
      aux_sym_table_repeat1,
    ACTIONS(6818), 7,
      anon_sym_BSLASHs,
      anon_sym_BSLASHp,
      anon_sym_BSLASHm,
      anon_sym_BSLASHpm,
      anon_sym_BSLASHq,
      anon_sym_BSLASHli,
      anon_sym_BSLASH,
    ACTIONS(6816), 40,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHip,
      anon_sym_BSLASHmte,
      anon_sym_BSLASHms,
      anon_sym_BSLASHr,
      anon_sym_BSLASHsp,
      anon_sym_BSLASHd,
      anon_sym_BSLASHsd,
      anon_sym_BSLASHpo,
      anon_sym_BSLASHpr,
      anon_sym_BSLASHcls,
      anon_sym_BSLASHpmo,
      anon_sym_BSLASHpmc,
      anon_sym_BSLASHpmr,
      anon_sym_BSLASHpi,
      anon_sym_BSLASHmi,
      anon_sym_BSLASHnb,
      anon_sym_BSLASHpc,
      anon_sym_BSLASHph,
      anon_sym_BSLASHb,
      anon_sym_BSLASHqr,
      anon_sym_BSLASHqc,
      anon_sym_BSLASHqa,
      anon_sym_BSLASHqm,
      anon_sym_BSLASHqd,
      anon_sym_BSLASHlh,
      anon_sym_BSLASHlim,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHpb,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesbe,
      anon_sym_BSLASHcat,
  [23449] = 13,
    ACTIONS(6227), 1,
      ts_builtin_sym_end,
    ACTIONS(6940), 1,
      aux_sym_text_token1,
    ACTIONS(6943), 1,
      anon_sym_BSLASHf,
    ACTIONS(6946), 1,
      anon_sym_BSLASHfe,
    ACTIONS(6949), 1,
      anon_sym_BSLASHef,
    ACTIONS(6952), 1,
      anon_sym_BSLASHfm,
    ACTIONS(6955), 1,
      anon_sym_BSLASHx,
    ACTIONS(6958), 1,
      anon_sym_BSLASHxt,
    ACTIONS(6961), 1,
      anon_sym_BSLASHrq,
    STATE(1645), 3,
      sym_x,
      sym_xt_standalone,
      sym_rq,
    STATE(1551), 4,
      sym_text,
      sym_footnote,
      sym_crossref,
      aux_sym_mt_repeat1,
    STATE(1638), 4,
      sym_f,
      sym_fe,
      sym_ef,
      sym_fm,
    ACTIONS(6232), 29,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [23525] = 13,
    ACTIONS(6964), 1,
      ts_builtin_sym_end,
    ACTIONS(6966), 1,
      aux_sym_text_token1,
    ACTIONS(6970), 1,
      anon_sym_BSLASHf,
    ACTIONS(6972), 1,
      anon_sym_BSLASHfe,
    ACTIONS(6974), 1,
      anon_sym_BSLASHef,
    ACTIONS(6976), 1,
      anon_sym_BSLASHfm,
    ACTIONS(6978), 1,
      anon_sym_BSLASHx,
    ACTIONS(6980), 1,
      anon_sym_BSLASHxt,
    ACTIONS(6982), 1,
      anon_sym_BSLASHrq,
    STATE(1645), 3,
      sym_x,
      sym_xt_standalone,
      sym_rq,
    STATE(1551), 4,
      sym_text,
      sym_footnote,
      sym_crossref,
      aux_sym_mt_repeat1,
    STATE(1638), 4,
      sym_f,
      sym_fe,
      sym_ef,
      sym_fm,
    ACTIONS(6968), 29,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [23601] = 8,
    ACTIONS(5110), 1,
      ts_builtin_sym_end,
    ACTIONS(5120), 1,
      anon_sym_PIPE,
    ACTIONS(6984), 1,
      aux_sym_text_token1,
    ACTIONS(6986), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(6988), 1,
      sym__zSpaceClose,
    STATE(1613), 1,
      sym_text,
    STATE(2028), 1,
      sym__milestoneAttributes,
    ACTIONS(5114), 35,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [23660] = 1,
    ACTIONS(67), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23704] = 1,
    ACTIONS(11), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23748] = 1,
    ACTIONS(139), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23792] = 1,
    ACTIONS(167), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23836] = 1,
    ACTIONS(163), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23880] = 1,
    ACTIONS(155), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23924] = 1,
    ACTIONS(99), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [23968] = 1,
    ACTIONS(187), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24012] = 1,
    ACTIONS(159), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24056] = 1,
    ACTIONS(83), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24100] = 1,
    ACTIONS(147), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24144] = 1,
    ACTIONS(151), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24188] = 1,
    ACTIONS(55), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24232] = 1,
    ACTIONS(171), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24276] = 1,
    ACTIONS(183), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24320] = 1,
    ACTIONS(191), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24364] = 1,
    ACTIONS(211), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24408] = 1,
    ACTIONS(207), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24452] = 2,
    ACTIONS(5), 1,
      aux_sym_text_token1,
    ACTIONS(7), 40,
      anon_sym_BSLASHqac_STAR,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [24498] = 1,
    ACTIONS(203), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24542] = 1,
    ACTIONS(7), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24586] = 1,
    ACTIONS(75), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24630] = 1,
    ACTIONS(39), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24674] = 1,
    ACTIONS(195), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24718] = 1,
    ACTIONS(179), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24762] = 1,
    ACTIONS(175), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24806] = 1,
    ACTIONS(79), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24850] = 1,
    ACTIONS(199), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24894] = 1,
    ACTIONS(87), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24938] = 1,
    ACTIONS(91), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [24982] = 1,
    ACTIONS(95), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25026] = 1,
    ACTIONS(103), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25070] = 1,
    ACTIONS(107), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25114] = 1,
    ACTIONS(111), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25158] = 1,
    ACTIONS(115), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25202] = 1,
    ACTIONS(119), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25246] = 1,
    ACTIONS(123), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25290] = 1,
    ACTIONS(127), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25334] = 1,
    ACTIONS(131), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25378] = 1,
    ACTIONS(135), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25422] = 1,
    ACTIONS(35), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25466] = 1,
    ACTIONS(31), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25510] = 1,
    ACTIONS(71), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25554] = 1,
    ACTIONS(143), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25598] = 2,
    ACTIONS(5316), 2,
      anon_sym_x_DASH,
      anon_sym_src,
    ACTIONS(6990), 39,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxt_STAR,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      anon_sym_BSLASHfig_STAR,
      anon_sym_BSLASH_STAR,
      sym__zSpaceClose,
      anon_sym_BSLASHcat,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_gloss,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
  [25644] = 2,
    ACTIONS(5312), 2,
      anon_sym_x_DASH,
      anon_sym_src,
    ACTIONS(6992), 39,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxt_STAR,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      anon_sym_BSLASHfig_STAR,
      anon_sym_BSLASH_STAR,
      sym__zSpaceClose,
      anon_sym_BSLASHcat,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_gloss,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
  [25690] = 1,
    ACTIONS(27), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25734] = 1,
    ACTIONS(63), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25778] = 1,
    ACTIONS(59), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25822] = 1,
    ACTIONS(43), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [25866] = 2,
    ACTIONS(5314), 2,
      anon_sym_x_DASH,
      anon_sym_src,
    ACTIONS(6994), 39,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxt_STAR,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      anon_sym_BSLASHfig_STAR,
      anon_sym_BSLASH_STAR,
      sym__zSpaceClose,
      anon_sym_BSLASHcat,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_gloss,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
  [25912] = 2,
    ACTIONS(5320), 2,
      anon_sym_x_DASH,
      anon_sym_src,
    ACTIONS(6996), 39,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxt_STAR,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      anon_sym_BSLASHfig_STAR,
      anon_sym_BSLASH_STAR,
      sym__zSpaceClose,
      anon_sym_BSLASHcat,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_gloss,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
  [25958] = 1,
    ACTIONS(47), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26002] = 1,
    ACTIONS(19), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26046] = 1,
    ACTIONS(23), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26090] = 1,
    ACTIONS(15), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26134] = 1,
    ACTIONS(51), 41,
      aux_sym_text_token1,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
      anon_sym_PIPE,
      anon_sym_key,
  [26178] = 2,
    ACTIONS(45), 1,
      aux_sym_text_token1,
    ACTIONS(47), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [26223] = 2,
    ACTIONS(57), 1,
      aux_sym_text_token1,
    ACTIONS(59), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [26268] = 6,
    ACTIONS(6613), 1,
      anon_sym_PIPE,
    ACTIONS(6998), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7000), 1,
      sym__zSpaceClose,
    STATE(2010), 1,
      sym__milestoneAttributes,
    ACTIONS(5240), 6,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
      sym_zSpaceTag,
    ACTIONS(5238), 30,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      anon_sym_BSLASHesb,
  [26321] = 2,
    ACTIONS(17), 1,
      aux_sym_text_token1,
    ACTIONS(19), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [26366] = 2,
    ACTIONS(37), 1,
      aux_sym_text_token1,
    ACTIONS(39), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [26411] = 2,
    ACTIONS(73), 1,
      aux_sym_text_token1,
    ACTIONS(75), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [26456] = 2,
    ACTIONS(41), 1,
      aux_sym_text_token1,
    ACTIONS(43), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [26501] = 2,
    ACTIONS(21), 1,
      aux_sym_text_token1,
    ACTIONS(23), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [26546] = 2,
    ACTIONS(49), 1,
      aux_sym_text_token1,
    ACTIONS(51), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [26591] = 2,
    ACTIONS(33), 1,
      aux_sym_text_token1,
    ACTIONS(35), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [26636] = 2,
    ACTIONS(29), 1,
      aux_sym_text_token1,
    ACTIONS(31), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [26681] = 2,
    ACTIONS(69), 1,
      aux_sym_text_token1,
    ACTIONS(71), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [26726] = 2,
    ACTIONS(9), 1,
      aux_sym_text_token1,
    ACTIONS(11), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [26771] = 2,
    ACTIONS(53), 1,
      aux_sym_text_token1,
    ACTIONS(55), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [26816] = 2,
    ACTIONS(13), 1,
      aux_sym_text_token1,
    ACTIONS(15), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [26861] = 2,
    ACTIONS(25), 1,
      aux_sym_text_token1,
    ACTIONS(27), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [26906] = 2,
    ACTIONS(61), 1,
      aux_sym_text_token1,
    ACTIONS(63), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [26951] = 2,
    ACTIONS(65), 1,
      aux_sym_text_token1,
    ACTIONS(67), 39,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHqt_STAR,
      anon_sym_BSLASHtl_STAR,
      anon_sym_BSLASH_PLUSadd,
      anon_sym_BSLASH_PLUSbk,
      anon_sym_BSLASH_PLUSdc,
      anon_sym_BSLASH_PLUSk,
      anon_sym_BSLASH_PLUSnd,
      anon_sym_BSLASH_PLUSord,
      anon_sym_BSLASH_PLUSpn,
      anon_sym_BSLASH_PLUSpng,
      anon_sym_BSLASH_PLUSaddpn,
      anon_sym_BSLASH_PLUSqt,
      anon_sym_BSLASH_PLUSsig,
      anon_sym_BSLASH_PLUSsls,
      anon_sym_BSLASH_PLUStl,
      anon_sym_BSLASH_PLUSwj,
      anon_sym_BSLASH_PLUSem,
      anon_sym_BSLASH_PLUSbd,
      anon_sym_BSLASH_PLUSit,
      anon_sym_BSLASH_PLUSbdit,
      anon_sym_BSLASH_PLUSno,
      anon_sym_BSLASH_PLUSsc,
      anon_sym_BSLASH_PLUSsup,
      anon_sym_BSLASH_PLUSndx,
      anon_sym_BSLASH_PLUSpro,
      anon_sym_BSLASH_PLUSrb,
      anon_sym_BSLASH_PLUSw,
      anon_sym_BSLASH_PLUSwg,
      anon_sym_BSLASH_PLUSwh,
      anon_sym_BSLASH_PLUSwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASH_PLUSjmp,
  [26996] = 5,
    ACTIONS(7006), 1,
      anon_sym_BSLASHtoca,
    STATE(2036), 1,
      sym_tocaTag,
    STATE(1629), 2,
      sym_toca,
      aux_sym_tocaBlock_repeat1,
    ACTIONS(7004), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7002), 30,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27046] = 5,
    ACTIONS(6283), 1,
      anon_sym_BSLASHh,
    STATE(2041), 1,
      sym_hTag,
    STATE(1633), 2,
      sym_h,
      aux_sym_hBlock_repeat1,
    ACTIONS(7011), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7009), 30,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27096] = 2,
    ACTIONS(7), 6,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
      sym_zSpaceTag,
    ACTIONS(5), 33,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASH_STAR,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym__zSpaceClose,
      anon_sym_BSLASHesb,
      anon_sym_PIPE,
  [27140] = 5,
    ACTIONS(7015), 1,
      anon_sym_BSLASHtoc,
    STATE(2040), 1,
      sym_tocTag,
    STATE(1632), 2,
      sym_toc,
      aux_sym_tocBlock_repeat1,
    ACTIONS(7018), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7013), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27190] = 5,
    ACTIONS(7022), 1,
      anon_sym_BSLASHh,
    STATE(2041), 1,
      sym_hTag,
    STATE(1633), 2,
      sym_h,
      aux_sym_hBlock_repeat1,
    ACTIONS(7025), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7020), 30,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27240] = 5,
    ACTIONS(6285), 1,
      anon_sym_BSLASHtoc,
    STATE(2040), 1,
      sym_tocTag,
    STATE(1632), 2,
      sym_toc,
      aux_sym_tocBlock_repeat1,
    ACTIONS(7029), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7027), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27290] = 5,
    ACTIONS(6287), 1,
      anon_sym_BSLASHtoca,
    STATE(2036), 1,
      sym_tocaTag,
    STATE(1629), 2,
      sym_toca,
      aux_sym_tocaBlock_repeat1,
    ACTIONS(7033), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7031), 30,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27340] = 5,
    ACTIONS(7035), 1,
      ts_builtin_sym_end,
    ACTIONS(7037), 1,
      aux_sym_text_token1,
    STATE(1672), 1,
      sym__text,
    STATE(1673), 1,
      sym_description,
    ACTIONS(7039), 35,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27390] = 2,
    ACTIONS(7), 5,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5), 34,
      ts_builtin_sym_end,
      anon_sym_BSLASHref_STAR,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHiqt_STAR,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHior_STAR,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHvp_STAR,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHfv_STAR,
      anon_sym_BSLASHrq_STAR,
      anon_sym_BSLASHfig_STAR,
      anon_sym_BSLASHjmp_STAR,
      anon_sym_BSLASH_PLUSjmp_STAR,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
      anon_sym_PIPE,
  [27434] = 2,
    ACTIONS(45), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(47), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27477] = 2,
    ACTIONS(5), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(7), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27520] = 2,
    ACTIONS(7041), 1,
      aux_sym_text_token1,
    ACTIONS(7043), 37,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [27563] = 2,
    ACTIONS(29), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(31), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27606] = 2,
    ACTIONS(33), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(35), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27649] = 2,
    ACTIONS(21), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(23), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27692] = 2,
    ACTIONS(73), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(75), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27735] = 2,
    ACTIONS(65), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(67), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27778] = 2,
    ACTIONS(61), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(63), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27821] = 2,
    ACTIONS(57), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(59), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27864] = 2,
    ACTIONS(7045), 1,
      aux_sym_text_token1,
    ACTIONS(7047), 37,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [27907] = 2,
    ACTIONS(69), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(71), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27950] = 2,
    ACTIONS(53), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(55), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [27993] = 2,
    ACTIONS(49), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(51), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28036] = 2,
    ACTIONS(41), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(43), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28079] = 2,
    ACTIONS(37), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(39), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28122] = 2,
    ACTIONS(25), 2,
      ts_builtin_sym_end,
      aux_sym_text_token1,
    ACTIONS(27), 36,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28165] = 2,
    ACTIONS(5408), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5406), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28206] = 2,
    ACTIONS(5352), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5350), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28247] = 2,
    ACTIONS(5400), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5398), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28288] = 2,
    ACTIONS(5340), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5338), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28329] = 2,
    ACTIONS(5344), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5342), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28370] = 2,
    ACTIONS(500), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(498), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28411] = 2,
    ACTIONS(504), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(502), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28452] = 2,
    ACTIONS(6903), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(6901), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28493] = 2,
    ACTIONS(5428), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5426), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28534] = 2,
    ACTIONS(5404), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5402), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28575] = 2,
    ACTIONS(5412), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5410), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28616] = 2,
    ACTIONS(5420), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5418), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28657] = 2,
    ACTIONS(5396), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5394), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28698] = 2,
    ACTIONS(5392), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5390), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28739] = 2,
    ACTIONS(5356), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5354), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28780] = 2,
    ACTIONS(7), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28821] = 2,
    ACTIONS(5348), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5346), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28862] = 2,
    ACTIONS(7051), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7049), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28903] = 2,
    ACTIONS(7055), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7053), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28944] = 2,
    ACTIONS(7059), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7057), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [28985] = 2,
    ACTIONS(7063), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7061), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29026] = 2,
    ACTIONS(6911), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(6909), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29067] = 2,
    ACTIONS(5364), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5362), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29108] = 2,
    ACTIONS(5388), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5386), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29149] = 2,
    ACTIONS(5372), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5370), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29190] = 2,
    ACTIONS(5384), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5382), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29231] = 2,
    ACTIONS(7067), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7065), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29272] = 2,
    ACTIONS(7071), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7069), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29313] = 2,
    ACTIONS(5416), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5414), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29354] = 2,
    ACTIONS(7075), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7073), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29395] = 2,
    ACTIONS(7079), 5,
      anon_sym_BSLASHtoc,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7077), 31,
      ts_builtin_sym_end,
      anon_sym_BSLASHusfm,
      anon_sym_BSLASHide,
      anon_sym_BSLASHref,
      anon_sym_BSLASHh,
      anon_sym_BSLASHtoca,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASHmt,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29436] = 2,
    ACTIONS(5310), 1,
      anon_sym_x_DASH,
    ACTIONS(5592), 34,
      anon_sym_BSLASHref_STAR,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxt_STAR,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      anon_sym_BSLASHfig_STAR,
      anon_sym_BSLASH_STAR,
      anon_sym_BSLASHcat,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [29476] = 8,
    ACTIONS(5110), 1,
      ts_builtin_sym_end,
    ACTIONS(5120), 1,
      anon_sym_PIPE,
    ACTIONS(7081), 1,
      aux_sym_text_token1,
    ACTIONS(7083), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7085), 1,
      sym__zSpaceClose,
    STATE(1703), 1,
      sym_text,
    STATE(2009), 1,
      sym__milestoneAttributes,
    ACTIONS(5114), 28,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHio,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHie,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASH,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [29528] = 2,
    ACTIONS(5318), 1,
      anon_sym_x_DASH,
    ACTIONS(5600), 34,
      anon_sym_BSLASHref_STAR,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxt_STAR,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHk_STAR,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      anon_sym_BSLASHfig_STAR,
      anon_sym_BSLASH_STAR,
      anon_sym_BSLASHcat,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [29568] = 2,
    ACTIONS(7087), 1,
      aux_sym_text_token1,
    ACTIONS(7089), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [29607] = 2,
    ACTIONS(7091), 1,
      aux_sym_text_token1,
    ACTIONS(7093), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [29646] = 2,
    ACTIONS(7095), 1,
      aux_sym_text_token1,
    ACTIONS(7097), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [29685] = 2,
    ACTIONS(7099), 1,
      aux_sym_text_token1,
    ACTIONS(7101), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [29724] = 2,
    ACTIONS(7103), 1,
      aux_sym_text_token1,
    ACTIONS(7105), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [29763] = 2,
    ACTIONS(7107), 1,
      aux_sym_text_token1,
    ACTIONS(7109), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [29802] = 2,
    ACTIONS(7111), 1,
      aux_sym_text_token1,
    ACTIONS(7113), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [29841] = 2,
    ACTIONS(7115), 1,
      aux_sym_text_token1,
    ACTIONS(7117), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [29880] = 2,
    ACTIONS(7119), 1,
      aux_sym_text_token1,
    ACTIONS(7121), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [29919] = 2,
    ACTIONS(7123), 1,
      aux_sym_text_token1,
    ACTIONS(7125), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [29958] = 2,
    ACTIONS(7127), 1,
      aux_sym_text_token1,
    ACTIONS(7129), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [29997] = 2,
    ACTIONS(7131), 1,
      aux_sym_text_token1,
    ACTIONS(7133), 33,
      anon_sym_BSLASHref,
      anon_sym_BSLASHiqt,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHadd,
      anon_sym_BSLASHbk,
      anon_sym_BSLASHdc,
      anon_sym_BSLASHk,
      anon_sym_BSLASHnd,
      anon_sym_BSLASHord,
      anon_sym_BSLASHpn,
      anon_sym_BSLASHpng,
      anon_sym_BSLASHaddpn,
      anon_sym_BSLASHqt,
      anon_sym_BSLASHsig,
      anon_sym_BSLASHsls,
      anon_sym_BSLASHtl,
      anon_sym_BSLASHwj,
      anon_sym_BSLASHem,
      anon_sym_BSLASHbd,
      anon_sym_BSLASHit,
      anon_sym_BSLASHbdit,
      anon_sym_BSLASHno,
      anon_sym_BSLASHsc,
      anon_sym_BSLASHsup,
      anon_sym_BSLASHndx,
      anon_sym_BSLASHpro,
      anon_sym_BSLASHrb,
      anon_sym_BSLASHw,
      anon_sym_BSLASHwg,
      anon_sym_BSLASHwh,
      anon_sym_BSLASHwa,
      anon_sym_BSLASHfig,
      anon_sym_BSLASHjmp,
  [30036] = 5,
    ACTIONS(5578), 1,
      anon_sym_BSLASHmt,
    STATE(1773), 1,
      sym_mtTag,
    STATE(1702), 2,
      sym_mt,
      aux_sym_mtBlock_repeat1,
    ACTIONS(7137), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7135), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30080] = 5,
    ACTIONS(7143), 1,
      anon_sym_BSLASHmt,
    STATE(1773), 1,
      sym_mtTag,
    STATE(1702), 2,
      sym_mt,
      aux_sym_mtBlock_repeat1,
    ACTIONS(7141), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7139), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30124] = 6,
    ACTIONS(6613), 1,
      anon_sym_PIPE,
    ACTIONS(7146), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7148), 1,
      sym__zSpaceClose,
    STATE(2080), 1,
      sym__milestoneAttributes,
    ACTIONS(5240), 5,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
      sym_zSpaceTag,
    ACTIONS(5238), 24,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      anon_sym_BSLASHesb,
  [30170] = 5,
    ACTIONS(7154), 1,
      anon_sym_BSLASHis,
    STATE(1126), 1,
      sym_isTag,
    STATE(1704), 2,
      sym_is,
      aux_sym_isBlock_repeat1,
    ACTIONS(7152), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7150), 24,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30213] = 5,
    ACTIONS(5540), 1,
      anon_sym_BSLASHimt,
    STATE(1122), 1,
      sym_imtTag,
    STATE(1708), 2,
      sym_imt,
      aux_sym_imtBlock_repeat1,
    ACTIONS(7159), 3,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7157), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30256] = 5,
    ACTIONS(7165), 1,
      anon_sym_BSLASHili,
    STATE(1128), 1,
      sym_iliTag,
    STATE(1706), 2,
      sym_ili,
      aux_sym_iliBlock_repeat1,
    ACTIONS(7163), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7161), 24,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30299] = 5,
    ACTIONS(7172), 1,
      anon_sym_BSLASHiq,
    STATE(1129), 1,
      sym_iqTag,
    STATE(1707), 2,
      sym_iq,
      aux_sym_iqBlock_repeat1,
    ACTIONS(7170), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7168), 24,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30342] = 5,
    ACTIONS(7177), 1,
      anon_sym_BSLASHimt,
    STATE(1122), 1,
      sym_imtTag,
    STATE(1708), 2,
      sym_imt,
      aux_sym_imtBlock_repeat1,
    ACTIONS(7180), 3,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7175), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30385] = 5,
    ACTIONS(5568), 1,
      anon_sym_BSLASHiq,
    STATE(1129), 1,
      sym_iqTag,
    STATE(1707), 2,
      sym_iq,
      aux_sym_iqBlock_repeat1,
    ACTIONS(7184), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7182), 24,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30428] = 2,
    ACTIONS(7), 5,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
      sym_zSpaceTag,
    ACTIONS(5), 27,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      anon_sym_BSLASH_STAR,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym__zSpaceClose,
      anon_sym_BSLASHesb,
      anon_sym_PIPE,
  [30465] = 5,
    ACTIONS(5558), 1,
      anon_sym_BSLASHili,
    STATE(1128), 1,
      sym_iliTag,
    STATE(1706), 2,
      sym_ili,
      aux_sym_iliBlock_repeat1,
    ACTIONS(7188), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7186), 24,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30508] = 5,
    ACTIONS(5544), 1,
      anon_sym_BSLASHis,
    STATE(1126), 1,
      sym_isTag,
    STATE(1704), 2,
      sym_is,
      aux_sym_isBlock_repeat1,
    ACTIONS(7192), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7190), 24,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30551] = 2,
    ACTIONS(7196), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7194), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30585] = 2,
    ACTIONS(5420), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5418), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30619] = 2,
    ACTIONS(5392), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5390), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30653] = 2,
    ACTIONS(5396), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5394), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30687] = 2,
    ACTIONS(6903), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(6901), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30721] = 2,
    ACTIONS(5412), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5410), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30755] = 2,
    ACTIONS(5428), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5426), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30789] = 14,
    ACTIONS(5020), 1,
      anon_sym_x_DASH,
    ACTIONS(7198), 1,
      anon_sym_DQUOTE,
    ACTIONS(7200), 1,
      sym_customAttributeName,
    ACTIONS(7202), 1,
      sym_attributeValue,
    ACTIONS(7204), 1,
      anon_sym_PIPE,
    ACTIONS(7208), 1,
      anon_sym_alt,
    ACTIONS(7210), 1,
      anon_sym_src,
    ACTIONS(7212), 1,
      anon_sym_size,
    ACTIONS(7214), 1,
      anon_sym_loc,
    ACTIONS(7216), 1,
      anon_sym_copy,
    ACTIONS(7218), 1,
      anon_sym_ref,
    STATE(2526), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7206), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
    STATE(1738), 10,
      sym_customAttribute,
      sym_defaultAttribute,
      sym_linkAttribute,
      sym_altAttribute,
      sym_srcAttribute,
      sym_sizeAttribute,
      sym_locAttribute,
      sym_copyAttribute,
      sym_refAttribute,
      aux_sym__figAttributes_repeat1,
  [30847] = 2,
    ACTIONS(5340), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5338), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30881] = 2,
    ACTIONS(6911), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(6909), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30915] = 2,
    ACTIONS(5384), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5382), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30949] = 2,
    ACTIONS(5356), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5354), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [30983] = 2,
    ACTIONS(5344), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5342), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [31017] = 2,
    ACTIONS(5372), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5370), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [31051] = 2,
    ACTIONS(5400), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5398), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [31085] = 2,
    ACTIONS(5404), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5402), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [31119] = 2,
    ACTIONS(5352), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5350), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [31153] = 2,
    ACTIONS(5348), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5346), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [31187] = 2,
    ACTIONS(5408), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5406), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [31221] = 2,
    ACTIONS(7222), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7220), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [31255] = 2,
    ACTIONS(5388), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5386), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [31289] = 2,
    ACTIONS(5416), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5414), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [31323] = 2,
    ACTIONS(7226), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(7224), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [31357] = 2,
    ACTIONS(5364), 4,
      anon_sym_BSLASHimt,
      anon_sym_BSLASHio,
      anon_sym_BSLASHie,
      anon_sym_BSLASH,
    ACTIONS(5362), 25,
      ts_builtin_sym_end,
      anon_sym_BSLASHsts,
      anon_sym_BSLASHrem,
      anon_sym_BSLASHrestore,
      anon_sym_BSLASHlit,
      anon_sym_BSLASHimte,
      anon_sym_BSLASHis,
      anon_sym_BSLASHiot,
      anon_sym_BSLASHip,
      anon_sym_BSLASHim,
      anon_sym_BSLASHipi,
      anon_sym_BSLASHimi,
      anon_sym_BSLASHili,
      anon_sym_BSLASHipq,
      anon_sym_BSLASHimq,
      anon_sym_BSLASHipr,
      anon_sym_BSLASHib,
      anon_sym_BSLASHiq,
      anon_sym_BSLASHiex,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
      sym_milestoneStartTag,
      sym_milestoneEndTag,
      sym_zSpaceTag,
      anon_sym_BSLASHesb,
  [31391] = 13,
    ACTIONS(7228), 1,
      anon_sym_BSLASHfig_STAR,
    ACTIONS(7230), 1,
      sym_customAttributeName,
    ACTIONS(7233), 1,
      anon_sym_PIPE,
    ACTIONS(7239), 1,
      anon_sym_x_DASH,
    ACTIONS(7242), 1,
      anon_sym_alt,
    ACTIONS(7245), 1,
      anon_sym_src,
    ACTIONS(7248), 1,
      anon_sym_size,
    ACTIONS(7251), 1,
      anon_sym_loc,
    ACTIONS(7254), 1,
      anon_sym_copy,
    ACTIONS(7257), 1,
      anon_sym_ref,
    STATE(2526), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7236), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
    STATE(1737), 10,
      sym_customAttribute,
      sym_defaultAttribute,
      sym_linkAttribute,
      sym_altAttribute,
      sym_srcAttribute,
      sym_sizeAttribute,
      sym_locAttribute,
      sym_copyAttribute,
      sym_refAttribute,
      aux_sym__figAttributes_repeat1,
  [31446] = 13,
    ACTIONS(5020), 1,
      anon_sym_x_DASH,
    ACTIONS(7260), 1,
      anon_sym_BSLASHfig_STAR,
    ACTIONS(7262), 1,
      sym_customAttributeName,
    ACTIONS(7264), 1,
      anon_sym_PIPE,
    ACTIONS(7268), 1,
      anon_sym_alt,
    ACTIONS(7270), 1,
      anon_sym_src,
    ACTIONS(7272), 1,
      anon_sym_size,
    ACTIONS(7274), 1,
      anon_sym_loc,
    ACTIONS(7276), 1,
      anon_sym_copy,
    ACTIONS(7278), 1,
      anon_sym_ref,
    STATE(2526), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7266), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
    STATE(1737), 10,
      sym_customAttribute,
      sym_defaultAttribute,
      sym_linkAttribute,
      sym_altAttribute,
      sym_srcAttribute,
      sym_sizeAttribute,
      sym_locAttribute,
      sym_copyAttribute,
      sym_refAttribute,
      aux_sym__figAttributes_repeat1,
  [31501] = 7,
    ACTIONS(5033), 1,
      anon_sym_x_DASH,
    ACTIONS(7282), 1,
      sym_customAttributeName,
    ACTIONS(7285), 1,
      anon_sym_PIPE,
    STATE(2526), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    STATE(1739), 4,
      sym_customAttribute,
      sym_defaultAttribute,
      sym_linkAttribute,
      aux_sym__attributesInCrossref_repeat1,
    ACTIONS(7288), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
    ACTIONS(7280), 12,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxt_STAR,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [31543] = 7,
    ACTIONS(5020), 1,
      anon_sym_x_DASH,
    ACTIONS(7262), 1,
      sym_customAttributeName,
    ACTIONS(7264), 1,
      anon_sym_PIPE,
    STATE(2526), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    STATE(1739), 4,
      sym_customAttribute,
      sym_defaultAttribute,
      sym_linkAttribute,
      aux_sym__attributesInCrossref_repeat1,
    ACTIONS(7266), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
    ACTIONS(7291), 12,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxt_STAR,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [31585] = 12,
    ACTIONS(2855), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7293), 1,
      anon_sym_BSLASHx_STAR,
    ACTIONS(7295), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7297), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7299), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7301), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7303), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7305), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7307), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7309), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7311), 1,
      anon_sym_BSLASHxdc,
    STATE(1753), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31633] = 12,
    ACTIONS(2855), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7295), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7297), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7299), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7301), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7303), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7305), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7307), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7309), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7311), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7313), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1744), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31681] = 12,
    ACTIONS(2855), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7295), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7297), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7299), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7301), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7303), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7305), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7307), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7309), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7311), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7315), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1744), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31729] = 12,
    ACTIONS(7317), 1,
      anon_sym_BSLASHx_STAR,
    ACTIONS(7319), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7322), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7325), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7328), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7331), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7334), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7337), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7340), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7343), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7346), 1,
      anon_sym_BSLASHcat,
    STATE(1744), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31777] = 12,
    ACTIONS(2855), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7295), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7297), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7299), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7301), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7303), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7305), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7307), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7309), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7311), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7349), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1761), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31825] = 12,
    ACTIONS(2855), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7295), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7297), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7299), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7301), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7303), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7305), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7307), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7309), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7311), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7351), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1755), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31873] = 12,
    ACTIONS(2855), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7295), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7297), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7299), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7301), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7303), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7305), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7307), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7309), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7311), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7353), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1744), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31921] = 12,
    ACTIONS(2855), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7295), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7297), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7299), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7301), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7303), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7305), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7307), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7309), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7311), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7355), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1750), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [31969] = 12,
    ACTIONS(2855), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7295), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7297), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7299), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7301), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7303), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7305), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7307), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7309), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7311), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7357), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1744), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [32017] = 12,
    ACTIONS(2855), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7295), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7297), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7299), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7301), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7303), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7305), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7307), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7309), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7311), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7359), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1744), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [32065] = 12,
    ACTIONS(2855), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7295), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7297), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7299), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7301), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7303), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7305), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7307), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7309), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7311), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7361), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1744), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [32113] = 12,
    ACTIONS(2855), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7295), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7297), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7299), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7301), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7303), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7305), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7307), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7309), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7311), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7363), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1742), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [32161] = 12,
    ACTIONS(2855), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7295), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7297), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7299), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7301), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7303), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7305), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7307), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7309), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7311), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7365), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1744), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [32209] = 12,
    ACTIONS(2855), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7295), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7297), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7299), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7301), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7303), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7305), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7307), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7309), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7311), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7367), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1743), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [32257] = 12,
    ACTIONS(2855), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7295), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7297), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7299), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7301), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7303), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7305), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7307), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7309), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7311), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7369), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1744), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [32305] = 12,
    ACTIONS(2855), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7295), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7297), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7299), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7301), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7303), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7305), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7307), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7309), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7311), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7371), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1760), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [32353] = 12,
    ACTIONS(2855), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7295), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7297), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7299), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7301), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7303), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7305), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7307), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7309), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7311), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7373), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1762), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [32401] = 12,
    ACTIONS(2855), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7295), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7297), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7299), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7301), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7303), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7305), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7307), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7309), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7311), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7375), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1749), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [32449] = 12,
    ACTIONS(2855), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7295), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7297), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7299), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7301), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7303), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7305), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7307), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7309), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7311), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7377), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1764), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [32497] = 12,
    ACTIONS(2855), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7295), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7297), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7299), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7301), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7303), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7305), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7307), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7309), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7311), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7379), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1744), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [32545] = 12,
    ACTIONS(2855), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7295), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7297), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7299), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7301), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7303), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7305), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7307), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7309), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7311), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7381), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1744), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [32593] = 12,
    ACTIONS(2855), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7295), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7297), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7299), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7301), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7303), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7305), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7307), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7309), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7311), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7383), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1744), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [32641] = 12,
    ACTIONS(2855), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7295), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7297), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7299), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7301), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7303), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7305), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7307), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7309), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7311), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7385), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1751), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [32689] = 12,
    ACTIONS(2855), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7295), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7297), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7299), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7301), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7303), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7305), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7307), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7309), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7311), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7387), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1744), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [32737] = 12,
    ACTIONS(2855), 1,
      anon_sym_BSLASHcat,
    ACTIONS(7295), 1,
      anon_sym_BSLASHxo,
    ACTIONS(7297), 1,
      anon_sym_BSLASHxk,
    ACTIONS(7299), 1,
      anon_sym_BSLASHxq,
    ACTIONS(7301), 1,
      anon_sym_BSLASHxt,
    ACTIONS(7303), 1,
      anon_sym_BSLASHxta,
    ACTIONS(7305), 1,
      anon_sym_BSLASHxop,
    ACTIONS(7307), 1,
      anon_sym_BSLASHxot,
    ACTIONS(7309), 1,
      anon_sym_BSLASHxnt,
    ACTIONS(7311), 1,
      anon_sym_BSLASHxdc,
    ACTIONS(7389), 1,
      anon_sym_BSLASHx_STAR,
    STATE(1747), 12,
      sym_xo,
      sym_xk,
      sym_xq,
      sym_xt,
      sym_xta,
      sym_xop,
      sym_xot,
      sym_xnt,
      sym_xdc,
      sym__crossrefContents,
      sym_cat,
      aux_sym_x_repeat1,
  [32785] = 9,
    ACTIONS(7393), 1,
      sym_customAttributeName,
    ACTIONS(7396), 1,
      anon_sym_lemma,
    ACTIONS(7399), 1,
      anon_sym_strong,
    ACTIONS(7402), 1,
      anon_sym_srcloc,
    ACTIONS(7408), 1,
      anon_sym_x_DASH,
    ACTIONS(7391), 2,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
    STATE(2526), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7405), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
    STATE(1766), 6,
      sym_customAttribute,
      sym_lemmaAttribute,
      sym_strongAttribute,
      sym_scrlocAttribute,
      sym_linkAttribute,
      aux_sym__wAttributes_repeat1,
  [32825] = 10,
    ACTIONS(5020), 1,
      anon_sym_x_DASH,
    ACTIONS(7198), 1,
      anon_sym_DQUOTE,
    ACTIONS(7200), 1,
      sym_customAttributeName,
    ACTIONS(7202), 1,
      sym_attributeValue,
    ACTIONS(7411), 1,
      anon_sym_lemma,
    ACTIONS(7413), 1,
      anon_sym_strong,
    ACTIONS(7415), 1,
      anon_sym_srcloc,
    STATE(2526), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7206), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
    STATE(1768), 6,
      sym_customAttribute,
      sym_lemmaAttribute,
      sym_strongAttribute,
      sym_scrlocAttribute,
      sym_linkAttribute,
      aux_sym__wAttributes_repeat1,
  [32867] = 9,
    ACTIONS(5020), 1,
      anon_sym_x_DASH,
    ACTIONS(7262), 1,
      sym_customAttributeName,
    ACTIONS(7419), 1,
      anon_sym_lemma,
    ACTIONS(7421), 1,
      anon_sym_strong,
    ACTIONS(7423), 1,
      anon_sym_srcloc,
    ACTIONS(7417), 2,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
    STATE(2526), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7266), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
    STATE(1766), 6,
      sym_customAttribute,
      sym_lemmaAttribute,
      sym_strongAttribute,
      sym_scrlocAttribute,
      sym_linkAttribute,
      aux_sym__wAttributes_repeat1,
  [32907] = 9,
    ACTIONS(5020), 1,
      anon_sym_x_DASH,
    ACTIONS(7198), 1,
      anon_sym_DQUOTE,
    ACTIONS(7200), 1,
      sym_customAttributeName,
    ACTIONS(7202), 1,
      sym_attributeValue,
    STATE(2525), 1,
      sym_milestoneAttributeName,
    STATE(2526), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7425), 3,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
    STATE(1771), 4,
      sym_customAttribute,
      sym_linkAttribute,
      sym_msAttribute,
      aux_sym__milestoneAttributes_repeat1,
    ACTIONS(7206), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [32946] = 8,
    ACTIONS(7429), 1,
      sym_customAttributeName,
    ACTIONS(7435), 1,
      anon_sym_x_DASH,
    STATE(2525), 1,
      sym_milestoneAttributeName,
    ACTIONS(7427), 2,
      anon_sym_BSLASH_STAR,
      sym__zSpaceClose,
    STATE(2526), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7438), 3,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
    STATE(1770), 4,
      sym_customAttribute,
      sym_linkAttribute,
      sym_msAttribute,
      aux_sym__milestoneAttributes_repeat1,
    ACTIONS(7432), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [32983] = 8,
    ACTIONS(5020), 1,
      anon_sym_x_DASH,
    ACTIONS(7262), 1,
      sym_customAttributeName,
    STATE(2525), 1,
      sym_milestoneAttributeName,
    ACTIONS(7441), 2,
      anon_sym_BSLASH_STAR,
      sym__zSpaceClose,
    STATE(2526), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7443), 3,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
    STATE(1770), 4,
      sym_customAttribute,
      sym_linkAttribute,
      sym_msAttribute,
      aux_sym__milestoneAttributes_repeat1,
    ACTIONS(7266), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33020] = 11,
    ACTIONS(6257), 1,
      aux_sym_text_token1,
    ACTIONS(6261), 1,
      anon_sym_BSLASHf,
    ACTIONS(6263), 1,
      anon_sym_BSLASHfe,
    ACTIONS(6265), 1,
      anon_sym_BSLASHef,
    ACTIONS(6267), 1,
      anon_sym_BSLASHfm,
    ACTIONS(6269), 1,
      anon_sym_BSLASHx,
    ACTIONS(6271), 1,
      anon_sym_BSLASHxt,
    ACTIONS(6273), 1,
      anon_sym_BSLASHrq,
    STATE(1260), 3,
      sym_x,
      sym_xt_standalone,
      sym_rq,
    STATE(1132), 4,
      sym_text,
      sym_footnote,
      sym_crossref,
      aux_sym_mt_repeat1,
    STATE(1272), 4,
      sym_f,
      sym_fe,
      sym_ef,
      sym_fm,
  [33062] = 11,
    ACTIONS(6966), 1,
      aux_sym_text_token1,
    ACTIONS(6970), 1,
      anon_sym_BSLASHf,
    ACTIONS(6972), 1,
      anon_sym_BSLASHfe,
    ACTIONS(6974), 1,
      anon_sym_BSLASHef,
    ACTIONS(6976), 1,
      anon_sym_BSLASHfm,
    ACTIONS(6978), 1,
      anon_sym_BSLASHx,
    ACTIONS(6980), 1,
      anon_sym_BSLASHxt,
    ACTIONS(6982), 1,
      anon_sym_BSLASHrq,
    STATE(1645), 3,
      sym_x,
      sym_xt_standalone,
      sym_rq,
    STATE(1552), 4,
      sym_text,
      sym_footnote,
      sym_crossref,
      aux_sym_mt_repeat1,
    STATE(1638), 4,
      sym_f,
      sym_fe,
      sym_ef,
      sym_fm,
  [33104] = 11,
    ACTIONS(6498), 1,
      aux_sym_text_token1,
    ACTIONS(6500), 1,
      anon_sym_BSLASHf,
    ACTIONS(6502), 1,
      anon_sym_BSLASHfe,
    ACTIONS(6504), 1,
      anon_sym_BSLASHef,
    ACTIONS(6506), 1,
      anon_sym_BSLASHfm,
    ACTIONS(6508), 1,
      anon_sym_BSLASHx,
    ACTIONS(6510), 1,
      anon_sym_BSLASHxt,
    ACTIONS(6512), 1,
      anon_sym_BSLASHrq,
    STATE(1497), 3,
      sym_x,
      sym_xt_standalone,
      sym_rq,
    STATE(1217), 4,
      sym_text,
      sym_footnote,
      sym_crossref,
      aux_sym_mt_repeat1,
    STATE(1491), 4,
      sym_f,
      sym_fe,
      sym_ef,
      sym_fm,
  [33146] = 7,
    ACTIONS(5020), 1,
      anon_sym_x_DASH,
    ACTIONS(7262), 1,
      sym_customAttributeName,
    STATE(2525), 1,
      sym_milestoneAttributeName,
    STATE(2526), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7443), 3,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
    STATE(1771), 4,
      sym_customAttribute,
      sym_linkAttribute,
      sym_msAttribute,
      aux_sym__milestoneAttributes_repeat1,
    ACTIONS(7266), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33179] = 8,
    ACTIONS(5020), 1,
      anon_sym_x_DASH,
    ACTIONS(7198), 1,
      anon_sym_DQUOTE,
    ACTIONS(7200), 1,
      sym_customAttributeName,
    ACTIONS(7202), 1,
      sym_attributeValue,
    ACTIONS(7204), 1,
      anon_sym_PIPE,
    STATE(2526), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    STATE(1740), 4,
      sym_customAttribute,
      sym_defaultAttribute,
      sym_linkAttribute,
      aux_sym__attributesInCrossref_repeat1,
    ACTIONS(7206), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33213] = 7,
    ACTIONS(7447), 1,
      sym_customAttributeName,
    ACTIONS(7450), 1,
      anon_sym_gloss,
    ACTIONS(7456), 1,
      anon_sym_x_DASH,
    ACTIONS(7445), 2,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
    STATE(2526), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    STATE(1777), 4,
      sym_customAttribute,
      sym_glossAttribute,
      sym_linkAttribute,
      aux_sym__rbAttributes_repeat1,
    ACTIONS(7453), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33245] = 8,
    ACTIONS(5014), 1,
      sym_customAttributeName,
    ACTIONS(5016), 1,
      anon_sym_PIPE,
    ACTIONS(5020), 1,
      anon_sym_x_DASH,
    ACTIONS(7459), 1,
      anon_sym_DQUOTE,
    ACTIONS(7461), 1,
      sym_attributeValue,
    STATE(2937), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    STATE(342), 4,
      sym_customAttribute,
      sym_defaultAttribute,
      sym_linkAttribute,
      aux_sym__attributesInCrossref_repeat1,
    ACTIONS(5018), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33279] = 2,
    ACTIONS(7465), 1,
      anon_sym_x_DASH,
    ACTIONS(7463), 16,
      anon_sym_BSLASHref_STAR,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [33301] = 8,
    ACTIONS(5020), 1,
      anon_sym_x_DASH,
    ACTIONS(7198), 1,
      anon_sym_DQUOTE,
    ACTIONS(7200), 1,
      sym_customAttributeName,
    ACTIONS(7202), 1,
      sym_attributeValue,
    ACTIONS(7467), 1,
      anon_sym_gloss,
    STATE(2526), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    STATE(1782), 4,
      sym_customAttribute,
      sym_glossAttribute,
      sym_linkAttribute,
      aux_sym__rbAttributes_repeat1,
    ACTIONS(7206), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33335] = 2,
    ACTIONS(7471), 1,
      anon_sym_x_DASH,
    ACTIONS(7469), 16,
      anon_sym_BSLASHref_STAR,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [33357] = 7,
    ACTIONS(5020), 1,
      anon_sym_x_DASH,
    ACTIONS(7262), 1,
      sym_customAttributeName,
    ACTIONS(7475), 1,
      anon_sym_gloss,
    ACTIONS(7473), 2,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
    STATE(2526), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    STATE(1777), 4,
      sym_customAttribute,
      sym_glossAttribute,
      sym_linkAttribute,
      aux_sym__rbAttributes_repeat1,
    ACTIONS(7266), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33389] = 2,
    ACTIONS(7479), 1,
      anon_sym_x_DASH,
    ACTIONS(7477), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [33410] = 2,
    ACTIONS(7483), 1,
      anon_sym_x_DASH,
    ACTIONS(7481), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [33431] = 2,
    ACTIONS(7487), 1,
      anon_sym_x_DASH,
    ACTIONS(7485), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [33452] = 2,
    ACTIONS(7491), 1,
      anon_sym_x_DASH,
    ACTIONS(7489), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [33473] = 2,
    ACTIONS(7495), 1,
      anon_sym_x_DASH,
    ACTIONS(7493), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [33494] = 2,
    ACTIONS(7499), 1,
      anon_sym_x_DASH,
    ACTIONS(7497), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [33515] = 2,
    ACTIONS(7503), 1,
      anon_sym_x_DASH,
    ACTIONS(7501), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [33536] = 2,
    ACTIONS(7507), 1,
      anon_sym_x_DASH,
    ACTIONS(7505), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [33557] = 2,
    ACTIONS(7511), 1,
      anon_sym_x_DASH,
    ACTIONS(7509), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [33578] = 2,
    ACTIONS(7515), 1,
      anon_sym_x_DASH,
    ACTIONS(7513), 15,
      anon_sym_BSLASHfig_STAR,
      sym_customAttributeName,
      anon_sym_PIPE,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_alt,
      anon_sym_src,
      anon_sym_size,
      anon_sym_loc,
      anon_sym_copy,
      anon_sym_ref,
  [33599] = 4,
    ACTIONS(7519), 1,
      anon_sym_BSLASHxt_STAR,
    ACTIONS(7521), 1,
      anon_sym_PIPE,
    STATE(1808), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
    ACTIONS(7517), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33623] = 2,
    ACTIONS(7525), 1,
      anon_sym_x_DASH,
    ACTIONS(7523), 12,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      sym_customAttributeName,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33641] = 2,
    ACTIONS(7529), 1,
      anon_sym_x_DASH,
    ACTIONS(7527), 12,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      sym_customAttributeName,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33659] = 5,
    ACTIONS(7536), 1,
      anon_sym_x_DASH,
    ACTIONS(7531), 2,
      anon_sym_BSLASHjmp_STAR,
      anon_sym_BSLASH_PLUSjmp_STAR,
    STATE(1796), 2,
      sym_linkAttribute,
      aux_sym__jmpAttribute_repeat1,
    STATE(2904), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7533), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33683] = 2,
    ACTIONS(7541), 1,
      anon_sym_x_DASH,
    ACTIONS(7539), 12,
      anon_sym_BSLASH_STAR,
      sym__zSpaceClose,
      sym_customAttributeName,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
  [33701] = 2,
    ACTIONS(7545), 1,
      anon_sym_x_DASH,
    ACTIONS(7543), 12,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      sym_customAttributeName,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33719] = 2,
    ACTIONS(7549), 1,
      anon_sym_x_DASH,
    ACTIONS(7547), 12,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      sym_customAttributeName,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33737] = 5,
    ACTIONS(7555), 1,
      anon_sym_x_DASH,
    ACTIONS(7551), 2,
      anon_sym_BSLASHjmp_STAR,
      anon_sym_BSLASH_PLUSjmp_STAR,
    STATE(1796), 2,
      sym_linkAttribute,
      aux_sym__jmpAttribute_repeat1,
    STATE(2904), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7553), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33761] = 2,
    ACTIONS(7559), 1,
      anon_sym_x_DASH,
    ACTIONS(7557), 12,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      sym_customAttributeName,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33779] = 2,
    ACTIONS(7563), 1,
      anon_sym_x_DASH,
    ACTIONS(7561), 12,
      anon_sym_BSLASHw_STAR,
      anon_sym_BSLASH_PLUSw_STAR,
      sym_customAttributeName,
      anon_sym_lemma,
      anon_sym_strong,
      anon_sym_srcloc,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33797] = 2,
    ACTIONS(7567), 1,
      anon_sym_x_DASH,
    ACTIONS(7565), 12,
      anon_sym_BSLASH_STAR,
      sym__zSpaceClose,
      sym_customAttributeName,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_sid,
      anon_sym_eid,
      anon_sym_who,
  [33815] = 5,
    ACTIONS(7555), 1,
      anon_sym_x_DASH,
    ACTIONS(7569), 2,
      anon_sym_BSLASHjmp_STAR,
      anon_sym_BSLASH_PLUSjmp_STAR,
    STATE(1800), 2,
      sym_linkAttribute,
      aux_sym__jmpAttribute_repeat1,
    STATE(2904), 2,
      sym__linkAttributeName,
      sym__linkAttributeUserDefinedName,
    ACTIONS(7553), 6,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [33839] = 7,
    ACTIONS(2174), 1,
      anon_sym_BSLASHli,
    ACTIONS(2176), 1,
      anon_sym_BSLASHlim,
    STATE(55), 1,
      sym_limTag,
    STATE(56), 1,
      sym_liTag,
    STATE(1271), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    STATE(1275), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    STATE(1166), 4,
      sym__listMarker,
      sym_liBlock,
      sym_limBlock,
      aux_sym_list_repeat1,
  [33866] = 2,
    ACTIONS(7573), 1,
      anon_sym_BSLASHxot_STAR,
    ACTIONS(7571), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33883] = 2,
    ACTIONS(7577), 1,
      anon_sym_BSLASHxdc_STAR,
    ACTIONS(7575), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33900] = 2,
    ACTIONS(7581), 1,
      anon_sym_BSLASHxt_STAR,
    ACTIONS(7579), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33917] = 2,
    ACTIONS(7585), 1,
      anon_sym_BSLASHxnt_STAR,
    ACTIONS(7583), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33934] = 2,
    ACTIONS(7589), 1,
      anon_sym_BSLASHxop_STAR,
    ACTIONS(7587), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33951] = 2,
    ACTIONS(7593), 1,
      anon_sym_BSLASHxta_STAR,
    ACTIONS(7591), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33968] = 2,
    ACTIONS(7597), 1,
      anon_sym_BSLASHxq_STAR,
    ACTIONS(7595), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [33985] = 2,
    ACTIONS(7601), 1,
      anon_sym_BSLASHxk_STAR,
    ACTIONS(7599), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [34002] = 2,
    ACTIONS(7605), 1,
      anon_sym_BSLASHxo_STAR,
    ACTIONS(7603), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [34019] = 7,
    ACTIONS(2845), 1,
      anon_sym_BSLASHli,
    ACTIONS(2847), 1,
      anon_sym_BSLASHlim,
    STATE(74), 1,
      sym_limTag,
    STATE(75), 1,
      sym_liTag,
    STATE(1502), 2,
      sym_li,
      aux_sym_liBlock_repeat1,
    STATE(1523), 2,
      sym_lim,
      aux_sym_limBlock_repeat1,
    STATE(1244), 4,
      sym__listMarker,
      sym_liBlock,
      sym_limBlock,
      aux_sym_list_repeat1,
  [34046] = 1,
    ACTIONS(7607), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [34060] = 1,
    ACTIONS(7609), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [34074] = 1,
    ACTIONS(7611), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [34088] = 1,
    ACTIONS(7579), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [34102] = 1,
    ACTIONS(7613), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [34116] = 2,
    ACTIONS(7617), 1,
      anon_sym_x_DASH,
    ACTIONS(7615), 10,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
      sym_customAttributeName,
      anon_sym_gloss,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [34132] = 1,
    ACTIONS(7619), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [34146] = 1,
    ACTIONS(7621), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [34160] = 1,
    ACTIONS(7623), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [34174] = 2,
    ACTIONS(7627), 1,
      anon_sym_x_DASH,
    ACTIONS(7625), 10,
      anon_sym_BSLASHrb_STAR,
      anon_sym_BSLASH_PLUSrb_STAR,
      sym_customAttributeName,
      anon_sym_gloss,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
  [34190] = 1,
    ACTIONS(7629), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [34204] = 1,
    ACTIONS(7631), 11,
      anon_sym_BSLASHx_STAR,
      anon_sym_BSLASHxo,
      anon_sym_BSLASHxk,
      anon_sym_BSLASHxq,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHxta,
      anon_sym_BSLASHxop,
      anon_sym_BSLASHxot,
      anon_sym_BSLASHxnt,
      anon_sym_BSLASHxdc,
      anon_sym_BSLASHcat,
  [34218] = 8,
    ACTIONS(5574), 1,
      anon_sym_BSLASHc,
    ACTIONS(5576), 1,
      anon_sym_BSLASHcl,
    ACTIONS(5926), 1,
      ts_builtin_sym_end,
    ACTIONS(7633), 1,
      anon_sym_BSLASHie,
    STATE(153), 1,
      sym_c,
    STATE(1839), 1,
      sym_ie,
    STATE(2062), 1,
      sym_cl,
    STATE(1847), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [34244] = 1,
    ACTIONS(6994), 9,
      anon_sym_BSLASHjmp_STAR,
      anon_sym_BSLASH_PLUSjmp_STAR,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_x_DASH,
  [34256] = 8,
    ACTIONS(5574), 1,
      anon_sym_BSLASHc,
    ACTIONS(5576), 1,
      anon_sym_BSLASHcl,
    ACTIONS(6004), 1,
      ts_builtin_sym_end,
    ACTIONS(7633), 1,
      anon_sym_BSLASHie,
    STATE(153), 1,
      sym_c,
    STATE(1846), 1,
      sym_ie,
    STATE(2062), 1,
      sym_cl,
    STATE(1841), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [34282] = 1,
    ACTIONS(6992), 9,
      anon_sym_BSLASHjmp_STAR,
      anon_sym_BSLASH_PLUSjmp_STAR,
      anon_sym_link_DASHhref,
      anon_sym_link_DASHtitle,
      anon_sym_link_DASHid,
      anon_sym_href,
      anon_sym_title,
      anon_sym_id,
      anon_sym_x_DASH,
  [34294] = 8,
    ACTIONS(5574), 1,
      anon_sym_BSLASHc,
    ACTIONS(5576), 1,
      anon_sym_BSLASHcl,
    ACTIONS(7633), 1,
      anon_sym_BSLASHie,
    ACTIONS(7635), 1,
      ts_builtin_sym_end,
    STATE(153), 1,
      sym_c,
    STATE(1844), 1,
      sym_ie,
    STATE(2062), 1,
      sym_cl,
    STATE(1845), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [34320] = 2,
    ACTIONS(7637), 1,
      aux_sym_text_token1,
    ACTIONS(7639), 7,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
  [34333] = 2,
    ACTIONS(7641), 1,
      aux_sym_text_token1,
    ACTIONS(7643), 7,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
  [34346] = 4,
    ACTIONS(5542), 1,
      anon_sym_BSLASHimte,
    STATE(1125), 1,
      sym_imteTag,
    STATE(1836), 2,
      sym_imte,
      aux_sym_imteBlock_repeat1,
    ACTIONS(7645), 4,
      ts_builtin_sym_end,
      anon_sym_BSLASHie,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
  [34363] = 4,
    ACTIONS(7649), 1,
      anon_sym_BSLASHimte,
    STATE(1125), 1,
      sym_imteTag,
    STATE(1836), 2,
      sym_imte,
      aux_sym_imteBlock_repeat1,
    ACTIONS(7647), 4,
      ts_builtin_sym_end,
      anon_sym_BSLASHie,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
  [34380] = 2,
    ACTIONS(7652), 1,
      aux_sym_text_token1,
    ACTIONS(7654), 7,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
  [34393] = 2,
    ACTIONS(7656), 1,
      aux_sym_text_token1,
    ACTIONS(7658), 7,
      anon_sym_BSLASHf,
      anon_sym_BSLASHfe,
      anon_sym_BSLASHef,
      anon_sym_BSLASHfm,
      anon_sym_BSLASHx,
      anon_sym_BSLASHxt,
      anon_sym_BSLASHrq,
  [34406] = 6,
    ACTIONS(5574), 1,
      anon_sym_BSLASHc,
    ACTIONS(5576), 1,
      anon_sym_BSLASHcl,
    ACTIONS(6004), 1,
      ts_builtin_sym_end,
    STATE(153), 1,
      sym_c,
    STATE(2062), 1,
      sym_cl,
    STATE(1841), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [34426] = 6,
    ACTIONS(5574), 1,
      anon_sym_BSLASHc,
    ACTIONS(5576), 1,
      anon_sym_BSLASHcl,
    ACTIONS(5926), 1,
      ts_builtin_sym_end,
    STATE(153), 1,
      sym_c,
    STATE(2062), 1,
      sym_cl,
    STATE(1847), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [34446] = 6,
    ACTIONS(5574), 1,
      anon_sym_BSLASHc,
    ACTIONS(5576), 1,
      anon_sym_BSLASHcl,
    ACTIONS(7635), 1,
      ts_builtin_sym_end,
    STATE(153), 1,
      sym_c,
    STATE(2062), 1,
      sym_cl,
    STATE(1843), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [34466] = 6,
    ACTIONS(5574), 1,
      anon_sym_BSLASHc,
    ACTIONS(5576), 1,
      anon_sym_BSLASHcl,
    ACTIONS(5926), 1,
      ts_builtin_sym_end,
    STATE(153), 1,
      sym_c,
    STATE(2062), 1,
      sym_cl,
    STATE(1843), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [34486] = 6,
    ACTIONS(7660), 1,
      ts_builtin_sym_end,
    ACTIONS(7662), 1,
      anon_sym_BSLASHc,
    ACTIONS(7665), 1,
      anon_sym_BSLASHcl,
    STATE(153), 1,
      sym_c,
    STATE(2062), 1,
      sym_cl,
    STATE(1843), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [34506] = 6,
    ACTIONS(5574), 1,
      anon_sym_BSLASHc,
    ACTIONS(5576), 1,
      anon_sym_BSLASHcl,
    ACTIONS(7668), 1,
      ts_builtin_sym_end,
    STATE(153), 1,
      sym_c,
    STATE(2062), 1,
      sym_cl,
    STATE(1848), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [34526] = 6,
    ACTIONS(5574), 1,
      anon_sym_BSLASHc,
    ACTIONS(5576), 1,
      anon_sym_BSLASHcl,
    ACTIONS(7668), 1,
      ts_builtin_sym_end,
    STATE(153), 1,
      sym_c,
    STATE(2062), 1,
      sym_cl,
    STATE(1843), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [34546] = 6,
    ACTIONS(5574), 1,
      anon_sym_BSLASHc,
    ACTIONS(5576), 1,
      anon_sym_BSLASHcl,
    ACTIONS(7635), 1,
      ts_builtin_sym_end,
    STATE(153), 1,
      sym_c,
    STATE(2062), 1,
      sym_cl,
    STATE(1845), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [34566] = 6,
    ACTIONS(5574), 1,
      anon_sym_BSLASHc,
    ACTIONS(5576), 1,
      anon_sym_BSLASHcl,
    ACTIONS(6004), 1,
      ts_builtin_sym_end,
    STATE(153), 1,
      sym_c,
    STATE(2062), 1,
      sym_cl,
    STATE(1843), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [34586] = 6,
    ACTIONS(5574), 1,
      anon_sym_BSLASHc,
    ACTIONS(5576), 1,
      anon_sym_BSLASHcl,
    ACTIONS(7670), 1,
      ts_builtin_sym_end,
    STATE(153), 1,
      sym_c,
    STATE(2062), 1,
      sym_cl,
    STATE(1843), 2,
      sym_chapter,
      aux_sym_File_repeat2,
  [34606] = 4,
    ACTIONS(7264), 1,
      anon_sym_PIPE,
    ACTIONS(7672), 1,
      anon_sym_BSLASHk_STAR,
    ACTIONS(7674), 1,
      anon_sym_key,
    STATE(2223), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [34621] = 5,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    ACTIONS(7678), 1,
      anon_sym_BSLASHfig_STAR,
    ACTIONS(7680), 1,
      anon_sym_PIPE,
    STATE(1917), 1,
      sym_text,
    STATE(2352), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34638] = 4,
    ACTIONS(7264), 1,
      anon_sym_PIPE,
    ACTIONS(7674), 1,
      anon_sym_key,
    ACTIONS(7682), 1,
      anon_sym_BSLASHk_STAR,
    STATE(2156), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [34653] = 4,
    ACTIONS(7264), 1,
      anon_sym_PIPE,
    ACTIONS(7674), 1,
      anon_sym_key,
    ACTIONS(7684), 1,
      anon_sym_BSLASHk_STAR,
    STATE(2228), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [34668] = 5,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    ACTIONS(7680), 1,
      anon_sym_PIPE,
    ACTIONS(7686), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(1927), 1,
      sym_text,
    STATE(2308), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34685] = 4,
    ACTIONS(7264), 1,
      anon_sym_PIPE,
    ACTIONS(7674), 1,
      anon_sym_key,
    ACTIONS(7688), 1,
      anon_sym_BSLASHk_STAR,
    STATE(2367), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [34700] = 5,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    ACTIONS(7680), 1,
      anon_sym_PIPE,
    ACTIONS(7690), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(1891), 1,
      sym_text,
    STATE(2244), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34717] = 4,
    ACTIONS(7264), 1,
      anon_sym_PIPE,
    ACTIONS(7674), 1,
      anon_sym_key,
    ACTIONS(7692), 1,
      anon_sym_BSLASHk_STAR,
    STATE(2289), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [34732] = 4,
    ACTIONS(7264), 1,
      anon_sym_PIPE,
    ACTIONS(7674), 1,
      anon_sym_key,
    ACTIONS(7694), 1,
      anon_sym_BSLASHk_STAR,
    STATE(2353), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [34747] = 5,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    ACTIONS(7680), 1,
      anon_sym_PIPE,
    ACTIONS(7696), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(1892), 1,
      sym_text,
    STATE(2475), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34764] = 5,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    ACTIONS(7680), 1,
      anon_sym_PIPE,
    ACTIONS(7698), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(1932), 1,
      sym_text,
    STATE(2439), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34781] = 4,
    ACTIONS(7264), 1,
      anon_sym_PIPE,
    ACTIONS(7674), 1,
      anon_sym_key,
    ACTIONS(7700), 1,
      anon_sym_BSLASHk_STAR,
    STATE(2417), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [34796] = 4,
    ACTIONS(7264), 1,
      anon_sym_PIPE,
    ACTIONS(7674), 1,
      anon_sym_key,
    ACTIONS(7702), 1,
      anon_sym_BSLASHk_STAR,
    STATE(2804), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [34811] = 5,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    ACTIONS(7680), 1,
      anon_sym_PIPE,
    ACTIONS(7704), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(1933), 1,
      sym_text,
    STATE(2172), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34828] = 5,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    ACTIONS(7680), 1,
      anon_sym_PIPE,
    ACTIONS(7706), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(1886), 1,
      sym_text,
    STATE(2177), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34845] = 5,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    ACTIONS(7680), 1,
      anon_sym_PIPE,
    ACTIONS(7708), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(1897), 1,
      sym_text,
    STATE(2372), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34862] = 4,
    ACTIONS(7264), 1,
      anon_sym_PIPE,
    ACTIONS(7674), 1,
      anon_sym_key,
    ACTIONS(7710), 1,
      anon_sym_BSLASHk_STAR,
    STATE(2521), 3,
      sym_defaultAttribute,
      sym__kAttributes,
      sym_keyAttribute,
  [34877] = 5,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    ACTIONS(7680), 1,
      anon_sym_PIPE,
    ACTIONS(7712), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(1909), 1,
      sym_text,
    STATE(2423), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34894] = 5,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    ACTIONS(7680), 1,
      anon_sym_PIPE,
    ACTIONS(7714), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(1916), 1,
      sym_text,
    STATE(2538), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34911] = 5,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    ACTIONS(7680), 1,
      anon_sym_PIPE,
    ACTIONS(7716), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(1925), 1,
      sym_text,
    STATE(2713), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [34928] = 5,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    ACTIONS(7718), 1,
      anon_sym_BSLASHjmp_STAR,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    STATE(1947), 1,
      sym_text,
    STATE(2535), 1,
      sym__jmpAttribute,
  [34944] = 5,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7722), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(1952), 1,
      sym_text,
    STATE(2163), 1,
      sym__jmpAttribute,
  [34960] = 5,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(1966), 1,
      sym_text,
    STATE(2222), 1,
      sym__jmpAttribute,
  [34976] = 5,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7726), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(1970), 1,
      sym_text,
    STATE(2474), 1,
      sym__jmpAttribute,
  [34992] = 5,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7728), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(1969), 1,
      sym_text,
    STATE(2710), 1,
      sym__jmpAttribute,
  [35008] = 5,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7730), 1,
      anon_sym_BSLASH_PLUSjmp_STAR,
    STATE(1980), 1,
      sym_text,
    STATE(2657), 1,
      sym__jmpAttribute,
  [35024] = 5,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_BSLASH_PLUSjmp_STAR,
    STATE(1979), 1,
      sym_text,
    STATE(2434), 1,
      sym__jmpAttribute,
  [35040] = 5,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7734), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(1965), 1,
      sym_text,
    STATE(2310), 1,
      sym__jmpAttribute,
  [35056] = 5,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7736), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(1960), 1,
      sym_text,
    STATE(2246), 1,
      sym__jmpAttribute,
  [35072] = 5,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7738), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(1953), 1,
      sym_text,
    STATE(2179), 1,
      sym__jmpAttribute,
  [35088] = 5,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7740), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(1972), 1,
      sym_text,
    STATE(2374), 1,
      sym__jmpAttribute,
  [35104] = 3,
    ACTIONS(7742), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7744), 1,
      anon_sym_PIPE,
    STATE(2186), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [35115] = 3,
    ACTIONS(7746), 1,
      anon_sym_BSLASHref_STAR,
    ACTIONS(7748), 1,
      anon_sym_PIPE,
    STATE(2307), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [35126] = 3,
    ACTIONS(7748), 1,
      anon_sym_PIPE,
    ACTIONS(7750), 1,
      anon_sym_BSLASHref_STAR,
    STATE(2382), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [35137] = 3,
    ACTIONS(7744), 1,
      anon_sym_PIPE,
    ACTIONS(7752), 1,
      anon_sym_BSLASH_STAR,
    STATE(2237), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [35148] = 3,
    ACTIONS(6006), 1,
      aux_sym_text_token1,
    ACTIONS(7754), 1,
      anon_sym_BSLASHqac_STAR,
    STATE(1901), 2,
      sym_text,
      aux_sym_qa_repeat1,
  [35159] = 3,
    ACTIONS(7756), 1,
      anon_sym_BSLASHw_STAR,
    ACTIONS(7758), 1,
      anon_sym_PIPE,
    STATE(2219), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [35170] = 3,
    ACTIONS(7760), 1,
      anon_sym_BSLASHfig_STAR,
    ACTIONS(7762), 1,
      anon_sym_PIPE,
    STATE(2217), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [35181] = 3,
    ACTIONS(7758), 1,
      anon_sym_PIPE,
    ACTIONS(7764), 1,
      anon_sym_BSLASHw_STAR,
    STATE(2519), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [35192] = 3,
    ACTIONS(7748), 1,
      anon_sym_PIPE,
    ACTIONS(7766), 1,
      anon_sym_BSLASHref_STAR,
    STATE(2254), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [35203] = 3,
    ACTIONS(7521), 1,
      anon_sym_PIPE,
    ACTIONS(7768), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2255), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [35214] = 3,
    ACTIONS(7744), 1,
      anon_sym_PIPE,
    ACTIONS(7770), 1,
      anon_sym_BSLASH_STAR,
    STATE(2365), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [35225] = 3,
    ACTIONS(7762), 1,
      anon_sym_PIPE,
    ACTIONS(7772), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2283), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [35236] = 3,
    ACTIONS(7762), 1,
      anon_sym_PIPE,
    ACTIONS(7774), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2387), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [35247] = 3,
    ACTIONS(6006), 1,
      aux_sym_text_token1,
    ACTIONS(7776), 1,
      anon_sym_BSLASHqac_STAR,
    STATE(1935), 2,
      sym_text,
      aux_sym_qa_repeat1,
  [35258] = 3,
    ACTIONS(7748), 1,
      anon_sym_PIPE,
    ACTIONS(7778), 1,
      anon_sym_BSLASHref_STAR,
    STATE(2449), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [35269] = 3,
    ACTIONS(7521), 1,
      anon_sym_PIPE,
    ACTIONS(7780), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2469), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [35280] = 3,
    ACTIONS(6006), 1,
      aux_sym_text_token1,
    ACTIONS(7782), 1,
      anon_sym_BSLASHqac_STAR,
    STATE(1942), 2,
      sym_text,
      aux_sym_qa_repeat1,
  [35291] = 3,
    ACTIONS(7762), 1,
      anon_sym_PIPE,
    ACTIONS(7784), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2411), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [35302] = 3,
    ACTIONS(7758), 1,
      anon_sym_PIPE,
    ACTIONS(7786), 1,
      anon_sym_BSLASHw_STAR,
    STATE(2419), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [35313] = 3,
    ACTIONS(7758), 1,
      anon_sym_PIPE,
    ACTIONS(7788), 1,
      anon_sym_BSLASHw_STAR,
    STATE(2363), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [35324] = 3,
    ACTIONS(7521), 1,
      anon_sym_PIPE,
    ACTIONS(7790), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2350), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [35335] = 3,
    ACTIONS(6006), 1,
      aux_sym_text_token1,
    ACTIONS(7792), 1,
      anon_sym_BSLASHqac_STAR,
    STATE(1939), 2,
      sym_text,
      aux_sym_qa_repeat1,
  [35346] = 3,
    ACTIONS(7748), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_BSLASHref_STAR,
    STATE(2188), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [35357] = 3,
    ACTIONS(7744), 1,
      anon_sym_PIPE,
    ACTIONS(7796), 1,
      anon_sym_BSLASH_STAR,
    STATE(2358), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [35368] = 3,
    ACTIONS(7748), 1,
      anon_sym_PIPE,
    ACTIONS(7798), 1,
      anon_sym_BSLASHref_STAR,
    STATE(2467), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [35379] = 3,
    ACTIONS(7758), 1,
      anon_sym_PIPE,
    ACTIONS(7800), 1,
      anon_sym_BSLASHw_STAR,
    STATE(2806), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [35390] = 3,
    ACTIONS(7758), 1,
      anon_sym_PIPE,
    ACTIONS(7802), 1,
      anon_sym_BSLASHw_STAR,
    STATE(2225), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [35401] = 3,
    ACTIONS(7744), 1,
      anon_sym_PIPE,
    ACTIONS(7804), 1,
      anon_sym_BSLASH_STAR,
    STATE(2794), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [35412] = 3,
    ACTIONS(7521), 1,
      anon_sym_PIPE,
    ACTIONS(7806), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2430), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [35423] = 3,
    ACTIONS(7762), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2431), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [35434] = 3,
    ACTIONS(7748), 1,
      anon_sym_PIPE,
    ACTIONS(7810), 1,
      anon_sym_BSLASHref_STAR,
    STATE(2165), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [35445] = 3,
    ACTIONS(7521), 1,
      anon_sym_PIPE,
    ACTIONS(7812), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2383), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [35456] = 3,
    ACTIONS(7521), 1,
      anon_sym_PIPE,
    ACTIONS(7814), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2189), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [35467] = 3,
    ACTIONS(7748), 1,
      anon_sym_PIPE,
    ACTIONS(7816), 1,
      anon_sym_BSLASHref_STAR,
    STATE(2658), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [35478] = 3,
    ACTIONS(7521), 1,
      anon_sym_PIPE,
    ACTIONS(7818), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2432), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [35489] = 3,
    ACTIONS(7521), 1,
      anon_sym_PIPE,
    ACTIONS(7820), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2306), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [35500] = 3,
    ACTIONS(7762), 1,
      anon_sym_PIPE,
    ACTIONS(7822), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2323), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [35511] = 3,
    ACTIONS(7762), 1,
      anon_sym_PIPE,
    ACTIONS(7824), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2232), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [35522] = 3,
    ACTIONS(7521), 1,
      anon_sym_PIPE,
    ACTIONS(7826), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2656), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [35533] = 3,
    ACTIONS(7521), 1,
      anon_sym_PIPE,
    ACTIONS(7828), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2166), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [35544] = 3,
    ACTIONS(7758), 1,
      anon_sym_PIPE,
    ACTIONS(7830), 1,
      anon_sym_BSLASHw_STAR,
    STATE(2355), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [35555] = 3,
    ACTIONS(7832), 1,
      anon_sym_BSLASH_PLUSrb_STAR,
    ACTIONS(7834), 1,
      anon_sym_PIPE,
    STATE(2817), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [35566] = 3,
    ACTIONS(7758), 1,
      anon_sym_PIPE,
    ACTIONS(7836), 1,
      anon_sym_BSLASH_PLUSw_STAR,
    STATE(2818), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [35577] = 3,
    ACTIONS(7834), 1,
      anon_sym_PIPE,
    ACTIONS(7838), 1,
      anon_sym_BSLASH_PLUSrb_STAR,
    STATE(2491), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [35588] = 3,
    ACTIONS(7758), 1,
      anon_sym_PIPE,
    ACTIONS(7840), 1,
      anon_sym_BSLASH_PLUSw_STAR,
    STATE(2490), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [35599] = 3,
    ACTIONS(7762), 1,
      anon_sym_PIPE,
    ACTIONS(7842), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2621), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [35610] = 3,
    ACTIONS(7744), 1,
      anon_sym_PIPE,
    ACTIONS(7844), 1,
      anon_sym_BSLASH_STAR,
    STATE(2721), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [35621] = 3,
    ACTIONS(7762), 1,
      anon_sym_PIPE,
    ACTIONS(7846), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2347), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [35632] = 3,
    ACTIONS(7758), 1,
      anon_sym_PIPE,
    ACTIONS(7848), 1,
      anon_sym_BSLASHw_STAR,
    STATE(2291), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [35643] = 3,
    ACTIONS(7521), 1,
      anon_sym_PIPE,
    ACTIONS(7850), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2319), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [35654] = 3,
    ACTIONS(7748), 1,
      anon_sym_PIPE,
    ACTIONS(7852), 1,
      anon_sym_BSLASHref_STAR,
    STATE(2318), 2,
      sym_defaultAttribute,
      sym__refAttributes,
  [35665] = 3,
    ACTIONS(7744), 1,
      anon_sym_PIPE,
    ACTIONS(7854), 1,
      anon_sym_BSLASH_STAR,
    STATE(2486), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [35676] = 3,
    ACTIONS(7762), 1,
      anon_sym_PIPE,
    ACTIONS(7856), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2447), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [35687] = 3,
    ACTIONS(7762), 1,
      anon_sym_PIPE,
    ACTIONS(7858), 1,
      anon_sym_BSLASHfig_STAR,
    STATE(2150), 2,
      sym_defaultAttribute,
      sym__figAttributes,
  [35698] = 3,
    ACTIONS(7521), 1,
      anon_sym_PIPE,
    ACTIONS(7860), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2459), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [35709] = 3,
    ACTIONS(6006), 1,
      aux_sym_text_token1,
    ACTIONS(7862), 1,
      anon_sym_BSLASHqac_STAR,
    STATE(1939), 2,
      sym_text,
      aux_sym_qa_repeat1,
  [35720] = 3,
    ACTIONS(7521), 1,
      anon_sym_PIPE,
    ACTIONS(7864), 1,
      anon_sym_BSLASHxt_STAR,
    STATE(2446), 2,
      sym_defaultAttribute,
      sym__attributesInCrossref,
  [35731] = 4,
    ACTIONS(7198), 1,
      anon_sym_DQUOTE,
    ACTIONS(7202), 1,
      sym_attributeValue,
    ACTIONS(7214), 1,
      anon_sym_loc,
    STATE(2672), 1,
      sym_locAttribute,
  [35744] = 3,
    ACTIONS(7758), 1,
      anon_sym_PIPE,
    ACTIONS(7866), 1,
      anon_sym_BSLASHw_STAR,
    STATE(2158), 2,
      sym_defaultAttribute,
      sym__wAttributes,
  [35755] = 3,
    ACTIONS(6745), 1,
      anon_sym_BSLASHqac_STAR,
    ACTIONS(7868), 1,
      aux_sym_text_token1,
    STATE(1939), 2,
      sym_text,
      aux_sym_qa_repeat1,
  [35766] = 3,
    ACTIONS(7744), 1,
      anon_sym_PIPE,
    ACTIONS(7871), 1,
      anon_sym_BSLASH_STAR,
    STATE(2301), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [35777] = 3,
    ACTIONS(7744), 1,
      anon_sym_PIPE,
    ACTIONS(7873), 1,
      anon_sym_BSLASH_STAR,
    STATE(2170), 2,
      sym_defaultAttribute,
      sym__milestoneAttributes,
  [35788] = 3,
    ACTIONS(6006), 1,
      aux_sym_text_token1,
    ACTIONS(7875), 1,
      anon_sym_BSLASHqac_STAR,
    STATE(1939), 2,
      sym_text,
      aux_sym_qa_repeat1,
  [35799] = 2,
    ACTIONS(7834), 1,
      anon_sym_PIPE,
    STATE(2354), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [35807] = 2,
    ACTIONS(7879), 1,
      sym_numberedLevelMax5,
    ACTIONS(7877), 2,
      sym__spaceOrLine,
      anon_sym_STAR,
  [35815] = 3,
    ACTIONS(6613), 1,
      anon_sym_PIPE,
    ACTIONS(7881), 1,
      anon_sym_BSLASH_STAR,
    STATE(2485), 1,
      sym__milestoneAttributes,
  [35825] = 3,
    ACTIONS(6613), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_BSLASH_STAR,
    STATE(2483), 1,
      sym__milestoneAttributes,
  [35835] = 3,
    ACTIONS(7885), 1,
      anon_sym_BSLASHjmp_STAR,
    ACTIONS(7887), 1,
      anon_sym_PIPE,
    STATE(2343), 1,
      sym__jmpAttribute,
  [35845] = 2,
    ACTIONS(7834), 1,
      anon_sym_PIPE,
    STATE(2520), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [35853] = 2,
    ACTIONS(7834), 1,
      anon_sym_PIPE,
    STATE(2364), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [35861] = 3,
    ACTIONS(6613), 1,
      anon_sym_PIPE,
    ACTIONS(7889), 1,
      anon_sym_BSLASH_STAR,
    STATE(2173), 1,
      sym__milestoneAttributes,
  [35871] = 3,
    ACTIONS(6613), 1,
      anon_sym_PIPE,
    ACTIONS(7891), 1,
      anon_sym_BSLASH_STAR,
    STATE(2171), 1,
      sym__milestoneAttributes,
  [35881] = 3,
    ACTIONS(7887), 1,
      anon_sym_PIPE,
    ACTIONS(7893), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2151), 1,
      sym__jmpAttribute,
  [35891] = 3,
    ACTIONS(7887), 1,
      anon_sym_PIPE,
    ACTIONS(7895), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2218), 1,
      sym__jmpAttribute,
  [35901] = 3,
    ACTIONS(6613), 1,
      anon_sym_PIPE,
    ACTIONS(7897), 1,
      anon_sym_BSLASH_STAR,
    STATE(2180), 1,
      sym__milestoneAttributes,
  [35911] = 3,
    ACTIONS(6613), 1,
      anon_sym_PIPE,
    ACTIONS(7899), 1,
      anon_sym_BSLASH_STAR,
    STATE(2183), 1,
      sym__milestoneAttributes,
  [35921] = 2,
    ACTIONS(7834), 1,
      anon_sym_PIPE,
    STATE(2805), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [35929] = 1,
    ACTIONS(7901), 3,
      ts_builtin_sym_end,
      anon_sym_BSLASHc,
      anon_sym_BSLASHcl,
  [35935] = 3,
    ACTIONS(6613), 1,
      anon_sym_PIPE,
    ACTIONS(7903), 1,
      anon_sym_BSLASH_STAR,
    STATE(2238), 1,
      sym__milestoneAttributes,
  [35945] = 3,
    ACTIONS(6613), 1,
      anon_sym_PIPE,
    ACTIONS(7905), 1,
      anon_sym_BSLASH_STAR,
    STATE(2240), 1,
      sym__milestoneAttributes,
  [35955] = 3,
    ACTIONS(7887), 1,
      anon_sym_PIPE,
    ACTIONS(7907), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2284), 1,
      sym__jmpAttribute,
  [35965] = 2,
    ACTIONS(7834), 1,
      anon_sym_PIPE,
    STATE(2418), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [35973] = 3,
    ACTIONS(6613), 1,
      anon_sym_PIPE,
    ACTIONS(7909), 1,
      anon_sym_BSLASH_STAR,
    STATE(2302), 1,
      sym__milestoneAttributes,
  [35983] = 3,
    ACTIONS(6613), 1,
      anon_sym_PIPE,
    ACTIONS(7911), 1,
      anon_sym_BSLASH_STAR,
    STATE(2304), 1,
      sym__milestoneAttributes,
  [35993] = 3,
    ACTIONS(6613), 1,
      anon_sym_PIPE,
    ACTIONS(7913), 1,
      anon_sym_BSLASH_STAR,
    STATE(2627), 1,
      sym__milestoneAttributes,
  [36003] = 3,
    ACTIONS(7887), 1,
      anon_sym_PIPE,
    ACTIONS(7915), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2348), 1,
      sym__jmpAttribute,
  [36013] = 3,
    ACTIONS(7887), 1,
      anon_sym_PIPE,
    ACTIONS(7917), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2231), 1,
      sym__jmpAttribute,
  [36023] = 2,
    ACTIONS(7834), 1,
      anon_sym_PIPE,
    STATE(2157), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [36031] = 3,
    ACTIONS(6613), 1,
      anon_sym_PIPE,
    ACTIONS(7919), 1,
      anon_sym_BSLASH_STAR,
    STATE(2793), 1,
      sym__milestoneAttributes,
  [36041] = 3,
    ACTIONS(7887), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2620), 1,
      sym__jmpAttribute,
  [36051] = 3,
    ACTIONS(7887), 1,
      anon_sym_PIPE,
    ACTIONS(7923), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2380), 1,
      sym__jmpAttribute,
  [36061] = 2,
    ACTIONS(7834), 1,
      anon_sym_PIPE,
    STATE(2224), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [36069] = 3,
    ACTIONS(7887), 1,
      anon_sym_PIPE,
    ACTIONS(7925), 1,
      anon_sym_BSLASHjmp_STAR,
    STATE(2412), 1,
      sym__jmpAttribute,
  [36079] = 3,
    ACTIONS(6613), 1,
      anon_sym_PIPE,
    ACTIONS(7927), 1,
      anon_sym_BSLASH_STAR,
    STATE(2709), 1,
      sym__milestoneAttributes,
  [36089] = 3,
    ACTIONS(6613), 1,
      anon_sym_PIPE,
    ACTIONS(7929), 1,
      anon_sym_BSLASH_STAR,
    STATE(2718), 1,
      sym__milestoneAttributes,
  [36099] = 2,
    ACTIONS(7834), 1,
      anon_sym_PIPE,
    STATE(2178), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [36107] = 3,
    ACTIONS(6613), 1,
      anon_sym_PIPE,
    ACTIONS(7931), 1,
      anon_sym_BSLASH_STAR,
    STATE(2368), 1,
      sym__milestoneAttributes,
  [36117] = 2,
    ACTIONS(7834), 1,
      anon_sym_PIPE,
    STATE(2290), 2,
      sym_defaultAttribute,
      sym__rbAttributes,
  [36125] = 3,
    ACTIONS(6613), 1,
      anon_sym_PIPE,
    ACTIONS(7933), 1,
      anon_sym_BSLASH_STAR,
    STATE(2357), 1,
      sym__milestoneAttributes,
  [36135] = 3,
    ACTIONS(7887), 1,
      anon_sym_PIPE,
    ACTIONS(7935), 1,
      anon_sym_BSLASH_PLUSjmp_STAR,
    STATE(2801), 1,
      sym__jmpAttribute,
  [36145] = 3,
    ACTIONS(7887), 1,
      anon_sym_PIPE,
    ACTIONS(7937), 1,
      anon_sym_BSLASH_PLUSjmp_STAR,
    STATE(2522), 1,
      sym__jmpAttribute,
  [36155] = 3,
    ACTIONS(6613), 1,
      anon_sym_PIPE,
    ACTIONS(7939), 1,
      anon_sym_BSLASH_STAR,
    STATE(2366), 1,
      sym__milestoneAttributes,
  [36165] = 3,
    ACTIONS(6613), 1,
      anon_sym_PIPE,
    ACTIONS(7941), 1,
      anon_sym_BSLASH_STAR,
    STATE(2356), 1,
      sym__milestoneAttributes,
  [36175] = 2,
    ACTIONS(4133), 1,
      aux_sym_text_token1,
    STATE(1404), 1,
      sym_text,
  [36182] = 2,
    ACTIONS(7943), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7945), 1,
      sym__zSpaceClose,
  [36189] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(2309), 1,
      sym_text,
  [36196] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(2714), 1,
      sym_text,
  [36203] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(1913), 1,
      sym_text,
  [36210] = 2,
    ACTIONS(7947), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7949), 1,
      sym__zSpaceClose,
  [36217] = 1,
    ACTIONS(7951), 2,
      sym__spaceOrLine,
      anon_sym_STAR,
  [36222] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(2460), 1,
      sym_text,
  [36229] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(1910), 1,
      sym_text,
  [36236] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(2606), 1,
      sym_text,
  [36243] = 2,
    ACTIONS(7953), 1,
      aux_sym_text_token1,
    STATE(1356), 1,
      sym_text,
  [36250] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(2164), 1,
      sym_text,
  [36257] = 2,
    ACTIONS(7955), 1,
      sym__spaceOrLine,
    ACTIONS(7957), 1,
      sym_numberedLevelMax4,
  [36264] = 2,
    ACTIONS(7959), 1,
      sym__spaceOrLine,
    ACTIONS(7961), 1,
      sym_numberedLevelMax4,
  [36271] = 2,
    ACTIONS(7963), 1,
      sym__spaceOrLine,
    ACTIONS(7965), 1,
      sym_numberedLevelMax3,
  [36278] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(1902), 1,
      sym_text,
  [36285] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(2187), 1,
      sym_text,
  [36292] = 2,
    ACTIONS(7967), 1,
      sym__spaceOrLine,
    ACTIONS(7969), 1,
      sym_numberedLevelMax3,
  [36299] = 2,
    ACTIONS(7971), 1,
      sym__spaceOrLine,
    ACTIONS(7973), 1,
      sym_numberedLevelMax3,
  [36306] = 2,
    ACTIONS(7975), 1,
      sym__spaceOrLine,
    ACTIONS(7977), 1,
      sym_numberedLevelMax3,
  [36313] = 2,
    ACTIONS(7979), 1,
      sym__spaceOrLine,
    ACTIONS(7981), 1,
      sym_numberedLevelMax4,
  [36320] = 2,
    ACTIONS(7953), 1,
      aux_sym_text_token1,
    STATE(1341), 1,
      sym_text,
  [36327] = 2,
    ACTIONS(7953), 1,
      aux_sym_text_token1,
    STATE(1343), 1,
      sym_text,
  [36334] = 2,
    ACTIONS(7983), 1,
      sym_numberedLevelMax5,
    ACTIONS(7985), 1,
      anon_sym_SPACE,
  [36341] = 2,
    ACTIONS(7987), 1,
      sym_numberedLevelMax3,
    ACTIONS(7989), 1,
      anon_sym_SPACE,
  [36348] = 2,
    ACTIONS(7991), 1,
      anon_sym_SPACE,
    ACTIONS(7993), 1,
      aux_sym_imteTag_token1,
  [36355] = 2,
    ACTIONS(7146), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7148), 1,
      sym__zSpaceClose,
  [36362] = 2,
    ACTIONS(7995), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7997), 1,
      sym__zSpaceClose,
  [36369] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(2253), 1,
      sym_text,
  [36376] = 1,
    ACTIONS(7999), 2,
      anon_sym_BSLASH_STAR,
      anon_sym_PIPE,
  [36381] = 2,
    ACTIONS(8001), 1,
      sym_numberedLevelMax4,
    ACTIONS(8003), 1,
      anon_sym_SPACE,
  [36388] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(1930), 1,
      sym_text,
  [36395] = 2,
    ACTIONS(8005), 1,
      sym__spaceOrLine,
    ACTIONS(8007), 1,
      sym_numberedLevelMax4,
  [36402] = 2,
    ACTIONS(8009), 1,
      sym__spaceOrLine,
    ACTIONS(8011), 1,
      sym_numberedLevelMax4,
  [36409] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(2317), 1,
      sym_text,
  [36416] = 2,
    ACTIONS(8013), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8015), 1,
      sym__zSpaceClose,
  [36423] = 2,
    ACTIONS(8017), 1,
      sym__spaceOrLine,
    ACTIONS(8019), 1,
      sym_numberedLevelMax3,
  [36430] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(2587), 1,
      sym_text,
  [36437] = 2,
    ACTIONS(8021), 1,
      sym__spaceOrLine,
    ACTIONS(8023), 1,
      sym_numberedLevelMax3,
  [36444] = 2,
    ACTIONS(8025), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8027), 1,
      sym__zSpaceClose,
  [36451] = 2,
    ACTIONS(8029), 1,
      sym__spaceOrLine,
    ACTIONS(8031), 1,
      sym_numberedLevelMax3,
  [36458] = 2,
    ACTIONS(8033), 1,
      sym__spaceOrLine,
    ACTIONS(8035), 1,
      sym_numberedLevelMax3,
  [36465] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(1882), 1,
      sym_text,
  [36472] = 2,
    ACTIONS(8037), 1,
      sym_numberedLevelMax5,
    ACTIONS(8039), 1,
      anon_sym_SPACE,
  [36479] = 2,
    ACTIONS(8041), 1,
      anon_sym_DQUOTE,
    ACTIONS(8043), 1,
      sym_attributeValue,
  [36486] = 2,
    ACTIONS(6998), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(7000), 1,
      sym__zSpaceClose,
  [36493] = 2,
    ACTIONS(4133), 1,
      aux_sym_text_token1,
    STATE(1406), 1,
      sym_text,
  [36500] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(2381), 1,
      sym_text,
  [36507] = 2,
    ACTIONS(4133), 1,
      aux_sym_text_token1,
    STATE(1405), 1,
      sym_text,
  [36514] = 2,
    ACTIONS(808), 1,
      aux_sym_text_token1,
    STATE(573), 1,
      sym_text,
  [36521] = 2,
    ACTIONS(808), 1,
      aux_sym_text_token1,
    STATE(574), 1,
      sym_text,
  [36528] = 2,
    ACTIONS(808), 1,
      aux_sym_text_token1,
    STATE(577), 1,
      sym_text,
  [36535] = 2,
    ACTIONS(808), 1,
      aux_sym_text_token1,
    STATE(579), 1,
      sym_text,
  [36542] = 2,
    ACTIONS(8045), 1,
      aux_sym_text_token1,
    STATE(1674), 1,
      sym_text,
  [36549] = 2,
    ACTIONS(4133), 1,
      aux_sym_text_token1,
    STATE(1403), 1,
      sym_text,
  [36556] = 2,
    ACTIONS(8047), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8049), 1,
      sym__zSpaceClose,
  [36563] = 2,
    ACTIONS(7953), 1,
      aux_sym_text_token1,
    STATE(1359), 1,
      sym_text,
  [36570] = 2,
    ACTIONS(8045), 1,
      aux_sym_text_token1,
    STATE(1675), 1,
      sym_text,
  [36577] = 2,
    ACTIONS(8045), 1,
      aux_sym_text_token1,
    STATE(1682), 1,
      sym_text,
  [36584] = 2,
    ACTIONS(8045), 1,
      aux_sym_text_token1,
    STATE(1680), 1,
      sym_text,
  [36591] = 2,
    ACTIONS(8045), 1,
      aux_sym_text_token1,
    STATE(1663), 1,
      sym_text,
  [36598] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(1888), 1,
      sym_text,
  [36605] = 2,
    ACTIONS(8045), 1,
      aux_sym_text_token1,
    STATE(1665), 1,
      sym_text,
  [36612] = 2,
    ACTIONS(8051), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8053), 1,
      sym__zSpaceClose,
  [36619] = 2,
    ACTIONS(8045), 1,
      aux_sym_text_token1,
    STATE(1667), 1,
      sym_text,
  [36626] = 2,
    ACTIONS(8055), 1,
      sym_numberedLevelMax3,
    ACTIONS(8057), 1,
      anon_sym_SPACE,
  [36633] = 2,
    ACTIONS(8059), 1,
      sym_numberedLevelMax3,
    ACTIONS(8061), 1,
      anon_sym_SPACE,
  [36640] = 2,
    ACTIONS(8063), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8065), 1,
      sym__zSpaceClose,
  [36647] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(2470), 1,
      sym_text,
  [36654] = 2,
    ACTIONS(8067), 1,
      sym_numberedLevelMax3,
    ACTIONS(8069), 1,
      anon_sym_SPACE,
  [36661] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(1894), 1,
      sym_text,
  [36668] = 2,
    ACTIONS(8045), 1,
      aux_sym_text_token1,
    STATE(1685), 1,
      sym_text,
  [36675] = 2,
    ACTIONS(8071), 1,
      anon_sym_DQUOTE,
    ACTIONS(8073), 1,
      sym_attributeValue,
  [36682] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(1881), 1,
      sym_text,
  [36689] = 2,
    ACTIONS(8075), 1,
      anon_sym_DQUOTE,
    ACTIONS(8077), 1,
      sym_attributeValue,
  [36696] = 2,
    ACTIONS(8079), 1,
      anon_sym_DQUOTE,
    ACTIONS(8081), 1,
      sym_attributeValue,
  [36703] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(2660), 1,
      sym_text,
  [36710] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(2465), 1,
      sym_text,
  [36717] = 2,
    ACTIONS(6609), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(6611), 1,
      sym__zSpaceClose,
  [36724] = 2,
    ACTIONS(5574), 1,
      anon_sym_BSLASHc,
    STATE(150), 1,
      sym_c,
  [36731] = 2,
    ACTIONS(4817), 1,
      aux_sym_text_token1,
    STATE(1495), 1,
      sym_text,
  [36738] = 2,
    ACTIONS(4817), 1,
      aux_sym_text_token1,
    STATE(1496), 1,
      sym_text,
  [36745] = 2,
    ACTIONS(4817), 1,
      aux_sym_text_token1,
    STATE(1498), 1,
      sym_text,
  [36752] = 2,
    ACTIONS(4817), 1,
      aux_sym_text_token1,
    STATE(1499), 1,
      sym_text,
  [36759] = 2,
    ACTIONS(8083), 1,
      anon_sym_DQUOTE,
    ACTIONS(8085), 1,
      sym_attributeValue,
  [36766] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(1904), 1,
      sym_text,
  [36773] = 2,
    ACTIONS(8087), 1,
      sym_numberedLevelMax4,
    ACTIONS(8089), 1,
      anon_sym_SPACE,
  [36780] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(2429), 1,
      sym_text,
  [36787] = 2,
    ACTIONS(8091), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8093), 1,
      sym__zSpaceClose,
  [36794] = 2,
    ACTIONS(7953), 1,
      aux_sym_text_token1,
    STATE(1352), 1,
      sym_text,
  [36801] = 2,
    ACTIONS(8095), 1,
      anon_sym_DQUOTE,
    ACTIONS(8097), 1,
      sym_attributeValue,
  [36808] = 2,
    ACTIONS(8099), 1,
      anon_sym_DQUOTE,
    ACTIONS(8101), 1,
      sym_attributeValue,
  [36815] = 2,
    ACTIONS(8103), 1,
      anon_sym_DQUOTE,
    ACTIONS(8105), 1,
      sym_attributeValue,
  [36822] = 2,
    ACTIONS(8107), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8109), 1,
      sym__zSpaceClose,
  [36829] = 2,
    ACTIONS(8111), 1,
      anon_sym_DQUOTE,
    ACTIONS(8113), 1,
      sym_attributeValue,
  [36836] = 2,
    ACTIONS(8115), 1,
      anon_sym_DQUOTE,
    ACTIONS(8117), 1,
      sym_attributeValue,
  [36843] = 2,
    ACTIONS(8119), 1,
      anon_sym_DQUOTE,
    ACTIONS(8121), 1,
      sym_attributeValue,
  [36850] = 2,
    ACTIONS(8123), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8125), 1,
      sym__zSpaceClose,
  [36857] = 2,
    ACTIONS(8127), 1,
      anon_sym_DQUOTE,
    ACTIONS(8129), 1,
      sym_attributeValue,
  [36864] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(1359), 1,
      sym_text,
  [36871] = 2,
    ACTIONS(508), 1,
      aux_sym_text_token1,
    STATE(498), 1,
      sym_text,
  [36878] = 2,
    ACTIONS(508), 1,
      aux_sym_text_token1,
    STATE(497), 1,
      sym_text,
  [36885] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(2445), 1,
      sym_text,
  [36892] = 2,
    ACTIONS(508), 1,
      aux_sym_text_token1,
    STATE(494), 1,
      sym_text,
  [36899] = 2,
    ACTIONS(508), 1,
      aux_sym_text_token1,
    STATE(509), 1,
      sym_text,
  [36906] = 2,
    ACTIONS(8131), 1,
      anon_sym_DQUOTE,
    ACTIONS(8133), 1,
      sym_attributeValue,
  [36913] = 2,
    ACTIONS(8135), 1,
      sym_numberedLevelMax3,
    ACTIONS(8137), 1,
      anon_sym_SPACE,
  [36920] = 2,
    ACTIONS(7953), 1,
      aux_sym_text_token1,
    STATE(1327), 1,
      sym_text,
  [36927] = 2,
    ACTIONS(8139), 1,
      anon_sym_DQUOTE,
    ACTIONS(8141), 1,
      sym_attributeValue,
  [36934] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(2458), 1,
      sym_text,
  [36941] = 2,
    ACTIONS(8143), 1,
      anon_sym_SPACE,
    ACTIONS(8145), 1,
      aux_sym_imteTag_token1,
  [36948] = 2,
    ACTIONS(1561), 1,
      aux_sym_text_token1,
    STATE(685), 1,
      sym_text,
  [36955] = 2,
    ACTIONS(1561), 1,
      aux_sym_text_token1,
    STATE(628), 1,
      sym_text,
  [36962] = 2,
    ACTIONS(1561), 1,
      aux_sym_text_token1,
    STATE(630), 1,
      sym_text,
  [36969] = 2,
    ACTIONS(1561), 1,
      aux_sym_text_token1,
    STATE(631), 1,
      sym_text,
  [36976] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(1723), 1,
      sym_text,
  [36983] = 2,
    ACTIONS(7953), 1,
      aux_sym_text_token1,
    STATE(1328), 1,
      sym_text,
  [36990] = 2,
    ACTIONS(7953), 1,
      aux_sym_text_token1,
    STATE(1329), 1,
      sym_text,
  [36997] = 2,
    ACTIONS(8147), 1,
      anon_sym_SPACE,
    ACTIONS(8149), 1,
      aux_sym_imteTag_token1,
  [37004] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(2552), 1,
      sym_text,
  [37011] = 2,
    ACTIONS(8151), 1,
      anon_sym_SPACE,
    ACTIONS(8153), 1,
      aux_sym_imteTag_token1,
  [37018] = 2,
    ACTIONS(8155), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8157), 1,
      sym__zSpaceClose,
  [37025] = 2,
    ACTIONS(8159), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8161), 1,
      sym__zSpaceClose,
  [37032] = 2,
    ACTIONS(7953), 1,
      aux_sym_text_token1,
    STATE(1330), 1,
      sym_text,
  [37039] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(2598), 1,
      sym_text,
  [37046] = 2,
    ACTIONS(8163), 1,
      sym_numberedLevelMax4,
    ACTIONS(8165), 1,
      anon_sym_SPACE,
  [37053] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(2636), 1,
      sym_text,
  [37060] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(2518), 1,
      sym_text,
  [37067] = 2,
    ACTIONS(8167), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8169), 1,
      sym__zSpaceClose,
  [37074] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(2674), 1,
      sym_text,
  [37081] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(1719), 1,
      sym_text,
  [37088] = 2,
    ACTIONS(8171), 1,
      anon_sym_DQUOTE,
    ACTIONS(8173), 1,
      sym_attributeValue,
  [37095] = 2,
    ACTIONS(7198), 1,
      anon_sym_DQUOTE,
    ACTIONS(8175), 1,
      sym_attributeValue,
  [37102] = 2,
    ACTIONS(8177), 1,
      anon_sym_DQUOTE,
    ACTIONS(8179), 1,
      sym_attributeValue,
  [37109] = 2,
    ACTIONS(215), 1,
      aux_sym_text_token1,
    STATE(449), 1,
      sym_text,
  [37116] = 2,
    ACTIONS(215), 1,
      aux_sym_text_token1,
    STATE(453), 1,
      sym_text,
  [37123] = 2,
    ACTIONS(215), 1,
      aux_sym_text_token1,
    STATE(457), 1,
      sym_text,
  [37130] = 2,
    ACTIONS(215), 1,
      aux_sym_text_token1,
    STATE(446), 1,
      sym_text,
  [37137] = 2,
    ACTIONS(8181), 1,
      anon_sym_DQUOTE,
    ACTIONS(8183), 1,
      sym_attributeValue,
  [37144] = 2,
    ACTIONS(7953), 1,
      aux_sym_text_token1,
    STATE(1342), 1,
      sym_text,
  [37151] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(2618), 1,
      sym_text,
  [37158] = 2,
    ACTIONS(8185), 1,
      anon_sym_DQUOTE,
    ACTIONS(8187), 1,
      sym_attributeValue,
  [37165] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(2712), 1,
      sym_text,
  [37172] = 2,
    ACTIONS(8189), 1,
      anon_sym_BSLASH_STAR,
    ACTIONS(8191), 1,
      sym__zSpaceClose,
  [37179] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(1718), 1,
      sym_text,
  [37186] = 2,
    ACTIONS(7676), 1,
      aux_sym_text_token1,
    STATE(1716), 1,
      sym_text,
  [37193] = 1,
    ACTIONS(8193), 1,
      anon_sym_BSLASHadd_STAR,
  [37197] = 1,
    ACTIONS(8195), 1,
      anon_sym_BSLASHndx_STAR,
  [37201] = 1,
    ACTIONS(8197), 1,
      anon_sym_BSLASHaddpn_STAR,
  [37205] = 1,
    ACTIONS(8199), 1,
      anon_sym_BSLASHqt_STAR,
  [37209] = 1,
    ACTIONS(8201), 1,
      anon_sym_BSLASHsig_STAR,
  [37213] = 1,
    ACTIONS(8203), 1,
      anon_sym_BSLASHsls_STAR,
  [37217] = 1,
    ACTIONS(8205), 1,
      anon_sym_BSLASHtl_STAR,
  [37221] = 1,
    ACTIONS(8207), 1,
      anon_sym_BSLASHwj_STAR,
  [37225] = 1,
    ACTIONS(8209), 1,
      anon_sym_BSLASHem_STAR,
  [37229] = 1,
    ACTIONS(8211), 1,
      anon_sym_BSLASHbd_STAR,
  [37233] = 1,
    ACTIONS(8213), 1,
      anon_sym_BSLASHit_STAR,
  [37237] = 1,
    ACTIONS(8215), 1,
      anon_sym_BSLASHbdit_STAR,
  [37241] = 1,
    ACTIONS(8217), 1,
      anon_sym_BSLASHno_STAR,
  [37245] = 1,
    ACTIONS(8219), 1,
      anon_sym_BSLASHsc_STAR,
  [37249] = 1,
    ACTIONS(8221), 1,
      anon_sym_BSLASHsup_STAR,
  [37253] = 1,
    ACTIONS(8223), 1,
      anon_sym_BSLASHndx_STAR,
  [37257] = 1,
    ACTIONS(8225), 1,
      anon_sym_BSLASHpro_STAR,
  [37261] = 1,
    ACTIONS(8227), 1,
      anon_sym_BSLASHsup_STAR,
  [37265] = 1,
    ACTIONS(8229), 1,
      anon_sym_BSLASHwg_STAR,
  [37269] = 1,
    ACTIONS(8231), 1,
      anon_sym_BSLASHwh_STAR,
  [37273] = 1,
    ACTIONS(8233), 1,
      anon_sym_BSLASHwa_STAR,
  [37277] = 1,
    ACTIONS(8235), 1,
      anon_sym_BSLASHfig_STAR,
  [37281] = 1,
    ACTIONS(8237), 1,
      anon_sym_BSLASHjmp_STAR,
  [37285] = 1,
    ACTIONS(8239), 1,
      anon_sym_EQ,
  [37289] = 1,
    ACTIONS(8241), 1,
      anon_sym_EQ,
  [37293] = 1,
    ACTIONS(8243), 1,
      anon_sym_BSLASHwa_STAR,
  [37297] = 1,
    ACTIONS(8245), 1,
      anon_sym_EQ,
  [37301] = 1,
    ACTIONS(8247), 1,
      anon_sym_BSLASHk_STAR,
  [37305] = 1,
    ACTIONS(8249), 1,
      anon_sym_BSLASHrb_STAR,
  [37309] = 1,
    ACTIONS(8251), 1,
      anon_sym_BSLASHw_STAR,
  [37313] = 1,
    ACTIONS(8253), 1,
      sym__spaceOrLine,
  [37317] = 1,
    ACTIONS(8255), 1,
      sym__spaceOrLine,
  [37321] = 1,
    ACTIONS(8257), 1,
      anon_sym_BSLASHfm_STAR,
  [37325] = 1,
    ACTIONS(8259), 1,
      sym_verseNumber,
  [37329] = 1,
    ACTIONS(8261), 1,
      anon_sym_BSLASHjmp_STAR,
  [37333] = 1,
    ACTIONS(8263), 1,
      anon_sym_BSLASHrq_STAR,
  [37337] = 1,
    ACTIONS(8265), 1,
      anon_sym_BSLASHref_STAR,
  [37341] = 1,
    ACTIONS(8267), 1,
      anon_sym_BSLASHxt_STAR,
  [37345] = 1,
    ACTIONS(8269), 1,
      anon_sym_BSLASHadd_STAR,
  [37349] = 1,
    ACTIONS(8271), 1,
      anon_sym_BSLASHbk_STAR,
  [37353] = 1,
    ACTIONS(8273), 1,
      anon_sym_BSLASHdc_STAR,
  [37357] = 1,
    ACTIONS(8275), 1,
      anon_sym_BSLASH_STAR,
  [37361] = 1,
    ACTIONS(8277), 1,
      anon_sym_BSLASH_STAR,
  [37365] = 1,
    ACTIONS(7858), 1,
      anon_sym_BSLASHfig_STAR,
  [37369] = 1,
    ACTIONS(8279), 1,
      anon_sym_BSLASH_STAR,
  [37373] = 1,
    ACTIONS(8281), 1,
      anon_sym_BSLASHnd_STAR,
  [37377] = 1,
    ACTIONS(8283), 1,
      anon_sym_BSLASHord_STAR,
  [37381] = 1,
    ACTIONS(8285), 1,
      anon_sym_BSLASHpn_STAR,
  [37385] = 1,
    ACTIONS(7760), 1,
      anon_sym_BSLASHfig_STAR,
  [37389] = 1,
    ACTIONS(8287), 1,
      anon_sym_BSLASHrb_STAR,
  [37393] = 1,
    ACTIONS(8289), 1,
      anon_sym_BSLASHjmp_STAR,
  [37397] = 1,
    ACTIONS(8291), 1,
      anon_sym_BSLASH_STAR,
  [37401] = 1,
    ACTIONS(8293), 1,
      anon_sym_BSLASHwh_STAR,
  [37405] = 1,
    ACTIONS(8295), 1,
      anon_sym_BSLASHwg_STAR,
  [37409] = 1,
    ACTIONS(8297), 1,
      anon_sym_BSLASH_STAR,
  [37413] = 1,
    ACTIONS(8299), 1,
      anon_sym_BSLASHfm_STAR,
  [37417] = 1,
    ACTIONS(8301), 1,
      sym_verseNumber,
  [37421] = 1,
    ACTIONS(8303), 1,
      anon_sym_BSLASH_STAR,
  [37425] = 1,
    ACTIONS(8305), 1,
      anon_sym_BSLASHrq_STAR,
  [37429] = 1,
    ACTIONS(8307), 1,
      anon_sym_BSLASHref_STAR,
  [37433] = 1,
    ACTIONS(8309), 1,
      anon_sym_BSLASHxt_STAR,
  [37437] = 1,
    ACTIONS(8311), 1,
      anon_sym_BSLASHadd_STAR,
  [37441] = 1,
    ACTIONS(8313), 1,
      anon_sym_BSLASHbk_STAR,
  [37445] = 1,
    ACTIONS(8315), 1,
      anon_sym_BSLASHdc_STAR,
  [37449] = 1,
    ACTIONS(8317), 1,
      sym__spaceOrLine,
  [37453] = 1,
    ACTIONS(8319), 1,
      anon_sym_BSLASHnd_STAR,
  [37457] = 1,
    ACTIONS(8321), 1,
      anon_sym_BSLASHord_STAR,
  [37461] = 1,
    ACTIONS(8323), 1,
      anon_sym_BSLASHpn_STAR,
  [37465] = 1,
    ACTIONS(8325), 1,
      anon_sym_BSLASHpng_STAR,
  [37469] = 1,
    ACTIONS(8327), 1,
      anon_sym_BSLASHaddpn_STAR,
  [37473] = 1,
    ACTIONS(8329), 1,
      anon_sym_BSLASHqt_STAR,
  [37477] = 1,
    ACTIONS(8331), 1,
      anon_sym_BSLASHsig_STAR,
  [37481] = 1,
    ACTIONS(8333), 1,
      anon_sym_BSLASHsls_STAR,
  [37485] = 1,
    ACTIONS(8335), 1,
      anon_sym_BSLASHtl_STAR,
  [37489] = 1,
    ACTIONS(8337), 1,
      anon_sym_BSLASHwj_STAR,
  [37493] = 1,
    ACTIONS(8339), 1,
      anon_sym_BSLASHem_STAR,
  [37497] = 1,
    ACTIONS(8341), 1,
      anon_sym_BSLASHbd_STAR,
  [37501] = 1,
    ACTIONS(8343), 1,
      anon_sym_BSLASHit_STAR,
  [37505] = 1,
    ACTIONS(8345), 1,
      anon_sym_BSLASHbdit_STAR,
  [37509] = 1,
    ACTIONS(8347), 1,
      anon_sym_BSLASHno_STAR,
  [37513] = 1,
    ACTIONS(8349), 1,
      anon_sym_BSLASHsc_STAR,
  [37517] = 1,
    ACTIONS(8351), 1,
      anon_sym_BSLASHsup_STAR,
  [37521] = 1,
    ACTIONS(8353), 1,
      anon_sym_BSLASHndx_STAR,
  [37525] = 1,
    ACTIONS(8355), 1,
      anon_sym_BSLASHpro_STAR,
  [37529] = 1,
    ACTIONS(8357), 1,
      sym__spaceOrLine,
  [37533] = 1,
    ACTIONS(8359), 1,
      anon_sym_BSLASHwg_STAR,
  [37537] = 1,
    ACTIONS(8361), 1,
      anon_sym_BSLASHwh_STAR,
  [37541] = 1,
    ACTIONS(8363), 1,
      anon_sym_BSLASHwa_STAR,
  [37545] = 1,
    ACTIONS(8365), 1,
      anon_sym_BSLASHfig_STAR,
  [37549] = 1,
    ACTIONS(8367), 1,
      anon_sym_BSLASHjmp_STAR,
  [37553] = 1,
    ACTIONS(8369), 1,
      anon_sym_BSLASHw_STAR,
  [37557] = 1,
    ACTIONS(8371), 1,
      anon_sym_BSLASHpro_STAR,
  [37561] = 1,
    ACTIONS(8373), 1,
      anon_sym_BSLASHndx_STAR,
  [37565] = 1,
    ACTIONS(8375), 1,
      anon_sym_BSLASHjmp_STAR,
  [37569] = 1,
    ACTIONS(8377), 1,
      anon_sym_BSLASHk_STAR,
  [37573] = 1,
    ACTIONS(8379), 1,
      anon_sym_BSLASHrb_STAR,
  [37577] = 1,
    ACTIONS(8381), 1,
      anon_sym_BSLASHw_STAR,
  [37581] = 1,
    ACTIONS(8383), 1,
      sym__spaceOrLine,
  [37585] = 1,
    ACTIONS(8385), 1,
      sym__spaceOrLine,
  [37589] = 1,
    ACTIONS(8387), 1,
      anon_sym_BSLASHk_STAR,
  [37593] = 1,
    ACTIONS(8389), 1,
      anon_sym_EQ,
  [37597] = 1,
    ACTIONS(8391), 1,
      anon_sym_EQ,
  [37601] = 1,
    ACTIONS(8393), 1,
      anon_sym_BSLASHjmp_STAR,
  [37605] = 1,
    ACTIONS(8395), 1,
      anon_sym_BSLASHfig_STAR,
  [37609] = 1,
    ACTIONS(8397), 1,
      anon_sym_BSLASHwa_STAR,
  [37613] = 1,
    ACTIONS(8399), 1,
      anon_sym_BSLASHwh_STAR,
  [37617] = 1,
    ACTIONS(8401), 1,
      anon_sym_BSLASHwg_STAR,
  [37621] = 1,
    ACTIONS(8403), 1,
      anon_sym_BSLASHpro_STAR,
  [37625] = 1,
    ACTIONS(8405), 1,
      anon_sym_BSLASH_STAR,
  [37629] = 1,
    ACTIONS(8407), 1,
      anon_sym_BSLASH_STAR,
  [37633] = 1,
    ACTIONS(8409), 1,
      anon_sym_BSLASHndx_STAR,
  [37637] = 1,
    ACTIONS(8411), 1,
      anon_sym_BSLASH_STAR,
  [37641] = 1,
    ACTIONS(8413), 1,
      anon_sym_BSLASHsup_STAR,
  [37645] = 1,
    ACTIONS(8415), 1,
      anon_sym_BSLASHsc_STAR,
  [37649] = 1,
    ACTIONS(8417), 1,
      anon_sym_BSLASHno_STAR,
  [37653] = 1,
    ACTIONS(7772), 1,
      anon_sym_BSLASHfig_STAR,
  [37657] = 1,
    ACTIONS(8419), 1,
      anon_sym_BSLASHbdit_STAR,
  [37661] = 1,
    ACTIONS(8421), 1,
      anon_sym_BSLASHjmp_STAR,
  [37665] = 1,
    ACTIONS(8423), 1,
      anon_sym_BSLASHit_STAR,
  [37669] = 1,
    ACTIONS(8425), 1,
      anon_sym_BSLASHit_STAR,
  [37673] = 1,
    ACTIONS(8427), 1,
      anon_sym_BSLASHsc_STAR,
  [37677] = 1,
    ACTIONS(8429), 1,
      anon_sym_BSLASHno_STAR,
  [37681] = 1,
    ACTIONS(8431), 1,
      anon_sym_BSLASHfm_STAR,
  [37685] = 1,
    ACTIONS(8433), 1,
      anon_sym_BSLASHbd_STAR,
  [37689] = 1,
    ACTIONS(8435), 1,
      anon_sym_BSLASHrq_STAR,
  [37693] = 1,
    ACTIONS(8437), 1,
      anon_sym_BSLASHref_STAR,
  [37697] = 1,
    ACTIONS(8439), 1,
      anon_sym_BSLASHxt_STAR,
  [37701] = 1,
    ACTIONS(8441), 1,
      anon_sym_BSLASHadd_STAR,
  [37705] = 1,
    ACTIONS(8443), 1,
      anon_sym_BSLASHbk_STAR,
  [37709] = 1,
    ACTIONS(8445), 1,
      anon_sym_BSLASHdc_STAR,
  [37713] = 1,
    ACTIONS(8447), 1,
      anon_sym_BSLASHem_STAR,
  [37717] = 1,
    ACTIONS(8449), 1,
      anon_sym_BSLASHnd_STAR,
  [37721] = 1,
    ACTIONS(8451), 1,
      anon_sym_BSLASHord_STAR,
  [37725] = 1,
    ACTIONS(8453), 1,
      anon_sym_BSLASHpn_STAR,
  [37729] = 1,
    ACTIONS(8455), 1,
      anon_sym_BSLASHpng_STAR,
  [37733] = 1,
    ACTIONS(8457), 1,
      anon_sym_BSLASHaddpn_STAR,
  [37737] = 1,
    ACTIONS(8459), 1,
      anon_sym_BSLASHqt_STAR,
  [37741] = 1,
    ACTIONS(8461), 1,
      anon_sym_BSLASHsig_STAR,
  [37745] = 1,
    ACTIONS(8463), 1,
      anon_sym_BSLASHsls_STAR,
  [37749] = 1,
    ACTIONS(8465), 1,
      anon_sym_BSLASHtl_STAR,
  [37753] = 1,
    ACTIONS(8467), 1,
      anon_sym_BSLASHwj_STAR,
  [37757] = 1,
    ACTIONS(8469), 1,
      anon_sym_BSLASHem_STAR,
  [37761] = 1,
    ACTIONS(8471), 1,
      anon_sym_BSLASHbd_STAR,
  [37765] = 1,
    ACTIONS(8473), 1,
      anon_sym_BSLASHit_STAR,
  [37769] = 1,
    ACTIONS(8475), 1,
      anon_sym_BSLASHbdit_STAR,
  [37773] = 1,
    ACTIONS(8477), 1,
      anon_sym_BSLASHno_STAR,
  [37777] = 1,
    ACTIONS(8479), 1,
      anon_sym_BSLASHsc_STAR,
  [37781] = 1,
    ACTIONS(8481), 1,
      anon_sym_BSLASHsup_STAR,
  [37785] = 1,
    ACTIONS(8483), 1,
      anon_sym_BSLASHndx_STAR,
  [37789] = 1,
    ACTIONS(8485), 1,
      anon_sym_BSLASHpro_STAR,
  [37793] = 1,
    ACTIONS(8487), 1,
      anon_sym_BSLASHwj_STAR,
  [37797] = 1,
    ACTIONS(8489), 1,
      anon_sym_BSLASHwg_STAR,
  [37801] = 1,
    ACTIONS(8491), 1,
      anon_sym_BSLASHwh_STAR,
  [37805] = 1,
    ACTIONS(8493), 1,
      anon_sym_BSLASHwa_STAR,
  [37809] = 1,
    ACTIONS(8495), 1,
      anon_sym_BSLASHfig_STAR,
  [37813] = 1,
    ACTIONS(8497), 1,
      anon_sym_BSLASHjmp_STAR,
  [37817] = 1,
    ACTIONS(8499), 1,
      anon_sym_BSLASHbdit_STAR,
  [37821] = 1,
    ACTIONS(8501), 1,
      anon_sym_BSLASHsig_STAR,
  [37825] = 1,
    ACTIONS(8503), 1,
      anon_sym_BSLASHbd_STAR,
  [37829] = 1,
    ACTIONS(8505), 1,
      anon_sym_BSLASHtl_STAR,
  [37833] = 1,
    ACTIONS(8507), 1,
      anon_sym_BSLASHk_STAR,
  [37837] = 1,
    ACTIONS(8509), 1,
      anon_sym_BSLASHrb_STAR,
  [37841] = 1,
    ACTIONS(8511), 1,
      anon_sym_BSLASHw_STAR,
  [37845] = 1,
    ACTIONS(8513), 1,
      anon_sym_BSLASHsls_STAR,
  [37849] = 1,
    ACTIONS(8515), 1,
      anon_sym_BSLASHsig_STAR,
  [37853] = 1,
    ACTIONS(8517), 1,
      anon_sym_BSLASHqt_STAR,
  [37857] = 1,
    ACTIONS(8519), 1,
      anon_sym_BSLASHaddpn_STAR,
  [37861] = 1,
    ACTIONS(8521), 1,
      anon_sym_BSLASHpng_STAR,
  [37865] = 1,
    ACTIONS(8523), 1,
      anon_sym_BSLASHpn_STAR,
  [37869] = 1,
    ACTIONS(8525), 1,
      anon_sym_BSLASHord_STAR,
  [37873] = 1,
    ACTIONS(8527), 1,
      anon_sym_BSLASHnd_STAR,
  [37877] = 1,
    ACTIONS(8529), 1,
      anon_sym_BSLASHdc_STAR,
  [37881] = 1,
    ACTIONS(8531), 1,
      anon_sym_BSLASH_STAR,
  [37885] = 1,
    ACTIONS(8533), 1,
      anon_sym_BSLASH_STAR,
  [37889] = 1,
    ACTIONS(8535), 1,
      anon_sym_BSLASHbk_STAR,
  [37893] = 1,
    ACTIONS(8537), 1,
      anon_sym_BSLASH_STAR,
  [37897] = 1,
    ACTIONS(8539), 1,
      anon_sym_BSLASHadd_STAR,
  [37901] = 1,
    ACTIONS(8541), 1,
      anon_sym_BSLASHxt_STAR,
  [37905] = 1,
    ACTIONS(8543), 1,
      anon_sym_BSLASHref_STAR,
  [37909] = 1,
    ACTIONS(7846), 1,
      anon_sym_BSLASHfig_STAR,
  [37913] = 1,
    ACTIONS(8545), 1,
      anon_sym_BSLASHrq_STAR,
  [37917] = 1,
    ACTIONS(8547), 1,
      anon_sym_BSLASHjmp_STAR,
  [37921] = 1,
    ACTIONS(8549), 1,
      sym_verseNumber,
  [37925] = 1,
    ACTIONS(8551), 1,
      anon_sym_BSLASHem_STAR,
  [37929] = 1,
    ACTIONS(8553), 1,
      anon_sym_BSLASHwj_STAR,
  [37933] = 1,
    ACTIONS(8555), 1,
      anon_sym_BSLASHtl_STAR,
  [37937] = 1,
    ACTIONS(8557), 1,
      anon_sym_BSLASHfm_STAR,
  [37941] = 1,
    ACTIONS(8559), 1,
      anon_sym_BSLASHfm_STAR,
  [37945] = 1,
    ACTIONS(8561), 1,
      anon_sym_BSLASHrq_STAR,
  [37949] = 1,
    ACTIONS(8563), 1,
      anon_sym_BSLASHref_STAR,
  [37953] = 1,
    ACTIONS(8565), 1,
      anon_sym_BSLASHxt_STAR,
  [37957] = 1,
    ACTIONS(8567), 1,
      anon_sym_BSLASHadd_STAR,
  [37961] = 1,
    ACTIONS(8569), 1,
      anon_sym_BSLASHbk_STAR,
  [37965] = 1,
    ACTIONS(8571), 1,
      anon_sym_BSLASHdc_STAR,
  [37969] = 1,
    ACTIONS(8573), 1,
      anon_sym_BSLASHfig_STAR,
  [37973] = 1,
    ACTIONS(8575), 1,
      anon_sym_BSLASHnd_STAR,
  [37977] = 1,
    ACTIONS(8577), 1,
      anon_sym_BSLASHord_STAR,
  [37981] = 1,
    ACTIONS(8579), 1,
      anon_sym_BSLASHpn_STAR,
  [37985] = 1,
    ACTIONS(8581), 1,
      anon_sym_BSLASHpng_STAR,
  [37989] = 1,
    ACTIONS(8583), 1,
      anon_sym_BSLASHaddpn_STAR,
  [37993] = 1,
    ACTIONS(8585), 1,
      anon_sym_BSLASHqt_STAR,
  [37997] = 1,
    ACTIONS(8587), 1,
      anon_sym_BSLASHsig_STAR,
  [38001] = 1,
    ACTIONS(8589), 1,
      anon_sym_BSLASHsls_STAR,
  [38005] = 1,
    ACTIONS(8591), 1,
      anon_sym_BSLASHtl_STAR,
  [38009] = 1,
    ACTIONS(8593), 1,
      anon_sym_BSLASHwj_STAR,
  [38013] = 1,
    ACTIONS(8595), 1,
      anon_sym_BSLASHem_STAR,
  [38017] = 1,
    ACTIONS(8597), 1,
      anon_sym_BSLASHbd_STAR,
  [38021] = 1,
    ACTIONS(8599), 1,
      anon_sym_BSLASHit_STAR,
  [38025] = 1,
    ACTIONS(8601), 1,
      anon_sym_BSLASHbdit_STAR,
  [38029] = 1,
    ACTIONS(8603), 1,
      anon_sym_BSLASHno_STAR,
  [38033] = 1,
    ACTIONS(8605), 1,
      anon_sym_BSLASHsc_STAR,
  [38037] = 1,
    ACTIONS(8607), 1,
      anon_sym_BSLASHsup_STAR,
  [38041] = 1,
    ACTIONS(8609), 1,
      anon_sym_BSLASHndx_STAR,
  [38045] = 1,
    ACTIONS(8611), 1,
      anon_sym_BSLASHpro_STAR,
  [38049] = 1,
    ACTIONS(8613), 1,
      anon_sym_BSLASHjmp_STAR,
  [38053] = 1,
    ACTIONS(8615), 1,
      anon_sym_BSLASHwg_STAR,
  [38057] = 1,
    ACTIONS(8617), 1,
      anon_sym_BSLASHwh_STAR,
  [38061] = 1,
    ACTIONS(8619), 1,
      anon_sym_BSLASHwa_STAR,
  [38065] = 1,
    ACTIONS(8621), 1,
      anon_sym_BSLASHfig_STAR,
  [38069] = 1,
    ACTIONS(8623), 1,
      anon_sym_BSLASHjmp_STAR,
  [38073] = 1,
    ACTIONS(8625), 1,
      anon_sym_BSLASHsls_STAR,
  [38077] = 1,
    ACTIONS(8627), 1,
      anon_sym_BSLASHxt_STAR,
  [38081] = 1,
    ACTIONS(8629), 1,
      anon_sym_BSLASHqt_STAR,
  [38085] = 1,
    ACTIONS(7824), 1,
      anon_sym_BSLASHfig_STAR,
  [38089] = 1,
    ACTIONS(8631), 1,
      anon_sym_BSLASHk_STAR,
  [38093] = 1,
    ACTIONS(8633), 1,
      anon_sym_BSLASHrb_STAR,
  [38097] = 1,
    ACTIONS(8635), 1,
      anon_sym_BSLASHw_STAR,
  [38101] = 1,
    ACTIONS(8637), 1,
      anon_sym_BSLASH_STAR,
  [38105] = 1,
    ACTIONS(8639), 1,
      anon_sym_BSLASH_STAR,
  [38109] = 1,
    ACTIONS(8641), 1,
      anon_sym_BSLASH_STAR,
  [38113] = 1,
    ACTIONS(8643), 1,
      anon_sym_DQUOTE,
  [38117] = 1,
    ACTIONS(8645), 1,
      anon_sym_DQUOTE,
  [38121] = 1,
    ACTIONS(8647), 1,
      sym__spaceOrLine,
  [38125] = 1,
    ACTIONS(8649), 1,
      sym__spaceOrLine,
  [38129] = 1,
    ACTIONS(8651), 1,
      anon_sym_BSLASHw_STAR,
  [38133] = 1,
    ACTIONS(8653), 1,
      anon_sym_BSLASHrb_STAR,
  [38137] = 1,
    ACTIONS(8655), 1,
      anon_sym_BSLASH_STAR,
  [38141] = 1,
    ACTIONS(8657), 1,
      anon_sym_BSLASH_STAR,
  [38145] = 1,
    ACTIONS(8659), 1,
      anon_sym_BSLASHk_STAR,
  [38149] = 1,
    ACTIONS(8661), 1,
      anon_sym_BSLASH_STAR,
  [38153] = 1,
    ACTIONS(8663), 1,
      anon_sym_DQUOTE,
  [38157] = 1,
    ACTIONS(8665), 1,
      anon_sym_EQ,
  [38161] = 1,
    ACTIONS(8667), 1,
      anon_sym_DQUOTE,
  [38165] = 1,
    ACTIONS(7784), 1,
      anon_sym_BSLASHfig_STAR,
  [38169] = 1,
    ACTIONS(8669), 1,
      anon_sym_DQUOTE,
  [38173] = 1,
    ACTIONS(8671), 1,
      anon_sym_BSLASHjmp_STAR,
  [38177] = 1,
    ACTIONS(8673), 1,
      anon_sym_DQUOTE,
  [38181] = 1,
    ACTIONS(8675), 1,
      anon_sym_BSLASHaddpn_STAR,
  [38185] = 1,
    ACTIONS(8677), 1,
      anon_sym_BSLASHpng_STAR,
  [38189] = 1,
    ACTIONS(8679), 1,
      anon_sym_BSLASHpn_STAR,
  [38193] = 1,
    ACTIONS(8681), 1,
      anon_sym_BSLASHfm_STAR,
  [38197] = 1,
    ACTIONS(8683), 1,
      anon_sym_BSLASHjmp_STAR,
  [38201] = 1,
    ACTIONS(8685), 1,
      anon_sym_BSLASHrq_STAR,
  [38205] = 1,
    ACTIONS(8687), 1,
      anon_sym_BSLASHref_STAR,
  [38209] = 1,
    ACTIONS(8689), 1,
      anon_sym_BSLASHxt_STAR,
  [38213] = 1,
    ACTIONS(8691), 1,
      anon_sym_BSLASHadd_STAR,
  [38217] = 1,
    ACTIONS(8693), 1,
      anon_sym_BSLASHbk_STAR,
  [38221] = 1,
    ACTIONS(8695), 1,
      anon_sym_BSLASHdc_STAR,
  [38225] = 1,
    ACTIONS(8697), 1,
      anon_sym_BSLASHfig_STAR,
  [38229] = 1,
    ACTIONS(8699), 1,
      anon_sym_BSLASHnd_STAR,
  [38233] = 1,
    ACTIONS(8701), 1,
      anon_sym_BSLASHord_STAR,
  [38237] = 1,
    ACTIONS(8703), 1,
      anon_sym_BSLASHpn_STAR,
  [38241] = 1,
    ACTIONS(8705), 1,
      anon_sym_BSLASHpng_STAR,
  [38245] = 1,
    ACTIONS(8707), 1,
      anon_sym_BSLASHaddpn_STAR,
  [38249] = 1,
    ACTIONS(8709), 1,
      anon_sym_BSLASHqt_STAR,
  [38253] = 1,
    ACTIONS(8711), 1,
      anon_sym_BSLASHsig_STAR,
  [38257] = 1,
    ACTIONS(8713), 1,
      anon_sym_BSLASHsls_STAR,
  [38261] = 1,
    ACTIONS(8715), 1,
      anon_sym_BSLASHtl_STAR,
  [38265] = 1,
    ACTIONS(8717), 1,
      anon_sym_BSLASHwj_STAR,
  [38269] = 1,
    ACTIONS(8719), 1,
      anon_sym_BSLASHem_STAR,
  [38273] = 1,
    ACTIONS(8721), 1,
      anon_sym_BSLASHbd_STAR,
  [38277] = 1,
    ACTIONS(8723), 1,
      anon_sym_BSLASHit_STAR,
  [38281] = 1,
    ACTIONS(8725), 1,
      anon_sym_BSLASHbdit_STAR,
  [38285] = 1,
    ACTIONS(8727), 1,
      anon_sym_BSLASHno_STAR,
  [38289] = 1,
    ACTIONS(8729), 1,
      anon_sym_BSLASHsc_STAR,
  [38293] = 1,
    ACTIONS(8731), 1,
      anon_sym_BSLASHsup_STAR,
  [38297] = 1,
    ACTIONS(8733), 1,
      anon_sym_BSLASHndx_STAR,
  [38301] = 1,
    ACTIONS(8735), 1,
      anon_sym_BSLASHpro_STAR,
  [38305] = 1,
    ACTIONS(8737), 1,
      anon_sym_BSLASHwa_STAR,
  [38309] = 1,
    ACTIONS(8739), 1,
      anon_sym_BSLASHwg_STAR,
  [38313] = 1,
    ACTIONS(8741), 1,
      anon_sym_BSLASHwh_STAR,
  [38317] = 1,
    ACTIONS(8743), 1,
      anon_sym_BSLASHwa_STAR,
  [38321] = 1,
    ACTIONS(8745), 1,
      anon_sym_BSLASHfig_STAR,
  [38325] = 1,
    ACTIONS(8747), 1,
      anon_sym_BSLASHjmp_STAR,
  [38329] = 1,
    ACTIONS(8749), 1,
      anon_sym_BSLASHord_STAR,
  [38333] = 1,
    ACTIONS(8751), 1,
      anon_sym_BSLASHnd_STAR,
  [38337] = 1,
    ACTIONS(8753), 1,
      anon_sym_BSLASHwh_STAR,
  [38341] = 1,
    ACTIONS(8755), 1,
      anon_sym_BSLASHwg_STAR,
  [38345] = 1,
    ACTIONS(8757), 1,
      anon_sym_BSLASHk_STAR,
  [38349] = 1,
    ACTIONS(8759), 1,
      anon_sym_BSLASHrb_STAR,
  [38353] = 1,
    ACTIONS(8761), 1,
      anon_sym_BSLASHw_STAR,
  [38357] = 1,
    ACTIONS(8763), 1,
      anon_sym_BSLASHpro_STAR,
  [38361] = 1,
    ACTIONS(8765), 1,
      anon_sym_BSLASHndx_STAR,
  [38365] = 1,
    ACTIONS(8767), 1,
      anon_sym_BSLASHsup_STAR,
  [38369] = 1,
    ACTIONS(7808), 1,
      anon_sym_BSLASHfig_STAR,
  [38373] = 1,
    ACTIONS(8769), 1,
      anon_sym_BSLASHdc_STAR,
  [38377] = 1,
    ACTIONS(8771), 1,
      anon_sym_BSLASHbk_STAR,
  [38381] = 1,
    ACTIONS(8773), 1,
      anon_sym_BSLASHadd_STAR,
  [38385] = 1,
    ACTIONS(8775), 1,
      anon_sym_BSLASHfm_STAR,
  [38389] = 1,
    ACTIONS(8777), 1,
      anon_sym_BSLASHsc_STAR,
  [38393] = 1,
    ACTIONS(8779), 1,
      anon_sym_BSLASHrq_STAR,
  [38397] = 1,
    ACTIONS(8781), 1,
      anon_sym_BSLASHxt_STAR,
  [38401] = 1,
    ACTIONS(8783), 1,
      anon_sym_BSLASHfig_STAR,
  [38405] = 1,
    ACTIONS(8785), 1,
      anon_sym_BSLASHxt_STAR,
  [38409] = 1,
    ACTIONS(8787), 1,
      anon_sym_BSLASHno_STAR,
  [38413] = 1,
    ACTIONS(8789), 1,
      anon_sym_BSLASH_PLUSjmp_STAR,
  [38417] = 1,
    ACTIONS(8791), 1,
      anon_sym_BSLASHbdit_STAR,
  [38421] = 1,
    ACTIONS(8793), 1,
      anon_sym_BSLASHit_STAR,
  [38425] = 1,
    ACTIONS(8795), 1,
      anon_sym_BSLASHbd_STAR,
  [38429] = 1,
    ACTIONS(8797), 1,
      anon_sym_BSLASHem_STAR,
  [38433] = 1,
    ACTIONS(7856), 1,
      anon_sym_BSLASHfig_STAR,
  [38437] = 1,
    ACTIONS(8799), 1,
      anon_sym_BSLASHwj_STAR,
  [38441] = 1,
    ACTIONS(8801), 1,
      aux_sym_text_token1,
  [38445] = 1,
    ACTIONS(8803), 1,
      aux_sym_text_token1,
  [38449] = 1,
    ACTIONS(8805), 1,
      anon_sym_BSLASHfm_STAR,
  [38453] = 1,
    ACTIONS(8807), 1,
      anon_sym_BSLASHtl_STAR,
  [38457] = 1,
    ACTIONS(8809), 1,
      anon_sym_BSLASHrq_STAR,
  [38461] = 1,
    ACTIONS(8811), 1,
      anon_sym_BSLASHxt_STAR,
  [38465] = 1,
    ACTIONS(8813), 1,
      anon_sym_BSLASHfig_STAR,
  [38469] = 1,
    ACTIONS(8815), 1,
      aux_sym_text_token1,
  [38473] = 1,
    ACTIONS(8817), 1,
      anon_sym_BSLASHref_STAR,
  [38477] = 1,
    ACTIONS(8819), 1,
      anon_sym_BSLASHsls_STAR,
  [38481] = 1,
    ACTIONS(8821), 1,
      anon_sym_BSLASHsig_STAR,
  [38485] = 1,
    ACTIONS(8823), 1,
      anon_sym_BSLASHqt_STAR,
  [38489] = 1,
    ACTIONS(8825), 1,
      anon_sym_BSLASHaddpn_STAR,
  [38493] = 1,
    ACTIONS(8827), 1,
      anon_sym_BSLASHpng_STAR,
  [38497] = 1,
    ACTIONS(8829), 1,
      anon_sym_BSLASHpn_STAR,
  [38501] = 1,
    ACTIONS(8831), 1,
      anon_sym_BSLASHfm_STAR,
  [38505] = 1,
    ACTIONS(8833), 1,
      anon_sym_BSLASHord_STAR,
  [38509] = 1,
    ACTIONS(8835), 1,
      anon_sym_BSLASHrq_STAR,
  [38513] = 1,
    ACTIONS(8837), 1,
      anon_sym_BSLASHxt_STAR,
  [38517] = 1,
    ACTIONS(8839), 1,
      anon_sym_BSLASHrq_STAR,
  [38521] = 1,
    ACTIONS(8841), 1,
      anon_sym_BSLASHnd_STAR,
  [38525] = 1,
    ACTIONS(8843), 1,
      anon_sym_BSLASHdc_STAR,
  [38529] = 1,
    ACTIONS(8845), 1,
      anon_sym_BSLASHbk_STAR,
  [38533] = 1,
    ACTIONS(8847), 1,
      anon_sym_BSLASHadd_STAR,
  [38537] = 1,
    ACTIONS(8849), 1,
      anon_sym_BSLASHiqt_STAR,
  [38541] = 1,
    ACTIONS(8851), 1,
      anon_sym_BSLASHca_STAR,
  [38545] = 1,
    ACTIONS(8853), 1,
      anon_sym_BSLASHref_STAR,
  [38549] = 1,
    ACTIONS(8855), 1,
      anon_sym_BSLASHfm_STAR,
  [38553] = 1,
    ACTIONS(8857), 1,
      anon_sym_BSLASHxt_STAR,
  [38557] = 1,
    ACTIONS(8859), 1,
      anon_sym_BSLASHrq_STAR,
  [38561] = 1,
    ACTIONS(8861), 1,
      sym_verseNumber,
  [38565] = 1,
    ACTIONS(8863), 1,
      anon_sym_BSLASHfm_STAR,
  [38569] = 1,
    ACTIONS(8865), 1,
      anon_sym_EQ,
  [38573] = 1,
    ACTIONS(8867), 1,
      anon_sym_BSLASHjmp_STAR,
  [38577] = 1,
    ACTIONS(7774), 1,
      anon_sym_BSLASHfig_STAR,
  [38581] = 1,
    ACTIONS(8869), 1,
      sym_caller,
  [38585] = 1,
    ACTIONS(8871), 1,
      sym_caller,
  [38589] = 1,
    ACTIONS(8873), 1,
      sym_caller,
  [38593] = 1,
    ACTIONS(8875), 1,
      sym__spaceOrLine,
  [38597] = 1,
    ACTIONS(8877), 1,
      sym_category,
  [38601] = 1,
    ACTIONS(8879), 1,
      sym_caller,
  [38605] = 1,
    ACTIONS(8881), 1,
      anon_sym_BSLASH_PLUSbk_STAR,
  [38609] = 1,
    ACTIONS(8883), 1,
      anon_sym_BSLASH_STAR,
  [38613] = 1,
    ACTIONS(8885), 1,
      sym__spaceOrLine,
  [38617] = 1,
    ACTIONS(8887), 1,
      anon_sym_BSLASH_STAR,
  [38621] = 1,
    ACTIONS(8889), 1,
      anon_sym_BSLASH_STAR,
  [38625] = 1,
    ACTIONS(8891), 1,
      anon_sym_STAR,
  [38629] = 1,
    ACTIONS(8893), 1,
      anon_sym_DQUOTE,
  [38633] = 1,
    ACTIONS(8895), 1,
      anon_sym_DQUOTE,
  [38637] = 1,
    ACTIONS(8897), 1,
      anon_sym_BSLASH_PLUSw_STAR,
  [38641] = 1,
    ACTIONS(8899), 1,
      anon_sym_BSLASH_PLUSrb_STAR,
  [38645] = 1,
    ACTIONS(8901), 1,
      sym__spaceOrLine,
  [38649] = 1,
    ACTIONS(8903), 1,
      anon_sym_STAR,
  [38653] = 1,
    ACTIONS(8905), 1,
      sym__spaceOrLine,
  [38657] = 1,
    ACTIONS(8907), 1,
      sym__spaceOrLine,
  [38661] = 1,
    ACTIONS(8909), 1,
      sym__spaceOrLine,
  [38665] = 1,
    ACTIONS(8911), 1,
      sym_verseNumber,
  [38669] = 1,
    ACTIONS(8913), 1,
      sym_verseNumber,
  [38673] = 1,
    ACTIONS(8915), 1,
      sym__spaceOrLine,
  [38677] = 1,
    ACTIONS(8917), 1,
      anon_sym_BSLASHcat_STAR,
  [38681] = 1,
    ACTIONS(8919), 1,
      anon_sym_BSLASHfm_STAR,
  [38685] = 1,
    ACTIONS(8921), 1,
      sym__spaceOrLine,
  [38689] = 1,
    ACTIONS(8923), 1,
      sym__spaceOrLine,
  [38693] = 1,
    ACTIONS(8925), 1,
      sym__spaceOrLine,
  [38697] = 1,
    ACTIONS(8927), 1,
      sym__spaceOrLine,
  [38701] = 1,
    ACTIONS(8929), 1,
      sym__spaceOrLine,
  [38705] = 1,
    ACTIONS(8931), 1,
      sym__spaceOrLine,
  [38709] = 1,
    ACTIONS(8933), 1,
      sym__spaceOrLine,
  [38713] = 1,
    ACTIONS(8935), 1,
      sym__spaceOrLine,
  [38717] = 1,
    ACTIONS(8937), 1,
      sym_attributeValue,
  [38721] = 1,
    ACTIONS(8939), 1,
      sym__spaceOrLine,
  [38725] = 1,
    ACTIONS(8941), 1,
      sym__spaceOrLine,
  [38729] = 1,
    ACTIONS(8943), 1,
      sym__spaceOrLine,
  [38733] = 1,
    ACTIONS(8945), 1,
      anon_sym_SPACE,
  [38737] = 1,
    ACTIONS(8947), 1,
      sym__spaceOrLine,
  [38741] = 1,
    ACTIONS(8949), 1,
      anon_sym_SPACE,
  [38745] = 1,
    ACTIONS(8951), 1,
      anon_sym_SPACE,
  [38749] = 1,
    ACTIONS(8953), 1,
      anon_sym_BSLASHfv_STAR,
  [38753] = 1,
    ACTIONS(8955), 1,
      anon_sym_BSLASHw_STAR,
  [38757] = 1,
    ACTIONS(8957), 1,
      anon_sym_BSLASHrb_STAR,
  [38761] = 1,
    ACTIONS(8959), 1,
      anon_sym_BSLASHk_STAR,
  [38765] = 1,
    ACTIONS(8961), 1,
      anon_sym_BSLASH_PLUSjmp_STAR,
  [38769] = 1,
    ACTIONS(8963), 1,
      anon_sym_BSLASH_PLUSwa_STAR,
  [38773] = 1,
    ACTIONS(8965), 1,
      anon_sym_BSLASH_PLUSwh_STAR,
  [38777] = 1,
    ACTIONS(8967), 1,
      anon_sym_EQ,
  [38781] = 1,
    ACTIONS(8969), 1,
      anon_sym_EQ,
  [38785] = 1,
    ACTIONS(8971), 1,
      anon_sym_EQ,
  [38789] = 1,
    ACTIONS(8973), 1,
      aux_sym__linkAttributeUserDefinedName_token1,
  [38793] = 1,
    ACTIONS(8975), 1,
      anon_sym_BSLASH_PLUSwg_STAR,
  [38797] = 1,
    ACTIONS(8977), 1,
      anon_sym_EQ,
  [38801] = 1,
    ACTIONS(8979), 1,
      sym_attributeValue,
  [38805] = 1,
    ACTIONS(8981), 1,
      anon_sym_BSLASH_PLUSpro_STAR,
  [38809] = 1,
    ACTIONS(8983), 1,
      anon_sym_BSLASH_PLUSndx_STAR,
  [38813] = 1,
    ACTIONS(8985), 1,
      anon_sym_BSLASH_PLUSsup_STAR,
  [38817] = 1,
    ACTIONS(8987), 1,
      anon_sym_BSLASHjmp_STAR,
  [38821] = 1,
    ACTIONS(8989), 1,
      anon_sym_BSLASH_PLUSsc_STAR,
  [38825] = 1,
    ACTIONS(8991), 1,
      anon_sym_BSLASH_PLUSno_STAR,
  [38829] = 1,
    ACTIONS(7822), 1,
      anon_sym_BSLASHfig_STAR,
  [38833] = 1,
    ACTIONS(8993), 1,
      anon_sym_BSLASH_PLUSbdit_STAR,
  [38837] = 1,
    ACTIONS(8995), 1,
      anon_sym_BSLASH_PLUSit_STAR,
  [38841] = 1,
    ACTIONS(8997), 1,
      anon_sym_BSLASH_PLUSbd_STAR,
  [38845] = 1,
    ACTIONS(8999), 1,
      anon_sym_BSLASH_PLUSem_STAR,
  [38849] = 1,
    ACTIONS(9001), 1,
      anon_sym_BSLASH_PLUSwj_STAR,
  [38853] = 1,
    ACTIONS(9003), 1,
      anon_sym_DQUOTE,
  [38857] = 1,
    ACTIONS(9005), 1,
      anon_sym_DQUOTE,
  [38861] = 1,
    ACTIONS(9007), 1,
      sym__spaceOrLine,
  [38865] = 1,
    ACTIONS(9009), 1,
      sym__spaceOrLine,
  [38869] = 1,
    ACTIONS(9011), 1,
      sym__spaceOrLine,
  [38873] = 1,
    ACTIONS(9013), 1,
      sym__spaceOrLine,
  [38877] = 1,
    ACTIONS(9015), 1,
      sym__spaceOrLine,
  [38881] = 1,
    ACTIONS(9017), 1,
      anon_sym_BSLASHva_STAR,
  [38885] = 1,
    ACTIONS(9019), 1,
      anon_sym_BSLASHvp_STAR,
  [38889] = 1,
    ACTIONS(9021), 1,
      sym__spaceOrLine,
  [38893] = 1,
    ACTIONS(9023), 1,
      sym__spaceOrLine,
  [38897] = 1,
    ACTIONS(9025), 1,
      sym__spaceOrLine,
  [38901] = 1,
    ACTIONS(9027), 1,
      anon_sym_BSLASH_PLUStl_STAR,
  [38905] = 1,
    ACTIONS(9029), 1,
      anon_sym_BSLASH_PLUSsls_STAR,
  [38909] = 1,
    ACTIONS(9031), 1,
      sym__spaceOrLine,
  [38913] = 1,
    ACTIONS(9033), 1,
      sym_caller,
  [38917] = 1,
    ACTIONS(9035), 1,
      sym_caller,
  [38921] = 1,
    ACTIONS(9037), 1,
      sym_caller,
  [38925] = 1,
    ACTIONS(9039), 1,
      sym__spaceOrLine,
  [38929] = 1,
    ACTIONS(9041), 1,
      sym_caller,
  [38933] = 1,
    ACTIONS(9043), 1,
      anon_sym_BSLASH_PLUSsig_STAR,
  [38937] = 1,
    ACTIONS(9045), 1,
      sym__spaceOrLine,
  [38941] = 1,
    ACTIONS(9047), 1,
      sym__spaceOrLine,
  [38945] = 1,
    ACTIONS(9049), 1,
      sym__spaceOrLine,
  [38949] = 1,
    ACTIONS(9051), 1,
      sym__spaceOrLine,
  [38953] = 1,
    ACTIONS(9053), 1,
      sym__spaceOrLine,
  [38957] = 1,
    ACTIONS(9055), 1,
      sym__spaceOrLine,
  [38961] = 1,
    ACTIONS(9057), 1,
      sym__spaceOrLine,
  [38965] = 1,
    ACTIONS(9059), 1,
      sym__spaceOrLine,
  [38969] = 1,
    ACTIONS(9061), 1,
      sym__spaceOrLine,
  [38973] = 1,
    ACTIONS(9063), 1,
      sym__spaceOrLine,
  [38977] = 1,
    ACTIONS(9065), 1,
      sym__spaceOrLine,
  [38981] = 1,
    ACTIONS(9067), 1,
      sym__spaceOrLine,
  [38985] = 1,
    ACTIONS(9069), 1,
      sym__spaceOrLine,
  [38989] = 1,
    ACTIONS(9071), 1,
      sym__spaceOrLine,
  [38993] = 1,
    ACTIONS(9073), 1,
      sym__spaceOrLine,
  [38997] = 1,
    ACTIONS(9075), 1,
      sym__spaceOrLine,
  [39001] = 1,
    ACTIONS(9077), 1,
      sym__spaceOrLine,
  [39005] = 1,
    ACTIONS(9079), 1,
      sym__spaceOrLine,
  [39009] = 1,
    ACTIONS(9081), 1,
      sym__spaceOrLine,
  [39013] = 1,
    ACTIONS(9083), 1,
      sym__spaceOrLine,
  [39017] = 1,
    ACTIONS(9085), 1,
      sym__spaceOrLine,
  [39021] = 1,
    ACTIONS(9087), 1,
      sym__spaceOrLine,
  [39025] = 1,
    ACTIONS(9089), 1,
      anon_sym_BSLASHiqt_STAR,
  [39029] = 1,
    ACTIONS(9091), 1,
      anon_sym_BSLASH_PLUSqt_STAR,
  [39033] = 1,
    ACTIONS(9093), 1,
      anon_sym_BSLASH_PLUSaddpn_STAR,
  [39037] = 1,
    ACTIONS(9095), 1,
      anon_sym_BSLASH_PLUSpng_STAR,
  [39041] = 1,
    ACTIONS(9097), 1,
      anon_sym_BSLASH_PLUSpn_STAR,
  [39045] = 1,
    ACTIONS(9099), 1,
      sym_attributeValue,
  [39049] = 1,
    ACTIONS(9101), 1,
      sym__spaceOrLine,
  [39053] = 1,
    ACTIONS(9103), 1,
      sym__spaceOrLine,
  [39057] = 1,
    ACTIONS(9105), 1,
      anon_sym_BSLASH_PLUSord_STAR,
  [39061] = 1,
    ACTIONS(9107), 1,
      anon_sym_DQUOTE,
  [39065] = 1,
    ACTIONS(9109), 1,
      anon_sym_BSLASHva_STAR,
  [39069] = 1,
    ACTIONS(9111), 1,
      anon_sym_BSLASHvp_STAR,
  [39073] = 1,
    ACTIONS(9113), 1,
      anon_sym_BSLASH_PLUSnd_STAR,
  [39077] = 1,
    ACTIONS(9115), 1,
      anon_sym_BSLASH_PLUSk_STAR,
  [39081] = 1,
    ACTIONS(9117), 1,
      sym_caller,
  [39085] = 1,
    ACTIONS(9119), 1,
      sym_caller,
  [39089] = 1,
    ACTIONS(9121), 1,
      sym_caller,
  [39093] = 1,
    ACTIONS(9123), 1,
      anon_sym_BSLASH_PLUSdc_STAR,
  [39097] = 1,
    ACTIONS(9125), 1,
      sym_caller,
  [39101] = 1,
    ACTIONS(9127), 1,
      anon_sym_BSLASHior_STAR,
  [39105] = 1,
    ACTIONS(9129), 1,
      anon_sym_SPACE,
  [39109] = 1,
    ACTIONS(9131), 1,
      anon_sym_BSLASH_PLUSadd_STAR,
  [39113] = 1,
    ACTIONS(9133), 1,
      anon_sym_BSLASHlitl_STAR,
  [39117] = 1,
    ACTIONS(9135), 1,
      anon_sym_BSLASHlik_STAR,
  [39121] = 1,
    ACTIONS(9137), 1,
      aux_sym_text_token1,
  [39125] = 1,
    ACTIONS(9139), 1,
      anon_sym_SPACE,
  [39129] = 1,
    ACTIONS(9141), 1,
      aux_sym_text_token1,
  [39133] = 1,
    ACTIONS(9143), 1,
      anon_sym_SPACE,
  [39137] = 1,
    ACTIONS(9145), 1,
      aux_sym_text_token1,
  [39141] = 1,
    ACTIONS(9147), 1,
      anon_sym_SPACE,
  [39145] = 1,
    ACTIONS(9149), 1,
      anon_sym_BSLASHva_STAR,
  [39149] = 1,
    ACTIONS(9151), 1,
      anon_sym_BSLASHvp_STAR,
  [39153] = 1,
    ACTIONS(9153), 1,
      anon_sym_DQUOTE,
  [39157] = 1,
    ACTIONS(9155), 1,
      anon_sym_BSLASHjmp_STAR,
  [39161] = 1,
    ACTIONS(9157), 1,
      anon_sym_BSLASHfig_STAR,
  [39165] = 1,
    ACTIONS(9159), 1,
      anon_sym_BSLASHwa_STAR,
  [39169] = 1,
    ACTIONS(9161), 1,
      anon_sym_BSLASHwh_STAR,
  [39173] = 1,
    ACTIONS(9163), 1,
      anon_sym_BSLASHwg_STAR,
  [39177] = 1,
    ACTIONS(9165), 1,
      anon_sym_BSLASHpro_STAR,
  [39181] = 1,
    ACTIONS(9167), 1,
      anon_sym_BSLASHpng_STAR,
  [39185] = 1,
    ACTIONS(9169), 1,
      anon_sym_BSLASH_STAR,
  [39189] = 1,
    ACTIONS(9171), 1,
      anon_sym_BSLASHsup_STAR,
  [39193] = 1,
    ACTIONS(9173), 1,
      anon_sym_BSLASHsc_STAR,
  [39197] = 1,
    ACTIONS(9175), 1,
      anon_sym_BSLASHno_STAR,
  [39201] = 1,
    ACTIONS(9177), 1,
      anon_sym_BSLASHbdit_STAR,
  [39205] = 1,
    ACTIONS(9179), 1,
      sym_caller,
  [39209] = 1,
    ACTIONS(9181), 1,
      anon_sym_BSLASHit_STAR,
  [39213] = 1,
    ACTIONS(9183), 1,
      anon_sym_BSLASHbd_STAR,
  [39217] = 1,
    ACTIONS(9185), 1,
      anon_sym_BSLASHva_STAR,
  [39221] = 1,
    ACTIONS(9187), 1,
      anon_sym_BSLASHvp_STAR,
  [39225] = 1,
    ACTIONS(9189), 1,
      anon_sym_BSLASHem_STAR,
  [39229] = 1,
    ACTIONS(9191), 1,
      anon_sym_BSLASHwj_STAR,
  [39233] = 1,
    ACTIONS(9193), 1,
      sym_caller,
  [39237] = 1,
    ACTIONS(9195), 1,
      sym_caller,
  [39241] = 1,
    ACTIONS(9197), 1,
      sym_caller,
  [39245] = 1,
    ACTIONS(9199), 1,
      sym_chapterNumber,
  [39249] = 1,
    ACTIONS(9201), 1,
      sym_caller,
  [39253] = 1,
    ACTIONS(9203), 1,
      anon_sym_BSLASHtl_STAR,
  [39257] = 1,
    ACTIONS(9205), 1,
      anon_sym_BSLASHsls_STAR,
  [39261] = 1,
    ACTIONS(9207), 1,
      anon_sym_BSLASHsig_STAR,
  [39265] = 1,
    ACTIONS(9209), 1,
      anon_sym_BSLASHqt_STAR,
  [39269] = 1,
    ACTIONS(9211), 1,
      anon_sym_BSLASHaddpn_STAR,
  [39273] = 1,
    ACTIONS(9213), 1,
      anon_sym_BSLASHpng_STAR,
  [39277] = 1,
    ACTIONS(9215), 1,
      anon_sym_BSLASHpn_STAR,
  [39281] = 1,
    ACTIONS(9217), 1,
      anon_sym_BSLASHord_STAR,
  [39285] = 1,
    ACTIONS(9219), 1,
      anon_sym_BSLASHnd_STAR,
  [39289] = 1,
    ACTIONS(9221), 1,
      anon_sym_BSLASHdc_STAR,
  [39293] = 1,
    ACTIONS(9223), 1,
      anon_sym_BSLASHbk_STAR,
  [39297] = 1,
    ACTIONS(9225), 1,
      anon_sym_BSLASHlik_STAR,
  [39301] = 1,
    ACTIONS(9227), 1,
      anon_sym_BSLASHxt_STAR,
  [39305] = 1,
    ACTIONS(9229), 1,
      anon_sym_BSLASH_PLUSjmp_STAR,
  [39309] = 1,
    ACTIONS(9231), 1,
      anon_sym_BSLASHref_STAR,
  [39313] = 1,
    ACTIONS(9233), 1,
      sym_category,
  [39317] = 1,
    ACTIONS(9235), 1,
      anon_sym_BSLASHrq_STAR,
  [39321] = 1,
    ACTIONS(9237), 1,
      sym__spaceOrLine,
  [39325] = 1,
    ACTIONS(9239), 1,
      sym_caller,
  [39329] = 1,
    ACTIONS(9241), 1,
      sym_caller,
  [39333] = 1,
    ACTIONS(9243), 1,
      sym_caller,
  [39337] = 1,
    ACTIONS(9245), 1,
      sym__spaceOrLine,
  [39341] = 1,
    ACTIONS(9247), 1,
      anon_sym_BSLASHlitl_STAR,
  [39345] = 1,
    ACTIONS(9249), 1,
      anon_sym_BSLASH_PLUSbd_STAR,
  [39349] = 1,
    ACTIONS(9251), 1,
      sym__spaceOrLine,
  [39353] = 1,
    ACTIONS(9253), 1,
      sym__spaceOrLine,
  [39357] = 1,
    ACTIONS(9255), 1,
      sym__spaceOrLine,
  [39361] = 1,
    ACTIONS(9257), 1,
      sym__spaceOrLine,
  [39365] = 1,
    ACTIONS(9259), 1,
      anon_sym_BSLASHref_STAR,
  [39369] = 1,
    ACTIONS(9261), 1,
      anon_sym_BSLASHva_STAR,
  [39373] = 1,
    ACTIONS(9263), 1,
      anon_sym_BSLASHvp_STAR,
  [39377] = 1,
    ACTIONS(9265), 1,
      anon_sym_BSLASH_PLUSadd_STAR,
  [39381] = 1,
    ACTIONS(9267), 1,
      sym__spaceOrLine,
  [39385] = 1,
    ACTIONS(9269), 1,
      sym_caller,
  [39389] = 1,
    ACTIONS(9271), 1,
      sym_caller,
  [39393] = 1,
    ACTIONS(9273), 1,
      sym_caller,
  [39397] = 1,
    ACTIONS(9275), 1,
      sym__spaceOrLine,
  [39401] = 1,
    ACTIONS(9277), 1,
      sym_caller,
  [39405] = 1,
    ACTIONS(9279), 1,
      anon_sym_BSLASH_PLUSdc_STAR,
  [39409] = 1,
    ACTIONS(9281), 1,
      sym_verseNumber,
  [39413] = 1,
    ACTIONS(9283), 1,
      sym__spaceOrLine,
  [39417] = 1,
    ACTIONS(9285), 1,
      anon_sym_BSLASHcat_STAR,
  [39421] = 1,
    ACTIONS(9287), 1,
      sym__spaceOrLine,
  [39425] = 1,
    ACTIONS(9289), 1,
      sym__spaceOrLine,
  [39429] = 1,
    ACTIONS(9291), 1,
      sym__spaceOrLine,
  [39433] = 1,
    ACTIONS(9293), 1,
      anon_sym_BSLASHfm_STAR,
  [39437] = 1,
    ACTIONS(9295), 1,
      sym__spaceOrLine,
  [39441] = 1,
    ACTIONS(9297), 1,
      sym__spaceOrLine,
  [39445] = 1,
    ACTIONS(9299), 1,
      sym__spaceOrLine,
  [39449] = 1,
    ACTIONS(9301), 1,
      sym__spaceOrLine,
  [39453] = 1,
    ACTIONS(9303), 1,
      sym__spaceOrLine,
  [39457] = 1,
    ACTIONS(9305), 1,
      sym__spaceOrLine,
  [39461] = 1,
    ACTIONS(9307), 1,
      sym__spaceOrLine,
  [39465] = 1,
    ACTIONS(9309), 1,
      sym__spaceOrLine,
  [39469] = 1,
    ACTIONS(9311), 1,
      sym__spaceOrLine,
  [39473] = 1,
    ACTIONS(9313), 1,
      anon_sym_BSLASH_PLUSbk_STAR,
  [39477] = 1,
    ACTIONS(9315), 1,
      anon_sym_BSLASH_PLUSnd_STAR,
  [39481] = 1,
    ACTIONS(9317), 1,
      anon_sym_BSLASH_PLUSord_STAR,
  [39485] = 1,
    ACTIONS(9319), 1,
      sym__spaceOrLine,
  [39489] = 1,
    ACTIONS(9321), 1,
      sym__spaceOrLine,
  [39493] = 1,
    ACTIONS(9323), 1,
      sym__spaceOrLine,
  [39497] = 1,
    ACTIONS(9325), 1,
      sym__spaceOrLine,
  [39501] = 1,
    ACTIONS(9327), 1,
      sym__spaceOrLine,
  [39505] = 1,
    ACTIONS(9329), 1,
      sym__spaceOrLine,
  [39509] = 1,
    ACTIONS(9331), 1,
      anon_sym_SPACE,
  [39513] = 1,
    ACTIONS(9333), 1,
      anon_sym_BSLASH_STAR,
  [39517] = 1,
    ACTIONS(9335), 1,
      anon_sym_BSLASHjmp_STAR,
  [39521] = 1,
    ACTIONS(9337), 1,
      anon_sym_BSLASHva_STAR,
  [39525] = 1,
    ACTIONS(9339), 1,
      anon_sym_BSLASHvp_STAR,
  [39529] = 1,
    ACTIONS(7842), 1,
      anon_sym_BSLASHfig_STAR,
  [39533] = 1,
    ACTIONS(9341), 1,
      anon_sym_BSLASHiqt_STAR,
  [39537] = 1,
    ACTIONS(9343), 1,
      sym_caller,
  [39541] = 1,
    ACTIONS(9345), 1,
      sym_caller,
  [39545] = 1,
    ACTIONS(9347), 1,
      sym_caller,
  [39549] = 1,
    ACTIONS(9349), 1,
      anon_sym_BSLASH_STAR,
  [39553] = 1,
    ACTIONS(9351), 1,
      sym_caller,
  [39557] = 1,
    ACTIONS(9353), 1,
      anon_sym_BSLASH_PLUSpn_STAR,
  [39561] = 1,
    ACTIONS(9355), 1,
      anon_sym_BSLASH_STAR,
  [39565] = 1,
    ACTIONS(9357), 1,
      anon_sym_BSLASH_PLUSpng_STAR,
  [39569] = 1,
    ACTIONS(9359), 1,
      anon_sym_BSLASH_PLUSaddpn_STAR,
  [39573] = 1,
    ACTIONS(9361), 1,
      anon_sym_BSLASH_PLUSqt_STAR,
  [39577] = 1,
    ACTIONS(9363), 1,
      anon_sym_BSLASH_PLUSsig_STAR,
  [39581] = 1,
    ACTIONS(9365), 1,
      anon_sym_SPACE,
  [39585] = 1,
    ACTIONS(9367), 1,
      anon_sym_BSLASH_PLUSsls_STAR,
  [39589] = 1,
    ACTIONS(9369), 1,
      sym__spaceOrLine,
  [39593] = 1,
    ACTIONS(9371), 1,
      anon_sym_SPACE,
  [39597] = 1,
    ACTIONS(9373), 1,
      anon_sym_BSLASH_PLUStl_STAR,
  [39601] = 1,
    ACTIONS(9375), 1,
      anon_sym_BSLASH_PLUSwj_STAR,
  [39605] = 1,
    ACTIONS(9377), 1,
      anon_sym_BSLASH_PLUSem_STAR,
  [39609] = 1,
    ACTIONS(9379), 1,
      sym__spaceOrLine,
  [39613] = 1,
    ACTIONS(9381), 1,
      anon_sym_STAR,
  [39617] = 1,
    ACTIONS(9383), 1,
      sym__spaceOrLine,
  [39621] = 1,
    ACTIONS(9385), 1,
      sym__spaceOrLine,
  [39625] = 1,
    ACTIONS(9387), 1,
      sym__spaceOrLine,
  [39629] = 1,
    ACTIONS(9389), 1,
      sym__spaceOrLine,
  [39633] = 1,
    ACTIONS(9391), 1,
      sym__spaceOrLine,
  [39637] = 1,
    ACTIONS(9393), 1,
      sym__spaceOrLine,
  [39641] = 1,
    ACTIONS(9395), 1,
      sym__spaceOrLine,
  [39645] = 1,
    ACTIONS(9397), 1,
      sym__spaceOrLine,
  [39649] = 1,
    ACTIONS(9399), 1,
      sym__spaceOrLine,
  [39653] = 1,
    ACTIONS(9401), 1,
      sym__spaceOrLine,
  [39657] = 1,
    ACTIONS(9403), 1,
      sym__spaceOrLine,
  [39661] = 1,
    ACTIONS(9405), 1,
      sym__spaceOrLine,
  [39665] = 1,
    ACTIONS(9407), 1,
      sym__spaceOrLine,
  [39669] = 1,
    ACTIONS(9409), 1,
      anon_sym_BSLASH_PLUSit_STAR,
  [39673] = 1,
    ACTIONS(9411), 1,
      anon_sym_BSLASH_PLUSbdit_STAR,
  [39677] = 1,
    ACTIONS(9413), 1,
      sym__spaceOrLine,
  [39681] = 1,
    ACTIONS(9415), 1,
      sym_caller,
  [39685] = 1,
    ACTIONS(9417), 1,
      sym_caller,
  [39689] = 1,
    ACTIONS(9419), 1,
      sym_caller,
  [39693] = 1,
    ACTIONS(9421), 1,
      sym__spaceOrLine,
  [39697] = 1,
    ACTIONS(9423), 1,
      sym_caller,
  [39701] = 1,
    ACTIONS(9425), 1,
      anon_sym_BSLASH_PLUSno_STAR,
  [39705] = 1,
    ACTIONS(9427), 1,
      sym__spaceOrLine,
  [39709] = 1,
    ACTIONS(9429), 1,
      sym__spaceOrLine,
  [39713] = 1,
    ACTIONS(9431), 1,
      sym__spaceOrLine,
  [39717] = 1,
    ACTIONS(9433), 1,
      sym__spaceOrLine,
  [39721] = 1,
    ACTIONS(9435), 1,
      sym__spaceOrLine,
  [39725] = 1,
    ACTIONS(9437), 1,
      sym__spaceOrLine,
  [39729] = 1,
    ACTIONS(9439), 1,
      sym__spaceOrLine,
  [39733] = 1,
    ACTIONS(9441), 1,
      sym__spaceOrLine,
  [39737] = 1,
    ACTIONS(9443), 1,
      sym__spaceOrLine,
  [39741] = 1,
    ACTIONS(9445), 1,
      sym__spaceOrLine,
  [39745] = 1,
    ACTIONS(9447), 1,
      sym__spaceOrLine,
  [39749] = 1,
    ACTIONS(9449), 1,
      sym__spaceOrLine,
  [39753] = 1,
    ACTIONS(9451), 1,
      sym__spaceOrLine,
  [39757] = 1,
    ACTIONS(9453), 1,
      anon_sym_SPACE,
  [39761] = 1,
    ACTIONS(9455), 1,
      anon_sym_SPACE,
  [39765] = 1,
    ACTIONS(9457), 1,
      sym__spaceOrLine,
  [39769] = 1,
    ACTIONS(9459), 1,
      anon_sym_SPACE,
  [39773] = 1,
    ACTIONS(9461), 1,
      sym__spaceOrLine,
  [39777] = 1,
    ACTIONS(9463), 1,
      sym__spaceOrLine,
  [39781] = 1,
    ACTIONS(9465), 1,
      anon_sym_SPACE,
  [39785] = 1,
    ACTIONS(9467), 1,
      sym__spaceOrLine,
  [39789] = 1,
    ACTIONS(9469), 1,
      sym__spaceOrLine,
  [39793] = 1,
    ACTIONS(9471), 1,
      sym__spaceOrLine,
  [39797] = 1,
    ACTIONS(9473), 1,
      sym__spaceOrLine,
  [39801] = 1,
    ACTIONS(9475), 1,
      sym__spaceOrLine,
  [39805] = 1,
    ACTIONS(9477), 1,
      sym__spaceOrLine,
  [39809] = 1,
    ACTIONS(9479), 1,
      sym__spaceOrLine,
  [39813] = 1,
    ACTIONS(9481), 1,
      sym__spaceOrLine,
  [39817] = 1,
    ACTIONS(9483), 1,
      sym__spaceOrLine,
  [39821] = 1,
    ACTIONS(9485), 1,
      sym__spaceOrLine,
  [39825] = 1,
    ACTIONS(9487), 1,
      sym_caller,
  [39829] = 1,
    ACTIONS(9489), 1,
      sym_caller,
  [39833] = 1,
    ACTIONS(9491), 1,
      sym_caller,
  [39837] = 1,
    ACTIONS(9493), 1,
      sym__spaceOrLine,
  [39841] = 1,
    ACTIONS(9495), 1,
      sym_caller,
  [39845] = 1,
    ACTIONS(9497), 1,
      anon_sym_BSLASH_PLUSsc_STAR,
  [39849] = 1,
    ACTIONS(9499), 1,
      anon_sym_BSLASH_STAR,
  [39853] = 1,
    ACTIONS(9501), 1,
      anon_sym_BSLASH_STAR,
  [39857] = 1,
    ACTIONS(9503), 1,
      anon_sym_BSLASH_PLUSsup_STAR,
  [39861] = 1,
    ACTIONS(9505), 1,
      anon_sym_BSLASH_PLUSndx_STAR,
  [39865] = 1,
    ACTIONS(9507), 1,
      anon_sym_BSLASH_PLUSpro_STAR,
  [39869] = 1,
    ACTIONS(9509), 1,
      anon_sym_BSLASH_PLUSwg_STAR,
  [39873] = 1,
    ACTIONS(9511), 1,
      anon_sym_BSLASH_PLUSwh_STAR,
  [39877] = 1,
    ACTIONS(9513), 1,
      anon_sym_BSLASH_PLUSwa_STAR,
  [39881] = 1,
    ACTIONS(9515), 1,
      anon_sym_BSLASH_PLUSjmp_STAR,
  [39885] = 1,
    ACTIONS(9517), 1,
      sym_versionNumber,
  [39889] = 1,
    ACTIONS(9519), 1,
      anon_sym_EQ,
  [39893] = 1,
    ACTIONS(9521), 1,
      anon_sym_BSLASHk_STAR,
  [39897] = 1,
    ACTIONS(9523), 1,
      anon_sym_BSLASHrb_STAR,
  [39901] = 1,
    ACTIONS(9525), 1,
      anon_sym_BSLASHw_STAR,
  [39905] = 1,
    ACTIONS(9527), 1,
      anon_sym_DQUOTE,
  [39909] = 1,
    ACTIONS(9529), 1,
      anon_sym_DQUOTE,
  [39913] = 1,
    ACTIONS(9531), 1,
      anon_sym_DQUOTE,
  [39917] = 1,
    ACTIONS(9533), 1,
      anon_sym_DQUOTE,
  [39921] = 1,
    ACTIONS(9535), 1,
      anon_sym_DQUOTE,
  [39925] = 1,
    ACTIONS(9537), 1,
      anon_sym_DQUOTE,
  [39929] = 1,
    ACTIONS(9539), 1,
      sym__spaceOrLine,
  [39933] = 1,
    ACTIONS(9541), 1,
      sym__spaceOrLine,
  [39937] = 1,
    ACTIONS(9543), 1,
      anon_sym_DQUOTE,
  [39941] = 1,
    ACTIONS(9545), 1,
      anon_sym_BSLASH_PLUSk_STAR,
  [39945] = 1,
    ACTIONS(9547), 1,
      anon_sym_BSLASH_PLUSrb_STAR,
  [39949] = 1,
    ACTIONS(9549), 1,
      anon_sym_BSLASH_PLUSw_STAR,
  [39953] = 1,
    ACTIONS(9551), 1,
      anon_sym_DQUOTE,
  [39957] = 1,
    ACTIONS(9553), 1,
      anon_sym_EQ,
  [39961] = 1,
    ACTIONS(9555), 1,
      aux_sym_milestoneTag_token1,
  [39965] = 1,
    ACTIONS(9557), 1,
      sym_caller,
  [39969] = 1,
    ACTIONS(9559), 1,
      sym_caller,
  [39973] = 1,
    ACTIONS(9561), 1,
      sym_caller,
  [39977] = 1,
    ACTIONS(9563), 1,
      anon_sym_EQ,
  [39981] = 1,
    ACTIONS(9565), 1,
      sym_caller,
  [39985] = 1,
    ACTIONS(9567), 1,
      anon_sym_EQ,
  [39989] = 1,
    ACTIONS(9569), 1,
      anon_sym_EQ,
  [39993] = 1,
    ACTIONS(9571), 1,
      sym_caller,
  [39997] = 1,
    ACTIONS(9573), 1,
      sym_caller,
  [40001] = 1,
    ACTIONS(9575), 1,
      sym_caller,
  [40005] = 1,
    ACTIONS(9577), 1,
      sym_chapterNumber,
  [40009] = 1,
    ACTIONS(9579), 1,
      sym_caller,
  [40013] = 1,
    ACTIONS(9581), 1,
      anon_sym_DQUOTE,
  [40017] = 1,
    ACTIONS(9583), 1,
      anon_sym_DQUOTE,
  [40021] = 1,
    ACTIONS(9585), 1,
      sym_caller,
  [40025] = 1,
    ACTIONS(9587), 1,
      sym_caller,
  [40029] = 1,
    ACTIONS(9589), 1,
      sym_caller,
  [40033] = 1,
    ACTIONS(9591), 1,
      anon_sym_DQUOTE,
  [40037] = 1,
    ACTIONS(9593), 1,
      sym_caller,
  [40041] = 1,
    ACTIONS(9595), 1,
      anon_sym_STAR,
  [40045] = 1,
    ACTIONS(9597), 1,
      anon_sym_DQUOTE,
  [40049] = 1,
    ACTIONS(9599), 1,
      sym_caller,
  [40053] = 1,
    ACTIONS(9601), 1,
      sym_caller,
  [40057] = 1,
    ACTIONS(9603), 1,
      sym_caller,
  [40061] = 1,
    ACTIONS(9605), 1,
      anon_sym_DQUOTE,
  [40065] = 1,
    ACTIONS(9607), 1,
      sym__spaceOrLine,
  [40069] = 1,
    ACTIONS(9609), 1,
      sym__spaceOrLine,
  [40073] = 1,
    ACTIONS(9611), 1,
      sym__spaceOrLine,
  [40077] = 1,
    ACTIONS(9613), 1,
      sym__spaceOrLine,
  [40081] = 1,
    ACTIONS(9615), 1,
      sym__spaceOrLine,
  [40085] = 1,
    ACTIONS(9617), 1,
      sym__spaceOrLine,
  [40089] = 1,
    ACTIONS(9619), 1,
      sym__spaceOrLine,
  [40093] = 1,
    ACTIONS(9621), 1,
      sym__spaceOrLine,
  [40097] = 1,
    ACTIONS(9623), 1,
      sym__spaceOrLine,
  [40101] = 1,
    ACTIONS(9625), 1,
      sym__spaceOrLine,
  [40105] = 1,
    ACTIONS(9627), 1,
      sym__spaceOrLine,
  [40109] = 1,
    ACTIONS(9629), 1,
      sym__spaceOrLine,
  [40113] = 1,
    ACTIONS(9631), 1,
      sym__spaceOrLine,
  [40117] = 1,
    ACTIONS(9633), 1,
      sym__spaceOrLine,
  [40121] = 1,
    ACTIONS(9635), 1,
      sym__spaceOrLine,
  [40125] = 1,
    ACTIONS(9637), 1,
      sym__spaceOrLine,
  [40129] = 1,
    ACTIONS(9639), 1,
      sym__spaceOrLine,
  [40133] = 1,
    ACTIONS(9641), 1,
      sym__spaceOrLine,
  [40137] = 1,
    ACTIONS(9643), 1,
      sym__spaceOrLine,
  [40141] = 1,
    ACTIONS(9645), 1,
      sym__spaceOrLine,
  [40145] = 1,
    ACTIONS(9647), 1,
      sym__spaceOrLine,
  [40149] = 1,
    ACTIONS(9649), 1,
      sym__spaceOrLine,
  [40153] = 1,
    ACTIONS(9651), 1,
      sym__spaceOrLine,
  [40157] = 1,
    ACTIONS(9653), 1,
      sym__spaceOrLine,
  [40161] = 1,
    ACTIONS(9655), 1,
      sym__spaceOrLine,
  [40165] = 1,
    ACTIONS(9657), 1,
      sym__spaceOrLine,
  [40169] = 1,
    ACTIONS(9659), 1,
      sym__spaceOrLine,
  [40173] = 1,
    ACTIONS(9661), 1,
      sym__spaceOrLine,
  [40177] = 1,
    ACTIONS(9663), 1,
      sym__spaceOrLine,
  [40181] = 1,
    ACTIONS(9665), 1,
      sym__spaceOrLine,
  [40185] = 1,
    ACTIONS(9667), 1,
      sym__spaceOrLine,
  [40189] = 1,
    ACTIONS(9669), 1,
      sym__spaceOrLine,
  [40193] = 1,
    ACTIONS(9671), 1,
      sym__spaceOrLine,
  [40197] = 1,
    ACTIONS(9673), 1,
      sym__spaceOrLine,
  [40201] = 1,
    ACTIONS(9675), 1,
      sym__spaceOrLine,
  [40205] = 1,
    ACTIONS(9677), 1,
      sym__spaceOrLine,
  [40209] = 1,
    ACTIONS(9679), 1,
      sym__spaceOrLine,
  [40213] = 1,
    ACTIONS(9681), 1,
      sym__spaceOrLine,
  [40217] = 1,
    ACTIONS(9683), 1,
      sym__spaceOrLine,
  [40221] = 1,
    ACTIONS(9685), 1,
      sym__spaceOrLine,
  [40225] = 1,
    ACTIONS(9687), 1,
      sym__spaceOrLine,
  [40229] = 1,
    ACTIONS(9689), 1,
      sym__spaceOrLine,
  [40233] = 1,
    ACTIONS(9691), 1,
      sym__spaceOrLine,
  [40237] = 1,
    ACTIONS(9693), 1,
      sym__spaceOrLine,
  [40241] = 1,
    ACTIONS(9695), 1,
      sym__spaceOrLine,
  [40245] = 1,
    ACTIONS(9697), 1,
      sym__spaceOrLine,
  [40249] = 1,
    ACTIONS(9699), 1,
      sym__spaceOrLine,
  [40253] = 1,
    ACTIONS(9701), 1,
      sym__spaceOrLine,
  [40257] = 1,
    ACTIONS(9703), 1,
      sym__spaceOrLine,
  [40261] = 1,
    ACTIONS(9705), 1,
      sym__spaceOrLine,
  [40265] = 1,
    ACTIONS(9707), 1,
      sym__spaceOrLine,
  [40269] = 1,
    ACTIONS(9709), 1,
      sym__spaceOrLine,
  [40273] = 1,
    ACTIONS(9711), 1,
      sym__spaceOrLine,
  [40277] = 1,
    ACTIONS(9713), 1,
      sym__spaceOrLine,
  [40281] = 1,
    ACTIONS(9715), 1,
      sym__spaceOrLine,
  [40285] = 1,
    ACTIONS(9717), 1,
      anon_sym_DQUOTE,
  [40289] = 1,
    ACTIONS(9719), 1,
      anon_sym_EQ,
  [40293] = 1,
    ACTIONS(9721), 1,
      anon_sym_EQ,
  [40297] = 1,
    ACTIONS(9723), 1,
      anon_sym_DQUOTE,
  [40301] = 1,
    ACTIONS(9725), 1,
      sym_verseNumber,
  [40305] = 1,
    ACTIONS(9727), 1,
      anon_sym_DQUOTE,
  [40309] = 1,
    ACTIONS(9729), 1,
      sym__spaceOrLine,
  [40313] = 1,
    ACTIONS(9731), 1,
      sym__spaceOrLine,
  [40317] = 1,
    ACTIONS(9733), 1,
      sym__spaceOrLine,
  [40321] = 1,
    ACTIONS(9735), 1,
      sym__spaceOrLine,
  [40325] = 1,
    ACTIONS(9737), 1,
      sym__spaceOrLine,
  [40329] = 1,
    ACTIONS(9739), 1,
      sym__spaceOrLine,
  [40333] = 1,
    ACTIONS(9741), 1,
      sym__spaceOrLine,
  [40337] = 1,
    ACTIONS(9743), 1,
      sym__spaceOrLine,
  [40341] = 1,
    ACTIONS(9745), 1,
      sym__spaceOrLine,
  [40345] = 1,
    ACTIONS(9747), 1,
      sym__spaceOrLine,
  [40349] = 1,
    ACTIONS(9749), 1,
      sym__spaceOrLine,
  [40353] = 1,
    ACTIONS(9751), 1,
      sym__spaceOrLine,
  [40357] = 1,
    ACTIONS(9753), 1,
      sym__spaceOrLine,
  [40361] = 1,
    ACTIONS(9755), 1,
      sym__spaceOrLine,
  [40365] = 1,
    ACTIONS(9757), 1,
      sym__spaceOrLine,
  [40369] = 1,
    ACTIONS(9759), 1,
      sym__spaceOrLine,
  [40373] = 1,
    ACTIONS(9761), 1,
      sym__spaceOrLine,
  [40377] = 1,
    ACTIONS(9763), 1,
      sym__spaceOrLine,
  [40381] = 1,
    ACTIONS(9765), 1,
      sym__spaceOrLine,
  [40385] = 1,
    ACTIONS(9767), 1,
      sym__spaceOrLine,
  [40389] = 1,
    ACTIONS(9769), 1,
      sym__spaceOrLine,
  [40393] = 1,
    ACTIONS(9771), 1,
      sym__spaceOrLine,
  [40397] = 1,
    ACTIONS(9773), 1,
      sym__spaceOrLine,
  [40401] = 1,
    ACTIONS(9775), 1,
      sym__spaceOrLine,
  [40405] = 1,
    ACTIONS(9777), 1,
      sym__spaceOrLine,
  [40409] = 1,
    ACTIONS(9779), 1,
      sym__spaceOrLine,
  [40413] = 1,
    ACTIONS(9781), 1,
      sym__spaceOrLine,
  [40417] = 1,
    ACTIONS(9783), 1,
      sym__spaceOrLine,
  [40421] = 1,
    ACTIONS(9785), 1,
      anon_sym_DQUOTE,
  [40425] = 1,
    ACTIONS(9787), 1,
      anon_sym_EQ,
  [40429] = 1,
    ACTIONS(9789), 1,
      sym_verseNumber,
  [40433] = 1,
    ACTIONS(9791), 1,
      anon_sym_DQUOTE,
  [40437] = 1,
    ACTIONS(9793), 1,
      sym__spaceOrLine,
  [40441] = 1,
    ACTIONS(9795), 1,
      sym__spaceOrLine,
  [40445] = 1,
    ACTIONS(9797), 1,
      sym__spaceOrLine,
  [40449] = 1,
    ACTIONS(9799), 1,
      sym__spaceOrLine,
  [40453] = 1,
    ACTIONS(9801), 1,
      sym__spaceOrLine,
  [40457] = 1,
    ACTIONS(9803), 1,
      sym__spaceOrLine,
  [40461] = 1,
    ACTIONS(9805), 1,
      sym__spaceOrLine,
  [40465] = 1,
    ACTIONS(9807), 1,
      sym__spaceOrLine,
  [40469] = 1,
    ACTIONS(9809), 1,
      sym__spaceOrLine,
  [40473] = 1,
    ACTIONS(9811), 1,
      sym__spaceOrLine,
  [40477] = 1,
    ACTIONS(9813), 1,
      sym__spaceOrLine,
  [40481] = 1,
    ACTIONS(9815), 1,
      sym__spaceOrLine,
  [40485] = 1,
    ACTIONS(9817), 1,
      sym__spaceOrLine,
  [40489] = 1,
    ACTIONS(9819), 1,
      sym__spaceOrLine,
  [40493] = 1,
    ACTIONS(9821), 1,
      sym__spaceOrLine,
  [40497] = 1,
    ACTIONS(9823), 1,
      sym__spaceOrLine,
  [40501] = 1,
    ACTIONS(9825), 1,
      sym__spaceOrLine,
  [40505] = 1,
    ACTIONS(9827), 1,
      sym__spaceOrLine,
  [40509] = 1,
    ACTIONS(9829), 1,
      sym__spaceOrLine,
  [40513] = 1,
    ACTIONS(9831), 1,
      sym__spaceOrLine,
  [40517] = 1,
    ACTIONS(9833), 1,
      sym__spaceOrLine,
  [40521] = 1,
    ACTIONS(9835), 1,
      sym__spaceOrLine,
  [40525] = 1,
    ACTIONS(9837), 1,
      sym__spaceOrLine,
  [40529] = 1,
    ACTIONS(9839), 1,
      sym__spaceOrLine,
  [40533] = 1,
    ACTIONS(9841), 1,
      sym__spaceOrLine,
  [40537] = 1,
    ACTIONS(9843), 1,
      sym__spaceOrLine,
  [40541] = 1,
    ACTIONS(9845), 1,
      sym__spaceOrLine,
  [40545] = 1,
    ACTIONS(9847), 1,
      anon_sym_DQUOTE,
  [40549] = 1,
    ACTIONS(9849), 1,
      sym_verseNumber,
  [40553] = 1,
    ACTIONS(9851), 1,
      anon_sym_DQUOTE,
  [40557] = 1,
    ACTIONS(9853), 1,
      sym__spaceOrLine,
  [40561] = 1,
    ACTIONS(9855), 1,
      sym__spaceOrLine,
  [40565] = 1,
    ACTIONS(9857), 1,
      sym__spaceOrLine,
  [40569] = 1,
    ACTIONS(9859), 1,
      sym__spaceOrLine,
  [40573] = 1,
    ACTIONS(9861), 1,
      sym__spaceOrLine,
  [40577] = 1,
    ACTIONS(9863), 1,
      sym__spaceOrLine,
  [40581] = 1,
    ACTIONS(9865), 1,
      sym__spaceOrLine,
  [40585] = 1,
    ACTIONS(9867), 1,
      sym__spaceOrLine,
  [40589] = 1,
    ACTIONS(9869), 1,
      sym__spaceOrLine,
  [40593] = 1,
    ACTIONS(9871), 1,
      sym__spaceOrLine,
  [40597] = 1,
    ACTIONS(9873), 1,
      sym__spaceOrLine,
  [40601] = 1,
    ACTIONS(9875), 1,
      sym__spaceOrLine,
  [40605] = 1,
    ACTIONS(9877), 1,
      sym__spaceOrLine,
  [40609] = 1,
    ACTIONS(9879), 1,
      sym__spaceOrLine,
  [40613] = 1,
    ACTIONS(9881), 1,
      sym__spaceOrLine,
  [40617] = 1,
    ACTIONS(9883), 1,
      sym__spaceOrLine,
  [40621] = 1,
    ACTIONS(9885), 1,
      sym__spaceOrLine,
  [40625] = 1,
    ACTIONS(9887), 1,
      sym__spaceOrLine,
  [40629] = 1,
    ACTIONS(9889), 1,
      sym__spaceOrLine,
  [40633] = 1,
    ACTIONS(9891), 1,
      sym__spaceOrLine,
  [40637] = 1,
    ACTIONS(9893), 1,
      sym__spaceOrLine,
  [40641] = 1,
    ACTIONS(9895), 1,
      sym__spaceOrLine,
  [40645] = 1,
    ACTIONS(9897), 1,
      sym__spaceOrLine,
  [40649] = 1,
    ACTIONS(9899), 1,
      sym__spaceOrLine,
  [40653] = 1,
    ACTIONS(9901), 1,
      sym__spaceOrLine,
  [40657] = 1,
    ACTIONS(9903), 1,
      sym__spaceOrLine,
  [40661] = 1,
    ACTIONS(9905), 1,
      sym__spaceOrLine,
  [40665] = 1,
    ACTIONS(9907), 1,
      sym_bookcode,
  [40669] = 1,
    ACTIONS(9909), 1,
      sym_verseNumber,
  [40673] = 1,
    ACTIONS(9911), 1,
      anon_sym_DQUOTE,
  [40677] = 1,
    ACTIONS(9913), 1,
      sym__spaceOrLine,
  [40681] = 1,
    ACTIONS(9915), 1,
      sym__spaceOrLine,
  [40685] = 1,
    ACTIONS(9917), 1,
      sym__spaceOrLine,
  [40689] = 1,
    ACTIONS(9919), 1,
      sym__spaceOrLine,
  [40693] = 1,
    ACTIONS(9921), 1,
      sym__spaceOrLine,
  [40697] = 1,
    ACTIONS(9923), 1,
      sym__spaceOrLine,
  [40701] = 1,
    ACTIONS(9925), 1,
      sym__spaceOrLine,
  [40705] = 1,
    ACTIONS(9927), 1,
      sym__spaceOrLine,
  [40709] = 1,
    ACTIONS(9929), 1,
      sym__spaceOrLine,
  [40713] = 1,
    ACTIONS(9931), 1,
      sym__spaceOrLine,
  [40717] = 1,
    ACTIONS(9933), 1,
      sym__spaceOrLine,
  [40721] = 1,
    ACTIONS(9935), 1,
      sym__spaceOrLine,
  [40725] = 1,
    ACTIONS(9937), 1,
      sym__spaceOrLine,
  [40729] = 1,
    ACTIONS(9939), 1,
      sym__spaceOrLine,
  [40733] = 1,
    ACTIONS(9941), 1,
      sym__spaceOrLine,
  [40737] = 1,
    ACTIONS(9943), 1,
      sym__spaceOrLine,
  [40741] = 1,
    ACTIONS(9945), 1,
      sym__spaceOrLine,
  [40745] = 1,
    ACTIONS(9947), 1,
      sym__spaceOrLine,
  [40749] = 1,
    ACTIONS(9949), 1,
      sym__spaceOrLine,
  [40753] = 1,
    ACTIONS(9951), 1,
      sym__spaceOrLine,
  [40757] = 1,
    ACTIONS(9953), 1,
      sym__spaceOrLine,
  [40761] = 1,
    ACTIONS(9955), 1,
      sym__spaceOrLine,
  [40765] = 1,
    ACTIONS(9957), 1,
      sym__spaceOrLine,
  [40769] = 1,
    ACTIONS(9959), 1,
      sym__spaceOrLine,
  [40773] = 1,
    ACTIONS(9961), 1,
      sym__spaceOrLine,
  [40777] = 1,
    ACTIONS(9963), 1,
      sym__spaceOrLine,
  [40781] = 1,
    ACTIONS(9965), 1,
      sym__spaceOrLine,
  [40785] = 1,
    ACTIONS(9967), 1,
      anon_sym_BSLASHk_STAR,
  [40789] = 1,
    ACTIONS(9969), 1,
      sym_verseNumber,
  [40793] = 1,
    ACTIONS(9971), 1,
      anon_sym_DQUOTE,
  [40797] = 1,
    ACTIONS(9973), 1,
      sym__spaceOrLine,
  [40801] = 1,
    ACTIONS(9975), 1,
      sym__spaceOrLine,
  [40805] = 1,
    ACTIONS(9977), 1,
      sym__spaceOrLine,
  [40809] = 1,
    ACTIONS(9979), 1,
      sym__spaceOrLine,
  [40813] = 1,
    ACTIONS(9981), 1,
      sym__spaceOrLine,
  [40817] = 1,
    ACTIONS(9983), 1,
      sym__spaceOrLine,
  [40821] = 1,
    ACTIONS(9985), 1,
      sym__spaceOrLine,
  [40825] = 1,
    ACTIONS(9987), 1,
      sym__spaceOrLine,
  [40829] = 1,
    ACTIONS(9989), 1,
      sym__spaceOrLine,
  [40833] = 1,
    ACTIONS(9991), 1,
      sym__spaceOrLine,
  [40837] = 1,
    ACTIONS(9993), 1,
      sym__spaceOrLine,
  [40841] = 1,
    ACTIONS(9995), 1,
      sym__spaceOrLine,
  [40845] = 1,
    ACTIONS(9997), 1,
      sym__spaceOrLine,
  [40849] = 1,
    ACTIONS(9999), 1,
      sym__spaceOrLine,
  [40853] = 1,
    ACTIONS(10001), 1,
      sym__spaceOrLine,
  [40857] = 1,
    ACTIONS(10003), 1,
      sym__spaceOrLine,
  [40861] = 1,
    ACTIONS(10005), 1,
      sym__spaceOrLine,
  [40865] = 1,
    ACTIONS(10007), 1,
      sym__spaceOrLine,
  [40869] = 1,
    ACTIONS(10009), 1,
      sym__spaceOrLine,
  [40873] = 1,
    ACTIONS(10011), 1,
      sym__spaceOrLine,
  [40877] = 1,
    ACTIONS(10013), 1,
      sym__spaceOrLine,
  [40881] = 1,
    ACTIONS(10015), 1,
      sym__spaceOrLine,
  [40885] = 1,
    ACTIONS(10017), 1,
      sym__spaceOrLine,
  [40889] = 1,
    ACTIONS(10019), 1,
      sym__spaceOrLine,
  [40893] = 1,
    ACTIONS(10021), 1,
      sym__spaceOrLine,
  [40897] = 1,
    ACTIONS(10023), 1,
      sym__spaceOrLine,
  [40901] = 1,
    ACTIONS(10025), 1,
      sym__spaceOrLine,
  [40905] = 1,
    ACTIONS(10027), 1,
      anon_sym_BSLASHk_STAR,
  [40909] = 1,
    ACTIONS(10029), 1,
      sym__spaceOrLine,
  [40913] = 1,
    ACTIONS(10031), 1,
      sym__spaceOrLine,
  [40917] = 1,
    ACTIONS(10033), 1,
      sym__spaceOrLine,
  [40921] = 1,
    ACTIONS(10035), 1,
      sym__spaceOrLine,
  [40925] = 1,
    ACTIONS(10037), 1,
      sym__spaceOrLine,
  [40929] = 1,
    ACTIONS(10039), 1,
      sym__spaceOrLine,
  [40933] = 1,
    ACTIONS(10041), 1,
      sym__spaceOrLine,
  [40937] = 1,
    ACTIONS(10043), 1,
      sym__spaceOrLine,
  [40941] = 1,
    ACTIONS(10045), 1,
      sym__spaceOrLine,
  [40945] = 1,
    ACTIONS(10047), 1,
      sym__spaceOrLine,
  [40949] = 1,
    ACTIONS(10049), 1,
      sym__spaceOrLine,
  [40953] = 1,
    ACTIONS(10051), 1,
      sym__spaceOrLine,
  [40957] = 1,
    ACTIONS(10053), 1,
      sym__spaceOrLine,
  [40961] = 1,
    ACTIONS(10055), 1,
      sym__spaceOrLine,
  [40965] = 1,
    ACTIONS(10057), 1,
      sym__spaceOrLine,
  [40969] = 1,
    ACTIONS(10059), 1,
      sym__spaceOrLine,
  [40973] = 1,
    ACTIONS(10061), 1,
      sym__spaceOrLine,
  [40977] = 1,
    ACTIONS(10063), 1,
      sym__spaceOrLine,
  [40981] = 1,
    ACTIONS(10065), 1,
      sym__spaceOrLine,
  [40985] = 1,
    ACTIONS(10067), 1,
      sym__spaceOrLine,
  [40989] = 1,
    ACTIONS(10069), 1,
      sym__spaceOrLine,
  [40993] = 1,
    ACTIONS(10071), 1,
      sym__spaceOrLine,
  [40997] = 1,
    ACTIONS(10073), 1,
      sym__spaceOrLine,
  [41001] = 1,
    ACTIONS(10075), 1,
      sym__spaceOrLine,
  [41005] = 1,
    ACTIONS(10077), 1,
      sym__spaceOrLine,
  [41009] = 1,
    ACTIONS(10079), 1,
      sym__spaceOrLine,
  [41013] = 1,
    ACTIONS(10081), 1,
      sym__spaceOrLine,
  [41017] = 1,
    ACTIONS(10083), 1,
      anon_sym_DQUOTE,
  [41021] = 1,
    ACTIONS(10085), 1,
      sym__spaceOrLine,
  [41025] = 1,
    ACTIONS(10087), 1,
      sym__spaceOrLine,
  [41029] = 1,
    ACTIONS(10089), 1,
      sym__spaceOrLine,
  [41033] = 1,
    ACTIONS(10091), 1,
      sym__spaceOrLine,
  [41037] = 1,
    ACTIONS(10093), 1,
      sym__spaceOrLine,
  [41041] = 1,
    ACTIONS(10095), 1,
      sym__spaceOrLine,
  [41045] = 1,
    ACTIONS(10097), 1,
      sym__spaceOrLine,
  [41049] = 1,
    ACTIONS(10099), 1,
      sym__spaceOrLine,
  [41053] = 1,
    ACTIONS(10101), 1,
      sym__spaceOrLine,
  [41057] = 1,
    ACTIONS(10103), 1,
      sym__spaceOrLine,
  [41061] = 1,
    ACTIONS(10105), 1,
      sym__spaceOrLine,
  [41065] = 1,
    ACTIONS(10107), 1,
      sym__spaceOrLine,
  [41069] = 1,
    ACTIONS(10109), 1,
      sym__spaceOrLine,
  [41073] = 1,
    ACTIONS(10111), 1,
      sym__spaceOrLine,
  [41077] = 1,
    ACTIONS(10113), 1,
      sym__spaceOrLine,
  [41081] = 1,
    ACTIONS(10115), 1,
      sym__spaceOrLine,
  [41085] = 1,
    ACTIONS(10117), 1,
      sym__spaceOrLine,
  [41089] = 1,
    ACTIONS(10119), 1,
      sym__spaceOrLine,
  [41093] = 1,
    ACTIONS(10121), 1,
      sym__spaceOrLine,
  [41097] = 1,
    ACTIONS(10123), 1,
      sym__spaceOrLine,
  [41101] = 1,
    ACTIONS(10125), 1,
      sym__spaceOrLine,
  [41105] = 1,
    ACTIONS(10127), 1,
      sym__spaceOrLine,
  [41109] = 1,
    ACTIONS(10129), 1,
      sym__spaceOrLine,
  [41113] = 1,
    ACTIONS(10131), 1,
      sym__spaceOrLine,
  [41117] = 1,
    ACTIONS(10133), 1,
      sym__spaceOrLine,
  [41121] = 1,
    ACTIONS(10135), 1,
      sym__spaceOrLine,
  [41125] = 1,
    ACTIONS(10137), 1,
      sym__spaceOrLine,
  [41129] = 1,
    ACTIONS(10139), 1,
      anon_sym_DQUOTE,
  [41133] = 1,
    ACTIONS(10141), 1,
      sym__spaceOrLine,
  [41137] = 1,
    ACTIONS(10143), 1,
      sym__spaceOrLine,
  [41141] = 1,
    ACTIONS(10145), 1,
      anon_sym_DQUOTE,
  [41145] = 1,
    ACTIONS(10147), 1,
      ts_builtin_sym_end,
  [41149] = 1,
    ACTIONS(10149), 1,
      sym__spaceOrLine,
  [41153] = 1,
    ACTIONS(10151), 1,
      sym__spaceOrLine,
  [41157] = 1,
    ACTIONS(10153), 1,
      sym__spaceOrLine,
  [41161] = 1,
    ACTIONS(10155), 1,
      sym__spaceOrLine,
  [41165] = 1,
    ACTIONS(10157), 1,
      sym__spaceOrLine,
  [41169] = 1,
    ACTIONS(10159), 1,
      sym__spaceOrLine,
  [41173] = 1,
    ACTIONS(10161), 1,
      sym__spaceOrLine,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(1174)] = 0,
  [SMALL_STATE(1175)] = 69,
  [SMALL_STATE(1176)] = 138,
  [SMALL_STATE(1177)] = 207,
  [SMALL_STATE(1178)] = 276,
  [SMALL_STATE(1179)] = 345,
  [SMALL_STATE(1180)] = 414,
  [SMALL_STATE(1181)] = 483,
  [SMALL_STATE(1182)] = 552,
  [SMALL_STATE(1183)] = 621,
  [SMALL_STATE(1184)] = 690,
  [SMALL_STATE(1185)] = 759,
  [SMALL_STATE(1186)] = 828,
  [SMALL_STATE(1187)] = 897,
  [SMALL_STATE(1188)] = 966,
  [SMALL_STATE(1189)] = 1035,
  [SMALL_STATE(1190)] = 1104,
  [SMALL_STATE(1191)] = 1173,
  [SMALL_STATE(1192)] = 1242,
  [SMALL_STATE(1193)] = 1311,
  [SMALL_STATE(1194)] = 1380,
  [SMALL_STATE(1195)] = 1449,
  [SMALL_STATE(1196)] = 1518,
  [SMALL_STATE(1197)] = 1587,
  [SMALL_STATE(1198)] = 1656,
  [SMALL_STATE(1199)] = 1725,
  [SMALL_STATE(1200)] = 1794,
  [SMALL_STATE(1201)] = 1863,
  [SMALL_STATE(1202)] = 1932,
  [SMALL_STATE(1203)] = 2001,
  [SMALL_STATE(1204)] = 2070,
  [SMALL_STATE(1205)] = 2139,
  [SMALL_STATE(1206)] = 2208,
  [SMALL_STATE(1207)] = 2277,
  [SMALL_STATE(1208)] = 2346,
  [SMALL_STATE(1209)] = 2415,
  [SMALL_STATE(1210)] = 2484,
  [SMALL_STATE(1211)] = 2553,
  [SMALL_STATE(1212)] = 2622,
  [SMALL_STATE(1213)] = 2691,
  [SMALL_STATE(1214)] = 2760,
  [SMALL_STATE(1215)] = 2829,
  [SMALL_STATE(1216)] = 2898,
  [SMALL_STATE(1217)] = 2967,
  [SMALL_STATE(1218)] = 3055,
  [SMALL_STATE(1219)] = 3133,
  [SMALL_STATE(1220)] = 3211,
  [SMALL_STATE(1221)] = 3289,
  [SMALL_STATE(1222)] = 3377,
  [SMALL_STATE(1223)] = 3442,
  [SMALL_STATE(1224)] = 3507,
  [SMALL_STATE(1225)] = 3572,
  [SMALL_STATE(1226)] = 3637,
  [SMALL_STATE(1227)] = 3702,
  [SMALL_STATE(1228)] = 3767,
  [SMALL_STATE(1229)] = 3832,
  [SMALL_STATE(1230)] = 3897,
  [SMALL_STATE(1231)] = 3962,
  [SMALL_STATE(1232)] = 4037,
  [SMALL_STATE(1233)] = 4112,
  [SMALL_STATE(1234)] = 4177,
  [SMALL_STATE(1235)] = 4242,
  [SMALL_STATE(1236)] = 4307,
  [SMALL_STATE(1237)] = 4392,
  [SMALL_STATE(1238)] = 4465,
  [SMALL_STATE(1239)] = 4530,
  [SMALL_STATE(1240)] = 4595,
  [SMALL_STATE(1241)] = 4670,
  [SMALL_STATE(1242)] = 4755,
  [SMALL_STATE(1243)] = 4820,
  [SMALL_STATE(1244)] = 4903,
  [SMALL_STATE(1245)] = 4986,
  [SMALL_STATE(1246)] = 5051,
  [SMALL_STATE(1247)] = 5116,
  [SMALL_STATE(1248)] = 5181,
  [SMALL_STATE(1249)] = 5246,
  [SMALL_STATE(1250)] = 5323,
  [SMALL_STATE(1251)] = 5388,
  [SMALL_STATE(1252)] = 5466,
  [SMALL_STATE(1253)] = 5530,
  [SMALL_STATE(1254)] = 5600,
  [SMALL_STATE(1255)] = 5670,
  [SMALL_STATE(1256)] = 5733,
  [SMALL_STATE(1257)] = 5796,
  [SMALL_STATE(1258)] = 5859,
  [SMALL_STATE(1259)] = 5922,
  [SMALL_STATE(1260)] = 5985,
  [SMALL_STATE(1261)] = 6048,
  [SMALL_STATE(1262)] = 6121,
  [SMALL_STATE(1263)] = 6184,
  [SMALL_STATE(1264)] = 6247,
  [SMALL_STATE(1265)] = 6310,
  [SMALL_STATE(1266)] = 6373,
  [SMALL_STATE(1267)] = 6436,
  [SMALL_STATE(1268)] = 6505,
  [SMALL_STATE(1269)] = 6574,
  [SMALL_STATE(1270)] = 6637,
  [SMALL_STATE(1271)] = 6700,
  [SMALL_STATE(1272)] = 6769,
  [SMALL_STATE(1273)] = 6832,
  [SMALL_STATE(1274)] = 6895,
  [SMALL_STATE(1275)] = 6958,
  [SMALL_STATE(1276)] = 7027,
  [SMALL_STATE(1277)] = 7095,
  [SMALL_STATE(1278)] = 7161,
  [SMALL_STATE(1279)] = 7229,
  [SMALL_STATE(1280)] = 7297,
  [SMALL_STATE(1281)] = 7365,
  [SMALL_STATE(1282)] = 7433,
  [SMALL_STATE(1283)] = 7501,
  [SMALL_STATE(1284)] = 7569,
  [SMALL_STATE(1285)] = 7641,
  [SMALL_STATE(1286)] = 7709,
  [SMALL_STATE(1287)] = 7775,
  [SMALL_STATE(1288)] = 7843,
  [SMALL_STATE(1289)] = 7909,
  [SMALL_STATE(1290)] = 7977,
  [SMALL_STATE(1291)] = 8045,
  [SMALL_STATE(1292)] = 8111,
  [SMALL_STATE(1293)] = 8183,
  [SMALL_STATE(1294)] = 8249,
  [SMALL_STATE(1295)] = 8317,
  [SMALL_STATE(1296)] = 8385,
  [SMALL_STATE(1297)] = 8457,
  [SMALL_STATE(1298)] = 8527,
  [SMALL_STATE(1299)] = 8595,
  [SMALL_STATE(1300)] = 8667,
  [SMALL_STATE(1301)] = 8735,
  [SMALL_STATE(1302)] = 8803,
  [SMALL_STATE(1303)] = 8871,
  [SMALL_STATE(1304)] = 8932,
  [SMALL_STATE(1305)] = 8993,
  [SMALL_STATE(1306)] = 9054,
  [SMALL_STATE(1307)] = 9115,
  [SMALL_STATE(1308)] = 9176,
  [SMALL_STATE(1309)] = 9241,
  [SMALL_STATE(1310)] = 9302,
  [SMALL_STATE(1311)] = 9369,
  [SMALL_STATE(1312)] = 9430,
  [SMALL_STATE(1313)] = 9491,
  [SMALL_STATE(1314)] = 9552,
  [SMALL_STATE(1315)] = 9613,
  [SMALL_STATE(1316)] = 9674,
  [SMALL_STATE(1317)] = 9735,
  [SMALL_STATE(1318)] = 9796,
  [SMALL_STATE(1319)] = 9857,
  [SMALL_STATE(1320)] = 9918,
  [SMALL_STATE(1321)] = 9979,
  [SMALL_STATE(1322)] = 10044,
  [SMALL_STATE(1323)] = 10105,
  [SMALL_STATE(1324)] = 10166,
  [SMALL_STATE(1325)] = 10227,
  [SMALL_STATE(1326)] = 10288,
  [SMALL_STATE(1327)] = 10349,
  [SMALL_STATE(1328)] = 10410,
  [SMALL_STATE(1329)] = 10471,
  [SMALL_STATE(1330)] = 10532,
  [SMALL_STATE(1331)] = 10593,
  [SMALL_STATE(1332)] = 10654,
  [SMALL_STATE(1333)] = 10715,
  [SMALL_STATE(1334)] = 10776,
  [SMALL_STATE(1335)] = 10843,
  [SMALL_STATE(1336)] = 10904,
  [SMALL_STATE(1337)] = 10965,
  [SMALL_STATE(1338)] = 11026,
  [SMALL_STATE(1339)] = 11087,
  [SMALL_STATE(1340)] = 11148,
  [SMALL_STATE(1341)] = 11209,
  [SMALL_STATE(1342)] = 11270,
  [SMALL_STATE(1343)] = 11331,
  [SMALL_STATE(1344)] = 11392,
  [SMALL_STATE(1345)] = 11453,
  [SMALL_STATE(1346)] = 11522,
  [SMALL_STATE(1347)] = 11583,
  [SMALL_STATE(1348)] = 11644,
  [SMALL_STATE(1349)] = 11711,
  [SMALL_STATE(1350)] = 11772,
  [SMALL_STATE(1351)] = 11833,
  [SMALL_STATE(1352)] = 11894,
  [SMALL_STATE(1353)] = 11955,
  [SMALL_STATE(1354)] = 12016,
  [SMALL_STATE(1355)] = 12076,
  [SMALL_STATE(1356)] = 12145,
  [SMALL_STATE(1357)] = 12204,
  [SMALL_STATE(1358)] = 12263,
  [SMALL_STATE(1359)] = 12322,
  [SMALL_STATE(1360)] = 12381,
  [SMALL_STATE(1361)] = 12440,
  [SMALL_STATE(1362)] = 12498,
  [SMALL_STATE(1363)] = 12556,
  [SMALL_STATE(1364)] = 12614,
  [SMALL_STATE(1365)] = 12672,
  [SMALL_STATE(1366)] = 12730,
  [SMALL_STATE(1367)] = 12788,
  [SMALL_STATE(1368)] = 12846,
  [SMALL_STATE(1369)] = 12904,
  [SMALL_STATE(1370)] = 12962,
  [SMALL_STATE(1371)] = 13020,
  [SMALL_STATE(1372)] = 13078,
  [SMALL_STATE(1373)] = 13136,
  [SMALL_STATE(1374)] = 13194,
  [SMALL_STATE(1375)] = 13252,
  [SMALL_STATE(1376)] = 13310,
  [SMALL_STATE(1377)] = 13368,
  [SMALL_STATE(1378)] = 13426,
  [SMALL_STATE(1379)] = 13484,
  [SMALL_STATE(1380)] = 13542,
  [SMALL_STATE(1381)] = 13600,
  [SMALL_STATE(1382)] = 13658,
  [SMALL_STATE(1383)] = 13716,
  [SMALL_STATE(1384)] = 13774,
  [SMALL_STATE(1385)] = 13832,
  [SMALL_STATE(1386)] = 13890,
  [SMALL_STATE(1387)] = 13948,
  [SMALL_STATE(1388)] = 14006,
  [SMALL_STATE(1389)] = 14064,
  [SMALL_STATE(1390)] = 14122,
  [SMALL_STATE(1391)] = 14180,
  [SMALL_STATE(1392)] = 14238,
  [SMALL_STATE(1393)] = 14296,
  [SMALL_STATE(1394)] = 14354,
  [SMALL_STATE(1395)] = 14412,
  [SMALL_STATE(1396)] = 14470,
  [SMALL_STATE(1397)] = 14528,
  [SMALL_STATE(1398)] = 14586,
  [SMALL_STATE(1399)] = 14644,
  [SMALL_STATE(1400)] = 14702,
  [SMALL_STATE(1401)] = 14760,
  [SMALL_STATE(1402)] = 14818,
  [SMALL_STATE(1403)] = 14876,
  [SMALL_STATE(1404)] = 14934,
  [SMALL_STATE(1405)] = 14992,
  [SMALL_STATE(1406)] = 15050,
  [SMALL_STATE(1407)] = 15108,
  [SMALL_STATE(1408)] = 15166,
  [SMALL_STATE(1409)] = 15224,
  [SMALL_STATE(1410)] = 15282,
  [SMALL_STATE(1411)] = 15340,
  [SMALL_STATE(1412)] = 15398,
  [SMALL_STATE(1413)] = 15456,
  [SMALL_STATE(1414)] = 15514,
  [SMALL_STATE(1415)] = 15572,
  [SMALL_STATE(1416)] = 15630,
  [SMALL_STATE(1417)] = 15688,
  [SMALL_STATE(1418)] = 15746,
  [SMALL_STATE(1419)] = 15804,
  [SMALL_STATE(1420)] = 15862,
  [SMALL_STATE(1421)] = 15920,
  [SMALL_STATE(1422)] = 15978,
  [SMALL_STATE(1423)] = 16036,
  [SMALL_STATE(1424)] = 16094,
  [SMALL_STATE(1425)] = 16152,
  [SMALL_STATE(1426)] = 16210,
  [SMALL_STATE(1427)] = 16268,
  [SMALL_STATE(1428)] = 16326,
  [SMALL_STATE(1429)] = 16384,
  [SMALL_STATE(1430)] = 16442,
  [SMALL_STATE(1431)] = 16500,
  [SMALL_STATE(1432)] = 16558,
  [SMALL_STATE(1433)] = 16616,
  [SMALL_STATE(1434)] = 16674,
  [SMALL_STATE(1435)] = 16732,
  [SMALL_STATE(1436)] = 16790,
  [SMALL_STATE(1437)] = 16848,
  [SMALL_STATE(1438)] = 16906,
  [SMALL_STATE(1439)] = 16964,
  [SMALL_STATE(1440)] = 17021,
  [SMALL_STATE(1441)] = 17078,
  [SMALL_STATE(1442)] = 17135,
  [SMALL_STATE(1443)] = 17192,
  [SMALL_STATE(1444)] = 17249,
  [SMALL_STATE(1445)] = 17306,
  [SMALL_STATE(1446)] = 17363,
  [SMALL_STATE(1447)] = 17420,
  [SMALL_STATE(1448)] = 17477,
  [SMALL_STATE(1449)] = 17534,
  [SMALL_STATE(1450)] = 17591,
  [SMALL_STATE(1451)] = 17648,
  [SMALL_STATE(1452)] = 17705,
  [SMALL_STATE(1453)] = 17762,
  [SMALL_STATE(1454)] = 17819,
  [SMALL_STATE(1455)] = 17876,
  [SMALL_STATE(1456)] = 17933,
  [SMALL_STATE(1457)] = 17990,
  [SMALL_STATE(1458)] = 18047,
  [SMALL_STATE(1459)] = 18104,
  [SMALL_STATE(1460)] = 18161,
  [SMALL_STATE(1461)] = 18218,
  [SMALL_STATE(1462)] = 18275,
  [SMALL_STATE(1463)] = 18332,
  [SMALL_STATE(1464)] = 18389,
  [SMALL_STATE(1465)] = 18446,
  [SMALL_STATE(1466)] = 18503,
  [SMALL_STATE(1467)] = 18560,
  [SMALL_STATE(1468)] = 18617,
  [SMALL_STATE(1469)] = 18674,
  [SMALL_STATE(1470)] = 18731,
  [SMALL_STATE(1471)] = 18788,
  [SMALL_STATE(1472)] = 18845,
  [SMALL_STATE(1473)] = 18902,
  [SMALL_STATE(1474)] = 18959,
  [SMALL_STATE(1475)] = 19016,
  [SMALL_STATE(1476)] = 19073,
  [SMALL_STATE(1477)] = 19130,
  [SMALL_STATE(1478)] = 19187,
  [SMALL_STATE(1479)] = 19244,
  [SMALL_STATE(1480)] = 19301,
  [SMALL_STATE(1481)] = 19358,
  [SMALL_STATE(1482)] = 19415,
  [SMALL_STATE(1483)] = 19472,
  [SMALL_STATE(1484)] = 19529,
  [SMALL_STATE(1485)] = 19586,
  [SMALL_STATE(1486)] = 19643,
  [SMALL_STATE(1487)] = 19700,
  [SMALL_STATE(1488)] = 19757,
  [SMALL_STATE(1489)] = 19814,
  [SMALL_STATE(1490)] = 19871,
  [SMALL_STATE(1491)] = 19928,
  [SMALL_STATE(1492)] = 19985,
  [SMALL_STATE(1493)] = 20042,
  [SMALL_STATE(1494)] = 20099,
  [SMALL_STATE(1495)] = 20156,
  [SMALL_STATE(1496)] = 20213,
  [SMALL_STATE(1497)] = 20270,
  [SMALL_STATE(1498)] = 20327,
  [SMALL_STATE(1499)] = 20384,
  [SMALL_STATE(1500)] = 20441,
  [SMALL_STATE(1501)] = 20498,
  [SMALL_STATE(1502)] = 20555,
  [SMALL_STATE(1503)] = 20618,
  [SMALL_STATE(1504)] = 20675,
  [SMALL_STATE(1505)] = 20732,
  [SMALL_STATE(1506)] = 20789,
  [SMALL_STATE(1507)] = 20846,
  [SMALL_STATE(1508)] = 20903,
  [SMALL_STATE(1509)] = 20960,
  [SMALL_STATE(1510)] = 21017,
  [SMALL_STATE(1511)] = 21074,
  [SMALL_STATE(1512)] = 21131,
  [SMALL_STATE(1513)] = 21188,
  [SMALL_STATE(1514)] = 21245,
  [SMALL_STATE(1515)] = 21302,
  [SMALL_STATE(1516)] = 21359,
  [SMALL_STATE(1517)] = 21416,
  [SMALL_STATE(1518)] = 21473,
  [SMALL_STATE(1519)] = 21530,
  [SMALL_STATE(1520)] = 21593,
  [SMALL_STATE(1521)] = 21650,
  [SMALL_STATE(1522)] = 21707,
  [SMALL_STATE(1523)] = 21764,
  [SMALL_STATE(1524)] = 21827,
  [SMALL_STATE(1525)] = 21884,
  [SMALL_STATE(1526)] = 21941,
  [SMALL_STATE(1527)] = 21998,
  [SMALL_STATE(1528)] = 22055,
  [SMALL_STATE(1529)] = 22112,
  [SMALL_STATE(1530)] = 22169,
  [SMALL_STATE(1531)] = 22226,
  [SMALL_STATE(1532)] = 22289,
  [SMALL_STATE(1533)] = 22351,
  [SMALL_STATE(1534)] = 22413,
  [SMALL_STATE(1535)] = 22475,
  [SMALL_STATE(1536)] = 22537,
  [SMALL_STATE(1537)] = 22599,
  [SMALL_STATE(1538)] = 22661,
  [SMALL_STATE(1539)] = 22719,
  [SMALL_STATE(1540)] = 22777,
  [SMALL_STATE(1541)] = 22839,
  [SMALL_STATE(1542)] = 22897,
  [SMALL_STATE(1543)] = 22959,
  [SMALL_STATE(1544)] = 23021,
  [SMALL_STATE(1545)] = 23083,
  [SMALL_STATE(1546)] = 23145,
  [SMALL_STATE(1547)] = 23207,
  [SMALL_STATE(1548)] = 23269,
  [SMALL_STATE(1549)] = 23331,
  [SMALL_STATE(1550)] = 23390,
  [SMALL_STATE(1551)] = 23449,
  [SMALL_STATE(1552)] = 23525,
  [SMALL_STATE(1553)] = 23601,
  [SMALL_STATE(1554)] = 23660,
  [SMALL_STATE(1555)] = 23704,
  [SMALL_STATE(1556)] = 23748,
  [SMALL_STATE(1557)] = 23792,
  [SMALL_STATE(1558)] = 23836,
  [SMALL_STATE(1559)] = 23880,
  [SMALL_STATE(1560)] = 23924,
  [SMALL_STATE(1561)] = 23968,
  [SMALL_STATE(1562)] = 24012,
  [SMALL_STATE(1563)] = 24056,
  [SMALL_STATE(1564)] = 24100,
  [SMALL_STATE(1565)] = 24144,
  [SMALL_STATE(1566)] = 24188,
  [SMALL_STATE(1567)] = 24232,
  [SMALL_STATE(1568)] = 24276,
  [SMALL_STATE(1569)] = 24320,
  [SMALL_STATE(1570)] = 24364,
  [SMALL_STATE(1571)] = 24408,
  [SMALL_STATE(1572)] = 24452,
  [SMALL_STATE(1573)] = 24498,
  [SMALL_STATE(1574)] = 24542,
  [SMALL_STATE(1575)] = 24586,
  [SMALL_STATE(1576)] = 24630,
  [SMALL_STATE(1577)] = 24674,
  [SMALL_STATE(1578)] = 24718,
  [SMALL_STATE(1579)] = 24762,
  [SMALL_STATE(1580)] = 24806,
  [SMALL_STATE(1581)] = 24850,
  [SMALL_STATE(1582)] = 24894,
  [SMALL_STATE(1583)] = 24938,
  [SMALL_STATE(1584)] = 24982,
  [SMALL_STATE(1585)] = 25026,
  [SMALL_STATE(1586)] = 25070,
  [SMALL_STATE(1587)] = 25114,
  [SMALL_STATE(1588)] = 25158,
  [SMALL_STATE(1589)] = 25202,
  [SMALL_STATE(1590)] = 25246,
  [SMALL_STATE(1591)] = 25290,
  [SMALL_STATE(1592)] = 25334,
  [SMALL_STATE(1593)] = 25378,
  [SMALL_STATE(1594)] = 25422,
  [SMALL_STATE(1595)] = 25466,
  [SMALL_STATE(1596)] = 25510,
  [SMALL_STATE(1597)] = 25554,
  [SMALL_STATE(1598)] = 25598,
  [SMALL_STATE(1599)] = 25644,
  [SMALL_STATE(1600)] = 25690,
  [SMALL_STATE(1601)] = 25734,
  [SMALL_STATE(1602)] = 25778,
  [SMALL_STATE(1603)] = 25822,
  [SMALL_STATE(1604)] = 25866,
  [SMALL_STATE(1605)] = 25912,
  [SMALL_STATE(1606)] = 25958,
  [SMALL_STATE(1607)] = 26002,
  [SMALL_STATE(1608)] = 26046,
  [SMALL_STATE(1609)] = 26090,
  [SMALL_STATE(1610)] = 26134,
  [SMALL_STATE(1611)] = 26178,
  [SMALL_STATE(1612)] = 26223,
  [SMALL_STATE(1613)] = 26268,
  [SMALL_STATE(1614)] = 26321,
  [SMALL_STATE(1615)] = 26366,
  [SMALL_STATE(1616)] = 26411,
  [SMALL_STATE(1617)] = 26456,
  [SMALL_STATE(1618)] = 26501,
  [SMALL_STATE(1619)] = 26546,
  [SMALL_STATE(1620)] = 26591,
  [SMALL_STATE(1621)] = 26636,
  [SMALL_STATE(1622)] = 26681,
  [SMALL_STATE(1623)] = 26726,
  [SMALL_STATE(1624)] = 26771,
  [SMALL_STATE(1625)] = 26816,
  [SMALL_STATE(1626)] = 26861,
  [SMALL_STATE(1627)] = 26906,
  [SMALL_STATE(1628)] = 26951,
  [SMALL_STATE(1629)] = 26996,
  [SMALL_STATE(1630)] = 27046,
  [SMALL_STATE(1631)] = 27096,
  [SMALL_STATE(1632)] = 27140,
  [SMALL_STATE(1633)] = 27190,
  [SMALL_STATE(1634)] = 27240,
  [SMALL_STATE(1635)] = 27290,
  [SMALL_STATE(1636)] = 27340,
  [SMALL_STATE(1637)] = 27390,
  [SMALL_STATE(1638)] = 27434,
  [SMALL_STATE(1639)] = 27477,
  [SMALL_STATE(1640)] = 27520,
  [SMALL_STATE(1641)] = 27563,
  [SMALL_STATE(1642)] = 27606,
  [SMALL_STATE(1643)] = 27649,
  [SMALL_STATE(1644)] = 27692,
  [SMALL_STATE(1645)] = 27735,
  [SMALL_STATE(1646)] = 27778,
  [SMALL_STATE(1647)] = 27821,
  [SMALL_STATE(1648)] = 27864,
  [SMALL_STATE(1649)] = 27907,
  [SMALL_STATE(1650)] = 27950,
  [SMALL_STATE(1651)] = 27993,
  [SMALL_STATE(1652)] = 28036,
  [SMALL_STATE(1653)] = 28079,
  [SMALL_STATE(1654)] = 28122,
  [SMALL_STATE(1655)] = 28165,
  [SMALL_STATE(1656)] = 28206,
  [SMALL_STATE(1657)] = 28247,
  [SMALL_STATE(1658)] = 28288,
  [SMALL_STATE(1659)] = 28329,
  [SMALL_STATE(1660)] = 28370,
  [SMALL_STATE(1661)] = 28411,
  [SMALL_STATE(1662)] = 28452,
  [SMALL_STATE(1663)] = 28493,
  [SMALL_STATE(1664)] = 28534,
  [SMALL_STATE(1665)] = 28575,
  [SMALL_STATE(1666)] = 28616,
  [SMALL_STATE(1667)] = 28657,
  [SMALL_STATE(1668)] = 28698,
  [SMALL_STATE(1669)] = 28739,
  [SMALL_STATE(1670)] = 28780,
  [SMALL_STATE(1671)] = 28821,
  [SMALL_STATE(1672)] = 28862,
  [SMALL_STATE(1673)] = 28903,
  [SMALL_STATE(1674)] = 28944,
  [SMALL_STATE(1675)] = 28985,
  [SMALL_STATE(1676)] = 29026,
  [SMALL_STATE(1677)] = 29067,
  [SMALL_STATE(1678)] = 29108,
  [SMALL_STATE(1679)] = 29149,
  [SMALL_STATE(1680)] = 29190,
  [SMALL_STATE(1681)] = 29231,
  [SMALL_STATE(1682)] = 29272,
  [SMALL_STATE(1683)] = 29313,
  [SMALL_STATE(1684)] = 29354,
  [SMALL_STATE(1685)] = 29395,
  [SMALL_STATE(1686)] = 29436,
  [SMALL_STATE(1687)] = 29476,
  [SMALL_STATE(1688)] = 29528,
  [SMALL_STATE(1689)] = 29568,
  [SMALL_STATE(1690)] = 29607,
  [SMALL_STATE(1691)] = 29646,
  [SMALL_STATE(1692)] = 29685,
  [SMALL_STATE(1693)] = 29724,
  [SMALL_STATE(1694)] = 29763,
  [SMALL_STATE(1695)] = 29802,
  [SMALL_STATE(1696)] = 29841,
  [SMALL_STATE(1697)] = 29880,
  [SMALL_STATE(1698)] = 29919,
  [SMALL_STATE(1699)] = 29958,
  [SMALL_STATE(1700)] = 29997,
  [SMALL_STATE(1701)] = 30036,
  [SMALL_STATE(1702)] = 30080,
  [SMALL_STATE(1703)] = 30124,
  [SMALL_STATE(1704)] = 30170,
  [SMALL_STATE(1705)] = 30213,
  [SMALL_STATE(1706)] = 30256,
  [SMALL_STATE(1707)] = 30299,
  [SMALL_STATE(1708)] = 30342,
  [SMALL_STATE(1709)] = 30385,
  [SMALL_STATE(1710)] = 30428,
  [SMALL_STATE(1711)] = 30465,
  [SMALL_STATE(1712)] = 30508,
  [SMALL_STATE(1713)] = 30551,
  [SMALL_STATE(1714)] = 30585,
  [SMALL_STATE(1715)] = 30619,
  [SMALL_STATE(1716)] = 30653,
  [SMALL_STATE(1717)] = 30687,
  [SMALL_STATE(1718)] = 30721,
  [SMALL_STATE(1719)] = 30755,
  [SMALL_STATE(1720)] = 30789,
  [SMALL_STATE(1721)] = 30847,
  [SMALL_STATE(1722)] = 30881,
  [SMALL_STATE(1723)] = 30915,
  [SMALL_STATE(1724)] = 30949,
  [SMALL_STATE(1725)] = 30983,
  [SMALL_STATE(1726)] = 31017,
  [SMALL_STATE(1727)] = 31051,
  [SMALL_STATE(1728)] = 31085,
  [SMALL_STATE(1729)] = 31119,
  [SMALL_STATE(1730)] = 31153,
  [SMALL_STATE(1731)] = 31187,
  [SMALL_STATE(1732)] = 31221,
  [SMALL_STATE(1733)] = 31255,
  [SMALL_STATE(1734)] = 31289,
  [SMALL_STATE(1735)] = 31323,
  [SMALL_STATE(1736)] = 31357,
  [SMALL_STATE(1737)] = 31391,
  [SMALL_STATE(1738)] = 31446,
  [SMALL_STATE(1739)] = 31501,
  [SMALL_STATE(1740)] = 31543,
  [SMALL_STATE(1741)] = 31585,
  [SMALL_STATE(1742)] = 31633,
  [SMALL_STATE(1743)] = 31681,
  [SMALL_STATE(1744)] = 31729,
  [SMALL_STATE(1745)] = 31777,
  [SMALL_STATE(1746)] = 31825,
  [SMALL_STATE(1747)] = 31873,
  [SMALL_STATE(1748)] = 31921,
  [SMALL_STATE(1749)] = 31969,
  [SMALL_STATE(1750)] = 32017,
  [SMALL_STATE(1751)] = 32065,
  [SMALL_STATE(1752)] = 32113,
  [SMALL_STATE(1753)] = 32161,
  [SMALL_STATE(1754)] = 32209,
  [SMALL_STATE(1755)] = 32257,
  [SMALL_STATE(1756)] = 32305,
  [SMALL_STATE(1757)] = 32353,
  [SMALL_STATE(1758)] = 32401,
  [SMALL_STATE(1759)] = 32449,
  [SMALL_STATE(1760)] = 32497,
  [SMALL_STATE(1761)] = 32545,
  [SMALL_STATE(1762)] = 32593,
  [SMALL_STATE(1763)] = 32641,
  [SMALL_STATE(1764)] = 32689,
  [SMALL_STATE(1765)] = 32737,
  [SMALL_STATE(1766)] = 32785,
  [SMALL_STATE(1767)] = 32825,
  [SMALL_STATE(1768)] = 32867,
  [SMALL_STATE(1769)] = 32907,
  [SMALL_STATE(1770)] = 32946,
  [SMALL_STATE(1771)] = 32983,
  [SMALL_STATE(1772)] = 33020,
  [SMALL_STATE(1773)] = 33062,
  [SMALL_STATE(1774)] = 33104,
  [SMALL_STATE(1775)] = 33146,
  [SMALL_STATE(1776)] = 33179,
  [SMALL_STATE(1777)] = 33213,
  [SMALL_STATE(1778)] = 33245,
  [SMALL_STATE(1779)] = 33279,
  [SMALL_STATE(1780)] = 33301,
  [SMALL_STATE(1781)] = 33335,
  [SMALL_STATE(1782)] = 33357,
  [SMALL_STATE(1783)] = 33389,
  [SMALL_STATE(1784)] = 33410,
  [SMALL_STATE(1785)] = 33431,
  [SMALL_STATE(1786)] = 33452,
  [SMALL_STATE(1787)] = 33473,
  [SMALL_STATE(1788)] = 33494,
  [SMALL_STATE(1789)] = 33515,
  [SMALL_STATE(1790)] = 33536,
  [SMALL_STATE(1791)] = 33557,
  [SMALL_STATE(1792)] = 33578,
  [SMALL_STATE(1793)] = 33599,
  [SMALL_STATE(1794)] = 33623,
  [SMALL_STATE(1795)] = 33641,
  [SMALL_STATE(1796)] = 33659,
  [SMALL_STATE(1797)] = 33683,
  [SMALL_STATE(1798)] = 33701,
  [SMALL_STATE(1799)] = 33719,
  [SMALL_STATE(1800)] = 33737,
  [SMALL_STATE(1801)] = 33761,
  [SMALL_STATE(1802)] = 33779,
  [SMALL_STATE(1803)] = 33797,
  [SMALL_STATE(1804)] = 33815,
  [SMALL_STATE(1805)] = 33839,
  [SMALL_STATE(1806)] = 33866,
  [SMALL_STATE(1807)] = 33883,
  [SMALL_STATE(1808)] = 33900,
  [SMALL_STATE(1809)] = 33917,
  [SMALL_STATE(1810)] = 33934,
  [SMALL_STATE(1811)] = 33951,
  [SMALL_STATE(1812)] = 33968,
  [SMALL_STATE(1813)] = 33985,
  [SMALL_STATE(1814)] = 34002,
  [SMALL_STATE(1815)] = 34019,
  [SMALL_STATE(1816)] = 34046,
  [SMALL_STATE(1817)] = 34060,
  [SMALL_STATE(1818)] = 34074,
  [SMALL_STATE(1819)] = 34088,
  [SMALL_STATE(1820)] = 34102,
  [SMALL_STATE(1821)] = 34116,
  [SMALL_STATE(1822)] = 34132,
  [SMALL_STATE(1823)] = 34146,
  [SMALL_STATE(1824)] = 34160,
  [SMALL_STATE(1825)] = 34174,
  [SMALL_STATE(1826)] = 34190,
  [SMALL_STATE(1827)] = 34204,
  [SMALL_STATE(1828)] = 34218,
  [SMALL_STATE(1829)] = 34244,
  [SMALL_STATE(1830)] = 34256,
  [SMALL_STATE(1831)] = 34282,
  [SMALL_STATE(1832)] = 34294,
  [SMALL_STATE(1833)] = 34320,
  [SMALL_STATE(1834)] = 34333,
  [SMALL_STATE(1835)] = 34346,
  [SMALL_STATE(1836)] = 34363,
  [SMALL_STATE(1837)] = 34380,
  [SMALL_STATE(1838)] = 34393,
  [SMALL_STATE(1839)] = 34406,
  [SMALL_STATE(1840)] = 34426,
  [SMALL_STATE(1841)] = 34446,
  [SMALL_STATE(1842)] = 34466,
  [SMALL_STATE(1843)] = 34486,
  [SMALL_STATE(1844)] = 34506,
  [SMALL_STATE(1845)] = 34526,
  [SMALL_STATE(1846)] = 34546,
  [SMALL_STATE(1847)] = 34566,
  [SMALL_STATE(1848)] = 34586,
  [SMALL_STATE(1849)] = 34606,
  [SMALL_STATE(1850)] = 34621,
  [SMALL_STATE(1851)] = 34638,
  [SMALL_STATE(1852)] = 34653,
  [SMALL_STATE(1853)] = 34668,
  [SMALL_STATE(1854)] = 34685,
  [SMALL_STATE(1855)] = 34700,
  [SMALL_STATE(1856)] = 34717,
  [SMALL_STATE(1857)] = 34732,
  [SMALL_STATE(1858)] = 34747,
  [SMALL_STATE(1859)] = 34764,
  [SMALL_STATE(1860)] = 34781,
  [SMALL_STATE(1861)] = 34796,
  [SMALL_STATE(1862)] = 34811,
  [SMALL_STATE(1863)] = 34828,
  [SMALL_STATE(1864)] = 34845,
  [SMALL_STATE(1865)] = 34862,
  [SMALL_STATE(1866)] = 34877,
  [SMALL_STATE(1867)] = 34894,
  [SMALL_STATE(1868)] = 34911,
  [SMALL_STATE(1869)] = 34928,
  [SMALL_STATE(1870)] = 34944,
  [SMALL_STATE(1871)] = 34960,
  [SMALL_STATE(1872)] = 34976,
  [SMALL_STATE(1873)] = 34992,
  [SMALL_STATE(1874)] = 35008,
  [SMALL_STATE(1875)] = 35024,
  [SMALL_STATE(1876)] = 35040,
  [SMALL_STATE(1877)] = 35056,
  [SMALL_STATE(1878)] = 35072,
  [SMALL_STATE(1879)] = 35088,
  [SMALL_STATE(1880)] = 35104,
  [SMALL_STATE(1881)] = 35115,
  [SMALL_STATE(1882)] = 35126,
  [SMALL_STATE(1883)] = 35137,
  [SMALL_STATE(1884)] = 35148,
  [SMALL_STATE(1885)] = 35159,
  [SMALL_STATE(1886)] = 35170,
  [SMALL_STATE(1887)] = 35181,
  [SMALL_STATE(1888)] = 35192,
  [SMALL_STATE(1889)] = 35203,
  [SMALL_STATE(1890)] = 35214,
  [SMALL_STATE(1891)] = 35225,
  [SMALL_STATE(1892)] = 35236,
  [SMALL_STATE(1893)] = 35247,
  [SMALL_STATE(1894)] = 35258,
  [SMALL_STATE(1895)] = 35269,
  [SMALL_STATE(1896)] = 35280,
  [SMALL_STATE(1897)] = 35291,
  [SMALL_STATE(1898)] = 35302,
  [SMALL_STATE(1899)] = 35313,
  [SMALL_STATE(1900)] = 35324,
  [SMALL_STATE(1901)] = 35335,
  [SMALL_STATE(1902)] = 35346,
  [SMALL_STATE(1903)] = 35357,
  [SMALL_STATE(1904)] = 35368,
  [SMALL_STATE(1905)] = 35379,
  [SMALL_STATE(1906)] = 35390,
  [SMALL_STATE(1907)] = 35401,
  [SMALL_STATE(1908)] = 35412,
  [SMALL_STATE(1909)] = 35423,
  [SMALL_STATE(1910)] = 35434,
  [SMALL_STATE(1911)] = 35445,
  [SMALL_STATE(1912)] = 35456,
  [SMALL_STATE(1913)] = 35467,
  [SMALL_STATE(1914)] = 35478,
  [SMALL_STATE(1915)] = 35489,
  [SMALL_STATE(1916)] = 35500,
  [SMALL_STATE(1917)] = 35511,
  [SMALL_STATE(1918)] = 35522,
  [SMALL_STATE(1919)] = 35533,
  [SMALL_STATE(1920)] = 35544,
  [SMALL_STATE(1921)] = 35555,
  [SMALL_STATE(1922)] = 35566,
  [SMALL_STATE(1923)] = 35577,
  [SMALL_STATE(1924)] = 35588,
  [SMALL_STATE(1925)] = 35599,
  [SMALL_STATE(1926)] = 35610,
  [SMALL_STATE(1927)] = 35621,
  [SMALL_STATE(1928)] = 35632,
  [SMALL_STATE(1929)] = 35643,
  [SMALL_STATE(1930)] = 35654,
  [SMALL_STATE(1931)] = 35665,
  [SMALL_STATE(1932)] = 35676,
  [SMALL_STATE(1933)] = 35687,
  [SMALL_STATE(1934)] = 35698,
  [SMALL_STATE(1935)] = 35709,
  [SMALL_STATE(1936)] = 35720,
  [SMALL_STATE(1937)] = 35731,
  [SMALL_STATE(1938)] = 35744,
  [SMALL_STATE(1939)] = 35755,
  [SMALL_STATE(1940)] = 35766,
  [SMALL_STATE(1941)] = 35777,
  [SMALL_STATE(1942)] = 35788,
  [SMALL_STATE(1943)] = 35799,
  [SMALL_STATE(1944)] = 35807,
  [SMALL_STATE(1945)] = 35815,
  [SMALL_STATE(1946)] = 35825,
  [SMALL_STATE(1947)] = 35835,
  [SMALL_STATE(1948)] = 35845,
  [SMALL_STATE(1949)] = 35853,
  [SMALL_STATE(1950)] = 35861,
  [SMALL_STATE(1951)] = 35871,
  [SMALL_STATE(1952)] = 35881,
  [SMALL_STATE(1953)] = 35891,
  [SMALL_STATE(1954)] = 35901,
  [SMALL_STATE(1955)] = 35911,
  [SMALL_STATE(1956)] = 35921,
  [SMALL_STATE(1957)] = 35929,
  [SMALL_STATE(1958)] = 35935,
  [SMALL_STATE(1959)] = 35945,
  [SMALL_STATE(1960)] = 35955,
  [SMALL_STATE(1961)] = 35965,
  [SMALL_STATE(1962)] = 35973,
  [SMALL_STATE(1963)] = 35983,
  [SMALL_STATE(1964)] = 35993,
  [SMALL_STATE(1965)] = 36003,
  [SMALL_STATE(1966)] = 36013,
  [SMALL_STATE(1967)] = 36023,
  [SMALL_STATE(1968)] = 36031,
  [SMALL_STATE(1969)] = 36041,
  [SMALL_STATE(1970)] = 36051,
  [SMALL_STATE(1971)] = 36061,
  [SMALL_STATE(1972)] = 36069,
  [SMALL_STATE(1973)] = 36079,
  [SMALL_STATE(1974)] = 36089,
  [SMALL_STATE(1975)] = 36099,
  [SMALL_STATE(1976)] = 36107,
  [SMALL_STATE(1977)] = 36117,
  [SMALL_STATE(1978)] = 36125,
  [SMALL_STATE(1979)] = 36135,
  [SMALL_STATE(1980)] = 36145,
  [SMALL_STATE(1981)] = 36155,
  [SMALL_STATE(1982)] = 36165,
  [SMALL_STATE(1983)] = 36175,
  [SMALL_STATE(1984)] = 36182,
  [SMALL_STATE(1985)] = 36189,
  [SMALL_STATE(1986)] = 36196,
  [SMALL_STATE(1987)] = 36203,
  [SMALL_STATE(1988)] = 36210,
  [SMALL_STATE(1989)] = 36217,
  [SMALL_STATE(1990)] = 36222,
  [SMALL_STATE(1991)] = 36229,
  [SMALL_STATE(1992)] = 36236,
  [SMALL_STATE(1993)] = 36243,
  [SMALL_STATE(1994)] = 36250,
  [SMALL_STATE(1995)] = 36257,
  [SMALL_STATE(1996)] = 36264,
  [SMALL_STATE(1997)] = 36271,
  [SMALL_STATE(1998)] = 36278,
  [SMALL_STATE(1999)] = 36285,
  [SMALL_STATE(2000)] = 36292,
  [SMALL_STATE(2001)] = 36299,
  [SMALL_STATE(2002)] = 36306,
  [SMALL_STATE(2003)] = 36313,
  [SMALL_STATE(2004)] = 36320,
  [SMALL_STATE(2005)] = 36327,
  [SMALL_STATE(2006)] = 36334,
  [SMALL_STATE(2007)] = 36341,
  [SMALL_STATE(2008)] = 36348,
  [SMALL_STATE(2009)] = 36355,
  [SMALL_STATE(2010)] = 36362,
  [SMALL_STATE(2011)] = 36369,
  [SMALL_STATE(2012)] = 36376,
  [SMALL_STATE(2013)] = 36381,
  [SMALL_STATE(2014)] = 36388,
  [SMALL_STATE(2015)] = 36395,
  [SMALL_STATE(2016)] = 36402,
  [SMALL_STATE(2017)] = 36409,
  [SMALL_STATE(2018)] = 36416,
  [SMALL_STATE(2019)] = 36423,
  [SMALL_STATE(2020)] = 36430,
  [SMALL_STATE(2021)] = 36437,
  [SMALL_STATE(2022)] = 36444,
  [SMALL_STATE(2023)] = 36451,
  [SMALL_STATE(2024)] = 36458,
  [SMALL_STATE(2025)] = 36465,
  [SMALL_STATE(2026)] = 36472,
  [SMALL_STATE(2027)] = 36479,
  [SMALL_STATE(2028)] = 36486,
  [SMALL_STATE(2029)] = 36493,
  [SMALL_STATE(2030)] = 36500,
  [SMALL_STATE(2031)] = 36507,
  [SMALL_STATE(2032)] = 36514,
  [SMALL_STATE(2033)] = 36521,
  [SMALL_STATE(2034)] = 36528,
  [SMALL_STATE(2035)] = 36535,
  [SMALL_STATE(2036)] = 36542,
  [SMALL_STATE(2037)] = 36549,
  [SMALL_STATE(2038)] = 36556,
  [SMALL_STATE(2039)] = 36563,
  [SMALL_STATE(2040)] = 36570,
  [SMALL_STATE(2041)] = 36577,
  [SMALL_STATE(2042)] = 36584,
  [SMALL_STATE(2043)] = 36591,
  [SMALL_STATE(2044)] = 36598,
  [SMALL_STATE(2045)] = 36605,
  [SMALL_STATE(2046)] = 36612,
  [SMALL_STATE(2047)] = 36619,
  [SMALL_STATE(2048)] = 36626,
  [SMALL_STATE(2049)] = 36633,
  [SMALL_STATE(2050)] = 36640,
  [SMALL_STATE(2051)] = 36647,
  [SMALL_STATE(2052)] = 36654,
  [SMALL_STATE(2053)] = 36661,
  [SMALL_STATE(2054)] = 36668,
  [SMALL_STATE(2055)] = 36675,
  [SMALL_STATE(2056)] = 36682,
  [SMALL_STATE(2057)] = 36689,
  [SMALL_STATE(2058)] = 36696,
  [SMALL_STATE(2059)] = 36703,
  [SMALL_STATE(2060)] = 36710,
  [SMALL_STATE(2061)] = 36717,
  [SMALL_STATE(2062)] = 36724,
  [SMALL_STATE(2063)] = 36731,
  [SMALL_STATE(2064)] = 36738,
  [SMALL_STATE(2065)] = 36745,
  [SMALL_STATE(2066)] = 36752,
  [SMALL_STATE(2067)] = 36759,
  [SMALL_STATE(2068)] = 36766,
  [SMALL_STATE(2069)] = 36773,
  [SMALL_STATE(2070)] = 36780,
  [SMALL_STATE(2071)] = 36787,
  [SMALL_STATE(2072)] = 36794,
  [SMALL_STATE(2073)] = 36801,
  [SMALL_STATE(2074)] = 36808,
  [SMALL_STATE(2075)] = 36815,
  [SMALL_STATE(2076)] = 36822,
  [SMALL_STATE(2077)] = 36829,
  [SMALL_STATE(2078)] = 36836,
  [SMALL_STATE(2079)] = 36843,
  [SMALL_STATE(2080)] = 36850,
  [SMALL_STATE(2081)] = 36857,
  [SMALL_STATE(2082)] = 36864,
  [SMALL_STATE(2083)] = 36871,
  [SMALL_STATE(2084)] = 36878,
  [SMALL_STATE(2085)] = 36885,
  [SMALL_STATE(2086)] = 36892,
  [SMALL_STATE(2087)] = 36899,
  [SMALL_STATE(2088)] = 36906,
  [SMALL_STATE(2089)] = 36913,
  [SMALL_STATE(2090)] = 36920,
  [SMALL_STATE(2091)] = 36927,
  [SMALL_STATE(2092)] = 36934,
  [SMALL_STATE(2093)] = 36941,
  [SMALL_STATE(2094)] = 36948,
  [SMALL_STATE(2095)] = 36955,
  [SMALL_STATE(2096)] = 36962,
  [SMALL_STATE(2097)] = 36969,
  [SMALL_STATE(2098)] = 36976,
  [SMALL_STATE(2099)] = 36983,
  [SMALL_STATE(2100)] = 36990,
  [SMALL_STATE(2101)] = 36997,
  [SMALL_STATE(2102)] = 37004,
  [SMALL_STATE(2103)] = 37011,
  [SMALL_STATE(2104)] = 37018,
  [SMALL_STATE(2105)] = 37025,
  [SMALL_STATE(2106)] = 37032,
  [SMALL_STATE(2107)] = 37039,
  [SMALL_STATE(2108)] = 37046,
  [SMALL_STATE(2109)] = 37053,
  [SMALL_STATE(2110)] = 37060,
  [SMALL_STATE(2111)] = 37067,
  [SMALL_STATE(2112)] = 37074,
  [SMALL_STATE(2113)] = 37081,
  [SMALL_STATE(2114)] = 37088,
  [SMALL_STATE(2115)] = 37095,
  [SMALL_STATE(2116)] = 37102,
  [SMALL_STATE(2117)] = 37109,
  [SMALL_STATE(2118)] = 37116,
  [SMALL_STATE(2119)] = 37123,
  [SMALL_STATE(2120)] = 37130,
  [SMALL_STATE(2121)] = 37137,
  [SMALL_STATE(2122)] = 37144,
  [SMALL_STATE(2123)] = 37151,
  [SMALL_STATE(2124)] = 37158,
  [SMALL_STATE(2125)] = 37165,
  [SMALL_STATE(2126)] = 37172,
  [SMALL_STATE(2127)] = 37179,
  [SMALL_STATE(2128)] = 37186,
  [SMALL_STATE(2129)] = 37193,
  [SMALL_STATE(2130)] = 37197,
  [SMALL_STATE(2131)] = 37201,
  [SMALL_STATE(2132)] = 37205,
  [SMALL_STATE(2133)] = 37209,
  [SMALL_STATE(2134)] = 37213,
  [SMALL_STATE(2135)] = 37217,
  [SMALL_STATE(2136)] = 37221,
  [SMALL_STATE(2137)] = 37225,
  [SMALL_STATE(2138)] = 37229,
  [SMALL_STATE(2139)] = 37233,
  [SMALL_STATE(2140)] = 37237,
  [SMALL_STATE(2141)] = 37241,
  [SMALL_STATE(2142)] = 37245,
  [SMALL_STATE(2143)] = 37249,
  [SMALL_STATE(2144)] = 37253,
  [SMALL_STATE(2145)] = 37257,
  [SMALL_STATE(2146)] = 37261,
  [SMALL_STATE(2147)] = 37265,
  [SMALL_STATE(2148)] = 37269,
  [SMALL_STATE(2149)] = 37273,
  [SMALL_STATE(2150)] = 37277,
  [SMALL_STATE(2151)] = 37281,
  [SMALL_STATE(2152)] = 37285,
  [SMALL_STATE(2153)] = 37289,
  [SMALL_STATE(2154)] = 37293,
  [SMALL_STATE(2155)] = 37297,
  [SMALL_STATE(2156)] = 37301,
  [SMALL_STATE(2157)] = 37305,
  [SMALL_STATE(2158)] = 37309,
  [SMALL_STATE(2159)] = 37313,
  [SMALL_STATE(2160)] = 37317,
  [SMALL_STATE(2161)] = 37321,
  [SMALL_STATE(2162)] = 37325,
  [SMALL_STATE(2163)] = 37329,
  [SMALL_STATE(2164)] = 37333,
  [SMALL_STATE(2165)] = 37337,
  [SMALL_STATE(2166)] = 37341,
  [SMALL_STATE(2167)] = 37345,
  [SMALL_STATE(2168)] = 37349,
  [SMALL_STATE(2169)] = 37353,
  [SMALL_STATE(2170)] = 37357,
  [SMALL_STATE(2171)] = 37361,
  [SMALL_STATE(2172)] = 37365,
  [SMALL_STATE(2173)] = 37369,
  [SMALL_STATE(2174)] = 37373,
  [SMALL_STATE(2175)] = 37377,
  [SMALL_STATE(2176)] = 37381,
  [SMALL_STATE(2177)] = 37385,
  [SMALL_STATE(2178)] = 37389,
  [SMALL_STATE(2179)] = 37393,
  [SMALL_STATE(2180)] = 37397,
  [SMALL_STATE(2181)] = 37401,
  [SMALL_STATE(2182)] = 37405,
  [SMALL_STATE(2183)] = 37409,
  [SMALL_STATE(2184)] = 37413,
  [SMALL_STATE(2185)] = 37417,
  [SMALL_STATE(2186)] = 37421,
  [SMALL_STATE(2187)] = 37425,
  [SMALL_STATE(2188)] = 37429,
  [SMALL_STATE(2189)] = 37433,
  [SMALL_STATE(2190)] = 37437,
  [SMALL_STATE(2191)] = 37441,
  [SMALL_STATE(2192)] = 37445,
  [SMALL_STATE(2193)] = 37449,
  [SMALL_STATE(2194)] = 37453,
  [SMALL_STATE(2195)] = 37457,
  [SMALL_STATE(2196)] = 37461,
  [SMALL_STATE(2197)] = 37465,
  [SMALL_STATE(2198)] = 37469,
  [SMALL_STATE(2199)] = 37473,
  [SMALL_STATE(2200)] = 37477,
  [SMALL_STATE(2201)] = 37481,
  [SMALL_STATE(2202)] = 37485,
  [SMALL_STATE(2203)] = 37489,
  [SMALL_STATE(2204)] = 37493,
  [SMALL_STATE(2205)] = 37497,
  [SMALL_STATE(2206)] = 37501,
  [SMALL_STATE(2207)] = 37505,
  [SMALL_STATE(2208)] = 37509,
  [SMALL_STATE(2209)] = 37513,
  [SMALL_STATE(2210)] = 37517,
  [SMALL_STATE(2211)] = 37521,
  [SMALL_STATE(2212)] = 37525,
  [SMALL_STATE(2213)] = 37529,
  [SMALL_STATE(2214)] = 37533,
  [SMALL_STATE(2215)] = 37537,
  [SMALL_STATE(2216)] = 37541,
  [SMALL_STATE(2217)] = 37545,
  [SMALL_STATE(2218)] = 37549,
  [SMALL_STATE(2219)] = 37553,
  [SMALL_STATE(2220)] = 37557,
  [SMALL_STATE(2221)] = 37561,
  [SMALL_STATE(2222)] = 37565,
  [SMALL_STATE(2223)] = 37569,
  [SMALL_STATE(2224)] = 37573,
  [SMALL_STATE(2225)] = 37577,
  [SMALL_STATE(2226)] = 37581,
  [SMALL_STATE(2227)] = 37585,
  [SMALL_STATE(2228)] = 37589,
  [SMALL_STATE(2229)] = 37593,
  [SMALL_STATE(2230)] = 37597,
  [SMALL_STATE(2231)] = 37601,
  [SMALL_STATE(2232)] = 37605,
  [SMALL_STATE(2233)] = 37609,
  [SMALL_STATE(2234)] = 37613,
  [SMALL_STATE(2235)] = 37617,
  [SMALL_STATE(2236)] = 37621,
  [SMALL_STATE(2237)] = 37625,
  [SMALL_STATE(2238)] = 37629,
  [SMALL_STATE(2239)] = 37633,
  [SMALL_STATE(2240)] = 37637,
  [SMALL_STATE(2241)] = 37641,
  [SMALL_STATE(2242)] = 37645,
  [SMALL_STATE(2243)] = 37649,
  [SMALL_STATE(2244)] = 37653,
  [SMALL_STATE(2245)] = 37657,
  [SMALL_STATE(2246)] = 37661,
  [SMALL_STATE(2247)] = 37665,
  [SMALL_STATE(2248)] = 37669,
  [SMALL_STATE(2249)] = 37673,
  [SMALL_STATE(2250)] = 37677,
  [SMALL_STATE(2251)] = 37681,
  [SMALL_STATE(2252)] = 37685,
  [SMALL_STATE(2253)] = 37689,
  [SMALL_STATE(2254)] = 37693,
  [SMALL_STATE(2255)] = 37697,
  [SMALL_STATE(2256)] = 37701,
  [SMALL_STATE(2257)] = 37705,
  [SMALL_STATE(2258)] = 37709,
  [SMALL_STATE(2259)] = 37713,
  [SMALL_STATE(2260)] = 37717,
  [SMALL_STATE(2261)] = 37721,
  [SMALL_STATE(2262)] = 37725,
  [SMALL_STATE(2263)] = 37729,
  [SMALL_STATE(2264)] = 37733,
  [SMALL_STATE(2265)] = 37737,
  [SMALL_STATE(2266)] = 37741,
  [SMALL_STATE(2267)] = 37745,
  [SMALL_STATE(2268)] = 37749,
  [SMALL_STATE(2269)] = 37753,
  [SMALL_STATE(2270)] = 37757,
  [SMALL_STATE(2271)] = 37761,
  [SMALL_STATE(2272)] = 37765,
  [SMALL_STATE(2273)] = 37769,
  [SMALL_STATE(2274)] = 37773,
  [SMALL_STATE(2275)] = 37777,
  [SMALL_STATE(2276)] = 37781,
  [SMALL_STATE(2277)] = 37785,
  [SMALL_STATE(2278)] = 37789,
  [SMALL_STATE(2279)] = 37793,
  [SMALL_STATE(2280)] = 37797,
  [SMALL_STATE(2281)] = 37801,
  [SMALL_STATE(2282)] = 37805,
  [SMALL_STATE(2283)] = 37809,
  [SMALL_STATE(2284)] = 37813,
  [SMALL_STATE(2285)] = 37817,
  [SMALL_STATE(2286)] = 37821,
  [SMALL_STATE(2287)] = 37825,
  [SMALL_STATE(2288)] = 37829,
  [SMALL_STATE(2289)] = 37833,
  [SMALL_STATE(2290)] = 37837,
  [SMALL_STATE(2291)] = 37841,
  [SMALL_STATE(2292)] = 37845,
  [SMALL_STATE(2293)] = 37849,
  [SMALL_STATE(2294)] = 37853,
  [SMALL_STATE(2295)] = 37857,
  [SMALL_STATE(2296)] = 37861,
  [SMALL_STATE(2297)] = 37865,
  [SMALL_STATE(2298)] = 37869,
  [SMALL_STATE(2299)] = 37873,
  [SMALL_STATE(2300)] = 37877,
  [SMALL_STATE(2301)] = 37881,
  [SMALL_STATE(2302)] = 37885,
  [SMALL_STATE(2303)] = 37889,
  [SMALL_STATE(2304)] = 37893,
  [SMALL_STATE(2305)] = 37897,
  [SMALL_STATE(2306)] = 37901,
  [SMALL_STATE(2307)] = 37905,
  [SMALL_STATE(2308)] = 37909,
  [SMALL_STATE(2309)] = 37913,
  [SMALL_STATE(2310)] = 37917,
  [SMALL_STATE(2311)] = 37921,
  [SMALL_STATE(2312)] = 37925,
  [SMALL_STATE(2313)] = 37929,
  [SMALL_STATE(2314)] = 37933,
  [SMALL_STATE(2315)] = 37937,
  [SMALL_STATE(2316)] = 37941,
  [SMALL_STATE(2317)] = 37945,
  [SMALL_STATE(2318)] = 37949,
  [SMALL_STATE(2319)] = 37953,
  [SMALL_STATE(2320)] = 37957,
  [SMALL_STATE(2321)] = 37961,
  [SMALL_STATE(2322)] = 37965,
  [SMALL_STATE(2323)] = 37969,
  [SMALL_STATE(2324)] = 37973,
  [SMALL_STATE(2325)] = 37977,
  [SMALL_STATE(2326)] = 37981,
  [SMALL_STATE(2327)] = 37985,
  [SMALL_STATE(2328)] = 37989,
  [SMALL_STATE(2329)] = 37993,
  [SMALL_STATE(2330)] = 37997,
  [SMALL_STATE(2331)] = 38001,
  [SMALL_STATE(2332)] = 38005,
  [SMALL_STATE(2333)] = 38009,
  [SMALL_STATE(2334)] = 38013,
  [SMALL_STATE(2335)] = 38017,
  [SMALL_STATE(2336)] = 38021,
  [SMALL_STATE(2337)] = 38025,
  [SMALL_STATE(2338)] = 38029,
  [SMALL_STATE(2339)] = 38033,
  [SMALL_STATE(2340)] = 38037,
  [SMALL_STATE(2341)] = 38041,
  [SMALL_STATE(2342)] = 38045,
  [SMALL_STATE(2343)] = 38049,
  [SMALL_STATE(2344)] = 38053,
  [SMALL_STATE(2345)] = 38057,
  [SMALL_STATE(2346)] = 38061,
  [SMALL_STATE(2347)] = 38065,
  [SMALL_STATE(2348)] = 38069,
  [SMALL_STATE(2349)] = 38073,
  [SMALL_STATE(2350)] = 38077,
  [SMALL_STATE(2351)] = 38081,
  [SMALL_STATE(2352)] = 38085,
  [SMALL_STATE(2353)] = 38089,
  [SMALL_STATE(2354)] = 38093,
  [SMALL_STATE(2355)] = 38097,
  [SMALL_STATE(2356)] = 38101,
  [SMALL_STATE(2357)] = 38105,
  [SMALL_STATE(2358)] = 38109,
  [SMALL_STATE(2359)] = 38113,
  [SMALL_STATE(2360)] = 38117,
  [SMALL_STATE(2361)] = 38121,
  [SMALL_STATE(2362)] = 38125,
  [SMALL_STATE(2363)] = 38129,
  [SMALL_STATE(2364)] = 38133,
  [SMALL_STATE(2365)] = 38137,
  [SMALL_STATE(2366)] = 38141,
  [SMALL_STATE(2367)] = 38145,
  [SMALL_STATE(2368)] = 38149,
  [SMALL_STATE(2369)] = 38153,
  [SMALL_STATE(2370)] = 38157,
  [SMALL_STATE(2371)] = 38161,
  [SMALL_STATE(2372)] = 38165,
  [SMALL_STATE(2373)] = 38169,
  [SMALL_STATE(2374)] = 38173,
  [SMALL_STATE(2375)] = 38177,
  [SMALL_STATE(2376)] = 38181,
  [SMALL_STATE(2377)] = 38185,
  [SMALL_STATE(2378)] = 38189,
  [SMALL_STATE(2379)] = 38193,
  [SMALL_STATE(2380)] = 38197,
  [SMALL_STATE(2381)] = 38201,
  [SMALL_STATE(2382)] = 38205,
  [SMALL_STATE(2383)] = 38209,
  [SMALL_STATE(2384)] = 38213,
  [SMALL_STATE(2385)] = 38217,
  [SMALL_STATE(2386)] = 38221,
  [SMALL_STATE(2387)] = 38225,
  [SMALL_STATE(2388)] = 38229,
  [SMALL_STATE(2389)] = 38233,
  [SMALL_STATE(2390)] = 38237,
  [SMALL_STATE(2391)] = 38241,
  [SMALL_STATE(2392)] = 38245,
  [SMALL_STATE(2393)] = 38249,
  [SMALL_STATE(2394)] = 38253,
  [SMALL_STATE(2395)] = 38257,
  [SMALL_STATE(2396)] = 38261,
  [SMALL_STATE(2397)] = 38265,
  [SMALL_STATE(2398)] = 38269,
  [SMALL_STATE(2399)] = 38273,
  [SMALL_STATE(2400)] = 38277,
  [SMALL_STATE(2401)] = 38281,
  [SMALL_STATE(2402)] = 38285,
  [SMALL_STATE(2403)] = 38289,
  [SMALL_STATE(2404)] = 38293,
  [SMALL_STATE(2405)] = 38297,
  [SMALL_STATE(2406)] = 38301,
  [SMALL_STATE(2407)] = 38305,
  [SMALL_STATE(2408)] = 38309,
  [SMALL_STATE(2409)] = 38313,
  [SMALL_STATE(2410)] = 38317,
  [SMALL_STATE(2411)] = 38321,
  [SMALL_STATE(2412)] = 38325,
  [SMALL_STATE(2413)] = 38329,
  [SMALL_STATE(2414)] = 38333,
  [SMALL_STATE(2415)] = 38337,
  [SMALL_STATE(2416)] = 38341,
  [SMALL_STATE(2417)] = 38345,
  [SMALL_STATE(2418)] = 38349,
  [SMALL_STATE(2419)] = 38353,
  [SMALL_STATE(2420)] = 38357,
  [SMALL_STATE(2421)] = 38361,
  [SMALL_STATE(2422)] = 38365,
  [SMALL_STATE(2423)] = 38369,
  [SMALL_STATE(2424)] = 38373,
  [SMALL_STATE(2425)] = 38377,
  [SMALL_STATE(2426)] = 38381,
  [SMALL_STATE(2427)] = 38385,
  [SMALL_STATE(2428)] = 38389,
  [SMALL_STATE(2429)] = 38393,
  [SMALL_STATE(2430)] = 38397,
  [SMALL_STATE(2431)] = 38401,
  [SMALL_STATE(2432)] = 38405,
  [SMALL_STATE(2433)] = 38409,
  [SMALL_STATE(2434)] = 38413,
  [SMALL_STATE(2435)] = 38417,
  [SMALL_STATE(2436)] = 38421,
  [SMALL_STATE(2437)] = 38425,
  [SMALL_STATE(2438)] = 38429,
  [SMALL_STATE(2439)] = 38433,
  [SMALL_STATE(2440)] = 38437,
  [SMALL_STATE(2441)] = 38441,
  [SMALL_STATE(2442)] = 38445,
  [SMALL_STATE(2443)] = 38449,
  [SMALL_STATE(2444)] = 38453,
  [SMALL_STATE(2445)] = 38457,
  [SMALL_STATE(2446)] = 38461,
  [SMALL_STATE(2447)] = 38465,
  [SMALL_STATE(2448)] = 38469,
  [SMALL_STATE(2449)] = 38473,
  [SMALL_STATE(2450)] = 38477,
  [SMALL_STATE(2451)] = 38481,
  [SMALL_STATE(2452)] = 38485,
  [SMALL_STATE(2453)] = 38489,
  [SMALL_STATE(2454)] = 38493,
  [SMALL_STATE(2455)] = 38497,
  [SMALL_STATE(2456)] = 38501,
  [SMALL_STATE(2457)] = 38505,
  [SMALL_STATE(2458)] = 38509,
  [SMALL_STATE(2459)] = 38513,
  [SMALL_STATE(2460)] = 38517,
  [SMALL_STATE(2461)] = 38521,
  [SMALL_STATE(2462)] = 38525,
  [SMALL_STATE(2463)] = 38529,
  [SMALL_STATE(2464)] = 38533,
  [SMALL_STATE(2465)] = 38537,
  [SMALL_STATE(2466)] = 38541,
  [SMALL_STATE(2467)] = 38545,
  [SMALL_STATE(2468)] = 38549,
  [SMALL_STATE(2469)] = 38553,
  [SMALL_STATE(2470)] = 38557,
  [SMALL_STATE(2471)] = 38561,
  [SMALL_STATE(2472)] = 38565,
  [SMALL_STATE(2473)] = 38569,
  [SMALL_STATE(2474)] = 38573,
  [SMALL_STATE(2475)] = 38577,
  [SMALL_STATE(2476)] = 38581,
  [SMALL_STATE(2477)] = 38585,
  [SMALL_STATE(2478)] = 38589,
  [SMALL_STATE(2479)] = 38593,
  [SMALL_STATE(2480)] = 38597,
  [SMALL_STATE(2481)] = 38601,
  [SMALL_STATE(2482)] = 38605,
  [SMALL_STATE(2483)] = 38609,
  [SMALL_STATE(2484)] = 38613,
  [SMALL_STATE(2485)] = 38617,
  [SMALL_STATE(2486)] = 38621,
  [SMALL_STATE(2487)] = 38625,
  [SMALL_STATE(2488)] = 38629,
  [SMALL_STATE(2489)] = 38633,
  [SMALL_STATE(2490)] = 38637,
  [SMALL_STATE(2491)] = 38641,
  [SMALL_STATE(2492)] = 38645,
  [SMALL_STATE(2493)] = 38649,
  [SMALL_STATE(2494)] = 38653,
  [SMALL_STATE(2495)] = 38657,
  [SMALL_STATE(2496)] = 38661,
  [SMALL_STATE(2497)] = 38665,
  [SMALL_STATE(2498)] = 38669,
  [SMALL_STATE(2499)] = 38673,
  [SMALL_STATE(2500)] = 38677,
  [SMALL_STATE(2501)] = 38681,
  [SMALL_STATE(2502)] = 38685,
  [SMALL_STATE(2503)] = 38689,
  [SMALL_STATE(2504)] = 38693,
  [SMALL_STATE(2505)] = 38697,
  [SMALL_STATE(2506)] = 38701,
  [SMALL_STATE(2507)] = 38705,
  [SMALL_STATE(2508)] = 38709,
  [SMALL_STATE(2509)] = 38713,
  [SMALL_STATE(2510)] = 38717,
  [SMALL_STATE(2511)] = 38721,
  [SMALL_STATE(2512)] = 38725,
  [SMALL_STATE(2513)] = 38729,
  [SMALL_STATE(2514)] = 38733,
  [SMALL_STATE(2515)] = 38737,
  [SMALL_STATE(2516)] = 38741,
  [SMALL_STATE(2517)] = 38745,
  [SMALL_STATE(2518)] = 38749,
  [SMALL_STATE(2519)] = 38753,
  [SMALL_STATE(2520)] = 38757,
  [SMALL_STATE(2521)] = 38761,
  [SMALL_STATE(2522)] = 38765,
  [SMALL_STATE(2523)] = 38769,
  [SMALL_STATE(2524)] = 38773,
  [SMALL_STATE(2525)] = 38777,
  [SMALL_STATE(2526)] = 38781,
  [SMALL_STATE(2527)] = 38785,
  [SMALL_STATE(2528)] = 38789,
  [SMALL_STATE(2529)] = 38793,
  [SMALL_STATE(2530)] = 38797,
  [SMALL_STATE(2531)] = 38801,
  [SMALL_STATE(2532)] = 38805,
  [SMALL_STATE(2533)] = 38809,
  [SMALL_STATE(2534)] = 38813,
  [SMALL_STATE(2535)] = 38817,
  [SMALL_STATE(2536)] = 38821,
  [SMALL_STATE(2537)] = 38825,
  [SMALL_STATE(2538)] = 38829,
  [SMALL_STATE(2539)] = 38833,
  [SMALL_STATE(2540)] = 38837,
  [SMALL_STATE(2541)] = 38841,
  [SMALL_STATE(2542)] = 38845,
  [SMALL_STATE(2543)] = 38849,
  [SMALL_STATE(2544)] = 38853,
  [SMALL_STATE(2545)] = 38857,
  [SMALL_STATE(2546)] = 38861,
  [SMALL_STATE(2547)] = 38865,
  [SMALL_STATE(2548)] = 38869,
  [SMALL_STATE(2549)] = 38873,
  [SMALL_STATE(2550)] = 38877,
  [SMALL_STATE(2551)] = 38881,
  [SMALL_STATE(2552)] = 38885,
  [SMALL_STATE(2553)] = 38889,
  [SMALL_STATE(2554)] = 38893,
  [SMALL_STATE(2555)] = 38897,
  [SMALL_STATE(2556)] = 38901,
  [SMALL_STATE(2557)] = 38905,
  [SMALL_STATE(2558)] = 38909,
  [SMALL_STATE(2559)] = 38913,
  [SMALL_STATE(2560)] = 38917,
  [SMALL_STATE(2561)] = 38921,
  [SMALL_STATE(2562)] = 38925,
  [SMALL_STATE(2563)] = 38929,
  [SMALL_STATE(2564)] = 38933,
  [SMALL_STATE(2565)] = 38937,
  [SMALL_STATE(2566)] = 38941,
  [SMALL_STATE(2567)] = 38945,
  [SMALL_STATE(2568)] = 38949,
  [SMALL_STATE(2569)] = 38953,
  [SMALL_STATE(2570)] = 38957,
  [SMALL_STATE(2571)] = 38961,
  [SMALL_STATE(2572)] = 38965,
  [SMALL_STATE(2573)] = 38969,
  [SMALL_STATE(2574)] = 38973,
  [SMALL_STATE(2575)] = 38977,
  [SMALL_STATE(2576)] = 38981,
  [SMALL_STATE(2577)] = 38985,
  [SMALL_STATE(2578)] = 38989,
  [SMALL_STATE(2579)] = 38993,
  [SMALL_STATE(2580)] = 38997,
  [SMALL_STATE(2581)] = 39001,
  [SMALL_STATE(2582)] = 39005,
  [SMALL_STATE(2583)] = 39009,
  [SMALL_STATE(2584)] = 39013,
  [SMALL_STATE(2585)] = 39017,
  [SMALL_STATE(2586)] = 39021,
  [SMALL_STATE(2587)] = 39025,
  [SMALL_STATE(2588)] = 39029,
  [SMALL_STATE(2589)] = 39033,
  [SMALL_STATE(2590)] = 39037,
  [SMALL_STATE(2591)] = 39041,
  [SMALL_STATE(2592)] = 39045,
  [SMALL_STATE(2593)] = 39049,
  [SMALL_STATE(2594)] = 39053,
  [SMALL_STATE(2595)] = 39057,
  [SMALL_STATE(2596)] = 39061,
  [SMALL_STATE(2597)] = 39065,
  [SMALL_STATE(2598)] = 39069,
  [SMALL_STATE(2599)] = 39073,
  [SMALL_STATE(2600)] = 39077,
  [SMALL_STATE(2601)] = 39081,
  [SMALL_STATE(2602)] = 39085,
  [SMALL_STATE(2603)] = 39089,
  [SMALL_STATE(2604)] = 39093,
  [SMALL_STATE(2605)] = 39097,
  [SMALL_STATE(2606)] = 39101,
  [SMALL_STATE(2607)] = 39105,
  [SMALL_STATE(2608)] = 39109,
  [SMALL_STATE(2609)] = 39113,
  [SMALL_STATE(2610)] = 39117,
  [SMALL_STATE(2611)] = 39121,
  [SMALL_STATE(2612)] = 39125,
  [SMALL_STATE(2613)] = 39129,
  [SMALL_STATE(2614)] = 39133,
  [SMALL_STATE(2615)] = 39137,
  [SMALL_STATE(2616)] = 39141,
  [SMALL_STATE(2617)] = 39145,
  [SMALL_STATE(2618)] = 39149,
  [SMALL_STATE(2619)] = 39153,
  [SMALL_STATE(2620)] = 39157,
  [SMALL_STATE(2621)] = 39161,
  [SMALL_STATE(2622)] = 39165,
  [SMALL_STATE(2623)] = 39169,
  [SMALL_STATE(2624)] = 39173,
  [SMALL_STATE(2625)] = 39177,
  [SMALL_STATE(2626)] = 39181,
  [SMALL_STATE(2627)] = 39185,
  [SMALL_STATE(2628)] = 39189,
  [SMALL_STATE(2629)] = 39193,
  [SMALL_STATE(2630)] = 39197,
  [SMALL_STATE(2631)] = 39201,
  [SMALL_STATE(2632)] = 39205,
  [SMALL_STATE(2633)] = 39209,
  [SMALL_STATE(2634)] = 39213,
  [SMALL_STATE(2635)] = 39217,
  [SMALL_STATE(2636)] = 39221,
  [SMALL_STATE(2637)] = 39225,
  [SMALL_STATE(2638)] = 39229,
  [SMALL_STATE(2639)] = 39233,
  [SMALL_STATE(2640)] = 39237,
  [SMALL_STATE(2641)] = 39241,
  [SMALL_STATE(2642)] = 39245,
  [SMALL_STATE(2643)] = 39249,
  [SMALL_STATE(2644)] = 39253,
  [SMALL_STATE(2645)] = 39257,
  [SMALL_STATE(2646)] = 39261,
  [SMALL_STATE(2647)] = 39265,
  [SMALL_STATE(2648)] = 39269,
  [SMALL_STATE(2649)] = 39273,
  [SMALL_STATE(2650)] = 39277,
  [SMALL_STATE(2651)] = 39281,
  [SMALL_STATE(2652)] = 39285,
  [SMALL_STATE(2653)] = 39289,
  [SMALL_STATE(2654)] = 39293,
  [SMALL_STATE(2655)] = 39297,
  [SMALL_STATE(2656)] = 39301,
  [SMALL_STATE(2657)] = 39305,
  [SMALL_STATE(2658)] = 39309,
  [SMALL_STATE(2659)] = 39313,
  [SMALL_STATE(2660)] = 39317,
  [SMALL_STATE(2661)] = 39321,
  [SMALL_STATE(2662)] = 39325,
  [SMALL_STATE(2663)] = 39329,
  [SMALL_STATE(2664)] = 39333,
  [SMALL_STATE(2665)] = 39337,
  [SMALL_STATE(2666)] = 39341,
  [SMALL_STATE(2667)] = 39345,
  [SMALL_STATE(2668)] = 39349,
  [SMALL_STATE(2669)] = 39353,
  [SMALL_STATE(2670)] = 39357,
  [SMALL_STATE(2671)] = 39361,
  [SMALL_STATE(2672)] = 39365,
  [SMALL_STATE(2673)] = 39369,
  [SMALL_STATE(2674)] = 39373,
  [SMALL_STATE(2675)] = 39377,
  [SMALL_STATE(2676)] = 39381,
  [SMALL_STATE(2677)] = 39385,
  [SMALL_STATE(2678)] = 39389,
  [SMALL_STATE(2679)] = 39393,
  [SMALL_STATE(2680)] = 39397,
  [SMALL_STATE(2681)] = 39401,
  [SMALL_STATE(2682)] = 39405,
  [SMALL_STATE(2683)] = 39409,
  [SMALL_STATE(2684)] = 39413,
  [SMALL_STATE(2685)] = 39417,
  [SMALL_STATE(2686)] = 39421,
  [SMALL_STATE(2687)] = 39425,
  [SMALL_STATE(2688)] = 39429,
  [SMALL_STATE(2689)] = 39433,
  [SMALL_STATE(2690)] = 39437,
  [SMALL_STATE(2691)] = 39441,
  [SMALL_STATE(2692)] = 39445,
  [SMALL_STATE(2693)] = 39449,
  [SMALL_STATE(2694)] = 39453,
  [SMALL_STATE(2695)] = 39457,
  [SMALL_STATE(2696)] = 39461,
  [SMALL_STATE(2697)] = 39465,
  [SMALL_STATE(2698)] = 39469,
  [SMALL_STATE(2699)] = 39473,
  [SMALL_STATE(2700)] = 39477,
  [SMALL_STATE(2701)] = 39481,
  [SMALL_STATE(2702)] = 39485,
  [SMALL_STATE(2703)] = 39489,
  [SMALL_STATE(2704)] = 39493,
  [SMALL_STATE(2705)] = 39497,
  [SMALL_STATE(2706)] = 39501,
  [SMALL_STATE(2707)] = 39505,
  [SMALL_STATE(2708)] = 39509,
  [SMALL_STATE(2709)] = 39513,
  [SMALL_STATE(2710)] = 39517,
  [SMALL_STATE(2711)] = 39521,
  [SMALL_STATE(2712)] = 39525,
  [SMALL_STATE(2713)] = 39529,
  [SMALL_STATE(2714)] = 39533,
  [SMALL_STATE(2715)] = 39537,
  [SMALL_STATE(2716)] = 39541,
  [SMALL_STATE(2717)] = 39545,
  [SMALL_STATE(2718)] = 39549,
  [SMALL_STATE(2719)] = 39553,
  [SMALL_STATE(2720)] = 39557,
  [SMALL_STATE(2721)] = 39561,
  [SMALL_STATE(2722)] = 39565,
  [SMALL_STATE(2723)] = 39569,
  [SMALL_STATE(2724)] = 39573,
  [SMALL_STATE(2725)] = 39577,
  [SMALL_STATE(2726)] = 39581,
  [SMALL_STATE(2727)] = 39585,
  [SMALL_STATE(2728)] = 39589,
  [SMALL_STATE(2729)] = 39593,
  [SMALL_STATE(2730)] = 39597,
  [SMALL_STATE(2731)] = 39601,
  [SMALL_STATE(2732)] = 39605,
  [SMALL_STATE(2733)] = 39609,
  [SMALL_STATE(2734)] = 39613,
  [SMALL_STATE(2735)] = 39617,
  [SMALL_STATE(2736)] = 39621,
  [SMALL_STATE(2737)] = 39625,
  [SMALL_STATE(2738)] = 39629,
  [SMALL_STATE(2739)] = 39633,
  [SMALL_STATE(2740)] = 39637,
  [SMALL_STATE(2741)] = 39641,
  [SMALL_STATE(2742)] = 39645,
  [SMALL_STATE(2743)] = 39649,
  [SMALL_STATE(2744)] = 39653,
  [SMALL_STATE(2745)] = 39657,
  [SMALL_STATE(2746)] = 39661,
  [SMALL_STATE(2747)] = 39665,
  [SMALL_STATE(2748)] = 39669,
  [SMALL_STATE(2749)] = 39673,
  [SMALL_STATE(2750)] = 39677,
  [SMALL_STATE(2751)] = 39681,
  [SMALL_STATE(2752)] = 39685,
  [SMALL_STATE(2753)] = 39689,
  [SMALL_STATE(2754)] = 39693,
  [SMALL_STATE(2755)] = 39697,
  [SMALL_STATE(2756)] = 39701,
  [SMALL_STATE(2757)] = 39705,
  [SMALL_STATE(2758)] = 39709,
  [SMALL_STATE(2759)] = 39713,
  [SMALL_STATE(2760)] = 39717,
  [SMALL_STATE(2761)] = 39721,
  [SMALL_STATE(2762)] = 39725,
  [SMALL_STATE(2763)] = 39729,
  [SMALL_STATE(2764)] = 39733,
  [SMALL_STATE(2765)] = 39737,
  [SMALL_STATE(2766)] = 39741,
  [SMALL_STATE(2767)] = 39745,
  [SMALL_STATE(2768)] = 39749,
  [SMALL_STATE(2769)] = 39753,
  [SMALL_STATE(2770)] = 39757,
  [SMALL_STATE(2771)] = 39761,
  [SMALL_STATE(2772)] = 39765,
  [SMALL_STATE(2773)] = 39769,
  [SMALL_STATE(2774)] = 39773,
  [SMALL_STATE(2775)] = 39777,
  [SMALL_STATE(2776)] = 39781,
  [SMALL_STATE(2777)] = 39785,
  [SMALL_STATE(2778)] = 39789,
  [SMALL_STATE(2779)] = 39793,
  [SMALL_STATE(2780)] = 39797,
  [SMALL_STATE(2781)] = 39801,
  [SMALL_STATE(2782)] = 39805,
  [SMALL_STATE(2783)] = 39809,
  [SMALL_STATE(2784)] = 39813,
  [SMALL_STATE(2785)] = 39817,
  [SMALL_STATE(2786)] = 39821,
  [SMALL_STATE(2787)] = 39825,
  [SMALL_STATE(2788)] = 39829,
  [SMALL_STATE(2789)] = 39833,
  [SMALL_STATE(2790)] = 39837,
  [SMALL_STATE(2791)] = 39841,
  [SMALL_STATE(2792)] = 39845,
  [SMALL_STATE(2793)] = 39849,
  [SMALL_STATE(2794)] = 39853,
  [SMALL_STATE(2795)] = 39857,
  [SMALL_STATE(2796)] = 39861,
  [SMALL_STATE(2797)] = 39865,
  [SMALL_STATE(2798)] = 39869,
  [SMALL_STATE(2799)] = 39873,
  [SMALL_STATE(2800)] = 39877,
  [SMALL_STATE(2801)] = 39881,
  [SMALL_STATE(2802)] = 39885,
  [SMALL_STATE(2803)] = 39889,
  [SMALL_STATE(2804)] = 39893,
  [SMALL_STATE(2805)] = 39897,
  [SMALL_STATE(2806)] = 39901,
  [SMALL_STATE(2807)] = 39905,
  [SMALL_STATE(2808)] = 39909,
  [SMALL_STATE(2809)] = 39913,
  [SMALL_STATE(2810)] = 39917,
  [SMALL_STATE(2811)] = 39921,
  [SMALL_STATE(2812)] = 39925,
  [SMALL_STATE(2813)] = 39929,
  [SMALL_STATE(2814)] = 39933,
  [SMALL_STATE(2815)] = 39937,
  [SMALL_STATE(2816)] = 39941,
  [SMALL_STATE(2817)] = 39945,
  [SMALL_STATE(2818)] = 39949,
  [SMALL_STATE(2819)] = 39953,
  [SMALL_STATE(2820)] = 39957,
  [SMALL_STATE(2821)] = 39961,
  [SMALL_STATE(2822)] = 39965,
  [SMALL_STATE(2823)] = 39969,
  [SMALL_STATE(2824)] = 39973,
  [SMALL_STATE(2825)] = 39977,
  [SMALL_STATE(2826)] = 39981,
  [SMALL_STATE(2827)] = 39985,
  [SMALL_STATE(2828)] = 39989,
  [SMALL_STATE(2829)] = 39993,
  [SMALL_STATE(2830)] = 39997,
  [SMALL_STATE(2831)] = 40001,
  [SMALL_STATE(2832)] = 40005,
  [SMALL_STATE(2833)] = 40009,
  [SMALL_STATE(2834)] = 40013,
  [SMALL_STATE(2835)] = 40017,
  [SMALL_STATE(2836)] = 40021,
  [SMALL_STATE(2837)] = 40025,
  [SMALL_STATE(2838)] = 40029,
  [SMALL_STATE(2839)] = 40033,
  [SMALL_STATE(2840)] = 40037,
  [SMALL_STATE(2841)] = 40041,
  [SMALL_STATE(2842)] = 40045,
  [SMALL_STATE(2843)] = 40049,
  [SMALL_STATE(2844)] = 40053,
  [SMALL_STATE(2845)] = 40057,
  [SMALL_STATE(2846)] = 40061,
  [SMALL_STATE(2847)] = 40065,
  [SMALL_STATE(2848)] = 40069,
  [SMALL_STATE(2849)] = 40073,
  [SMALL_STATE(2850)] = 40077,
  [SMALL_STATE(2851)] = 40081,
  [SMALL_STATE(2852)] = 40085,
  [SMALL_STATE(2853)] = 40089,
  [SMALL_STATE(2854)] = 40093,
  [SMALL_STATE(2855)] = 40097,
  [SMALL_STATE(2856)] = 40101,
  [SMALL_STATE(2857)] = 40105,
  [SMALL_STATE(2858)] = 40109,
  [SMALL_STATE(2859)] = 40113,
  [SMALL_STATE(2860)] = 40117,
  [SMALL_STATE(2861)] = 40121,
  [SMALL_STATE(2862)] = 40125,
  [SMALL_STATE(2863)] = 40129,
  [SMALL_STATE(2864)] = 40133,
  [SMALL_STATE(2865)] = 40137,
  [SMALL_STATE(2866)] = 40141,
  [SMALL_STATE(2867)] = 40145,
  [SMALL_STATE(2868)] = 40149,
  [SMALL_STATE(2869)] = 40153,
  [SMALL_STATE(2870)] = 40157,
  [SMALL_STATE(2871)] = 40161,
  [SMALL_STATE(2872)] = 40165,
  [SMALL_STATE(2873)] = 40169,
  [SMALL_STATE(2874)] = 40173,
  [SMALL_STATE(2875)] = 40177,
  [SMALL_STATE(2876)] = 40181,
  [SMALL_STATE(2877)] = 40185,
  [SMALL_STATE(2878)] = 40189,
  [SMALL_STATE(2879)] = 40193,
  [SMALL_STATE(2880)] = 40197,
  [SMALL_STATE(2881)] = 40201,
  [SMALL_STATE(2882)] = 40205,
  [SMALL_STATE(2883)] = 40209,
  [SMALL_STATE(2884)] = 40213,
  [SMALL_STATE(2885)] = 40217,
  [SMALL_STATE(2886)] = 40221,
  [SMALL_STATE(2887)] = 40225,
  [SMALL_STATE(2888)] = 40229,
  [SMALL_STATE(2889)] = 40233,
  [SMALL_STATE(2890)] = 40237,
  [SMALL_STATE(2891)] = 40241,
  [SMALL_STATE(2892)] = 40245,
  [SMALL_STATE(2893)] = 40249,
  [SMALL_STATE(2894)] = 40253,
  [SMALL_STATE(2895)] = 40257,
  [SMALL_STATE(2896)] = 40261,
  [SMALL_STATE(2897)] = 40265,
  [SMALL_STATE(2898)] = 40269,
  [SMALL_STATE(2899)] = 40273,
  [SMALL_STATE(2900)] = 40277,
  [SMALL_STATE(2901)] = 40281,
  [SMALL_STATE(2902)] = 40285,
  [SMALL_STATE(2903)] = 40289,
  [SMALL_STATE(2904)] = 40293,
  [SMALL_STATE(2905)] = 40297,
  [SMALL_STATE(2906)] = 40301,
  [SMALL_STATE(2907)] = 40305,
  [SMALL_STATE(2908)] = 40309,
  [SMALL_STATE(2909)] = 40313,
  [SMALL_STATE(2910)] = 40317,
  [SMALL_STATE(2911)] = 40321,
  [SMALL_STATE(2912)] = 40325,
  [SMALL_STATE(2913)] = 40329,
  [SMALL_STATE(2914)] = 40333,
  [SMALL_STATE(2915)] = 40337,
  [SMALL_STATE(2916)] = 40341,
  [SMALL_STATE(2917)] = 40345,
  [SMALL_STATE(2918)] = 40349,
  [SMALL_STATE(2919)] = 40353,
  [SMALL_STATE(2920)] = 40357,
  [SMALL_STATE(2921)] = 40361,
  [SMALL_STATE(2922)] = 40365,
  [SMALL_STATE(2923)] = 40369,
  [SMALL_STATE(2924)] = 40373,
  [SMALL_STATE(2925)] = 40377,
  [SMALL_STATE(2926)] = 40381,
  [SMALL_STATE(2927)] = 40385,
  [SMALL_STATE(2928)] = 40389,
  [SMALL_STATE(2929)] = 40393,
  [SMALL_STATE(2930)] = 40397,
  [SMALL_STATE(2931)] = 40401,
  [SMALL_STATE(2932)] = 40405,
  [SMALL_STATE(2933)] = 40409,
  [SMALL_STATE(2934)] = 40413,
  [SMALL_STATE(2935)] = 40417,
  [SMALL_STATE(2936)] = 40421,
  [SMALL_STATE(2937)] = 40425,
  [SMALL_STATE(2938)] = 40429,
  [SMALL_STATE(2939)] = 40433,
  [SMALL_STATE(2940)] = 40437,
  [SMALL_STATE(2941)] = 40441,
  [SMALL_STATE(2942)] = 40445,
  [SMALL_STATE(2943)] = 40449,
  [SMALL_STATE(2944)] = 40453,
  [SMALL_STATE(2945)] = 40457,
  [SMALL_STATE(2946)] = 40461,
  [SMALL_STATE(2947)] = 40465,
  [SMALL_STATE(2948)] = 40469,
  [SMALL_STATE(2949)] = 40473,
  [SMALL_STATE(2950)] = 40477,
  [SMALL_STATE(2951)] = 40481,
  [SMALL_STATE(2952)] = 40485,
  [SMALL_STATE(2953)] = 40489,
  [SMALL_STATE(2954)] = 40493,
  [SMALL_STATE(2955)] = 40497,
  [SMALL_STATE(2956)] = 40501,
  [SMALL_STATE(2957)] = 40505,
  [SMALL_STATE(2958)] = 40509,
  [SMALL_STATE(2959)] = 40513,
  [SMALL_STATE(2960)] = 40517,
  [SMALL_STATE(2961)] = 40521,
  [SMALL_STATE(2962)] = 40525,
  [SMALL_STATE(2963)] = 40529,
  [SMALL_STATE(2964)] = 40533,
  [SMALL_STATE(2965)] = 40537,
  [SMALL_STATE(2966)] = 40541,
  [SMALL_STATE(2967)] = 40545,
  [SMALL_STATE(2968)] = 40549,
  [SMALL_STATE(2969)] = 40553,
  [SMALL_STATE(2970)] = 40557,
  [SMALL_STATE(2971)] = 40561,
  [SMALL_STATE(2972)] = 40565,
  [SMALL_STATE(2973)] = 40569,
  [SMALL_STATE(2974)] = 40573,
  [SMALL_STATE(2975)] = 40577,
  [SMALL_STATE(2976)] = 40581,
  [SMALL_STATE(2977)] = 40585,
  [SMALL_STATE(2978)] = 40589,
  [SMALL_STATE(2979)] = 40593,
  [SMALL_STATE(2980)] = 40597,
  [SMALL_STATE(2981)] = 40601,
  [SMALL_STATE(2982)] = 40605,
  [SMALL_STATE(2983)] = 40609,
  [SMALL_STATE(2984)] = 40613,
  [SMALL_STATE(2985)] = 40617,
  [SMALL_STATE(2986)] = 40621,
  [SMALL_STATE(2987)] = 40625,
  [SMALL_STATE(2988)] = 40629,
  [SMALL_STATE(2989)] = 40633,
  [SMALL_STATE(2990)] = 40637,
  [SMALL_STATE(2991)] = 40641,
  [SMALL_STATE(2992)] = 40645,
  [SMALL_STATE(2993)] = 40649,
  [SMALL_STATE(2994)] = 40653,
  [SMALL_STATE(2995)] = 40657,
  [SMALL_STATE(2996)] = 40661,
  [SMALL_STATE(2997)] = 40665,
  [SMALL_STATE(2998)] = 40669,
  [SMALL_STATE(2999)] = 40673,
  [SMALL_STATE(3000)] = 40677,
  [SMALL_STATE(3001)] = 40681,
  [SMALL_STATE(3002)] = 40685,
  [SMALL_STATE(3003)] = 40689,
  [SMALL_STATE(3004)] = 40693,
  [SMALL_STATE(3005)] = 40697,
  [SMALL_STATE(3006)] = 40701,
  [SMALL_STATE(3007)] = 40705,
  [SMALL_STATE(3008)] = 40709,
  [SMALL_STATE(3009)] = 40713,
  [SMALL_STATE(3010)] = 40717,
  [SMALL_STATE(3011)] = 40721,
  [SMALL_STATE(3012)] = 40725,
  [SMALL_STATE(3013)] = 40729,
  [SMALL_STATE(3014)] = 40733,
  [SMALL_STATE(3015)] = 40737,
  [SMALL_STATE(3016)] = 40741,
  [SMALL_STATE(3017)] = 40745,
  [SMALL_STATE(3018)] = 40749,
  [SMALL_STATE(3019)] = 40753,
  [SMALL_STATE(3020)] = 40757,
  [SMALL_STATE(3021)] = 40761,
  [SMALL_STATE(3022)] = 40765,
  [SMALL_STATE(3023)] = 40769,
  [SMALL_STATE(3024)] = 40773,
  [SMALL_STATE(3025)] = 40777,
  [SMALL_STATE(3026)] = 40781,
  [SMALL_STATE(3027)] = 40785,
  [SMALL_STATE(3028)] = 40789,
  [SMALL_STATE(3029)] = 40793,
  [SMALL_STATE(3030)] = 40797,
  [SMALL_STATE(3031)] = 40801,
  [SMALL_STATE(3032)] = 40805,
  [SMALL_STATE(3033)] = 40809,
  [SMALL_STATE(3034)] = 40813,
  [SMALL_STATE(3035)] = 40817,
  [SMALL_STATE(3036)] = 40821,
  [SMALL_STATE(3037)] = 40825,
  [SMALL_STATE(3038)] = 40829,
  [SMALL_STATE(3039)] = 40833,
  [SMALL_STATE(3040)] = 40837,
  [SMALL_STATE(3041)] = 40841,
  [SMALL_STATE(3042)] = 40845,
  [SMALL_STATE(3043)] = 40849,
  [SMALL_STATE(3044)] = 40853,
  [SMALL_STATE(3045)] = 40857,
  [SMALL_STATE(3046)] = 40861,
  [SMALL_STATE(3047)] = 40865,
  [SMALL_STATE(3048)] = 40869,
  [SMALL_STATE(3049)] = 40873,
  [SMALL_STATE(3050)] = 40877,
  [SMALL_STATE(3051)] = 40881,
  [SMALL_STATE(3052)] = 40885,
  [SMALL_STATE(3053)] = 40889,
  [SMALL_STATE(3054)] = 40893,
  [SMALL_STATE(3055)] = 40897,
  [SMALL_STATE(3056)] = 40901,
  [SMALL_STATE(3057)] = 40905,
  [SMALL_STATE(3058)] = 40909,
  [SMALL_STATE(3059)] = 40913,
  [SMALL_STATE(3060)] = 40917,
  [SMALL_STATE(3061)] = 40921,
  [SMALL_STATE(3062)] = 40925,
  [SMALL_STATE(3063)] = 40929,
  [SMALL_STATE(3064)] = 40933,
  [SMALL_STATE(3065)] = 40937,
  [SMALL_STATE(3066)] = 40941,
  [SMALL_STATE(3067)] = 40945,
  [SMALL_STATE(3068)] = 40949,
  [SMALL_STATE(3069)] = 40953,
  [SMALL_STATE(3070)] = 40957,
  [SMALL_STATE(3071)] = 40961,
  [SMALL_STATE(3072)] = 40965,
  [SMALL_STATE(3073)] = 40969,
  [SMALL_STATE(3074)] = 40973,
  [SMALL_STATE(3075)] = 40977,
  [SMALL_STATE(3076)] = 40981,
  [SMALL_STATE(3077)] = 40985,
  [SMALL_STATE(3078)] = 40989,
  [SMALL_STATE(3079)] = 40993,
  [SMALL_STATE(3080)] = 40997,
  [SMALL_STATE(3081)] = 41001,
  [SMALL_STATE(3082)] = 41005,
  [SMALL_STATE(3083)] = 41009,
  [SMALL_STATE(3084)] = 41013,
  [SMALL_STATE(3085)] = 41017,
  [SMALL_STATE(3086)] = 41021,
  [SMALL_STATE(3087)] = 41025,
  [SMALL_STATE(3088)] = 41029,
  [SMALL_STATE(3089)] = 41033,
  [SMALL_STATE(3090)] = 41037,
  [SMALL_STATE(3091)] = 41041,
  [SMALL_STATE(3092)] = 41045,
  [SMALL_STATE(3093)] = 41049,
  [SMALL_STATE(3094)] = 41053,
  [SMALL_STATE(3095)] = 41057,
  [SMALL_STATE(3096)] = 41061,
  [SMALL_STATE(3097)] = 41065,
  [SMALL_STATE(3098)] = 41069,
  [SMALL_STATE(3099)] = 41073,
  [SMALL_STATE(3100)] = 41077,
  [SMALL_STATE(3101)] = 41081,
  [SMALL_STATE(3102)] = 41085,
  [SMALL_STATE(3103)] = 41089,
  [SMALL_STATE(3104)] = 41093,
  [SMALL_STATE(3105)] = 41097,
  [SMALL_STATE(3106)] = 41101,
  [SMALL_STATE(3107)] = 41105,
  [SMALL_STATE(3108)] = 41109,
  [SMALL_STATE(3109)] = 41113,
  [SMALL_STATE(3110)] = 41117,
  [SMALL_STATE(3111)] = 41121,
  [SMALL_STATE(3112)] = 41125,
  [SMALL_STATE(3113)] = 41129,
  [SMALL_STATE(3114)] = 41133,
  [SMALL_STATE(3115)] = 41137,
  [SMALL_STATE(3116)] = 41141,
  [SMALL_STATE(3117)] = 41145,
  [SMALL_STATE(3118)] = 41149,
  [SMALL_STATE(3119)] = 41153,
  [SMALL_STATE(3120)] = 41157,
  [SMALL_STATE(3121)] = 41161,
  [SMALL_STATE(3122)] = 41165,
  [SMALL_STATE(3123)] = 41169,
  [SMALL_STATE(3124)] = 41173,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text, 1, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_text, 1, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fig, 4, 0, 0),
  [11] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fig, 4, 0, 0),
  [13] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fig, 3, 0, 0),
  [15] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fig, 3, 0, 0),
  [17] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fig, 2, 0, 0),
  [19] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fig, 2, 0, 0),
  [21] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xt_standalone, 3, 0, 0),
  [23] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xt_standalone, 3, 0, 0),
  [25] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xt_standalone, 4, 0, 0),
  [27] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xt_standalone, 4, 0, 0),
  [29] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fe, 4, 0, 0),
  [31] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fe, 4, 0, 0),
  [33] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ef, 4, 0, 0),
  [35] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ef, 4, 0, 0),
  [37] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rq, 3, 0, 0),
  [39] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rq, 3, 0, 0),
  [41] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_x, 4, 0, 0),
  [43] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_x, 4, 0, 0),
  [45] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_footnote, 1, 0, 0),
  [47] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_footnote, 1, 0, 0),
  [49] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_f, 3, 0, 0),
  [51] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_f, 3, 0, 0),
  [53] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fe, 3, 0, 0),
  [55] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fe, 3, 0, 0),
  [57] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ef, 3, 0, 0),
  [59] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ef, 3, 0, 0),
  [61] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fm, 3, 0, 0),
  [63] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fm, 3, 0, 0),
  [65] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_crossref, 1, 0, 0),
  [67] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_crossref, 1, 0, 0),
  [69] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_f, 4, 0, 0),
  [71] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_f, 4, 0, 0),
  [73] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_x, 3, 0, 0),
  [75] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_x, 3, 0, 0),
  [77] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bditNested, 4, 0, 0),
  [79] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bditNested, 4, 0, 0),
  [81] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pnNested, 4, 0, 0),
  [83] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pnNested, 4, 0, 0),
  [85] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scNested, 4, 0, 0),
  [87] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scNested, 4, 0, 0),
  [89] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_supNested, 4, 0, 0),
  [91] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_supNested, 4, 0, 0),
  [93] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ndxNested, 4, 0, 0),
  [95] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ndxNested, 4, 0, 0),
  [97] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kNested, 4, 0, 0),
  [99] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kNested, 4, 0, 0),
  [101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proNested, 4, 0, 0),
  [103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proNested, 4, 0, 0),
  [105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rbNested, 4, 0, 0),
  [107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rbNested, 4, 0, 0),
  [109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wNested, 4, 0, 0),
  [111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wNested, 4, 0, 0),
  [113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wgNested, 4, 0, 0),
  [115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wgNested, 4, 0, 0),
  [117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_whNested, 4, 0, 0),
  [119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_whNested, 4, 0, 0),
  [121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_waNested, 4, 0, 0),
  [123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_waNested, 4, 0, 0),
  [125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jmpNested, 4, 0, 1),
  [127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jmpNested, 4, 0, 1),
  [129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rbNested, 5, 0, 0),
  [131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rbNested, 5, 0, 0),
  [133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wNested, 5, 0, 0),
  [135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wNested, 5, 0, 0),
  [137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jmpNested, 3, 0, 0),
  [139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jmpNested, 3, 0, 0),
  [141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jmpNested, 3, 0, 1),
  [143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jmpNested, 3, 0, 1),
  [145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pngNested, 4, 0, 0),
  [147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pngNested, 4, 0, 0),
  [149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_addpnNested, 4, 0, 0),
  [151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_addpnNested, 4, 0, 0),
  [153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dcNested, 4, 0, 0),
  [155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dcNested, 4, 0, 0),
  [157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordNested, 4, 0, 0),
  [159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ordNested, 4, 0, 0),
  [161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bkNested, 4, 0, 0),
  [163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bkNested, 4, 0, 0),
  [165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_addNested, 4, 0, 0),
  [167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_addNested, 4, 0, 0),
  [169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jmpNested, 2, 0, 0),
  [171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jmpNested, 2, 0, 0),
  [173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_itNested, 4, 0, 0),
  [175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_itNested, 4, 0, 0),
  [177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bdNested, 4, 0, 0),
  [179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bdNested, 4, 0, 0),
  [181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qtNested, 4, 0, 0),
  [183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qtNested, 4, 0, 0),
  [185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ndNested, 4, 0, 0),
  [187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ndNested, 4, 0, 0),
  [189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sigNested, 4, 0, 0),
  [191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sigNested, 4, 0, 0),
  [193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_emNested, 4, 0, 0),
  [195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_emNested, 4, 0, 0),
  [197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noNested, 4, 0, 0),
  [199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noNested, 4, 0, 0),
  [201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wjNested, 4, 0, 0),
  [203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wjNested, 4, 0, 0),
  [205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tlNested, 4, 0, 0),
  [207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tlNested, 4, 0, 0),
  [209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slsNested, 4, 0, 0),
  [211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slsNested, 4, 0, 0),
  [213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lim, 2, 0, 0),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lim, 2, 0, 0),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2938),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2678),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2679),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2940),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2941),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2942),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2943),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2944),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2945),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2946),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2947),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2948),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2949),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2950),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2951),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2952),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2953),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2954),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2955),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2956),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2958),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2959),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2960),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2961),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2962),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3119),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2963),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2964),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2965),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2966),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2821),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lim, 1, 0, 0),
  [325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lim, 1, 0, 0),
  [327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_li, 1, 0, 0),
  [329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_li, 1, 0, 0),
  [331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_li, 2, 0, 0),
  [333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_li, 2, 0, 0),
  [335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0),
  [337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(392),
  [340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1991),
  [343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2117),
  [346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2118),
  [349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2119),
  [352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2120),
  [355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0),
  [357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2471),
  [360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2938),
  [363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2107),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1944),
  [369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1171),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1170),
  [375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2677),
  [378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2678),
  [381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2679),
  [384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(283),
  [387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2643),
  [390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1151),
  [393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1994),
  [396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2940),
  [399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2941),
  [402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2942),
  [405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2943),
  [408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2944),
  [411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2945),
  [414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2946),
  [417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2947),
  [420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2948),
  [423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2949),
  [426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2950),
  [429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2951),
  [432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2952),
  [435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2953),
  [438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2954),
  [441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2955),
  [444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2956),
  [447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2957),
  [450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2958),
  [453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2959),
  [456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2960),
  [459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2961),
  [462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2962),
  [465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3119),
  [468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2963),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2964),
  [474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2965),
  [477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2966),
  [480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1850),
  [483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1871),
  [486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2821),
  [489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1941),
  [492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1951),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(345),
  [498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref, 4, 0, 0),
  [500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref, 4, 0, 0),
  [502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref, 3, 0, 0),
  [504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref, 3, 0, 0),
  [506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qd, 2, 0, 0),
  [508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qd, 2, 0, 0),
  [522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2511),
  [530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2512),
  [532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2751),
  [534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2752),
  [536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2753),
  [538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2970),
  [548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2971),
  [550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2972),
  [552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2973),
  [554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2974),
  [556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2975),
  [558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2976),
  [560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2977),
  [562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2978),
  [564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2979),
  [566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2980),
  [568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2981),
  [570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2982),
  [572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2983),
  [574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2985),
  [578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2986),
  [580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2987),
  [582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2988),
  [584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2989),
  [586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2990),
  [588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2991),
  [590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2992),
  [592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3120),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2993),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2994),
  [598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2995),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2996),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qr, 2, 0, 0),
  [614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qr, 2, 0, 0),
  [616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_q, 2, 0, 0),
  [618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_q, 2, 0, 0),
  [620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qm, 2, 0, 0),
  [622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qm, 2, 0, 0),
  [624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qc, 2, 0, 0),
  [626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qc, 2, 0, 0),
  [628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qm, 1, 0, 0),
  [630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qm, 1, 0, 0),
  [632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_q, 1, 0, 0),
  [634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_q, 1, 0, 0),
  [636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qr, 3, 0, 0),
  [638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qr, 3, 0, 0),
  [640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qc, 3, 0, 0),
  [642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qc, 3, 0, 0),
  [644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qd, 3, 0, 0),
  [646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qd, 3, 0, 0),
  [648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0),
  [650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(462),
  [653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1998),
  [656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2087),
  [659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2086),
  [662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2084),
  [665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2083),
  [668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0),
  [670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2311),
  [673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2968),
  [676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2109),
  [679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2511),
  [682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2512),
  [685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2751),
  [688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2752),
  [691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2753),
  [694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(300),
  [697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2719),
  [700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1149),
  [703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2011),
  [706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2970),
  [709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2971),
  [712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2972),
  [715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2973),
  [718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2974),
  [721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2975),
  [724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2976),
  [727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2977),
  [730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2978),
  [733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2979),
  [736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2980),
  [739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2981),
  [742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2982),
  [745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2983),
  [748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2984),
  [751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2985),
  [754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2986),
  [757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2987),
  [760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2988),
  [763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2989),
  [766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2990),
  [769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2991),
  [772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2992),
  [775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3120),
  [778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2993),
  [781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2994),
  [784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2995),
  [787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2996),
  [790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1862),
  [793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1870),
  [796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2821),
  [799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1883),
  [802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1958),
  [805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(363),
  [808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2498),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2497),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2561),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2481),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2847),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2848),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2849),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2850),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2851),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2852),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2853),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2854),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2855),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2856),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2857),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2858),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2859),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2860),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2861),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2862),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2863),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2864),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2865),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2866),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2867),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2868),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2869),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3114),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2870),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2871),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2872),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2873),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2068),
  [916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2032),
  [919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2033),
  [922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2034),
  [925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2035),
  [928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2498),
  [931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2497),
  [934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2123),
  [937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1173),
  [940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1172),
  [943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2559),
  [946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2560),
  [949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2561),
  [952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(287),
  [955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2481),
  [958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1141),
  [961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2059),
  [964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2847),
  [967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2848),
  [970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2849),
  [973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2850),
  [976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2851),
  [979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2852),
  [982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2853),
  [985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2854),
  [988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2855),
  [991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2856),
  [994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2857),
  [997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2858),
  [1000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2859),
  [1003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2860),
  [1006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2861),
  [1009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2862),
  [1012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2863),
  [1015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2864),
  [1018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2865),
  [1021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2866),
  [1024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2867),
  [1027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [1030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2869),
  [1033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(3114),
  [1036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2870),
  [1039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2871),
  [1042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2872),
  [1045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(2873),
  [1048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1868),
  [1051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1873),
  [1054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1903),
  [1057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(1978),
  [1060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_li_repeat1, 2, 0, 0), SHIFT_REPEAT(459),
  [1063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [1066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2068),
  [1069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0),
  [1071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(298),
  [1074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(299),
  [1077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(284),
  [1080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(303),
  [1083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(304),
  [1086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(305),
  [1089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(306),
  [1092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(302),
  [1095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(297),
  [1098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2110),
  [1101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(1141),
  [1104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(1157),
  [1107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2847),
  [1110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2848),
  [1113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2849),
  [1116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2850),
  [1119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2851),
  [1122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2852),
  [1125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2853),
  [1128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2854),
  [1131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2855),
  [1134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2856),
  [1137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2857),
  [1140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2858),
  [1143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2859),
  [1146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2860),
  [1149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2861),
  [1152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2862),
  [1155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2863),
  [1158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2864),
  [1161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2865),
  [1164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2866),
  [1167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2867),
  [1170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [1173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2869),
  [1176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(3114),
  [1179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2870),
  [1182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2871),
  [1185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2872),
  [1188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2873),
  [1191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2586),
  [1194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2585),
  [1197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2584),
  [1200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2583),
  [1203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2582),
  [1206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2581),
  [1209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2580),
  [1212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2579),
  [1215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2578),
  [1218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2577),
  [1221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2576),
  [1224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2575),
  [1227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2574),
  [1230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2573),
  [1233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2572),
  [1236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2571),
  [1239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2570),
  [1242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2569),
  [1245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2568),
  [1248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2567),
  [1251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2566),
  [1254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2565),
  [1257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2562),
  [1260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2558),
  [1263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2555),
  [1266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2554),
  [1269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2553),
  [1272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2550),
  [1275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(1868),
  [1278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(1873),
  [1281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(1875),
  [1284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_f_repeat1, 2, 0, 0), SHIFT_REPEAT(2480),
  [1287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pmr, 2, 0, 0),
  [1289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pmr, 2, 0, 0),
  [1291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pmr, 3, 0, 0),
  [1293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pmr, 3, 0, 0),
  [1295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mi, 3, 0, 0),
  [1297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mi, 3, 0, 0),
  [1299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nb, 3, 0, 0),
  [1301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nb, 3, 0, 0),
  [1303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pc, 3, 0, 0),
  [1305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pc, 3, 0, 0),
  [1307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_po, 3, 0, 0),
  [1309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_po, 3, 0, 0),
  [1311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pr, 3, 0, 0),
  [1313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pr, 3, 0, 0),
  [1315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cls, 3, 0, 0),
  [1317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cls, 3, 0, 0),
  [1319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0),
  [1321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(392),
  [1324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1991),
  [1327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2117),
  [1330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2118),
  [1333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2119),
  [1336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2120),
  [1339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0),
  [1341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2471),
  [1344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2938),
  [1347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2107),
  [1350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2677),
  [1353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2678),
  [1356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2679),
  [1359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(283),
  [1362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2643),
  [1365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1151),
  [1368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1994),
  [1371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2940),
  [1374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2941),
  [1377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2942),
  [1380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2943),
  [1383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2944),
  [1386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2945),
  [1389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2946),
  [1392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2947),
  [1395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2948),
  [1398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2949),
  [1401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2950),
  [1404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2951),
  [1407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2952),
  [1410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2953),
  [1413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2954),
  [1416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2955),
  [1419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2956),
  [1422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2957),
  [1425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2958),
  [1428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2959),
  [1431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2960),
  [1434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2961),
  [1437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2962),
  [1440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3119),
  [1443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2963),
  [1446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2964),
  [1449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2965),
  [1452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2966),
  [1455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1850),
  [1458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1871),
  [1461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2821),
  [1464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1941),
  [1467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1951),
  [1470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(345),
  [1473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pmo, 3, 0, 0),
  [1475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pmo, 3, 0, 0),
  [1477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pm, 3, 0, 0),
  [1479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pm, 3, 0, 0),
  [1481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lf, 2, 0, 0),
  [1483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lf, 2, 0, 0),
  [1485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pmc, 3, 0, 0),
  [1487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pmc, 3, 0, 0),
  [1489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pi, 1, 0, 0),
  [1491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pi, 1, 0, 0),
  [1493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_m, 3, 0, 0),
  [1495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_m, 3, 0, 0),
  [1497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lf, 3, 0, 0),
  [1499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lf, 3, 0, 0),
  [1501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_p, 3, 0, 0),
  [1503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_p, 3, 0, 0),
  [1505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ph, 2, 0, 0),
  [1507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ph, 2, 0, 0),
  [1509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pi, 2, 0, 0),
  [1511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pi, 2, 0, 0),
  [1513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pc, 2, 0, 0),
  [1515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pc, 2, 0, 0),
  [1517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nb, 2, 0, 0),
  [1519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nb, 2, 0, 0),
  [1521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mi, 2, 0, 0),
  [1523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mi, 2, 0, 0),
  [1525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pmc, 2, 0, 0),
  [1527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pmc, 2, 0, 0),
  [1529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pm, 2, 0, 0),
  [1531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pm, 2, 0, 0),
  [1533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pmo, 2, 0, 0),
  [1535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pmo, 2, 0, 0),
  [1537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cls, 2, 0, 0),
  [1539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cls, 2, 0, 0),
  [1541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pr, 2, 0, 0),
  [1543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pr, 2, 0, 0),
  [1545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_po, 2, 0, 0),
  [1547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_po, 2, 0, 0),
  [1549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_m, 2, 0, 0),
  [1551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_m, 2, 0, 0),
  [1553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_p, 2, 0, 0),
  [1555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_p, 2, 0, 0),
  [1557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ph, 1, 0, 0),
  [1559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ph, 1, 0, 0),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [1563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [1565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [1573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2906),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [1581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [1583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2909),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2910),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2911),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2913),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2914),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2915),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2916),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2917),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2918),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2919),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2920),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2921),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2922),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2923),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2924),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2925),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2926),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2927),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2929),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2930),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2931),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3118),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2932),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2933),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2934),
  [1651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2935),
  [1653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [1655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [1659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [1709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2562),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2558),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2555),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2550),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [1757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [1759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [1763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(670),
  [1766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2056),
  [1769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2094),
  [1772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2095),
  [1775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2096),
  [1778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2097),
  [1781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2683),
  [1784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2906),
  [1787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2102),
  [1790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2495),
  [1793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2494),
  [1796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2639),
  [1799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2640),
  [1802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2641),
  [1805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(288),
  [1808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2605),
  [1811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1142),
  [1814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1985),
  [1817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2909),
  [1820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2910),
  [1823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2911),
  [1826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2912),
  [1829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2913),
  [1832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2914),
  [1835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2915),
  [1838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2916),
  [1841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2917),
  [1844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2918),
  [1847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2919),
  [1850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2920),
  [1853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2921),
  [1856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2922),
  [1859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2923),
  [1862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2924),
  [1865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2925),
  [1868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2926),
  [1871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2927),
  [1874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2928),
  [1877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2929),
  [1880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2930),
  [1883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2931),
  [1886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3118),
  [1889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2932),
  [1892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2933),
  [1895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2934),
  [1898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2935),
  [1901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1858),
  [1904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1872),
  [1907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1880),
  [1910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1955),
  [1913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(547),
  [1916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [1920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [1922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [1926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [1928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [1930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [1932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [1934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [1936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0),
  [1938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2106),
  [1941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2100),
  [1944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2099),
  [1947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2090),
  [1950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(1114),
  [1953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(1120),
  [1956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2039),
  [1959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2642),
  [1962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(1993),
  [1965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(1167),
  [1968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2008),
  [1971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2007),
  [1974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2026),
  [1977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2005),
  [1980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2004),
  [1983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(1088),
  [1986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2003),
  [1989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2790),
  [1992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2786),
  [1995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2785),
  [1998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2784),
  [2001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2783),
  [2004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2782),
  [2007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2781),
  [2010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2780),
  [2013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2779),
  [2016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2024),
  [2019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2778),
  [2022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2777),
  [2025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2775),
  [2028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2023),
  [2031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2684),
  [2034] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2021),
  [2037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2774),
  [2040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2772),
  [2043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2769),
  [2046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2019),
  [2049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2768),
  [2052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2668),
  [2055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2016),
  [2058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2015),
  [2061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(3115),
  [2064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2664),
  [2067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2663),
  [2070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2662),
  [2073] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(291),
  [2076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2661),
  [2079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(2821),
  [2082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(1931),
  [2085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(1945),
  [2088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(1249),
  [2091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chapter_repeat1, 2, 0, 0), SHIFT_REPEAT(275),
  [2094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chapter, 3, 0, 0),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [2104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [2110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [2114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [2130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2790),
  [2132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [2140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [2142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2781),
  [2144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [2150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [2156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [2160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [2166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [2170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [2172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [2174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [2176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [2178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [2180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [2182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [2184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [2186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [2190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [2198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [2200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [2202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [2204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [2206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [2208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [2210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [2212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [2214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [2216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [2218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chapter, 2, 0, 0),
  [2220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [2222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chapter, 1, 0, 0),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [2230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [2234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [2258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [2260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [2262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [2264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [2266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [2268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [2270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [2274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [2276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [2286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [2288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [2290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [2292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [2294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [2296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [2298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [2306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [2308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [2310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [2312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [2314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [2316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [2318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [2320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [2323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2068),
  [2326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0),
  [2328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2110),
  [2331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(1141),
  [2334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(1157),
  [2337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2847),
  [2340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2848),
  [2343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2849),
  [2346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2850),
  [2349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2851),
  [2352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2852),
  [2355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2853),
  [2358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2854),
  [2361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2855),
  [2364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2856),
  [2367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2857),
  [2370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2858),
  [2373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2859),
  [2376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2860),
  [2379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2861),
  [2382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2862),
  [2385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2863),
  [2388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2864),
  [2391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2865),
  [2394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2866),
  [2397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2867),
  [2400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [2403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2869),
  [2406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(3114),
  [2409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2870),
  [2412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2871),
  [2415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2872),
  [2418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2873),
  [2421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2586),
  [2424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2585),
  [2427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2584),
  [2430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2583),
  [2433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2582),
  [2436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2581),
  [2439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2580),
  [2442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2579),
  [2445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2578),
  [2448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2577),
  [2451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2576),
  [2454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2575),
  [2457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2574),
  [2460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2573),
  [2463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2572),
  [2466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2571),
  [2469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2570),
  [2472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2569),
  [2475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2568),
  [2478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2567),
  [2481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2566),
  [2484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2565),
  [2487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2562),
  [2490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2558),
  [2493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2555),
  [2496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2554),
  [2499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2553),
  [2502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(2550),
  [2505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(1868),
  [2508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(1873),
  [2511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_footnoteText_repeat1, 2, 0, 0), SHIFT_REPEAT(1875),
  [2514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_footnoteText, 1, 0, 0),
  [2516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [2519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2068),
  [2522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2032),
  [2525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2033),
  [2528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2034),
  [2531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2035),
  [2534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2498),
  [2537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2497),
  [2540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2123),
  [2543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2559),
  [2546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2560),
  [2549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2561),
  [2552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(287),
  [2555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2481),
  [2558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1141),
  [2561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2059),
  [2564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2847),
  [2567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2848),
  [2570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2849),
  [2573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2850),
  [2576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2851),
  [2579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2852),
  [2582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2853),
  [2585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2854),
  [2588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2855),
  [2591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2856),
  [2594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2857),
  [2597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2858),
  [2600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2859),
  [2603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2860),
  [2606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2861),
  [2609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2862),
  [2612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2863),
  [2615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2864),
  [2618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2865),
  [2621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2866),
  [2624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2867),
  [2627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [2630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2869),
  [2633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3114),
  [2636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2870),
  [2639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2871),
  [2642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2872),
  [2645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2873),
  [2648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1868),
  [2651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1873),
  [2654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1903),
  [2657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1978),
  [2660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(459),
  [2663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_addpn, 4, 0, 0),
  [2665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_addpn, 4, 0, 0),
  [2667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pro, 4, 0, 0),
  [2669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pro, 4, 0, 0),
  [2671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wa, 4, 0, 0),
  [2673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wa, 4, 0, 0),
  [2675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_png, 4, 0, 0),
  [2677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_png, 4, 0, 0),
  [2679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add, 4, 0, 0),
  [2681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add, 4, 0, 0),
  [2683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sls, 4, 0, 0),
  [2685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sls, 4, 0, 0),
  [2687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wh, 4, 0, 0),
  [2689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wh, 4, 0, 0),
  [2691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wg, 4, 0, 0),
  [2693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wg, 4, 0, 0),
  [2695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_w, 4, 0, 0),
  [2697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_w, 4, 0, 0),
  [2699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bk, 4, 0, 0),
  [2701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bk, 4, 0, 0),
  [2703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dc, 4, 0, 0),
  [2705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dc, 4, 0, 0),
  [2707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jmp, 3, 0, 1),
  [2709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jmp, 3, 0, 1),
  [2711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jmp, 3, 0, 0),
  [2713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jmp, 3, 0, 0),
  [2715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_w, 5, 0, 0),
  [2717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_w, 5, 0, 0),
  [2719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rb, 5, 0, 0),
  [2721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rb, 5, 0, 0),
  [2723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_k, 5, 0, 0),
  [2725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_k, 5, 0, 0),
  [2727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qt, 4, 0, 0),
  [2729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qt, 4, 0, 0),
  [2731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jmp, 4, 0, 1),
  [2733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jmp, 4, 0, 1),
  [2735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ndx, 4, 0, 0),
  [2737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ndx, 4, 0, 0),
  [2739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sup, 4, 0, 0),
  [2741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sup, 4, 0, 0),
  [2743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sc, 4, 0, 0),
  [2745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sc, 4, 0, 0),
  [2747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_no, 4, 0, 0),
  [2749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_no, 4, 0, 0),
  [2751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jmp, 2, 0, 0),
  [2753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jmp, 2, 0, 0),
  [2755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sig, 4, 0, 0),
  [2757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sig, 4, 0, 0),
  [2759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_k, 4, 0, 0),
  [2761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_k, 4, 0, 0),
  [2763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nd, 4, 0, 0),
  [2765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nd, 4, 0, 0),
  [2767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ord, 4, 0, 0),
  [2769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ord, 4, 0, 0),
  [2771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bdit, 4, 0, 0),
  [2773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bdit, 4, 0, 0),
  [2775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pn, 4, 0, 0),
  [2777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pn, 4, 0, 0),
  [2779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_it, 4, 0, 0),
  [2781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_it, 4, 0, 0),
  [2783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bd, 4, 0, 0),
  [2785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bd, 4, 0, 0),
  [2787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_em, 4, 0, 0),
  [2789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_em, 4, 0, 0),
  [2791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wj, 4, 0, 0),
  [2793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wj, 4, 0, 0),
  [2795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tl, 4, 0, 0),
  [2797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tl, 4, 0, 0),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2698),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2697),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [2863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2106),
  [2866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2100),
  [2869] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2099),
  [2872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2090),
  [2875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(1117),
  [2878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2008),
  [2881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2007),
  [2884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2006),
  [2887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2005),
  [2890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2004),
  [2893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(1090),
  [2896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2003),
  [2899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2698),
  [2902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2697),
  [2905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2696),
  [2908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2695),
  [2911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2694),
  [2914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2693),
  [2917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2692),
  [2920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2691),
  [2923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2690),
  [2926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2002),
  [2929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2688),
  [2932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2687),
  [2935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2686),
  [2938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2001),
  [2941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2684),
  [2944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2000),
  [2947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2680),
  [2950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2676),
  [2953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2671),
  [2956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(1997),
  [2959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2669),
  [2962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2668),
  [2965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(1996),
  [2968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(1995),
  [2971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2665),
  [2974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2664),
  [2977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2663),
  [2980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2662),
  [2983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(291),
  [2986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2661),
  [2989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2821),
  [2992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(1931),
  [2995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(1945),
  [2998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(1355),
  [3001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0),
  [3003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_esb_repeat1, 2, 0, 0), SHIFT_REPEAT(2659),
  [3006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [3010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_crossrefText, 1, 0, 0),
  [3012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [3015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2068),
  [3018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0),
  [3020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2586),
  [3023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2585),
  [3026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2584),
  [3029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2583),
  [3032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2582),
  [3035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2581),
  [3038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2580),
  [3041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2579),
  [3044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2578),
  [3047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2577),
  [3050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2576),
  [3053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2575),
  [3056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2574),
  [3059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2573),
  [3062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2572),
  [3065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2571),
  [3068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2570),
  [3071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2569),
  [3074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2568),
  [3077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2567),
  [3080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2566),
  [3083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2565),
  [3086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2562),
  [3089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2558),
  [3092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2555),
  [3095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2554),
  [3098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2553),
  [3101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(2550),
  [3104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(1868),
  [3107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_crossrefText_repeat1, 2, 0, 0), SHIFT_REPEAT(1875),
  [3110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_s, 2, 0, 0),
  [3112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_s, 2, 0, 0),
  [3114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [3116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [3118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [3121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2559),
  [3124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2560),
  [3127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2561),
  [3130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(287),
  [3133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2481),
  [3136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1141),
  [3139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2059),
  [3142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0),
  [3144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2586),
  [3147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2585),
  [3150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2584),
  [3153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2583),
  [3156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2582),
  [3159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2581),
  [3162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2580),
  [3165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2579),
  [3168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2578),
  [3171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2577),
  [3174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2576),
  [3177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2575),
  [3180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2574),
  [3183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2573),
  [3186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2572),
  [3189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2571),
  [3192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2570),
  [3195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2569),
  [3198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2568),
  [3201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2567),
  [3204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2566),
  [3207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2565),
  [3210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2562),
  [3213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2558),
  [3216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2555),
  [3219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2554),
  [3222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2553),
  [3225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2550),
  [3228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1868),
  [3231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1875),
  [3234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_s, 1, 0, 0),
  [3236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_s, 1, 0, 0),
  [3238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__innerText, 1, 0, 0),
  [3240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms, 2, 0, 0),
  [3242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms, 2, 0, 0),
  [3244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [3246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0),
  [3248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(392),
  [3251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0),
  [3253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2677),
  [3256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2678),
  [3259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2679),
  [3262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(283),
  [3265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2643),
  [3268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(1151),
  [3271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(1994),
  [3274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2940),
  [3277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2941),
  [3280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2942),
  [3283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2943),
  [3286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2944),
  [3289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2945),
  [3292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2946),
  [3295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2947),
  [3298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2948),
  [3301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2949),
  [3304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2950),
  [3307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2951),
  [3310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2952),
  [3313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2953),
  [3316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2954),
  [3319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2955),
  [3322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2956),
  [3325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2957),
  [3328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2958),
  [3331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2959),
  [3334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2960),
  [3337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2961),
  [3340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2962),
  [3343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3119),
  [3346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2963),
  [3349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2964),
  [3352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2965),
  [3355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2966),
  [3358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(1850),
  [3361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(1871),
  [3364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_d, 2, 0, 0),
  [3366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_d, 2, 0, 0),
  [3368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0),
  [3370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(392),
  [3373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0),
  [3375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2940),
  [3378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2941),
  [3381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2942),
  [3384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2943),
  [3387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2944),
  [3390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2945),
  [3393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2946),
  [3396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2947),
  [3399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2948),
  [3402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2949),
  [3405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2950),
  [3408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2951),
  [3411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2952),
  [3414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2953),
  [3417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2954),
  [3420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2955),
  [3423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2956),
  [3426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2957),
  [3429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2958),
  [3432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2959),
  [3435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2960),
  [3438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2961),
  [3441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2962),
  [3444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3119),
  [3447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2963),
  [3450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2964),
  [3453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2965),
  [3456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2966),
  [3459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1850),
  [3462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1871),
  [3465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_verseText, 1, 0, 0),
  [3467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_verseText, 1, 0, 0),
  [3469] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(462),
  [3472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2970),
  [3475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2971),
  [3478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2972),
  [3481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2973),
  [3484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2974),
  [3487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2975),
  [3490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2976),
  [3493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2977),
  [3496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2978),
  [3499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2979),
  [3502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2980),
  [3505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2981),
  [3508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2982),
  [3511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2983),
  [3514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2984),
  [3517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2985),
  [3520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2986),
  [3523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2987),
  [3526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2988),
  [3529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2989),
  [3532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2990),
  [3535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2991),
  [3538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2992),
  [3541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3120),
  [3544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2993),
  [3547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2994),
  [3550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2995),
  [3553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2996),
  [3556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1862),
  [3559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1870),
  [3562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [3565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2559),
  [3568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2560),
  [3571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2561),
  [3574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(287),
  [3577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2481),
  [3580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(1141),
  [3583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2059),
  [3586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2847),
  [3589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2848),
  [3592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2849),
  [3595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2850),
  [3598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2851),
  [3601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2852),
  [3604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2853),
  [3607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2854),
  [3610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2855),
  [3613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2856),
  [3616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2857),
  [3619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2858),
  [3622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2859),
  [3625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2860),
  [3628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2861),
  [3631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2862),
  [3634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2863),
  [3637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2864),
  [3640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2865),
  [3643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2866),
  [3646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2867),
  [3649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [3652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2869),
  [3655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(3114),
  [3658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2870),
  [3661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2871),
  [3664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2872),
  [3667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(2873),
  [3670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(1868),
  [3673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ms_repeat1, 2, 0, 0), SHIFT_REPEAT(1873),
  [3676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [3679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2847),
  [3682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2848),
  [3685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2849),
  [3688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2850),
  [3691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2851),
  [3694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2852),
  [3697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2853),
  [3700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2854),
  [3703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2855),
  [3706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2856),
  [3709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2857),
  [3712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2858),
  [3715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2859),
  [3718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2860),
  [3721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2861),
  [3724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2862),
  [3727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2863),
  [3730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2864),
  [3733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2865),
  [3736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2866),
  [3739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2867),
  [3742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [3745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2869),
  [3748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3114),
  [3751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2870),
  [3754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2871),
  [3757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2872),
  [3760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2873),
  [3763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1868),
  [3766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1873),
  [3769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ip, 2, 0, 0),
  [3771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ip, 2, 0, 0),
  [3773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [3775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__introText, 2, 0, 0),
  [3777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(392),
  [3780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1991),
  [3783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0),
  [3785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2060),
  [3788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1151),
  [3791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2940),
  [3794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2941),
  [3797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2942),
  [3800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2943),
  [3803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2944),
  [3806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2945),
  [3809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2946),
  [3812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2947),
  [3815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2948),
  [3818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2949),
  [3821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2950),
  [3824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2951),
  [3827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2952),
  [3830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2953),
  [3833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2954),
  [3836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2955),
  [3839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2956),
  [3842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2957),
  [3845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2958),
  [3848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2959),
  [3851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2960),
  [3854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2961),
  [3857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2962),
  [3860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3119),
  [3863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2963),
  [3866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2964),
  [3869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2965),
  [3872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2966),
  [3875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1850),
  [3878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1871),
  [3881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iex, 2, 0, 0),
  [3883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iex, 2, 0, 0),
  [3885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(588),
  [3888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3086),
  [3891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3087),
  [3894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3088),
  [3897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3089),
  [3900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3090),
  [3903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3091),
  [3906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3092),
  [3909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3093),
  [3912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3094),
  [3915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3095),
  [3918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3096),
  [3921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3097),
  [3924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3098),
  [3927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3099),
  [3930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3100),
  [3933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3101),
  [3936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3102),
  [3939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3103),
  [3942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3104),
  [3945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3105),
  [3948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3106),
  [3951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3107),
  [3954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3108),
  [3957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3124),
  [3960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3109),
  [3963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3110),
  [3966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3111),
  [3969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3112),
  [3972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1859),
  [3975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1879),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [3980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3086),
  [3982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3087),
  [3984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3088),
  [3986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3089),
  [3988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3090),
  [3990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [3992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3092),
  [3994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3093),
  [3996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3094),
  [3998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3095),
  [4000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3096),
  [4002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [4004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3098),
  [4006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3099),
  [4008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3100),
  [4010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3101),
  [4012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [4014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3103),
  [4016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3104),
  [4018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3105),
  [4020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3106),
  [4022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3107),
  [4024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3108),
  [4026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3124),
  [4028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [4030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3110),
  [4032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3111),
  [4034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3112),
  [4036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [4038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [4040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(670),
  [4043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2909),
  [4046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2910),
  [4049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2911),
  [4052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2912),
  [4055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2913),
  [4058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2914),
  [4061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2915),
  [4064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2916),
  [4067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2917),
  [4070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2918),
  [4073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2919),
  [4076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2920),
  [4079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2921),
  [4082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2922),
  [4085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2923),
  [4088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2924),
  [4091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2925),
  [4094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2926),
  [4097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2927),
  [4100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2928),
  [4103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2929),
  [4106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2930),
  [4109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2931),
  [4112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3118),
  [4115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2932),
  [4118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2933),
  [4121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2934),
  [4124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(2935),
  [4127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1858),
  [4130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1872),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [4135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [4137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [4139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [4141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [4143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [4145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [4147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3028),
  [4149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [4151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [4153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [4155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [4157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2836),
  [4159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2837),
  [4161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2838),
  [4163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [4165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2833),
  [4167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [4169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [4171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3030),
  [4173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3031),
  [4175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3032),
  [4177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3033),
  [4179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3034),
  [4181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [4183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3036),
  [4185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3037),
  [4187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3038),
  [4189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3039),
  [4191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3040),
  [4193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3041),
  [4195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3042),
  [4197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3043),
  [4199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3044),
  [4201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3045),
  [4203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3046),
  [4205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3047),
  [4207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3048),
  [4209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [4211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3050),
  [4213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [4215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3052),
  [4217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3122),
  [4219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3053),
  [4221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3054),
  [4223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [4225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [4227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [4229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [4231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [4233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [4235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [4237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0),
  [4239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(392),
  [4242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0),
  [4244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(1151),
  [4247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2940),
  [4250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2941),
  [4253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2942),
  [4256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2943),
  [4259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2944),
  [4262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2945),
  [4265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2946),
  [4268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2947),
  [4271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2948),
  [4274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2949),
  [4277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2950),
  [4280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2951),
  [4283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2952),
  [4286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2953),
  [4289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2954),
  [4292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2955),
  [4295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2956),
  [4298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2957),
  [4301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2958),
  [4304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2959),
  [4307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2960),
  [4310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2961),
  [4313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2962),
  [4316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(3119),
  [4319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2963),
  [4322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2964),
  [4325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2965),
  [4328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(2966),
  [4331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(1850),
  [4334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cd_repeat1, 2, 0, 0), SHIFT_REPEAT(1871),
  [4337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1422),
  [4340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2014),
  [4343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2037),
  [4346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1983),
  [4349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2031),
  [4352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2029),
  [4355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2185),
  [4358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3028),
  [4361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2125),
  [4364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2593),
  [4367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2594),
  [4370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2836),
  [4373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2837),
  [4376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2838),
  [4379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(290),
  [4382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2833),
  [4385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1145),
  [4388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(2085),
  [4391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3030),
  [4394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3031),
  [4397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3032),
  [4400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3033),
  [4403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3034),
  [4406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3035),
  [4409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3036),
  [4412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3037),
  [4415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3038),
  [4418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3039),
  [4421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3040),
  [4424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3041),
  [4427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3042),
  [4430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3043),
  [4433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3044),
  [4436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3045),
  [4439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3046),
  [4442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3047),
  [4445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3048),
  [4448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3049),
  [4451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3050),
  [4454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3051),
  [4457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3052),
  [4460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3122),
  [4463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3053),
  [4466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3054),
  [4469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3055),
  [4472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(3056),
  [4475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1864),
  [4478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1877),
  [4481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1890),
  [4484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1981),
  [4487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_q_repeat1, 2, 0, 0), SHIFT_REPEAT(1261),
  [4490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [4492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [4494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [4496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cd, 2, 0, 0),
  [4498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cd, 2, 0, 0),
  [4500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [4502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [4504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2),
  [4507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2068),
  [4510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1986),
  [4513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1141),
  [4516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2847),
  [4519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2848),
  [4522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2849),
  [4525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2850),
  [4528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2851),
  [4531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2852),
  [4534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2853),
  [4537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2854),
  [4540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2855),
  [4543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2856),
  [4546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2857),
  [4549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2858),
  [4552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2859),
  [4555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2860),
  [4558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2861),
  [4561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2862),
  [4564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2863),
  [4567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2864),
  [4570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2865),
  [4573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2866),
  [4576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2867),
  [4579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2868),
  [4582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2869),
  [4585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(3114),
  [4588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2870),
  [4591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2871),
  [4594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2872),
  [4597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2873),
  [4600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1868),
  [4603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1873),
  [4606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [4608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1518),
  [4611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2044),
  [4614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2066),
  [4617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2065),
  [4620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2064),
  [4623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2063),
  [4626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2162),
  [4629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2998),
  [4632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2112),
  [4635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2829),
  [4638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2830),
  [4641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2831),
  [4644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(293),
  [4647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2826),
  [4650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1146),
  [4653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(2070),
  [4656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3000),
  [4659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3001),
  [4662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3002),
  [4665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3003),
  [4668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3004),
  [4671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3005),
  [4674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3006),
  [4677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3007),
  [4680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3008),
  [4683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3009),
  [4686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3010),
  [4689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3011),
  [4692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3012),
  [4695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3013),
  [4698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3014),
  [4701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3015),
  [4704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3016),
  [4707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3017),
  [4710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3018),
  [4713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3019),
  [4716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3020),
  [4719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3021),
  [4722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3022),
  [4725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3121),
  [4728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3023),
  [4731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3024),
  [4734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3025),
  [4737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(3026),
  [4740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1853),
  [4743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1878),
  [4746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1940),
  [4749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1962),
  [4752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_p_repeat1, 2, 0, 0), SHIFT_REPEAT(1284),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [4757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3058),
  [4759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [4761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [4763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3061),
  [4765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [4767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3063),
  [4769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3064),
  [4771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [4773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [4775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3067),
  [4777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3068),
  [4779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3069),
  [4781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3070),
  [4783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3071),
  [4785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3072),
  [4787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3073),
  [4789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3074),
  [4791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3075),
  [4793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3076),
  [4795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3077),
  [4797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3078),
  [4799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3079),
  [4801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3080),
  [4803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3123),
  [4805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3081),
  [4807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3082),
  [4809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [4811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3084),
  [4813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [4815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [4819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [4821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [4823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [4825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [4827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [4829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [4831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2998),
  [4833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [4835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lh, 2, 0, 0),
  [4837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2829),
  [4839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2830),
  [4841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2831),
  [4843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [4845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2826),
  [4847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [4849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [4851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [4853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3001),
  [4855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [4857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3003),
  [4859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3004),
  [4861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3005),
  [4863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [4865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3007),
  [4867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [4869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3009),
  [4871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3010),
  [4873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3011),
  [4875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3012),
  [4877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3013),
  [4879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [4881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3015),
  [4883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3016),
  [4885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [4887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3018),
  [4889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3019),
  [4891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [4893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3021),
  [4895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3022),
  [4897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3121),
  [4899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3023),
  [4901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3024),
  [4903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3025),
  [4905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [4907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [4909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [4911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [4913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [4915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [4917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(742),
  [4920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3058),
  [4923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3059),
  [4926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3060),
  [4929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3061),
  [4932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3062),
  [4935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3063),
  [4938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3064),
  [4941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3065),
  [4944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3066),
  [4947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3067),
  [4950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3068),
  [4953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3069),
  [4956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3070),
  [4959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3071),
  [4962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3072),
  [4965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3073),
  [4968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3074),
  [4971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3075),
  [4974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3076),
  [4977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3077),
  [4980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3078),
  [4983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3079),
  [4986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3080),
  [4989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3123),
  [4992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3081),
  [4995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3082),
  [4998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3083),
  [5001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3084),
  [5004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1866),
  [5007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1876),
  [5010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lh, 3, 0, 0),
  [5012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attributesInCrossref, 2, 0, 0),
  [5014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2903),
  [5016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [5018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2937),
  [5020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [5022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0),
  [5024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0), SHIFT_REPEAT(2903),
  [5027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0), SHIFT_REPEAT(2067),
  [5030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0), SHIFT_REPEAT(2937),
  [5033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0), SHIFT_REPEAT(2528),
  [5036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_io, 2, 0, 0),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [5040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [5042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_io, 2, 0, 0),
  [5044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [5046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [5048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [5050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2767),
  [5052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2766),
  [5054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2765),
  [5056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2764),
  [5058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [5060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [5062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [5064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2760),
  [5066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [5068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2758),
  [5070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2757),
  [5072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [5074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [5076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [5078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2746),
  [5080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2745),
  [5082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [5084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2743),
  [5086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [5088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [5090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [5092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2739),
  [5094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [5096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [5098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [5100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [5102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [5104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [5106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [5108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [5110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__zNameSpaceRegular, 1, 0, 0),
  [5112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [5114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__zNameSpaceRegular, 1, 0, 0),
  [5116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [5118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [5120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [5122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0),
  [5124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0),
  [5126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(2938),
  [5129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(2107),
  [5132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1194),
  [5135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1987),
  [5138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2020),
  [5141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1144),
  [5144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2767),
  [5147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2766),
  [5150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2765),
  [5153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2764),
  [5156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2763),
  [5159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2762),
  [5162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2761),
  [5165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2760),
  [5168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2759),
  [5171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2758),
  [5174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2757),
  [5177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2754),
  [5180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2750),
  [5183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2747),
  [5186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2746),
  [5189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2745),
  [5192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2744),
  [5195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2743),
  [5198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2742),
  [5201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2741),
  [5204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2740),
  [5207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2739),
  [5210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2738),
  [5213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2737),
  [5216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2736),
  [5219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2735),
  [5222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2728),
  [5225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(2733),
  [5228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1867),
  [5231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__introText, 2, 0, 0), SHIFT_REPEAT(1869),
  [5234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_v, 3, 0, 0),
  [5236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_v, 3, 0, 0),
  [5238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__zNameSpaceRegular, 2, 0, 0),
  [5240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__zNameSpaceRegular, 2, 0, 0),
  [5242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [5244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [5246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_v, 2, 0, 0),
  [5248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_v, 2, 0, 0),
  [5250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iot, 2, 0, 0),
  [5252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iot, 2, 0, 0),
  [5254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_im, 2, 0, 0),
  [5256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_im, 2, 0, 0),
  [5258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [5260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [5262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [5264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imi, 2, 0, 0),
  [5266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imi, 2, 0, 0),
  [5268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ipq, 2, 0, 0),
  [5270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ipq, 2, 0, 0),
  [5272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imq, 2, 0, 0),
  [5274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imq, 2, 0, 0),
  [5276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ipr, 2, 0, 0),
  [5278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ipr, 2, 0, 0),
  [5280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ipi, 2, 0, 0),
  [5282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ipi, 2, 0, 0),
  [5284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imt, 2, 0, 0),
  [5286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imt, 2, 0, 0),
  [5288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_is, 2, 0, 0),
  [5290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_is, 2, 0, 0),
  [5292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ili, 2, 0, 0),
  [5294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ili, 2, 0, 0),
  [5296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iq, 2, 0, 0),
  [5298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iq, 2, 0, 0),
  [5300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [5302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [5304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(2968),
  [5307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(2109),
  [5310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defaultAttribute, 2, 0, 0),
  [5312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkAttribute, 4, 0, 0),
  [5314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkAttribute, 5, 0, 0),
  [5316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_customAttribute, 4, 0, 0),
  [5318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defaultAttribute, 4, 0, 0),
  [5320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_customAttribute, 5, 0, 0),
  [5322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limTag, 2, 0, 0),
  [5324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_limTag, 2, 0, 0),
  [5326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limTag, 3, 0, 0),
  [5328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_limTag, 3, 0, 0),
  [5330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_vp, 4, 0, 0),
  [5332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_vp, 4, 0, 0),
  [5334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_va, 4, 0, 0),
  [5336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_va, 4, 0, 0),
  [5338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__zNameSpaceClosed, 4, 0, 0),
  [5340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__zNameSpaceClosed, 4, 0, 0),
  [5342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__zNameSpaceStandaloneMarker, 4, 0, 0),
  [5344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__zNameSpaceStandaloneMarker, 4, 0, 0),
  [5346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_milestone, 1, 0, 0),
  [5348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_milestone, 1, 0, 0),
  [5350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_zNameSpace, 1, 0, 0),
  [5352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_zNameSpace, 1, 0, 0),
  [5354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__milestoneStandaloneMarker, 3, 0, 0),
  [5356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__milestoneStandaloneMarker, 3, 0, 0),
  [5358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_liTag, 2, 0, 0),
  [5360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_liTag, 2, 0, 0),
  [5362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__zNameSpaceClosed, 3, 0, 0),
  [5364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__zNameSpaceClosed, 3, 0, 0),
  [5366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_liv, 5, 0, 0),
  [5368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_liv, 5, 0, 0),
  [5370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__milestoneEnd, 3, 0, 0),
  [5372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__milestoneEnd, 3, 0, 0),
  [5374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lik, 3, 0, 0),
  [5376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lik, 3, 0, 0),
  [5378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_litl, 3, 0, 0),
  [5380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_litl, 3, 0, 0),
  [5382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lit, 2, 0, 0),
  [5384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lit, 2, 0, 0),
  [5386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__zNameSpaceStandaloneMarker, 3, 0, 0),
  [5388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__zNameSpaceStandaloneMarker, 3, 0, 0),
  [5390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__milestoneStandaloneMarker, 2, 0, 0),
  [5392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__milestoneStandaloneMarker, 2, 0, 0),
  [5394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sts, 2, 0, 0),
  [5396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sts, 2, 0, 0),
  [5398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__zNameSpaceClosed, 2, 0, 0),
  [5400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__zNameSpaceClosed, 2, 0, 0),
  [5402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__zNameSpaceStandaloneMarker, 2, 0, 0),
  [5404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__zNameSpaceStandaloneMarker, 2, 0, 0),
  [5406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__milestoneEnd, 2, 0, 0),
  [5408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__milestoneEnd, 2, 0, 0),
  [5410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rem, 2, 0, 0),
  [5412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rem, 2, 0, 0),
  [5414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__milestoneStart, 2, 0, 0),
  [5416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__milestoneStart, 2, 0, 0),
  [5418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__milestoneStart, 3, 0, 0),
  [5420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__milestoneStart, 3, 0, 0),
  [5422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_liTag, 3, 0, 0),
  [5424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_liTag, 3, 0, 0),
  [5426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_restore, 2, 0, 0),
  [5428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_restore, 2, 0, 0),
  [5430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_liv, 4, 0, 0),
  [5432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_liv, 4, 0, 0),
  [5434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [5436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [5438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [5440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qmTag, 2, 0, 0),
  [5442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qmTag, 2, 0, 0),
  [5444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qTag, 2, 0, 0),
  [5446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qTag, 2, 0, 0),
  [5448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qs, 3, 0, 0),
  [5450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qs, 3, 0, 0),
  [5452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qac, 4, 0, 0),
  [5454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qac, 4, 0, 0),
  [5456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qs, 4, 0, 0),
  [5458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qs, 4, 0, 0),
  [5460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qac, 3, 0, 0),
  [5462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qac, 3, 0, 0),
  [5464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qmTag, 3, 0, 0),
  [5466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qmTag, 3, 0, 0),
  [5468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qTag, 3, 0, 0),
  [5470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qTag, 3, 0, 0),
  [5472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(2497),
  [5475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(2123),
  [5478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [5480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [5482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [5484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [5486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [5488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_piTag, 3, 0, 0),
  [5490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_piTag, 3, 0, 0),
  [5492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_phTag, 3, 0, 0),
  [5494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_phTag, 3, 0, 0),
  [5496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(2906),
  [5499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(2102),
  [5502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_piTag, 2, 0, 0),
  [5504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_piTag, 2, 0, 0),
  [5506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [5508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [5510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_phTag, 2, 0, 0),
  [5512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_phTag, 2, 0, 0),
  [5514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xtNested, 2, 0, 0),
  [5516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xtNested, 2, 0, 0),
  [5518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [5520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [5522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sTag, 3, 0, 0),
  [5524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sTag, 3, 0, 0),
  [5526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sTag, 2, 0, 0),
  [5528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sTag, 2, 0, 0),
  [5530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_File, 1, 0, 0),
  [5532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [5534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [5536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [5538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [5540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [5542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [5544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [5546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [5548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [5550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [5552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [5556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [5560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [5562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [5564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [5568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [5570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [5572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [5574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [5576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [5578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [5582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [5584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [5588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iqt, 3, 0, 0),
  [5590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iqt, 3, 0, 0),
  [5592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defaultAttribute, 2, 0, 0),
  [5594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xtNested, 3, 0, 0),
  [5596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xtNested, 3, 0, 0),
  [5598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [5600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defaultAttribute, 4, 0, 0),
  [5602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fv, 3, 0, 0),
  [5604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fv, 3, 0, 0),
  [5606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xtNested, 4, 0, 0),
  [5608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xtNested, 4, 0, 0),
  [5610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1422),
  [5613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3030),
  [5616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3031),
  [5619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3032),
  [5622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3033),
  [5625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3034),
  [5628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3035),
  [5631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3036),
  [5634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3037),
  [5637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3038),
  [5640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3039),
  [5643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3040),
  [5646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3041),
  [5649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3042),
  [5652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3043),
  [5655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3044),
  [5658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3045),
  [5661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3046),
  [5664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3047),
  [5667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3048),
  [5670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3049),
  [5673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3050),
  [5676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3051),
  [5679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3052),
  [5682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3122),
  [5685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3053),
  [5688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3054),
  [5691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3055),
  [5694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3056),
  [5697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1864),
  [5700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1877),
  [5703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1518),
  [5706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3000),
  [5709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3001),
  [5712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3002),
  [5715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3003),
  [5718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3004),
  [5721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3005),
  [5724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3006),
  [5727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3007),
  [5730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3008),
  [5733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3009),
  [5736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3010),
  [5739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3011),
  [5742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3012),
  [5745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3013),
  [5748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3014),
  [5751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3015),
  [5754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3016),
  [5757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3017),
  [5760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3018),
  [5763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3019),
  [5766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3020),
  [5769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3021),
  [5772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3022),
  [5775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3121),
  [5778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3023),
  [5781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3024),
  [5784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3025),
  [5787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(3026),
  [5790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1853),
  [5793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verseText_repeat1, 2, 0, 0), SHIFT_REPEAT(1878),
  [5796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [5798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2843),
  [5800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2844),
  [5802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2845),
  [5804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [5806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2840),
  [5808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [5810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [5812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1574),
  [5815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2787),
  [5818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2788),
  [5821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2789),
  [5824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(292),
  [5827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2755),
  [5830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1140),
  [5833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2017),
  [5836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2874),
  [5839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2875),
  [5842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2876),
  [5845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2877),
  [5848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2878),
  [5851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2879),
  [5854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2880),
  [5857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2881),
  [5860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2882),
  [5863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2883),
  [5866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2884),
  [5869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2885),
  [5872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2886),
  [5875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2887),
  [5878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2888),
  [5881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2889),
  [5884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2890),
  [5887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2891),
  [5890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2892),
  [5893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2893),
  [5896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2894),
  [5899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2895),
  [5902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2896),
  [5905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2897),
  [5908] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2898),
  [5911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2899),
  [5914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2900),
  [5917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2901),
  [5920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1863),
  [5923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1874),
  [5926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_File, 2, 0, 0),
  [5928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [5930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2787),
  [5932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2788),
  [5934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2789),
  [5936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [5938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [5940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [5942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [5944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2874),
  [5946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2875),
  [5948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2876),
  [5950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2877),
  [5952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2878),
  [5954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2879),
  [5956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2880),
  [5958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [5960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2882),
  [5962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2883),
  [5964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2884),
  [5966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2885),
  [5968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2886),
  [5970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2887),
  [5972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2888),
  [5974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2889),
  [5976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2890),
  [5978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2891),
  [5980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2892),
  [5982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2893),
  [5984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [5986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2895),
  [5988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2896),
  [5990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2897),
  [5992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2898),
  [5994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2899),
  [5996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2900),
  [5998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2901),
  [6000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [6002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [6004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_File, 3, 0, 0),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [6008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2822),
  [6010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2823),
  [6012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2824),
  [6014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [6016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2791),
  [6018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [6020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [6022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [6024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1572),
  [6027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2822),
  [6030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2823),
  [6033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2824),
  [6036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(295),
  [6039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2791),
  [6042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1147),
  [6045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(2030),
  [6048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__innerText_repeat1, 2, 0, 0), SHIFT_REPEAT(1855),
  [6051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [6053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fdc, 2, 0, 0),
  [6055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fdc, 2, 0, 0),
  [6057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [6059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fqa, 2, 0, 0),
  [6061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fqa, 2, 0, 0),
  [6063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [6065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fk, 2, 0, 0),
  [6067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fk, 2, 0, 0),
  [6069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [6071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fl, 2, 0, 0),
  [6073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fl, 2, 0, 0),
  [6075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [6077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fw, 2, 0, 0),
  [6079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fw, 2, 0, 0),
  [6081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [6083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fp, 2, 0, 0),
  [6085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fp, 2, 0, 0),
  [6087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [6089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ft, 2, 0, 0),
  [6091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ft, 2, 0, 0),
  [6093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [6095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fr, 2, 0, 0),
  [6097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fr, 2, 0, 0),
  [6099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [6101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fq, 2, 0, 0),
  [6103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fq, 2, 0, 0),
  [6105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [6107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fdc, 3, 0, 0),
  [6109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fdc, 3, 0, 0),
  [6111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ft, 3, 0, 0),
  [6113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ft, 3, 0, 0),
  [6115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fr, 3, 0, 0),
  [6117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fr, 3, 0, 0),
  [6119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fp, 3, 0, 0),
  [6121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fp, 3, 0, 0),
  [6123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cat, 3, 0, 0),
  [6125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cat, 3, 0, 0),
  [6127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fq, 3, 0, 0),
  [6129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fq, 3, 0, 0),
  [6131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fqa, 3, 0, 0),
  [6133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fqa, 3, 0, 0),
  [6135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fw, 3, 0, 0),
  [6137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fw, 3, 0, 0),
  [6139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fl, 3, 0, 0),
  [6141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fl, 3, 0, 0),
  [6143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fk, 3, 0, 0),
  [6145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fk, 3, 0, 0),
  [6147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imte, 2, 0, 0),
  [6149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imte, 2, 0, 0),
  [6151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0),
  [6153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2128),
  [6156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2127),
  [6159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2113),
  [6162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2098),
  [6165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2108),
  [6168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2101),
  [6171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2013),
  [6174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1130),
  [6177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1124),
  [6180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1123),
  [6183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1121),
  [6186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1119),
  [6189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2093),
  [6192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1118),
  [6195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1116),
  [6198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1113),
  [6201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1735),
  [6204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2089),
  [6207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0),
  [6209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1115),
  [6212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(2821),
  [6215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1926),
  [6218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1973),
  [6221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(1687),
  [6224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat1, 2, 0, 0), SHIFT_REPEAT(276),
  [6227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0),
  [6229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(1266),
  [6232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0),
  [6234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2715),
  [6237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2716),
  [6240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2717),
  [6243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(301),
  [6246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2681),
  [6249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(1143),
  [6252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(1999),
  [6255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mte, 2, 0, 0),
  [6257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [6259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mte, 2, 0, 0),
  [6261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [6263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [6265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [6267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [6269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2681),
  [6271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [6273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [6275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mandatoryHead, 1, 0, 0),
  [6277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [6279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [6281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [6283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [6285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [6287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [6289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [6291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [6293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [6297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__mandatoryHead, 1, 0, 0),
  [6299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [6305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [6307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0),
  [6309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2802),
  [6312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2054),
  [6315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2053),
  [6318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2052),
  [6321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2049),
  [6324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2048),
  [6327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2047),
  [6330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2045),
  [6333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2043),
  [6336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2042),
  [6339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0),
  [6341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(2821),
  [6344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(1907),
  [6347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(1968),
  [6350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(1553),
  [6353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mandatoryHead_repeat1, 2, 0, 0), SHIFT_REPEAT(271),
  [6356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mandatoryHead, 2, 0, 0),
  [6358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__mandatoryHead, 2, 0, 0),
  [6360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [6363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0),
  [6365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2847),
  [6368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2848),
  [6371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2849),
  [6374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2850),
  [6377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2851),
  [6380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2852),
  [6383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2853),
  [6386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2854),
  [6389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2855),
  [6392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2856),
  [6395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2857),
  [6398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2858),
  [6401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2859),
  [6404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2860),
  [6407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2861),
  [6410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2862),
  [6413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2863),
  [6416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2864),
  [6419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2865),
  [6422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2866),
  [6425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2867),
  [6428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [6431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2869),
  [6434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(3114),
  [6437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2870),
  [6440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2871),
  [6443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2872),
  [6446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(2873),
  [6449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(1868),
  [6452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liv_repeat1, 2, 0, 0), SHIFT_REPEAT(1873),
  [6455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0),
  [6457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0),
  [6459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2021),
  [6462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2774),
  [6465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2772),
  [6468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2019),
  [6471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2768),
  [6474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 1, 0, 0),
  [6476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 1, 0, 0),
  [6478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [6480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2, 0, 0),
  [6482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2, 0, 0),
  [6484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_poetry, 1, 0, 0),
  [6486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_poetry, 1, 0, 0),
  [6488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0),
  [6490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0),
  [6492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2016),
  [6495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2015),
  [6498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [6500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [6502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [6504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [6506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [6508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [6510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [6512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [6514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0),
  [6516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0),
  [6518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0), SHIFT_REPEAT(2546),
  [6521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0), SHIFT_REPEAT(2547),
  [6524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0), SHIFT_REPEAT(2548),
  [6527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0), SHIFT_REPEAT(2549),
  [6530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 3, 0, 0),
  [6532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 3, 0, 0),
  [6534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2546),
  [6536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [6538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [6540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [6542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 2, 0, 0),
  [6544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 2, 0, 0),
  [6546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(1517),
  [6549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2601),
  [6552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2602),
  [6555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2603),
  [6558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(296),
  [6561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2563),
  [6564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(1163),
  [6567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2051),
  [6570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tcr, 3, 0, 0),
  [6572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tcr, 3, 0, 0),
  [6574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c, 3, 0, 0),
  [6576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c, 3, 0, 0),
  [6578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_c_repeat1, 2, 0, 0),
  [6580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_c_repeat1, 2, 0, 0), SHIFT_REPEAT(2039),
  [6583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_c_repeat1, 2, 0, 0), SHIFT_REPEAT(2642),
  [6586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_c_repeat1, 2, 0, 0), SHIFT_REPEAT(1993),
  [6589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_c_repeat1, 2, 0, 0), SHIFT_REPEAT(1167),
  [6592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_c_repeat1, 2, 0, 0),
  [6594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2000),
  [6597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2680),
  [6600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2676),
  [6603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(1997),
  [6606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_poetry_repeat1, 2, 0, 0), SHIFT_REPEAT(2669),
  [6609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [6611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [6613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [6615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tc, 3, 0, 0),
  [6617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tc, 3, 0, 0),
  [6619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_thr, 3, 0, 0),
  [6621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_thr, 3, 0, 0),
  [6623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c, 2, 0, 0),
  [6625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c, 2, 0, 0),
  [6627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_th, 3, 0, 0),
  [6629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_th, 3, 0, 0),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [6633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [6635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [6637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [6639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1996),
  [6642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1995),
  [6645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sdBlock_repeat1, 2, 0, 0),
  [6647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sdBlock_repeat1, 2, 0, 0),
  [6649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sdBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2003),
  [6652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sdBlock, 1, 0, 0),
  [6654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sdBlock, 1, 0, 0),
  [6656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [6658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [6660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [6662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_limBlock_repeat1, 2, 0, 0),
  [6664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_limBlock_repeat1, 2, 0, 0),
  [6666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_limBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2015),
  [6669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_liBlock_repeat1, 2, 0, 0),
  [6671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_liBlock_repeat1, 2, 0, 0),
  [6673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2016),
  [6676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_liBlock, 1, 0, 0),
  [6678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_liBlock, 1, 0, 0),
  [6680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limBlock, 1, 0, 0),
  [6682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_limBlock, 1, 0, 0),
  [6684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_phBlock, 1, 0, 0),
  [6686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_phBlock, 1, 0, 0),
  [6688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_s, 3, 0, 0),
  [6690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_s, 3, 0, 0),
  [6692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sBlock_repeat1, 2, 0, 0),
  [6694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2026),
  [6697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sBlock_repeat1, 2, 0, 0),
  [6699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_piBlock_repeat1, 2, 0, 0),
  [6701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_piBlock_repeat1, 2, 0, 0),
  [6703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_piBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2024),
  [6706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_qmBlock_repeat1, 2, 0, 0),
  [6708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_qmBlock_repeat1, 2, 0, 0),
  [6710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_qmBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2019),
  [6713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(3028),
  [6716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(2125),
  [6719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_msBlock, 1, 0, 0),
  [6721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_msBlock, 1, 0, 0),
  [6723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_mteBlock_repeat1, 2, 0, 0),
  [6725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_mteBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2008),
  [6728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_mteBlock_repeat1, 2, 0, 0),
  [6730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [6732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [6734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [6736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qmBlock, 1, 0, 0),
  [6738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qmBlock, 1, 0, 0),
  [6740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_qa_repeat1, 2, 0, 0),
  [6742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_qa_repeat1, 2, 0, 0), SHIFT_REPEAT(1266),
  [6745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_qa_repeat1, 2, 0, 0),
  [6747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qBlock, 1, 0, 0),
  [6749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qBlock, 1, 0, 0),
  [6751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qa, 2, 0, 0),
  [6753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qa, 2, 0, 0),
  [6755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_msBlock_repeat1, 2, 0, 0),
  [6757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_msBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2007),
  [6760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_msBlock_repeat1, 2, 0, 0),
  [6762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_phBlock_repeat1, 2, 0, 0),
  [6764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_phBlock_repeat1, 2, 0, 0),
  [6766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_phBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2023),
  [6769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qa, 3, 0, 0),
  [6771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qa, 3, 0, 0),
  [6773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [6775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [6777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [6781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_piBlock, 1, 0, 0),
  [6783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_piBlock, 1, 0, 0),
  [6785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_qBlock_repeat1, 2, 0, 0),
  [6787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_qBlock_repeat1, 2, 0, 0),
  [6789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_qBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2021),
  [6792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0), SHIFT_REPEAT(2496),
  [6795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0), SHIFT_REPEAT(2504),
  [6798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0), SHIFT_REPEAT(2506),
  [6801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0), SHIFT_REPEAT(2515),
  [6804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [6806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [6808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sBlock, 1, 0, 0),
  [6810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sBlock, 1, 0, 0),
  [6812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mteBlock, 1, 0, 0),
  [6814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mteBlock, 1, 0, 0),
  [6816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table, 1, 0, 0),
  [6818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table, 1, 0, 0),
  [6820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(2998),
  [6823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_v_repeat1, 2, 0, 0), SHIFT_REPEAT(2112),
  [6826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sdTag, 3, 0, 0),
  [6828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sdTag, 3, 0, 0),
  [6830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_table_repeat1, 2, 0, 0),
  [6832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_table_repeat1, 2, 0, 0),
  [6834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_table_repeat1, 2, 0, 0), SHIFT_REPEAT(3115),
  [6837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_title, 1, 0, 0),
  [6839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_title, 1, 0, 0),
  [6841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sd, 1, 0, 0),
  [6843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sd, 1, 0, 0),
  [6845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pb, 2, 0, 0),
  [6847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pb, 2, 0, 0),
  [6849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms, 3, 0, 0),
  [6851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms, 3, 0, 0),
  [6853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_b, 2, 0, 0),
  [6855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_b, 2, 0, 0),
  [6857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sdTag, 2, 0, 0),
  [6859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sdTag, 2, 0, 0),
  [6861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sp, 2, 0, 0),
  [6863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sp, 2, 0, 0),
  [6865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sr, 2, 0, 0),
  [6867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sr, 2, 0, 0),
  [6869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_r, 2, 0, 0),
  [6871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_r, 2, 0, 0),
  [6873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [6875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [6877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3, 0, 0),
  [6879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3, 0, 0),
  [6881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_paragraph, 1, 0, 0),
  [6883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_paragraph, 1, 0, 0),
  [6885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mr, 2, 0, 0),
  [6887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mr, 2, 0, 0),
  [6889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_s, 4, 0, 0),
  [6891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_s, 4, 0, 0),
  [6893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cp, 2, 0, 0),
  [6895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cp, 2, 0, 0),
  [6897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ca, 3, 0, 0),
  [6899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ca, 3, 0, 0),
  [6901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_esb, 2, 0, 0),
  [6903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_esb, 2, 0, 0),
  [6905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cl, 2, 0, 0),
  [6907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cl, 2, 0, 0),
  [6909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_esb, 3, 0, 0),
  [6911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_esb, 3, 0, 0),
  [6913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_limBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(1995),
  [6916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_liBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(1996),
  [6919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_qmBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(1997),
  [6922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_qa_repeat1, 2, 0, 0), SHIFT_REPEAT(1517),
  [6925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_qBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2000),
  [6928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_phBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2001),
  [6931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_piBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2002),
  [6934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2006),
  [6937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_table_repeat1, 2, 0, 0), SHIFT_REPEAT(2665),
  [6940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(1639),
  [6943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2476),
  [6946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2477),
  [6949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2478),
  [6952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(285),
  [6955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(2632),
  [6958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(1158),
  [6961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_mt_repeat1, 2, 0, 0), SHIFT_REPEAT(1990),
  [6964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mt, 2, 0, 0),
  [6966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [6968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mt, 2, 0, 0),
  [6970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [6972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2477),
  [6974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2478),
  [6976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [6978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [6980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [6982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [6986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [6988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [6990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_customAttribute, 4, 0, 0),
  [6992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkAttribute, 4, 0, 0),
  [6994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkAttribute, 5, 0, 0),
  [6996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_customAttribute, 5, 0, 0),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [7000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [7002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tocaBlock_repeat1, 2, 0, 0),
  [7004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_tocaBlock_repeat1, 2, 0, 0),
  [7006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tocaBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2048),
  [7009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hBlock, 1, 0, 0),
  [7011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hBlock, 1, 0, 0),
  [7013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tocBlock_repeat1, 2, 0, 0),
  [7015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tocBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2049),
  [7018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_tocBlock_repeat1, 2, 0, 0),
  [7020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_hBlock_repeat1, 2, 0, 0),
  [7022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2052),
  [7025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_hBlock_repeat1, 2, 0, 0),
  [7027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tocBlock, 1, 0, 0),
  [7029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tocBlock, 1, 0, 0),
  [7031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tocaBlock, 1, 0, 0),
  [7033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tocaBlock, 1, 0, 0),
  [7035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_id, 2, 0, 0),
  [7037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [7039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_id, 2, 0, 0),
  [7041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_msTag, 3, 0, 0),
  [7043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_msTag, 3, 0, 0),
  [7045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_msTag, 2, 0, 0),
  [7047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_msTag, 2, 0, 0),
  [7049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_description, 1, 0, 0),
  [7051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_description, 1, 0, 0),
  [7053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_id, 3, 0, 0),
  [7055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_id, 3, 0, 0),
  [7057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toca, 2, 0, 0),
  [7059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toca, 2, 0, 0),
  [7061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toc, 2, 0, 0),
  [7063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toc, 2, 0, 0),
  [7065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_book, 1, 0, 0),
  [7067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_book, 1, 0, 0),
  [7069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_h, 2, 0, 0),
  [7071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_h, 2, 0, 0),
  [7073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_usfm, 2, 0, 0),
  [7075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_usfm, 2, 0, 0),
  [7077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ide, 2, 0, 0),
  [7079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ide, 2, 0, 0),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [7083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [7085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [7087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imtTag, 3, 0, 0),
  [7089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imtTag, 3, 0, 0),
  [7091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_isTag, 3, 0, 0),
  [7093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_isTag, 3, 0, 0),
  [7095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iqTag, 2, 0, 0),
  [7097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iqTag, 2, 0, 0),
  [7099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iliTag, 2, 0, 0),
  [7101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iliTag, 2, 0, 0),
  [7103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ioTag, 2, 0, 0),
  [7105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ioTag, 2, 0, 0),
  [7107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_isTag, 2, 0, 0),
  [7109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_isTag, 2, 0, 0),
  [7111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imteTag, 2, 0, 0),
  [7113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imteTag, 2, 0, 0),
  [7115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imtTag, 2, 0, 0),
  [7117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imtTag, 2, 0, 0),
  [7119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iqTag, 3, 0, 0),
  [7121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iqTag, 3, 0, 0),
  [7123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imteTag, 3, 0, 0),
  [7125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imteTag, 3, 0, 0),
  [7127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iliTag, 3, 0, 0),
  [7129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iliTag, 3, 0, 0),
  [7131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ioTag, 3, 0, 0),
  [7133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ioTag, 3, 0, 0),
  [7135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mtBlock, 1, 0, 0),
  [7137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mtBlock, 1, 0, 0),
  [7139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_mtBlock_repeat1, 2, 0, 0),
  [7141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_mtBlock_repeat1, 2, 0, 0),
  [7143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_mtBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2069),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [7148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [7150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_isBlock_repeat1, 2, 0, 0),
  [7152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_isBlock_repeat1, 2, 0, 0),
  [7154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_isBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2101),
  [7157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imtBlock, 1, 0, 0),
  [7159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imtBlock, 1, 0, 0),
  [7161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_iliBlock_repeat1, 2, 0, 0),
  [7163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_iliBlock_repeat1, 2, 0, 0),
  [7165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_iliBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2093),
  [7168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_iqBlock_repeat1, 2, 0, 0),
  [7170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_iqBlock_repeat1, 2, 0, 0),
  [7172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_iqBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2089),
  [7175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_imtBlock_repeat1, 2, 0, 0),
  [7177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_imtBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2108),
  [7180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_imtBlock_repeat1, 2, 0, 0),
  [7182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iqBlock, 1, 0, 0),
  [7184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iqBlock, 1, 0, 0),
  [7186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iliBlock, 1, 0, 0),
  [7188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iliBlock, 1, 0, 0),
  [7190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_isBlock, 1, 0, 0),
  [7192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_isBlock, 1, 0, 0),
  [7194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_io, 3, 0, 0),
  [7196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_io, 3, 0, 0),
  [7198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [7200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [7202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [7204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [7206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [7208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [7210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [7212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [7214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2473),
  [7216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [7218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [7220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ior, 3, 0, 0),
  [7222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ior, 3, 0, 0),
  [7224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ib, 1, 0, 0),
  [7226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ib, 1, 0, 0),
  [7228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0),
  [7230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2530),
  [7233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2115),
  [7236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2526),
  [7239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2528),
  [7242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2152),
  [7245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2155),
  [7248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2153),
  [7251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2473),
  [7254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2229),
  [7257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__figAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2230),
  [7260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__figAttributes, 2, 0, 0),
  [7262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [7264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [7266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [7268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [7270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [7272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [7274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [7276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [7278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [7280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0),
  [7282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0), SHIFT_REPEAT(2530),
  [7285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0), SHIFT_REPEAT(2115),
  [7288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attributesInCrossref_repeat1, 2, 0, 0), SHIFT_REPEAT(2526),
  [7291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attributesInCrossref, 2, 0, 0),
  [7293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [7295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [7297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [7299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [7301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [7303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [7305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [7307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [7309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [7311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [7313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [7315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [7317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0),
  [7319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1161),
  [7322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1160),
  [7325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1159),
  [7328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1156),
  [7331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1155),
  [7334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1154),
  [7337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1153),
  [7340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1152),
  [7343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(1150),
  [7346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_x_repeat1, 2, 0, 0), SHIFT_REPEAT(2659),
  [7349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [7351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [7353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [7355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [7357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [7361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [7363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [7365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [7367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [7369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [7381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [7383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [7387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [7389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [7391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__wAttributes_repeat1, 2, 0, 0),
  [7393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__wAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2530),
  [7396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__wAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2825),
  [7399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__wAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2827),
  [7402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__wAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2828),
  [7405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__wAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2526),
  [7408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__wAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2528),
  [7411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2825),
  [7413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2827),
  [7415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2828),
  [7417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__wAttributes, 2, 0, 0),
  [7419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [7421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [7423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [7425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [7427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__milestoneAttributes_repeat1, 2, 0, 0),
  [7429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__milestoneAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2530),
  [7432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__milestoneAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2526),
  [7435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__milestoneAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2528),
  [7438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__milestoneAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2527),
  [7441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__milestoneAttributes, 2, 0, 0),
  [7443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [7445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__rbAttributes_repeat1, 2, 0, 0),
  [7447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__rbAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2530),
  [7450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__rbAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2820),
  [7453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__rbAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2526),
  [7456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__rbAttributes_repeat1, 2, 0, 0), SHIFT_REPEAT(2528),
  [7459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2510),
  [7461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [7463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_locAttribute, 4, 0, 0),
  [7465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_locAttribute, 4, 0, 0),
  [7467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2820),
  [7469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_locAttribute, 5, 0, 0),
  [7471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_locAttribute, 5, 0, 0),
  [7473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rbAttributes, 2, 0, 0),
  [7475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [7477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_srcAttribute, 4, 0, 0),
  [7479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_srcAttribute, 4, 0, 0),
  [7481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeAttribute, 4, 0, 0),
  [7483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeAttribute, 4, 0, 0),
  [7485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_refAttribute, 4, 0, 0),
  [7487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_refAttribute, 4, 0, 0),
  [7489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeAttribute, 5, 0, 0),
  [7491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeAttribute, 5, 0, 0),
  [7493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_copyAttribute, 4, 0, 0),
  [7495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_copyAttribute, 4, 0, 0),
  [7497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_refAttribute, 5, 0, 0),
  [7499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_refAttribute, 5, 0, 0),
  [7501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_altAttribute, 5, 0, 0),
  [7503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_altAttribute, 5, 0, 0),
  [7505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_copyAttribute, 5, 0, 0),
  [7507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_copyAttribute, 5, 0, 0),
  [7509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_altAttribute, 4, 0, 0),
  [7511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_altAttribute, 4, 0, 0),
  [7513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_srcAttribute, 5, 0, 0),
  [7515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_srcAttribute, 5, 0, 0),
  [7517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xt, 2, 0, 0),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [7523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_strongAttribute, 4, 0, 0),
  [7525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_strongAttribute, 4, 0, 0),
  [7527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scrlocAttribute, 4, 0, 0),
  [7529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scrlocAttribute, 4, 0, 0),
  [7531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__jmpAttribute_repeat1, 2, 0, 0),
  [7533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jmpAttribute_repeat1, 2, 0, 0), SHIFT_REPEAT(2904),
  [7536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jmpAttribute_repeat1, 2, 0, 0), SHIFT_REPEAT(2528),
  [7539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_msAttribute, 4, 0, 0),
  [7541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_msAttribute, 4, 0, 0),
  [7543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lemmaAttribute, 5, 0, 0),
  [7545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lemmaAttribute, 5, 0, 0),
  [7547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scrlocAttribute, 5, 0, 0),
  [7549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scrlocAttribute, 5, 0, 0),
  [7551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jmpAttribute, 2, 0, 0),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [7555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [7557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_strongAttribute, 5, 0, 0),
  [7559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_strongAttribute, 5, 0, 0),
  [7561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lemmaAttribute, 4, 0, 0),
  [7563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lemmaAttribute, 4, 0, 0),
  [7565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_msAttribute, 5, 0, 0),
  [7567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_msAttribute, 5, 0, 0),
  [7569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jmpAttribute, 1, 0, 0),
  [7571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xot, 2, 0, 0),
  [7573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [7575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xdc, 2, 0, 0),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [7579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xt, 3, 0, 0),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [7583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xnt, 2, 0, 0),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [7587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xop, 2, 0, 0),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [7591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xta, 2, 0, 0),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [7595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xq, 2, 0, 0),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [7599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xk, 2, 0, 0),
  [7601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [7603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xo, 2, 0, 0),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [7607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xta, 3, 0, 0),
  [7609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xk, 3, 0, 0),
  [7611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xt, 4, 0, 0),
  [7613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xnt, 3, 0, 0),
  [7615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glossAttribute, 4, 0, 0),
  [7617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glossAttribute, 4, 0, 0),
  [7619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xot, 3, 0, 0),
  [7621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xq, 3, 0, 0),
  [7623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xop, 3, 0, 0),
  [7625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glossAttribute, 5, 0, 0),
  [7627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glossAttribute, 5, 0, 0),
  [7629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xdc, 3, 0, 0),
  [7631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xo, 3, 0, 0),
  [7633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [7635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_File, 4, 0, 0),
  [7637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mtTag, 2, 0, 0),
  [7639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mtTag, 2, 0, 0),
  [7641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mteTag, 2, 0, 0),
  [7643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mteTag, 2, 0, 0),
  [7645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imteBlock, 1, 0, 0),
  [7647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_imteBlock_repeat1, 2, 0, 0),
  [7649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imteBlock_repeat1, 2, 0, 0), SHIFT_REPEAT(2103),
  [7652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mteTag, 3, 0, 0),
  [7654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mteTag, 3, 0, 0),
  [7656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mtTag, 3, 0, 0),
  [7658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mtTag, 3, 0, 0),
  [7660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_File_repeat2, 2, 0, 0),
  [7662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat2, 2, 0, 0), SHIFT_REPEAT(2832),
  [7665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_File_repeat2, 2, 0, 0), SHIFT_REPEAT(2082),
  [7668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_File, 5, 0, 0),
  [7670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_File, 6, 0, 0),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [7674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [7676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [7678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [7680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [7682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [7684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [7686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [7688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [7690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [7692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [7694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [7696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [7698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [7700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [7704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [7706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [7708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [7710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [7712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [7714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [7716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [7718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [7720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [7722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [7724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [7726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [7728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [7730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [7732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(43),
  [7734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [7736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [7738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [7740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [7742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [7744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [7746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [7748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [7750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [7754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [7758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [7764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [7766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [7768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [7776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [7778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [7780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [7782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [7784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [7788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [7792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [7794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [7798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [7804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [7810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [7814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [7816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [7818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [7820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [7822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [7824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [7826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [7828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [7830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [7832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [7834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [7836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [7838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [7840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [7842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [7844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [7846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [7848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [7850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [7854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [7856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [7858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [7860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [7862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [7864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [7866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [7868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_qa_repeat1, 2, 0, 0), SHIFT_REPEAT(1572),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [7875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [7877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_livTag, 1, 0, 0),
  [7879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [7885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [7895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [7897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [7899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [7901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ie, 1, 0, 0),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [7931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [7935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [7937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [7947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [7949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [7951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_livTag, 2, 0, 0),
  [7953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [7957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [7961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [7965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [7969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [7993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [7997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [7999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_milestoneTag, 2, 0, 0),
  [8001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [8005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [8007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [8013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [8015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [8017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [8019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [8023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [8025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [8027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [8033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [8035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [8037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [8039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [8041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [8045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [8047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [8049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [8051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [8053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [8055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [8057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [8059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [8061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [8065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [8067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [8069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [8071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [8073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [8075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [8077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [8079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [8081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [8083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [8085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [8087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [8091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [8093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [8095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [8097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [8099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [8101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [8103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [8105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [8107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [8111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [8113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [8115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [8119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [8121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [8125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [8127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [8129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [8131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [8133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [8135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [8137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [8139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [8141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [8143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [8145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [8147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [8153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [8155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [8157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [8159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [8161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [8163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [8165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [8167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [8171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [8173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [8175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [8177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [8179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [8181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [8183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [8185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [8187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [8189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [8193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [8195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [8197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [8199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [8203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [8205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [8207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [8209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [8213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [8215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [8225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [8227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [8229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [8231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [8235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [8237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [8239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [8241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [8247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [8255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [8257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [8263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [8275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [8277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [8279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [8281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [8283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [8285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [8287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [8289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [8291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [8293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [8295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [8297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [8299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [8301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [8303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [8305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [8307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [8309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [8311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [8313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [8315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [8317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [8319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [8323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [8333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [8335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [8337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [8339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [8341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [8343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [8345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [8347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [8355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [8359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [8361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [8363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [8365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [8367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [8369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [8371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [8373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [8375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [8377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [8379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [8381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [8383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [8385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [8387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [8389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [8391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [8393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [8395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [8397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [8401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [8405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [8411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [8415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [8417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [8419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [8421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [8423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [8425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [8427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [8429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [8433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [8435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [8437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [8441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [8445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [8447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [8451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [8453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [8455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [8457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [8459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [8461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [8463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [8465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [8467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [8469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [8471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [8473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [8475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [8477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [8479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [8481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [8483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [8485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [8489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [8493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [8495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [8497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [8499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [8501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [8503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [8505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [8509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [8511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [8513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [8515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [8519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [8527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [8531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [8533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [8539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [8543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [8545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [8547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [8549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [8551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [8553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [8557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [8561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [8563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [8571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [8579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [8583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [8585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [8595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [8601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [8603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [8605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [8607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [8609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [8611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [8613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [8615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [8617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [8619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [8621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [8623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [8625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [8627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [8629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [8631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [8635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [8637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [8639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [8641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [8643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [8645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [8647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [8649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [8653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [8655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [8665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__linkAttributeUserDefinedName, 2, 0, 0),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [8675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [8677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [8689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [8713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [8715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [8723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [8725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [8729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [8731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [8733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [8735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [8737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [8739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [8741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [8743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [8745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [8747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [8749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [8751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [8753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [8755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [8757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [8759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [8761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [8763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [8773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [8777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [8779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [8783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [8785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [8787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [8789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [8791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [8793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [8795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [8797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [8799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [8801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tocaTag, 3, 0, 0),
  [8803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tocTag, 3, 0, 0),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [8807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [8809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [8811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [8813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [8815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hTag, 3, 0, 0),
  [8817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [8819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [8821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [8823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [8825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [8827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [8829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [8831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [8833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [8835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [8837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [8839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [8841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [8843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [8845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [8847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [8849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [8851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [8853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [8855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [8857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [8859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [8861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [8863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [8865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [8867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [8869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [8871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [8873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [8875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [8877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [8879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [8881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [8883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [8885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [8887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [8889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [8891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [8893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [8895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [8897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [8899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [8901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [8903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [8905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [8907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [8909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [8911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [8913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [8915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [8917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [8919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [8921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [8923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [8925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [8927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [8929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [8931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [8933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [8935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [8937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [8939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [8941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [8943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [8945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [8947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [8949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [8951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [8953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [8955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [8957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [8959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [8961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [8963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [8965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [8967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [8969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [8971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_milestoneAttributeName, 1, 0, 0),
  [8973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [8975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [8977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [8979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [8981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [8983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [8985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [8987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [8991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [8993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [8995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [8997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [8999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [9001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [9003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [9005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [9007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [9009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [9011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [9013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [9015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [9017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [9019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [9021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [9023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [9025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [9027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [9029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [9031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [9033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [9035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [9037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [9039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [9043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [9049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [9055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [9057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [9059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [9063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [9065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [9067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [9069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [9071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [9073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [9075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [9077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [9079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [9081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [9083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [9085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [9087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [9089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [9091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [9093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [9095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [9097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [9099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [9101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [9103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [9105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [9107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [9109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [9113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [9115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [9117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [9119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [9121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [9123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [9125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [9127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [9129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [9131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [9133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [9135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [9137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tocaTag, 2, 0, 0),
  [9139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [9141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tocTag, 2, 0, 0),
  [9143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [9145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hTag, 2, 0, 0),
  [9147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [9149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [9151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [9153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [9155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [9157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [9159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [9161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [9163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [9165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [9167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [9169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [9171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [9173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [9175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [9177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [9179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [9181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [9183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [9185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [9187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [9189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [9191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [9193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [9197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [9199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [9201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [9203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [9205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [9207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [9209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [9211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [9213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [9215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [9217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [9219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [9221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [9223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [9225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [9227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [9229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [9231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [9233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [9235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [9237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [9239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [9241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [9243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [9245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [9247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [9249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [9251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [9253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [9255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [9257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [9259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__refAttributes, 2, 0, 0),
  [9261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [9263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [9265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [9267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [9269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [9271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [9275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [9277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [9279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [9281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [9283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [9289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [9291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [9293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [9295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [9297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [9301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [9303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [9305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [9307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [9309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [9311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [9313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [9315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [9317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [9319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [9321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [9323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [9325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [9327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [9329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [9331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [9333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [9335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [9337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [9339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [9341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [9343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [9345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [9347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [9349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [9351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [9353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [9355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [9357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [9359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [9361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [9363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [9365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [9367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [9369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [9371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [9373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [9375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [9377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [9379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [9381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [9383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [9385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [9387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [9389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [9391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [9393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [9395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [9397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [9399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [9401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [9403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [9405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [9407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [9409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [9411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [9413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [9415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [9417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [9419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [9421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [9423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [9425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [9427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [9429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [9431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [9433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [9435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [9437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [9439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [9441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [9443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [9445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [9447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [9449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [9451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [9453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [9455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [9457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [9459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [9461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [9463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [9465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [9467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [9469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [9471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [9473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [9475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [9477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [9479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [9481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [9483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [9485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [9487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [9489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [9491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [9493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [9495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [9497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [9499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [9501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [9503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [9505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [9507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [9509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [9511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [9513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [9515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [9517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [9519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [9521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [9523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [9525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [9527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [9529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [9531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [9533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [9535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [9537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [9539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [9541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [9543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [9545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [9547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [9549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [9551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [9553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [9555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [9557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [9559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [9561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [9563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [9565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [9567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [9569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [9571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [9573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [9575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [9577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [9579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [9581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [9583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [9585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [9587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [9589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [9591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [9593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [9595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [9597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [9599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [9601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [9603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [9605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [9607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [9609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [9611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [9613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [9615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [9617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [9619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [9621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [9623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [9625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [9627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [9629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [9631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [9633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [9635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [9637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [9639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [9641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [9643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [9645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [9647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [9649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [9651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [9653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [9655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [9657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [9659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [9661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [9663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [9665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [9667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [9669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [9671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [9673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [9675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [9677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [9679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [9681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [9683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [9685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [9687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [9689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [9691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [9693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [9695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [9697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [9699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [9701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [9703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [9705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [9707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [9709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [9711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [9713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [9715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [9717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [9719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [9721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [9723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [9725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [9727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [9729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [9731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [9733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [9735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [9737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [9739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [9741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [9743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [9745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [9747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [9749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [9751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [9753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [9755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [9757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [9759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [9761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [9763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [9765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [9767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [9769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [9771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [9773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [9775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [9777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [9779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [9781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [9783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [9785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [9787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [9789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [9791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [9793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [9795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [9797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [9799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [9801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [9803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [9805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [9807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [9809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [9811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [9813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [9815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [9817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [9819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [9821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [9823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [9825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [9827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [9829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [9831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [9833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [9835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [9837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [9839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [9841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [9843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [9845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [9847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [9849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [9851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [9853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [9855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [9857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [9859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [9861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [9863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [9865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [9867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [9869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [9871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [9873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [9875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [9877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [9879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [9881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [9883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [9885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [9887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [9889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [9891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [9893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [9895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [9897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [9899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [9901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [9903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [9905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [9907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [9909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [9911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [9913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [9917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [9919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [9921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [9923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [9925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [9927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [9929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [9931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [9933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [9935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [9939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [9941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [9945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [9949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [9951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [9953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [9955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [9957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [9961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [9963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [9965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [9967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyAttribute, 4, 0, 0),
  [9969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [9971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [9973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [9975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [9977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [9983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [9987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [9989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [9991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [9993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [9995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [9997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [10001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [10003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [10005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [10007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [10015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [10017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [10019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [10021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [10023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [10025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [10027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyAttribute, 5, 0, 0),
  [10029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [10031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [10033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [10035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [10037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [10039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [10041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [10043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [10047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [10049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [10053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [10057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [10059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [10061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [10065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [10067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [10069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [10071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [10073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [10075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [10077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [10079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [10081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [10083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [10085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [10087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [10089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [10091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [10093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [10095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [10097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [10099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [10101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [10103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [10105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [10107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [10109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [10111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [10113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [10115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [10117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [10119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [10121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [10123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [10125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [10127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [10129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [10131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [10133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [10135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [10137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [10139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [10141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [10143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [10145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [10147] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [10149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [10151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [10153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [10155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [10157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [10159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [10161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_usfm3(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
